MODULE GSKPARM


    integer ntot,np1,nc,nossm,nhssm,nospm,nhspm,nhessm,nhespm,nps,np
    parameter (ntot=2000000,np1=40000,nc=121)
    parameter (nossm=41,nospm=31,nhssm=61,nhspm=31)
    parameter (nhessm=61,nhespm=31)
    parameter (nps=11,np=800000)

    integer numgrid
    parameter (numgrid=120)

    integer num,loopmax,iseed
    integer ndO,ndH,ndHe
    integer noss,nosp,nhss,nhsp,nhess,nhesp
    integer ncvsO(2*nps),ncvsH(2*nps),ncvsHe(2*nps),eqe

    real(8) zb,scalg
    real(8) dtg
    real(8) dvso,dvpo,dvsh,dvph,dvshe,dvphe
    real(8) vsminO,vsminH,vsminHe
    real(8) alpha,rh0(2),rhscl(2)

    common /gsknum/num,loopmax,iseed
    common /gskdt/dtg
    common /gsklowub/zb,scalg
    common /gskeleeq/eqe

    common /gskvspace0/ndO,ndH,ndHe
    common /gskvspace1/noss,nhss,nosp,nhsp,nhess,nhesp
    common /gskvspace2/dvso,dvpo,dvsh,dvph,dvshe,dvphe
    common /gskvspace3/vsminO,vsminH,vsminHe
    common /gskvspace4/ncvsO,ncvsH,ncvsHe

    common /gskwave/alpha,rh0,rhscl

    real(8) qval(nc),sg(nc),ods(nc),rr(nc),alt(nc)
    real(8) GLL(nc),area(nc),dA(nc),vol(nc),c_vol(nc)
    real(8) gm(nc),bfd(nc),mirrf(nc),cf(nc,2)

    real(8) Oxygen(np,3),P_O(nc),P_O_H(nc),rep_O
    real(8) Hydrog(np,3),P_H(nc),rep_H
    real(8) Helium(np,3),P_He(nc),rep_He

    real*8 den_O(nc),vel_O(nc),tpr_O(nc),tpp_O(nc),qpr_O(nc),qpp_O(nc)
    real*8 den_H(nc),vel_H(nc),tpr_H(nc),tpp_H(nc),qpr_H(nc),qpp_H(nc)
    real*8 den_He(nc),vel_He(nc),tpr_He(nc),tpp_He(nc)
    real*8 qpr_He(nc),qpp_He(nc)

    real*8 den_e(nc),vel_e(nc),tpr_e(nc),tpp_e(nc),qpr_e(nc),qpp_e(nc)
    real*8 den_p(nc),tpp_p(nc),tpr_p(nc),den_hote(nc)
    real*8 tpr_hote(nc),tpp_hote(nc)

    real(8) atom_s(4,nc),gg_sig(2,326),vxyz(10000,3),den_aO(nc)
    real(8) vt_H(nc),vt_O(nc),vt_N2(nc),vt_O2(nc),vt_He(nc),pol_N2(nc)

    integer imax_O,imax_H,imax_He
    integer jgfn,jgfs

    integer bottom_upO(2),bottom_upH(2),bottom_upHe(2)

    real(8) Fden_O(2),Fden_H(2),Fden_He(2),FV_O(2),FV_H(2),FV_He(2)
    real(8) FT_O(2),FT_H(2),FT_He(2),FT_e(2),dFT_e(2),dSL(2),FheatE(2)
    real(8) VtppO(2),VtprO(2),VtppH(2),VtprH(2),VtppHe(2),VtprHe(2)
    real(8) factorO(2),fmaxO(2),factorH(2),fmaxH(2)
    real(8) factorHe(2),fmaxHe(2),Veq,Veq2

    save

    COMMON/flipubc/jgfn,jgfs

!  pass values from FLIP
    common/gskpass/Fden_O,Fden_H,Fden_He,FV_O,FV_H,FV_He
    common/gskpassT/FT_O,FT_H,FT_He,FT_e,dFT_e,dSL,FheatE

!  grid parameters, gravity & magnetic field
    common/ongrids/qval,sg,ods,rr,GLL,alt,area,dA,vol,c_vol,gm,bfd,mirrf,cf

!  parameters for calculating number of particles injected from FLIP
    common/injparmO/VtppO,VtprO,factorO,fmaxO
    common/injparmH/VtppH,VtprH,factorH,fmaxH
    common/injparmHe/VtppHe,VtprHe,factorHe,fmaxHe

!  O+ related arrays & variables
    common/Oxygenr/Oxygen,rep_O,P_O
    common/Oxygeni/imax_O,bottom_upO

!  H+ related arrays & variables
    common/Hydrogr/Hydrog,rep_H,P_H
    common/Hydrogi/imax_H,bottom_upH

!  He+ related arrays & variables
    common/Heliumr/Helium,rep_He,P_He
    common/Heliumi/imax_He,bottom_upHe

!  neutrals related parameters
    common/neutrals/atom_s,gg_sig,vxyz,pol_N2
    common/neutralv/vt_H,vt_O,vt_N2,vt_O2,vt_He
    common/neutralO/den_aO

    common/momentsO/den_O,vel_O,tpr_O,tpp_O,qpr_O,qpp_O
    common/momentsH/den_H,vel_H,tpr_H,tpp_H,qpr_H,qpp_H
    common/momentsH/den_He,vel_He,tpr_He,tpp_He,qpr_He,qpp_He
    common/momentse/den_e,vel_e,tpr_e,tpp_e,qpr_e,qpp_e

    common/EquatV/Veq,Veq2
END MODULE
