!----------------------------------------------------------------------
! Initialize simulation particle distribution along flux tube
!
!    Input   den_s  - density interpolated from FLIP region (cm^-3)
!            nd     - number of particles in cell 1
!            ns     - = 0 for O+; = 1 for H+; =2 for He+
!
!    Output: OHgen    - array of ion location (in Re), para and perp
!                       velocity (in Re/s)
!            num_s - number of simulation particle in cells
!            imax  - total number of simulation particles
!            rep   - no of real(8) particles in a simulation particle
!
!  Rewitten by Jiannan Tu, Feb 13, 2003. JNTU 3/4/10 Rev
!----------------------------------------------------------------------
subroutine load_ptcl(den_s,nd,ns,rep,num_s)
    use gskparm

    integer nd,ns

    real(8) den_s(nc)
    real(8) rep
    integer*4 num_s(3,nc-1),i,j

! number of particles in cell 1
    num_s(ns+1,1)=nd

! number of real patcls represented by a simulation ptlc (weight)
    rep=1.0d6*den_s(1)*c_vol(1)/float(nd+1)

    do i=1,num
       num_s(ns+1,i)=1.0d6*den_s(i)*c_vol(i)/rep
    enddo
   

end subroutine
