!-----------------------------------------------------------------------
!  Move Helium ion simulation particles
!-----------------------------------------------------------------------
subroutine move_Helium(efield,dpphe)
    use gskparm

    real(8), dimension(nc) :: efield,dpphe
    real(8) :: am_he,s,vs,vp,qmrHe,ran2

    integer :: i,j,nnew

    integer rank,ierr,status
    common /mpi/rank,ierr,status


    DATA am_he/6.69529216d-27/,qmrHe/3.7508458d0/

!  Consider particles newly produced (by O+ + H reaction), and injdected
!  from FLIP region
!-----------------------------------------------------------------------
!  P_He(i): He+ from O+ + He reaction in full 4 seconds.
!-----------------------------------------------------------------------

        nnew=P_He(rank+1)+ran2(iseed)
        if(nnew.gt.0) call neutral_produced(rank+1,imax_He,vt_He,nnew,Helium)

    P_He=0.0d0


    do j=1,imax_He
        s=Helium(j,1)

        ! ignore the ptcl that is out of range
        if(s.lt.sg(1).or.s.ge.sg(num+1)) cycle

        vs=Helium(j,2)
        vp=Helium(j,3)

        ! heating by electron
!        call addheat(i,s,vs,am_he,dtg,den_e,tpr_e,den_He,tpr_He,0)
!        call addheat(i,s,vp,am_he,dtg,den_e,tpp_e,den_He,tpp_He,1)

        !X.Y.WU03/05/98 wave-induced heating
        if(dpphe(rank+1).gt.0.0d0) call waveheat(rank+1,s,vp,dpphe,dtg,am_he)

        ! react with O
!        call react_aO(i,s,vs,vp,dt_He(i))

        ! move particle subjeted to various forces
        if(s.ge.sg(rank+1).and.s.lt.sg(rank+2)) then
            call mover(rank+1,efield,s,vs,vp,dtg,qmrHe)
        endif

        ! keeping all particles (including s=999)
        Helium(j,1)=s
        Helium(j,2)=vs
        Helium(j,3)=vp
    enddo

    call compind1(imax_He,Helium)

end subroutine move_Helium
