C.................... MSIS88.FOR;7 ..........14-SEP-1991 08:38:03.25
      SUBROUTINE GTS3(IYD,SEC,ALT,GLAT,GLONG,STL,F107A,F107,AP,MASS,D,T)
C......... THE MONSTER MUST BE MODIFIED TO TAKE INTO ACCOUNT THE
C......... INCREASE OF D(7) TO D(8). RSMNSB, MONPRN, RSSUBB, RSVLPE
C......... THIS VERSION HAS BEEN MODIFIED TO ALLOW INPUT OF TINF FROM
C......... FILE
C        MSIS-86/CIRA 1987 NEUTRAL THERMOSPHERE MODEL
C         A.E.HEDIN 3/15/85
C     INPUT:
C        IYD - YEAR AND DAY AS YYDDD
C        SEC - UT(SEC)
C        ALT - ALTITUDE(KM) (GREATER THAN 85 KM)
C        GLAT - GEODETIC LATITUDE(DEG)
C        GLONG - GEODETIC LONGITUDE(DEG)
C        STL - LOCAL APPARENT SOLAR TIME(HRS)
C        F107A - 3 MONTH AVERAGE OF F10.7 FLUX
C        F107 - DAILY F10.7 FLUX FOR PREVIOUS DAY
C        AP - MAGNETIC INDEX(DAILY) OR WHEN SW(9)=-1. :
C           - ARRAY CONTAINING:
C             (1) DAILY AP
C             (2) 3 HR AP INDEX FOR CURRENT TIME
C             (3) 3 HR AP INDEX FOR 3 HRS BEFORE CURRENT TIME
C             (4) 3 HR AP INDEX FOR 6 HRS BEFORE CURRENT TIME
C             (5) 3 HR AP INDEX FOR 9 HRS BEFORE CURRENT TIME
C             (6) AVERAGE OF EIGHT 3 HR AP INDICIES FROM 12 TO 33 HRS PRIOR
C                    TO CURRENT TIME
C             (7) AVERAGE OF EIGHT 3 HR AP INDICIES FROM 36 TO 59 HRS PRIOR
C                    TO CURRENT TIME
C        MASS - MASS NUMBER (ONLY DENSITY FOR SELECTED GAS IS
C                 CALCULATED.  MASS 0 IS TEMPERATURE.  MASS 48 FOR ALL.
C     OUTPUT:
C        D(1) - HE NUMBER DENSITY(CM-3)
C        D(2) - O NUMBER DENSITY(CM-3)
C        D(3) - N2 NUMBER DENSITY(CM-3)
C        D(4) - O2 NUMBER DENSITY(CM-3)
C        D(5) - AR NUMBER DENSITY(CM-3)
C        D(6) - TOTAL MASS DENSITY(GM/CM3)
C        D(7) - H NUMBER DENSITY(CM-3)
C        D(8) - N NUMBER DENSITY(CM-3)
C        T(1) - EXOSPHERIC TEMPERATURE
C        T(2) - TEMPERATURE AT ALT
C
C      TO GET OUTPUT IN M-3 AND KG/M3:   CALL METERS(.TRUE.)
C
C          ADDITIONAL COMMENTS
C           (1) LOWER BOUND QUANTITIES IN COMMON/GTS3C/
C           (2) TO TURN ON AND OFF PARTICULAR VARIATIONS CALL TSELEC(SW)
C               WHERE SW IS A 25 ELEMENT ARRAY CONTAINING 0. FOR OFF, 1.
C               FOR ON, OR 2. FOR MAIN EFFECTS OFF BUT CROSS TERMS ON
C               1 - F10.7 EFFECT ON MEAN  2 - TIME INDEPENDENT
C               3 - SYMMETRICAL ANNUAL    4 - SYMMETRICAL SEMIANNUAL
C               5 - ASYMMETRICAL ANNUAL   6 - ASYMMETRICAL SEMIANNUAL
C               7 - DIURNAL               8 - SEMIDIURNAL
C               9 - DAILY AP             10 - ALL UT/LONG EFFECTS
C              11 - LONGITUDINAL         12 - UT AND MIXED UT/LONG
C              13 - MIXED AP/UT/LONG     14 - TERDIURNAL
C              15 - DEPARTURES FROM DIFFUSIVE EQUILIBRIUM
C              16 - ALL TINF VAR         17 - ALL TLB VAR
C              18 - ALL T0 VAR           19 - ALL S VAR
C              20 - ALL Z0 VAR           21 - ALL NLB VAR
C              22 - ALL TR12 VAR         23 - TURBO SCALE HEIGHT VAR
C
C               TO GET CURRENT VALUE OF SW: CALL TRETRE(SW)
C
      LOGICAL METER
      DIMENSION D(8),T(2),MT(10),AP(7),ALTL(8)
      CHARACTER*4 ISDATE,ISTIME,NAME
      COMMON/GTS3C/TLB,S,DB04,DB16,DB28,DB32,DB40,DB48,DB01,ZA,T0,Z0
     & ,G0,RL,DD,DB14
      COMMON/LOWER5/PTM(8),PDM(8,7)
      COMMON/PARM5/PT(150),PD(150,7),PS(150),PDL(25,2)
      COMMON/CSW/SW(25),ISW,SWC(25)
      COMMON/TTEST/TINFG,GB,ROUT,TT(15)
      COMMON/DATET/ISDATE(3),ISTIME(2),NAME(2)
      DATA MT/48,0,4,16,28,32,40,1,49,14/,IFL/0/
      DATA ALTL/200.,300.,150.,200.,240.,450.,320.,450./
      DATA IMR/0/, III/0/
      !--- trap low altitudes
      IF(ALT.LT.80) ALT=80.0
      IF(IFL.EQ.1.AND.NAME(1).EQ.'CIRA'.AND.NAME(2).EQ.'-86 ') GO TO 5
      CALL PARMS5
      IFL=1
    5 CONTINUE
      YRD=IYD
C       EQ. A7
      SSAV=SW(16)
      TINF=PTM(1)*(1.+SSAV*GLOBE5(YRD,SEC,GLAT,GLONG,STL,F107A,F107,
     $ AP,PT))*PT(1)
      CALL FLIPTN(GLAT,TINF)  !-- PGR added for FLIP to modify
C
      ZA=PTM(5)*PDL(16,2)
C       EQ. A9
      T0=PTM(3)*PD(76,3)*(1.+SW(18)*GLOB5L(PD(76,3)))
C       EQ. A8
      TLB=PTM(2)*(1.+SW(17)*GLOB5L(PD(26,3)))*PD(26,3)
C       EQ. A10
      Z0=PTM(7)*(1.+SW(20)*GLOB5L(PD(51,3)))*PD(51,3)
C       EQ. A6
      SSAV=SW(19)
      G0=PTM(4)*PS(1)
     & *(1.+SSAV*GLOBE5(YRD,SEC,GLAT,GLONG,STL,F107A,F107,AP,PS))
C       EQ. A5
      S=G0/(TINF-TLB)
C       EQ. A11
      TR12=PD(101,3)*(1.+SW(22)*GLOB5L(PD(101,3)))
      T(1)=TINF
      IF(MASS.EQ.0) GO TO 50
C       EQ. A18  N2
      G28=SW(21)*GLOB5L(PD(1,3))
      YRD=IYD
      T(1)=TINF
      XMM=PDM(5,3)
      DO 10 J = 1,10
      IF(MASS.EQ.MT(J))   GO TO 15
   10 CONTINUE
      WRITE(16,100) MASS
      GO TO 90
   15 IF(ALT.GT.ALTL(6).AND.MASS.NE.28.AND.MASS.NE.48) GO TO 17
C
C       **** N2 DENSITY ****
C
C       EQ. A18
      IF(G28.GT.70.0)G28=70.0
      DB28 = PDM(1,3)*EXP(G28)*PD(1,3)
C       EQ. A13 - A17
      D(3)=DENSS(ALT,DB28,TINF,TLB, 28.,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DD=D(3)
C       EQ. A19
      ZH28=PDM(3,3)
      ZHM28=PDM(4,3)*PDL(6,2)
      XMD=28.-XMM
      B28=DENSS(ZH28,DB28,TINF,TLB,XMD,-1.,TZ,PTM(6),S,T0,ZA,Z0,TR12)
      IF(ALT.GT.ALTL(3).OR.SW(15).EQ.0.) GO TO 17
      DM28=DENSS(ALT,B28,TINF,TLB,XMM,0.,TZ,PTM(6),S,T0,ZA,Z0,TR12)
C       EQ. A12
      D(3)=DNET(D(3),DM28,ZHM28,XMM,28.)
   17 CONTINUE
      GO TO (20,50,20,25,90,35,40,45,25,48),  J
   20 CONTINUE
C
C       **** HE DENSITY ****
C
C       EQ. A18
      SSAV=SW(21)
      G4 = SSAV*GLOBE5(YRD,SEC,GLAT,GLONG,STL,F107A,F107,AP,PD(1,1))
      IF(G4.GT.70.0)G4=70.0
      DB04 = PDM(1,1)*EXP(G4)*PD(1,1)
C       EQ. A13 - A17
      D(1)=DENSS(ALT,DB04,TINF,TLB, 4.,-.4,T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DD=D(1)
      IF(ALT.GT.ALTL(1).OR.SW(15).EQ.0.) GO TO 24
C       EQ. A19
      ZH04=PDM(3,1)
      B04=DENSS(ZH04,DB04,TINF,TLB,4.-XMM,-1.4,
     $  T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DM04=DENSS(ALT,B04,TINF,TLB,XMM,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
C       EQ. A12
      ZHM04=ZHM28
      D(1)=DNET(D(1),DM04,ZHM04,XMM,4.)
C       EQ. A20B
      RL=ALOG(B28*PDM(2,1)/B04)
C       EQ. A20A
      ZC04=PDM(5,1)*PDL(1,2)
      HC04=PDM(6,1)*PDL(2,2)
      D(1)=D(1)*CCOR(ALT,RL,HC04,ZC04)
   24 CONTINUE
      IF(MASS.NE.48)   GO TO 90
   25 CONTINUE
C
C       **** O DENSITY ****
C
C       EQ. A18
      SSAV=SW(21)
      G16= SSAV*GLOBE5(YRD,SEC,GLAT,GLONG,STL,F107A,F107,AP,PD(1,2))
      IF(G16.GT.70.0)G16=70.0
      DB16 =  PDM(1,2)*EXP(G16)*PD(1,2)
C       EQ. A13 - A17
      D(2)=DENSS(ALT,DB16,TINF,TLB, 16.,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DD=D(2)
      IF(ALT.GT.ALTL(2).OR.SW(15).EQ.0.) GO TO 34
C  CORRECTED FROM PDM(3,1) TO PDM(3,2) 12/2/85
C       EQ. A19
      ZH16=PDM(3,2)
      B16=DENSS(ZH16,DB16,TINF,TLB,16-XMM,-1.,
     $  T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DM16=DENSS(ALT,B16,TINF,TLB,XMM,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
C       EQ. A12
      ZHM16=ZHM28
      D(2)=DNET(D(2),DM16,ZHM16,XMM,16.)
C       EQ. A20B
      RL=ALOG(B28*PDM(2,2)*ABS(PDL(17,2))/B16)
C       EQ. A20A
      HC16=PDM(6,2)*PDL(4,2)
      ZC16=PDM(5,2)*PDL(3,2)
      D(2)=D(2)*CCOR(ALT,RL,HC16,ZC16)
C       EQ. A21
      HCC16=PDM(8,2)*PDL(14,2)
      ZCC16=PDM(7,2)*PDL(13,2)
      RC16=PDM(4,2)*PDL(15,2)
      D(2)=D(2)*CCOR(ALT,RC16,HCC16,ZCC16)
   34 CONTINUE
      IF(MASS.NE.48 .AND. MASS.NE.49) GO TO 90
   35 CONTINUE
C
C       **** O2 DENSITY ****
C
C       EQ. A18
      SSAV=SW(21)
      G32= SSAV*GLOBE5(YRD,SEC,GLAT,GLONG,STL,F107A,F107,AP,PD(1,4))
      IF(G32.GT.70.0)G32=70.0
      DB32 = PDM(1,4)*EXP(G32)*PD(1,4)
C       EQ. A13 - A17
      D(4)=DENSS(ALT,DB32,TINF,TLB, 32.,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
      IF(MASS.EQ.49) THEN
         DD=DD+2.*D(4)
      ELSE
         DD=D(4)
      ENDIF
      IF(ALT.GT.ALTL(4).OR.SW(15).EQ.0.) GO TO 39
C       EQ. A19
      ZH32=PDM(3,4)
      B32=DENSS(ZH32,DB32,TINF,TLB,32.-XMM,-1.,
     $  T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DM32=DENSS(ALT,B32,TINF,TLB,XMM,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
C       EQ. A12
      ZHM32=ZHM28
      D(4)=DNET(D(4),DM32,ZHM32,XMM,32.)
C       EQ. A20B
      RL=ALOG(B28*PDM(2,4)/B32)
C       EQ. A20A
      HC32=PDM(6,4)*PDL(8,2)
      ZC32=PDM(5,4)*PDL(7,2)
      D(4)=D(4)*CCOR(ALT,RL,HC32,ZC32)
   39 CONTINUE
      IF(MASS.NE.48)   GO TO 90
   40 CONTINUE
C
C       **** AR DENSITY ****
C
C       EQ. A18
      SSAV=SW(21)
      G40= SSAV*GLOBE5(YRD,SEC,GLAT,GLONG,STL,F107A,F107,AP,PD(1,5))
      IF(G40.GT.70.0)G40=70.0
      DB40 = PDM(1,5)*EXP(G40)*PD(1,5)
C       EQ. A13 - A17
      D(5)=DENSS(ALT,DB40,TINF,TLB, 40.,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DD=D(5)
      IF(ALT.GT.ALTL(5).OR.SW(15).EQ.0.) GO TO 44
C       EQ. A19
      ZH40=PDM(3,5)
      B40=DENSS(ZH40,DB40,TINF,TLB,40.-XMM,-1.,
     $  T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DM40=DENSS(ALT,B40,TINF,TLB,XMM,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
C       EQ. A12
      ZHM40=ZHM28
      D(5)=DNET(D(5),DM40,ZHM40,XMM,40.)
C       EQ. A20B
      RL=ALOG(B28*PDM(2,5)/B40)
C       EQ. A20A
      HC40=PDM(6,5)*PDL(10,2)
      ZC40=PDM(5,5)*PDL(9,2)
      D(5)=D(5)*CCOR(ALT,RL,HC40,ZC40)
   44 CONTINUE
      IF(MASS.NE.48)   GO TO 90
   45 CONTINUE
C
C       **** HYDROGEN DENSITY ****
C
C       EQ. A18
      SSAV=SW(21)
      G1 = SSAV*GLOBE5(YRD,SEC,GLAT,GLONG,STL,F107A,F107,AP,PD(1,6))
      IF(G1.GT.70.0)G1=70.0
      DB01 = PDM(1,6)*EXP(G1)*PD(1,6)
C       EQ. A13 - A17
      D(7)=DENSS(ALT,DB01,TINF,TLB,1.,-.4,T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DD=D(7)
      IF(ALT.GT.ALTL(7).OR.SW(15).EQ.0.) GO TO 47
C       EQ. A19
      ZH01=PDM(3,6)
      B01=DENSS(ZH01,DB01,TINF,TLB,1.-XMM,-1.4,
     $  T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DM01=DENSS(ALT,B01,TINF,TLB,XMM,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
C       EQ. A12
      ZHM01=ZHM28
      D(7)=DNET(D(7),DM01,ZHM01,XMM,1.)
C       EQ. A20B
      RL=ALOG(B28*PDM(2,6)*ABS(PDL(18,2))/B01)
C       EQ. A20A
      HC01=PDM(6,6)*PDL(12,2)
      ZC01=PDM(5,6)*PDL(11,2)
      D(7)=D(7)*CCOR(ALT,RL,HC01,ZC01)
C       EQ. A21
      HCC01=PDM(8,6)*PDL(20,2)
      ZCC01=PDM(7,6)*PDL(19,2)
      RC01=PDM(4,6)*PDL(21,2)
      D(7)=D(7)*CCOR(ALT,RC01,HCC01,ZCC01)
   47 CONTINUE
   48 CONTINUE
C
C       **** ATOMIC NITROGEN DENSITY ****
C
C       EQ. A18
      SSAV=SW(21)
      G14 = SSAV*GLOBE5(YRD,SEC,GLAT,GLONG,STL,F107A,F107,AP,PD(1,7))
      DB14 = PDM(1,7)*EXP(G14)*PD(1,7)
C       EQ. A13 - A17
      D(8)=DENSS(ALT,DB14,TINF,TLB,14.,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DD=D(8)
      IF(ALT.GT.ALTL(8).OR.SW(15).EQ.0.) GO TO 49
C       EQ. A19
      ZH14=PDM(3,7)
      B14=DENSS(ZH14,DB14,TINF,TLB,14.-XMM,-1.,
     $  T(2),PTM(6),S,T0,ZA,Z0,TR12)
      DM14=DENSS(ALT,B14,TINF,TLB,XMM,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
C       EQ. A12
      ZHM14=ZHM28
      D(8)=DNET(D(8),DM14,ZHM14,XMM,14.)
C       EQ. A20B
      RL=ALOG(B28*PDM(2,7)*ABS(PDL(3,1))/B14)
C       EQ. A20A
      HC14=PDM(6,7)*PDL(2,1)
      ZC14=PDM(5,7)*PDL(1,1)
      D(8)=D(8)*CCOR(ALT,RL,HC14,ZC14)
C       EQ. A21
      HCC14=PDM(8,7)*PDL(5,1)
      ZCC14=PDM(7,7)*PDL(4,1)
      RC14=PDM(4,7)*PDL(6,1)
      D(8)=D(8)*CCOR(ALT,RC14,HCC14,ZCC14)
   49 CONTINUE
      IF(MASS.NE.48) GO TO 90
C
C       TOTAL MASS DENSITY
C
      D(6) = 1.66E-24*(4.*D(1)+16.*D(2)+28.*D(3)+32.*D(4)+40.*D(5)+
     &       D(7)+14.*D(8))
      DB48=1.66E-24*(4.*DB04+16.*DB16+28.*DB28+32.*DB32+40.*DB40+DB01+
     &        14.*DB14)
      GO TO 90
   50 DDUM  = DENSS(ALT,1., TINF,TLB,0.,0.,T(2),PTM(6),S,T0,ZA,Z0,TR12)
      GO TO 90
   90 CONTINUE
      IF(IMR.EQ.1) THEN
        DO 95 I=1,8
          D(I)=D(I)*1.E6
   95   CONTINUE
        D(6)=D(6)/1000.
      ENDIF
      RETURN
  100 FORMAT(1X,'MASS', I5, '  NOT VALID')
      ENTRY METERS(METER)
      IMR=0
      IF(METER) IMR=1
      END
C--------------------------------------------------------------------
      FUNCTION DENSS(ALT,DLB,TINF,TLB,XM,ALPHA,TZ,ZLB,S2,T0,ZA,Z0,TR12)
C       CALCULATE TEMPERATURE AND DENSITY PROFILES FOR MSIS MODELS
      COMMON/PARMB/GSURF,RE
      COMMON/FIT/TAF
      COMMON/LSQV/MP,II,JG,LT,QPB(50),IERR,IFUN,N,J,DV(60)
      DATA RGAS/831.4/
      ZETA(ZZ,ZL)=(ZZ-ZL)*(RE+ZL)/(RE+ZZ)
      DENSS=1.
      Z=AMAX1(ALT,ZA)
C       EQ. A4A
      ZG2=ZETA(Z,ZLB)
C       EQ. A1A
      HOLDS2=S2*ZG2
      IF(HOLDS2.GT.70.0)HOLDS2=70.0
      IF(HOLDS2.LT.-70.0) HOLDS2=-70
      TT=TINF-(TINF-TLB)*EXP(-HOLDS2)
      TA=TT
      TZ=TT
      DENSS=TZ
      IF(ALT.GE.ZA) GO TO 10
C       EQ. A4B
      ZG0=ZETA(Z0,ZA)
C       EQ. A2B
      DTA=(TINF-TA)*S2*((RE+ZLB)/(RE+ZA))**2
C       EQ. A3E
      T12=T0+TR12*(TA-T0)
C       EQ. A4B
      ZG1=ZETA(ALT,ZA)
C       CALCULATE TEMPERATURE BELOW ZA
C       EQ. A3A
      DD=0.666666*ZG0*DTA/TA**2 - 3.11111*(1./TA-1./T0)+
     $ 7.11111*(1./T12-1./T0)
C       EQ. A3B
      CC=ZG0*DTA/(2.*TA*TA) - (1./TA-1./T0) - 2.*DD
C       EQ. A3C
      BB=(1./TA-1./T0) - CC - DD
C       EQ. A3D
      X=(-(ZG1-ZG0)/ZG0)
C       EQ. A1B
      X2=X*X
      TZ=1./(1./T0+BB*X2+CC*X2*X2+DD*X2*X2*X2)
      DENSS=TZ
      TAF=(T12-T0)/(TA-T0)
   10 IF(XM.EQ.0.) GO TO 50
      IF(TA.GT.0. .AND. TZ.GT.0.) GO TO 20
C       WRITE(16,*)ALT,XM,TINF,TLB,T0,TA,II,JG,N,DV(J),IFUN,S2,ZGA,TZ
         TT=TLB
         TA=TLB
         TZ=TLB
   20 CONTINUE
C      CALCULATE DENSITY ABOVE ZA
C      EQ. A17A
      GLB=GSURF/(1.+ZLB/RE)**2
C      EQ. A16A
      GAMMA=XM*GLB/(S2*RGAS*TINF)
C......... THIS PART FOR IBM
      XHOLD=S2*GAMMA*ZG2
      DENSA=0.0
C      EQ. A13, A14A, A15
      IF(XHOLD.LT.70.0)
     * DENSA=DLB*(TLB/TT)**(1.+ALPHA+GAMMA)*EXP(-XHOLD)
C
      DENSS=DENSA
      IF(ALT.GE.ZA) GO TO 50
C      CALCULATE DENSITY BELOW ZA
C      EQ. A17B
      GLB=GSURF/(1.+ZA/RE)**2
C      EQ. A16B
      GAMM=XM*GLB*ZG0/RGAS
C      EQ. A13, A14B, & A15
      XGAMMX=GAMM*((X-1)/T0+BB*(X*X2-1.)/3.+CC*(X2*X2*X-1.)/5.+
     $ DD*(X2*X2*X2*X-1.)/7.)
      IF(XGAMMX.GT.70.0)XGAMMX=70.0
      DENSS=DENSA*(TA/TZ)**(1.+ALPHA)*
     $ EXP(XGAMMX)
   50 CONTINUE
CCCCCCWRITE(16,100)CXM,ALT,ZA,TINF,TLB,S2,T0,S1,TA,TZ,DLB,DENSA,DENSS
CC100 FORMAT(' D',1P,13E10.2)
      RETURN
      END
C-------------------------------------------------------------------
      FUNCTION GLOBE5(YRD,SEC,LAT,LONG,TLOC,F107A,F107,AP,P)
C       CALCULATE G(L) FUNCTION FOR MSIS-86/CIRA 1986
C       UPPER THERMOSPHERE PARAMETERS
      REAL LAT, LONG
      DIMENSION P(*),SV(25),AP(*)
      COMMON/TTEST/TINF,GB,ROUT,T(15)
      COMMON/CSW/SW(25),ISW,SWC(25)
C...... third line suggested by Kent Miller
      COMMON/LPOLY/PLG(9,4),CTLOC,STLOC,C2TLOC,S2TLOC,C3TLOC,S3TLOC,
     $ IYR,DAY,            DF,DFA,APD,APDF,APT(4)
     > ,CD7,CD9,CD11,CD14,C2D14,CD18,CD32,CD39
      DATA DGTR/1.74533E-2/,DR/1.72142E-2/, XL/1000./,TLL/1000./
      DATA        DAYL/-1./,P14/-1000./,P18/-1000./,P32/-1000./
      DATA HR/.2618/,SR/7.2722E-5/,SV/25*1./,NSW/14/,P39/-1000./
C       EQ. A24D
      G0(A)=(A-4.+(P(26)-1.)*(A-4.+(EXP(-ABS(P(25))*(A-4.))-1.)/ABS(P(25
     *))))
C       EQ. A24C
      SUMEX(EX)=1.+(1.-EX**19)/(1.-EX)*EX**(.5)
C       EQ. A24A
      SG0(EX)=(G0(AP(2))+(G0(AP(3))*EX+G0(AP(4))*EX*EX+G0(AP(5))*EX**3
     $ +(G0(AP(6))*EX**4+G0(AP(7))*EX**12)*(1.-EX**8)/(1.-EX)))
     $ /SUMEX(EX)
      IF(ISW.NE.64999) CALL TSELEC(SV)
      T(10) = 0.
      T(11) = 0.
      T(12) = 0.
      T(13)=0.
   10 CONTINUE
      IYR = YRD/1000.
      DAY = YRD - IYR*1000.
C      EQ. A22 (REMAINDER OF CODE)
      IF(XL.EQ.LAT)   GO TO 15
C          CALCULATE LEGENDRE POLYNOMIALS
      C = SIN(LAT*DGTR)
      S = COS(LAT*DGTR)
      C2 = C*C
      C4 = C2*C2
      S2 = S*S
      PLG(2,1) = C
      PLG(3,1) = 0.5*(3.*C2 -1.)
      PLG(4,1) = 0.5*(5.*C*C2-3.*C)
      PLG(5,1) = (35.*C4 - 30.*C2 + 3.)/8.
      PLG(6,1) = (63.*C2*C2*C - 70.*C2*C + 15.*C)/8.
      PLG(7,1) = (11.*C*PLG(6,1) - 5.*PLG(5,1))/6.
      PLG(2,2) = S
      PLG(3,2) = 3.*C*S
      PLG(4,2) = 1.5*(5.*C2-1.)*S
      PLG(5,2) = 2.5*(7.*C2*C-3.*C)*S
      PLG(6,2) = 1.875*(21.*C4 - 14.*C2 +1.)*S
      PLG(7,2) = (11.*C*PLG(6,2)-6.*PLG(5,2))/5.
      PLG(3,3) = 3.*S2
      PLG(4,3) = 15.*S2*C
      PLG(5,3) = 7.5*(7.*C2 -1.)*S2
      PLG(6,3) = 3.*C*PLG(5,3)-2.*PLG(4,3)
      PLG(7,3)=(11.*C*PLG(6,3)-7.*PLG(5,3))/4.
      PLG(8,3)=(13.*C*PLG(7,3)-8.*PLG(6,3))/5.
      PLG(4,4) = 15.*S2*S
      PLG(5,4) = 105.*S2*S*C
      PLG(6,4)=(9.*C*PLG(5,4)-7.*PLG(4,4))/2.
      PLG(7,4)=(11.*C*PLG(6,4)-8.*PLG(5,4))/3.
      XL=LAT
   15 CONTINUE
      IF(TLL.EQ.TLOC)   GO TO 16
      STLOC = SIN(HR*TLOC)
      CTLOC = COS(HR*TLOC)
      S2TLOC = SIN(2.*HR*TLOC)
      C2TLOC = COS(2.*HR*TLOC)
      S3TLOC = SIN(3.*HR*TLOC)
      C3TLOC = COS(3.*HR*TLOC)
      TLL = TLOC
   16 CONTINUE
      IF(DAY.NE.DAYL.OR.P(14).NE.P14) CD14=COS(DR*(DAY-P(14)))
      IF(DAY.NE.DAYL.OR.P(14).NE.P14) C2D14=COS(DR*2*(DAY-P(14)))
      IF(DAY.NE.DAYL.OR.P(18).NE.P18) CD18=COS(2.*DR*(DAY-P(18)))
      IF(DAY.NE.DAYL.OR.P(32).NE.P32) CD32=COS(DR*(DAY-P(32)))
      IF(DAY.NE.DAYL.OR.P(39).NE.P39) CD39=COS(2.*DR*(DAY-P(39)))
      DAYL = DAY
      P14 = P(14)
      P18 = P(18)
      P32 = P(32)
      P39 = P(39)
C         F10.7 EFFECT
      DF = F107 - F107A
      DFA=F107A-150.
      T(1) =  P(20)*DF + P(21)*DF*DF + P(22)*DFA
     & + P(30)*DFA**2
      F1 = 1. + (P(48)*DFA +P(20)*DF+P(21)*DF*DF)*SWC(1)
      F2 = 1. + (P(50)*DFA+P(20)*DF+P(21)*DF*DF)*SWC(1)
C        TIME INDEPENDENT
      T(2) =
     1  (P(2)*PLG(3,1) + P(3)*PLG(5,1)+P(23)*PLG(7,1))
     & +(P(15)*PLG(3,1))*DFA*SWC(1)
     2 +P(27)*PLG(2,1)
C        SYMMETRICAL ANNUAL
      T(3) =
     1 (P(19) )*CD32
C        SYMMETRICAL SEMIANNUAL
      T(4) =
     1 (P(16)+P(17)*PLG(3,1))*CD18
C        ASYMMETRICAL ANNUAL
      T(5) =  F1*
     1  (P(10)*PLG(2,1) + P(11)*PLG(4,1))*CD14
C         ASYMMETRICAL SEMIANNUAL
      T(6) =    P(38)*PLG(2,1)*CD39
C        DIURNAL
      T71 = (P(12)*PLG(3,2) + P(36)*PLG(2,2))*CD14*SWC(5)
      T72 = (P(13)*PLG(3,2) + P(37)*PLG(2,2))*CD14*SWC(5)
      T(7) = F2*
     1 ((P(4)*PLG(2,2) + P(5)*PLG(4,2) + P(28)*PLG(6,2)
     2 + T71)*CTLOC
     4 + (P(7)*PLG(2,2) + P(8)*PLG(4,2) +P(29)*PLG(6,2)
     5 + T72)*STLOC)
C        SEMIDIURNAL
      T81 = (P(24)*PLG(4,3))*CD14*SWC(5)
      T82 = (P(34)*PLG(4,3))*CD14*SWC(5)
      T(8) = F2*
     1 ((P(6)*PLG(3,3) + P(42)*PLG(5,3) + T81)*C2TLOC
     3 +(P(9)*PLG(3,3) + P(43)*PLG(5,3) + T82)*S2TLOC)
C        TERDIURNAL
      T(14) = F2*
     1 ((P(40)*PLG(4,4)+(P(94)*PLG(5,4)+P(47)*PLG(7,4))*CD14*SWC(5))*
     $ S3TLOC
     2 +(P(41)*PLG(4,4)+(P(95)*PLG(5,4)+P(49)*PLG(7,4))*CD14*SWC(5))*
     $ C3TLOC)
C          MAGNETIC ACTIVITY BASED ON DAILY AP
      IF(SW(9).EQ.-1. .AND. P(52).NE.0.) GO TO 30
      APD=(AP(1)-4.)
      P44=P(44)
      P45=P(45)
      IF(P44.LT.0) P44=1.E-5
      AP4AP=P44*APD
      IF(AP4AP.GT.70.0)AP4AP=70.0
      APDF = (APD+(P45-1.)*(APD+(EXP(-AP4AP)-1.)/P44  ))
      T(9)=APDF*(P(33)+P(46)*PLG(3,1)+P(35)*PLG(5,1)+
     $ (P(101)*PLG(2,1)+P(102)*PLG(4,1)+P(103)*PLG(6,1))*CD14*SWC(5)+
     $ (P(122)*PLG(2,2)+P(123)*PLG(4,2)+P(124)*PLG(6,2))*SWC(7)*
     $ COS(HR*(TLOC-P(125))))
      GO TO 40
C         MAGNETIC ACTIVITY BASED ON 3HR AP
   30 CONTINUE
      EXPPP=10800.0*ABS(P(52))/(1.+P(139)*(45.-ABS(LAT)))
      IF(EXPPP.GT.70.0)EXPPP=70.0
      EXP1 = EXP(-EXPPP)
      IF(EXP1.GT..99999) EXP1=.99999
      EXPPP=10800.0*ABS(P(54))
      IF(EXPPP.GT.70.0)EXPPP=70.0
      EXP2 = EXP(-EXPPP)
      IF(EXP2.GT..99999) EXP2=.99999
      IF(P(25).LT.1.E-4) P(25)=1.E-4
      APT(1)=SG0(EXP1)
      APT(3)=SG0(EXP2)
      T(9) = APT(1)*(P(51)+P(97)*PLG(3,1)+P(55)*PLG(5,1)+
     $ (P(126)*PLG(2,1)+P(127)*PLG(4,1)+P(128)*PLG(6,1))*CD14*SWC(5)+
     $ (P(129)*PLG(2,2)+P(130)*PLG(4,2)+P(131)*PLG(6,2))*SWC(7)*
     $ COS(HR*(TLOC-P(132))))
  40  CONTINUE
      IF(SW(10).EQ.0.OR.LONG.LE.-1000.) GO TO 49
C        LONGITUDINAL
      T(11)= (1.+P(90)*PLG(2,1))*(1.+P(81)*DFA*SWC(1))*
     $((P(65)*PLG(3,2)+P(66)*PLG(5,2)+P(67)*PLG(7,2)
     $ +P(104)*PLG(2,2)+P(105)*PLG(4,2)+P(106)*PLG(6,2)
     $ +SWC(5)*(P(110)*PLG(2,2)+P(111)*PLG(4,2)+P(112)*PLG(6,2))*CD14)*
     $     COS(DGTR*LONG)
     $ +(P(91)*PLG(3,2)+P(92)*PLG(5,2)+P(93)*PLG(7,2)
     $ +P(107)*PLG(2,2)+P(108)*PLG(4,2)+P(109)*PLG(6,2)
     $ +SWC(5)*(P(113)*PLG(2,2)+P(114)*PLG(4,2)+P(115)*PLG(6,2))*CD14)*
     $  SIN(DGTR*LONG))
C        UT AND MIXED UT,LONGITUDE
      T(12)=(1.+P(96)*PLG(2,1))*(1.+P(82)*DFA*SWC(1))*
     $(1.+P(120)*PLG(2,1)*SWC(5)*CD14)*
     $((P(69)*PLG(2,1)+P(70)*PLG(4,1)+P(71)*PLG(6,1))*
     $     COS(SR*(SEC-P(72))))
      T(12)=T(12)+SWC(11)*
     $ (P(77)*PLG(4,3)+P(78)*PLG(6,3)+P(79)*PLG(8,3))*
     $     COS(SR*(SEC-P(80))+2.*DGTR*LONG)*(1.+P(138)*DFA*SWC(1))
C        UT,LONGITUDE MAGNETIC ACTIVITY
      IF(SW(9).EQ.-1. .AND. P(52).NE.0.) GO TO 45
      T(13)= APDF*SWC(11)*(1.+P(121)*PLG(2,1))*
     $((P( 61)*PLG(3,2)+P( 62)*PLG(5,2)+P( 63)*PLG(7,2))*
     $     COS(DGTR*(LONG-P( 64))))
     $ + APDF*SWC(11)*SWC(5)*
     $ (P(116)*PLG(2,2)+P(117)*PLG(4,2)+P(118)*PLG(6,2))*
     $     CD14*COS(DGTR*(LONG-P(119)))
     $ + APDF*SWC(12)*
     $ (P( 84)*PLG(2,1)+P( 85)*PLG(4,1)+P( 86)*PLG(6,1))*
     $     COS(SR*(SEC-P( 76)))
      GOTO 48
   45 CONTINUE
      T(13)=APT(1)*SWC(11)*(1.+P(133)*PLG(2,1))*
     $((P(53)*PLG(3,2)+P(99)*PLG(5,2)+P(68)*PLG(7,2))*
     $     COS(DGTR*(LONG-P(98))))
     $ +APT(1)*SWC(11)*SWC(5)*
     $ (P(134)*PLG(2,2)+P(135)*PLG(4,2)+P(136)*PLG(6,2))*
     $    CD14*COS(DGTR*(LONG-P(137)))
     $ +APT(1)*SWC(12)*
     $ (P(56)*PLG(2,1)+P(57)*PLG(4,1)+P(58)*PLG(6,1))*
     $     COS(SR*(SEC-P(59)))
   48 CONTINUE
C  PARMS NOT USED: 60,83,100,140-150
   49 TINF = 0.
      IF(SW(9).EQ.-1.) TINF=P(31)
      DO 50 I = 1,NSW
   50 TINF = TINF + ABS(SW(I))*T(I)
      GLOBE5 = TINF
      RETURN
      END
C---------------------------------------------------------------
      SUBROUTINE TSELEC(SV)
C        SET SWITCHES
      DIMENSION SV(25),SAV(25),SVV(25)
      COMMON/CSW/SW(25),ISW,SWC(25)
      DO 100 I = 1,25
        SAV(I)=SV(I)
        SW(I)=AMOD(SV(I),2.)
        IF(ABS(SV(I)).GT.0.) THEN
          SWC(I)=1.
        ELSE
          SWC(I)=0.
        ENDIF
  100 CONTINUE
      ISW=64999
      RETURN
      ENTRY TRETRE(SVV)
      DO 200 I=1,25
        SVV(I)=SAV(I)
  200 CONTINUE
      END
C--------------------------------------------------------------------
      FUNCTION GLOB5L(P)
C      LIMITED PARAMETER VERSION OF GLOBE 9/2/82
C       CALCULATE G(L) FUNCTION FOR MSIS-86/CIRA 1986
C       LOWER THERMOSPHERE PARAMETERS
      COMMON/LPOLY/PLG(9,4),CTLOC,STLOC,C2TLOC,S2TLOC,C3TLOC,S3TLOC,
     $ IYR,DAY,            DF,DFA,APD,APDF,APT(4)
     > ,CD7,CD9,CD11,CD14,C2D14,CD18,CD32,CD39
      COMMON/CSW/SW(25),ISW,SWC(25)
      DIMENSION P(150),T(15)
      DATA DR/1.72142E-2/,T/15*0./
      DATA DAYL/-1./,P7/-1000./,P9/-1000./,P11/-1000./
      IF(DAY.NE.DAYL.OR.P7.NE.P(7)) CD7=COS(DR*(DAY-P(7)))
      IF(DAY.NE.DAYL.OR.P9.NE.P(9)) CD9=COS(2.*DR*(DAY-P(9)))
      IF(DAY.NE.DAYL.OR.P11.NE.P(11)) CD11=COS(DR*(DAY-P(11)))
      DAYL=DAY
      P7=P(7)
      P9=P(9)
      P11=P(11)
C
      T(1)=P(2)*DFA
      T(2)=P(4)*PLG(3,1)
      T(3)=P(6)*CD7
      T(4)=(P(8) )*CD9
      T(5)=(P(10)*PLG(2,1)+P(22)*PLG(4,1))*CD11
      T(6)=0.
      T(7)=(P(14)*PLG(2,2)*CTLOC+P(15)*PLG(2,2)*STLOC)
      T(8)=(P(16)*PLG(3,3)+P(18)*PLG(5,3)
     $     +(P(20)*PLG(6,3))*CD11*SWC(5)
     $     )*C2TLOC
     $     +(P(17)*PLG(3,3)+P(19)*PLG(5,3)
     $     +(P(21)*PLG(6,3))*CD11*SWC(5)
     $     )*S2TLOC
      T(14)=(P(12)*PLG(4,4)*C3TLOC
     $     +P(25)*PLG(4,4)*S3TLOC)
      IF(SW(9).EQ.1)
     $ T(9)=APDF*(P(23)+P(24)*PLG(3,1)*SWC(2))
      IF(SW(9).EQ.-1)
     $ T(9)=(P(3)*APT(3)+P(5)*PLG(3,1)*APT(3)*SWC(2))
C       PARMS NOT USED: 13
      TT=0.
      DO 50 I=1,14
   50 TT=TT+ABS(SW(I))*T(I)
      GLOB5L=TT
      RETURN
      END
C--------------------------------------------------------------------
      FUNCTION DNET(DD,DM,ZHM,XMM,XM)
C       8/20/80
C       TURBOPAUSE CORRECTION
C       EQ. A12B
      A=ZHM/(XMM-XM)
C       EQ. A12A
      YLOG=A*ALOG(DM/DD)
      IF(YLOG.LT.-10.) GO TO 10
      IF(YLOG.GT.10.)  GO TO 20
        DNET=DD*(1.+EXP(YLOG))**(1/A)
        GO TO 50
   10 CONTINUE
        DNET=DD
        GO TO 50
   20 CONTINUE
        DNET=DM
        GO TO 50
   50 CONTINUE
      RETURN
      END
C------------------------------------------------------------------
      FUNCTION  CCOR(ALT, R,H1,ZH)
C        CHEMISTRY/DISSOCIATION CORRECTION
C     EQ. A20A OR EQ. A21
      E=(ALT-ZH)/H1
      IF(E.GT.70.) GO TO 20
      IF(E.LT.-70.) GO TO 10
        EX=EXP(E)
        CCOR=R/(1.+EX)
        GO TO 50
   10   CCOR=R
        GO TO 50
   20   CCOR=0.
        GO TO 50
   50 CONTINUE
      IF(CCOR.GT.70.0)CCOR=70.0
      CCOR=EXP(CCOR)
       RETURN
      END
C--------------------------------------------------------------------
      SUBROUTINE PARMS5
C          CIRA     11-FEB-86
      DIMENSION ISD(3),IST(2)
      COMMON/PARMB/GSURF,RE
      COMMON/PARM5/PT1(50),PT2(50),PT3(50),PA1(50),PA2(50),PA3(50),
     * PB1(50),PB2(50),PB3(50),PC1(50),PC2(50),PC3(50),
     * PD1(50),PD2(50),PD3(50),PE1(50),PE2(50),PE3(50),
     * PF1(50),PF2(50),PF3(50),PG1(50),PG2(50),PG3(50),
     * PH1(50),PH2(50),PH3(50),PI1(50)
      COMMON/LOWER5/PTM(8),PDM(8,7)
      CHARACTER*4 ISDATE,ISTIME,NAME,ISD,IST
      COMMON/DATET/ISDATE(3),ISTIME(2),NAME(2)
      DATA ISD/'11-F','EB-8','6   '/,IST/'18:2','3:31'/
      DO 10 I=1,3
        ISDATE(I)=ISD(I)
 10   CONTINUE
      DO 20 I=1,2
        ISTIME(I)=IST(I)
 20   CONTINUE
      NAME(1)='CIRA'
      NAME(2)='-86 '
      END
      BLOCK DATA UARMSG
C          CIRA     11-FEB-86
      COMMON/PARMB/GSURF,RE
      COMMON/PARM5/PT1(50),PT2(50),PT3(50),PA1(50),PA2(50),PA3(50),
     * PB1(50),PB2(50),PB3(50),PC1(50),PC2(50),PC3(50),
     * PD1(50),PD2(50),PD3(50),PE1(50),PE2(50),PE3(50),
     * PF1(50),PF2(50),PF3(50),PG1(50),PG2(50),PG3(50),
     * PH1(50),PH2(50),PH3(50),PI1(50)
      COMMON/LOWER5/PTM(8),PDM(8,7)
      CHARACTER*4 ISDATE,ISTIME,NAME
      COMMON/DATET/ISDATE(3),ISTIME(2),NAME(2)
      DATA GSURF,RE/980.665,6356.77/
C         TEMPERATURE
      DATA PT1/
     *  9.96040E-01, 3.85528E-02, 3.03445E-03,-1.05531E-01,-6.07134E-03,
     * -5.16278E-04,-1.15622E-01, 2.02240E-03, 9.90156E-03,-1.27371E-01,
     * -3.02449E-02, 1.23512E-02,-5.26277E-03,-8.45398E+00, 0.00000E+00,
     *  1.42370E-02, 0.00000E+00, 1.25818E+02, 8.05486E-03, 1.64419E-03,
     * -6.21452E-06, 3.11701E-03, 0.00000E+00, 3.86578E-03, 1.32397E-01,
     *  2.13315E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00,-6.41110E-06,
     *  0.00000E+00, 3.00150E+01, 5.33297E-03, 3.89146E-03, 2.04725E-03,
     *  0.00000E+00, 0.00000E+00,-1.92645E-02, 2.75905E+00, 1.47284E-03,
     *  3.41345E-04,-1.17388E-03,-3.54589E-04, 1.13139E-01, 1.69134E-01,
     *  5.08295E-03, 3.65016E-05, 4.26385E-03, 1.15102E-04, 5.11819E-03/
      DATA PT2/
     *  6.09108E-03, 4.04995E-05, 1.53049E-03, 2.41470E-05, 2.30764E-03,
     *  1.55267E-03, 1.33722E-03,-1.82318E-03,-2.63007E+02, 0.00000E+00,
     *  1.37337E-03, 9.95774E-04, 0.00000E+00,-1.08983E+02, 5.62606E-03,
     *  5.94053E-03, 1.09358E-03, 0.00000E+00,-1.33410E-02,-2.43409E-02,
     * -1.35688E-02, 3.11370E+04, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     * -2.83023E+03, 8.45583E-04, 5.38706E-04, 0.00000E+00, 2.47956E+02,
     *  2.92246E-03, 0.00000E+00, 0.00000E+00, 7.47703E-05, 8.87993E-04,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     * -1.16540E-02,-4.49173E-03,-3.53189E-04,-1.73933E-04,-1.53218E-04,
     * -5.65411E-01, 7.77272E-03,-9.11784E+01, 6.45187E-04, 0.00000E+00/
      DATA PT3/
     * -8.37685E-04, 2.42318E-03, 4.73796E-03,-3.01801E-03,-4.23564E-03,
     * -2.48289E-03, 9.19286E-04, 2.16372E-03, 8.63968E-04, 1.89689E-03,
     *  4.15654E-03, 0.00000E+00, 1.18068E-02, 3.31190E-03, 0.00000E+00,
     *  1.20222E-03, 0.00000E+00, 0.00000E+00,-3.07246E+00, 0.00000E+00,
     *  0.00000E+00, 6.72403E-04, 1.08930E-03, 9.72278E-04, 4.68242E+00,
     * -3.15034E-04, 4.00059E-03, 5.15036E-03, 1.62989E-03, 1.08824E-03,
     *  9.95261E-04, 4.18955E+00,-3.64059E-01, 1.70182E-03, 0.00000E+00,
     *  0.00000E+00,-3.20120E+00, 0.00000E+00, 5.80206E-03, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
C         HE DENSITY
      DATA PA1/
     *  1.04934E+00,-2.88362E-02,-2.07095E-01,-1.03314E-01,-7.02373E-03,
     *  1.29664E-02, 4.08853E-01,-9.19895E-03,-1.88660E-02, 1.40927E+00,
     *  1.75033E-01, 1.87351E-02, 1.10979E-01,-7.42871E+00, 0.00000E+00,
     *  2.67143E-01,-5.95979E-02, 1.05038E+02,-8.40963E-02,-6.97632E-04,
     *  2.06521E-06, 7.65306E-04, 0.00000E+00, 0.00000E+00, 1.26762E-01,
     *  1.28876E-01,-5.04479E-02,-1.30735E-02,-2.24348E-02, 0.00000E+00,
     *  0.00000E+00,-1.50832E+02,-6.29928E-03, 0.00000E+00,-4.07760E-03,
     *  0.00000E+00, 0.00000E+00, 5.25725E-02,-3.11486E+01,-3.13351E-03,
     *  2.75838E-03, 0.00000E+00, 0.00000E+00, 1.11247E-01, 1.08815E-01,
     * -4.66713E-02, 0.00000E+00,-3.29329E-03, 0.00000E+00, 1.67838E-03/
      DATA PA2/
     * -9.16691E-03, 3.45044E-05,-9.71806E-03, 0.00000E+00,-2.04672E-03,
     * -7.86899E-03,-7.98285E-03, 5.36515E-03,-5.31172E+03, 0.00000E+00,
     * -6.42781E-03,-1.71690E-03, 0.00000E+00,-6.79131E+01,-1.79912E-02,
     * -1.58305E-02,-7.12313E-03, 0.00000E+00, 2.53477E-02, 8.52960E-02,
     *  1.02163E-01, 2.95009E+04, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     * -6.84625E+03,-6.19098E-03,-2.69289E-03, 0.00000E+00,-5.20231E+02,
     * -6.33463E-03, 0.00000E+00, 0.00000E+00,-6.02428E-03,-4.07077E-03,
     *  5.42264E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  4.07560E-02, 2.82288E-02, 9.08088E-03, 0.00000E+00, 0.00000E+00,
     * -4.05204E-01,-5.97931E-02,-7.31823E+01,-2.06620E-03, 0.00000E+00/
      DATA PA3/
     * -3.72723E-03,-1.88146E-02,-1.01794E-02, 8.04633E-03, 1.01090E-02,
     *  8.73253E-03, 2.38268E-02, 4.80444E-03, 1.71088E-03, 3.96369E-02,
     * -2.13809E-02, 0.00000E+00,-1.02588E-01,-5.91702E-03, 0.00000E+00,
     *  2.70923E-03, 0.00000E+00, 0.00000E+00,-1.75043E+02, 6.03489E-01,
     * -6.17589E-01, 8.38098E-03, 1.83871E-03,-7.05329E-04,-4.06644E+00,
     * -5.09347E-03,-2.84344E-02,-1.24160E-02, 1.33665E-02, 3.93410E-03,
     * -5.03723E-04,-4.57683E+00,-5.29542E-01,-4.25812E-03, 0.00000E+00,
     *  0.00000E+00, 1.91541E+01, 0.00000E+00, 3.23247E-03, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
C         O DENSITY
      DATA PB1/
     *  9.31113E-01,-1.38721E-01,-1.33457E-01,-5.29542E-02,-4.44983E-03,
     *  1.35264E-02, 5.98075E-02,-3.62880E-02,-3.12798E-02, 3.72068E-01,
     *  2.95974E-02, 1.20509E-02, 5.21995E-02,-7.78888E+00, 0.00000E+00,
     *  1.18634E-01,-2.04495E-02, 1.03280E+02, 9.82432E-02, 4.77694E-04,
     *  0.00000E+00, 2.74372E-03, 0.00000E+00, 0.00000E+00, 7.57809E-02,
     *  1.71403E-01,-1.05205E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00,-8.73348E+00,-5.81094E-03, 0.00000E+00,-8.14944E-03,
     *  0.00000E+00, 0.00000E+00, 5.17255E-02,-1.53028E+01,-3.48932E-03,
     *  9.61771E-04, 5.57732E-03,-4.54180E-04, 9.88213E-02, 9.40456E-02,
     * -3.18797E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.32122E-03/
      DATA PB2/
     * -6.00220E-03, 2.77654E-05,-3.22019E-03, 0.00000E+00,-3.78551E-03,
     * -3.34809E-03,-1.70668E-03, 0.00000E+00, 6.36184E+03, 0.00000E+00,
     *  1.59986E-03,-3.88204E-03,-1.64825E-03,-7.47955E+01,-1.05360E-02,
     * -9.45723E-03,-1.59824E-03,-7.06730E-04,-1.68513E-02,-1.13023E-01,
     * -6.36637E-02,-1.37709E+04, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     * -1.52368E+04,-5.86061E-03,-2.53108E-03, 0.00000E+00,-2.54837E+03,
     * -3.28988E-03, 0.00000E+00, 0.00000E+00,-2.76364E-03, 9.67923E-03,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  4.34255E-02, 1.14020E-02,-6.18447E-03, 0.00000E+00, 0.00000E+00,
     * -3.02568E-01,-3.27694E-02,-6.71589E+01,-2.28340E-03, 0.00000E+00/
      DATA PB3/
     *  3.06230E-03,-4.65113E-03,-9.73421E-03, 1.28326E-02, 7.88553E-03,
     *  7.97197E-03,-1.20760E-02,-7.67547E-03,-1.20755E-03,-2.98523E-02,
     * -1.26560E-02, 0.00000E+00,-5.68350E-02,-1.53039E-02, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 2.42911E-03,-4.01347E-03,-2.19074E-03, 3.11281E+00,
     *  3.23251E-03,-6.39523E-03,-6.63069E-03,-3.04403E-04,-4.01920E-03,
     * -1.18708E-03, 4.15211E+00,-2.01896E-01, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
C         N2 DENSITY & TLB
      DATA PC1/
     *  1.06903E+00, 3.77113E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  8.98481E-02,-2.36325E+01, 2.08180E-02, 1.39638E+02,-1.19444E-01,
     * -8.45398E+00,-3.99776E-06, 0.00000E+00, 3.66210E-03,-1.78929E-03,
     *  1.90412E-02,-3.92257E-02, 6.32343E-03, 5.48144E-03, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,-2.43022E-03,
     *  9.76619E-01, 5.68478E-04, 5.82026E-03, 0.00000E+00, 6.21998E-03,
     *  0.00000E+00, 0.00000E+00, 1.07674E-02, 8.93820E+01,-1.92414E-02,
     * -8.45398E+00, 0.00000E+00, 0.00000E+00,-2.00200E-02,-1.95833E-03,
     * -9.38391E-03, 1.31480E-02,-2.60147E-03,-8.08556E-04, 5.11651E-05,
     *  2.55717E-03, 0.00000E+00, 4.66814E-03, 6.64196E-03, 0.00000E+00/
C         Z0 & T0
      DATA PC2/
     *  9.98594E-01, 1.90038E-04, 0.00000E+00,-2.43825E-02, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 5.22105E-02,
     * -8.45398E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  7.67271E-03, 5.64539E-03,-2.70623E-03,-5.26454E-04, 1.37075E-03,
     *  1.33060E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  9.49197E-01, 0.00000E+00, 0.00000E+00,-7.68008E-02, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00,-1.37993E-02,-1.40136E+00, 1.20481E-01,
     * -8.45398E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  9.87746E-03, 1.75330E-03,-6.88835E-04, 2.87022E-03, 0.00000E+00,
     *  0.00000E+00, 7.44513E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00/
C         TR
      DATA PC3/
     *  1.52840E-01, 0.00000E+00, 0.00000E+00, 1.16252E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,-6.49190E-01,
     * -8.45398E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     * -5.84949E-02,-1.02105E-01, 2.99153E-02,-4.86227E-02, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
C         O2 DENSITY
      DATA PD1/
     *  9.31402E-01, 1.37976E-01, 0.00000E+00, 3.23736E-04, 0.00000E+00,
     * -9.10906E-03, 7.07506E-02, 0.00000E+00,-5.16650E-02, 6.89755E-02,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00,-8.45398E+00, 0.00000E+00,
     *  2.81140E-02, 0.00000E+00, 7.36009E+01, 5.96604E-02, 0.00000E+00,
     *  0.00000E+00,-1.51792E-03, 0.00000E+00, 0.00000E+00, 1.32397E-01,
     *  2.13315E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 9.48758E+00, 8.84541E-03, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 1.13139E-01, 1.69134E-01,
     *  1.45192E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
      DATA PD2/
     *  1.07906E-02, 2.99942E-05, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,-1.48930E-02,
     * -7.87184E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     * -6.83420E-02,-4.41778E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 2.29730E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00/
      DATA PD3/
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
C         AR DENSITY
      DATA PE1/
     *  8.68053E-01, 2.36364E-01, 1.34306E-01, 1.03086E-02, 0.00000E+00,
     * -3.79164E-03,-1.57806E-01, 0.00000E+00,-5.87644E-02,-3.12508E-01,
     *  0.00000E+00, 4.37387E-02,-3.54091E-02,-2.23636E+01, 0.00000E+00,
     * -5.33976E-02, 0.00000E+00, 1.14091E+02, 5.17497E-02, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.32397E-01,
     *  2.13315E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 3.42702E+02, 1.57033E-02, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,-3.66278E-03,
     * -1.16193E-03, 0.00000E+00, 0.00000E+00, 1.13139E-01, 1.69134E-01,
     *  1.78431E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
      DATA PE2/
     *  1.62864E-02, 3.16963E-05, 1.27968E-02, 0.00000E+00, 0.00000E+00,
     * -7.04599E-03, 2.07921E-03, 6.36660E-03, 2.29940E+04, 0.00000E+00,
     *  1.27833E-02,-2.08036E-03,-4.61820E-03,-6.29391E+01,-1.20745E-02,
     *  1.36675E-02, 1.36011E-02,-5.37162E-03, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  1.92509E+04, 8.35522E-03, 4.19439E-03, 0.00000E+00, 1.20366E+04,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00,-1.00034E-02,-2.33267E-03,
     *  9.72374E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     * -2.65079E-02,-2.09125E-02,-1.09465E-02, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 2.17252E-02,-7.12385E+01,-1.89428E-03, 0.00000E+00/
      DATA PE3/
     * -6.02006E-03, 1.69058E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.90646E-02,
     *  3.48971E-03, 0.00000E+00, 5.01174E-02, 5.50595E-02, 0.00000E+00,
     * -9.55897E-03, 0.00000E+00, 0.00000E+00,-1.51693E+03, 0.00000E+00,
     *  0.00000E+00, 1.29306E-02, 2.69567E-03, 0.00000E+00, 3.92243E+00,
     * -8.47690E-03, 1.16896E-02, 0.00000E+00, 1.48967E-02, 5.44521E-03,
     *  0.00000E+00, 5.64918E+00, 0.00000E+00,-7.72178E-03, 0.00000E+00,
     *  0.00000E+00,-7.34042E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
C          H DENSITY
      DATA PF1/
     *  1.27515E+00,-2.10472E-01,-1.77924E-01, 2.18900E-01, 2.88436E-02,
     *  1.90077E-02, 2.91001E-01, 2.17437E-02,-1.05186E-02, 4.36141E-01,
     *  1.07605E-01, 3.30755E-02, 4.00581E-02,-9.58051E+00, 0.00000E+00,
     *  1.54028E-02, 0.00000E+00, 7.34194E+01, 4.96540E-02,-5.95906E-03,
     *  3.84512E-05,-1.36000E-02, 0.00000E+00, 0.00000E+00, 1.32397E-01,
     *  2.13315E-01,-4.16610E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 1.46276E+02,-1.98408E-02, 0.00000E+00, 1.32530E-02,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,-1.04687E-04,
     * -1.47562E-03, 0.00000E+00, 0.00000E+00, 1.13139E-01, 1.69134E-01,
     * -1.26913E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00,-6.08370E-03/
      DATA PF2/
     * -2.57587E-02, 3.19022E-05, 0.00000E+00, 0.00000E+00, 1.56644E-02,
     *  1.03640E-02, 1.05771E-03, 0.00000E+00, 3.57949E+03, 0.00000E+00,
     * -1.25672E-03, 1.52783E-03, 1.30518E-03, 7.55558E+00,-9.20341E-03,
     * -2.09142E-02,-1.34106E-02, 0.00000E+00,-4.83312E-02, 8.30900E-02,
     *  9.88009E-02,-1.41148E+04, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     * -1.05513E+03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 6.73442E-03, 2.01691E-03,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  5.98019E-02, 6.33298E-03,-1.12871E-03, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00,-1.28604E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00/
      DATA PF3/
     * -4.94960E-03,-1.36415E-02,-1.15039E-02, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00,-5.86860E-03,-1.41732E-03, 2.13697E-03, 2.63845E+00,
     * -8.34186E-03,-1.87336E-02,-1.90870E-02,-8.03810E-03,-2.84279E-03,
     *  2.56722E-03, 1.71429E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
C          N DENSITY
      DATA PG1/
     *  5.73587E+01,-3.98747E-01, 0.00000E+00,-5.29554E-01,-5.82186E-03,
     *  7.14177E-02,-6.79279E-01,-1.67715E-01,-6.42434E-02,-2.11569E-01,
     * -1.59922E-01,-1.71024E-04,-1.15885E-01, 6.51603E+00, 0.00000E+00,
     * -1.76683E-01, 6.50395E-02, 1.43504E+00, 9.28208E-02, 5.11662E-03,
     *  0.00000E+00, 9.95121E-03, 0.00000E+00, 0.00000E+00, 1.32397E-01,
     *  2.13315E-01, 1.01451E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 5.67667E+01, 2.38192E-03, 0.00000E+00,-1.88240E-02,
     *  0.00000E+00, 0.00000E+00, 4.76218E-02, 2.35206E+01, 4.75901E-03,
     *  5.76162E-03, 1.51815E-02,-1.92730E-02, 1.13139E-01, 1.69134E-01,
     * -2.88771E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.18418E-03/
      DATA PG2/
     * -3.68927E-03, 3.14704E-05, 8.82198E-03, 0.00000E+00,-1.92562E-02,
     * -2.58674E-03,-2.19913E-02, 0.00000E+00, 4.38655E+03, 0.00000E+00,
     *  7.60126E-03, 2.59438E-03, 1.72310E-03, 7.79204E+01, 7.97786E-04,
     * -7.70510E-03, 1.90982E-03, 2.72707E-03, 1.01016E-02, 1.16537E-01,
     * -3.12236E-03, 1.39783E+04, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     * -1.30712E+03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00,-3.20544E-03,-2.06970E-02,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  1.59010E-02,-1.91427E-03,-3.42829E-02, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00,-3.45379E-02, 8.94518E+01, 1.71556E-03, 0.00000E+00/
      DATA PG3/
     * -7.65278E-03,-2.08987E-04,-1.57393E-02, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00,-8.60673E-03,-1.19922E-02,-6.46356E-03,-3.00107E+00,
     * -9.32511E-03,-1.50205E-02,-8.67835E-03,-7.64801E-03,-1.31495E-02,
     * -6.76720E-03,-1.82396E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
C          S PARAM
      DATA PH1/
     *  9.51363E-01,-4.67542E-02, 1.20260E-01, 0.00000E+00, 0.00000E+00,
     *  1.91357E-02, 0.00000E+00, 0.00000E+00, 1.25429E-03,-1.33240E-01,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00,-8.45398E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 2.52317E-03, 0.00000E+00,-9.73404E-03, 1.32397E-01,
     *  2.13315E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00,-7.18482E-04, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 7.87683E-03,-2.33698E-03, 1.13139E-01, 1.69134E-01,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
      DATA PH2/
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
      DATA PH3/
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00/
C          TURBO
      DATA PI1/
     *  9.33804E-01, 5.47446E+00, 1.53263E-01, 9.19303E-01, 1.64109E+01,
     *  4.27083E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *  1.15897E+00, 4.71094E-01, 1.09459E+00, 5.25012E+00, 1.00000E+00,
     *  1.00000E+00, 1.03999E+00, 7.67132E-01, 1.10514E+00, 1.75636E+00,
     *  1.10845E+00, 2.33439E+00, 7.96532E-01, 4.31520E+00, 4.07300E+00,
     *  1.01885E+00, 2.39547E-01, 2.53791E-06, 8.42931E-01, 1.04192E+00,
     *  2.00202E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00/
C         LOWER BOUNDARY
      DATA PTM/      1.04130E+03, 3.86000E+02, 1.90000E+02, 1.66728E+01,
     *  1.15000E+02, 1.20000E+02, 9.45537E+01, 0.00000E+00/
      DATA PDM/
     *               2.45600E+07, 6.71072E-06, 1.00000E+02, 0.00000E+00,
     *  1.10000E+02, 1.00000E+01, 0.00000E+00, 0.00000E+00,
     *               8.59400E+10, 5.40000E-01, 1.05000E+02,-8.00000E+00,
     *  1.10000E+02, 1.00000E+01, 9.00000E+01, 2.00000E+00,
     *               2.81000E+11, 0.00000E+00, 1.05000E+02, 2.80000E+01,
     *  2.89500E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00,
     *               3.30000E+10, 2.68270E-01, 1.05000E+02, 0.00000E+00,
     *  1.10000E+02, 1.00000E+01, 0.00000E+00, 0.00000E+00,
     *               1.33000E+09, 1.19615E-02, 1.05000E+02, 0.00000E+00,
     *  1.10000E+02, 1.00000E+01, 0.00000E+00, 0.00000E+00,
     *               1.76100E+05, 1.00000E+00, 9.50000E+01,-8.00000E+00,
     *  1.10000E+02, 1.00000E+01, 9.00000E+01, 2.00000E+00,
     *               1.00000E+07, 1.00000E+00, 1.05000E+02,-8.00000E+00,
     *  1.10000E+02, 1.00000E+01, 9.00000E+01, 2.00000E+00/
      END
