C.................... RSMNSD.FOR;1 ..........14-SEP-1994 09:32:06.78 
C      PROGRAM FLIP
C.... this main module for the Field Line Interhemispheric Plasma (FLIP)
C.... model. It reads initial conditions and sets up the
C.... coordinate system and neutral atmosphere, note s(4500) for d300
C
      SUBROUTINE FLIP(nst)
      USE INPARM

      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      INTEGER ION,NEQ,WUNIT8,IRIHED,ICAUTN,IVERT,IVPERP,NCOL_EXB,JDAY
     > ,UTORLT,KPIND,nst,jbn,jbs,err0,JBNS,JBSS,LNBLNK
      REAL SEC,DEC,ETRAN,F107,F107A,AP,BLON,D,T,CHI,SATN,SATF,SAT,EUV
     > ,UVFAC,GLON,GLONN,GLONF,CHIN,CHIF,GLATN,GLATF,GLATJ,AP3HR(4001)
     > ,GRD,RATFAC,SW(25),UTHRS,UHED(2),DECMAG,SATEQ,L_STAG,L_SHORT
     > ,RE,PLAT,PLON,PI,ANGVEL,TIMEON,TIMEOF,AURFAC,ZTOPTE,L_PHASE,SX
     > ,TD_PHASE,DELTIM,PHASE,SECWF8,GLOND,GLATD,BCOMPU,KPREAL
     > ,HWM,HWMUT,FACNEUN,FACNEUS,TNFAC,HP_NEW,HRATE
      DIMENSION S(50000),D(8),T(2),FD(9),COSDIP(401),Q(401) !JNTU,RESULT(6)
     >   ,V(2),COOL(22)
      CHARACTER*6 suff

      REAL(8) NSA(4,401),TISA(3,401),USA(2,401),UESA(2,401),GLS(401)
      COMMON/SAVENTV/NSA,TISA,USA,UESA,GLS

C..... J.-N. Tu 10/18/01
      common /HWMSISF/HWM(2),HWMUT(2),FACNEUN(3),FACNEUS(3),TNFAC
C.....
      COMMON/V91/RVBT(401)
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      COMMON/RFAC/RATFAC(99)
      COMMON/RK/VC(401)
      !----- common to hold the total ion production rates
      REAL SUMION,SUMEXC
      COMMON/BPRTOT/SUMION(3,12,401),SUMEXC(3,12,401)
      !.. N= [O+], [H+], sum minor, [He+] densities, Ti= H+,O+,e temps 
      !.. F= cty eqn functions
      COMMON/FJS/N(4,401),TI(3,401),F(20)
      !.. Ap, solar declination, ephemeris transit, magnetic longitude,
      !.. solar indices, UT in secs, magnetic latitude
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      !.. O+,H+ velocities, field factor (obsolete), magnetic field, 
      !.. GR=gravity, R=geocentric distance,SL= distance along B
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      !.. [O],[H],[N2],[O2], O+ photoionization rate, Tn
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      !.. used in minor ions [O+], V(O+), [He], ???, He+ prod, ???
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      !.. Altitude(km), time step, ???, ???, ???, ITF= change solution
      !.. mode, JMAX=# grid points, JMAX1=JMAX-1,# Newton iterations, # ions
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      !.. NSAVE= saved [O+] and [H+], O+, H+ flux, EHT=thermal e heating rate
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      !.. solar zenith angle, ??? ??? ??? ???, max # time steps ??? ???
      COMMON/LPS/SZA(401),EPSN,DC,ISPC,I1,I2,IPV,JTIMAX,IPP,ISKP
      !.. Stores vibrational N2 and odd N densities for printing. 
      !.. RCON= effect of vibrational N2 on O+ + N2 reaction
      COMMON/STAW/STR(12,401),RCON(401)
      !.. Factors for multiplying EUV, UV, and MSIS
      COMMON/SOL/UVFAC(59),EUV
      !.. RE= Earth radius, (PLAT,PLON) = geographic location of north
      !.. magnetic pole, Pi, angular velocity of Earth 
      COMMON/GPAR/RE,PLAT,PLON,PI,ANGVEL
      !.. Minor ion and neutral densities O+(2D) O+(2P) N(2D) N(4S), NO 
      COMMON/MIB/OP2D(401),OP2P(401),N2D(401),N4S(401),NNO(401)
      !.. densities, velocities, and masses for minor ions solved by Newton
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
      !.. Common for O+ - O collision frequencies
      COMMON/CFACT/COLFAC,CFAC(9),ISCH(9)
      !.. Switches for wind type and equations solved
      COMMON/CONFAC/IWIND,IVIBN2,IODDN,INPLUS,IHEP,ITEMP,IHPOP
      !.. minor neutral species on field line grid
      COMMON/VODDN/VN2D(401),VN4S(401),VNNO(401),VO1D(401),IVERT
      !.. New Eq. [H+] for storm depletion or adjust. initial [H+] profile
      common/HPNEW/ HP_NEW,HRATE,ZDEPL,inpow   !JNTU
      common/LOSALIND/ILOS         !JNTU
      COMMON/bcgrids/jbn,jbs

c------- pass data back from GSK Y.J.SU on 10/6/95; JNTU 11/24/09
!north hemisphere
      common/denbackn/ Fb_denOn,Fb_denHn,Fb_denHEn,Fb_ddenOn,Fb_ddenHn
     >                ,Fb_ddenHEn
      common/velbackn/ Fb_velOn,Fb_velHn,Fb_velHEn,Fb_dvelOn,Fb_dvelHn
     >                ,Fb_dvelHEn
      common/tempbackn/ Fb_tempOn,Fb_tempHn,Fb_dtempOn,Fb_dtempHn
     >                 ,Fb_Ten,Fb_dTen
!south hemisphere
      common/denbacks/ Fb_denOs,Fb_denHs,Fb_denHEs,Fb_ddenOs,Fb_ddenHs
     >                ,Fb_ddenHEs
      common/velbacks/ Fb_velOs,Fb_velHs,Fb_velHEs,Fb_dvelOs,Fb_dvelHs
     >                ,Fb_dvelHEs
      common/tempbacks/ Fb_tempOs,Fb_tempHs,Fb_dtempOs,Fb_dtempHs
     >                 ,Fb_Tes,Fb_dTes

      !.. JB= grid point of lower boundary, 3 hour Aps, winds flag, SW=MSIS
      !.. switches, ZPROD = upper boundary for EUV ion production
      DATA JB/1/, AP3HR/-1,4000*0/, IWTIM/-1/,SW/15*1,10*1/,ZPROD/700./
      !.. ITSAV ITAU track elapsed time, ISOL= type of solution, HFAC=
      !.. e heating factor, MAXIT= max Newton iters, JTIDT used to set time
      !.. ZLBDY=lower boundary altitude for solving equations, IRIHED IRI/HWM
      !.. wind switch, max solar zenith angle for ion production
      DATA ITSAV,ITAU, ISOL, HFAC, MAXIT, JTIDT, ZLBDY,  IRIHED, SETCHI
     >  / -10000, 0  , -1  ,  0.0 ,  17  ,   5   , 120. ,  0   ,  1.7/
      !.. north/south lat and long 250 km above station, Z0=absolute lower
      !.. boudary altitude, SCAL, GRD scale grid B and vertical grid points
      DATA GLONN, GLONF, GLATN, GLATF, Z0, SCAL, GRD / 7*0.0/
      DATA JHFLX/0/,WUNIT8/1/,NCOL_EXB/0/, JJJ/0/, ICAUTN/0/
      DATA IVPERP/-1/,SCALK/-1.0/,PCO_MAX/0.0/, ISYM/0/, SECWF8/-999/
      DATA HMF2N,HMF2S,IDTSAVE/250.0,250.0,0/

      PCO=0.0
      JK=1
      JC=1
      RE=6371.2
      ANGVEL=5.2885E-9
      PI=3.14159
      IWW=0
      CALL FLIPIN(S)      !......... initialize arrays

!jntu      WRITE(6,676)
! 676  FORMAT(/6X,' ........ FLIP MODEL ExB version July 2001 .......'
!     > /,6X,'Before you submit a conference or journal paper using FLIP'
!     > /,6X,'model results, please consult Phil Richards about the'
!     > /,6X,'appropriate level of recognition (richards@cs.uah.edu).'/)

      !........ KMON= switch to subroutine for printing. ERR flag keeps
      !........ reading the headers until a proper value is obtained. If
      !........ KMON=-1, no need for large binary file (set NOWR8=1)
      NOWR8=0
      OPEN(15,FILE='/home/wangy/DyFk/FLIPRUN.DDD',
     >     STATUS='OLD',ERR=78)
      GOTO 137
 78   WRITE(6,79)
 79   FORMAT(/1X,' *** The FLIPRUN.DDD file does not exist ***'/)
      STOP
! 137  READ(15,*,ERR=137) KMON
!      IF(KMON.EQ.-1) THEN
!        NOWR8=1
!        KMON=0
!      ENDIF
!jntu      IF(KMON.NE.0) CALL MONPRN   !.. branch to printing routine

 137  WRITE(6,173)
 173  FORMAT(/6X,'--------------- BEGIN FLIP RUN ------------------'/)

      !.... input initial densities and temperatures .......
      CALL READ_BQ(SCALK,Q,err0)
      IF(err0.eq.0) THEN
        CALL RRSTRT(PCO,Z0,SCAL,GRD,GLONN,GLONF,GLATN,GLATF,
     >  ISOL,UNN,UNC,HMF2N,HMF2S,NMF2N,NMF2S,PLAT,PLON)
      ELSE
	  ISOL=0
	ENDIF

! reset nstc if not continuous run
      IF(TRIM(CRUN).EQ.'No') nstc=0

      !....... Input parameters to control run
      CALL DATRD1(ISOL,ITF,ITFS,I1,I2,IPP,MAXIT,DTSET,DTMAX
     > ,JTIDT,TWIDT,ZLBDY,IREAD,HPEQ,FPAS,HFAC,IVLPS,TSTOP,JWR,ZLO
     > ,ZHI,IWIND,IVIBN2,IODDN,INPLUS,IHEP,HEPRAT,ITEMP,IHPOP,IHPKP)
       IF(ITF.EQ.-9) IWIND=0     !.. use Hedin's wind in quick run

!jntu 12/10/09
      OPEN(46,FILE='/home/wangy/DyFk/FLIPPOS.dat',
     >     STATUS='OLD')
!jntu
       !.... input new geophysical parameters
       CALL DATRD2(ISOL,IWIND,AP,BLON,F107,F107A,IDAY,SEC,UVFAC,CRUN)
       !... make sure run time is reasonable before reading F10.7
!jntu       IF(TSTOP+SEC/3600.0.GT.8785) THEN
!         TSTOP=8785-SEC/3600
!         WRITE(6,792) TSTOP
! 792     FORMAT(3X,' ??* WARNING: Total run time must be <= 1 year,'
!     >     ,1X,'TSTOP reset to',F8.1,' hours')
!       ENDIF

      !...... input parameters for setting up a new field line
      CALL DATRD3(ISOL,BLON,SEC,DTSET,HPEQ,F107,JMAX,PCO,Z0,ZT,SCAL,GRD
     >     ,L_STAG,L_SHORT,L_PHASE,IDAY)

      !.... Not possible to get wind from hmF2 at low or high latitudes
      IF(PCO.LT.1.08.OR.PCO.GT.9) THEN
        IF(IWIND.LT.0) WRITE(6,967)
 967    FORMAT(5X,'CANNOT get wind from hmF2 L<1.08 or L>9.0,' 
     >    ,1X,'using HWM93 instead')
        IWIND=0
      ENDIF

      !..... reading recently added parameters
      CALL DATRD4(ISOL,TIMEON,TIMEOF,AURFAC)

      CLOSE(15)!-- close the file of run control parameters - FLIPRUN.DDD

      !... If AP(1) is negative calculate other AP from file for MSIS
      AP(2)=AP(1)
      IF(AP(1).LT.0) CALL FINDAP(IDAY,SEC/3600.0,TSTOP,AP
     >  ,AP3HR,SW,HPEQ,F107,F107A)

      IF(ISOL.EQ.-1) ICAUTN=1
!      IF(ISOL.EQ.-1) WRITE(6,820)
      IF(CRUN == 'Yes') THEN
        WRITE(6,820)
 820  FORMAT(/9X,' ...... Continuation of a previous FLIP run ......'/)
 !     IF(ISOL.EQ.0) WRITE(6,821)
      ELSE
        WRITE(6,821)
 821  FORMAT(/2X,' *** Creating a new field line. Allow a few hours to
     > settle down ***'/)
      ENDIF

      SECSAV=SEC
      TIMSAV=SEC
      DT=DTSET
      JMAX1=JMAX-1
      NEQ=2*JMAX-4
      IF(Z0.GE.180.AND.IVLPS.GT.0) IVLPS=0
      JQ=(JMAX+1)/2

       !..... Get solar declination and ephemeris transit time
       CALL SOLDEC(IDAY,SEC/3600.0,DEC,ETRAN)

      !......... Initialize factors for N2* cooling rate
      DO 296 J=1,JMAX
 296  RVBT(J)=1.0

      !... See if there is any ExB drift. If so, no oddN nor N2*
      CALL AMBS(1,1.3D4,0.0D0,D,T,CHI,SATEQ,GLON,GLATJ)
      IF(NINT(L_STAG).NE.0) THEN
      !JNTU 10/23/01 check UT range
        UTEXB=SEC/3600.
        IF(UTEXB.GE.HWMUT(1).AND.UTEXB.LE.HWMUT(2)) THEN
        !... determine the phase of teardrop based on Kp/Ap
        !..L_PHASE=TD_PHASE(SEC/3600.0,AP(2),AP(3))
        !... determine L_short for given L-shell(PCO)
        CALL LNVEL(L_STAG,SATEQ+L_PHASE,PCO,L_SHORT,VPERPN)
        CALL GET_VPERP(IVPERP,DT,SEC/3600.0,SATEQ,TSTOP,PCO,BLON
     >   ,L_STAG,L_SHORT,L_PHASE,VPERPN,NCOL_EXB,UTORLT,PCO_MAX)
        ENDIF  !!JNTU
      ENDIF
      IF(NCOL_EXB.NE.0) IODDN=0
      IF(NCOL_EXB.NE.0) IVIBN2=0

!	CALL TFILE(202,IOPEN)
	!.. reset the equatorial [H+]
!      IF(ISOL.EQ.0.AND.IOPEN.EQ.0) CALL SET_HPEQ(PCO,HPEQ)

      !.. Set up the grid points in the orthogonal q coordinates. If ExB 
      !.. drift, the field line is set up for a higher PCO to ensure
      !.. lower boundary does not rise too much
      PCO_start=PCO
      IF(PCO_MAX.GT.1) PCO_start=PCO_MAX
      IF(NCOL_EXB.GT.0) PCO_start=PCO*1.3 
      IF(SCALK.LT.0) CALL QFIELD(JMAX,PCO_start,RE,Z0,SCAL,SCALK,Q)
!jntu      CALL WRITE_Q(1,JMAX,SCALK,Q)              !.. put Qs in P*.dat file

c JNTU determine the grid index of loss altitude in Comfort algorithm
c... Comfort, GRL, v.22, p.2457, 1995.
      ILOS=0
      do J=1,JMAX
       if(Z(J).LT.500.) ILOS=J
      enddo      

c.... JNTU  write header for total tube content data file. 12/10/09
      write(67,*) 'UT  NT(O+)  NT(H+)  NT(He+)  NT(N+)  NT(e)  eqNe   
     >eqO+   eqH+   eqHe+   eqN+'

C **................  MAIN TIME STEP BEGINS ....................**
      JTIMAX=nstep
      nstep=nstep+nstc
      DO 221 JTI=1,JTIMAX
!jntu 12/10/09
      nst=JTI
      IF(CRUN=='Yes') nst=nst+nstc
      !.. set the new time step  ** ++ check dL/dt in VPERP
      CALL SETDT(DT,DTSET,DTMAX,JTIDT,ITAU,Z,JMAX,ITF,ITER,T,LNBLNKWIDT)

      !--  time to stop? Check # iterations and elapsed time
!      IF(JTI.GT.JTIMAX+1) THEN
!         WRITE(6,*) ' ** Completed # of time steps'
!         RETURN !STOP 1
!jntu      ELSEIF(REAL(ITAU)/3600.0.GE.TSTOP) THEN
!         WRITE(6,*) ' ** Completed the allotted run time'
!jntu          STOP 2
!      ENDIF

      CALL ACTUAL_DAY(IDAY,SEC,JDAY,SX)    !.. gets actual day of year

      !.... read the AP from file
      IF(AP3HR(1).GT.0) CALL FINDAP(IDAY,SEC/3600.0,TSTOP
     >  ,AP,AP3HR,SW,HPEQ,F107,F107A)

      !... convert to KP for printing
      KPREAL=0
      IF(AP(2).GT.2) KPREAL=(ALOG(AP(2))*1.7-0.84)
      KPIND=INT(KPREAL)

      !... adjust equatorial density for large Kp, only if from file
      IF(AP3HR(1).GT.0.AND.IHPKP.EQ.1)
     >     CALL HP_KP(KPREAL,PCO,SEC/3600.0,JMAX,Z,N)

      !... Get ExB drift velocities. AMBS called for LT at equator
      CALL AMBS(1,1.3D4,0.0D0,D,T,CHI,SATEQ,GLON,GLATJ)
      IF(NINT(L_STAG).NE.0) THEN
      !JNTU 10/23/01 check UT range
        UTEXB=SEC/3600.
        IF(UTEXB.GE.HWMUT(1).AND.UTEXB.LE.HWMUT(2)) THEN
         !... determine the phase of teardrop based on Kp/Ap
         !..L_PHASE=TD_PHASE(SEC/3600.0,AP(2),AP(3))
         !... determine L_short for given L-shell(PCO)
         !..CALL LNVEL(L_STAG,SATEQ+L_PHASE,PCO,L_SHORT,VPERPN)
         CALL GET_VPERP(IVPERP,DT,SEC/3600.,SATEQ,TSTOP,PCO,BLON
     >     ,L_STAG,L_SHORT,L_PHASE,VPERPN,NCOL_EXB,UTORLT,PCO_MAX)
        ENDIF  !!JNTU
      ENDIF
      !... set up the magnetic field line spatial grid .....
      IF(nst==1.OR.nst==nstc+1.OR.DRIFT=='Yes')
     >CALL RFIELD(7,PCO,RE,Z0,SCAL,SCALK,ZLBDY,Q,VPERPN,VTOT
     >              ,COSDIP,JB,JR,JNQ,JTI,ZHI,ZLO,JVERT,JVERC)

      DO J=1,JMAX/2
        IF(Z(j).GE.ZT) THEN
c....This will give us a value ABOVE the 1100km point where we stop the 
c....flux tube.  The n+1 point is needed to determine velocities/
c....densities.
          jbn=j-1
          EXIT
        ENDIF
      ENDDO
      DO J=JMAX,JMAX/2,-1
        IF(Z(j).GE.ZT) THEN
          jbs=j+1
          EXIT
        ENDIF
      ENDDO

      IF(JTI.GT.1.AND.DRIFT.EQ.'Yes') THEN
        CALL CHNBYDRIFT(JBNS,JBSS,JBN,JBS,JMAX)
      ENDIF

c.....  Pass the bottom values from GSK to FLIP for the upper BC
c.....	Y.-J. SU on 9/13/95; jntu 8/22/00; 11/25/09; 4/7/2010
      IF(GSK2FLIP == 'Yes') THEN
          iF(JTI.EQ.1) THEN
          OPEN(11,FILE='/home/wangy/DyFk/INITIAL/BCKFLIP.dat'
     >         ,ERR=331,STATUS='OLD')
          READ(11,*) Fb_denOn,Fb_denHn,Fb_ddenOn,Fb_ddenHn,Fb_denHen,
     >              Fb_ddenHen,Fb_velOn,Fb_velHn,Fb_dvelOn,Fb_dvelHn,
     >              Fb_velHen,Fb_dvelHen,Fb_tempOn,Fb_tempHn,Fb_dtempOn,
     >              Fb_dtempHn,Fb_Ten,Fb_dTen,Fb_fhOn,Fb_fhHn,Fb_denOs,
     >              Fb_denHs,Fb_ddenOs,Fb_ddenHs,Fb_denHes,Fb_ddenHes,
     >              Fb_velOs,Fb_velHs,Fb_dvelOs,Fb_dvelHs,Fb_velHes,
     >              Fb_dvelHes,Fb_tempOs,Fb_tempHs,Fb_dtempOs,
     >              Fb_dtempHs,Fb_Tes,Fb_dTes,Fb_fhOs,Fb_fhHs
          CLOSE(11)
          ENDIF
          GOTO 332

331       WRITE(*,*) 'Cannt find file backflip.dat'
          STOP

! jbn/jbn+1 at grid points just below/above zt. Grdient N->S
332       N(1,jbn)=Fb_denOn
          N(2,jbn)=Fb_denHn
          N(4,jbn)=Fb_denHEn
!          N(1,jbn+1)=Fb_denOn+Fb_ddenOn*(SL(jbn+1)-SL(jbn))
!          N(2,jbn+1)=Fb_denHn+Fb_ddenHn*(SL(jbn+1)-SL(jbn))
!          N(4,jbn+1)=Fb_denHEn+Fb_ddenHEn*(SL(jbn+1)-SL(jbn))
          U(1,jbn)=Fb_velOn
          U(2,jbn)=Fb_velHn
          UE(1,jbn)=Fb_velHEn
!          U(1,jbn+1)=U(1,jbn)+Fb_dvelOn*(SL(jbn+1)-SL(jbn))
!          U(2,jbn+1)=U(2,jbn)+Fb_dvelHn*(SL(jbn+1)-SL(jbn))
!          UE(1,jbn+1)=UE(1,jbn)+Fb_dvelHEn*(SL(jbn+1)-SL(jbn))
          TI(1,jbn)=Fb_tempOn
          TI(2,jbn)=Fb_tempHn
          TI(3,jbn)=Fb_Ten
!          TI(1,jbn+1)=Fb_tempOn+Fb_dtempOn*(SL(jbn+1)-SL(jbn))
!          TI(2,jbn+1)=Fb_tempHn+Fb_dtempHn*(SL(jbn+1)-SL(jbn))
!          TI(3,jbn+1)=Fb_Ten+Fb_dTen*(SL(jbn+1)-SL(jbn))

! jbs-1/jbs at grid point just above/below zt. Gradient  N->S
          N(1,jbs)=Fb_denOs
          N(2,jbs)=Fb_denHs
          N(4,jbs)=Fb_denHEs
!          N(1,jbs-1)=Fb_denOs-Fb_ddenOs*(SL(jbs)-SL(jbs-1))
!          N(2,jbs-1)=Fb_denHs-Fb_ddenHs*(SL(jbs)-SL(jbs-1))
!          N(4,jbs-1)=Fb_denHEs-Fb_ddenHEs*(SL(jbs)-SL(jbs-1))
          U(1,jbs)=-Fb_velOs
          U(2,jbs)=-Fb_velHs
          UE(1,jbs)=-Fb_velHEs
!          U(1,jbs-1)=U(1,jbs)+Fb_dvelOs*(SL(jbs)-SL(jbs-1))
!          U(2,jbs-1)=U(2,jbs)+Fb_dvelHs*(SL(jbs)-SL(jbs-1))
!          UE(2,jbs-1)=UE(1,jbs)+Fb_dvelHEs*(SL(jbs)-SL(jbs-1))
          TI(1,jbs)=Fb_tempOs
          TI(2,jbs)=Fb_tempHs
          TI(3,jbs)=Fb_Tes
!          TI(1,jbs-1)=Fb_tempOs-Fb_dtempOs*(SL(jbs)-SL(jbs-1))
!          TI(2,jbs-1)=Fb_tempHs-Fb_dtempHs*(SL(jbs)-SL(jbs-1))
!          TI(3,jbs-1)=Fb_Tes-Fb_dTes*(SL(jbs)-SL(jbs-1))
      ENDIF

      !--- vertical altitude grid and initial densities for odd N and N2*
      CALL VERGRD(IVLPS,GRD)

      !--- evaluate the geographic location and magnetic declination for headers
      CALL AMBS(1,Z(JVERT),GL(JVERT),D,T,CHIN,SATN,GLONN,GLATN)
      CALL AMBS(JMAX,Z(JVERC),GL(JVERC),D,T,CHIF,SATF,GLONF,GLATF)

      !....... write headers in the files on first time through
      IF(JTI.EQ.1) THEN
!jntu         CALL PHEAD(3,PCO,GLONN,GLONF,GLATN,GLATF,Z(JVERT))
         CALL PHEAD(4,PCO,GLONN,GLONF,GLATN,GLATF,Z(JVERT))
         CALL PHEAD(6,PCO,GLONN,GLONF,GLATN,GLATF,Z(JVERT))
!         CALL PHEAD(9,PCO,GLONN,GLONF,GLATN,GLATF,Z(JVERT))
!         CALL PHEAD(12,PCO,GLONN,GLONF,GLATN,GLATF,Z(JVERT))
!         IF(IVIBN2.GE.1) THEN
!            CALL PHEAD(40,PCO,GLONN,GLONF,GLATN,GLATF,Z(JVERT))
!            CALL PHEAD(41,PCO,GLONN,GLONF,GLATN,GLATF,Z(JVERT))
!         ENDIF
!         CALL PHEAD(56,PCO,GLONN,GLONF,GLATN,GLATF,Z(JVERT))
         CALL PHEAD(66,PCO,GLONN,GLONF,GLATN,GLATF,Z(JVERT))

         !-- Print the run control parameters - PCOFM obsolete
         CALL RUNPRN(6,ISKP,Z0,HPEQ,FPAS,HFAC,UVFAC,TIMEON
     >     ,TIMEOF,AURFAC,PCOFM,PCO)
         !--  Print info about data in wind file and ExB
         CALL PWINDS(IWIND,SATN,SATF,SEC,TSTOP,COSDIP,ZTOPTE,NCOL_EXB)
         WRITE(6,116) ISOL,ITF,JMAX,IWIND,MAXIT,IVLPS,JTIMAX
     >   ,NINT(HPEQ),FPAS,HFAC,NINT(DTSET),NINT(DTMAX),NINT(TWIDT)
     >   ,TSTOP,HEPRAT,NINT(Z0),COLFAC,(ETRAN-43200.0)/86400.0
         CALL RATCHK(1) !... check reaction rates against standard
      ENDIF

 116  FORMAT(/1X,'ISOL ITF JMAX IWIND MAXIT IVLPS JTIMAX'
     > ,3X,'HPEQ',2X,'FPAS',1X,'HFAC',2X,'DTSET',2X,'DTMAX',2X
     > ,'TWIDT',2X,'TSTOP',2X,'HEPRAT',4X,'Z0',2X,'COLFAC Eph_tran'
     > ,/2I4,4I6,I7,I8,2F5.1,3I7,2F8.2,I5,F7.1,F7.2)

      !..... To simulate solar eclipse
      IF(EUV.LE.0) EUV=1.0
      IF(JWR.EQ.-1) CALL ECFUN(SEC,SATN,EUV,0.2,17.)

      CALL AMBS(1,Z(JVERT),GL(JVERT),D,T,CHIN,SATN,GLONN,GLATN)
      CALL AMBS(JMAX,Z(JVERC),GL(JVERC),D,T,CHIF,SATF,GLONF,GLATF)

      !.... Alternative winds are read from file. Otherwise Hedin's winds
      !.... RATIN and RATIS are used to normalize nmF2 to IRI if IWIND<-1
      IF(IWIND.NE.0) 
     >  CALL ALTWIN(DT,Z,ISOL,IWIND,TIMSAV,TSTOP,IWTIM,IWW,JMAX
     >  ,COSDIP,UNN,UNC,HMF2N,HMF2S,NMF2N,NMF2S,UN,DNMF2N,DNMF2S
     >  ,DHMF2N,DHMF2S,RATIN,RATIS,TOPTEN,TOPTES,ZTOPTE)
      
      ! When fitting topside Te, no plasmaspheric heating by e*
      IF(ZTOPTE.GT.0.0) FPAS=2.0

      IF(ITF.LE.-9) THEN
         WRITE(6,55) SEC/3600.,JDAY,(AP(IAP),IAP=1,7),NINT(F107)
     >      ,NINT(F107A)
         GO TO 221
      ENDIF
     
55    FORMAT(' UT=',F7.2,', DAY=',I8,'  AP(1..7)= ',7(1X,F5.1)
     >   ,' F10.7=',I4,' F10.7A=',I4)

      !---------- initialization and neutral atmosphere loop ----------------

      DO 17 J=1,JMAX
         !..... o+ + n2* reaction rate factor .....
         VC(J)=1.0
         IF(IVLPS.GE.0.AND.IVLPS.LT.2) RCON(J)=UVFAC(59)
         IF(RCON(J).LT.1.0) RCON(J)=1.0
         IF(RCON(J).GE.1.0) VC(J)=RCON(J)

         !........ obtain neutral densities -- ambs calls msis ......
         CALL AMBS(J,Z(J),GL(J),D,T,CHI,SAT,GLON,GLATJ)
         HE(J)=D(1)
         ON(J)=D(2)
         HN(J)=D(7)
         N2N(J)=D(3)
         O2N(J)=D(4)
         TN(J)=T(2)
         SZA(J)=CHI
         N4S(J)=D(8)
         !.. evaluate the magnetic field line cmpt. of neutral wind UN(J)
         !.. from Hedin's model (BCOMPU=component along magnetic meridian)
         !.. evaluate the magnetic field line cmpt. of neutral wind UN(J)
         !.. from Hedin's model.
         IF(IWIND.EQ.0) THEN
            CALL GWS4(JDAY,SX,SNGL(Z(J)),GLATJ,GLON,SAT,F107A,F107
     >         ,AP,UHED)
            CALL MAGDEC(GLATJ,GLON,DECMAG) !-- magnetic declination for winds
            DECMAG=DECMAG/57.3
            BCOMPU = (UHED(1)*COS(DECMAG)+UHED(2)*SIN(DECMAG))
         !Check if want and then adjust winds  J.-N. Tu 10/09/01
            WINDUT=SEC/3600.
            IF(WINDUT.GE.HWMUT(1).and.WINDUT.LE.HWMUT(2)) THEN
              if(J.LT.(JMAX+1)/2) BCOMPU=BCOMPU*HWM(1) !North hemisphere
              if(J.GT.(JMAX+1)/2) BCOMPU=BCOMPU*HWM(2) !South hemisphere
            ENDIF
         !!!!              
cJNTU            CALL HEDWIN(JDAY,SX,SNGL(Z(J)),GLATJ,GLON,SAT,F107A,F107
cJNTU    >           ,AP,BCOMPU)
            UN(J)= -ABS(COSDIP(J))*BCOMPU * 100.0
            IF(J.EQ.JK) UNN=BCOMPU*100.0
            IF(J.EQ.JC) UNC=-BCOMPU*100.0
         ENDIF

         !..... Calculate centrifugal force and add to gravity
         !...      IF(JTI.EQ.1) CALL CENFOR(IEXP,BLON,GL(J)*57.296,Z(J),CF)
         !...      IF(JTI.EQ.1.AND.IVLPS.GE.0) GR(2,J)=GR(2,J)+CF
cJNTU
         IF(JTI.EQ.1) THEN
	   CALL CENFOR(IEXP,BLON,GL(J)*57.296,Z(J),CF)
	   GR(2,J)=GR(2,J)+CF
	   ENDIF   !!JNTU

         !..... to set up initial temperature and density profiles
         IF(ISOL.EQ.0.AND.HPEQ.GT.0.0) CALL PROFIN(ISOL,J,JMAX,Z(J),
     >       F107,N,TI,TN,SL,GR,ON,HN,HPEQ,HEPRAT,XIONN,IVLPS)

         !..... printing of ambient parameters.................
!jntu         IF(JWR.NE.3) GO TO 17
!         JNEUT=JNEUT+1
!         IF(JNEUT.EQ.1) WRITE(3,112)
! 112     FORMAT(/'  J      ALT    GL     SZA     GR    TN     N(O)'
!     >     ,5X,'N(H)     N(N2)     N(O2)     N(HE)   CFORCE   WIND')
!         IF(Z(J).GE.ZLO.AND.Z(J).LE.ZHI.AND.MOD(J,IPP).EQ.0)
!         !..... remove CF from write statement, modified in Nov, 1999
!     >   WRITE(3,111) J,Z(J),GL(J),SZA(J),GR(2,J),TN(J),ON(J),HN(J)
!     >      ,N2N(J),O2N(J),HE(J),UHED(1)
    
 17    CONTINUE

CJNTU 1/1/02 read in initial plasma parameters
	if(nst.EQ.1.AND.ISOL.EQ.-1.AND.HRATE.GT.0.0) then
         do J=1,JMAX
           if(J.LT.JMAX/2.and.Z(J).LE.ZDEPL) JDEPL=J
         enddo

         if(JDEPL.LE.0) GOTO 1012
         JMID=(JMAX+1)/2
         if(N(2,JMID).NE.Hrate) then
           Hrate=Hrate/N(2,JMID)
           inpw=2*inpow
           do J=1,JMAX
             if(Z(J).GE.Z(JDEPL)) then
               Hrate1=Hrate+(1.-Hrate)*(sin(GL(J))/sin(GL(JDEPL)))**inpw
               N(1,J)=N(1,J)*Hrate1
               N(2,J)=N(2,J)*Hrate1
               N(4,J)=N(4,J)*Hrate1
             endif
           enddo
         endif

! Keep depleted density profiles
         OPEN(402,FILE='/home/wangy/DyFkPLOT/'//
     >        'PRF_DEPLETE.dat',STATUS='UNKNOWN')
	   WRITE(402,'(2A)') 'J ALT MLAT Te TO+ TH+ O+ H+ He+ N+ VO+',
     >' VH+ VHe+ VN+' 
         do J=1,JMAX
           Ne=N(1,J)+N(2,J)+N(4,J)+XIONN(1,J)
           write(402,1013) J,Z(J),GL(J)*57.296,TI(3,J),TI(1,J),TI(2,J),
     >      N(1,J),N(2,J),N(4,J),XIONN(1,J),U(1,J),U(2,J),
     >      UE(1,J),XIONV(1,J)
1013      format(i4,f9.2,f8.3,7ES10.3,4ES11.3)
        enddo
        close(202)
      endif

c...... !JNTU output total tube content from ZHI (N) to ZHI (S).
1012  IF(TRIM(GSK2FLIP)=='No')
     >  CALL TOTAL_CONTENT(JMAX,SEC,Z,ZHI,SL,N,XIONN,BM)

C ---------------- end neutral atmosphere loop -------------------

      IF(HPEQ.GT.0) HPEQ=-HPEQ
      !.. Obtain symmetric ambient conditions - diagnostics
      IF(ISYM.NE.0) CALL SYM(JMAX,HE,EHT,UN,Z,SZA)

      !--- transfer vertical grid odd N to field line grid. If no odd N,
      !---- a flag is set in TRSTR 
      CALL TRSTR(IVLPS)

      !.... evaluate primary production rates from primpr
      DO 20 J=1,JMAX
         CALL PRIMPR(J,Z,ON,N2N,O2N,HE,SZA,TN,JMAX,SETCHI,IVLPS)
 20   CONTINUE

      !..  pe2s=2-stream prog to get electron heating rate;
      DO 347 I=1,3
      DO 347 J=1,JMAX
 347  EHT(I,J)=0.0
      IF(CHIN.LE.2.0.OR.CHIF.LE.2.0) CALL PE2S(Z,ON,N2N,O2N,HE,BM
     >   ,BG,JMAX,DH,N,TI,EHT,TN,SZA,FPAS,IVLPS,-1.0E22,ISOL,SL)

      !.... AURSUB calculates auroral electron production rates
      UTHRS=SEC/3600.
      IF(AURFAC.GE.0) THEN
         CALL AURSUB(1,JMAX/2,UTHRS,Z,ON,O2N,N2N,N,TI
     >    ,EHT,TIMEON,TIMEOF,AURFAC)
      ENDIF

      !-- Sum the EUV, photoelectron, and auroral production rates
      CALL SUMPRD(JMAX)

      DO 432 IX=1,9
 432  FD(IX)=0.0

      !.... adjust the plasmaspheric heating rate
      CALL CAL_EHEAT(ISOL,JQ,JHN,JHC,JHX,JMAX,JK,JC,ZTOPTE
     >   ,Z,TN,TI,PCO,HFAC,TIMEON,TIMEOF,F107,TOPTEN,TOPTES
     >   ,SEC,SATN,SATF,SATEQ,TISAV,N,EHT,HEATF)

      !.. loop to calculate ionization rates
      DO 27 J=1,JMAX 
         IF(Z(J).LE.ZPROD) THEN
            !.. CALL cminor to get no+, o+(2d), n2+ & o+(2p) densities,
            CALL CMINOR(0,J,0,IPR,FD,7,HE(J))
            !-- PHION=total O+(4S) prod, including EUV, e*, dissoc of O2 and
            !-- minor ions. BCKPRD = small background production to eliminate 
            !-- instability below 200 km
            BCKPRD=2.0E-10*N2N(J)*EXP(-5.0E-14*N2N(J)*TN(J))
            PHION(J)=SUMION(1,7,J)+SUMION(2,4,J)+SUMION(2,5,J)+FD(9)
            !..  IF(JTI.LT.2)  WRITE(6,*) J,NINT(Z(J)),BCKPRD,PHION(J)
            PHION(J)=PHION(J)+BCKPRD
         ENDIF
         !.. Sum minor ions N+, NO+, O2+ for electron density at low altitudes
         !.. Leave out N2+, O+(2P), O+(2D) causes [e] gradient problems
         N(3,J)=XIONN(1,J)+FD(1)+FD(2)+(FD(3)+FD(4)+FD(5))*0.0000
 27   CONTINUE

      !... Obtain symmetric ambient conditions - diagnostics
      IF(ISYM.NE.0) CALL SYM(JMAX,HE,EHT,UN,Z,SZA)

       !----- O+, H+, DENSITIES + electron and ion TEMPERATURES ---
!       IF(I1.GT.0)  CALL LOOPS(S,NEQ,N,TI,ITAU,JB,SEC,MAXIT,ISOL
!     >    ,JK,JC,IWIND,RATIN,RATIS,HE)

      IF(TRIM(GSK2FLIP).EQ.'No') THEN
          CALL LOOPS(S,NEQ,N,TI,ITAU,JB,SEC,MAXIT,ISOL,JK,JC,IWIND
     >               ,RATIN,RATIS,HE)
      ELSE
          CALL CLOOPS(S,NEQ,N,TI,ITAU,JB,SEC,MAXIT,ISOL,JK,JC,IWIND
     >                ,RATIN,RATIS,HE,jbn)
          CALL CLOOPS(S,NEQ,N,TI,ITAU,JB,SEC,MAXIT,ISOL,JK,JC,IWIND
     >                ,RATIN,RATIS,HE,jbs)
      ENDIF

      !... testing for nonconvergence
       IF(ITER.EQ.-1) STOP 1        !.. could not find a solution

       IF(I1.GT.0.AND.ITER.LE.-2) GO TO 221  !.. jump to end of time loop

      !.. Obtain symmetric ambient conditions - diagnostics
      IF(ISYM.NE.0) CALL SYM(JMAX,HE,EHT,UN,Z,SZA)

      !....... diagnostic print  from subroutines TFIJ and DFIJ ....
      !-- Moved here 21 April 1992 to ensure continuity equation balance
      IF((REAL(ITAU)/3600.0.GE.TSTOP.OR.JTI.EQ.JTIMAX).AND.
     >   IPP.GT.0.AND.JWR.GT.0) THEN
        WRITE(6,*) ' Writing diagnostic info in FOR03*.DAT files'
        IF(JWR.EQ.2) CALL AVDEN(JMAX1,TI,4,ZLO,ZHI)
        DO 379 J=2,JMAX1
           IF(JWR.EQ.1.AND.Z(J).GT.ZLO.AND.Z(J).LT.ZHI)
     >       CALL TFIJ(J,4,IPR,N,TI,F,JB,JBS,V,HE)
           IF(JWR.EQ.2.AND.Z(J).GT.ZLO.AND.Z(J).LT.ZHI)
     >       CALL DFIJ(J,4,IPR,N,TI,F,JB,JBS,V)
 379     CONTINUE
      ENDIF  !.. end print

       !--------------------------- He+ DENSITIES --------------------
       IF(IABS(IVLPS).GE.9) THEN
         IF(TRIM(GSK2FLIP).EQ.'No') THEN
           CALL XION(S,NEQ,N,TI,ITAU,JB,SEC,MAXIT,ISOL,9)
         ELSE
           CALL CXION(S,NEQ,N,TI,ITAU,JB,SEC,MAXIT,ISOL,9,jbn)
           CALL CXION(S,NEQ,N,TI,ITAU,JB,SEC,MAXIT,ISOL,9,jbs)
         ENDIF
       ENDIF

       !---------------------------  N+ DENSITIES --------------------
       IF(IABS(IVLPS).GE.11) THEN
         IF(TRIM(GSK2FLIP).EQ.'No') THEN
           CALL XION(S,NEQ,N,TI,ITAU,JB,SEC,MAXIT,ISOL,11)
         ELSE
           CALL CXION(S,NEQ,N,TI,ITAU,JB,SEC,MAXIT,ISOL,11,jbn)
           CALL CXION(S,NEQ,N,TI,ITAU,JB,SEC,MAXIT,ISOL,11,jbs)
         ENDIF
       ENDIF
       !... testing for nonconvergence
       IF(ITER.EQ.-1) STOP 1        !.. could not find a solution
       IF(I1.GT.0.AND.ITER.LE.-2) GO TO 221

      !---------- N(2D), N(4S), NO, and N2* DENSITIES -----------
      !----- The odd N and N2* time step is never less than TWIDT
      VDT=SEC-SECSAV
      IF(ISOL.EQ.-1.AND.VDT.LT.TWIDT.AND.ITF.EQ.1) GO TO 277
      IF(VDT.LE.0) VDT=DT
      SECSAV=SEC

      IF(IODDN.GE.1.OR.IVIBN2.GE.1)
     >   CALL VERCON(S,JMAX,999,VDT,GL(JVERT),GRD,ISOL,IVLPS,IVIBN2
     >   ,HMF2N,HMF2S,SATN,SATF,CHIN,CHIF)

      IF(ISOL.EQ.0) ITF=ITFS
      ISOL=-1

 277   CONTINUE

      ! ******************** STORE RESULTS *********************
      !-- Printing summary densities and temperatures in ASCII files
      !-- First, write warning about initial conditions then data in file
      IF(ICAUTN.EQ.0.AND.REAL(ITAU)/3600.0.GT.12) CALL PRCAUT(ICAUTN)
      CALL DIAGPR(ISOL,JB,JK,JC,JQ,JNQ,JFQ,HMF2N,HMF2S,NMF2N
     >  ,NMF2S,SATN,SATF,CHIN,CHIF,UNN,UNC,VTOT,PCO,VPERPN)

      !-- Output for comparison with IRI model 20 APR 1992
!jntu       CALL IRIPRN(IRIHED,SEC,DT,SATN,CHIN,NMF2N
!     >    ,DNMF2N,HMF2N,DHMF2N,SATF,CHIF,NMF2S,DNMF2S,HMF2S,DHMF2S
!     >    ,IDAY,GLATN,GLONN,GLATF,GLONF,F107A)

      !... output transition altitudes 24/2/2000
      CALL TRAN_ALT(N,JMAX,Z,SATN,SATF,UTHRS)

      !-- Output production frequencies
      DO J=1,JMAX/2
        IF(Z(J).LT.600) JFREQN=J
      ENDDO
      JFREQS=JMAX+1-JFREQN
!      CALL EUVPRN(JK,JC,JFREQN,JFREQS,SEC,SATN,CHIN,SATF,CHIF,IDAY
!     >   ,F107,F107A,TI)

cJ.-N. Tu output actual day number
	 IF(JDAY.NE.IDTSAVE) then
	   WRITE(6,'(/1x,A,I7)') ' Day number =', JDAY
	   IDTSAVE=JDAY
	 ENDIF
!!!!
C         IF(JTI.EQ.1.OR.MOD(JTI,15).EQ.0) WRITE(6,317)
         IF(MOD(JTI-1,18).EQ.0) WRITE(6,317)
 317     FORMAT(/10X,'[------Northern hemisphere-------]',5X,
     >   '[------Southern hemisphere------]',/3X,'  UT    LT  SZA'
     >   ,3X,'NmF2   HmF2  N2* Lat Lon     LT  SZA   NmF2   HmF2'
     >   ,2X,'N2* Lat Lon Kp  F107  JTI DelT ITR L-Sh')
 117     FORMAT(F8.2,F6.2,I4,1P,E9.2,I5,0P,F5.2,2I4,2X,F6.2,I4,1P
     >   ,E9.2,I5,0P,F5.2,2I4,I3,I5,I6,I5,I4,F6.3)
         WRITE(6,117) (SEC)/3600.,SATN,NINT(57.3*CHIN),NMF2N
     >   ,NINT(HMF2N),RCON(JK),NINT(GLATN),NINT(GLONN),SATF
     >   ,NINT(57.3*CHIF),NMF2S,NINT(HMF2S),RCON(JC),NINT(GLATF)
     >   ,NINT(GLONF),KPIND,NINT(F107),JTI,NINT(DT),ITER,PCO

      !.... Write topside heat flow and Brace and Theis Te and write
!      IF(JHFLX.EQ.0) THEN
!         WRITE(56,893) NINT(Z(JHX))
! 893     FORMAT(/3X,'Hfac= heating factor, heat_eq= heating rate at'
!     >    ,1X,'equator, FLUX= heat flux at',I5,' km (eV cm-2 s-1)'
!     >    ,/1X,'  other heating and cooling rates are at hmF2'/)
!         IF(NINT(ZTOPTE).GT.200) THEN
!           WRITE(56,894) NINT(Z(JHN)),NINT(Z(JHN))
! 894       FORMAT(' * Te data constraint imposed at ',I5,' km'
!     >           ,1X,' and Tcalc is also at',I5,' km')
!         ELSE IF(NINT(ZTOPTE).EQ.1) THEN
!           WRITE(56,895)
! 895       FORMAT(' * Te data constraint imposed at hmF2'
!     >           ,1X,' and Tcalc is also at hmF2')
!         ELSE
!           WRITE(56,896) NINT(Z(JHX))
! 896       FORMAT(' * NO Te data constraint, Tcalc is at',I5,' km')
!         ENDIF

!         WRITE(56,897)
! 897     FORMAT(//2X,'  UT      LT     SZA Tmeas  Tcalc Ti_cal'
!     >    ,2X,'Hfac    FLUX    heat_eq  Tn_hm Ti_hm  e_heat'
!     >    ,2X,'ion_cool  N2_cool  O_cool   e+N(2D)')
!      ENDIF    !... end header info
  
          IF(NINT(ZTOPTE).LT.1) JHN=JHX     !... no Te constraint
          JHFLX=1
          HFLUX1=7.7E+5*TI(3,JHX)**2.5*(TI(3,JHX)-TI(3,JHX-1))/
     >      (SL(JHX)-SL(JHX-1))
          !...  DNE=N(1,JHN)+N(2,JHN)+N(3,JHN)+N(4,JHN)
          !... CALL BRACE(Z(JHN),DNE,TI(3,JHN),TB,TEOTB)
          CALL ECRATS(0,JK,Z(JK),TI(3,JK),TI(2,JK),TN(JK),N(1,JK)
     >      ,N(2,JK),N(3,JK),ON(JK),N2N(JK),O2N(JK),HN(JK)
     >      ,EHT(3,JK),TLSS,FOL,COOL)
            CALL CMINOR(0,JK,0,IPR,FD,7,HE(JK))

!          WRITE(56,218) SEC/3600,SATN,NINT(57.3*CHIN)
!     >      ,NINT(TOPTEN),NINT(TI(3,JHN)),NINT(TI(1,JHN)),HEATF
!     >      ,HFLUX1,EHT(3,JQ),NINT(TN(JK)),NINT(TI(1,JK)),
!     >       (COOL(K),K=1,4),FD(8)*2.4
! 217  FORMAT('  HFLX @',I4,'km',2F8.2,3I6,F8.2,1P,2E10.2)
! 218  FORMAT(2F8.2,4I6,F8.2,1P,E10.2,1P,E10.2,2I6,1P,10E9.2)

      !... for printing ion-neutral cooling. not ready yet
      !..        CALL ION_NEUTRAL(0,N(1,JK),N(2,JK),ON(JK),N2N(JK),O2N(JK)
      !..     >   ,HN(JK),HE(JK),TN(JK),TI(2,JK),Z(JK),COOL)
      !..        WRITE(26,'(2F8.2,4I6,1P,5E10.2)') SEC/3600,SATN
      !..     >    ,NINT(57.3*CHIN),NINT(TI(3,JK)),NINT(TI(1,JK))
      !..     >    ,NINT(TN(JK)),(COOL(K)/1.6E-12,K=1,5)

! Write outputs JNTU 12/15/09
      IF(MOD(nst,iout)==0.or.nst==1) THEN
        CALL WRITE_BQ(1,JMAX,SCALK,Q,nst)
        CALL WRSTRT(PCO,Z0,SCAL,GRD,GLONN,GLONF,GLATN,GLATF,UNN,UNC,
     >              HMF2N,HMF2S,NMF2N,NMF2S,PLAT,PLON)

        WRITE(*,'(A11,i5)') 'Time Step: ',nst
        write(suff,'(i6)') nst !CALL filesuffix(nst,suff)
        suff=adjustl(suff)
        OPEN(25,FILE='/home/wangy/DyFk/PLOT/FLIP25.'//
     >       suff(:LNBLNK(suff)),STATUS='UNKNOWN',FORM='FORMATTED')

        WRITE(25,'(A1,1x,3I4)') '#',jbn, jbs, jmax
        WRITE(25,860)
 860    FORMAT('#','NO',7x,'alt',12x,'mlat',13x,'Te',13x,'TO+',12x,'TH+',
     >         12x,'NO+',12x,'NH+',11X,'NHE+',12x,'NN+',13x,'Ne',12x,
     >         'VO+',12x,'VH+',11x,'VHE+',12x,'VN+')

        DO J=1,JMAX
          Ntot=N(1,J)+N(2,J)+N(4,J)+XIONN(1,J)
          WRITE(25,861) J,Z(J),GL(J)*57.2957795,TI(3,J),TI(1,J),
     >       TI(2,J),N(1,J),N(2,J),N(4,J),XIONN(1,J),Ntot,
     >       U(1,J)/100.0,U(2,J)/100.0,UE(1,J)/100.0,XIONV(1,J)/100.0
c......  Calculate the heat flux by Y.-J.Su on 9/7/95
!            IF(J.NE.1.AND.J.NE.JMAX) CALL HEAT(J,TI,N,1,JMAX)
        ENDDO

        CLOSE(25)
      ENDIF
 861  FORMAT(I4,1p,14E15.6)
      
      print *, 'first time to call TGSK'

! Run GSK for one time step
      IF(GSKR=='Yes') CALL TGSK(nst,JMAX,Z,ZT,PCO)

! SAVE FLIP RESULTS FOR MOVING FLUX TUBE
      IF(DRIFT.EQ.'YES') THEN
        JBNS=JBN
        JBSS=JBS
        GLS=GL
        NSA=N
        TISA=TI
        USA=U
        UESA=UE
      ENDIF

! Read new UTsec, PCO, BLON if drifting the flux tube jntu 12/10/09
      IF(DRIFT=='Yes') CALL DATRD5(SEC,PCO,BLON)

      !.... set a switch to prevent writing into unit 8 until midnight if
      !.... setting up new field line
!      IF(ISOL.EQ.0) WUNIT8=0
      !...      IF(ISOL.NE.0.AND.SEC.GE.0.0) WUNIT8=1

      !--- CALL subroutine to write main data on unit 8 at intervals TWIDT
      !--- Data is not written until run has settled down
!JNTU      IF(ITF.NE.1) GO TO 221
!      IF(WUNIT8.NE.0.OR.SATN.LT.2.OR.SATF.LE.2)  THEN
!        IF(SEC-SECWF8.GE.TWIDT.AND.NOWR8.EQ.0) THEN
!          CALL WF8DAT(IVLPS,JQ,PCO,Z0,SCAL,GRD,GLONN,GLONF,GLATN,GLATF,
!     >           ZLBDY,FPAS,UV,HFAC,TIMEON,TIMEOF,AURFAC,PLAT,PLON)
!          CALL WF8D2(JK,JC,UNN,UNC,IVLPS,JQ,UE)
!          SECWF8=SEC
!        ENDIF
!        WUNIT8=1  !... switches on print from here on
!      ENDIF
      ! ******************** END STORE RESULTS *************************

      !... print densities and temperatures from subroutine loops....
      IF(JTIMAX.NE.JTI) GO TO 221
      IF(ITF.EQ.3.OR.ITER.LE.0.OR.JTIMAX.EQ.1) ITSAV=-1000000
      IF(ITAU-ITSAV.LT.3600) GO TO 221
      ITSAV=ITAU
      IF(IPP.EQ.0.OR.JWR.EQ.0) GO TO 221
!      WRITE(3,859)
!      WRITE(9,859)
! 859  FORMAT(/'  J ',3X,'ALT',3X,'TE',4X,'TI',3X,'(O+)',5X,'(H+)',6X
!     > ,'VO+',6X,'VH+',5X,'(He+)',5X,'VHe+',5X,'EHT    (N+)     VN+')
      DO 854 J=1,JQ
      JU=JMAX+1-J
      IF(Z(J).LT.ZLO.OR.Z(J).GT.ZHI) GO TO 854
      IF(J.EQ.1.OR.J.EQ.JQ) GO TO 852
      IF(MOD(J,IPP).EQ.0) GO TO 852
      GO TO 854
 852  CONTINUE

      NE=N(1,J)+N(2,J)+N(3,J)
      CALL BRACE(Z(J),NE,TI(3,J),TB,TEOTB)
!      WRITE(3,888) J,NINT(Z(J)),NINT(TI(3,J)),NINT(TI(1,J))
!     > ,N(1,J),N(2,J),U(1,J),U(2,J),N(4,J),UE(1,J),EHT(3,J)
!     > ,XIONN(1,J),XIONV(1,J)
!      NE=N(1,JU)+N(2,JU)+N(3,JU)

      CALL BRACE(Z(JU),NE,TI(3,JU),TB,TEOTB)
!      WRITE(9,888) JU,NINT(Z(JU)),NINT(TI(3,JU)),NINT(TI(1,JU))
!     > ,N(1,JU),N(2,JU),U(1,JU),U(2,JU),N(4,JU),UE(1,JU),EHT(3,JU)
!     > ,XIONN(1,JU),XIONV(1,JU)
 854  CONTINUE

 221  CONTINUE

      WRITE(6,*) ' ** Completed # of time steps'

! 64   FORMAT(2I6,3D12.4,/11F10.2)
! 65   FORMAT(16A8)
! 66   FORMAT(32A4)
! 68   FORMAT(22I6)
! 111  FORMAT(I4,F8.0,2F7.2,2F7.0,1P,22E9.1)
! 167  FORMAT(10E10.2)
! 888  FORMAT(I4,I6,I6,I5,1P,2E9.2,1P,5E9.1,1P,12E9.1)
      END

C::::::::::::::::::::::: CAL_EHEAT ::::::::::::::::::::::::::::
      !.. Adjusting plasmaspheric heating rate.
      SUBROUTINE CAL_EHEAT(ISOL,JQ,JHN,JHC,JHX,JMAX,JK,JC,ZTOPTE
     >   ,Z,TN,TI,PCO,HFAC,TIMEON,TIMEOF,F107,TOPTEN,TOPTES,SEC
     >   ,SATN,SATS,SATEQ,TISAV,N,EHT,HEATF)
      IMPLICIT NONE
      INTEGER ISOL,JQ,JHN,JHC,JHX,JMAX,IL,JC,JK,J,JPEAK
      REAL ZTOPTE,ZHFLX,TIMEON,TIMEOF,F107,SATN,SATS,PROP,SATEQ
     >   ,TMAX,SIGT,LMAX,SIGL,FAC_RING,RING_CURR,AMP_RING,HEATFS
     >   ,RC_TIME_CON,SEC,RCPEAK
      REAL ENHEHT,efrac,HWM,HWMUT,FACNEUN,FACNEUS,TNFAC   !JNTU
      INTEGER JNCUT,JSCUT
      DOUBLE PRECISION Z(401),TN(401),TI(3,401),HFAC,EHT(3,401)
     >  ,PCO,TOPTEN,TOPTES,HEATF,TISAV(3,401),N(4,401)
      !JNTU added 10/26/01
      common /HWMSISF/HWM(2),HWMUT(2),FACNEUN(3),FACNEUS(3),TNFAC
      COMMON/EHTADJ/JNCUT(2),JSCUT(2),ENHEHT(2)
      !... parameters for the ring current model
      COMMON/RC/AMP_RING,TMAX,SIGT,LMAX,SIGL,RC_TIME_CON,PROP,RCPEAK
      DATA ZHFLX/600.0/     !.. altitude of topside heat flux

c jntu: extra ion and/or electron heating rate
      if(SEC/3600.0.GE.HWMUT(1).and.SEC/3600.0.LE.HWMUT(2)) THEN
      if(ENHEHT(1).GT.0.0.or.ENHEHT(2).GT.0.0) THEN
        JPEAK=(JMAX+1)/2
        DO 100 J=1,JMAX
          efrac=(1.+Z(J)/6370.)/PCO
          IF(J.GE.JNCUT(1).and.J.LE.JSCUT(1))
     >        EHT(1,J)=ENHEHT(1)*efrac + EHT(1,J)
          IF(J.GE.JNCUT(2).and.J.LE.JSCUT(2))
     >        EHT(3,J)=ENHEHT(2)*efrac + EHT(3,J)
 100    CONTINUE
      ENDIF
      ENDIF

      !.. First determine grid point where Te normalization will be done
      JHN=JMAX/2
      JHC=JMAX/2
      JHX=JMAX/2
      DO 545 IL=2,JMAX/2
        IF(ZTOPTE.LT.(Z(IL+1)+Z(IL))/2.AND.ZTOPTE.GE.(Z(IL)+Z(IL-1))/2)
     >     JHN=IL
        IF(ZHFLX.LT.(Z(IL+1)+Z(IL))/2.AND.ZHFLX.GE.(Z(IL)+Z(IL-1))/2)
     >     JHX=IL
 545  CONTINUE

      JHC=JMAX+1-JHN            !..... Conjugate index
      !... reset if topside Te is at hmF2
      IF(JK.GT.1.AND.NINT(ZTOPTE).EQ.1) JHN=JK
      IF(JK.GT.1.AND.NINT(ZTOPTE).EQ.1) JHC=JC

      !... determine factor for ring current heating of ions
      IF(AMP_RING.GT.0.0.AND.RC_TIME_CON.GT.0.0) THEN
        ZTOPTE=-1
        FAC_RING=AMP_RING*RING_CURR(SATEQ,REAL(PCO),TMAX,SIGT,LMAX,SIGL)
cJ.-N. Tu  FAC_RING=FAC_RING*EXP(-SEC/3600.0/RC_TIME_CON)   !.. time decay
cJ.-N. Tu RCPEAK = Time of peak RC heating 10/12/01
        FAC_RING=FAC_RING*EXP(-abs(SEC/3600.0-RCPEAK)/RC_TIME_CON)
        !..WRITE(6,95) NINT(TI(1,JQ)),NINT(TI(3,JQ))
        !.. >     ,NINT(TN(JQ)),FAC_RING,FAC_RING*(N(2,JQ)+N(1,JQ))
 95     FORMAT(' RC ',3I9,1P,2E11.3) 
        DO J=1,JMAX
          IF(Z(J).GT.2000) THEN
             EHT(1,J)=FAC_RING*(1.-PROP)*(N(2,J)+N(1,J))+EHT(1,J)
             EHT(3,J)=FAC_RING*PROP*(N(2,J)+N(1,J))+EHT(3,J)
          ENDIF
        ENDDO
      ENDIF

      IF(HFAC.GT.0.01.AND.SATEQ.GE.TIMEON.OR.SATEQ.LE.TIMEOF) THEN
        !... Unknown heat source. HFAC=1 -> HF=1.0E9 eV cm-3s-1 OR 
        !... if <0 a straight multiplicative factor at all altitudes
         DO J=1,JMAX
           IF(Z(J).GT.2000)  EHT(3,J)=2.5*HFAC/PCO**4 + EHT(3,J)
         ENDDO
         ZTOPTE=-1  !... signal to return
      ELSE
        !.... If HFAC < 0.0 use constant scaling
        IF(HFAC.LT.-0.01) THEN
          DO J=1,JMAX
           IF(ZTOPTE.GT.200.AND.Z(J).LT.ZTOPTE) EHT(3,J)=-HFAC*EHT(3,J)
           IF(ZTOPTE.LE.200) EHT(3,J)=-HFAC*EHT(3,J)
          ENDDO
           ZTOPTE=-1  !... signal to return
        ENDIF
      ENDIF

      IF(NINT(ZTOPTE).LE.0) RETURN
      IF(ISOL.NE.-1) RETURN  !.. only for regular run

      !.. Increased plasmaspheric heating. HEATF is used when reproducing
      !.. Te input from a file using heat flux algorithm
      IF(ZTOPTE.GT.0) THEN
         HEATFS=HEATF       !... used to smooth out oscillations in HEATF
         IF(TOPTEN.GT.TN(JK)) HEATF=5E-8*(TOPTEN**2.5-TI(3,JHN)**2.5)
         IF(TOPTES.GT.TN(JC)) HEATF=5E-8*(TOPTES**2.5-TI(3,JHC)**2.5)
         HEATF=0.5*(HEATF+HEATFS)   !... take ave of current + previous

         !.... make sure heating factor is reasonable
         IF(HEATF.LT.0.0.AND.TI(3,JQ).LT.2*TN(JQ)) HEATF=0.0
         IF(HEATF.GT.30) HEATF=30.0
         IF(HEATF.LT.-2) HEATF=-2.0
         !+++IF(HEATF.LT.0) HEATF=0.0  !... Default heating cannot be < 0. 
        
         !... Now adjust electron EHT(3,J) and ion heating rates
         DO J=1,JMAX
           IF(Z(J).GT.2000) THEN
              EHT(1,J)=9.0*(1.-PROP)*HEATF/PCO**4 + EHT(1,J)
              EHT(3,J)=9.0*PROP*HEATF/PCO**4 + EHT(3,J)
           ENDIF
         ENDDO
      ENDIF
      
      RETURN
      END
C::::::::::::::::::::::::::: RING_CURR ::::::::::
C... This function fits the ring current using two Guassian distributions
      REAL FUNCTION RING_CURR(LT,       !.. local time
     >                         L,       !.. L-value
     >                      TMAX,       !.. time of max ring current
     >                      SIGT,       !.. width of time Guassian
     >                      LMAX,       !.. L-value of max ring current
     >                      SIGL)       !.. width of L Guassian
      IMPLICIT NONE
      REAL LT,L,TMAX,SIGT,LMAX,SIGL,DELTIME
      !... First term is for time. Second term is for L
      DELTIME=ABS(LT-TMAX)
      IF(ABS(LT-TMAX).GT.ABS(LT+24-TMAX)) DELTIME=ABS(LT+24-TMAX)
      RING_CURR=EXP(-(DELTIME/SIGT)**2) * EXP(-((L-LMAX)/SIGL)**2)
      RETURN
      END
C:::::::::::::::::::::: BLOCK DATA :::::::::::::::::::::::::::::
C..... This BLOCK DATA is used to initialize the arrays in the FLIP
C..... model. This is necessary for the IBM machine
      BLOCK DATA BLO3
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      INTEGER ION
      REAL SEC,DEC,ETRAN,F107,F107A,AP,BLON,EUV,UVFAC,ZPAS,PASK,FPAS
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/LPS/SZA(401),EPSN,DC,ISPC,I1,I2,IPV,JTIMAX,IPP,ISKP
      COMMON/SOL/UVFAC(59),EUV
      COMMON/PANGS/ZPAS,PASK,IPAS,IPASC,FPAS
      DATA ZPAS /2000.0/, ZLO/0.0D0/,ZHI/0.0D0/,JWR/0/,JTI/0/
      DATA AP/7*0.0/,DEC/0.0/,ETRAN/0.0/,BLON/0.0/,F107/0.0/,F107A/0.0/
      DATA IDAY/0/,SEC/0.0/, DT/0.0D0/,DH/0.0D0/, ITF/0/,JMAX1/0/
      DATA IPV/0/,ITER/0/, JTIMAX/0/, EUV/0.0/, ISKP/1/, ISPC/5/
      DATA EPSN,  DC,I1,I2,IPP,    THF,EPS  ,ION, TF
     >   /  .8D0,.5D0, 1, 2, 4 , 1.0D0 ,1E-3, 2 ,1.0 /
      END

C::::::::::::::::::::::::::::::::: ACTUAL_DAY:::::::::::::::::::::::::
C...... Since IDAY does not change and UT continually increases, need to
C...... evaluate actual day (ID) and UT (SX) for MSIS.
      SUBROUTINE ACTUAL_DAY(IDAY,    !.... FLIP start day
     >                       SEC,    !.... UT in secs
     >                        ID,    !.... actual day
     >                        SX)    !.... actual UT in secs
      
      IMPLICIT NONE
      INTEGER IDAY,ID,NY,NDY,LY
      REAL SEC,SX
      !.. Check the run is not too long
      IF(SEC.GT.3.16E7) THEN
         WRITE(6,*) '  ** FLIP cannot do more than 1 year run **'
         STOP
      ENDIF
      NY=IDAY/1000
      NDY=MOD(IDAY,1000)
      IF(MOD(NY,4).EQ.0)LY=367
      IF(MOD(NY,4).NE.0)LY=366
      SX=AMOD(SEC,8.64E+4)
      NDY=NDY+INT(SEC/8.64E+4)
      NY=NY+NDY/LY
      ID=1000*NY+MOD(NDY,LY)
      IF(NDY.GE.LY) ID=ID+1
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C... This function calculates the indices of the heavy to light
C... ion transition altitudes
      SUBROUTINE TRAN_ALT(N,    !.. ion densities
     >                 JMAX,    !.. number of grid points
     >                  ALT,
     >                 SATN,
     >                 SATF,
     >                 UTHRS)
      IMPLICIT NONE
      INTEGER JMAX,JTOPHPN,JTOPHPC,JTOPLIN,JTOPLIC,J,JU,IWR
      REAL SATN,SATF,UTHRS
      DOUBLE PRECISION N(4,401),ALT(401)
      
      DO 20 J=1,JMAX/2
        JU=JMAX+1-J
        IF(N(1,J).GT.N(2,J)) JTOPHPN=J
        IF(N(1,JU).GT.N(2,JU)) JTOPHPC=JU
        IF(N(1,J).GT.N(2,J)+N(4,J)) JTOPLIN=J
        IF(N(1,JU).GT.N(2,JU)+N(4,JU)) JTOPLIC=JU
 20   CONTINUE
      
      DATA IWR/0/
      IWR=IWR+1
      IF(IWR.EQ.1) WRITE(18,95)
 95   FORMAT('  ---- transition altitudes for O+ to H+ and'
     > ,1X,'light ions (H+ + He+) and densities'
     > ,/7X,'UT    LT    ALT_H+  [O+]       [H+]       [He+]'    
     > ,6X,'ALT_tot  [O+]       [H+]      [He+]')
      WRITE(18,90) UTHRS,SATN,ALT(JTOPHPN)
     > ,N(1,JTOPHPN),N(2,JTOPHPN),N(4,JTOPHPN)
     > ,ALT(JTOPLIN),N(1,JTOPLIN),N(2,JTOPLIN),N(4,JTOPLIN)
       !.. > SATF,ALT(JTOPHPC),ALT(JTOPLIC)
 90   FORMAT(F10.2,F7.2,F9.2,1P,3E11.4,F9.2,1P,3E11.4)
      RETURN
      END
C:::::::::::::::::: HP_KP ::::::::::::::::::::::::
C... Adjust the H+ density for high Kp.
C... Note that Binsack gives Lpp=6.0-0.6*Kp
C... Alternative from Moldwin et al. AGU Spring 2001 SM21A-11
C... Lpp(day)=4.7-0.31*Kp; Lpp(night)=5.5-0.37*Kp
      SUBROUTINE HP_KP(KP,      !... Kp index    
     >                   PCO,   !... L-shell
     >                   UTHRS, !... Universal time
     >                   JMAX,  !... max index on field line
     >                   Z,     !... altitude array
     >                   N)     !... ion densities
      INTEGER J,JMAX
      REAL UTHRS,ALPHA,HP_NEW,KP
      DOUBLE PRECISION PCO,N(4,401),Z(401),ZDEPL,GL
      !JNTU aded +2:
      common/HPNEW/ HP_NEW,HRATE,ZDEPL,inpow
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      ! HP_NEW now input from FLIPRUN.DDD file. J.-N. Tu 10/08/01
!J.-N. Tu      DATA HP_NEW/300./    !.. new HP density at equator
      !.. If Kp is high enough, reduce H+ and He+ densities
      !.. Note that 24 hrs must have elapsed since previous
      !.. reduction, otherwise too unstable. Besides no need
      !.. to deplete already depleted flux tube
      IF(N(2,(JMAX+1)/2).LT.HP_NEW) RETURN
      ! no deplettion if HP_NEW < 0. J.-N. Tu 10/08/01
      IF(HP_NEW.LT.0.) RETURN
      ALPHA=HP_NEW/N(2,(JMAX+1)/2)   !.. reduction fac. at equator
      !..IF(KP.GE.((6.0-PCO)/0.64).AND.UTHRS-THPEQ.GT.24.) THEN  !..modified
      !IF(KP.GE.((6.0-PCO)/0.6).AND.UTHRS-THPEQ.GT.24.) THEN !..Binsack
      IF(KP.GE.3.3.AND.UTHRS-THPEQ.GT.24.) THEN !..for L=3.23 of RPI case
        DO J=1,JMAX
          !N(2,J)=N(2,J)*ALPHA
          !N(4,J)=N(4,J)*ALPHA
	  if(J.LT.JMAX/2.and.Z(J).LE.ZDEPL) JDEPL=J  !!JNTU
        ENDDO
cJNTU
	IF(JDEPL.LE.0) GOTO 501
	inpw=2*inpow
	do J=1,JMAX
          if(Z(J).GE.Z(JDEPL)) then
	    Hrate1=ALPHA+(1.-ALPHA)*(sin(GL(J))/sin(GL(JDEPL)))**inpw
	    N(1,J)=N(1,J)*Hrate1
	    N(2,J)=N(2,J)*Hrate1
	    N(4,J)=N(4,J)*Hrate1
	  endif
	enddo   !!JNTU

501     THPEQ=UTHRS
        WRITE(6,661) N(2,(JMAX+1)/2),N(4,(JMAX+1)/2),KP,UTHRS
      ENDIF
 661  FORMAT(' H+ and He+ reduced; equatorial [H+]=',F10.2
     >   ,1X,' [He+]=', F10.2,' for large Kp=',F4.1,' at UT=',F8.2)
      RETURN
      END 
C.................... RSLPSD.FOR;3 ..........19-FEB-1994 09:14:33.99 
C--- subroutine loops is the main sequencing control program. it calls sub-
C--- progs DFIJ @ TFIJ to obtain the error functions FIJ for the density
C--- and temperature d.e.'s. it sets up the Jacobian matrix in subroutine
C--- JMATRIX and solves for the increments using BDSLV. increments from
C--- the solver are tested to ensure non -ve densities (modified steepest
C--- descent).
      SUBROUTINE LOOPS(S,NEQ,N,TI,ITAU,JBZB,SEC,MAXIT,ISOL
     >  ,JK,JCON,IWIND,RATIN,RATIS,HE)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL SEC
      INTEGER ION,NEQ,NFLAG
      COMMON/SLV/DELTA(1806),RHS(1806),WORK(50000)
      DIMENSION N(4,401),TI(3,401),F(20),S(NEQ,1),DCRQ(2,401),V(2)
     > ,DUM(9),DCR(2),N1SAVE(401),HE(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/LPS/SZA(401),EPSN,DC,IMOD,I1,I2,IDNDT,IPMX,IPP,ISKP
      DATA ICALL/3/,DCRT/0.0/,ZLBDY/90.0/
     > ,DCR/2*0.0/,ZLBSEC/0.0/

      JBT=1        !... lower boundary point for Te and Ti
      JBN=JBZB     !... lower boundary point for O+ and H+

      !..... Get indices for the lower boundaries. Z(JBZB) is alt
      !..... from the specified absolute lower boundary
      IF(ZLBDY.LT.Z(JBZB)) ZLBDY=Z(JBZB)
      DO 41 J=1,JMAX/2
         IF(Z(JBN).LE.ZLBDY) JBN=J
         IF(Z(JBT).LE.90.0) JBT=J
 41   CONTINUE


      !-- If F2 peak too close to equat point, switch off NmF2 normalize 
      IF((Z(JMAX/2+1)-Z(JK)).LT.50.0)  RATIN=-1.0
      IF((Z(JMAX/2+1)-Z(JCON)).LT.50.0)  RATIS=-1.0
      !-- Save current densities for dn/dt, dT/dt. FACIRI is a factor for 
      !-- scaling FLIP to the IRI nmF2. N1SAVE is used for restoring N(1,J)
      DO 43 J=1,JMAX
           !--- This section for scaling to IRI NmF2
           FACIRI=1.0
           ALPHA=5.0E-7
           IF(Z(J).GT.Z(JK)) ALPHA=1.0E-7
           IF(RATIN.GT.0.AND.J.LT.(JMAX+1)/2) 
     >         FACIRI=(RATIN-1.0)*EXP(-ALPHA*ABS(SL(J)-SL(JK)))+1
           IF(RATIS.GT.0.AND.J.GT.(JMAX+1)/2) 
     >          FACIRI=(RATIS-1.0)*EXP(-ALPHA*ABS(SL(J)-SL(JCON)))+1
           NSAVE(1,J)=1.0*(0.0+1.0*FACIRI)*N(1,J)

         N1SAVE(J)=N(1,J)
         NSAVE(2,J)=N(2,J)
         TISAV(1,J)=TI(1,J)
         TISAV(2,J)=TI(2,J)
         TISAV(3,J)=TI(3,J)
         DCRQ(1,J)=1.0
         DCRQ(2,J)=1.0
 43   CONTINUE

      !.. PREDIC was removed 19 June 2000: no longer makes sense with ExB

      !... start main loop here; if ifij=1 temps, if ifij=2 obtain densities
      DO 226 IFIJ=I1,I2
      IF(ISOL.EQ.0.AND.IFIJ.EQ.2) ITF=2
      IF(IFIJ.EQ.1) JB=JBT
      IF(IFIJ.EQ.2) JB=JBN
      JBS=JMAX-JB+1
      MIT=JMAX-2*JB+2
      IEQ=2*(MIT-2)
      MIT1=MIT-1
C
C.... avden is called to obtain average midpoint densities and temps
      IF(IFIJ.EQ.I2) CALL AVDEN(JMAX,TI,0,0.0D0,0.0D0)
C
C.... iter loop-- on each iteration the jacobian is formed and solved for
C.... the incs of density or temp. the density and temp are updated.
C.... if the densities at successive iterates are sufficiently close
C.... the solution has been found
C
      LAXIT=IABS(MAXIT)
      IF(DT.LE.120.AND.LAXIT.LT.29) LAXIT=29
      DO 220 ITER=1,LAXIT
C
C.... boundary conditions on density and temperature
      DO 321 J=1,JMAX
        IF(J.GT.JB.AND.J.LT.JBS) GO TO 321
          CALL HOEQ(1,J,JMAX,DT,THF,DUM,N,TI,NSAVE)
          N(1,J)=DUM(1)
          N(2,J)=DUM(2)
          IF(IFIJ.EQ.1) CALL HTEQCL(J,JMAX,N,TI)  !.. T boundary
 321   CONTINUE
C
C.... compute fij   profile and *s* matrix which bdslv uses to
C.... solve the linear system ((s))*(delta)= (fij)
C.... do loop for calling fij ....
C
       DO 145 J=2,MIT1
       KR=2*(J-2)
       JC=J+JB-1
!jntu       IF(IFIJ.EQ.1.AND.Z(JC).LT.0.000.AND.Z(JC).GT.200)
!     >  WRITE(6,485) J,JC,INT(Z(JC)),TI(1,JC),TI(2,JC)
!     > ,TI(3,JC)
! 485  FORMAT(3I6,9F7.0)
       IF(IFIJ.EQ.1)  CALL TFIJ(JC,0,IPR,N,TI,F,JB,JBS,V,HE)
       IF(IFIJ.EQ.2)  CALL DFIJ(JC,0,IPR,N,TI,F,JB,JBS,V)
       RHS(KR+1)=F(1)
       RHS(KR+2)=F(2)
 145  CONTINUE
C147  CONTINUE
C
C.... ijm is a switch for calling jmatrix or not ....
       IJM=0
       IF((ITER/ICALL)*ICALL.EQ.ITER) IJM=1
       IF(ITER.LE.1) IJM=1
       IF(DCRT+DCR(1)+DCR(2).NE.3) IJM=1
C
       IF(IJM.EQ.1) CALL JMATRX(S,RHS,IEQ,IPR,DT,JMAX,N,TI,F,JB,JBS
     >   ,MIT,ITER,HE)
C
C
C.... invert the jacobian matrix *s* in the inversion routine *bdslv*.
C.... the increments are stored in array delta in this order
C.... x(1...n,j),x(1...n,j+1),x(1...n,j+2),....x(1...n,jmax-1)
C
      CALL BDSLV(IEQ,3,S,0,RHS,DELTA,WORK,NFLAG)
      IF(NFLAG.EQ.0)GO TO 55
      WRITE(6,215) ITER,NFLAG
      STOP 3
C
C
 55     IDIV=0
        DCR(1)=1
        DCR(2)=1
        DCRP=1.0
        DCRT=1.0
        IF(IPR.NE.3) GO TO 135
C
C.... test ti increments 'dinc' to ensure ti>0 (mod steep descent) ......
       DO 137 I=1,IPR
       DO 137 J=2,MIT1
       DCRP=1.0
       ION=3
       IF(I.EQ.IPR) ION=2
       DINC=DELTA(2*J-ION)
C.... if dinc exceeds a fraction dc of ti set the factor dcrt so that ti>0
       JC=JB+J-1
       IF(ABS(DINC/TI(I,JC)).GT.EPSN) DCRP=DC*ABS(TI(I,JC)/DINC)
       IF(DCRP.LT.DCRT) DCRT=DCRP
C--- needs to be fixed for I>3       DCRQ(I,JC)=DCRP
 137   CONTINUE
 135   IF(IPR.NE.2) GO TO 144
C
C.... test n increments 'dinc' to ensure n>0 (mod steepest descent)
       DO  142 I=1,IPR
       DO 142 J=2,MIT1
       DCRP=1.0
       JC=JB+J-1
       DCRQ(I,JC)=1.0
       ION=3
       IF(I.EQ.IPR) ION=2
       DINC=DELTA(2*J-ION)
       IF(DINC.LE.0) GO TO 142
       IF(ABS(DINC/N(I,JC)).GT.EPSN) DCRP=DC*ABS(N(I,JC)/DINC)
       IF((DCRP.LT.DCR(I)).AND.(Z(JC).GT.0.0)) DCR(I)=DCRP
       IF(ITER.GT.0) DCRQ(I,JC)=DCRP
 142    CONTINUE
C
C
C... add iterative increment to the array 'n' or 'ti' and test for
C... convergence when idiv=0. separate dcrs are switched off
      ADCR=DCR(1)
      IF(DCR(2).LT.DCR(1)) ADCR=DCR(2)
 144   DO  42 I=1,IPR
       ION=3
       IF(I.EQ.IPR) ION=2
       DO 42 J=2,MIT1
C....... first temperatures ....
       JC=JB+J-1
       DINC=DELTA(2*J-ION)
       IF(IPR.EQ.2) GO TO 59
       TI(I,JC)=TI(I,JC)-DINC*DCRT
       IF(ABS(DINC/TI(I,JC)).GT.1E-3)   IDIV=IDIV+1
       GO TO 42
 59    CONTINUE
C........ now densities ..........
       N(I,JC)=N(I,JC)-DINC*ADCR
       IF(ABS(DINC/N(I,JC)).GT.1E-3)  IDIV=IDIV+1
 42    CONTINUE
C47    CONTINUE
C
C.... if dcr(i) is not close to 1 by the tenth iteration, give up.
       IF(DCR(1).LE.1E-3.AND.ITER.GT.10) GO TO 230
       IF(DCR(2).LE.1E-3.AND.ITER.GT.10) GO TO 230
C
C... test to see if convergence has occured.
      IF(IDIV.EQ.0)  GO TO 224
 220  CONTINUE
      GO TO 230
 224  CONTINUE

      !... Convergence in T or N 
      !... restore saved value for use in MINORA if it non-converges
      IF(IFIJ.EQ.I2)  THEN
         DO J=1,JMAX
           NSAVE(1,J)=N1SAVE(J)
         ENDDO

         !... blend in the region below the lower boundary. Also reset
         !... lower boundary altitude if decent time elapsed since problem
         IF(JBN.GT.JBT)
     >     CALL SMOOTH(JMAX,JBN,JBT,Z,N,NSAVE,DT,THF,DUM,TI)
         IF(SEC-ZLBSEC.GT.1800) ZLBDY=Z(JBZB)
      ENDIF
      IF(IFIJ.EQ.I2) RETURN
 226  CONTINUE

 
      !............ Deal with non-convergence
 230  CONTINUE
      IF(MAXIT.LT.0) GO TO 367
      IF(ITF.EQ.3.AND.IFIJ.EQ.2) GO TO 367
 
      !... restore old values for reduced time step
      DO 255 J=1,JMAX
 794    FORMAT(1X,2I6,1P,9E10.2)
        TI(1,J)=TISAV(1,J)
        TI(2,J)=TISAV(2,J)
        TI(3,J)=TISAV(3,J)
        N(1,J)=N1SAVE(J)
        N(2,J)=NSAVE(2,J)
 255  CONTINUE
C
      !.. Test to see if convergence difficulty below ZLBDY only
      IMOD=1         !... assume only below ZLBDY
      ABSBDY= 200    !... absolute boundary
      !... now test points above the boundary
      DO 257 J=JBN,JMAX+1-JBN
        IF(Z(J).LT.ABSBDY.AND.DCRQ(1,J).NE.1) IMOD=1
 257  CONTINUE
C
      IF(IMOD.EQ.0.OR.Z(JBN).GE.ABSBDY+1.0.OR.DT.GT.100) GO TO 365
      !.. If difficulty is only below ZLBDY km then raise lower boundary
      ZLBDY=(ABSBDY+2.0*Z(JBN))*0.333333
      ZLBSEC=SEC

      !... blend in low and high altitudes
      IF(IFIJ.EQ.2.AND.JBN.GT.JBT) 
     >   CALL SMOOTH(JMAX,JBN,JBT,Z,N,NSAVE,DT,THF,DUM,TI)

      WRITE(6,373) NINT(ZLBDY)
 373  FORMAT(5X,'*** The O+ - H+ lower boundary has been raised,'
     > ,1X,'to',I4,' km ***')
C....... else return negative ITER to reduce time step
 365  ITER=-ITER
      IF(DT.GE.5) RETURN
 367  CONTINUE
C
C....  non-convergence diagnostics. grid points where problem occured
!jntu      IF(IFIJ.EQ.1) WRITE(3,115) ITER,DCRT,DCR(2),ZLBDY
      IF(IFIJ.EQ.1) WRITE(6,115) ITER,DCRT,DCR(2),ZLBDY
!      IF(IFIJ.EQ.2) WRITE(3,116) ITER,DCR(1),DCR(2),ZLBDY
      IF(IFIJ.EQ.2) WRITE(6,116) ITER,DCR(1),DCR(2),ZLBDY
 115    FORMAT(/'  NON-CONVERGENCE IN TEMPERATURE SOLUTION, ITER='
     > ,I3,'  DCR1=',1P,E10.1,'  DCR2=',E10.1,' ZLBDY=',0P,F8.1)
 116    FORMAT(/'  NON-CONVERGENCE IN O+ - H+ SOLUTION, ITER='
     > ,I3,'  DCR1=',1P,E10.1,'  DCR2=',E10.1,' ZLBDY=',0P,F8.1)

      DO 535 J=JB+1,(JMAX+1)/2
      IF(DCRQ(1,J)+DCRQ(2,J).NE.2)
     > WRITE(6,537) J,INT(Z(J)),DCRQ(1,J),DCRQ(2,J)
 535  CONTINUE
 537  FORMAT(2X,'Northern hemisphere:- problem at point=',I5,' ALT=',I8
     > ,1P,4E8.1)
C
      DO 539 J=(JMAX+1)/2,JBS-1
      IF(DCRQ(1,J)+DCRQ(2,J).NE.2)
     > WRITE(6,541) J,INT(Z(J)),DCRQ(1,J),DCRQ(2,J)
 539  CONTINUE
 541  FORMAT(2X,'Southern hemisphere:- problem at point=',I5,
     >  ' ALT=',I8,1P,4E8.1)
      ITER=-1
      RETURN
 215   FORMAT('  ITERATION =',I5,'  RETURN FROM BDSLV =',I5)
C111    FORMAT(1H ,I4,1P,22E12.2)
C114    FORMAT(1X,1P,15E8.1)
      END
C.................... CLOOPS.FOR;1 ..........
C--- subroutine cloops is the cut-FLIP version of LOOPS. it calls sub-
C--- progs DFIJ @ TFIJ to obtain the error functions FIJ for the density
C--- and temperature d.e.'s. it sets up the Jacobian matrix in subroutine
C--- JMATRIX and solves for the increments using BDSLV. increments from
C--- the solver are tested to ensure non -ve densities (modified steepest
C--- descent).
      SUBROUTINE CLOOPS(S,NEQ,N,TI,ITAU,JBZB,SEC,MAXIT,ISOL
     >  ,JK,JCON,IWIND,RATIN,RATIS,HE,JBS)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL SEC
      INTEGER ION,NEQ,NFLAG,jbs
      COMMON/SLV/DELTA(1806),RHS(1806),WORK(50000)
      DIMENSION N(4,401),TI(3,401),F(20),S(NEQ,1),DCRQ(2,401),V(2)
     > ,DUM(9),DCR(2),N1SAVE(401),HE(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/LPS/SZA(401),EPSN,DC,IMOD,I1,I2,IDNDT,IPMX,IPP,ISKP
      DATA ICALL/3/,DCRT/0.0/,ZLBDY/90.0/
     > ,DCR/2*0.0/,ZLBSEC/0.0/

      JBT=1        !... lower boundary point for Te and Ti
      JBN=JBZB     !... lower boundary point for O+ and H+

      !..... Get indices for the lower boundaries. Z(JBZB) is alt
      !..... from the specified absolute lower boundary
      IF(ZLBDY.LT.Z(JBZB)) ZLBDY=Z(JBZB)
      DO 41 J=1,JMAX/2
         IF(Z(JBN).LE.ZLBDY) JBN=J
         IF(Z(JBT).LE.90.0) JBT=J
 41   CONTINUE


      !-- If F2 peak too close to equat point, switch off NmF2 normalize 
      IF((Z(JMAX/2+1)-Z(JK)).LT.50.0)  RATIN=-1.0
      IF((Z(JMAX/2+1)-Z(JCON)).LT.50.0)  RATIS=-1.0
      !-- Save current densities for dn/dt, dT/dt. FACIRI is a factor for 
      !-- scaling FLIP to the IRI nmF2. N1SAVE is used for restoring N(1,J)
      DO 43 J=1,JMAX
           !--- This section for scaling to IRI NmF2
           FACIRI=1.0
           ALPHA=5.0E-7
           IF(Z(J).GT.Z(JK)) ALPHA=1.0E-7
           IF(RATIN.GT.0.AND.J.LT.(JMAX+1)/2) 
     >         FACIRI=(RATIN-1.0)*EXP(-ALPHA*ABS(SL(J)-SL(JK)))+1
           IF(RATIS.GT.0.AND.J.GT.(JMAX+1)/2) 
     >          FACIRI=(RATIS-1.0)*EXP(-ALPHA*ABS(SL(J)-SL(JCON)))+1
           NSAVE(1,J)=1.0*(0.0+1.0*FACIRI)*N(1,J)

         N1SAVE(J)=N(1,J)
         NSAVE(2,J)=N(2,J)
         TISAV(1,J)=TI(1,J)
         TISAV(2,J)=TI(2,J)
         TISAV(3,J)=TI(3,J)
         DCRQ(1,J)=1.0
         DCRQ(2,J)=1.0
 43   CONTINUE

      !.. PREDIC was removed 19 June 2000: no longer makes sense with ExB

      !... start main loop here; if ifij=1 temps, if ifij=2 obtain densities
      DO 226 IFIJ=I1,I2
      IF(ISOL.EQ.0.AND.IFIJ.EQ.2) ITF=2
      IF(IFIJ.EQ.1) JB=JBT
      IF(IFIJ.EQ.2) JB=JBN
!jntu      JBS=JMAX-JB+1
!jntu      MIT=JMAX-2*JB+2
!jntu 12/17/09
      MIT=JBS-JB+1
      IF(JBS.GT.JMAX/2) MIT=JMAX-JBS-JB+2
!jntu
      IEQ=2*(MIT-2)
      MIT1=MIT-1
C
C.... avden is called to obtain average midpoint densities and temps
      IF(IFIJ.EQ.I2) CALL AVDEN(JMAX,TI,0,0.0D0,0.0D0)
C
C.... iter loop-- on each iteration the jacobian is formed and solved for
C.... the incs of density or temp. the density and temp are updated.
C.... if the densities at successive iterates are sufficiently close
C.... the solution has been found
C
      LAXIT=IABS(MAXIT)
      IF(DT.LE.120.AND.LAXIT.LT.29) LAXIT=29
      DO 220 ITER=1,LAXIT
C
C.... boundary conditions on density and temperature
      DO 321 J=1,JMAX
        IF(J.GT.JB.AND.J.LT.JMAX-JB+1) GO TO 321
          CALL HOEQ(1,J,JMAX,DT,THF,DUM,N,TI,NSAVE)
          N(1,J)=DUM(1)
          N(2,J)=DUM(2)
          IF(IFIJ.EQ.1) CALL HTEQCL(J,JMAX,N,TI)  !.. T boundary
 321   CONTINUE
C
C.... compute fij   profile and *s* matrix which bdslv uses to
C.... solve the linear system ((s))*(delta)= (fij)
C.... do loop for calling fij ....
C
      DO 145 J=2,MIT1
      KR=2*(J-2)
      JC=J+JB-1
      IF(JBS.GT.JMAX/2) JC=J+JBS-1
      IF(IFIJ.EQ.1)  CALL TFIJ(JC,0,IPR,N,TI,F,JB,JBS,V,HE)
      IF(IFIJ.EQ.2)  CALL DFIJ(JC,0,IPR,N,TI,F,JB,JBS,V)
      RHS(KR+1)=F(1)
      RHS(KR+2)=F(2)
 145  CONTINUE
C
C.... ijm is a switch for calling jmatrix or not ....
       IJM=0
       IF((ITER/ICALL)*ICALL.EQ.ITER) IJM=1
       IF(ITER.LE.1) IJM=1
       IF(DCRT+DCR(1)+DCR(2).NE.3) IJM=1
C
       IF(IJM.EQ.1) CALL JMATRX(S,RHS,IEQ,IPR,DT,JMAX,N,TI,F,JB,JBS
     >   ,MIT,ITER,HE)
C
C
C.... invert the jacobian matrix *s* in the inversion routine *bdslv*.
C.... the increments are stored in array delta in this order
C.... x(1...n,j),x(1...n,j+1),x(1...n,j+2),....x(1...n,jmax-1)
C
      CALL BDSLV(IEQ,3,S,0,RHS,DELTA,WORK,NFLAG)
      IF(NFLAG.EQ.0)GO TO 55
      WRITE(6,215) ITER,NFLAG
      STOP 3
C
C
 55     IDIV=0
        DCR(1)=1
        DCR(2)=1
        DCRP=1.0
        DCRT=1.0
        IF(IPR.NE.3) GO TO 135
C
C.... test ti increments 'dinc' to ensure ti>0 (mod steep descent) ......
       DO 137 I=1,IPR
       DO 137 J=2,MIT1
       DCRP=1.0
       ION=3
       IF(I.EQ.IPR) ION=2
       DINC=DELTA(2*J-ION)
C.... if dinc exceeds a fraction dc of ti set the factor dcrt so that ti>0
       JC=JB+J-1
       IF(JBS.GT.JMAX/2) JC=J+JBS-1
       IF(ABS(DINC/TI(I,JC)).GT.EPSN) DCRP=DC*ABS(TI(I,JC)/DINC)
       IF(DCRP.LT.DCRT) DCRT=DCRP
C--- needs to be fixed for I>3       DCRQ(I,JC)=DCRP
 137   CONTINUE
 135   IF(IPR.NE.2) GO TO 144
C
C.... test n increments 'dinc' to ensure n>0 (mod steepest descent)
       DO  142 I=1,IPR
       DO 142 J=2,MIT1
       DCRP=1.0
       JC=JB+J-1
       IF(JBS.GT.JMAX/2) JC=J+JBS-1
       DCRQ(I,JC)=1.0
       ION=3
       IF(I.EQ.IPR) ION=2
       DINC=DELTA(2*J-ION)
       IF(DINC.LE.0) GO TO 142
       IF(ABS(DINC/N(I,JC)).GT.EPSN) DCRP=DC*ABS(N(I,JC)/DINC)
       IF((DCRP.LT.DCR(I)).AND.(Z(JC).GT.0.0)) DCR(I)=DCRP
       IF(ITER.GT.0) DCRQ(I,JC)=DCRP
 142    CONTINUE
C
C
C... add iterative increment to the array 'n' or 'ti' and test for
C... convergence when idiv=0. separate dcrs are switched off
      ADCR=DCR(1)
      IF(DCR(2).LT.DCR(1)) ADCR=DCR(2)
 144   DO  42 I=1,IPR
       ION=3
       IF(I.EQ.IPR) ION=2
       DO 42 J=2,MIT1
C....... first temperatures ....
       JC=JB+J-1
       IF(JBS.GT.JMAX/2) JC=J+JBS-1
       DINC=DELTA(2*J-ION)
       IF(IPR.EQ.2) GO TO 59
       TI(I,JC)=TI(I,JC)-DINC*DCRT
       IF(ABS(DINC/TI(I,JC)).GT.1E-3)   IDIV=IDIV+1
       GO TO 42
 59    CONTINUE
C........ now densities ..........
       N(I,JC)=N(I,JC)-DINC*ADCR
       IF(ABS(DINC/N(I,JC)).GT.1E-3)  IDIV=IDIV+1
 42    CONTINUE
C47    CONTINUE
C
C.... if dcr(i) is not close to 1 by the tenth iteration, give up.
       IF(DCR(1).LE.1E-3.AND.ITER.GT.10) GO TO 230
       IF(DCR(2).LE.1E-3.AND.ITER.GT.10) GO TO 230
C
C... test to see if convergence has occured.
      IF(IDIV.EQ.0)  GO TO 224
 220  CONTINUE
      GO TO 230
 224  CONTINUE

      !... Convergence in T or N 
      !... restore saved value for use in MINORA if it non-converges
      IF(IFIJ.EQ.I2)  THEN
         DO J=1,JMAX
           NSAVE(1,J)=N1SAVE(J)
         ENDDO

         !... blend in the region below the lower boundary. Also reset
         !... lower boundary altitude if decent time elapsed since problem
         IF(JBN.GT.JBT)
     >     CALL SMOOTH(JMAX,JBN,JBT,Z,N,NSAVE,DT,THF,DUM,TI)
         IF(SEC-ZLBSEC.GT.1800) ZLBDY=Z(JBZB)
      ENDIF
      IF(IFIJ.EQ.I2) RETURN
 226  CONTINUE

 
      !............ Deal with non-convergence
 230  CONTINUE
      IF(MAXIT.LT.0) GO TO 367
      IF(ITF.EQ.3.AND.IFIJ.EQ.2) GO TO 367
 
      !... restore old values for reduced time step
      DO 255 J=1,JMAX
 794    FORMAT(1X,2I6,1P,9E10.2)
        TI(1,J)=TISAV(1,J)
        TI(2,J)=TISAV(2,J)
        TI(3,J)=TISAV(3,J)
        N(1,J)=N1SAVE(J)
        N(2,J)=NSAVE(2,J)
 255  CONTINUE
C
      !.. Test to see if convergence difficulty below ZLBDY only
      IMOD=1         !... assume only below ZLBDY
      ABSBDY= 200    !... absolute boundary
      !... now test points above the boundary
      DO 257 J=JBN,JMAX+1-JBN
        IF(Z(J).LT.ABSBDY.AND.DCRQ(1,J).NE.1) IMOD=1
 257  CONTINUE
C
      IF(IMOD.EQ.0.OR.Z(JBN).GE.ABSBDY+1.0.OR.DT.GT.100) GO TO 365
      !.. If difficulty is only below ZLBDY km then raise lower boundary
      ZLBDY=(ABSBDY+2.0*Z(JBN))*0.333333
      ZLBSEC=SEC

      !... blend in low and high altitudes
      IF(IFIJ.EQ.2.AND.JBN.GT.JBT) 
     >   CALL SMOOTH(JMAX,JBN,JBT,Z,N,NSAVE,DT,THF,DUM,TI)

      WRITE(6,373) NINT(ZLBDY)
 373  FORMAT(5X,'*** The O+ - H+ lower boundary has been raised,'
     > ,1X,'to',I4,' km ***')
C....... else return negative ITER to reduce time step
 365  ITER=-ITER
      IF(DT.GE.5) RETURN
 367  CONTINUE
C
C....  non-convergence diagnostics. grid points where problem occured
!jntu      IF(IFIJ.EQ.1) WRITE(3,115) ITER,DCRT,DCR(2),ZLBDY
      IF(IFIJ.EQ.1) WRITE(6,115) ITER,DCRT,DCR(2),ZLBDY
!      IF(IFIJ.EQ.2) WRITE(3,116) ITER,DCR(1),DCR(2),ZLBDY
      IF(IFIJ.EQ.2) WRITE(6,116) ITER,DCR(1),DCR(2),ZLBDY
 115    FORMAT(/'  NON-CONVERGENCE IN TEMPERATURE SOLUTION, ITER='
     > ,I3,'  DCR1=',1P,E10.1,'  DCR2=',E10.1,' ZLBDY=',0P,F8.1)
 116    FORMAT(/'  NON-CONVERGENCE IN O+ - H+ SOLUTION, ITER='
     > ,I3,'  DCR1=',1P,E10.1,'  DCR2=',E10.1,' ZLBDY=',0P,F8.1)

      DO 535 J=JB+1,(JMAX+1)/2
      IF(DCRQ(1,J)+DCRQ(2,J).NE.2)
     > WRITE(6,537) J,INT(Z(J)),DCRQ(1,J),DCRQ(2,J)
 535  CONTINUE
 537  FORMAT(2X,'Northern hemisphere:- problem at point=',I5,' ALT=',I8
     > ,1P,4E8.1)
C
      DO 539 J=(JMAX+1)/2,JMAX-JB !JBS-1
      IF(DCRQ(1,J)+DCRQ(2,J).NE.2)
     > WRITE(6,541) J,INT(Z(J)),DCRQ(1,J),DCRQ(2,J)
 539  CONTINUE
 541  FORMAT(2X,'Southern hemisphere:- problem at point=',I5,
     >  ' ALT=',I8,1P,4E8.1)
      ITER=-1
      RETURN
 215   FORMAT('  ITERATION =',I5,'  RETURN FROM BDSLV =',I5)
C111    FORMAT(1H ,I4,1P,22E12.2)
C114    FORMAT(1X,1P,15E8.1)
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE HOEQ(ISW,J,JMAX,DT,THF,DUM,N,TI,NSAVE)
C*********  finds the new chemical equilibrium densities
C*********  of o+ and h+ at point j for fraction implicitness
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      DIMENSION RTS(99),N(4,401),TI(3,401),NSAVE(2,401),DUM(9)
       CALL RATS(J,TI(3,J),TI(1,J),TN(J),RTS)
C......... evaluate loss rates
      LOPLS=(RTS(3)*N2N(J)+RTS(4)*O2N(J))
      LOPLS2=+RTS(2)*HN(J)
      LHPLS=RTS(1)*ON(J)
      DUM(1)=PHION(J)/LOPLS
      DUM(2)=N(1,J)*LOPLS2/LHPLS
       RETURN
       END
C::::::::::::::::::::::::::: HTEQCL :::::::::::::::::::::::::::::::::::::
C.... lower boundary for Te using Newton to solve heating=cooling
      SUBROUTINE HTEQCL(J,JMAX,N,TI)
       IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/SAV/NSAV(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      DIMENSION N(4,401),TI(3,401),HLOSE(3),CLRT(3)
      JITER=0
      TI(1,J)=TN(J)
      TI(2,J)=TN(J)
      !... At night Te=Tn
      IF(EHT(3,J).LE.0.0) THEN
         TI(3,J)=TN(J)
         RETURN
      ENDIF
C..... Start a Newton procedure to solve local equilibrium      
C..... evaluate the heating and cooling rates for T and T+delT
      H=0.0001*TI(3,J)    ! delta T for Newton
 20   CONTINUE
        CALL GET_LOSS(2,J,TI,N,BM,HLOSE,CLRT)
        FEX=EHT(3,J)*1.6E-12/BM(J)-HLOSE(2)-CLRT(2)
        TI(3,J)=TI(3,J)+H
        CALL GET_LOSS(2,J,TI,N,BM,HLOSE,CLRT)
        DEX=(EHT(3,J)*1.6E-12/BM(J)-HLOSE(2)-CLRT(2)-FEX)/H
        TI(3,J)=TI(3,J)-H-FEX/DEX
C......... ensure te is physically reasonable
        IF(TI(3,J).LT.0.0) TI(3,J)=TN(J)
        IF(TI(3,J).GT.1.E+4) TI(3,J)=TN(J)
        JITER=JITER+1
        IF(JITER.GT.22) GO TO 30        !.. give up
      IF(ABS(FEX/(DEX*TI(3,J))).GT.1.0E-3) GO TO 20
      IF((J.NE.1).OR.(J.NE.JMAX)) RETURN
 30   CONTINUE
      IF(JITER.LT.22) RETURN
      WRITE(6,95)
 95   FORMAT('   JITER>22 IN HTEQCL')
      TI(3,J)=TN(J)
        RETURN
        END
C::::::::::::::::::::::: JMATRX ::::::::::::::::::::::::::::::::::::
C......  JMATRX EVALUATES DELF/DELT USING STEPHANSONS METHOD.
C......  S(L,M) = DEL(FIJ) / DEL(N)
C......  WHERE N IS THE DENSITY OF ION IV AT ALTITUDE JV. L AND M
C......  ARE COMPUTED FROM JF...IV. THE ARRAY RHS CONTAINS VALUES OF
C...... FIJ SAVED FROM PREVIOUS COMPUTATION

      SUBROUTINE JMATRX(S,RHS,INEQ,IPR,DT,JMAX,N,TI,F,JB,JBS,MIT,ITER
     >  ,HE)
      USE INPARM   !jntu 12/17/09
      IMPLICIT DOUBLE PRECISION(A-H,N-Z)
      DIMENSION RHS(1806),S(INEQ,8),N(4,401),TI(3,401),F(20),V(2)
     >  ,HE(401)
C
      DO 180 KZS=1,7
      DO 180 JZS=1,INEQ
 180  S(JZS,KZS)=0.0
C
      DO 80 JF=2,MIT-1
      J1=MAX0(2,JF-1)
      J2=MIN0(JF+1,MIT-1)
      DO 80 IV=1,2
      DO 80 JV=J1,J2
C
      L=2*(JF-2)
      IF(JF.LE.3)M=2*(JV-2)+IV
      IF(JF.GT.3)M=2*(JV-JF)+IV+4
      KRV=2*(JV-2)+IV
C
      JVC=JB+JV-1
      JFC=JB+JF-1
!jntu 12/17/09
      IF(GSK2FLIP=='Yes'.and.JBS.gt.JMAX/2) THEN
          JVC=JBS+JV-1
          JFC=JBS+JF-1
      ENDIF
!jntu
C... H FOR TI CALCULATIONS ..........
      IF(IPR.EQ.2) GO TO 68
      H=1.E-4*TI(IV+1,JVC)
      TI(IV+1,JVC)=TI(IV+1,JVC)+H
      CALL TFIJ(JFC,1,IPR,N,TI,F,JB,JBS,V,HE)
      TI(IV+1,JVC)=TI(IV+1,JVC)-H
       GO TO 70
 68    CONTINUE
C....... DENSITIES ........
      H=1.E-4*N(IV,JVC)
      N(IV,JVC)=N(IV,JVC)+H
      CALL DFIJ(JFC,1,IPR,N,TI,F,JB,JBS,V)
      N(IV,JVC)=N(IV,JVC)-H
 70     CONTINUE
      RH=1/H
      IF(JF.LE.3)  S(L+1,M)=(F(1)-RHS(L+1))*RH
      IF(JF.LE.3)  S(L+2,M)=(F(2)-RHS(L+2))*RH
      IF(JF.GT.3)  S(L+1,M-1)=(F(1)-RHS(L+1))*RH
      IF(JF.GT.3)  S(L+2,M-2)=(F(2)-RHS(L+2))*RH
C
   80 CONTINUE
      RETURN
      END
C:::::::::::::::::::::::::::: SMOOTH :::::::::::::::::::::::
C....... Smoothing out O+ profile when boundary above 120 km by 
C....... fitting an exponential from absolute lower boundary to the O+ 
C....... lower boundary. This profile is then blended with the
C....... local equilibrium values from subroutine HOEQ. The second
C....... call to HOEQ is to get the H+ density consistent with O+
      SUBROUTINE SMOOTH(JMAX,JBN,JBT,Z,N,NSAVE,DT,THF,DUM,TI)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION N(4,401),TI(3,401),NSAVE(2,401),DUM(9),Z(401)
        JINC=1
        JBS=JMAX-JBN+1
        JBTS=JMAX-JBT+1
        AL1=DLOG(N(1,JBN+JINC)/N(1,JBT))/(Z(JBN+JINC)-Z(JBT))
        AL2=DLOG(N(1,JBS-JINC)/N(1,JBTS))/(Z(JBS-JINC)-Z(JBTS))
C............ Northern hemisphere
        DO 511 J=JBT,JBN+JINC
           N(1,J)=N(1,JBT)*EXP(AL1*(Z(J)-Z(JBT)))
           CALL HOEQ(1,J,JMAX,DT,THF,DUM,N,TI,NSAVE)
           N(1,J)=(N(1,J)+DUM(1))*0.5
           CALL HOEQ(1,J,JMAX,DT,THF,DUM,N,TI,NSAVE)
           N(2,J)=DUM(2)
 511    CONTINUE   
        DO 512 J=JBT,JBN+10
C....           WRITE(73,417) J,Z(J),N(1,J),NSAVE(1,J)
 417       FORMAT(1X,I4,F6.1,1P,22E9.1)
 512    CONTINUE
C
C............ Southern hemisphere
        DO 515 J=JBS-JINC,JBTS
           N(1,J)=N(1,JBTS)*EXP(AL2*(Z(J)-Z(JBTS)))
           CALL HOEQ(1,J,JMAX,DT,THF,DUM,N,TI,NSAVE)
           N(1,J)=(N(1,J)+DUM(1))*0.5
           CALL HOEQ(1,J,JMAX,DT,THF,DUM,N,TI,NSAVE)
           N(2,J)=DUM(2)
 515    CONTINUE   
        DO 517 J=JBS-10,JBTS
C....           WRITE(74,417) J,Z(J),N(1,J),NSAVE(1,J)
 517    CONTINUE
        RETURN
        END
C.................... FLIPAP.FOR;2 ..........14-JUN-1994 21:36:29.18 
C....... This subroutine provides the 7 Ap indices for the MSIS model given
C....... the time history of the Kp at 3 hour intervals.
C....... Original programmer - D. A. Burns, June  1988
C....... UTHRS is the universal time at which Ap is to be evaluated (hours)
C....... RUNHRS is the length of the run (hours). Ap is the output array
C....... This routine was modified by P. Richards in July 1991 to input the
C....... 3 hr Kp indices instead of Ap and also F10.7. The Kp and F10.7 (Sa)
C....... indices can be found in the
C....... back of JGR and are read from a file coverted to Ap and stored in
C....... the array AP3HR. SW is an array of switches for the MSIS model
C....... If a negative Kp is read, the plasmaspheric H+ density (HPEQ) is
C....... reduced to simulate emptying of flux tubes.
C....... Modified July 1995 by Scot Braze to read Kp and F10.7 values from
C....... a master file.  STDAY is the start day in YYYYDDD format.  F107A 
C....... is the average F10.7 value.  It reflects the average of the 40
C....... days prior to the date and 40 days after the date.
C
      SUBROUTINE FINDAP (STDAY,UTHRS,RUNHRS,AP,AP3HR,SW,HPEQ,F107
     >                   ,F107A)
C
      INTEGER IND,INDSAV,NUMAP3,STDAY,I,DAYDIM
      PARAMETER (DAYDIM=400)
      REAL AP3HR(4001),AP(7),SW(25),HP3HR(4001),F107,F107A
     > ,T107(DAYDIM),T107A(DAYDIM),UTHRS
      DOUBLE PRECISION HPEQ,RUNHRS
      LOGICAL DEBUG
C
      DATA  UTST,INDSAV, DEBUG   ,    T107    ,   T107A    , THPEQ
     >   /   0.0,  1   , .FALSE. , DAYDIM*-1.0, DAYDIM*-1.0, 0.0/
C
C........ If this is the first call to FINDAP, call READAP  to read
C........ the 3 Hour Ap indices and check there is enough. HP3HR is
C........ used to reduce plasmaspheric content if negative
C
      IF (AP3HR(1).LT. 0.0) THEN
         CALL READAP(STDAY,UTST,AP3HR,NUMAP3,UTHRS,RUNHRS,HP3HR,T107
     >               ,T107A)
C....... call TSELEC and GSELEC to allow MSIS and HWM to use the 3 hour AP
         SW(9)= -1.0
         CALL TSELEC(SW) 
         CALL GSELEC(SW) 
C
      ENDIF
C
C------ Set daily F10.7 flux
      F107 = T107(INT((UTHRS-UTST)/24)+1)
      F107A= T107A(INT((UTHRS-UTST)/24)+1)
C
C....  IND - index of the 3 hour AP for the current time - UTHRS
      IND = 20 + INT((UTHRS-UTST)/3)
C
C...... If the index has not changed do not recalculate APs
      IF (IND .EQ. INDSAV) THEN
         RETURN
      ELSE
         INDSAV = IND
      ENDIF

      !*** HPEQ is now adjusted in RSMNSD 19 July 2000
 
      IF (DEBUG) WRITE(6,*) 'START:',UTST,' ','NUMAP3 = ',NUMAP3
C
C..... Calculate the daily Ap (AP(1)) by first determining the day which
C..... corresponds to the current UTHRS, then calculate the index that
C..... corresponds to the first 3 hour Ap of that day. Then sum 8 3 hour
C..... APs for that day
      DAY = INT(UTHRS/24)
      IDAY = 20 + NINT((DAY * 24 - UTST)/3)
      AP(1)=0.0
      DO 25 I = IDAY, (IDAY+7)
         AP(1) = AP(1)+AP3HR(I)
25    CONTINUE
      AP(1)=AP(1)/8.0
C
C..... Fill the next 4 elements of AP with the corresponding 3 hour values
      DO 20 I = 2, 5
        AP(I) = AP3HR(IND-I+2)
        IF (DEBUG) WRITE (6,*)'I=',I,' ','IND=',IND,' ','AP3HR=',
     >   AP3HR(IND-I+2),'CT=',UTHRS
20    CONTINUE
C
C...... AP(6) is the average of eight 3 hour indices from 12 to 33 hours
C...... prior to current time
      AP(6) = 0.0
      DO 30 I = 4, 11
        AP(6) = AP(6) + AP3HR(IND-I)
        IF (DEBUG) WRITE(6,*)'I=',I,' ','SUM6=',AP(6),'AP3HR=',
     >     AP3HR(IND-I),'CT=',UTHRS
30    CONTINUE
      AP(6) = AP(6)/8.0
C
C...... AP(7) is the average of eight 3 hour indices from 36 to 60 hours
C...... prior to current time
      AP(7) = 0.0
      DO 40 I = 12, 19
        AP(7) = AP(7) + AP3HR(IND-I)
        IF (DEBUG) WRITE(6,*)'I=',I,' ','SUM7=',AP(7),'AP3HR=',
     >     AP3HR(IND-I),'CT=',UTHRS
40    CONTINUE
      AP(7) = AP(7)/8.0
      RETURN
      END
C:::::::::::::::::::::::::::::::::: READAP ::::::::::::::::::::::::::
C..... This subroutine reads in the Start time for the run (UTST) and the
C..... 3 hour Kp indices converts them to Ap and returns them in (AP3HR).
C..... It also returns the number of 3 hour indices (NUMAP3). and tests
C..... the data to see if there is enough
C..... and if it within the range 0-300. UTHRS is the first time that the
C..... Kp is required. It is tested to see if it is within an hour of UTST
C..... RUNHRS is the length of the run. All times are in hours.  Modified
C..... 8/7/95 by Scot A Braze.  STDAY is the start day in YYYYDDD format.
C..... FYYYY AND FDDD are the start year and day num (out of 365) of the 
C..... run.  SYYYY AND SDDD are the day and year that the data extraction
C..... begins.  CYYYY AND CDDD are the current day and year being read.  
C..... IKPAP is the integer array used to hold kp values to be converted 
C..... to real. T107A is the average F10.7 value.  The f10.7 values are 
C..... returned in T107, and the Ap values are returned in AP3HR.
C
      SUBROUTINE READAP (STDAY,UTST,AP3HR,NUMAP3,UTHRS,RUNHRS
     >                   ,HP3HR,T107,T107A)
      IMPLICIT NONE
C
      INTEGER STDAY,SYYYY,SDDD,CDDD,CMONTH,CDAY,FYYYY,FDDD
     >        ,IKPAP(8),NDAY,I,K,NUMAP3,IDD,IOPEN,CYYYY,DAYDIM
      PARAMETER (DAYDIM=400)
      REAL UTST,AP3HR(4001),KPTOAP(0:90),HP3HR(4001)
     >         ,T107(DAYDIM),T107A(DAYDIM),UTHRS,SENT
      DOUBLE PRECISION RUNHRS
      LOGICAL DEBUG
C......Maximum number of AP indices allowed for a FLIP run
      DATA DEBUG / .FALSE. /
C....... Conversion factors from Kp = 1..9. AP = KPTOAP(KP) - obsolete
      !..     Kp= 0    1    2   3    4    5    6     7     8    9
      !..     AP= 0,   3,   7,  15,  27,  48,  80,  140,  240, 400
      !.. 90 Ap values for easy conversion to Ap
      DATA KPTOAP/3*0,4*2,3*3,3*4,4*5,3*6,3*7,4*9,3*12,3*15,4*18,3*22
     >   ,3*27,4*32,3*39,3*49,4*56,3*67,3*80,4*94,3*111,3*132,4*154
     >   ,3*179,3*207,4*236,3*300,400/
C
      IF (DEBUG) WRITE (6,*)'*******ENTERING READAP********'
C------- Test to see if the data file exists
      CALL TFILE(20,IOPEN)
      IF(IOPEN.EQ.0) THEN
        WRITE(6,79) 
 79     FORMAT(/1X,'*** File with 3 hour Ap and F10.7 is missing ***'/)
        STOP
      ENDIF
C
C.... Set the number of days for the run. Add a day to be sure
      NDAY = NINT((UTHRS+RUNHRS)/24.0)+1
      IF(NDAY.GT.400) THEN
        WRITE(6,*) ' '
        WRITE(6,*) ' ** RUN is too long must be <= one YEAR **'
        STOP
      ENDIF 
C
C---- Get the day the FLIP run begins.  FYYYY and FDDD are
C---- the flip starting year and day for the run.  
      FYYYY=STDAY/1000
      FDDD=MOD(STDAY,1000)
C---- Check to see if 3 days prior to run is in the previous year.
      IF(FDDD.LT.4) THEN
          IF(MOD(FYYYY-1,4).EQ.0) THEN
              SDDD=366-(3-FDDD)
              SYYYY=FYYYY-1
          ELSE
              SDDD=365-(3-FDDD)
              SYYYY=FYYYY-1
          ENDIF
      ELSE
          SDDD=FDDD-3
          SYYYY=FYYYY
      ENDIF
      IF(DEBUG) WRITE(6,*) 'Start date for Kp values is',SYYYY,SDDD
C
C.... First discard the header lines.
  30  CONTINUE
      READ(20,444,ERR=30) SENT
      IF(DEBUG) WRITE(6,*) 'SENT = ',SENT
  444 FORMAT(F4.1)
C
C**************************** MAIN LOOP *****************************
C---- Read F10.7 indices for up to DAYDIM days. T107 & T107A are padded with
C---- negative values.  Loop through until 3 days prior to the start of 
C---- the run.  The Kp values for these 3 days must be extracted as well 
C---- as the F10.7 and Kp values for the length of the run.
      DO 10 I=1,999999
         READ(20,*,END=999,ERR=10) CYYYY,CMONTH,CDAY,(IKPAP(K)
     >                             ,K=1,8),T107(1),T107A(1)
         CALL CONV_DATE(CDDD,CYYYY,CMONTH,CDAY)
         IF(SDDD.EQ.CDDD .AND. SYYYY.EQ.CYYYY) THEN
              CALL GET_DATA(CYYYY,CDDD,NDAY,IKPAP,HP3HR,T107,T107A)
              GOTO 50
         ENDIF
   10 CONTINUE
C************************** end main loop. ********************
C
  50  CONTINUE
C....... Test F107 for bad data.
      DO 125 IDD=1,NDAY
        IF(T107(IDD).LT.50.0.OR.T107(IDD).GT.400.OR.
     >    T107A(IDD).LT.50.0.OR.T107A(IDD).GT.400) THEN
           WRITE(6,96) 
 96        FORMAT(/'  ERROR!, Invalid F10.7 or F107A value'
     >  ,1X,'in F10_Kp data file'/)
           STOP
        ENDIF
 125  CONTINUE
C
C----- Check the Kp for bad data
 490  DO  25 I = 1, 8*(NDAY+2)+3
         AP3HR(I)= ABS(HP3HR(I))
         NUMAP3 = NUMAP3 + 1
C.....   Kp was read from file: check magnitude and convert to Ap
         IF(AP3HR(I).GT.9) THEN
            WRITE(6,*) ' **** Kp index in file must be 0< Kp <=9  ****'
            STOP
         ELSE 
            AP3HR(I) = KPTOAP(NINT(AP3HR(I)*10))  !.. look up Ap
         ENDIF
         !..  WRITE (16,*) AP3HR(I),' ','AP INDEX',I
25    CONTINUE
      RETURN
  999 WRITE(6,*) '*** ERROR -- Start date not found in Kp data file.'
      WRITE(6,*) '*** Check the F10_KP input file in run file.'
      STOP
      END
C************************** SUBROUTINE CONV_DATE ***********************
C---- Scot A Braze,  8/7/95
C---- This subroutine converts the date from YYYY MM DD to YYYY DDD. 
C
      SUBROUTINE CONV_DATE(DDD,YYYY,MM,DD)
      IMPLICIT NONE
      INTEGER DDD,MM,DD,NCONV(12),LYCONV(12),YYYY
      LOGICAL DEBUG
      DATA DEBUG /.FALSE./
C
      DATA NCONV/0,31,59,90,120,151,181,212,243,273,304,334/
      DATA LYCONV/0,31,60,91,121,152,182,213,244,274,305,335/
C
      IF(MOD(YYYY,4).EQ.0) THEN
          DDD=LYCONV(MM)+DD
      ELSE
          DDD=NCONV(MM)+DD
      ENDIF
      IF(DEBUG) WRITE(6,*) YYYY,DDD
      END
C*************************** SUBROUTINE GET_DATA ************************
C---- Scot A Braze,   8/7/95
C---- This subroutine gets the kp values from the data file.  It gets the 
C---- 19 values prior to 0.0 UT.  It then gets the kp and F10.7 values for 
C---- the length of the run.
C
      SUBROUTINE GET_DATA(PYYYY,PDDD,NDAY,IKPAP,HP3HR,T107,T107A)
      IMPLICIT NONE
      INTEGER IKPAP(8),I,J,K,L,NDAY,CDDD,CYYYY,PDDD,PYYYY,TDAY,TMONTH
     > ,DAYDIM
      PARAMETER (DAYDIM=400)
      REAL HP3HR(4001),T107(DAYDIM),T107A(DAYDIM)
      LOGICAL LY
      DATA J,L /2*1/
C
C---- first get the 3 values from the third day before start day.
      DO 300 I=6,8
         HP3HR(J)=REAL(IKPAP(I))/10
         J=J+1
  300 CONTINUE
C---- now loop through for NDAY + 2 days to get kp values prior to and
C---- after start day and the F10.7 value for the length of the run.
      DO 200 I=1,(NDAY+2)
          READ(20,*,END=500,ERR=500) CYYYY,TMONTH,TDAY,(IKPAP(K),K=1,8)
     >              ,T107(L),T107A(L)
          CALL CONV_DATE(CDDD,CYYYY,TMONTH,TDAY)
C---- Check to see if prev year is leap year or not.
      IF(MOD(PYYYY,4).EQ.0) THEN
          LY=.TRUE.
      ELSE
          LY=.FALSE.
      ENDIF
C---- Now check to make sure dates are contiguous. 
          IF(CYYYY.EQ.PYYYY) THEN 
             IF(PDDD.EQ.CDDD-1) THEN
                GOTO 310
             ELSE
                GOTO 510
             ENDIF
          ELSE
             IF(PYYYY+1.EQ.CYYYY) THEN
                IF(LY .EQV. .TRUE.) THEN
                   IF(CDDD.EQ.1 .AND. PDDD.EQ.366) THEN
                      GOTO 310
                   ELSE
                      GOTO 510
                   ENDIF
                 ELSE
                   IF(CDDD.EQ.1 .AND. PDDD.EQ.365) THEN
                      GOTO 310
                   ELSE 
                      GOTO 510
                   ENDIF
                 ENDIF            
             ELSE
                 GOTO 510
             ENDIF
          ENDIF
  310     DO 210 K=1,8
             HP3HR(J)=REAL(IKPAP(K))/10
             J=J+1
  210     CONTINUE
          IF(I.GT.2) L=L+1
          PYYYY=CYYYY
          PDDD=CDDD
  200 CONTINUE
      CLOSE(20)
      RETURN
  500 WRITE(6,*) '******* Not enough Kp values for the length of the ',
     >   'run.'
      STOP
  510 WRITE(6,*) '****** Error, not enough days in the data Kp file',
     >  ' for the run.'
      STOP
      END
C.................... RSPRIM.FOR;1 ..........26-SEP-1994 13:59:14.50 
      SUBROUTINE PRIMPR(IJ,Z,ZOX,ZN2,ZO2,HE,SZA,TN,JMAX,SETCHI,IVLPS)
C------ This routine evaluates the ionization rates for EUV impact
C------ Modified extensively in February 1993 to include nighttime
C------ light sources instead of using subroutine NYTE.
C.......  z=altitude; zox,zn2,zo2,&tn are neut dens & temp arrays sza=
C.......  solar zenith angle,
      IMPLICIT REAL(A-H,O-Z)
      INTEGER IVERT
      DOUBLE PRECISION Z,ZOX,ZN2,ZO2,HE,SZA,TN,SETCHI,COLUM,OTHPR1
     > ,OTHPR2,OTHPR3,CHI,ZZ,TNJ,XN,COLUMN,TAU,FLUX,HEPLS,FBSBN
     > ,DISN,TAUGAM,FLUXG,ALTG,XNSIGF,DSPECT,GL,CLNITE
     > ,VN2D,VN4S,VNNO,VO1D,OP2D,OP2P,N2D,N4S,NNO
C------ odd N densities from vertical grid
      COMMON/VODDN/VN2D(401),VN4S(401),VNNO(401),VO1D(401),IVERT
      COMMON/MIB/OP2D(401),OP2P(401),N2D(401),N4S(401),NNO(401)
C----- common to hold the EUV and photoelectron production rates 
      COMMON/EUVPRD/EUVION(3,12,401),PEXCIT(3,12,401),PEPION(3,12,401)
      COMMON/SIGS/ZFLUX(37),SIGABS(3,37),ZLAM(37),SIGION(3,37),
     > TPOT(3,10),NNI(3),LAMAX
      COMMON/SOL/UVFAC(59),EUV
      COMMON/NPRD/COLUM(3,401),OTHPR1(6,401),OTHPR2(6,401),OTHPR3(6,401)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
C....... common suggested by Kent Miller
      COMMON/PRICOM/PROB
      DIMENSION COLUMN(3),XN(3),PROB(3,6,37),ZOX(401),XSNPLS(37)
     > ,ZN2(401),ZO2(401),TN(401),HE(401),SZA(401),Z(401),FNITE(37)
     >  ,CLNITE(3)
      DATA LMAX/0/, F107SV/0.0/, IPROBS/0/
C------ Fluxes for nighttime ion production in the 37 wavelength bins of
C------ Torr et al GRL 1979. The fluxes are set to reproduce the production
C------ rates in Strobel et al. PSS, p1027, 1980. Note that most bins are 
C------ set to zero and that the Strobel production rates are scaled by 
C------ FNFAC to stabilize the O+ solution below 200 km. Note also that
C------ the wavelengths in FNITE go from largest (#3=HI) to smallest.
      DATA FNITE/9E5,0.0,9E5,2*0.0,9E6,13*0.0,3E5,8*0.0,3E5,8*0.0/
      DATA FNFAC/1.0/
C
      IF(ABS((F107-F107SV)/F107).GT.0.005) THEN
C........ update UV flux factors
        CALL FACEUV(UVFAC,F107,F107A)
        CALL FACSR(UVFAC,F107,F107A)
C...... call params to get solar flux data and cross sections
        CALL PARAMS(0,LMAX)
        F107SV=F107
C
C........  find probability for formation of each state  ........
        IF(IPROBS.EQ.0) CALL PROBS(0,PROB,ZLAM,LMAX,NNI)
        IPROBS=1
C
      ENDIF
C........ initialization of production rates
      DO 10 IS=1,3
      DO 10 IK=1,12
         EUVION(IS,IK,IJ)=0.0
 10   CONTINUE
C
      DISN=0.0
      DO 687 I=1,6
      OTHPR2(I,IJ)=0.0
 687  OTHPR1(I,IJ)=0.0
C
C........ Nighttime He+ production is calculated and stored. Attenuated to
C........ avoid excess production at low altitudes
      OTHPR1(2,IJ)= 8E-11* EXP(-1.0E-11*ZN2(IJ)) *HE(IJ)
      DO 786 I=1,3
 786  COLUM(I,IJ)=1.0E+25
      TNJ=TN(IJ)
      XN(1)=ZOX(IJ)
      XN(2)=ZO2(IJ)
      XN(3)=ZN2(IJ)
      ZZ=Z(IJ)*1.0E+5
      CHI=SZA(IJ)
C
C*****  obtain reaction rates from subr rats to get their densities

C....... determine if sun is below the horizon ...
C---- Must now do calculation for night production - Feb 93
      ALTG=(6371.0+Z(IJ))*SIN(3.1416-CHI)-6371.0
C....      IF(CHI.GT.1.57.AND.ALTG.LT.85.) RETURN
      IF(Z(IJ).GT.1500) RETURN
C
C...... get column densities for scattered light at night  &&&&&&&&
      CALL SCOLUM(IJ,0.0D0,ZZ,TNJ,XN,CLNITE)
C
C...... evaluate the neutral column density  &&&&&&&&
      CALL SCOLUM(IJ,CHI,ZZ,TNJ,XN,COLUMN)
C........ Store the column densities for the 2-Stream program
      COLUM(1,IJ)=COLUMN(1)
      COLUM(2,IJ)=COLUMN(2)
      COLUM(3,IJ)=COLUMN(3)
C
C........ O2 dissociation by Schumann-Runge UV.
C........ OTHPR1(3,IJ)= dissociation rate. OTHPR1(5,IJ)= Energy
      CALL SCHUMN(IJ,Z(IJ),ZO2(IJ),COLUMN,OTHPR1(3,IJ),OTHPR1(5,IJ))
C
C---- Calculate hv + NO ion. freq. from Lyman-a (Brasseur & Solomon)
C---- OTHPR2(2,IJ) is photodissociation of NO in the SR bands. 
C---- A small night production from scattered light is included. FREQLY
C---- varies with solar activity using Richards et al. 1994 page 8981
C---- LY_a=2.5E11 (Lean), sigi(NO)=2.0E-18 (Brasseur & Solomon page 329)
      DATA O2LYXS,O2SRXS,FREQSR /1.0E-20,1.0E-21,5.0E-6/
       FREQLY=5.0E-7*(1+4.0E-3*(0.5*(F107+F107A)-80.0))
!jntu 5/14/2010 avoid floating point underflow in EXP
	 PP01=O2LYXS*COLUMN(2)
	 PP02=O2LYXS*CLNITE(2)
	 IF(PP01.GT.75.0) THEN
         P1T=0.0
	 ELSE
	   P1T=EXP(-O2LYXS*COLUMN(2))
	 ENDIF
	 IF(PP02.GT.75.0) THEN
	   P2T=0.0
	 ELSE
	   P2T=0.001*EXP(-O2LYXS*CLNITE(2))
	 ENDIF
	 OTHPR2(1,IJ)=FREQLY*(P1T+P2T)

	 PP01=O2SRXS*COLUMN(2)
	 PP02=O2SRXS*CLNITE(2)
	 IF(PP01.GT.75.0) THEN
         P1T=0.0
	 ELSE
	   P1T=EXP(-O2SRXS*COLUMN(2))
	 ENDIF
	 IF(PP02.GT.75.0) THEN
	   P2T=0.0
	 ELSE
	   P2T=0.001*EXP(-O2SRXS*CLNITE(2))
	 ENDIF
	 OTHPR2(2,IJ)=FREQSR*(P1T+P2T)
!
!       OTHPR2(1,IJ)=FREQLY*(EXP(-O2LYXS*COLUMN(2))
!     >    +0.001*EXP(-O2LYXS*CLNITE(2)))
!       OTHPR2(2,IJ)=FREQSR*(EXP(-O2SRXS*COLUMN(2))
!     >    +0.001*EXP(-O2SRXS*CLNITE(2)))
!jntu
C
C------  wavelength loop begins here  ----------
C------  TAU, TAUN = optical depth for day, night 
      HEPLS=0.0
      DO 6 L=1,LMAX
      TAU=0.
      TAUN=0.0
      DO 4 I=1,3
      TAUN=TAUN+SIGABS(I,L)*CLNITE(I)
4     TAU=TAU+SIGABS(I,L)*COLUMN(I)
      IF(TAU.GT.70.0) TAU=70.0
      IF(TAUN.GT.70.0) TAUN=70.0
C---- evaluate nighttime flux and daytime flux
      FLUXN=FNFAC*(F107/75.0)*FNITE(L)*EXP(-TAUN)
      FLUX=ZFLUX(L)*EXP(-TAU) + FLUXN
C.......... simulate eclipse effect
      IF(IJ.LT.JMAX/2) FLUX=FLUX*EUV
C
C.......... he+ production. He+ X-S  = 0.25 N2  X-S. HEPRDN = nite He+
      IF(ZLAM(L).LT.500.) HEPLS=HEPLS+HE(IJ)*0.25*SIGION(3,L)*FLUX
C
C--- hv + N -> N+ + e. ion. freq. Richards et al. JGR 1994 page 8989
      DATA XSNPLS/6*0.0,.211,10.294,11.171,10.961,11.244,11.323,12.098
     > ,13.265,12.423,11.951,11.212,11.798,11.758,11.778,11.772,11.503
     > ,11.016,10.578,9.556,8.15,8.302,7.298,6.413,6.399,5.192,5.725
     > ,4.787,3.778,2.3,.878,.286/
      RN4S=VN4S(IJ)
      IF(IVERT.LE.0) RN4S=N4S(IJ)
      OTHPR2(3,IJ)=OTHPR2(3,IJ)+XSNPLS(L)*1.0E-18*FLUX*RN4S
C
      IF(ZLAM(L).GE.600.0) THEN
C........ calculation of total euv absorption-ionization.....
      FBSBN=FLUX*(SIGABS(3,L)-SIGION(3,L))*XN(3)
C....... Save energy absorbed in the photodissociative process
      OTHPR1(4,IJ)=OTHPR1(4,IJ)+1.24E+4*FBSBN/ZLAM(L)
C........ production on atomic nitrogen by dissociation
      DISN=DISN+FBSBN
C...      IF(J.EQ.1) WRITE(6,95) L,ZLAM(L),TAU,FLUX,FBSBN,DISN,HEPLS
 95   FORMAT(I4,F9.1,1P,22E9.1)
C........ take into account the large n2 absorption of lyman gamma(972.54)
      IF(NINT(ZLAM(L)).EQ.975) THEN
      TAUGAM=370E-18*COLUMN(3)
      IF(TAUGAM.GT.70.0)TAUGAM=70.0
      FLUXG=UVFAC(34) *0.82E+9 *EXP(-TAUGAM)
      DISN=DISN+FLUXG*370E-18*XN(3)
      ENDIF
      ENDIF
C
C***** species loop begins here *****
      DO 304 I=1,3
C........ calculation of total euv absorption.....
C...      PEXCIT(2,8,IJ)=PEXCIT(2,8,IJ)
C...     >     +1.24E+4*FLUX*SIGABS(I,L)*XN(I)/ZLAM(L)
      XNSIGF=XN(I)*SIGION(I,L)*FLUX
      K1=NNI(I)
C
C... dspect=# ions formed by w-l l by ionization of k state of species i
      DO 302 K=1,K1
      DSPECT=XNSIGF*PROB(I,K,L)
C......... store ion production rates .....
      EUVION(I,K,IJ)=EUVION(I,K,IJ)+DSPECT
C
C......... calculation of ion heating rate......
      EUVION(1,10,IJ)=EUVION(1,10,IJ)+DSPECT*TPOT(I,K)
C
 302  CONTINUE
 304  CONTINUE
 6    CONTINUE
C
C---------   wavelength loop ends here   -----------
C
C.........Store UV disoc of N2 2 atoms produced for every dissociation
      OTHPR1(1,IJ)=2.0*DISN
C........ Transfer He+ production to storage
      OTHPR1(2,IJ)=OTHPR1(2,IJ)+HEPLS
C
 777  RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE SCOLUM(J,CHI,Z,TNJ,XN,COLUMN)
      IMPLICIT REAL(A-H,O-Z)
      DOUBLE PRECISION ZG,CHI,Z,TNJ,XN,COLUMN,ALTG,GE,GR,RE,RP,
     >  SH,XP,Y,ERFY2,CHAPFN,RG,HG,XG,EM,F,G,A,B,C,D,GL
      DOUBLE PRECISION GLTM
C++++ this routine evaluates the neutral column density
C++++ see smith & smith jgr 1972 p 3592, subr ambs is the msis
C++++ neutral atmosphere model for z<120 km, chi=solar zenith
C++++ angle, re & ge radius and grav con for earth
      DIMENSION XN(3),COLUMN(3),SN(5),M(3),DG(8),T(2)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      DATA A,B,C,D,F,G/1.0606963,0.55643831,1.0619896,1.7245609
     >  ,0.56498823,0.06651874/
      DATA SN/0.0,0.0,0.0,0.0,0.0/
        DATA    EM   ,   M(1) , M(2) , M(3) ,  RE   , GE
     1    / 1.662E-24 ,   16. ,  32. ,  28. ,6.357E8, 980/
      DATA T,ALTG,ERFY2/0.0,0.0,0.0D0,0.0D0/
      DATA DG/8*0.0/
C------ is sza>90.0 degrees
      IF(CHI.LT.1.5708)GO  TO 2938
C------ calculate grazing incidence parameters
      ALTG=(6371.0E5+Z)*SIN(3.1416-CHI)-6371.0E5
      IF(ALTG.GE.85.E5)GO TO 1001
C------ if altg < 85km, production=0, make column large to achieve this
      DO 20 I=1,3
 20   COLUMN(I)=1.E+25
      RETURN
C
C.... call neutral atmosphere for density at grazing incidence
 1001  ZG=ALTG*1.E-5
       GLTM=GL(J)
       CALL AMBS(J,ZG,GLTM,DG,T,CHIX,SAT,GLON,GLATD)
       SN(1)=DG(2)
       SN(3)=DG(3)
       SN(2)=DG(4)
       TNJ=T(2)
C------ sn(1)=o , sn(2)=o2 , sn(3)=n2 , tnj=tn,  gr=gravity, rp=distance
C---- to pt p, sh=scale height, rg=distance to pt g, hg=scale height at g
C
 2938 CONTINUE
      GR=GE*(RE/(RE+Z))**2
      RP=RE+Z
      DO 10 I=1,3
      SH=(1.38E-16*TNJ)/(EM*M(I)*GR)
      XP=RP/SH
      Y=SQRT(0.5*XP)*ABS(COS(CHI))
      IF(Y.GT.100.0) WRITE(6,100)
  100 FORMAT('WARNING, Y IN COLUMN(I) > 100')
      IF(Y.GT.8) ERFY2=F/(G+Y)
      IF(Y.LT.8) ERFY2=(A+B*Y)/(C+D*Y+Y*Y)
    4 IF(CHI.GT.1.5708)GO  TO 2
      CHAPFN=SQRT(0.5*3.1416*XP)*ERFY2
      COLUMN(I)=XN(I)*SH*CHAPFN
        GO TO 10
    2 RG=RP*SIN(3.1416-CHI)
      HG=1.38E-16*TNJ/
     1    (EM*M(I)*980.*(6371.E5/(6371.E5+ALTG))**2)
      XG=RG/HG
      COLUMN(I)=SQRT(0.5*3.1416*XG)*HG*(2.0*SN(I)-XN(I)*ERFY2)
10       CONTINUE
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PARAMS(ISW,LMAX)
C........ this program determines the cross sections, solar fluxes, and
C........ given in m. torr et al g.r.l 1979 p771, table 2 and 3. but
C........ the longer wavelengths come first
      COMMON/SIGS/ZFLUX(37),SIGABS(3,37),ZLAM(37),SIGION(3,37),
     > TPOT(3,10),NNI(3),LAMAX
      COMMON/SOL/UVFAC(59),EUV
      DIMENSION  X1(111),X2(111),X3(18),ZLX(37),ZFX(37)
C
C....... ionization potentials for o,o2 and n2 see kirby et al note the
C....... o2 2(pi)u and 2(sigma-)u , and n2 f2(sigma)u pots are guesses
C....... the sixth n2 potential is for dissociation
      DATA X3/13.6,16.9,18.6,28.5,40.,0.0,12.1,16.5,18.2,20.,
     > 25.,0.,15.6,16.7,18.8,25.,29.,37./
C........ wavelength data. average is taken for bands
      DATA ZLX/1025.,1031.91,1025.72,975.,977.02,925.,875.,825.,775.,
     > 789.36,770.41,765.15,725.,703.36,675.,625.,629.73,609.76,575.,
     > 584.33,554.31,525.,475.,465.22,425.,375.,368.07,325.,303.78,
     > 303.31,275.,284.15,256.3,225.,175.,125.,75./
C........ fluxes from table 3. these are for 74113. just replace this data
C........ for other years in the table. note!!!! flux doubled for lambda<250
C........ shortest wavelenghts have been tripled
      DATA ZFX/2.4665,2.1,3.5,1.4746,4.4,3.,3.537,1.625,.758,.702,
     > .26,.17,.141,.36,.23,.342,1.59,.53,.357,1.27,.72,.452,.285,
     > .29,.383,.314,.65,.965,6.9,.8,1.679,.21,.46,3.1,4.8,.45,1.2/
C........ absorption cross sections -- o first ,o2, then n2
      DATA X1/5*0.0,1.315,4.554,3.498,5.091,3.749,3.89,4,10.736,11.46
     > ,17.245,13.365,13.4,13.4,13.024,13.09,12.59,12.059,12.127,11.93
     > ,11.496,9.687,9.84,8.693,7.7,7.68,6.461,7.08,6.05,5.202,3.732
     > ,1.839,.73,  1.346,1.0,1.63,21.108,18.73,12.817,8.562,16.631
     > ,22.145,26.668,18.91,20.8,28.535,27.44,21.919,26.017,32.06
     > ,28.07,26.61,22.79,26.04,24.606,23.101,21.91,20.31,18.118
     > ,18.32,17.438,16.81,16.8,14.387,15.79,13.37,10.9,7.509,3.806
     > ,1.316,  3*0.0,50.988,2.24,9.68,20.249,16.992,33.578,16.487
     > ,14.18,120.49,24.662,26.54,31.755,23.339,23.37,22.79,22.787
     > ,22.4,24.13,24.501,23.471,23.16,21.675,16.395,16.91,13.857
     > ,11.7,11.67,10.493,10.9,10.21,8.392,4.958,2.261,0.72/
C....... ionization cross sections 
      DATA X2/5*0.0,1.315,4.554,3.498,5.091,3.749,3.89,4,10.736,11.46
     > ,17.245,13.365,13.4,13.4,13.024,13.09,12.59,12.059,12.127,11.93
     > ,11.496,9.687,9.84,8.693,7.7,7.68,6.461,7.08,6.05,5.202,3.732
     > ,1.839,.73,  .259,0.0,1.05,13.94,15.54,9.374,5.494,6.413,10.597
     > ,10.191,8.47,11.72,23.805,23.75,21.306,24.937,31.1,26.39
     > ,26.61,22.79,26.04,24.606,23.101,21.91,20.31,18.118
     > ,18.32,17.438,16.81,16.8,14.387,15.79,13.37,10.9,7.509,3.806
     > ,1.316,  8*0.0,14.274,8.86,8.5,65.8,15.06,25.48,29.235
     > ,23.339,23.37,22.79,22.787
     > ,22.4,24.13,24.501,23.471,23.16,21.675,16.395,16.91,13.857
     > ,11.7,11.67,10.493,10.9,10.21,8.392,4.958,2.261,0.72/
C
      NNI(1)=5
      NNI(2)=5
      NNI(3)=6
      LMAX=37
      IF(ISW.NE.0) WRITE(17,95)
 95   FORMAT(/5X,'EUV fluxes, Photoabsorption, and Photoionization ',
     >  'Cross sections',
     > /4X,'I',5X,'lam',5X,'flux',4X,'sigaOX',3X,'sigaO2'
     > ,3X,'sigaN2',3X,'sigiOX',3X,'sigiO2',3X,'sigiN2',3X,'UVfac')
C
      DO 20 L=1,LMAX
      ZLAM(L)=ZLX(L)
      FFAC=UVFAC(LMAX+1-L)
      IF(ZFX(L).LT.100) ZFLUX(L)=ZFX(L)*1.0E+9*FFAC
C------- setting up ionization potentials
      IF(L.LE.6)THEN
         TPOT(1,L)=X3(L)
         TPOT(2,L)=X3(6+L)
         TPOT(3,L)=X3(12+L)
      ENDIF
C------- setting up cross sections
      DO 10 IS=1,3
      IN=LMAX*(IS-1)+L
      SIGABS(IS,L)=X1(IN)*1.0E-18
      SIGION(IS,L)=X2(IN)*1.0E-18
      IF(SIGABS(IS,L).LT.SIGION(IS,L)) SIGABS(IS,L)=SIGION(IS,L)
 10   CONTINUE
C
      IF(ISW.EQ.0) GO TO 20
      WRITE(17,90) L,ZLAM(L),ZFLUX(L),(SIGABS(I,L),I=1,3)
     > ,(SIGION(I,L),I=1,3),FFAC
 20   CONTINUE
C
      IF(ISW.EQ.0) RETURN
      WRITE(17,94)
 94   FORMAT(/5X,' Ionization potentials for O, O2, N2'
     > ,/2X,'4S   2D   2P   4P   2P*  -   X2   a+A  b4   B2   dis  -'
     > ,'  X2   A2   B2   C2   F2   2s')
 60   WRITE(17,91) ((TPOT(I,J),J=1,6),I=1,3)
C
      RETURN
 90   FORMAT(1X,I4,F9.2,1P,22E9.2)
 91   FORMAT(22F5.1)
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PROBS(ISW,PROB,ZLAM,LMAX,NNI)
C.... program for finding branching ratios (probabilities for various ion
C.... and molecular states) of o,o2,n2
C.... ---refs--- m. torr et al grl 1979 page 771, kirby et al atomic data
C.... and nuclear tables 1979 23,page 63
      DIMENSION YO(37,5),PROB(3,6,37),ZLAM(37),NNI(3)
C...... coefficients of o ionization cross sections from torr et al
C..... table 2
      DATA YO/.19,.486,.952,1.311,1.539,1.77,1.628,1.92,1.925,2.259
     > ,2.559,2.523,3.073,3.34,3.394,3.421,3.65,3.92,3.62,3.61,3.88,4.25
     > ,5.128,4.89,6.739,4.0,3.89,3.749,5.091,3.498,4.554,1.315,5*0.0
     > ,.206,.529,1.171,1.762,2.138,2.62,2.325,2.842,2.849,3.446,3.936
     > ,3.883,4.896,5.37,5.459,5.427,5.67,6.02,5.91,6.17,6.29,6.159
     > ,11.453,6.57,3.997,12*0.0, .134,.345,.768,1.144,1.363,1.63
     > ,1.488,1.92,1.925,2.173,2.558,2.422,2.986,3.22,3.274,3.211,3.27
     > ,3.15,3.494,3.62,3.23,2.956,0.664,14*0.0,  .062,.163,.348,.508
     > ,.598,.71,.637,.691,.693,.815,.787,.859,.541,24*0.0, .049,.13
     > ,.278,.366,.412,.35,.383,.307,.308,28*0.0/
C
C....... production of o states from torr et al table 2 (yo array)
C....... need to reverse order of yo to correspond with lambda
      DO 10 L=1,LMAX
      LL=LMAX+1-L
      SUM=YO(LL,1)+YO(LL,2)+YO(LL,3)+YO(LL,4)+YO(LL,5)
      DO 20 I=1,5
      PROB(1,I,L)=0.0
 20   IF(SUM.NE.0.0) PROB(1,I,L)=YO(LL,I)/SUM
 10    CONTINUE
C
C....... call separate subroutines for o2 and n2 probabilities
      DO 30 L=1,LMAX
      CALL PROBO2(1,L,ZLAM(L),PROB,NNI(2))
      CALL PROBN2(1,L,ZLAM(L),PROB,NNI(3))
 30   CONTINUE
C
      IF(ISW.EQ.0) RETURN
      WRITE(17,95)
 95   FORMAT(/5X,' Photoionization branching ratios for O, O2, N2'
     > ,/3X,'Lam    4S   2D   2P   4P   2P*   -   X2   a+A  b4   B2 '
     > ,'  dis   -  X2   A2   B2   C2   F2   2s')
      DO 50 L=1,LMAX
 50   WRITE(17,90) ZLAM(L),((PROB(IS,J,L),J=1,6),IS=1,3)
 90   FORMAT(F8.2,22F5.2)
       RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
         SUBROUTINE PROBN2(ISW,L,ZLAM,PROB,JPTS)
C...... the n2 probabilities are taken from kirby et al tables b and c
C...... the yield of n+ is determined first then the remaining portion
C...... of the cross section is distributed amongst the n2+ ion states
C...... (x,a,b). the dissociation yield is divided between the 3 higher
C...... energy states according to wight et al. j.phys. b, 1976
C...... the 2 other states of kirby et al are not included
C
      DIMENSION A(6),B(6),X(14),Y(14,6),PROB(3,6,37)
      DATA IPTS/14/
      DATA X/50.,210.,240.,280.,300.,332.,428.,500.,600.,660.,660.01,
     > 720.,747.,796./
      DATA Y/5*.32,.3,.46,.404,.308,.308,.308,.42,1.,1.,5*.55,
     > .52,.46,.506,2*.589,.692,.58,2*.0,5*.13,.12,.08,
     > .09,.103,.103,4*0.0,3*0.0,.05,.1,.15,.83,1.,6*.0,3*.0,
     > .3,.4,.79,.17,7*.0,3*1.,.65,.5,.06,8*.0/
C
C...... if zlam is too big set equal to x(max)
      YLAM=ZLAM
      IF(ZLAM.GT.X(14)) YLAM=X(14)
C
       YIELD=0.0
C...... determine yield of n+, and store in prob array
       CALL YLDISS(1,YLAM,YIELD)
C
       DO 10 I=1,IPTS
C kjh 6/22/92   NOTE:  I realize the following statement is strange
C   looking, but its purpose is to prevent the CRAY compiler from
C   vectorizing this loop.  (Which it does incorrectly).
      if(i.eq.25)write(6,*)' '
      IF(YLAM.GT.X(I).AND.YLAM.LE.X(I+1))  GO TO 20
 10   CONTINUE
 20   SUM=0.0
C...... fit straight line between points
      DO 30 J=1,JPTS
      A(J)=(Y(I+1,J)-Y(I,J))/(X(I+1)-X(I))
      B(J)=Y(I,J)-A(J)*X(I)
 30   CONTINUE
C...... determine probabilities of n2+ states
      DO 40 J=1,JPTS
      IF(J.LE.3) PROB(3,J,L)=(A(J)*YLAM+B(J))*(1-YIELD)
      IF(J.GT.3) PROB(3,J,L)=(A(J)*YLAM+B(J))*YIELD
      SUM=SUM+PROB(3,J,L)
 40   CONTINUE
C
      IF(SUM.EQ.0.0) RETURN
C....... normalise probabilities
      DO 50 J=1,JPTS
 50   PROB(3,J,L)=PROB(3,J,L)/SUM
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
         SUBROUTINE YLDISS(ISW,ZLAM,YIELD)
C..... determination of dissociative yield of n+, refer to kirby et al
C..... page 66 and table b
      DIMENSION X(9),Y(9)
      DATA IPTS/9/
      DATA X/50.,210.,240.,302.,387.,477.,496.,509.,2000./
      DATA Y/.36,.36,.346,.202,.033,.041,.024,0.0,0.0/
C
C
       DO 10 I=1,IPTS
C kjh 6/22/92   NOTE:  I realize the following statement is strange
C   looking, but its purpose is to prevent the CRAY compiler from
C   vectorizing this loop.  (Which it does incorrectly).
      if(i.eq.25)write(6,*)' '
      IF(ZLAM.GE.X(I).AND.ZLAM.LT.X(I+1))  GO TO 20
 10   CONTINUE
 20   IF(ZLAM.GT.387.AND.ZLAM.LT.477) GO TO 40
C....... linear interpolation
      YIELD=(ZLAM-X(I))/(X(I+1)-X(I))*(Y(I+1)-Y(I))+Y(I)
      GO TO 30
C...... parabolic interpolation see formula page 66 kirby et al
 40   YIELD=.0329+8.13E-6*(ZLAM-442)**2
 30   RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
         SUBROUTINE PROBO2(ISW,L,ZLAM,PROB,JPTS)
C....... o2 branching ratios are taken from kirby et al table d
C....... columns 4 & 9 are combined. columns 5,6,7&8 are combined
      DIMENSION A(5),B(5),X(20),Y(20,5),PROB(3,6,37)
      DATA IPTS,X/20,304.,323.,454.,461.,504.,537.,556.,573.,584.,598.
     >  ,610.,637.,645.,662.,684.,704.,720.,737.,774.,1026./
      DATA Y/.365,.374,.432,.435,.384,.345,.356,.365,.306,.23,.235,.245,
     > .34,.27,.482,.675,.565,.565,1.,1.,.205,.21,.243,.245,.27,.29,
     > .23,.27,.33,.295,.385,.35,.305,.385,.518,.325,.435,.435,2*.0,
     > .125,.124,.12,.12,.126,.13,.225,.216,.21,.375,.305,.37,.33,.345,
     > 6*.0,.055,.167,.11,.105,.194,.234,.189,.149,.155,.103,.075,.036
     > ,.025,7*0.,.25,.125,.095,.95,.026,15*0./
C
C...... if zlam is too big set equal to x(max)
      YLAM=ZLAM
C...... if zlam is outside range of data values set equal to max or min
      IF(ZLAM.GT.X(20)) YLAM=X(20)
      IF(ZLAM.LE.X(1)) YLAM=X(1)+1.E-3
C
       DO 10 I=1,IPTS
C kjh 6/22/92   NOTE:  I realize the following statement is strange
C   looking, but its purpose is to prevent the CRAY compiler from
C   vectorizing this loop.  (Which it does incorrectly).
      if(i.eq.25)write(6,*)' '
      IF(YLAM.GT.X(I).AND.YLAM.LE.X(I+1))  GO TO 20
 10   CONTINUE
 20   SUM=0.0
C
      DO 30 J=1,JPTS
      A(J)=(Y(I+1,J)-Y(I,J))/(X(I+1)-X(I))
      B(J)=Y(I,J)-A(J)*X(I)
      SUM=SUM+A(J)*YLAM+B(J)
 30   CONTINUE
C
      DO 40 J=1,JPTS
      PROB(2,J,L)=(A(J)*YLAM+B(J))/SUM
 40   CONTINUE
C
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE SCHUMN(J,Z,ZO2,COLUMN,SCHUPR,SCHUHT)
C......... production of o(1d) by schumann-runge bands
C......... The fluxes are from Torr et al. GRL 1980 p6063. Scaling is
C......... done using UVFAC which may be set according to F10.7 cm flux
C......... may be done in FACEUV
      IMPLICIT REAL(A-H,O-Z)
      DOUBLE PRECISION Z,ZO2,SCHUPR,SCHUHT,COLUMN,HSRX,FLD
      COMMON/SOL/UVFAC(59),EUV
      DIMENSION COLUMN(3),SRFLUX(8),SRXS(8),SRLAM(8)
      DATA SRFLUX/2.4,1.4,.63,.44,.33,.17,.12,.053/
      DATA SRXS/.5,1.5,3.4,6,10,13,15,12/
      DATA SRLAM/1725,1675,1625,1575,1525,1475,1425,1375/
C
C........ lmax=# of lambdas in sub. primpr: schuht=heating: schupr=o(1d) prod
      LMAX=37
C
      DO 505 LSR=1,8
C......... photoabsorption cross section
      SRXSCT=1.0E-18*SRXS(LSR)
      HSRX=SRXSCT*COLUMN(2)
      IF(HSRX.GT.70)HSRX=70
C........ attentuated solar flux
      FLD=UVFAC(LMAX+LSR)*1.E+11*SRFLUX(LSR)*EXP(-HSRX)
C....... modify for eclipse ...
      IF(J.LT.70) FLD=FLD*EUV
C............ neutral heating SCHUHT and photodissociation rate SCHUPR
      SCHUHT=SCHUHT+1.24E+4*(FLD*SRXSCT)*ZO2/SRLAM(LSR)
      SCHUPR=SCHUPR+FLD*SRXSCT
C....      IF(JTI.EQ.0) WRITE(6,90) LSR,SRXSCT,FLD,SCHUPR
 505  CONTINUE
C
      SCHUPR=ZO2*SCHUPR
 90   FORMAT(2X,I5,1P,9E9.1)
      JTI=1
      RETURN
      END
C:::::::::::::::::::::::::: SUMPRD :::::::::::::::::::::::::
      SUBROUTINE SUMPRD(JMAX)
C----- common to hold the EUV and photoelectron production rates 
      COMMON/EUVPRD/EUVION(3,12,401),PEXCIT(3,12,401),PEPION(3,12,401)
      COMMON/BPRAUR/PAUION(3,12,401),PAUEXC(3,12,401)
      COMMON/BPRTOT/SUMION(3,12,401),SUMEXC(3,12,401)
C
      DO 30 J=1,JMAX
C----    add contributions from 2 highest O+ metastables to 3 lowest
         EUVION(1,7,J) = EUVION(1,1,J) + EUVION(1,4,J)
         EUVION(1,8,J) = EUVION(1,2,J) + EUVION(1,5,J)/1.3
         EUVION(1,9,J) = EUVION(1,3,J) + EUVION(1,5,J)/4.3
C
         PEPION(1,7,J) = PEPION(1,1,J) + PEPION(1,4,J)
         PEPION(1,8,J) = PEPION(1,2,J) + PEPION(1,5,J)/1.3
         PEPION(1,9,J) = PEPION(1,3,J) + PEPION(1,5,J)/4.3
C
         PAUION(1,7,J) = PAUION(1,1,J) + PAUION(1,4,J)
         PAUION(1,8,J) = PAUION(1,2,J) + PAUION(1,5,J)/1.3
         PAUION(1,9,J) = PAUION(1,3,J) + PAUION(1,5,J)/4.3
 
C----- SUM non-diss. states to get total O2+ and N2+ production
         EUVION(2,7,J)= EUVION(2,1,J)+EUVION(2,2,J)+EUVION(2,3,J)
         PEPION(2,7,J)= PEPION(2,1,J)+PEPION(2,2,J)+PEPION(2,3,J)
         PAUION(2,7,J)= PAUION(2,1,J)+PAUION(2,2,J)+PAUION(2,3,J)
C
         EUVION(3,7,J)= EUVION(3,1,J)+EUVION(3,2,J)+EUVION(3,3,J)
         PEPION(3,7,J)= PEPION(3,1,J)+PEPION(3,2,J)+PEPION(3,3,J)
         PAUION(3,7,J)= PAUION(3,1,J)+PAUION(3,2,J)+PAUION(3,3,J)
 30   CONTINUE
C
      DO 50 I=1,3
      DO 50 K=1,12
      DO 50 J=1,JMAX
        SUMION(I,K,J)=EUVION(I,K,J)+PEPION(I,K,J)+PAUION(I,K,J)
        SUMEXC(I,K,J)=PEXCIT(I,K,J)+PAUEXC(I,K,J)
 50   CONTINUE
C
      RETURN
      END
C.................... RSSUBC.FOR;4 .......... 3-MAY-1994 13:58:49.36 
      SUBROUTINE RFIELD(IWR,PCO,RE,Z0,SCAL,SCALK,ZLBDY,Q,VPERP,
     &             VTOT,COSDIP,JB,JR,JNQ,JTI,ZHI,ZLO,JVERT,JVERC)
C....
C.... this program is responsible for calling the subroutine that sets up
C.... the dipole magnetic field grid and filling the field parameter arrays,
C.... altitude, gravity etc.
C.... Reference: G.J. Bailey, Planet. Space Sci., Vol. 31, No. 4,
C....            pp. 389-409, 1983.
 
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL AP,DEC,ETRAN,BLON,F107,F107A,SEC,RE,GLATD,GLOND
      DIMENSION FD(9),COSDIP(401), X(401),Q(401)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      common/ExB/eq_vperp,div_vem(401)
C
      RPTS=(JMAX+1)/2-1         ! just converting to the real
      DH=1.0/RPTS               ! distance between adjacent points in x coord.
      ALTR=370.0+130.0*F107/70. ! used in limiting flux calculation
      eq_vperp=vperp
C
      DO 10 J=1,JMAX
        CALL FIELD(J,JMAX,PCO,RE,SCAL,SCALK,Q(J), X(J),FD)
        JU=JMAX+1-J                ! symetric point of J about equator plane
        IF(J.EQ.1) SREF=FD(8)*1.E5 ! distance along magnetic field
        Z(J)=FD(1)                 ! altitude in km
        IF(Z(J).LE.ZLBDY)  JB =J   ! lower boundary
        IF(Z(J).LT.ALTR)   JR =J   ! index for limiting flux
        IF(Z(J).LT.ZHI) JNQ=J      ! index for plasmaspheric fluxes
        GL(J)=FD(4)                ! latitude
        BM(J)=FD(6)                ! magnetic field strength
        BG(J)=FD(7)                ! coordinate factor
        COSDIP(J)=FD(3)            ! cos(dip)
C...       IF(JTI.GT.1) GO TO 10
        GR(2,J)=-FD(5)             ! gravity
        R(2,J)=(RE+FD(1))*1.E5     ! radial distance to grid point
        IF(J.NE.1) SL(J)=SREF-FD(8)*1.E5   ! distance to grid point along B
C...    Evaluate the ExB term for the continuity equation
        CALL GET_DIVDRIFT_VELOCITY(RE,PCO,X(J),VPERP, DIV_VEM(J))
        IF(DABS(GL(J)).LT.1.0D-4)     GO TO 20
C...    Set up field line parameters in Southern hemisphere
        GL(JU)=-GL(J)
        Z(JU)=Z(J)
        BM(JU)=BM(J)
        BG(JU)=BG(J)
        COSDIP(JU)=-COSDIP(J)
        GR(2,JU)=-GR(2,J)
        SL(JU)=SREF+FD(8)*1.E5
        R(2,JU)=R(2,J)
        DIV_VEM(JU) = DIV_VEM(J)
  10  CONTINUE
  20  CONTINUE
C
      JQ=(JMAX+1)/2
      IF(Z(JQ).LT.80) THEN
        WRITE(6,696) NINT(Z(JQ)) 
 696    FORMAT(/'   *** Field line apex altitude is',I3,' km.'
     >      ,1X,'It does not reach the ionosphere ***'/)
        STOP 
      ENDIF

      IF(ZLO.GT.Z(JQ)) ZLO=Z(JQ)
      IF(ZLO.LT.Z0.OR.Z0.GE.120.) ZLBDY=Z0

       !--- Find altitude points for setting lat, long for vertical grid
      JVERT=1
      DO 245 IL=1,JMAX/2
        IF(Z(IL).LT.250) JVERT=IL
 245  CONTINUE

      JVERC=JMAX+1-JVERT   !... conjugate index

      !.. Calculate total flux tube volume
      VTOT=0.0
      DO 30 J=JB+1,JMAX-JB
        VTOT=VTOT+BM(JB)*(SL(J)-SL(J-1))/BM(J)
  30  CONTINUE
C
      IF(IWR.NE.7) RETURN
C---- write the flux tube parameters to a file
      WRITE(17,100) IDAY/1000,MOD(IDAY,1000),F107,F107A,AP(1)
     >   ,SEC/3600.0,PCO,BLON,NINT(SL(JMAX)*1.0E-5),VTOT
C
      TOTVOL=0.0
      DELS=0.0
      DELZ=0.0
      DO J=1,JMAX
        IF(J.GT.1) THEN
          DELS=(SL(J)-SL(J-1))/1.0E5
          DELZ=ABS(Z(J)-Z(J-1))
          IF(Z(J).GT.ZLBDY) 
     >     TOTVOL=TOTVOL+BM(JB)*(SL(J)-SL(J-1))/BM(J)
          ENDIF
C....    transform magnetic to geographic coordinates---
        CALL BTOG(IEXP,BLON,SNGL(GL(J)*57.296),GLATD,GLOND)
        WRITE(17,110) J, Z(J), (SL(J)*1.0E-5), DELZ ,DELS,
     >   (ACOS(COSDIP(J))*57.3),COSDIP(J),BM(J),TOTVOL,GR(2,J),
     >   (R(2,J)*1.0E-5),DIV_VEM(J),GL(J)*57.296,GLATD,GLOND
      ENDDO
        !... WRITE(6,'(1P,2E11.2)') div_vem(JR),TOTVOL
 110  FORMAT(I5,f9.2,4F9.1,F9.2,F9.3,E10.2,0P,2F9.1,1P,E10.2,0P,3F8.3)

      REWIND (17)   !... overwrite on next time step

      RETURN
 100  FORMAT(/9X,' * * * * File for field line grid parameters,
     > EUV fluxes cross sections * * * * *'
     > ,//,'  YEAR= ',I4,'    DAY= ',I3,'   F107= ',F5.1,'   F107A= '
     >   ,F5.1,'     Ap= ',F5.1
     > ,//9X,' **** The field line grid parameters at UT=',F8.2,' ****'
     > ,//,'  L-shell =',F7.3,';     Magnetic longitude= ',F5.1
     > ,/,' Length of flux tube = ',I8,' km'
     > ,'     Total flux tube volume = ',1P,E10.2,' cm-3'
     > ,//,'    pt      alt  arc_len  alt_dif  arc_dif  dip_ang'
     > ,2X,'cos_dip  mag_fld  Tube_vol  gravity   Re+alt   Div_Vem'
     > ,3X,'B_lat G_lat G_long')
      END
C:::::::::::::::::::: GET_DIVDRIFT_VELOCITY ::::::::::::::::::::::::::::::
      SUBROUTINE GET_DIVDRIFT_VELOCITY (RE,PCO,X,VPERP, DIV_VEM)
C
C.... This subroutine calculates the ExB term in the continuty equation.
C.... This expression comes from Bailey, PSS 1983, page 392. Note that Re in
C.... his equation (5) is the equatorial radius to the flux tube
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL RE
 
      NUMERATOR = 6.0000 * ((DSIN(X))**2.0)*(1.0+(DCOS(X))**2.0)
      DENOMINATOR = RE*PCO*1.0E5*((1.0+3.0*(DCOS(X))**2.0))**2.0
      DIV_VEM = NUMERATOR/DENOMINATOR
      RETURN
      END
 
C:::::::::::::::::::::::::: QFIELD ::::::::::::::::::::::::::::::::::::::::
        SUBROUTINE QFIELD(JMAX,PCO,RE,Z0,SCAL, SCALK,Q)
C
C.... This program determines Q values.
C.... JMAX = # of grid points, PCO = lshell, Z0 = lower boundary,
C.... scal = scaling factor to ensure that the x-coord ranged from 0 to 1.
C.... SCALK & Q are returned.
C.... Reference: G.J. Bailey, Planet. Space Sci., Vol. 31, No. 4,
C               pp. 389-409, 1983.
C
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      DIMENSION Q(401)
      REAL RE
 
C.... R0 = equatorial radius to flux tube.
      R0=RE*PCO
      PTS=(JMAX+1)/2
      IPTS=PTS
      RAT=(RE+Z0)/RE
      QMAX=(SQRT(1-RAT/PCO))/(RAT**2)
      SCALK=1/SINH(SCAL*(QMAX))
      DO J = 1, JMAX
        DX=1-(J-1)/(PTS-1)
C...    q=the dipole coord  determined from -- sinh(kq)=dx
        SCX=DX/SCALK
        Q(J) = DLOG(SCX+DSQRT(SCX**2+1))/SCAL
      ENDDO
 
      RETURN
      END
 
C:::::::::::::::::::::::::: FIELD ::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE FIELD(J,JMAX,PCO,RE,SCAL,SCALK,Q, XR,FD)
C..........................................................
C  this program determines the grid point spacing given just jmax=
C   # of grid points, pco=lshell, z0=lower boundary, scal=scaling
C   factor;; x=colatitude, the field parameters are transferred
C   through fd(i);; r0=equatorial radius to flux tube, initial values
C   for x and r are set. dh=distance between points in the x coordinate
C  Reference: G.J. Bailey, Planet. Space Sci., Vol. 31, No. 4,
C               pp. 389-409, 1983.
C--------------------------------------------------
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
C     temp_store is used to store previous computed values
      DIMENSION FD(9)
      REAL RE
      X=.5
      R0=RE*PCO
      !... Values for equatorial point
      IF(J .EQ. (JMAX+1)/2) THEN
         X=1.570796327
         SHX=1
         CHX=0
      ELSE
         JITER=0

         !... loop for Newton solver
  10     CONTINUE
         SHX=DSIN(X)
         CHX=DCOS(X)
C...     the next 6 lines are a newton solver for the equation f(x)=0
C...     this determines the colatitude x
         FEX=(R0**2)*(SHX**4)-(RE**2)*CHX/Q
         DEX=(R0**2)*4*(SHX**3)*CHX+(RE**2)*SHX/Q
         X=X-FEX/DEX
         JITER=JITER+1
         IF(JITER.GT.99) THEN
           WRITE(*,*)'Terminate after 100 iterations by Newton solver'
           STOP
         ENDIF
         IF(ABS(FEX/(DEX*X)).GT.1.0E-6) GO TO 10
      ENDIF
C...  end newton solver

C.... XR is a returned value other than X in order to keep previous value of
C.... X, generated during last CALL, from being modified by current CALL with
C.... some random value.
      XR = X
C...      r=radial distance to grid point. sqth=numerator of mag field
      R=R0*SHX**2
      SQTH=DSQRT(3*(CHX**2)+1)
C...      fd(1)=altitude. fd(2)=sin(dip). fd(3)=cos(dip). fd(4)=latitude
      FD(1)=R-RE
      FD(2)=2*CHX/SQTH
      FD(3)=SHX/SQTH
      FD(4)=1.570796327-X
C...      fd(5)=gravity. fd(6)=mag field strength. fd(7)= coord factor.
      FD(5)=FD(2)*3.98E+10/((RE+FD(1))**2)
      FD(6)=8.271E+25*SQTH/(R*1.E+5)**3
      FD(7)=SCAL*DCOSH(SCAL*Q)*SCALK*1.E-5*RE**2*SQTH/R**3
C...      ds & fd(8)= arc length along field calc by 2 methods
      XX=DLOG(1.732*CHX+SQTH)
      FD(8)=R0*.28868*(XX+DSINH(XX)*DCOSH(XX))
 
      RETURN
      END
 
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
        SUBROUTINE AMBS(J,DALT,GL,D,T,SZA,SAT,GLON,GLATD)
C..... this program evaluates the solar zenith angle, determines the
C..... the day and time and calls a.e. hedins msis model(s) to get
C..... the neutral densities and temperature.
      IMPLICIT REAL(A-H,O-Z)
      REAL NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS,TMSN,TMSS
      DOUBLE PRECISION DALT,GLN,GL
      INTEGER TPRIN
      DIMENSION D(8),T(2)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GLN(401)
      COMMON/SOL/UVFAC(59),EUV
      COMMON/GPAR/RE,PLAT,PLON,PI,ANGVEL
      COMMON/NDFAC/TPRIN,NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS
     >  ,TMSN,TMSS
C..... common suggested by Kent Miller. zeroed in common block
      COMMON/AMBCOM/SECSAV,NY,NDY,LY,SX,ID,DECL
C..... J.-N. Tu 10/18/01
      common /HWMSISF/HWM(2),HWMUT(2),FACNEUN(3),FACNEUS(3),TNFAC
c
C...... Since IDAY does not change and UT continually increases, need to
C...... evaluate actual day (ID) and UT (SX) for MSIS.
      CALL ACTUAL_DAY(IDAY,SEC,ID,SX) 
C........ solar declination and ephemeris transit
      CALL SOLDEC(ID,SX/3600.,DECL,ETRAN)
      
C........ transform magnetic to geographic coordinates---
      CALL BTOG(IEXP,BLON,SNGL(GL*57.296),GLATD,GLON)
      GLAT=GLATD/57.29578
C....... Solar apparent time
      SAT=(SX-ETRAN+43200.0)/3600+GLON/15.0
      IF(SAT.LT.0) SAT=SAT+24
      IF(SAT.GT.24) SAT=SAT-24

      !...... Evaluate Solar zenith angle
      HH=(SAT-12.)*15.0*PI/180.       !.. hour angle
      !.. Evaluate argument for ACOS and test because roundoff error 
      !.. may cause invalid ACOS argument      
      SZA_ARG=COS(GLAT)*COS(DECL)*COS(HH)+SIN(GLAT)*SIN(DECL)
      IF(SZA_ARG.GT.1.0) SZA_ARG=1.0
      SZA=ACOS(SZA_ARG)                 !.. solar zenith angle

      !.. Start hot O procedure
      DATA HOTO/0.0/ !.. ratio of hot O to cold O at 500 km
      AALT=SNGL(DALT)
      !.. Call to GTS3 to add in hot O. Ratio is determined at 500 km
      CALL GTS3(ID,SX,500.0,GLATD,GLON,SAT,F107A,F107,AP,48,D,T)
      HE_TO_O=D(1)/D(2)       !.. HE to O ratio at 500 km
      
      !.. now call MSIS to get regular neutral densities
      CALL GTS3(ID,SX,AALT,GLATD,GLON,SAT,F107A,F107,AP,48,D,T)
      DHOTO=D(1)*HOTO/HE_TO_O      
      IF(HOTO.GT.0.0001.AND.GLAT.GT.0.AND.DALT.GT.490.AND.DALT.LT.510.) 
     >   WRITE(6,541)  NINT(DALT),D(2),DHOTO,D(1),HE_TO_O
 541  FORMAT(' HOT O is on: ',I7,1P,9E10.2) 
      D(2)=D(2)+DHOTO      !.. add hot O

      !JNTU 10/18/01
      if(SEC/3600.GT.HWMUT(1).and.SEC/3600.LT.HWMUT(2)) THEN
        T(2)=T(2)*TNFAC
        if(GL.GT.0.) THEN
          D(2)=D(2)*FACNEUN(1)
          D(3)=D(3)*FACNEUN(2)
          D(7)=D(7)*FACNEUN(3)
        ENDIF
        if(GL.LT.0.) THEN
          D(2)=D(2)*FACNEUS(1)
          D(3)=D(3)*FACNEUS(2)
          D(7)=D(7)*FACNEUS(3)
        ENDIF
      ENDIF
      !!!
C....... densities can be scaled through UVFAC array
      DO 50 I=1,5
         D(I)=D(I)*ABS(UVFAC(50+I))
 50   CONTINUE
      D(7)=D(7)*ABS(UVFAC(50+6))
      D(8)=D(8)*ABS(UVFAC(50+7))

      !-- If UVFAC < 0, MSIS is being adjusted to improve NmF2
      !--scale [O] and [N2] to improve model NmF2. See ALTWIN
      IF(UVFAC(52).LT.0) THEN
        IF(GLATD.GE.0) THEN
            IF(NDFNOR.LE.1) D(2)=D(2)*NDFNOR**1.000     !.. Change O
            IF(NDFNOR.GT.1) D(2)=D(2)*NDFNOR**1.000     !.. Change O
            D(3)=D(3)/NDFNOR            !.. Change N2
            D(4)=D(4)/NDFNOR            !.. Change O2
            !..D(7)=D(7)*NDFNOR         !.. Change [H]
        ELSE
            IF(NDFSOU.LE.1) D(2)=D(2)*NDFSOU**1.000     !.. Change O
            IF(NDFSOU.GT.1) D(2)=D(2)*NDFSOU**1.000     !.. Change O
            D(3)=D(3)/NDFSOU
            D(4)=D(4)/NDFSOU
            !..D(7)=D(7)*NDFSOU
        ENDIF
      ENDIF
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE BTOG(IEXP,BLOND,BLATD,GLATD,GLOND)
C....... Conversion from centered dipole to geographic coordinates. (PLAT
C....... ,PLON)= coords of north magnetic pole. The geomagnetic longitude
C....... is measured east from the geomagnetic prime meridian at 291 degrees
C....... east geographic.
      COMMON/GPAR/RE,PLAT,PLON,PI,ANGVEL
C........ degrees to radians
      BLONR=BLOND/57.29578
      BLATR=BLATD/57.29578
C....... Position of point in geomagnetic coords
      XM=COS(BLATR)*COS(BLONR)
      YM=COS(BLATR)*SIN(BLONR)
      ZM=SIN(BLATR)
C....... rotate coords in north-south direction
      XG=XM*SIN(PLAT)+ZM*COS(PLAT)
      YG=YM
      ZG=-XM*COS(PLAT)+ZM*SIN(PLAT)
C
C...... geographic latitude and longitude converted to degrees
      GLATD=ASIN(ZG)*57.29578
      GLOND=(PLON+ATAN2(YG,XG))*57.29578
      IF(GLOND.GE.360) GLOND=GLOND-360
      RETURN
      END
C::::::::::::::::::::::::: EPHEM ::::::::::::::::::::::::::::::::::::::
      SUBROUTINE EPHEM(IDAY,ETRAN)
      DIMENSION EPTRAN(26)
      DATA EPTRAN/4338,4374,4398,4404,4392,
     >  4374,4344,4320,4302,4296,4302
     > ,4320,4338,4356,4356,4344,4320
     > ,4290,4260,4236,4218,4224,4248,4284
     > ,4320,4350/
      ANUM=(MOD(IDAY,1000)+15.)/15.
      INUM=ANUM
      FRAC=ANUM-INUM
      ETRAN=(EPTRAN(INUM)*(1.0-FRAC)+EPTRAN(INUM+1)*FRAC)*10.
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE ANFLX(JTIMAX,JR,JQ,Z,N,TI,BM,GR,ON,HN,TN,SL,FYLIM,ALSS,
     >  ZTRAN)
C........ This subroutine calculates the limiting H+ flux using the method
C........ described by Richards and Torr JGR 1985 page 5261
      DOUBLE PRECISION RTS(99),ON(401),HN(401),TN(401),BM(401),SL(401)
     > ,Z(401),N(4,401),TI(3,401),GR(2,401),H1,H2,H0,ACON,ZTRAN,HS,
     > FYLIM,ALSS
C......... determine h+ flux by simple method
      H1=-51.5*(TI(2,JR)+TI(3,JR))/GR(2,JR)
      H2=-51.5*TN(JR)/GR(2,JR)
      CALL RATS(JR,TI(3,JR),TI(2,JR),TN(JR),RTS)
      H0=1.0E5*H1*H2/(H1-H2)
C....... may need a factor of 2.15 to account for error in paper in 
C....... thermal diffusion
      ACON=9E7*TI(2,JR)**2.5/RTS(1)/H0**2
      ZTRAN=Z(JR)-DLOG(ACON/N(1,JR)/ON(JR))*H1*H2/(H1+H2)
      DO 717 J=1,JQ
 717  IF(Z(J).LT.ZTRAN) JS=J
      IF(ZTRAN.LE.Z(1).OR.ZTRAN.GT.3000.) JS=JR
      HS=-51.5E5*(TI(2,JS)+TI(3,JS))/GR(2,JS)
      FYLIM=RTS(2)*HN(JS)*N(1,JS)*HS*BM(1)/BM(JS)
      ALSS=0.0D0
      DO 718 J=JS,JQ
      ALSS=ALSS+RTS(1)*N(2,J)*ON(J)*(SL(J+1)-SL(J))
 718  CONTINUE
C
      IF(JTIMAX.GT.1) RETURN
C...      WRITE(6,95) Z(JR),TI(2,JR),TI(3,JR),H1,H2,TN(JR),H0
C...     > ,ON(JR),N(1,JR),ACON,RTS(1)
 95   FORMAT(/'  ZJR',3X,'TI',4X,'TE',5X,'HO+',3X,'HO',3X,'TN'
     > ,6X,'H0',5X,'(O)',5X,'(O+)',4X,'ACON',5X,'R1',/6F6.0,1P,5E8.1)
C
C...      WRITE(6,97) Z(JS),TI(2,JS),TI(3,JS),GR(2,JS),BM(1),BM(JS)
C...     > ,RTS(2),HN(JS),N(1,JS),HS
  97   FORMAT('  ZJS   TI    TE    GR    BM1   BMJS',3X,'R2',5X,'(H)'
     > ,5X,'(O+)',5X,'HS',/4F6.0,2F6.2,1P,9E8.1)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE SYM(JMAX,HE,EHT,UN,Z,SZA)
C........... This routine gives symmetric ambient parameters
C....... NOTE WELL ! This program does not produce symmetry at night
C....... because the density at grazing incidence is not symmetric
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      DIMENSION UN(401),Z(401),HE(401),EHT(3,401),SZA(401)
      COMMON/FJS/N(4,401),TI(3,401),F(20)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      DO 25 J=1,JMAX/2
      JU=JMAX+1-J
      ON(JU)=ON(J)
      O2N(JU)=O2N(J)
      N2N(JU)=N2N(J)
      HN(JU)=HN(J)
      HE(JU)=HE(J)
      PHION(JU)=PHION(J)
      SZA(JU)=SZA(J)
      TN(JU)=TN(J)
      UN(JU)=-UN(J)
      DO 25 I=1,4
      IF(I.LE.3) TI(I,JU)=TI(I,J)
      IF(I.LE.3) EHT(I,JU)=EHT(I,J)
      IF(I.GT.0) N(I,JU)=N(I,J)
 25   CONTINUE
      UN(JMAX/2+1)=0.0D0
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE BRACE(H,NI,TE,TB,RAT)
C...... Empirical Te model from Brace and Theis GRL p275, 1978
      DOUBLE PRECISION H,NI,TE,TB,RAT
      IF(H.LT.120.OR.H.GT.500) RETURN
      TB=1051+(17.07*H-2746)
     > *EXP(-5.122E-4*H+6.094E-6*NI-3.353E-8*H*NI)
      RAT=TE/TB
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE SETDT(DT,DTSET,DTMAX,JTIDT,ITAU,Z,JMAX,ITF,ITER,TWIDT)
C......... routine for setting time step DT ....
      DOUBLE PRECISION DT,DTSET,DTMAX,Z(401),TWIDT,GL,DTSAV
      DIMENSION D(8),T(2)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      DATA JTICNT /0.0/, TWISTRT/1.8/
C....... negative TWIDT changes time to begin/end twilight time step
      IF(TWIDT.LT.0) THEN
         TWISTRT= 2.0
         TWIDT = -TWIDT
      ENDIF
      
      !------- Output diagnostics to log file
      IF(ITER.LT.-2) WRITE(6,626) ITER
 626     FORMAT(2X,'*** Difficulty converging, ITER=',I3
     >  ,' - time step reduced')

      DTADD=INT(0.5*DT)
C....      IF(DT.GT.300.AND.DTADD.LT.300) DTADD=300.
      IF(ITER.LE.-2) GO TO 161
      JTICNT=JTICNT+1
      IF(ITER.LT.6.AND.JTICNT.GT.JTIDT) DT=DT+DTADD
      IF(DT.GT.DTMAX) DT=DTMAX
      GO TO 163
C
C............... adjust DT for NON-convergence .......
 161  ITAU=ITAU-DT
      SEC=SEC-SNGL(DT)
      DT=NINT(0.5*DT)
      JTICNT=0
      IF(JTIDT.LT.3) JTIDT=3

C........ advance program time step and ut
 163   IHDT=(INT(DT)/30)*30
       IF(DT.GT.60.) DT=FLOAT(IHDT)
       IHDT=(INT(DT)/60)*60
       IF(DT.GT.120.) DT=FLOAT(IHDT)
       IHDT=(INT(DT)/300)*300
       IF(DT.GT.600.) DT=FLOAT(IHDT)
       IF(DT.GT.DTMAX) DT=DTMAX
       ITAU=ITAU+DT
       IF(ITF.EQ.1.OR.ITF.LT.0) SEC=SEC+DT
C
C......... determine local time at both ends of flux tube .......
       CALL AMBS(1,Z(1),GL(1),D,T,CHIN,SATN,GLONN,GLATN)
       CALL AMBS(JMAX,Z(JMAX),GL(JMAX),D,T,CHIF,SATF,GLONF,GLATF)
C........ ensure reasonable time step at sunrise and sunset ....
      IF(ITF.NE.1.AND.ITF.GE.0) RETURN
      IF(DT.LE.TWIDT) RETURN
C....      IF(ABS(SATN-12).LT.4.AND.ABS(SATF-12).LT.4) RETURN
      IF(CHIN.LE.1.5.AND.CHIF.LE.1.5) RETURN
      IF(CHIN.GE.TWISTRT.AND.CHIF.GE.TWISTRT) RETURN
      IF(CHIN.GE.TWISTRT.AND.CHIF.LE.1.5) RETURN
      IF(CHIF.GE.TWISTRT.AND.CHIN.LE.1.5) RETURN
C
C............ reduce time step to 1800 seconds near sunrise and sunset
      DTSAV=DT
      IF(DT.GT.1800) DT=1800
      IF(DT.GT.DTMAX) DT=DTMAX
      ITAU=ITAU-DTSAV+DT
      SEC=SEC-SNGL(DTSAV)+SNGL(DT)
C
C............. set time step to TWIDT at sunset
       CALL AMBS(1,Z(1),GL(1),D,T,CHIN,SATN,GLONN,GLATN)
       CALL AMBS(JMAX,Z(JMAX),GL(JMAX),D,T,CHIF,SATF,GLONF,GLATF)
      IF(CHIN.LE.1.5.AND.CHIF.LE.1.5) RETURN
      IF(CHIN.GE.TWISTRT.AND.CHIF.GE.TWISTRT) RETURN
      DTSAV=DT
      IF(DT.GT.TWIDT) DT=TWIDT
      IF(DT.GT.DTMAX) DT=DTMAX
      ITAU=ITAU-DTSAV+DT
      SEC=SEC-SNGL(DTSAV)+SNGL(DT)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PHEAD(IFILE,PCO,GLONN,GLONF,GLATN,GLATF,ALT)
C....... Subroutine for printing basic information in each of the
C....... output files
      DOUBLE PRECISION PCO,GL,ALT
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/SOL/UVFAC(59),EUV
      CHARACTER*60 HEMIS
      IF(IFILE.EQ.3) THEN
         HEMIS = 'NORTHERN hemisphere * * * * * * * * * *'
      ELSE IF(IFILE.EQ.4) THEN
         HEMIS = 'EQUATORIAL PLANE * * * * * * * * * *'
      ELSE IF(IFILE.EQ.9) THEN
         HEMIS = 'SOUTHERN hemisphere * * * * * * * * * *'
      ELSE IF(IFILE.EQ.6) THEN
         HEMIS = 'BOTH hemispheres * * * * * * * * * *'
      ELSE
         HEMIS = ' * * * * * * * * * *'
      ENDIF
      WRITE(IFILE,112) HEMIS
 112  FORMAT(5X,'* * * * * Parameters for this FLIP run in ',A60)
 114  FORMAT(/1X,' YEAR=',I4,',  DAY=',I3,',  L-SHELL=',F8.3,
     >  ',  F10.7=' ,F6.1,',  F10.7A=',F6.1,',  AP=',F6.1)
      WRITE(IFILE,114) IDAY/1000,MOD(IDAY,1000),PCO,F107,F107A,AP(1)
      
      !... print lats and longs as integers or else reals
      IF(IDAY.GT.999) THEN
         WRITE(IFILE,115) NINT(GLATN),NINT(GLONN),-NINT(GLATF)
     >  ,NINT(GLONF),NINT(ALT)
      ELSE
         WRITE(IFILE,915) GLATN,GLONN,-GLATF,GLONF,ALT
      ENDIF
 115  FORMAT(/'  Geographic (lat,long):- North (',I3,'N,',I5,'E)'
     > ,2X,',  South (',I3,'S,',I5,'E)  @',I6,'km altitude')
 915  FORMAT(/'  Geographic (lat,long):- North (',F5.1,' N,',F6.1,' E)'
     > ,',  South (',F5.1,' S,',F6.1,' E)  @',F9.2,' km altitude')

      WRITE(IFILE,116) UVFAC(9),UVFAC(6),UVFAC(18),UVFAC(33),UVFAC(35)
 116  FORMAT(/'  EUV flux scaling factors for 303.78=',F5.1,
     >  ', 284.15=',F5.1,  ', 584.33=',F5.1, ', 977.02=',F5.1,
     >  ', 1025.72=',F5.1)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PROFIN(ISOL,J,JMAX,TALT,F107,N,TI,TN,SL,GR,ON,HN,
     > HPEQ,HEPRAT,XIONN,IVLPS)
C....... set up rough initial o+, h+, and temperature profiles
      DOUBLE PRECISION ALT,N(4,401),TI(3,401),TN(401),SL(401),GR(2,401)
     > ,ON(401),HN(401),HPEQ,XHOLD,HEPRAT,XIONN(9,401),TALT
      IF(ISOL.NE.0) GO TO 10
      ALT=TALT
      IF(ALT.LT.50) ALT=50
C...... Temperatures approximated by a log function
      TI(3,J)=904.0*DLOG(ALT)-3329.0
      TI(1,J)=TI(3,J)
      TI(2,J)= TI(3,J)
      IF(J.GT.(JMAX+1)/2) GO TO 10
C....... Insert initial O+ profile: first low altitudes
      XHOLD=-5.5E-4*(ALT-250.0)**2
      IF(XHOLD.GT.70.0)XHOLD=70.0
      IF(ALT.LE.500) N(1,J)=(F107/74.0)*5E5*EXP(XHOLD)
C........ now high altitudes
      XHOLD=(SL(J+1)-SL(J))*1.9E-7*GR(2,J)/(TI(3,J)+TI(1,J))
      IF(XHOLD.GT.70.0)XHOLD=70.0
      IF(ALT.GE.275) N(1,J)=N(1,J-1)*EXP(XHOLD)
      N(1,JMAX+1-J)=N(1,J)
C------- N+ density is 10% of O+
      IF(IABS(IVLPS).EQ.11) THEN
         XIONN(1,J) = 0.1 * N(1,J)
         XIONN(1,JMAX+1-J)= 0.1 * N(1,J)
      ELSE
         XIONN(1,J) = 0.0
         XIONN(1,JMAX+1-J)= 0.0
      ENDIF
      IF(HPEQ.EQ.1001) WRITE(6,90) NINT(ALT),TI(3,J),N(1,J)
 90   FORMAT(1X,'PROFIN',I7,F8.0,1P,E10.2)
C....... Initial H+ and He+ profiles
 10   IF(HPEQ.LT.0) RETURN
      IF(ON(J).GT.0) N(2,J)=N(1,J)*HN(J)/ON(J)
      IF(N(2,J).GT.HPEQ.OR.ALT.GE.2000) N(2,J)=HPEQ
      N(4,J)=0.0
      IF(IABS(IVLPS).GE.9) N(4,J)=HEPRAT*N(2,J)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE DATRD1(ISOL,ITF,ITFS,I1,I2,IPP,MAXIT,DTSET
     > ,DTMAX,JTIDT,TWIDT,ZLBDY,IREAD,HPEQ,FPAS,HFAC,IVLPS,TSTOP,JWR
     > ,ZLO,ZHI,IWIND,IVIBN2,IODDN,INPLUS,IHEP,HEPRAT,ITEMP,IHPOP
     > ,IHPKP)

      DOUBLE PRECISION DTSET,DTMAX,TWIDT,ZLBDY,HPEQ,FPAS,HFAC,TSTOP
     > ,ZLO,ZHI,HEPRAT,ZDEPL
      common/HPNEW/ HP_NEW,HRATE,ZDEPL,inpow
C
C...... Length of FLIP run in hours. A negative TSTOP can be used
C...... to override the default value for a new run
!jntu12/10/09      READ(5,*) TSTOP
!         IF(TSTOP.LT.0) THEN
!             TSTOP=ABS(TSTOP)
!         ELSE IF(ISOL.EQ.0.AND.TSTOP.LT.38.0) THEN
             TSTOP=8000.0 !jntu38.0
!jntu         ENDIF
C
C------ Test to see if file exists.
!jntu      CALL TFILE(15,IOPEN)
!      IF(IOPEN.EQ.0) THEN
!         WRITE(6,79) 
! 79      FORMAT(/1X,' *** The FLIPRUN.DDD file does not exist ***'/)
!         ITNT=MESSAGEBOX(NULL,'FLIPRUN.DDD file does not exist'C,
!     >                   'ERROR',MB_OK)
!         STOP
!      ENDIF
C------ Read from file until a good value for ITEMP - get rid of headers
 7    READ(15,*,ERR=7) ITEMP
         IF(ITEMP.LT.0.OR.ITEMP.GT.1) ITEMP=1
         I1=ITEMP
      READ(15,*) IHPOP
         IF(IHPOP.LT.0.OR.IHPOP.GT.1) IHPOP=1
         I2=I1+IHPOP
         IF(ITEMP.EQ.0.AND.IHPOP.EQ.1) I1=2
         IF(ITEMP.EQ.0.AND.IHPOP.EQ.1) I2=2
      READ(15,*) IHEP
         IF(IHEP.LT.0) IHEP=1
      READ(15,*) INPLUS
         IF(INPLUS.LT.0) INPLUS=1
      READ(15,*) IODDN
         IF(IODDN.LT.0) IODDN=1
      READ(15,*) IVIBN2
         IF(IVIBN2.LT.0) IVIBN2=1
!      READ(15,*) IDUNNO
!      READ(15,*) IDUNNO
C........ Now set IVLPS to determine which species to solve
         IVLPS=0
         IF(IODDN.GE.1) IVLPS=1
         IF(IVIBN2.GE.1) IVLPS=2
         IF(IHEP.NE.0.AND.IVLPS.EQ.0) IVLPS=-9
         IF(IHEP.NE.0.AND.IVLPS.GT.0) IVLPS=+9
         IF(INPLUS.NE.0.AND.IVLPS.LE.0) IVLPS=-11
         IF(INPLUS.NE.0.AND.IVLPS.GT.0) IVLPS=+11
C
      READ(15,*) DTSET
         IF(DTSET.LT.1.OR.DTSET.GT.1800) DTSET=1800
      READ(15,*) DTMAX
         IF(DTMAX.LT.1.OR.DTMAX.GT.7200) DTMAX=1800
         IF(DTSET.GT.DTMAX) DTSET=DTMAX
      READ(15,*) TWIDT
         IF(TWIDT.LT.10.OR.TWIDT.GT.3600) TWIDT=600
         IF(TWIDT.LT.300) WRITE(6,109) 
 109     FORMAT(/' **** WARNING: TWIDT < 300, Pyyddd file may be'
     >   ,' very large'/)
      READ(15,*) IWIND
      READ(15,*) HPEQ
        IHPKP=0
        IF(NINT(HPEQ).EQ.-1) IHPKP=1
        IF(HPEQ.GT.1E4) HPEQ=-HPEQ
        IF(ISOL.NE.0.AND.HPEQ.GE.0.0) HPEQ=-HPEQ
cjntu
      READ(15,*) HRATE
      READ(15,*) ZDEPL
      READ(15,*) inpow
      READ(15,*) HP_NEW
      READ(15,*) HEPRAT
        IF(HEPRAT.LT.0.001) HEPRAT=0.001
        IF(HEPRAT.GT.2.0) HEPRAT=2.0
      READ(15,*) FPAS
        IF(FPAS.LT.0.0) WRITE(6,90)
 90     FORMAT(//2X,'FPAS <0, plasmaspheric heating prop. to TEC')
        IF(FPAS.GT.1.0) WRITE(6,91)
 91     FORMAT(//2X,'FPAS >0, no conjugate e* & no plasmaspheric heat')
      READ(15,*) HFAC
        IF(HFAC.LT.0) WRITE(6,92) ABS(HFAC)
 92     FORMAT(//'  HFAC<0, multiplying ionospheric heating rate by +'
     >   ,F5.1)
C....
      READ(15,*) JWR
         IF(JWR.LT.0) JWR=0
      READ(15,*) IPP
         IF(IPP.LT.0) IPP=0
         IF(JWR.NE.0.AND.IPP.EQ.0) IPP=1
      READ(15,*) ZLO
         IF(ZLO.LT.70.0) ZLO=300.0
      READ(15,*) ZHI
         IF(ZHI.LT.70.0) ZHI=300.0
      READ(15,*) ITF
C.....         IF(ITF.LT.1) ITF=1
         ITFS=ITF
         IF(ISOL.EQ.0.AND.ITF.GT.0) ITF=3
!jntu      READ(15,*) JTIMAX
!jntu         IF(JTIMAX.LT.0) JTIMAX=99999
         !...IF(ISOL.EQ.0.AND.JTIMAX.LT.333) JTIMAX=333
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE DATRD2(ISOL,IWIND,AP,BLON,F107,F107A,IDAY,SEC,UVFAC,
     >                  CRUN)
      CHARACTER*3 CRUN
C...... This subroutine reads in the geophysical parameters for the run
      DIMENSION UVFAC(59),AP(7)
C..... J.-N. Tu 10/18/01
      common /HWMSISF/HWM(2),HWMUT(2),FACNEUN(3),FACNEUS(3),TNFAC
      COMMON/EHTADJ/JNCUT(2),JSCUT(2),ENHEHT(2)
      READ(15,*) AP(1)
         IF(ABS(AP(1)).GT.400) THEN
            WRITE(6,*) ' *** absolute of AP is too big = ',AP(1)
            STOP
         ENDIF
      READ(15,*) F107
         IF(F107.LT.60.OR.F107.GT.500) THEN
             WRITE(6,*) ' *** F107 is out of range =',F107
             STOP
         ENDIF
      READ(15,*) F107A
         IF(F107A.LT.60.OR.F107A.GT.500) THEN
             WRITE(6,*) ' *** F107A is out of range =',F107A
             STOP
         ENDIF
      READ(15,*) JDAY
         IF(ISOL.EQ.0.OR.JDAY.GT.0) IDAY=IABS(JDAY)
         IF(IDAY.GT.0.AND.IDAY.LT.367) IDAY=IDAY+2000000
         IF(IDAY.LT.1900000) IDAY=IDAY+1900000
         IF(IDAY.LT.1000000.OR.IDAY.GT.9999999) THEN
           WRITE(6,*) '  ** Day number out of range = ',IDAY
           STOP
         ENDIF
!....... The universal time (SEC) may be changed in DATRD3
      READ(46,*) STRTHRS
         IF(TRIM(CRUN).EQ.'No')  SEC=STRTHRS*3600
C........ Read in the UV factors
      READ(15,*) (UVFAC(I),I=1,37)
      READ(15,*) (UVFAC(I),I=38,50)
      READ(15,*) (UVFAC(I),I=51,59)
C....... see if UV factors need to be adjusted. UVFAC(58) records if
C....... automatic scaling is to be used
      UVFAC(58)=0.0
      IF(UVFAC(1).LT.0.0) THEN
         UVFAC(58)=-1.0
         CALL FACEUV(UVFAC,F107,F107A)
      ENDIF
      IF(UVFAC(38).LE.0.0) THEN
         UVFAC(58)=UVFAC(58)-2.0
         CALL FACSR(UVFAC,F107,F107A)
      ENDIF

      !... check the magnitude of the euv fluxes ....
      DO 67 I=1,50
 67   IF(UVFAC(I).GT.99.OR.UVFAC(I).LT.0) IUV=1
      IF(IUV.EQ.1) THEN
        WRITE(6,*)
     >  '  **** EUV or S-Runge factors may be wrong - check FLIPRUN.DDD'
        WRITE(6,751) (UVFAC(I),I=1,50)
 751    FORMAT(10F6.1)
      ENDIF
c..factors and UT time for adjusting neutral winds. J.-N. Tu 10/09/01
      READ(15,*) HWM(1),HWM(2)
      READ(15,*) HWMUT(1),HWMUT(2)
c..factors for adjusting neutral O, N2 and H. J.-N. Tu 10/18/01
      READ(15,*) (FACNEUN(I),I=1,3)   !Northern hemisphere
      READ(15,*) (FACNEUS(I),I=1,3)   !Southern hemisphere
c..factor for adjusting neutral temperature Tn JNTU 10/25/01
      READ(15,*) TNFAC
c..factor for adjusting heating rate distribution JNTU 10/27/01
      READ(15,*) JNCUT(1),JSCUT(1)    !range for ion heating
      READ(15,*) JNCUT(2),JSCUT(2)    !range for electron heating
      READ(15,*) ENHEHT(1),ENHEHT(2)  !max. ion, electron heating rate
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE DATRD3(ISOL,BLON,SEC,DTSET,HPEQ,F107,JMAX,PCO,Z0
     > ,ZT,SCAL,GRD,L_STAG,L_SHORT,L_PHASE,IDAY)
      USE INPARM   !JNTU 12/10/09
      INTEGER IDAY
      DOUBLE PRECISION PCO,Z0,ZT,SCAL,DTSET,HPEQ,XHOLD
      REAL L_STAG,L_SHORT,L_PHASE,GLOND,GLATD,GLONP,DLAT,DLON
      COMMON/GPAR/RE,PLAT,PLON,PI,ANGVEL
C....... If not a new field line then read dummy variables so they
C....... are not altered
!      IF(ISOL.NE.0) THEN
!         READ(15,*) DUMVAR
!jntu12/10/09         READ(5,*)  L_SHORT
!         READ(5,*)  DUMVAR
!         READ(5,*)  L_STAG
!jntu         READ(5,*)  L_PHASE
!         READ(15,*)  DUMVAR
!         READ(15,*)  DUMVAR
!         READ(15,*)  DUMVAR
!         RETURN
!      ENDIF
C 
C........ else setting up a new field line, input parameters
C....... JMAX is the number of grid points on field line
      READ(15,*) JMAX
      IF(CRUN.EQ.'Yes') THEN
        READ(46,*) DUMVAR
        READ(46,*) DUMVAR
      ELSE
C...... PCO is the L-SHELL. short for P coordinate
      READ(46,*) PCO
C...... BLON is magnetic longitude
      READ(46,*) BLON
      ENDIF
C
      !.. If PCO large it must be geographic latitude need to convert
      !.. to magnetic coordinates using GTOB
      IF(PCO.LT.1.02.OR.PCO.GT.9) THEN
         GLATD=PCO
         GLOND=BLON
         PLAT=-1
         !READ(37,*,ERR=199) PLAT,PLON  !... for testing only
         PLAT=PLAT/57.296
         PLON=PLON/57.296
 199     IF(PLAT.LT.0) THEN
            !.. locate magnetic pole
            CALL MPOLE_LOC(GLOND,GLATD,IDAY,PLAT,PLON) 
         ENDIF
         PLAT=1.37846
         PLON=5.04557
         CALL GTOB(IEXP,BLON,BLAT,GLATD,GLOND)
         PCO=((RE+250.)/RE)/(COS(BLAT/57.296))**2
      ELSE
         GLONP=BLON-74.5
         IF(GLONP.LT.0) GLONP=GLONP+360
         !.. locate magnetic pole
         CALL MPOLE_LOC(GLONP,50.0,IDAY,PLAT,PLON)
      ENDIF
C
      !.. stagnation point and phase for tear drop model
!jntu      READ(5,*) L_STAG
      L_STAG=0
      !.. L_SHORT is where the trajectory cuts the short axis
      IF(L_STAG.GT.1.1) L_SHORT=PCO
!jntu      READ(5,*) L_PHASE
      L_PHASE=0
      IF(L_PHASE.LT.0.0 .OR. L_PHASE.GT.24.0) L_PHASE=0.0

      !-- correct JMAX if illegal value and make sure it is an odd number
      IF(JMAX.LT.150) JMAX=55*PCO+125
      JMAX= 2 * (JMAX/2) + 1
      IF(JMAX.GT.399) JMAX=399
      IF(NINT(L_STAG).NE.0) JMAX=399   ! max pts for ExB drift

      !.. Z0 is the absolute lower boundary altitude
      READ(15,*) Z0
         !.. reset Z0 for ExB drift
         IF(INT(L_STAG).EQ.0) THEN
            IF(Z0.LT.80) WRITE(6,*) ' *** Z0 reset to 80 km'
            IF(Z0.LT.80) Z0=80
         ELSE
            Z0=50
            WRITE(6,97) NINT(Z0)
 97         FORMAT('  *** Z0 reset to',I4,' km for ExB drift')
         ENDIF
         IF(Z0.GT.190.0) THEN
            Z0=190.0
            WRITE(6,*) ' Z0 too high - reset to 190 km'
         ENDIF
C
      READ(15,*) ZT    !Top boundary if cut FLIP

C........ SCAL distributes the grid points along B
      READ(15,*) SCAL
         IF(SCAL.LT.0.5.OR.SCAL.GT.11) SCAL=(8.0/PCO+2.0)
C......... switch for variable (-1) or constant altitude steps in vertical
      READ(15,*) GRD
         IF(GRD.LT.0) GRD=-1
         IF(GRD.GE.0) GRD=+1
C
C....... Set up default starting time at noon by finding the approx. UT
C....... IF  ABS(SEC) < 24 assume it is LT in hours to start  
       IF(SEC.LT.0) CALL SET_NOON(SEC,PCO,BLON)
C
 95    FORMAT(I6,9F10.3)
C....... Default initial time step for new field line
      XHOLD=40*(250/F107)**1.5
      IF(DTSET.GT.XHOLD) DTSET=INT(40*(250/F107)**1.5)

      RETURN
      END

C::::::::::::::::::::::::::::: SET_HPEQ ::::::::::::::::::::::::::::::::
C... This function sets the default H+ density at the equator. This is done
C... if the current HPEQ is less than 30 (can be negative)
      SUBROUTINE SET_HPEQ(PCO,HPEQ)
      IMPLICIT NONE
      DOUBLE PRECISION PCO,HPEQ,HP_FULL
      !... Take user value or set default H+ density at equator.
      IF(HPEQ.LT.30) THEN
         !... set default HPEQ
         HP_FULL=1.22E5/PCO**4
         !... if value between 0.1 and 4, take fraction of HP_FULL
         IF(HPEQ.LT.0.1.OR.HPEQ.GT.4.0) HPEQ=1.0
         HPEQ=DABS(HPEQ)*HP_FULL
         IF(HPEQ.LT.30) HPEQ=30
      ENDIF
      RETURN
      END
C::::::::::::::::::::::::::::: DATRD4 ::::::::::::::::::::::::::::::::
C........ Used for reading additional run control parameters
      SUBROUTINE DATRD4(ISOL,TIMEON,TIMEOF,AURFAC)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL TIMEON,TIMEOF,AURFAC,AMP_RING,RC_TIME_CON,TMAX,SIGT
     >   ,LMAX,SIGL,PROP,RCPEAK
C........ COLFAC= O+ - O collision frequency factor. CFAC, and ISCH
C........ are for future expansion
      COMMON/CFACT/COLFAC,CFAC(9),ISCH(9)
      COMMON/RC/AMP_RING,TMAX,SIGT,LMAX,SIGL,RC_TIME_CON,PROP,RCPEAK
C
C....... This is the O+ - O collision factor
      READ(15,*) COLFAC
         IF(COLFAC.LT.0) COLFAC=1.0
         IF(COLFAC.LT.0.5.OR.COLFAC.GT.4.0) THEN
            WRITE(6,*) '  ** COLFAC out of order = ',COLFAC
            STOP
         ENDIF

      !.. Amplitude of the ring current heating
      READ(15,*) AMP_RING
      AMP_RING=AMP_RING*5.0E-05
      IF(AMP_RING.LE.0.0) AMP_RING=0.0

      !.. time of maximum and sigmas for ring current heating
      READ(15,*) TMAX,SIGT
      READ(15,*) LMAX,SIGL

      !... proportion of ring current heating going to electrons
      READ(15,*) PROP
      IF(PROP.GT.1.0) PROP=1.0
      IF(PROP.LT.0.0) PROP=0.0

      READ(15,*) RC_TIME_CON     !.. decay time for ring current (hrs)
      !J.-N. Tu RCPEAK = Time of peak RC heating (hrs) 10/12/01
      READ(15,*) RCPEAK

      !.. input on time and off time for aurora and energy factor
      READ(15,*) TIMEON,TIMEOF
      READ(15,*) AURFAC
      RETURN
      END
C:::::::::::::::::::::::::::::: DATRD5 :::::::::::::::::::::::::::::::::
! Written by Jiannan Tu 12/10/09
! Reads in SEC, PCO, and BLON if drifting flux tube
      SUBROUTINE DATRD5(SEC,PCO,BLON)
      REAL SEC,BLON,GLATD,GLOND,PLAT,PLON,BLAT,RE,PI,STRTHRS
      DOUBLE PRECISION PCO
      INTEGER IEXP

      COMMON/GPAR/RE,PLAT,PLON,PI,ANGVEL

C....... The universal time (SEC) may be changed in DATRD3
      READ(46,*) STRTHRS
C...... PCO is the L-SHELL. short for P coordinate
      READ(46,*) PCO
C...... BLON is magnetic longitude
      READ(46,*) BLON

      !.. If PCO large it must be geographic latitude need to convert
      !.. to magnetic coordinates using GTOB
      IF(PCO.LT.1.02.OR.PCO.GT.9) THEN
         GLATD=PCO
         GLOND=BLON
         CALL GTOB(IEXP,BLON,BLAT,GLATD,GLOND)
         PCO=((RE+250.)/RE)/(COS(BLAT/57.296))**2
      ENDIF
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CENFOR(IEXP,BLOND,BLATD,ALT,CF)
C....... Calculation of centrifugal force. Note that it is asymmetrical with
C....... respect to the geomagnetic equator
      DOUBLE PRECISION ALT,BLATD,CF,RP,CL,DIP,CHI
      COMMON/GPAR/RE,PLAT,PLON,PI,ANGVEL
C........ Find geographic latitude and longitude
      CALL BTOG(IEXP,BLOND,SNGL(BLATD),GLATD,GLOND)
      RP=(RE+ALT)*1.0E5
C...... rotate the centrifugal force vector in longitude
      XG=COS(GLATD/57.296)*COS(GLOND/57.296-PLON)
      YG=COS(GLATD/57.296)*SIN(GLOND/57.296-PLON)
      ZG=0.0
C....... rotate in latitude
      XM=XG*SIN(PLAT)-ZG*COS(PLAT)
      YM=YG
      ZM=XG*COS(PLAT)+ZG*SIN(PLAT)
C
      CL=(90.0-BLATD)/57.296
      DIP=ASIN(2*DCOS(CL)/DSQRT(3.0*DCOS(CL)**2+1.0))
      CHI=CL-DIP
C........ Centrifugal force =CF
      CF=RP*ANGVEL*(DCOS(CHI)*(COS(BLOND/57.296)*XM+SIN(BLOND/
     > 57.296)*YM)-DSIN(CHI)*ZM)
      RETURN
      END
C:::::::::::::::::::::::::::::::: FACEUV :::::::::::::::::::::::
      SUBROUTINE FACEUV(UVFAC,F107,F107A)
C----- This routine uses the EUV scaling from Richards et al.[1994]
C----- The EUVAC flux model is based on the F74113 solar reference
C----- spectrum and Hinteregger's scaling factors. This subroutine
C----- just provides the scaling factors as a function of the proxy
C----- (F107+F107A)/2
      DIMENSION UVFAC(59),HFG200(37)
      DATA HFG200/2.202,1.855,2.605,3.334,1.333,17.522,4.176,4.0
     >  ,1.4,3.694,1.791,5.385,1.889,1.899,3.427,2.051,1.392,1.619
     >  ,1.439,2.941,1.399,2.416,1.512,1.365,1.570,1.462,2.537,1.393
     >  ,1.572,1.578,1.681,1.598,1.473,1.530,1.622,1.634,1.525/
C----  Test to see if need to scale - see DATRD2 subroutine      
      IF(NINT(UVFAC(58)).EQ.-1.OR.NINT(UVFAC(58)).EQ.-3) THEN
C............ EUV scaling
         F107AV=(F107+F107A)*0.5
         DO 50 I=1,37
         A=(HFG200(I)-1)/120.0
         B=1-A*80.0
         UVFAC(I)=A*F107AV+B
         IF(UVFAC(I).LT.0.8) UVFAC(I)=0.8
 50      CONTINUE
      ENDIF
      RETURN
      END
C:::::::::::::::::::: FACOLD ::::::::::::::::::::::::::::::::::::::
      SUBROUTINE FACOLD(UVFAC,F107,F107A)
C........ The EUV flux is scaled linearly with F107 flux. The 37 intervals
C........ of Torr et al. GRL, 1979 p771 are used. The flux factors are 1 for
C........ day 74113 when F107=71. Ratios from day 78348 (F107=206) are used to
C........ complete the scaling. Modified using Torr et al 1985 GRL p6675
      DIMENSION UVFAC(59),EUV206(37),EUV243(37)
      DATA EUV206/2.6,2.4,1.8,3,1.9,15.7,4.4,3,1.8,4.5,2,4.8,2.9,2.1
     > ,4.3,2.7,1.8,2.7,2.4,3.2,2.0,2.8,2.0,1.8,2.4,2.1,3.0,1.9,2.5
     > ,2.4,2.8,2.8,2.0,2.2,2.7,2.1,1.9/
      DATA EUV243/3.0,2.6,2.6,4.0,2.2,31.7,4.9,10.9,1.9,6.5,1.9,10.5,
     > 2.5,2.0,5.6,3.1,2.0,3.1,2.1,3.2,2.0,2.8,2.0,1.8,2.5,2.2,2.8,
     > 2.0,2.5,2.6,3.0,2.9,2.2,2.5,3.0,2.8,2.4/
C----  Test to see if need to scale - see DATRD2 subroutine      
      IF(NINT(UVFAC(58)).EQ.-1.OR.NINT(UVFAC(58)).EQ.-3) THEN
C............ EUV scaling
         DO 50 I=1,37
         A=(EUV206(I)-1)/135.0
         B=1-A*71
         UVFAC(I)=A*F107+B
         IF(UVFAC(I).LT.0.0) UVFAC(I)=0.0
 50      CONTINUE
      ENDIF
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE FACSR(UVFAC,F107,F107A)
C........ The Schumann-Runge factors are scaled according to F10.7
C........ from Torr et al. GRL 1980 p6063
      DIMENSION UVFAC(59),SRFLUX(8),SRA(8),SRB(8)
C.............. Schumann-Runge scaling
      DATA SRFLUX/2.4,1.4,.63,.44,.33,.17,.12,.053/
C....... first two SRA and SRB values out of order in Marsha's paper
      DATA SRA/25.5,20.7,13.2,11.6,11.3,7.86,7.68,4.56/
      DATA SRB/222.,129.,53.4,36.0,25.0,11.3,6.35,2.05/
C
C----  Test to see if need to scale - see DATRD2 subroutine      
      IF(NINT(UVFAC(58)).EQ.-2.OR.NINT(UVFAC(58)).EQ.-3) THEN
C
         DO 505 I=38,50
            LSR=I-37
            UVFAC(I)=1.0
            IF(LSR.LE.8)
     >      UVFAC(I)=(SRA(LSR)*1.0E7*F107+SRB(LSR)*1.0E9)/SRFLUX(LSR)
     >           /1.0E11
 505     CONTINUE
      ENDIF
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE ZATOLT(CHI,G,D,E,TIME)
C....... This routine converts solar zenith angle to local time
      H=((COS(CHI)-SIN(G)*SIN(D))/(COS(G)*COS(D)))
      IF(ABS(H).LE.1.0) THEN
         TIME=((ACOS(H)-E)*57.296/15.0)+12.0
      ELSE IF(H.LT.1.0) THEN
         TIME=24.0
      ELSE
         TIME=12.0
      ENDIF
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE LTTOZA(TIME,GLAT,DECL,CHI)
C....... This routine converts solar apparent time to solar zenith angle
      HH=(TIME-12.)*15*3.14159/180.
      CHI=ACOS(COS(GLAT)*COS(DECL)*COS(HH)+SIN(GLAT)*SIN(DECL))
      RETURN
      END
C:::::::::::::::::::::::::::: F2PEAK :::::::::::::::::::::::::::::::
C-- This subroutine determines the F2 peak electron density (NMF2)
C-- and height (HMF2) by fitting a parabola to the 3 points near
C-- the peak D1, D2, and D3 are the densities at H1, H2, and H3
 
      SUBROUTINE F2PEAK(D1,D2,D3,H1,H2,H3,NMF2,HMF2)
      DOUBLE PRECISION D1,D2,D3,H1,H2,H3,NMF2,HMF2
C--    Determine the coefficients A, B, C of the equation
C--    DEN = A * H**2 + B * H + C
C
C--  The first part takes care of low L values where the highest density
C--  may be at the equatorial point
      IF(NINT(H1).EQ.NINT(H3)) THEN
          NMF2=D2
          HMF2=H2
          RETURN
      ENDIF
C-- determine NMF2 and HMF2 for good data
      ANUMER = (D1-D2)*(H2-H3) - (D2-D3)*(H1-H2)
      ADENOM = (H1*H1-H2*H2)*(H2-H3) - (H2*H2-H3*H3)*(H1-H2)
      A= ANUMER/ADENOM
      B= (D1-D2 - A*(H1*H1-H2*H2))/(H1-H2)
      C= D1 - A*H1*H1 - B*H1
C--     Now the peak height and density
      HMF2 = -0.5*B/A
      NMF2 = A*HMF2*HMF2 + B*HMF2 + C
      RETURN
      END       
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE GTOB(IEXP,BLOND,BLATD,GLATD,GLOND)
C........ Conversion from geographic to centered dipole coordinates
      COMMON/GPAR/RE,PLAT,PLON,PI,ANGVEL
C........ convert to radians
      GLAT=GLATD/57.29578
      GLON=GLOND/57.29578
C...... rotate in longitude
      XG=COS(GLAT)*COS(GLON-PLON)
      YG=COS(GLAT)*SIN(GLON-PLON)
      ZG=SIN(GLAT)
C....... rotate in latitude
      XM=XG*SIN(PLAT)-ZG*COS(PLAT)
      YM=YG
      ZM=XG*COS(PLAT)+ZG*SIN(PLAT)
C....... geomagnetic latitude and longitude in degrees
      BLATD=ASIN(ZM)*57.29578
      BLOND=(ATAN2(YM,XM))*57.29578
      IF(BLOND.LT.-0.01) BLOND=BLOND+360
      RETURN
      END
C::::::::::::::::::::::::: AMBBLK ::::::::::::::::::
      BLOCK DATA AMBBLK
      COMMON/AMBCOM/SECSAV,NY,NDY,LY,SX,ID,DECL
      DATA SECSAV,NY,NDY,LY,  SX,ID,DECL
     >     /0.0  , 0, 0 ,0 , 0.0, 0, 0.0  /
      END
C::::::::::::::::::::::::::: SOLDEC :::::::::::::::::::::::::
C...... This routine calculates the solar declination (DELTA radians)
C...... and ephemeris transit time (ETRAN in secs). ETRAN is the time
C...... the sun is overhead in Greenwich
C...... REFERENCE - page 484 "Explanatory Supplement to the Astronomical
C...... Almanac" Kenneth Seidelmann, University Science Books, 20 Edgehill 
C...... Road, Mill Valley, CA 94941, 1992
C...... IDAY is yyyyddd (eg 1988015 = feb 15), UT is the universal time
C...... in hours (0-24) 
       SUBROUTINE SOLDEC(IDAY,UT,DELTA,ETRAN)
C..... Find day of year (0-366), and year (1996), then Julian day
       INTEGER JD,DAYNUM
       REAL T,YEAR,UT,L,G,LAMBDA,EPSIL,E,GHA,DELTA,SD,ETRAN,DTOR
       DOUBLE PRECISION DJD,DUT
       DATA DTOR/57.29578/   ! degrees to radians
C...... Recover year and date and make sure UT is less than 24
       DAYNUM=MOD(IDAY,1000)
       YEAR=(IDAY-DAYNUM)/1000
       JD=INT(365.25*(YEAR-1900)+DAYNUM)+2415020      ! Julian day
       DJD=JD                                ! extra precision needed         
       DUT=UT
       T=(DJD+DUT/24.0-2451545.0)/36525.0         ! # of centuries
C...       WRITE(6,*) DAYNUM,YEAR,JD,UT
       L=AMOD(280.460+36000.770*T,360.0)              ! aberration
       G=AMOD(357.528+35999.050*T,360.0)              ! mean anomaly
C....... LAMBDA= ecliptic longitude. DELTA=obliquity of the ecliptic.
       LAMBDA=AMOD(L+1.915*SIN(G/DTOR)+0.020*SIN(2.0*G/DTOR),360.0)
       EPSIL=23.4393-0.01300*T
C....... Equation of time. Time difference between noon and overhead sun
       E=-1.915*SIN(G/DTOR)-0.020*SIN(2.0*G/DTOR)
     >   +2.466*SIN(2*LAMBDA/DTOR)-0.053*SIN(4*LAMBDA/DTOR)
       GHA=15*UT-180+E                    ! Greenwich hour angle
       DELTA=ASIN(SIN(EPSIL/DTOR)*SIN(LAMBDA/DTOR))  ! solar declination
       SD=0.267/(1-0.017*COS(G/DTOR))    ! 
       ETRAN=(12-E/15)*3600 ! Ephemeris transit time in secs for FLIP
       RETURN
       END

C::::::::::::::::::::::::::::::::: SET_NOON ::::::::::::::::
C...... This subroutine resets the UT so that a run begins at noon
          SUBROUTINE SET_NOON(SEC     !.. Universal time in secs
     >                        ,PCO    !.. L shell
     >                        ,BLON)  !.. magnetic longitude
          IMPLICIT NONE
          DOUBLE PRECISION PCO
          REAL SEC,BLON,STIME,BLAT,GLATD,GLON,HRS
          INTEGER IEXP
          STIME=12.0
          IF(ABS(SEC).LT.24) STIME=ABS(SEC)
C....... geographic longitude first using BTOG
          BLAT=57.3*ACOS(1.0/SQRT(PCO))
          CALL BTOG(IEXP,BLON,BLAT,GLATD,GLON)
          HRS=(STIME-(GLON)/15)
          IF(HRS.GT.24) HRS=HRS-24
          IF(HRS.LT.0) HRS=HRS+24
          IF(HRS.GE.23.0) HRS=0.1    ! ensures a longer settling period   
          SEC=HRS*3600
          !...WRITE(6,'(9F7.2)') SEC/3600.,BLON,BLAT,GLATD,GLON
          END
C.................... RSPE2B.FOR;5 .......... 4-OCT-1993 14:41:51.39 
C...... A program to calculate photoelectron fluxes- by Phil Richards
C...... 2-stream interhemispheric photoelectron program loosely based on
C...... a program by Nagy and Banks but incorporating several of my own
C...... innovations. see publications. a more accurate model is available
C...... on <pe2s.for> but this one is accurate enough for most purposes.
C---      Z= altitude, ZOX = [O], ZN2= [N2], ZO2= [O2], HE= [He]
C---      BM= magnetic field strength, BM= field line coordinate factor
C---      IMAX= # of grid points on field line, DH= distance between
C---      points in modified (p,q) system. N= density of H+, O+, minor
C---      ions(O2+ + NO+), and He+. TI= temperature of H+, O+, electrons
C---      EHT(3,I)= electron heating rate to be returned
C---      TN= neutral temperature, SZA= solar zenith angle, 
C---      FRPAS= fraction of flux lost in plasmasphere
C---      IVLPS= solution switch, not important. ZWR= altitude for
C---      printing spectrum. ISOL= solution switch, not important
C---      Double Precision could be switched off
C
      SUBROUTINE PE2S(Z,ZOX,ZN2,ZO2,HE,BM,BG,IMAX,DH,N,TI,EHT
     > ,TN,SZA,FRPAS,IVLPS,ZWR,ISOL,SL)
      DOUBLE PRECISION Z,ZOX,ZN2,ZO2,BM,BG,DH,N,TI,EHT,TN,SZA,FRPAS
     >  ,HE(401),FD(9),TEFLUX,TFLUX,AVEE,TEEHT,FACPAS,GL,SL(401)
      REAL AP,DEC,ETRAN,BLON,F107,F107A,SEC,ZN2D
      DIMENSION TSIGNE(401),TN(401),BG(401),SECSAV(2,401),IE(101)
     > ,SIGEX(3),SIGION(3),E(101),SZA(401),Z(401),XN(3,401),FYSUM(401)
     > ,EHT(3,401),SPRD(3,6),ZOX(401),ZN2(401),ZO2(401),BM(401)
     > ,N(4,401),TI(3,401),PRED(401),PRODWN(101,401),EQN2D(401)
     > ,PRODUP(101,401),EB(101),ALTA(401),DELTE(101),JOE(101)
     > ,JN2E(101),PROB(101),PARSIG(22),SIGEL(3),PEBSC(3)
      COMMON/TRI/PHIDWN(401),PHIUP(401),T1(401),T2(401),DS(401)
      COMMON/PANGS/YPAS,PASK,IPAS,IPASC,FPAS
C----- Common to hold the EUV and photoelectron production rates
      COMMON/EUVPRD/EUVION(3,12,401),PEXCIT(3,12,401),PEPION(3,12,401)
      COMMON/EFLUX/TEFLUX,TFLUX,AVEE,TEEHT,FACPAS
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
C....... common suggested by Kent Miller
      COMMON/PE2COM/PROB
      DATA  M,ZLB,ZPROD,JMIN,M1,AVMU,EMIN,EMAX,ECHGE,IU9,ZPAS
     >  / 41,120., 700., 2  ,1 ,.577,1.0 , 99., 30. , 9 ,1000./
      DATA ICON,IFREQ /0,0/,JMAX/0/,EBSCX/0.0/
      DATA M2/0/,IPR/0/,IWR/0/,JN2E/101*0/,SIGEX/3*0.0D0/
      DATA DELTE/101*0.0/
      DATA JOE/101*0/,SIGION/3*0.0D0/,EB/101*0.0/,E/101*0.0/
      DATA XN/1203*0.0/, ZN2D/180./
C....... turns on output for Strickland comparison 0 = off, 1 = on
      DATA ISTRIC/0/
C
      DATA EPOT,ELOSSO,ELOSSN,SHAPE/17.0,11.0,10.0,14.0/
C....... branching ratios for various ion states..... need to be revised
      DATA SPRD/.4,.56,.44, .4,.28,.44, .2,.06,.10, 0.,.05,.00, 0.,.05
     > ,.00, 0.0,0.0,0.02/
      DATA IE/101*0/, F107SV/0.0/, JC1,JC2,JC3/31,37,100/
C
C........... Setting up energy cell boundaries first time thru only
C........... If Printing, go to 1 eV resolution  
      IF(JMAX.LE.0)  THEN
         IF(ZWR.LT.80) THEN
            CALL ECELLS(31,37,100,IFREQ,EMAX,JMAX,EB,E,DELTE)
         ELSE
            CALL ECELLS(100,100,100,IFREQ,EMAX,JMAX,EB,E,DELTE)
         ENDIF
C.......... set up bins for degraded primaries from ionizations
         DO 3 J=JMAX,2,-1
C....... normalize secondary distribution
         ELIM=0.5*(E(J)-EPOT)
         FNORM=1.0/ATAN(ELIM/SHAPE)/SHAPE
         AVESEC=FNORM*0.5*SHAPE**2*ALOG(1.0+(ELIM/SHAPE)**2)
         ELOSS=EPOT+AVESEC
C.......... allocate bins for degraded primaries for ionization, and
C.......... excitation of O and N2
         IF(E(J).GT.ELOSS) CALL FNDBIN(J,JMAX,ELOSS,E,IE)
         IF(E(J).GT.ELOSSO) CALL FNDBIN(J,JMAX,ELOSSO,E,JOE)
         IF(E(J).GT.ELOSSN) CALL FNDBIN(J,JMAX,ELOSSN,E,JN2E)
 3       CONTINUE
C
C......... proportion of total secondary ions in energy bin E(J)
         DO 4 J=1,JMAX
         PROB(J)=0.2326*EXP(-0.2526*E(J))
C.....         WRITE(6,193) J,E(J),DELTE(J)
 193     FORMAT(2X,I5,2F7.1)
 4       CONTINUE
      ENDIF
C
C........ Set up production frequencies for the energy cells
      IF(ABS((F107-F107SV)/F107).GE.0.05) THEN
          CALL CONVJS(ICON,JMAX,E,DELTE)
          F107SV=F107
      ENDIF
C
      TEEHT=0.0
      TEFLUX=0.0
      TFLUX=0.0
      IEQ=(IMAX+1)/2
C
C....... Set pitch angle trapping factor. FPAS is controlled by input
C....... parameter FRPAS. There are several options. NOTE - to find
C....... code related to pitch angle scattering search for string PAS
      FPAS=0.0
      IF(FRPAS.GE.0.0.AND.FRPAS.LE.1.0) FPAS=FRPAS
C....... If FRPAS<0, adjust fraction of trapping according to TEC
      IF(FRPAS.LT.0) 
     >    FPAS=-1.0E-5*FRPAS*(N(1,IEQ)+N(2,IEQ))*(Z(IEQ)/6370.+1)**4
      IF(FPAS.GT.1.0) FPAS=1.0
      IF(FPAS.LT.0.0.OR.ZPAS.GT.Z(IEQ).OR.Z(IEQ).LT.2000) FPAS=0.0
C....... FRPAS > 1 Stop electrons in plasmasphere but no heating
      IF(FRPAS.GT.1.0) FPAS=1.0
C
      DO 5 I=1,IMAX
      DO 5 IK=1,12
      DO 5 IS=1,3
      PEPION(IS,IK,I)=0.0
      PEXCIT(IS,IK,I)=0.0
 5    CONTINUE
C
      DO 6 I=M1,IMAX
      DO 6 J=1,JMAX
      PRODUP(J,I)=0.0
 6    PRODWN(J,I)=0.0
C
      DO 12 I=M1,IMAX
      SECSAV(1,I)=0.0
      SECSAV(2,I)=0.0
      PHIUP(I)=0
      PHIDWN(I)=0
      ALTA(I)=Z(I)
      XN(1,I)=ZOX(I)
      XN(2,I)=ZO2(I)
      XN(3,I)=ZN2(I)
 12   EHT(3,I)=0.0D0

C........ Calculate arc length DS
      DO 13 I=M1,IMAX
      IF(I.GT.1) DS(I)=SL(I)-SL(I-1)
      IF(I.GT.1) DS1=0.5*(DH/BG(I)+DH/BG(I-1))
      IF(Z(I).LT.ZPAS.AND.I.LT.IEQ) IPAS=I
      IF(ZWR.GT.80.AND.Z(I).LE.ZWR.AND.I.LE.IEQ) IWR=I
      IF(Z(I).GT.ZPROD) GO TO 13
      IF(I.LT.IEQ)  M=I
      IF(Z(I).LT.ZLB.AND.I.LT.IEQ)  M2=I
13    CONTINUE
C
      IF(ZLB.LE.Z(2)) M2=2
      IMAX1=2*IEQ-M2
      IMXM=IMAX+1-M
      IPASC=2*IEQ-IPAS
      IF(IWR.LE.7) IWR=7
C....... write altitudes for photoelectron fluxes
      IF(ZWR.GT.80.AND.ZWR.GE.Z(1)) THEN
         IF(ISTRIC.EQ.1) THEN
            WRITE(IU9,317) 
     >      (NINT(Z(K)),K=IWR,IWR+24,4),(NINT(Z(K)),K=IWR,IWR+24,4)
         ELSE
            WRITE(IU9,317) (NINT(Z(K)),K=IWR-6,IWR+6)
!jntu            WRITE(8,317)   (NINT(Z(2*IEQ-K)),K=IWR-6,IWR+6)
         ENDIF
      ENDIF
 317   FORMAT(/'  ******  Upward photoelectron fluxes ******
     > /(eV Cm2 str s1) for a number of altitudes (km)',/3X,'E',22I9)
        !... 317   FORMAT(/'    Total photoelectron fluxes (phiup+phidown)
        !...     > /(eV Cm2 str s1) for a number of altitudes (km)',/3X,'E',22I9)

      !......... Determine flux tube volume for heating due to pitch angle
      !......... trapping
      VTOT=0.0
      DO 413 I=IPAS,IPASC-1
 413  VTOT=VTOT+DS(I)/(BM(I)*2.038E+8)
      IF(VTOT*BM(M2).GT.0.0) PASK=FPAS/(VTOT*2.038E+8*BM(M2))
C
C.................. highest energy set for j ........................
 115     J=JMAX
C
C////////////main calculations  begin here ////////////
C
 23   CONTINUE
C
C-------- Pitch angle trapping from Khazanov et al. 1992
      IF(FRPAS.LT.0) THEN
          FPAS=-FRPAS*(-0.016667*E(J)+0.9167)
          IF(FPAS.GT.1.0) FPAS=1.0
          IF(FPAS.LT.0.0) FPAS=0.0
          IF(VTOT*BM(M2).GT.0.0) PASK=FPAS/(VTOT*2.038E+8*BM(M2))
      ENDIF
C
C.......... Evaluate ionization branching ratios for O+
      CALL OXRAT(E(J),SPRD(1,1),SPRD(1,2),SPRD(1,3))

      !...  o, o2, and n2 elastic cross sections from AUR2SA MAY 1999
      CALL ELASTC(E(J),PEBSC,SIGEL)
      CALL BACKSCAT(E(J),BSCAT)              !... inelastic backscatter coeff
C
C....... set up the probability distribution for the secondary electrons
C
C....... t1,t2 are coeefs of d.e. b&k p258 ............
      DE=0.0
      DO 36 I=M1,IMAX
      PRED(I)=0.0D0
36    CONTINUE
C
C............. Loop for calculating primary and cascade production
      DO 37 I=M1,IMAX
      IF(Z(I).GT.ZPROD) GO TO 35
      CALL PEPRIM(I,XN,HE(I),PRED,JMAX,J,E(J),DELTE(J),IWR)
C......... add electron quenching of N(2D) and O+(2D) to primary prod
        IF(Z(I).GT.ZN2D.AND.ISOL.NE.0.AND.E(J).LE.4.AND.E(J).GT.3) THEN
           CALL CMINOR(0,I,0,IPR,FD,11,HE(I))
           EQN2D(I)=FD(8)
           PRED(I)=PRED(I)+FD(6)
        ENDIF
        IF(Z(I).GT.ZN2D.AND.ISOL.NE.0.AND.E(J).LE.3.AND.E(J).GT.2)
     >       PRED(I)=PRED(I)+EQN2D(I)
        IF(I.EQ.-IWR) WRITE(67,'(2F9.2,1P,22E10.2)') Z(I),E(J),PRED(I)
     > ,EQN2D(I)
C...... Total energy deposition to photoelectrons
      EUVION(1,11,I)=EUVION(1,11,I)+PRED(I)*E(J)*DELTE(J)
C....... cascade production using frequencies ....
      IF(IFREQ.NE.0) CALL PECASC(I,XN,J,E(J),IWR,PRODUP,PRODWN)
 35   CONTINUE
      IF(Z(I).GT.ZPROD) GO TO 37
C....     IF(E(J).LE.3.AND.E(J).GT.2)
C....    >  WRITE(3,313) Z(I),PRED(I),FD(8),PRODWN(J,I),PRODWN(J,I)
 37   CONTINUE
C
      CALL SIGEXS(E(J),SIGEX,SIGION,SIGO1D)
      CALL OXSIGS(E(J),PARSIG,TSIG)
C
C....... energy loss to thermal electrons by coulomb collisions
      DO 29 I=M1,IMAX
        ET=8.618E-5*TI(3,I)
        ZNE=N(1,I)+N(2,I)+N(3,I)+N(4,I)
        TSIGNE(I)=((3.37E-12*ZNE**0.97)/(E(J)**0.94))
     > *((E(J)-ET)/(E(J)-(0.53*ET)))**2.36/(E(J)-E(J-1))
        T1(I)=0.0
29    CONTINUE
C........ See if energy loss exceeds bin size
      DO 11 I=M1,IMAX
      TEST=TSIGNE(I)*DS(I)
      IF(Z(I).GT.Z(IPAS)) DE=DE+TEST
      IF(TEST.LE.1.0) GO TO 11
      ITEST=0
      TSIGNE(I)=1.0/DELTE(J)/DS(I)
 11   CONTINUE
C
C....... Calculate total scattering cross section
      DO 30 I=M1,IMAX
      T2(I)=TSIGNE(I)
      DO 30 IS=1,3
      T1(I)=T1(I)+XN(IS,I)*SIGEL(IS)*PEBSC(IS)
      TABSXS=SIGEX(IS)+SIGION(IS)
      T2(I)=T2(I)+XN(IS,I)*(SIGEL(IS)*PEBSC(IS)+TABSXS)
 30    CONTINUE
C
C
C.......   fluxes in local equil and set boundary conditions on fluxes
      DO 54 ICN=1,M2
      ICF=2*IEQ-ICN
      PHIDWN(ICN)=(.5*PRED(ICN)+PRODWN(J,ICN))/(T2(ICN)-T1(ICN))
      PHIDWN(ICF)=(.5*PRED(ICF)+PRODWN(J,ICF))/(T2(ICF)-T1(ICF))
      PHIUP(ICN)=PHIDWN(ICN)
      PHIUP(ICF)=PHIDWN(ICF)
 54   CONTINUE
C........... take the adiabatic variation of pitch angle into account
      CALL PITCH(J,0,M,M1,IMAX,T1,T2,PRED,PRODUP,PRODWN,BM,Z)
C
C....... calculate interhemispheric fluxes ......
      DO 65 ITS=1,1
      CALL TRIS1(1,M2,M,J,M,BM,BG,Z,IMAX,DH,PRED,PRODUP,PRODWN)
      CALL TRISM1(-1,IMXM,IMAX1,J,M,BM,BG,Z,IMAX,DH,PRED,PRODUP,PRODWN)
 65    CONTINUE
C.......... reset the fluxes
      CALL PITCH(J,1,M,M1,IMAX,T1,T2,PRED,PRODUP,PRODWN,BM,Z)
C
C...... EHPAS=heating due to pitch angle trapping: DE= normal loss in the
C...... protonosphere to electrons. Modification made 1/29/1996 ->
C...... EHPAS= Energy * (FPAS/VOL) * flux * delta E * area at PAS alt.
C
      EHPAS=E(J)*PASK*(PHIUP(IPAS)+PHIDWN(IPASC))*DELTE(J)*
     >       BM(M2)/BM(IPAS)
      IF(DE.GT.E(J).OR.NINT(FRPAS).EQ.2) EHPAS=0.0
      IF(BM(IPAS).GT.0.0) TEFLUX=
     > TEFLUX+E(J)*(PHIUP(IPAS)+PHIDWN(IPASC))*DELTE(J)*BM(M2)/BM(IPAS)
      IF(BM(IPAS).GT.0.0)
     > TFLUX=TFLUX+(PHIUP(IPAS)+PHIDWN(IPASC))*DELTE(J)*BM(M2)/BM(IPAS)
C
C...... cross section for O(1S) Jackman et al. 1977
      SIGO1S=0.0
      IF(E(J).GT.4.17) SIGO1S=6.54E-17*(1-SQRT(4.17/E(J)))/E(J)
C......... Borst and Zipf 3914 cross section used to calculate the branching 
C......... ratio to the B state. Factor 1.54 is inverse Frank-Condon
      S3914=0.0
      SPRD(3,3)=0.0
      IF(E(J).GT.19.0) THEN
        S3914=8.83E-16*(1.0-9.0/E(J))**7.47/E(J)**0.7
        SPRD(3,3) = 1.54 * S3914/SIGION(3)
      ENDIF
C
C........ Save total flux and fluxes for cascade calaculation
      DO 19 I=M1,IMAX
      FYSUM(I)=(PHIUP(I)+PHIDWN(I))
 19   CONTINUE
C
C.......... Calculate thermal electron heating and ion production rates
      DO 20 I=M1,IMAX
      PHISUM=FYSUM(I)*DELTE(J)
C........ electron heating. Add extra heat from pitch angle trapping
      EHT(3,I)=EHT(3,I)+PHISUM*TSIGNE(I)
      IF(Z(I).GT.Z(IPAS)) EHT(3,I)=EHT(3,I)+EHPAS
c     >  *((Z(I)-Z(IPAS))/(Z(IEQ)-Z(IPAS)))**2    !JNTU 01/29/02
      IF(Z(I).GT.Z(M)) GO TO 20
C......... excitation of O, O2, and N2
      DO 21 K=1,6
 21   PEXCIT(1,K,I)=PEXCIT(1,K,I)+PARSIG(K)*(PHISUM*XN(1,I))
      PEXCIT(1,12,I)=PEXCIT(1,12,I)+(SIGEX(1)-SIGO1D)*(PHISUM*XN(1,I))
      PEXCIT(2,12,I)=PEXCIT(2,12,I)+SIGEX(2)*PHISUM*XN(2,I)
      CALL EPN2XS(I,XN,PHISUM,ALTA(I),E(J),SIGEX,SIGION)
C......... secondary ionization.
 22   DO 130 IS=1,3
      PRION=PHISUM*SIGION(IS)*XN(IS,I)
      DO 25 IK=1,6
         PEPION(IS,IK,I)=PEPION(IS,IK,I)+PRION*SPRD(IS,IK)
 25   CONTINUE
 130  CONTINUE
 20   CONTINUE
C
      IF(ZWR.GT.80.AND.ISTRIC.EQ.1)
     >     WRITE(87,313) E(J),SIGEX(1),SIGION(1),SIGEX(3),SIGION(3)
     >   ,SIGEL(1),PRED(IWR),FYSUM(IWR),TSIGNE(IWR),PHIUP(IWR)
     >   ,PHIDWN(IWR),PRODUP(J,IWR),PRODWN(J,IWR)
C
      IF(ZWR.GT.80) THEN
         IF(ISTRIC.EQ.1) THEN
            WRITE(IU9,313) E(J),(PHIUP(K),K=IWR,IWR+24,4)
     >      ,(PHIDWN(K),K=IWR,IWR+24,4)
         ELSE
            WRITE(IU9,313) E(J),(PHIUP(K)/6.3,K=IWR-6,IWR+6)
!jntu            WRITE(8,313) E(J),(PHIDWN(2*IEQ-K)/6.3,K=IWR-6,IWR+6)
         ENDIF
      ENDIF
C
C.......... Calculate Cascade production ....
      DO 83 I=M1,IMAX
C............ Cascade from thermal electron collisions
      TSIGNE(I)=TSIGNE(I)*DELTE(J)/DELTE(J-1)
      PRODUP(J-1,I)=PRODUP(J-1,I)+PHIUP(I)*TSIGNE(I)*(1-EBSCX)
     > +PHIDWN(I)*TSIGNE(I)*EBSCX
      PRODWN(J-1,I)=PRODWN(J-1,I)+PHIDWN(I)*TSIGNE(I)*(1-EBSCX)
     > +PHIUP(I)*TSIGNE(I)*EBSCX
C
      IF(Z(I).GT.ZPROD) GO TO 83
      IF(IFREQ.EQ.0) THEN
C
C....... calculate secondary and cascade production from ionizing
C....... collisions
      IF(J.GT.0) THEN
      CALL CASION(J,I,IWR,ALT,XN,PRODUP,PHIUP(I),PHIDWN(I)
     > ,E,DELTE,1,SECSAV,SIGION,JMAX,IE(J),ELOSS,PROB(J))
      CALL CASION(J,I,IWR,ALT,XN,PRODWN,PHIDWN(I),PHIUP(I)
     > ,E,DELTE,2,SECSAV,SIGION,JMAX,IE(J),ELOSS,PROB(J))
      ENDIF
C............ calculate cascade from atomic O - O(1D)
      CALL CASOXT(J,I,IWR,ALTA(I),SIGEX,XN,PRODUP,PHIUP,PHIDWN
     >   ,E,DELTE,SIGO1D,SIGION,JMAX,JOE(J),ELOSSO)
      CALL CASOXT(J,I,IWR,ALTA(I),SIGEX,XN,PRODWN,PHIDWN,PHIUP
     >   ,E,DELTE,SIGO1D,SIGION,JMAX,JOE(J),ELOSSO)
C.......... cascade from N2
      CALL CASN2T(J,I,IWR,ALTA(I),SIGEX,XN,PRODUP,PHIUP,PHIDWN
     >   ,E,DELTE,SIGO1D,SIGION,JMAX,JN2E(J),ELOSSN)
      CALL CASN2T(J,I,IWR,ALTA(I),SIGEX,XN,PRODWN,PHIDWN,PHIUP
     >   ,E,DELTE,SIGO1D,SIGION,JMAX,JN2E(J),ELOSSN)
C.......... cascade from O2 from AUR2SA, May 1999
      CALL CASO2T(J,I,IWR,ALTA(I),SIGEX,XN,PRODUP,PHIUP,PHIDWN
     >   ,E,DELTE,SIGO1D,SIGION,JMAX,JN2E(J),ELOSSN)
      CALL CASO2T(J,I,IWR,ALTA(I),SIGEX,XN,PRODWN,PHIDWN,PHIUP
     >   ,E,DELTE,SIGO1D,SIGION,JMAX,JN2E(J),ELOSSN)
      ENDIF
      CALL CASSIM(J,I,IWR,ALTA(I),SIGEX,XN,PRODUP,PHIUP,PHIDWN
     >   ,E,DELTE,SIGO1D,SIGION,JMAX)
      CALL CASSIM(J,I,IWR,ALTA(I),SIGEX,XN,PRODWN,PHIDWN,PHIUP
     >  ,E,DELTE,SIGO1D,SIGION,JMAX)
 83   CONTINUE
 82   J=J-1
C
      IF(E(J).LT.EMIN) GO TO 80
      IF (J .LT. 2) GO TO 80
      GO TO 23
C............................. END OF MAIN ENERGY LOOP ..............
C
 80   CONTINUE
C
C............ add in energy from last energy bin
      DO 180 I=1,IMAX
         ELEFT=+(PRODUP(J,I)+PRODWN(J,I))*E(1)
         EHT(3,I)=EHT(3,I)+ELEFT
         IF(Z(I).GT.ZN2D.AND.Z(I).LT.ZPROD) THEN
             CALL CMINOR(0,I,0,IPR,FD,12,HE(I))
             EPHOT=EHT(3,I)-FD(8)*2.4-ELEFT
         ENDIF
         RNENI=(N(1,I)+N(2,I)+N(3,I))*(N(1,I)/16.0+N(2,I)+N(3,I)/30.0)
         HKEI=7.7E-6*RNENI*(TI(3,I)-TI(2,I))/(TI(3,I)**1.5)
         IF(Z(I).GT.Z(IPAS)) TEEHT=TEEHT+
     >     (EHT(3,I)-HKEI)*DS(I)*BM(IPAS)/BM(I)
 180  CONTINUE
      IF(TFLUX.GT.0) AVEE=TEFLUX/TFLUX
CTJS  WRITE(11,313) E(J),FPAS,TEFLUX,TFLUX,AVEE,TEEHT
      ED=0.0
      IKNOW=1
      RETURN
 95   FORMAT(2X,I6,F8.1,1P,22E12.3)
 311  FORMAT(1H ,I5,F8.1,1P,22E9.1)
 313  FORMAT(F6.1,1P,22E9.2)
         END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE ECELLS(JC1,JC2,JC3,IFREQ,EMAX,JMAX,EB,E,DELTE)
C......... Subroutine to set energy grid for the 2 stream program
C......... EMAX is the maximum energy required. JMAX=index of max E
C......... It returns the boundaries EB, the midpoint energies E and
C......... the width of the energy cells DELTE
      DIMENSION EB(101),E(101),DELTE(101)
C............. Setting up energy cell boundaries
      DATA DEL1,DEL2,DEL3/5.0,10.0,10.0/
      DO 1 J=1,JC1
 1    EB(J)=J-1
      DO 2 J=JC1+1,JC2
 2    EB(J)=EB(J-1)+DEL1
      DO 3 J=JC2+1,JC3
 3    EB(J)=EB(J-1)+DEL2
      DO 4 J=JC3+1,100
 4    EB(J)=EB(J-1)+DEL3
C.......... Set up cell midpoint energies E(J) and width DELTE(J)
      DO 92 J=1,99
      E(J)=0.5*(EB(J+1)+EB(J))
      DELTE(J)=EB(J+1)-EB(J)
 92   IF(E(J).LE.EMAX) JMAX=J
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PITCH(J,IS,M,M1,IMAX,T1,T2,PRED,PRODUP,PRODWN,BM,Z)
C..... Take pitch angle into account assuming adiabatic variation
C..... along the field line. The pitch angle only varies above the upper
C..... boundary altitude for the PDE calculation Z(M). The program could
C..... be written to avoid this if necessary.
      DOUBLE PRECISION BM(401),Z(401)
      DIMENSION T1(401),T2(401),PRED(401),PRODUP(101,401)
     > ,PRODWN(101,401)
C......... RBM used in pitch angle variation
      RBM=0.667/BM(M)
      DO 56 I=M1,IMAX
C....... pitch angle variation above Z(M)
      IF(Z(I).GT.Z(M)) RAVMU=1.0/SQRT(1.0-BM(I)*RBM)
      IF(Z(I).LT.Z(M)) RAVMU=1.73
C...... To reset after solution
      IF(IS.EQ.1) RAVMU=1.0/RAVMU
      T1(I)=T1(I)*RAVMU
      T2(I)=T2(I)*RAVMU
      PRED(I)=PRED(I)*RAVMU
      PRODUP(J,I)=PRODUP(J,I)*RAVMU
      PRODWN(J,I)=PRODWN(J,I)*RAVMU
 56   CONTINUE
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CASSIM(J,IZ,IWR,ALT,SIGEX,XN,PROCAS,PHIUP,PHIDWN
     > ,E,DELTE,SIGO1D,SIGION,JMAX)
C....to calculate cascade production rates from electrons o(1d) and n2*
      DIMENSION SIGEX(3),XN(3,401),PROCAS(101,401),PHIUP(401)
     > ,E(101),DELTE(101),PHIDWN(401),SIGION(3)
      DATA BSCX,EBSCX/0.5,0.0/
C
C............. cascade from O(1D) and N2*
      PREX=(PHIUP(IZ)*(1-BSCX)+PHIDWN(IZ)*BSCX)*DELTE(J)
      JK=J-2
      IF(JK.GT.0) THEN
         IF(DELTE(J).GT.1) JK=J-1
         CORSIG=2.0/(E(J)-E(JK))
         PROCAS(JK,IZ)=PROCAS(JK,IZ)+PREX*SIGO1D*CORSIG*XN(1,IZ)/
     >   DELTE(JK)
      ENDIF
      IF(E(J).LT.6) PROCAS(J-1,IZ)=PROCAS(J-1,IZ)+PREX*SIGEX(3)*XN(3,IZ)
C........ O fine structure
      IF(E(J).LE.2) PROCAS(J-1,IZ)=PROCAS(J-1,IZ)+PREX*SIGEX(1)*XN(1,IZ)
        RETURN
        END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CASOXT(J,IZ,IWR,ALT,SIGEX,XN,PROCAS,PHIUP,PHIDWN
     > ,E,DELTE,SIGO1D,SIGION,JMAX,JOE,ELOSS)
C........ to calculate cascade production rates from O - O(1d)
C........ JOE= index of bin for depositing degraded electrons
      DIMENSION SIGEX(3),XN(3,401),PROCAS(101,401),PHIUP(401)
     > ,E(101),DELTE(101),PHIDWN(401),SIGION(3)
      DATA BSCX/0.5/
C
C............. cascade from O - O(1D)
      IF(E(J).LE.ELOSS) RETURN
      JOEM1=JOE
      JOEM2=JOE
      IF(DELTE(JOE).LE.1.0.AND.JOE.GE.2) JOEM1=JOE-1
      IF(DELTE(JOE).LE.1.0.AND.JOE.GE.3) JOEM2=JOE-2
      CORSIG=(SIGEX(1)-SIGO1D)*ELOSS/(E(J)-E(JOE))
      PREX=(PHIUP(IZ)*(1-BSCX)+PHIDWN(IZ)*BSCX)*DELTE(J)/DELTE(JOE)
C......... allocate production from bin J in 2 adjacent bins if small bins
      PREX=0.33333*PREX*CORSIG*XN(1,IZ)
      PROCAS(JOE,IZ)=PROCAS(JOE,IZ)+PREX
      PROCAS(JOEM1,IZ)=PROCAS(JOEM1,IZ)+PREX
      PROCAS(JOEM2,IZ)=PROCAS(JOEM2,IZ)+PREX
        RETURN
        END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CASN2T(J,IZ,IWR,ALT,SIGEX,XN,PROCAS,PHIUP,PHIDWN
     > ,E,DELTE,SIGO1D,SIGION,JMAX,JOE,ELOSS)
C........ to calculate cascade production rates from N2
C........ JOE= index of bin for depositing degraded electrons
      DIMENSION SIGEX(3),XN(3,401),PROCAS(101,401),PHIUP(401)
     > ,E(101),DELTE(101),PHIDWN(401),SIGION(3)
      DATA BSCX/0.5/
C
C............. cascade from N2
      IF(E(J).LE.ELOSS) RETURN
      JOEM1=JOE
      JOEM2=JOE
      IF(DELTE(JOE).LE.1.0.AND.JOE.GE.2) JOEM1=JOE-1
      IF(DELTE(JOE).LE.1.0.AND.JOE.GE.3) JOEM2=JOE-2
      CORSIG=SIGEX(3)*ELOSS/(E(J)-E(JOE))
      PREX=(PHIUP(IZ)*(1-BSCX)+PHIDWN(IZ)*BSCX)*DELTE(J)/DELTE(JOE)
C......... allocate production from bin J in 2 adjacent bins if small bins
      PREX=0.33333*PREX*CORSIG*XN(3,IZ)
      PROCAS(JOE,IZ)=PROCAS(JOE,IZ)+PREX
      PROCAS(JOEM1,IZ)=PROCAS(JOEM1,IZ)+PREX
      PROCAS(JOEM2,IZ)=PROCAS(JOEM2,IZ)+PREX
        RETURN
        END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CASO2T(J,IZ,IWR,ALT,SIGEX,XN,PROCAS,PHIUP,PHIDWN
     > ,E,DELTE,SIGO1D,SIGION,JMAX,JOE,ELOSS)
C........ to calculate cascade production rates from N2
C........ JOE= index of bin for depositing degraded electrons
      DIMENSION SIGEX(3),XN(3,401),PROCAS(101,401),PHIUP(401)
     > ,E(101),DELTE(101),PHIDWN(401),SIGION(3)
      DATA BSCX/0.5/
C
C............. cascade from N2
      IF(E(J).LE.ELOSS) RETURN
      JOEM1=JOE
      JOEM2=JOE
      IF(DELTE(JOE).LE.1.0.AND.JOE.GE.2) JOEM1=JOE-1
      IF(DELTE(JOE).LE.1.0.AND.JOE.GE.3) JOEM2=JOE-2
      CORSIG=SIGEX(2)*ELOSS/(E(J)-E(JOE))
      PREX=(PHIUP(IZ)*(1-BSCX)+PHIDWN(IZ)*BSCX)*DELTE(J)/DELTE(JOE)
C......... allocate production from bin J in 2 adjacent bins if small bins
      PREX=0.33333*PREX*CORSIG*XN(2,IZ)
      PROCAS(JOE,IZ)=PROCAS(JOE,IZ)+PREX
      PROCAS(JOEM1,IZ)=PROCAS(JOEM1,IZ)+PREX
      PROCAS(JOEM2,IZ)=PROCAS(JOEM2,IZ)+PREX
        RETURN
        END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CASION(J,IZ,IWR,ALT,XN,PROCAS,PHIUP,PHIDWN
     > ,E,DELTE,ISEC,SECSAV,SIGION,JMAX,JOE,ELOSS,PROB)
C....... calculate secondary and cascade production from ionizing collisions
      DIMENSION SECSAV(2,401),PROCAS(101,401),XN(3,401),SIGION(3),E(101)
     > ,DELTE(101)
      DATA BSCI/0.5/
C........ Total production of ions at E(J)
      PRION=SIGION(1)*XN(1,IZ)+SIGION(2)*XN(2,IZ)+SIGION(3)*XN(3,IZ)
      PEFLUP=(PHIUP*(1.0-BSCI)+PHIDWN*BSCI)*DELTE(J)
C........ total ions produced to energy E(J)
      SECSAV(ISEC,IZ)=SECSAV(ISEC,IZ)+PRION*(PEFLUP)
      PROCAS(J-1,IZ)=PROCAS(J-1,IZ)+SECSAV(ISEC,IZ)*PROB
C........ degraded primaries
      IF(JOE.LT.1) RETURN
      JOEM1=JOE
      JOEP1=JOE+1
      IF(DELTE(JOE).LE.1.0.AND.JOE.GE.2) JOEM1=JOE-1
      PRION=0.33333*PRION*PEFLUP
      PROCAS(JOE,IZ)=PROCAS(JOE,IZ)+PRION/DELTE(JOE)
      PROCAS(JOEM1,IZ)=PROCAS(JOEM1,IZ)+PRION/DELTE(JOEM1)
      PROCAS(JOEP1,IZ)=PROCAS(JOEP1,IZ)+PRION/DELTE(JOEP1)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PEPRIM(I,XN,HE,PRED,JEMAX,J,EE,DELE,IWR)
C...... this program evaluates  the primary + cascade production rates
C...... by using production frequencies. see richards and torr jgr 1984(5?)
      DOUBLE PRECISION COLUM,OTHPR1,OTHPR2,OTHPR3,HE
      DIMENSION XN(3,401),PRED(401)
C......... Production frequencies from subroutine CONVJS
      COMMON/RJS/RJOX(101),RJN2(101),RJO2(101),RJHE(101)
      COMMON/NPRD/COLUM(3,401),OTHPR1(6,401),OTHPR2(6,401),OTHPR3(6,401)
      COMMON/SOL/UVFAC(59),EUV
C
C........ Production frequencies using Samson and Pareek O X-S. Kirby et
C........ al for O2, and N2, and He
C
C........ reduces EUV flux in northern hemisphere for eclipse simulation
      FLXFAC=1.0
C...      IF(I.LT.70) FLXFAC=FLXFAC*EUV
C.......... total EUV absorption cross sections. EP= photon energy
      EP=EE+17
      IF(EE.GT.20.0.AND.EE.LT.29.0) EP=41.0
      HOLD=0.0263*EP
      IF(HOLD.GT.70.0) HOLD=70.0
      XSN2T=3.39E-17*EXP(-HOLD)
C..... Samson and Pareek Phys. Rev. A, 31, 1470, 1985
      HOLD=3.09E-2*EP
      IF(HOLD.GT.70.0) HOLD=70.0
      XSOXT=27.2E-18*EXP(-HOLD)
      HOLD=0.027*EP
      IF(HOLD.GT.70.0) HOLD=70.0
      XSO2T=4.44E-17*EXP(-HOLD)
C......... column densities from subroutine PRIMPR to get attenuation at 304A
      TAU=COLUM(1,I)*XSOXT+COLUM(2,I)*XSO2T+COLUM(3,I)*XSN2T
C.......... EUV attenuation factor
      XHOLD=TAU
      IF(XHOLD.GT.70.0) XHOLD=70.0
      AFAC=EXP(-XHOLD)
      PRED(I)=(RJOX(J)*XN(1,I)+RJN2(J)*XN(3,I)+RJO2(J)*XN(2,I)
     > +1.0*RJHE(J)*HE)*1.0E-9*AFAC*FLXFAC
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CONVJS(ICON,JMAX,E,DELTE)
C............. This subroutine takes the 1eV resolution production
C.............. frequencies and converts them to lower resolution using
C.............. the energy midpoint cell energy E(J) and the energy width
C.............. DELTE. The required production frequencies are returned in
C.............. RJOX, RJN2 etc.
      DIMENSION E(101),DELTE(101),SJOX(101),SJN2(101),SJO2(101)
     > ,SJHE(101)
      COMMON/RJS/RJOX(101),RJN2(101),RJO2(101),RJHE(101)
      COMMON/SOL/UVFAC(59),EUV
C........ Primary production frequencies using Samson and Pareek O X-S.
C........ Kirby et al for O2, and N2, and He at 1 eV resolution.
      DATA SJO2/157.,75.,51.,31.,14.,15.,7.,19.,8.,17.,10.,3.,3.,1.
     > ,5.,1.,3.,3.,2.,2.,1.,23.,3.,4.,24.,1.,2.,2.,43.,3.,1.3,2.5,4.1
     > ,1.9,1.6,3.0,5.0,1.1,2.3,3.1,1.5,0.8,1.9,0.9,1.5,1.9,1.3,1.1
     > ,1.6,2.9,1.0,2.3,2.6,2.5,1.7,0.8,2.4,1.0,1.4,0.2,1.4,0.5,0.2,0.0
     > ,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.2,0.1,0.1,0.1,26*0.0/
      DATA SJHE/0.8,2.1,0.1,1.0,0.2,0.8,0.0,0.0,2.9,1.3,1.7,0.5,0.0
     > ,0.7,0.7,24.1,0.3,0.4,0.6,0.4,0.6,0.3,0.6,1.9,0.3,0.3,0.5,0.2
     > ,0.1,0.2,0.2,0.1,0.1,0.1,0.0,0.1,0.2,0.0,0.2,0.3,0.2,0.1,0.1
     > ,0.2,0.1,0.2,0.0,0.2,0.1,52*0.0/
      DATA SJOX/28.9,10.7,18.3,8.9,10.9,12.3,4.6,8.4,4.2,3.1,1.3,7.6,1.3
     > ,.8,2.3,.9,3.8,1.5,1.6,2.9,1.2,16.,1.5,22.3,1.2,1.3,15.9,.9
     > ,1.4,2.1,1.19,2.97,1.55,1.58,2.89,1.29,1.14,1.64,1.01,.8,.7,.81
     > ,.69,.63,1.27,.64,1.23,1.43,.98,1.31,1.06,1.67,.64,1.27,.74,.90
     > ,.62,.1,.46,.17,.06,.06,.05,.07,.11,.05,.09,.03,.06,.05,.02,.04
     > ,.03,.09,.08,.08,.11,.11,.11,.09,.11,.07,.06,.03,.03,.02,15*0.01/
      DATA SJN2/16.9,11.6,28.3,20.4,22.9,21.1,9.2,5.5,3.,4.8,6.8,6.5,1.8
     > ,2.2,2.5,1.,6.2,5.7,5.2,3.8,1.2,12.,2.8,40.8,23.5,1.9,2.4,2.1
     > ,2.1,2.5,2.06,5.23,3.64,2.41,3.79,3.01,1.45,1.49,1.74,1.49,1.12
     > ,.99,.85,.8,1.71,1.18,1.49,2.06,2.03,1.59,1.03,1.94,1.43,1.75
     > ,.86,1.21,.98,.3,.1,.09,.14,.16,.09,.08,.14,.13,.19,.1,.07,.05
     > ,.04,.04,.02,.11,.17,.16,.16,.17,.18,.15,.15,.13,.11,.04,17*0.01/
C
      ICON=1
C.......... convert to lower resolution as required
      DO 29 J=1,JMAX
      RJOX(J)=0.0
      RJN2(J)=0.0
      RJO2(J)=0.0
      RJHE(J)=0.0
C.......... Min and Max energy cells to be summed
      IMN=1+E(J)-DELTE(J)*0.5
      IMX=E(J)+DELTE(J)*0.5
C......... SOLVAR adjusts EUV flux for solar variability
      CALL SOLVAR(E(J),FLXFAC)
C....... compute an average solar variability for the longer lambda
      IF(E(J).LT.15.0) FLXFAC=(UVFAC(10)+UVFAC(11)+UVFAC(12)+UVFAC(13)
     > +UVFAC(14)+UVFAC(15)+UVFAC(16))/7.0
      !... I think this is to bring fluxes into better agreement with
      !... Winningham or Doeing? Small effect?
      IF(E(J).GT.67.0) FLXFAC=FLXFAC*1.5
      DO 25 I=IMN,IMX
      RJOX(J)=RJOX(J)+SJOX(I)*FLXFAC/DELTE(J)
      RJN2(J)=RJN2(J)+SJN2(I)*FLXFAC/DELTE(J)
      RJO2(J)=RJO2(J)+SJO2(I)*FLXFAC/DELTE(J)
      RJHE(J)=RJHE(J)+SJHE(I)*FLXFAC/DELTE(J)
 25   CONTINUE
 29   CONTINUE
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE SOLVAR(EE,FLXFAC)
C........... This routine adjusts the photoelectron production frequencies for
C........... solar cycle variation
      COMMON/SOL/UVFAC(59),EUV
      FLXFAC=1.0
      IF(EE.LT.21) FLXFAC=(0.8*UVFAC(1)+0.3*UVFAC(2)+5*UVFAC(3)
     > +3*UVFAC(4)+.5*UVFAC(5)+.2*UVFAC(6)+2*UVFAC(7)+UVFAC(8)
     > +7*UVFAC(9))/19.8
      IF(EE.GE.21.AND.EE.LT.30) FLXFAC=(UVFAC(8)+7*UVFAC(9))/8.0
      IF(EE.GE.30.AND.EE.LT.37)
     > FLXFAC=(0.5*UVFAC(5)+0.2*UVFAC(6)+1.7*UVFAC(7))/2.4
      IF(EE.GE.37.AND.EE.LT.45) FLXFAC=UVFAC(4)
      IF(EE.GE.45.AND.EE.LT.66) FLXFAC=UVFAC(3)
      IF(EE.GE.66.AND.EE.LT.108) FLXFAC=UVFAC(2)
      IF(EE.GE.108) FLXFAC=UVFAC(1)
      RETURN
       END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PECASC(I,XN,J,EE,IWR,PRODUP,PRODWN)
C...... this program evaluates  the  cascade production rates
C...... by using production frequencies. see richards and torr jgr 1984(5?)
      DOUBLE PRECISION COLUM,OTHPR1,OTHPR2,OTHPR3
      DIMENSION XN(3,401),PRODUP(101,401),PRODWN(101,401)
      COMMON/NPRD/COLUM(3,401),OTHPR1(6,401),OTHPR2(6,401),OTHPR3(6,401)
      COMMON/SOL/UVFAC(59),EUV
C
C........ Production frequencies using Samson and Pareek O X-S. Kirby et
C........ al for O2, and N2, and He
      DATA XSN2T/11.6E-18/,XSOXT/7.7E-18/,XSO2T/16.0E-18/
C
C......... SOLVAR adjusts EUV flux for solar variability
      CALL SOLVAR(EE,FLXFAC)
C......... reduces EUV flux in northern hemisphere for eclipse simulation
      IF(I.LT.70) FLXFAC=FLXFAC*EUV
C......... column densities from subroutine PRIMPR to get attenuation at 304A
      TAU=COLUM(1,I)*XSOXT+COLUM(2,I)*XSO2T+COLUM(3,I)*XSN2T
C.......... take into account differential attenuation at other wavelengths
      IF(TAU.GT.70.0)TAU=70.0
      A1=EXP(-TAU)
      A2=EXP(-0.8*TAU)
      A3=EXP(-0.6*TAU)
      A4=EXP(-0.4*TAU)
      IF(EE.LT.10) AFAC=0.33*(A1+A2+A3)
      IF(EE.GE.10.AND.EE.LT.20) AFAC=0.25*(A1+A2+A3+A4)
      IF(EE.GE.20.AND.EE.LT.28) AFAC=0.33*(A1+A2+A3)
      IF(EE.GE.28.AND.EE.LT.37) AFAC=0.33*(A2+A3+A4)
      IF(EE.GE.37) AFAC=0.5*(A3+A4)
C...... Cascade production frequencies are fitted by an exponential
      CASOX=13.0*EXP(-9.242E-2*EE)
      CASN2=3*CASOX
      PRUP=0.5* (CASOX*XN(1,I)+CASN2*XN(3,I)+CASN2*XN(2,I))
     > *1.0E-9*AFAC*FLXFAC
      PRODUP(J,I)=PRODUP(J,I)+PRUP
      PRODWN(J,I)=PRODWN(J,I)+PRUP
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE FNDBIN(J,JMAX,ELOSS,EE,IE)
C........ A program to determine which bin to allocate a degraded electron
C........ J= index of the primary of energy EE(J). JMAX is the max J, ELOSS=
C........ energy lost by primary and the index is returned in IE
      INTEGER J,JMAX,IE(JMAX)
      REAL EE(JMAX)
C......... Energy of degraded primary
      EDPRIM=EE(J)-ELOSS
      IF(EDPRIM.LT.0.0) WRITE(6,*) '   ELOSS too large in FNDBIN'
      IF(EDPRIM.LT.0.0) STOP
C....... Test degraded energy against next lowest bin until it fits
      DO 29 I=J,2,-1
      IF(EDPRIM.GT.EE(I)) GO TO 30
      IF(ABS(EDPRIM-EE(I)).LE.ABS(0.5*(EE(I)-EE(I-1)))) GO TO 30
 90   FORMAT(I5,F9.2,I5,9F9.1)
 29   CONTINUE
 30   CONTINUE
C....... store index for return
      IE(J)=I
C...      WRITE(6,90) J,EE(J),IE(J),EE(IE(J))
      RETURN
      END
C::::::::::::::::::::::::::::: TRIS1 ::::::::::::::::::::::::::::::
C
C   Modified by Yingtian Long from Dr. Richards' subroutine
C                    /08/27/97
C
C  This subroutine is used to solve photoelectron flux, phi down, by
C  solving the second order PDE. In th calculation for derivatives
C  at a grid point, the variable spaces between adjacent grid points
C  are considered.
C
C... The derivation of the equations was done as a CS 695 course
C... in summer 1997. PGR has a copy of the final paper.
C
      SUBROUTINE TRIS1(IDIR,M2,M,J,MT,BM,BG,Z,IMAX,DH,PRED,PRODUP,
     >  PRODWN)
      DOUBLE PRECISION DH,Z(401),BM(401),BG(401)
      DIMENSION A(401),B(401),C(401),D(401),PRED(401)
     >         ,PRODWN(101,401),PRODUP(101,401)
 
      COMMON/TRI/PHIDWN(401),PHIUP(401),T1(401),T2(401),DS(401)
      COMMON/PANGS/YPAS,PASK,IPAS,IPASC,FPAS
 
      DATA   ISW, FAC2, JSN, JSW, KITER, M1, ZPRIN, ZZZZ
     >     /  1 ,   0 ,  3 ,   1,   75 ,  1,   300, 1000 /
 
      IMXM1=IMAX-1
C...... DO LOOP FOR ITERATING THE SOLUTIONS... PHIDWN IS SOLVED USING
C...... TRIDAG SOLVER FOR ONE HEMISPHERE, PHIUP IS SOLVED ANALYTICALLY TO UPPER
C...... BDY IN CONJUGATE H-S, PHIUP FOR C.H.S IS FOUND USING TRIDAG, THEN
C...... PHIDWN IS SOLVED ANALYTICALLY BACK ALONG THE FIELD LINE
      DO 40 I=M2,M
        DELZ=DS(I)+DS(I+1)                            ! ds(i)+ds(i+1)
        DLB=(BM(I+1)-BM(I-1))/(BM(I)*DELZ)            ! (dB)/(B*ds)
        DSLB=2.*((BM(I+1)/DS(I+1)+BM(I-1)/DS(I))/DELZ
     &                  -BM(I)/(DS(I+1)*DS(I)))/BM(I) ! (d^2B)/(B*ds^2)
        DLT1=(T1(I+1)-T1(I-1))/(T1(I)*DELZ)           ! (dT1)/(T1*ds)
        DTS2=(T2(I+1)-T2(I-1))/DELZ                   ! (dT2)/(ds)
        DPR1=(PRED(I+1)-PRED(I-1))/(2*DELZ)           ! 0.5*(dq)/(ds)
        DPR2=(PRODWN(J,I+1)-PRODWN(J,I-1))/DELZ       ! (dq-)/(ds)
        PHI = 1.
        ALPHA = -(DLT1 + 2.*DLB)         ! -[(dT1)/(T1*ds)+2(dB)/(B*ds)]
        BETA = IDIR*(T2(I)*DLT1-DTS2-DSLB)-T2(I)**2+T1(I)**2-ALPHA*DLB
        A(I) = (2.*PHI/DS(I)-ALPHA)/DELZ
        B(I) = BETA-2.*PHI/(DS(I)*DS(I+1))
        C(I) = (2.*PHI/DS(I+1)+ALPHA)/DELZ
        D(I) = (.5*PRED(I)+PRODWN(J,I))*(IDIR*(DLT1+DLB)-T2(I))
     &         -IDIR*(DPR1+DPR2)-T1(I)*(.5*PRED(I)+PRODUP(J,I))
        !!!  where PRED = q, PRODUP = q+ and PRODWN = q-
 40   CONTINUE
 
C.... END OF D.E. COEFFS --- SOLUTION FOR NEAR H-S ....
      D(M2)=D(M2)-A(M2)*PHIDWN(M2-1)
      D(M)=D(M)-C(M)*PHIDWN(M+1)
      CALL TRIDAG(PHIDWN,M2,M,A,B,C,D)
 
C:::::::: PHIUP IS EVALUATED  ANALYTICALLY   ::::
      DO 60 I=M2,IMXM1
        R1=(T1(I)*PHIDWN(I)+(PRED(I)+2.*PRODUP(J,I))/2.)/T2(I)/BM(I)
        T2DS=T2(I)*DS(I)
        IF(T2DS.GT.70.0)T2DS=70.0
        PHIUP(I)=BM(I)* (R1+(PHIUP(I-1)/BM(I-1)-R1)*EXP(-T2DS))
C....       IF(J.EQ.31.AND.Z(I).GT.250.AND.Z(I).LT.900)
C....     > WRITE(55,93) Z(I),T1(I),T2(I),PRED(I),PRODUP(J,I),BM(I),DS(I)
C....     >  ,R1,PHIDWN(I),PHIUP(I)
        IF(I.EQ.IPAS+1) PHIUP(I)=PHIUP(I)*(1.-FPAS)
 60   CONTINUE
 
      RETURN
 93   FORMAT(1X,F7.0,1P,22E10.1)
      END

C::::::::::::::::::::::::::::::::: TRISM1 :::::::::::::::::::::::::::::::
      SUBROUTINE TRISM1(IDIR,M2,M,J,MT,BM,BG,Z,IMAX,DH,PRED,PRODUP,
     > PRODWN)
      DOUBLE PRECISION DH,Z(401),BM(401),BG(401)
      DIMENSION A(401),B(401),C(401),D(401),PRED(401)
     > ,PRODWN(101,401),PRODUP(101,401)
      COMMON/TRI/PHIDWN(401),PHIUP(401),T1(401),T2(401),DS(401)
      COMMON/PANGS/YPAS,PASK,IPAS,IPASC,FPAS
      DATA   ISW , FAC2 , JSN , JSW , KITER , M1 , ZPRIN , ZZZZ
     >     /  1  ,   0  ,  3  ,  1  ,   75  ,  1 ,  300  , 1000 /
 
      IMXM2=IMAX-MT-1
C...... DO LOOP FOR ITERATING THE SOLUTIONS... PHIDWN IS SOLVED USING
C...... TRIDAG SOLVER FOR ONE HEMISPHERE, PHIUP IS SOLVED ANALYTICALLY TO UPPER
C...... BDY IN CONJUGATE H-S, PHIUP FOR C.H.S IS FOUND USING TRIDAG, THEN
C...... PHIDWN IS SOLVED ANALYTICALLY BACK ALONG THE FIELD LINE
      DO 40 I=M2,M
        DELZ=DS(I)+DS(I+1)                            ! ds(i)+ds(i+1)
        DLB=(BM(I+1)-BM(I-1))/(BM(I)*DELZ)            ! (dB)/(B*ds)
        DSLB=2.*((BM(I+1)/DS(I+1)+BM(I-1)/DS(I))/DELZ
     &                  -BM(I)/(DS(I+1)*DS(I)))/BM(I) ! (d^2B)/(B*ds^2)
        DLT1=(T1(I+1)-T1(I-1))/(T1(I)*DELZ)           ! (dT1)/(T1*ds)
        DTS2=(T2(I+1)-T2(I-1))/DELZ                   ! (dT2)/(ds)
        DPR1=(PRED(I+1)-PRED(I-1))/(2*DELZ)           ! 0.5*(dq)/(ds)
        DPR2=(PRODUP(J,I+1)-PRODUP(J,I-1))/DELZ       ! (dq+)/(ds)
        PHI = 1.
        ALPHA = -(DLT1 + 2.*DLB)         ! -[(dT1)/(T1*ds)+2(dB)/(B*ds)]
        BETA = IDIR*(T2(I)*DLT1-DTS2-DSLB)-T2(I)**2+T1(I)**2-ALPHA*DLB
        A(I) = (2.*PHI/DS(I)-ALPHA)/DELZ
        B(I) = BETA-2.*PHI/(DS(I)*DS(I+1))
        C(I) = (2.*PHI/DS(I+1)+ALPHA)/DELZ
        D(I) = (.5*PRED(I)+PRODUP(J,I))*(IDIR*(DLT1+DLB)-T2(I))
     &         -IDIR*(DPR1+DPR2)-T1(I)*(.5*PRED(I)+PRODWN(J,I))
        !!!  where PRED = q, PRODUP = q+ and PRODWN = q-
  40  CONTINUE
C.... END OF D.E. COEFFS --- SOLUTION FOR NEAR H-S ....
C***** CONJUGATE SOLUTIONS *******
 10   D(M2)=D(M2)-A(M2)*PHIUP(M2-1)
      D(M)=D(M)-C(M)*PHIUP(M+1)
      CALL  TRIDAG(PHIUP,M2,M,A,B,C,D)
C:::::::: PHIDWN IS EVALUATED ANALYTICALLY   ::::
      DO 160 I=M1,IMXM2
        K=IMAX-I
        R1=(T1(K)*PHIUP(K)+(PRED(K)+2.*PRODWN(J,K))/2.)/T2(K)/BM(K)
        T2DS=T2(K)*DS(K+1)
        IF(T2DS.GT.70.0)T2DS=70.0
        PHIDWN(K)=BM(K)*(R1+(PHIDWN(K+1)/BM(K+1)-R1)*EXP(-T2DS))
        IF(K.EQ.IPASC-1) PHIDWN(K)=PHIDWN(K)*(1-FPAS)
 160  CONTINUE
 
      RETURN
      END

C:::::::::::::::::::::::::: TRIDAG :::::::::::::::::::::::::::::::::::::
      SUBROUTINE TRIDAG(DELTA,IF,L,A,B,C,D)

C...... FOR SOLVING A SYSTEM OF LINEAR SIMULTANEOUS EQUATIONS WITH A
C...... TRIDIAGONAL COEFF MATRIX. THE EQNS ARE NUMBERED FROM IF TO L,
C...... & THEIR  SUB-DIAG. , DIAG. ,& SUPER-DIAG COEFFS. ARE STORED
C...... IN THE ARRAYS A, B, C. THE RIGHT HAND SIDE OF THE VECTOR IS
C...... STORED IN D. THE COMPUTED SOLUTION VECTOR IS STORED
C......  IN THE ARRAY DELTA. THIS ROUTINE COMES FROM CARNAHAN, LUTHER,
C......  AND WILKES, APPLIED NUMERICAL METHODS, WILEY, 1969, PAGE 446
C
       DIMENSION A(401),B(401),C(401),D(401)
       DIMENSION ALPHA(401),DELTA(401),GAMMA(401)
C.....  COMPUTE INTERMEDIATE ARRAYS ALPHA & GAMMA
        ALPHA(IF)=B(IF)
        GAMMA(IF)=D(IF)/ALPHA(IF)
        IFP1=IF+1
        DO 1 I=IFP1,L
        ALPHA(I)=B(I)-A(I)*C(I-1)/ALPHA(I-1)
        GAMMA(I)=(D(I)-A(I)*GAMMA(I-1))/ ALPHA(I)
1       CONTINUE
C.....  COMPUTE FINAL SOLUTION VECTOR V
        DELTA(L)=GAMMA(L)
        LAST=L-IF
        DO 2 K=1,LAST
        I=L-K
        DELTA(I)=GAMMA(I)-C(I)*DELTA(I+1)/ALPHA(I)
2       CONTINUE
        RETURN
        END
C.................... KEMPRN.FOR;22        26-APR-1994 14:06:10.11 
      SUBROUTINE CION(J,I,JP,Z,OPLS,O2P,NOP,N2PLS,NPLS,OP2D
     > ,OP2P,NE,TE,TI,VC,HEPLUS,HPLUS)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      IF(JP.EQ.1) WRITE(I,90)
 90   FORMAT(/'   ALT    [O+]    [O2+]    [NO+]    [N2+]    [N+]'
     >, '    [O+2D]   [O+2P]   [He+]     [H+]    [e]     Te   Ti'
     >,'    VCON')
      WRITE(I,5) Z,OPLS,O2P,NOP,N2PLS,NPLS,OP2D,OP2P,HEPLUS,HPLUS
     >  ,NE,NINT(TE),NINT(TI),VC
      RETURN
 5    FORMAT(F6.1,1P,10E9.2,2I5,0P,F5.2,1P,8E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CNEUT(J,I,JP,Z,O1S,N2A,N2D,O1D,NNO,N4S,N2P)
C.......neutral densities
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      IF(JP.EQ.1) WRITE(I,91)
 91   FORMAT(/3X,'ALT',3X,'[O1S]',4X,'[N2A]',4X,'[N2D]',4X,'[O1D]',4X
     > ,'[NO]',4X,'[N4S]',4X,'[N2P]')
      WRITE(I,7) Z,O1S,N2A,N2D,O1D,NNO,N4S,N2P
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CEMM(J,I,JP,Z,RTS,O1D,N2D,OP2P,O1S,DISNP,NE,ON
     > ,N2N,N4S,P3X12,P3X11,N2A,P3X2,P3X3,DIS2S)
C.......... production rates
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99)
      IF(JP.EQ.1) WRITE(I,92)
 92   FORMAT(/1X,'Some important volume emission rates
     > (photons/cm3/sec)',/3X,'ALT',2X,'E7320'
     > ,4X,'E5577',4X,'E5755',4X,'E6584',4X,'E1493',4X
     > ,'VEGCAP',4X,'E1200',4X,'E3371',4X,'E6300',4X,'E5200',4X,'E2972'
     > ,4X,'E2470',4X,'E2143')
      E6300=O1D*RTS(54) * 0.76
      E5200=N2D*RTS(61)
      E7320=OP2P*0.17
      E5577=O1S*RTS(55)
      E2470=OP2P*0.0477
      E2972=O1S*RTS(56)
      E2143=RTS(70)*DIS2S
      E5755=RTS(72)*DISNP
      E6584=RTS(71)*DISNP*4.0E-3/(4.0E-3+1.0E-7*NE)
      E1493=0.5*P3X12+0.1*P3X11*N4S+0.025*DISNP
      VEGCAP=N2A*0.57
      E1200=P3X12+P3X11*N4S+0.1*DISNP
      PN2B=P3X2
C........ The factor of 2 compensates for dissociation
      E3371=2.0*  0.25*P3X3
      WRITE(I,7) Z,E7320,E5577,E5755,E6584,E1493,VEGCAP
     > ,E1200,E3371,E6300,E5200,E2972,E2470,E2143
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CO2EM(J,I,JP,Z,O2B1,O2DEL,O2SS,O2ADEL,O2ASIG)
C........ Emissions from O2
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      IF(JP.EQ.1) WRITE(I,93)
 93   FORMAT(/5X,'Emissions from O+O+M -> O2'/3X,'ALT     O2atm   O2del
     >   HzII     Cham     HzI')
      WRITE(I,7) Z,(.083*O2B1),(2.83E-3*O2DEL),(5E-3*O2SS)
     > ,(0.02*O2ADEL),(6.25*O2ASIG)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CN2D(J,I,JP,Z,RTS,ON,O2N,N2N,NOP,NE,P1,L1
     > ,N2PLS,DISN2D,UVDISN,NPLS,N2P,N2D,OPLS,NNO)
C.......n(2d)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=NOP*NE*RTS(50)
      PR(2)=N2PLS*NE*RTS(32)*RTS(11)
      PR(3)=N2PLS*ON*RTS(10)
      PR(4)=DISN2D
      PR(5)=RTS(63)*UVDISN
      PR(6)=RTS(65)*RTS(25)*NPLS*O2N
      PR(7)=N2P*RTS(57)
      LR(1)=ON*RTS(15)
      LR(2)=O2N*RTS(16)
      LR(3)=NE*RTS(8)
      LR(4)=OPLS*RTS(29)
      LR(5)=RTS(61)
      LR(6)=RTS(41)*NNO
      P1=PR(1)+PR(2)+PR(3)+PR(4)+PR(5)+PR(6)+PR(7)
      L1=LR(1)+LR(2)+LR(3)+LR(4)+LR(5)+LR(6)
C....... EF is used to convert production rates to volume emission rates
      EF=1.0
C....... This line in for volume emission rates
C...      EF=RTS(61)*0.76/L1
      IF(JP.EQ.1.AND.I.GT.0.AND.INT(EF+0.1).NE.1) WRITE(I,189)
      IF(JP.EQ.1.AND.I.GT.0.AND.INT(EF+0.1).EQ.1) WRITE(I,191)
 189  FORMAT(/2X,'N(2D)',25X,'EMISSION',28X,':',20X,'Loss rate')
 191  FORMAT(/2X,'N(2D)',25X,'Production',28X,':',20X,'Loss rate')
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,96)
 96   FORMAT(4X,'ALT  [N2D]   NO++e   N2++e   N2++O    e+N2   hv+N2  
     > N++O2   N(2P)     +O     +O2     +e     +O+    RAD     +NO')
      IF(I.GT.0) WRITE(I,7) Z,N2D,(PR(K)*EF,K=1,7)
     > ,(LR(K)*N2D,K=1,6)
      RETURN
 7    FORMAT(F6.1,1P,22E8.1)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CO1D(IEMS,J,I,JP,Z,RTS,ON,O2N,N2N,NE,P1,L1
     > ,O2P,N2D,P1X1,PO1DSR,O1S,NPLS,O1D)
C....... O(1D)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=O2P*NE*RTS(51)
      PR(2)=N2D*O2N*RTS(16)*RTS(74)
      PR(3)=P1X1
      PR(4)=PO1DSR
      PR(5)=RTS(18)*NE*ON
      PR(6)=O1S*RTS(55)
      PR(7)=NPLS*O2N*0.7*RTS(30)
      LR(1)=0.76*RTS(54)
      LR(2)=N2N*RTS(33)
      LR(3)=O2N*RTS(34)
      LR(4)=ON*RTS(69)
      LR(5)=0.24*RTS(54)
      P1=PR(1)+PR(2)+PR(3)+PR(4)+PR(5)+PR(6)+PR(7)
      L1=LR(1)+LR(2)+LR(3)+LR(4)+LR(5)
C....... EF is used to convert production rates to volume emission rates
C....... EF=0 gives production rates else volume emission rates
      IF(IEMS.EQ.0) THEN
         EF=1.0
      ELSE
         EF=RTS(54)*0.76/L1
      ENDIF
      IF(JP.EQ.1.AND.I.GT.0.AND.INT(EF+0.1).NE.1) WRITE(I,189)
      IF(JP.EQ.1.AND.I.GT.0.AND.INT(EF+0.1).EQ.1) WRITE(I,191)
 189   FORMAT(/2X,'O(1D)',30X,'EMISSION',32X,':',7X,'LOSS RATES')
 191   FORMAT(/2X,'O(1D)',30X,'PRODUCTION',32X,':',7X,'LOSS RATES')
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,193)
 193   FORMAT(3X,'ALT',2X,'[O1D]',3X,'[O1D]c',2X,'O2++e',2X,'N2D+O2',3X
     > ,'e* +O    S-R',4X,'e+O',4X,'O1S',4X,'N++O2',5X,'6300',3X,' +N2'
     >  ,4X,'  +O2     +O     6364')
      IF(I.GT.0) WRITE(I,7) Z,O1D,P1/L1,(PR(K)*EF,K=1,7)
     > ,(LR(K)*O1D,K=1,5)
      RETURN
 7    FORMAT(F6.1,1P,22E8.1)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CNO(J,I,JP,Z,RTS,ON,O2N,N2N,NE,P1,L1
     > ,N2D,N4S,N2P,NNO,O2P,OPLS,PDNOSR,PLYNOP)
C........no
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=RTS(16)*O2N*N2D
      PR(2)=RTS(7)*O2N*N4S
      PR(3)=RTS(38)*N2P*O2N
      LR(1)=RTS(9)*N4S
      LR(2)=RTS(23)*O2P
      LR(3)=RTS(24)*OPLS
      LR(4)=RTS(41)*N2D
      LR(5)=PDNOSR
      LR(6)=PLYNOP
      P1=PR(1)+PR(2)+PR(3)
      L1=LR(1)+LR(2)+LR(3) + LR(4) + (LR(5)+LR(6))
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,192)
 192   FORMAT(/2X,'NO',17X,'PRODUCTION',20X,':',10X,'LOSS RATES'/
     > ,3X,'ALT',3X,'[NO]',5X,'[NO]c',3X,'O2+N2D',
     > 3X,'O2+N4S   N2P+O2   N4S+NO   O2P+NO   O++NO   N2D+NO'
     > ,3X,'hv<1910   Lyman-a')
      IF(I.GT.0) WRITE(I,7) Z,NNO,P1/L1,(PR(K),K=1,3)
     > ,(LR(K)*NNO,K=1,6)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CN4S(J,I,JP,Z,RTS,ON,O2N,N2N,NE,P1,L1,N4S,DISN4S,N2D
     >   ,N2P,OPLS,N2PLS,UVDISN,NOP,NPLS,NNO,O2P,PDNOSR,VCON)
C........N(4S)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=DISN4S
      PR(2)=RTS(15)*ON*N2D
      PR(3)=RTS(8)*NE*N2D
      PR(4)=VCON*RTS(3)*OPLS*N2N
      PR(5)=RTS(53)*RTS(11)*N2PLS*NE
      PR(6)=RTS(62)*UVDISN
      PR(7)=NOP*NE*RTS(49)
      PR(8)=N2D*RTS(61)
      PR(9)=N2P*RTS(58)
      PR(10)=RTS(66)*RTS(25)*NPLS*O2N
      PR(11)=PDNOSR*NNO
      LR(1)=RTS(7)*O2N
      LR(2)=RTS(9)*NNO
      LR(3)=RTS(21)*O2P
      P1=PR(1)+PR(2)+PR(3)+PR(4)+PR(5)+PR(6)+PR(7)+PR(8)+PR(9)+PR(10)
     >     +PR(11)
      L1=LR(1)+LR(2)+LR(3)
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,193)
 193   FORMAT(/2X,'N(4S)',38X,'PRODUCTION',46X,':',7X,'LOSS RATES'/
     > ,3X,'ALT',2X,'[N4S]',2X,'hv->N+'
     > ,3X,'O+N2D',2X,'e+N2D',3X,'O++N2',3X,'N2++e',4X,'hv->2N'
     > ,2X,'NO++e',2X,'N(2D)',4X,'N(2P)   N++O2   hv+NO   O2+N4S'
     > ,2X,'NO+N4S',2X,'O2++N4S')
      IF(I.GT.0) WRITE(I,7) Z,N4S,(PR(K),K=1,11),(LR(K)*N4S,K=1,3)
      RETURN
 7    FORMAT(F6.1,1P,22E8.1)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CO1S(J,I,JP,Z,RTS,ON,O2N,N2N,NE
     > ,O1S,O2P,N4S,P1X2,NPLS,N2A,PO1DSR,O2ADEL,O2DEL)
C.......o(1s)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=O2P*N4S*RTS(35)
      PR(2)=O2P*NE*RTS(52)
      PR(3)=P1X2
      PR(4)=RTS(59)*NPLS*O2N
      PR(5)=RTS(60)*RTS(36)*ON*N2A
      PR(6)=RTS(67)*PO1DSR
      PR(7)=RTS(68)*3E-11*ON*O2ADEL
      LR(1)=RTS(55)
      LR(2)=RTS(48)*O2N
      LR(3)=RTS(56)
      LR(4)=1.7E-10*O2DEL
      O1S=(PR(1)+PR(2)+PR(3)+PR(4)+PR(5)+PR(6)+PR(7))/
     > (LR(1)+LR(2)+LR(3)+LR(4))
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,194)
 194   FORMAT(/2X,'O(1S)',27X,'PRODUCTION',34X,':',14X,'LOSS RATES'/
     > ,3X,'ALT',3X,'[O1S]',4X,'N+O2+',4X,'e+O2+',4X,'e+O',4X
     > ,'N++O2',4X,'N2A+O',4X,'S-R',6X,'O2ADEL',5X,'5577'
     > ,4X,'+ O2',4X,'2972',5X,'O2DEL')
      IF(I.GT.0) WRITE(I,7) Z,O1S,(PR(K),K=1,7),(LR(K)*O1S,K=1,4)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::: CN2PLS :::::::::::::::::::::::::::::::
C..... Simplified chemistry of N2+.  PUN2P* = production of N2+ by euv 
C..... in the (X,A,B states). PEN2P* same for p.e.s (X,A,B states)
      SUBROUTINE CN2PLS(J,I,JP,Z,RTS,ON,O2N,N2N,NE,N2PLS
     >   ,PUN2PX,PUN2PA,PUN2PB,PEN2PX,PEN2PA,PEN2PB,OP2D,OP2P,HEPLS)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL PUN2PX,PUN2PA,PUN2PB,PEN2PX,PEN2PA,PEN2PB
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=PUN2PX
      PR(2)=PUN2PA
      PR(3)=PUN2PB
      PR(4)=PEN2PX
      PR(5)=PEN2PA
      PR(6)=PEN2PB
      PR(7)=RTS(19)*OP2D*N2N
      PR(8)=RTS(20)*OP2P*N2N
      PR(9)=RTS(44)*HEPLS*N2N
      LR(1)=RTS(10)*ON
      LR(2)=RTS(11)*NE
      LR(3)=RTS(17)*O2N
      LR(4)=RTS(99)*ON
C---- N2+ density. RTS(46) is a fudge factor to reduce N2+ (default=1.0.)
      IF(I.LE.0) N2PLS=RTS(46) 
     > *(PR(1)+PR(2)+PR(3)+PR(4)+PR(5)+PR(6)+PR(7)+PR(8)+PR(9))/
     > (LR(1)+LR(2)+LR(3)+LR(4))
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,95)
 95   FORMAT(/2X,'N2+',29X,'PRODUCTION',54X,':',12X,'LOSS RATES'/
     > ,3X,'ALT   [N2+]   EUV-X    EUV-A     EUV-B    PE-X'
     > ,5X,'PE-A     PE-B   O+2D+N2',3X,
     > 'O+2P+N2  He++N2',4X,'O+N2+',3X,'e+N2+',3X,'O2+N2+',4X,'N2++O')
      IF(I.GT.0) WRITE(I,7) Z,N2PLS,(PR(K),K=1,9)
     > ,(LR(K)*N2PLS,K=1,4)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C:::::::::::::::::::::::::::::: CNOP ::::::::::::::::::::::::::::::::::
      SUBROUTINE CNOP(J,I,JP,Z,RTS,ON,O2N,N2N,NE,P1
     > ,NOP,OPLS,N2PLS,O2P,N4S,NNO,NPLS,N2P,PLYNOP,VCON)
C........no+
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=VCON*RTS(3)*N2N*OPLS
      PR(2)=N2PLS*ON*RTS(10)
      PR(3)=O2P*N4S*RTS(21)
      PR(4)=O2P*NNO*RTS(23)
      PR(5)=RTS(30)*NPLS*O2N
      PR(6)=RTS(37)*N2P*ON
      PR(7)=RTS(24)*OPLS*NNO
      PR(8)=PLYNOP*NNO
      LR(1)=NE*RTS(5)
      P1=PR(1)+PR(2)+PR(3)+PR(4)+PR(5)+PR(6)+PR(7)+PR(8)
      IF(I.LE.0) NOP=P1/LR(1)
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,96)
 96   FORMAT(/2X,'NO+',31X,'PRODUCTION',40X,':',2X,'LOSS RATES'/
     > ,3X,'ALT',3X,'[NO+]',4X,'O++N2',3X,'N2++O',3X,'O2++N4S',3X,
     > 'O2++NO',3X,'N++O2',4X,'N2P+O',3X,'O++NO   hv+NO   NO++e')
      IF(I.GT.0) WRITE(I,7) Z,NOP,(PR(K),K=1,8),LR(1)*NOP
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CO2P(J,I,JP,Z,RTS,ON,O2N,N2N,NE,P1
     > ,O2P,TPROD5,OPLS,OP2D,N2PLS,NPLS,N4S,NNO)
C........o2+
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
C......... TPROD5=euv @ p.e. production
      PR(1)=TPROD5
      PR(2)=RTS(4)*O2N*OPLS
      PR(3)=RTS(43)*OP2D*O2N
      PR(4)=RTS(17)*O2N*N2PLS
      PR(5)=RTS(25)*NPLS*O2N
      LR(1)=RTS(6)*NE
      LR(2)=RTS(21)*N4S
      LR(3)=RTS(23)*NNO
      P1=PR(1)+PR(2)+PR(3)+PR(4)+PR(5)
      IF(I.LE.0) O2P=P1/(LR(1)+LR(2)+LR(3))
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,97)
  97  FORMAT(/2X,'O2+',22X,'PRODUCTION',24X,':',12X,'LOSS RATES'
     > /,3X,'ALT',3X,'[O2+]',3X,'hv+O2',3X,'O++O2',3X,'O+(2D)+O2',4X
     > ,'N2++O2',3X,'N++O2',3X,'O2++e',3X,'O2++N',3X,'O2++NO')
      IF(I.GT.0) WRITE(I,7) Z,O2P,(PR(K),K=1,5),(LR(K)*O2P,K=1,3)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE COP4S(J,I,JP,Z,RTS,ON,O2N,N2N,NE
     > ,OPLS,TPROD1,OP2D,OP2P,PEPION,PDISOP,N2PLS,N2D,NNO,VCON)
C...........o+(4s)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
C.........pr(1)= euv production of o+(4s)
      PR(1)=TPROD1
      PR(2)=OP2D*NE*RTS(12)
      PR(3)=OP2P*ON*RTS(26)
C----      PR(4)=OP2D*N2N*RTS(27)
      PR(4)=PEPION
      PR(5)=PDISOP
      PR(6)=RTS(99)*N2PLS*ON
      PR(7)=OP2P*NE*RTS(14)
      PR(8)=OP2P*0.047
      PR(9)=RTS(28)*ON*OP2D
      PR(10)=PR(1)+PR(2)+PR(3)+PR(4)+PR(5)+PR(6)+PR(7)+PR(8)+PR(9)
      LR(1)=N2N*VCON*RTS(3)
      LR(2)=O2N*RTS(4)
      LR(3)=N2D*RTS(29)
      LR(4)=(LR(1)+LR(2)+LR(3))
      NOPCH=PR(10)/(LR(1)+LR(2)+LR(3))
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,98)
 98   FORMAT(/2X,'O+',41X,'PRODUCTION',39X,':',10X,'LOSS RATES'/
     >  ,' ALT    [O+]   hv+O  O+(2D)+e O+(2P)+O   e*+O   hv+O2   '
     >  ,'N2++O  O+(2P)+e O+(2P) O+O+(2D)  Tot P  +N2     +O2    '
     >  ,'+N2D    Tot L')
      IF(I.GT.0) WRITE(I,7) Z,OPLS,(PR(K),K=1,10)
     > ,(LR(K)*OPLS,K=1,4)
      RETURN
 7    FORMAT(F6.1,1P,22E8.1)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE COP2D(J,I,JP,Z,RTS,ON,O2N,N2N,NE,OP2D,TPROD2,OP2P)
C.......o+(2d)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=TPROD2                ! EUV and e* prod
      PR(2)=OP2P*NE*RTS(13)
      PR(3)=OP2P*0.171
      LR(1)=RTS(19)*N2N
      LR(2)=RTS(27)*N2N
      LR(3)=NE*RTS(12)
      LR(4)=ON*RTS(28)
      LR(5)=RTS(43)*O2N
      OP2D=(PR(1)+PR(2)+PR(3))/(LR(1)+LR(2)+LR(3)+LR(4)+LR(5))
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,99)
 99   FORMAT(/2X,'O+(2D)',12X,'PRODUCTION',13X,':',18X,'LOSS RATES'/
     > ,3X,'ALT',3X,'[O+2D]',3X,'hv+O',4X,'O+2P+e',3X,'O+2P>hv',
     > 4X,'+N2',6X,'+N2',6X,'+e',6X,'+O',6X,'+O2')
      IF(I.GT.0) WRITE(I,7) Z,OP2D,(PR(K),K=1,3)
     > ,(LR(K)*OP2D,K=1,5)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE COP2P(J,I,JP,Z,RTS,ON,O2N,N2N,NE,OP2P,TPROD3,PSEC)
C.......o+(2p)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=0.0
      IF(TPROD3.GE.PSEC) PR(1)=TPROD3-PSEC
      PR(2)=PSEC
      LR(1)=RTS(26)*ON
      LR(2)=RTS(20)*N2N
      LR(3)=RTS(13)*NE
      LR(4)=0.218
      LR(5)=RTS(14)*NE
      OP2P=TPROD3/(LR(1)+LR(2)+LR(3)+LR(4)+LR(5))
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,100)
 100   FORMAT(/2X,' O+(2P)',6X,'PRODUCTION',10X,':',12X,'LOSS RATES'/
     >,3X,'ALT   [O+2P]    hv+O     e*+O     +O',7X,'+N2',7X,'+e',6X
     > ,'RAD',6X,'+e')
      IF(I.GT.0) WRITE(I,7) Z,OP2P,PR(1),PR(2),(LR(K)*OP2P,K=1,5)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CNPLS(J,I,JP,Z,RTS,ON,O2N,N2N,NE,DISNP
     > ,NPLS,OPLS,N2D,OP2P,HEPLS,PHOTN)
C........n+
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=DISNP
      PR(2)=RTS(29)*OPLS*N2D
      PR(3)=RTS(22)*N2N*OP2P
      PR(4)=RTS(45)*HEPLS*N2N
      PR(5)=PHOTN
      LR(1)=RTS(30)*O2N
      LR(2)=RTS(25)*O2N
      LR(3)=RTS(31)*ON
      CNPLUS=(PR(1)+PR(2)+PR(3)+PR(4)+PR(5))/(LR(1)+LR(2)+LR(3))
      IF(NPLS.LE.0.0) NPLS=CNPLUS
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,101)
 101   FORMAT(/2X,'N+',20X,'PRODUCTION',33X,':',13X,'LOSS RATES'/
     > ,4X,'ALT   [N+]   [N+]c     hv+N2   O++N2D  N2++O+2P',2X
     > ,'He++N2',3X,' hv+N ',3X,'O2+N+',4X,'O2+N+',4X,'N++O')
      IF(I.GT.0) WRITE(I,7) Z,NPLS,CNPLUS
     > ,(PR(K),K=1,5),(LR(K)*NPLS,K=1,3)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CN2A(J,I,JP,Z,RTS,ON,O2N,N2N,NE
     > ,N2A,P3X1,P3X2,P3X3,P3X4)
C........n2(a3sigma) and total LBH
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL P3X1,P3X2,P3X3,P3X4
      DIMENSION RTS(99),LR(22),PR(22)
C....... pr(1,2,3)= electron impact excitation of n2(a,b,c) states
      PR(1)=P3X1
      PR(2)=P3X2
      PR(3)=P3X3
      LR(1)=RTS(36)*ON
      LR(2)=0.57
      N2A=(PR(1)+PR(2)+PR(3))/(LR(1)+LR(2))
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,102)
 102   FORMAT(/2X,'N2(A)',12X,'PRODUCTION',13X,':',5X,'LOSS RATES'
     > ,3X,':  Total LBH'
     > /,3X,'ALT',3X,'N2(A)',3X,'e*->N2A',3X,'e*->N2B',3X,'e*->N2C',3X
     >  ,'N2A+O',3X,'RAD',5X,'LBH')
      IF(I.GT.0) WRITE(I,7) Z,N2A,(PR(K),K=1,3),(LR(K)*N2A,K=1,2)
     > ,P3X4
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CN2P(J,I,JP,Z,RTS,ON,O2N,N2N,NE,P1,L1
     > ,N2P,P3X7,UVDISN,O2P,NNO,N2PLUS)
C....... N(2P). the rates are from Zipf et al JGR, 1980 p687
C.... 21-AUG-1992. Added N2+ recombination source
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=P3X7
      PR(2)=RTS(64)*UVDISN
      PR(3)=RTS(73)*RTS(11)*N2PLUS*NE
      LR(1)=RTS(37)*ON
      LR(2)=RTS(38)*O2N
      LR(3)=RTS(39)*O2P
      LR(4)=RTS(40)*NNO
      LR(5)=RTS(57)
      LR(6)=RTS(58)
      P1=PR(1)+PR(2)+PR(3)
      L1=LR(1)+LR(2)+LR(3)+LR(4)+LR(5)+LR(6)
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,103)
 103   FORMAT(/2X,'N(2P)',9X,'PRODUCTION',17X,':',20X,'LOSS RATES'/
     > ,3X,'ALT',3X,'[N2P]',3X,'e+N2',5X,'hv+N2',3X,'e+N2+',6X,'+O  '
     > ,3X,'+O2  ',3X,' +O2+  ',3X,' +NO  ',3X,'  +2D',3X,'  +4S')
      IF(I.GT.0) WRITE(I,7) Z,N2P,(PR(K),K=1,3),(LR(K)*N2P,K=1,6)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CHEP(J,I,JP,Z,RTS,ON,O2N,N2N,NE,HEPLS,PRHEP,HE)
C....... he+
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
      PR(1)=PRHEP
      PR(2)=HE
      LR(1)=RTS(44)*N2N
      LR(2)=RTS(45)*N2N
      LR(3)=RTS(75)*O2N
      LR(4)=RTS(76)*O2N
C...... He+ from chemical equilibrium
      CHEPLS=PR(1)/(LR(1)+LR(2)+LR(3)+LR(4))
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,104)
 104   FORMAT(/2X,'He+',9X,'PRODUCTION',9X,':',5X,'LOSS RATES'/
     > ,3X,'ALT',4X,'[He+]',3X,'[He+]c',3X,'hv+He',5X,'+N2',4X,'+N2->N+'
     > ,3X,'+O2',3X,'+O2->O+')
      IF(I.GT.0) WRITE(I,7) Z,HEPLS,CHEPLS
     > ,(PR(K),K=1,1),(LR(K)*HEPLS,K=1,4)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CRT1(J,I,JP,Z,RTS)
C............ altitude dependent reaction rates .........
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99)
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,105)
 105  FORMAT(/2X,'FIRST 13 NON-CONSTANT REACTION RATES FROM SUBROUTINE
     > RATS'/,3X,'ALT',3X,'O+H+',3X,'O++H',4X,'O++N2',3X,'O++O2',
     > 3X,'NO++e',3X,'O2++e',3X,'O2+N4S',2X,'N2D+e',3X,
     > 'NO+N4S',2X,'N2++O',2X,'N2++e',2X,'O+2D+e',2X,'O+2P+e')
      IF(I.GT.0) WRITE(I,7) Z,(RTS(IS),IS=1,13)
      RETURN
 7    FORMAT(F6.1,1P,22E8.1)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CRT2(J,I,JP,Z,RTS)
C............ altitude dependent reaction rates .........
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99)
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,106)
 106  FORMAT(/2X,'MORE NON-CONSTANT RATES FROM SUBROUTINE RATS'/
     >,3X,'ALT',2X,'O+2P+e',2X,'N2++O2',2X,'O1D+e'
     >,2X,'O++NO',2X,'N2P+O',2X,'N2++O',2X,'N2+(V)+O')
      IF(I.GT.0) WRITE(I,7) Z,RTS(14),RTS(17),RTS(18),RTS(24)
     > ,RTS(37),RTS(42)*RTS(10),RTS(99)
      RETURN
 7    FORMAT(F6.1,1P,22E8.1)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CMSIS(J,I,JP,Z,ON,O2N,N2N,HE,HN,TN)
C.... MSIS atmosphere
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL GLATJ  !.. declare GLATJ as real for f90, NOv., 1999
      REAL SEC,DEC,ETRAN,F107,F107A,AP,BLON,D(8),T(2),CHI,SAT,GLON
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/MJLON/JVERT,JVERC
      GL1=GL(JVERT)
      IF(GL(J).LT.0) GL1=-GL(JVERT)
      CALL AMBS(J,Z,GL1,D,T,CHI,SAT,GLON,GLATJ)
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,107)
 107  FORMAT(/2X,' MSIS- 86 neutral densities'/,3X,'ALT'
     > ,'    Tn     [O]      [O2]     [N2]     [He]      [H]     [N4S]')
      IF(I.GT.0) WRITE(I,7) Z,TN,ON,O2N,N2N,HE,HN,D(8)
      RETURN
 7    FORMAT(2F7.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE C1200(J,I,JP,Z,RTS,ON,O2N,N2N,NE,P3X12,P3X11,N4S,DISNP)
C....... NI 1200 A and 1493 A. Production from e* + N2 (P3X12), e* + N
C....... (P3X11) and hv + N2 -> N+ + N + e. Refs - Wu etal JGR 1983, 2163
C....... Doering and Gumboel, JGR 1993, 16021, Beyer .. J.Ch.Phys. 1969, 5323
C....... FLIP agrees with 1493 from Meier et al. 1980, JGR p2177
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),PR(22)
      PR(1)=P3X12
      PR(2)=P3X11*N4S
      PR(3)=0.1*DISNP
C...... 1493. 0.5 and 0.1 multipliers in PR(4) and PR(5) from X-sec ratios
      PR(4)=0.5*P3X12
      PR(5)=0.1*P3X11*N4S
      PR(6)=0.025*DISNP
      P1200=PR(1)+PR(2)+PR(3)
      P1493=PR(4)+PR(5)+PR(6)
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,108)
 108  FORMAT(/9X,'NI 1200 PRODUCTION RATES',8X,': 1493 PRODUCTION RATES'
     > /,'  ALT   T1200    e*+N2     e*+N    hv+N2    T1493    e*+N2
     >    e*+N     hv+N2')
      IF(I.GT.0) WRITE(I,7) Z,P1200,(PR(K),K=1,3),P1493,(PR(K),K=4,6)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CO2(J,I,JP,Z,RTS,ON,O2N,N2N,NE,BOD3,O1D,O2SS,TN
     > ,O2B1,O2DEL,O2ADEL,O2ASIG)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99),LR(22),PR(22)
C...... Avoid underflow at high altitudes
      IF(Z.GT.700.0) RETURN
C...... densities for O2 atmospheric bands
      BOD3=(300/TN)**2*ON**2*(O2N+N2N)*4.7E-33
      O2SS=(0.8*BOD3)/(5E-13*O2N+3E-11*ON+5E-3)
      O2B1=(5E-13*O2SS*O2N+RTS(34)*O1D*O2N)/
     > (0.0*ON+2.2E-15*N2N+0.083)
      O2DEL=(0.25*BOD3)/
     > (1.3E-16*ON+2.6E-20*TN**0.78*O2N+1E-20*N2N+2.83E-3)
      O2ADEL=(0.05*BOD3)/(0.02+2E-13*N2N)
      O2ASIG=0.05*BOD3/(3E-13*N2N+3E-13*ON+6.25)
C
      PR(1)=BOD3
      PR(2)=RTS(34)*O2N*O1D
      PR(3)=5E-13*O2SS*O2N
      PR(4)=0.25*BOD3
      PR(5)=0.05*BOD3
      PR(6)=0.05*BOD3
      LR(1)=(5E-13*O2N+3E-11*ON+5E-3)
      LR(2)=(0.0*ON+2.2E-15*N2N+0.083)
      LR(3)=1.3E-16*ON+2.6E-20*TN**0.78*O2N+1E-20*N2N+2.83E-3
      LR(4)=(0.02+2E-13*N2N)
      LR(5)=(3E-13*N2N+3E-13*ON+6.25)
      IF(JP.EQ.1.AND.I.GT.0) WRITE(I,109)
 109  FORMAT(/15X,'Production rates of O2',21X,':',12X,'Total loss rates
     > of O2 excited states'/,3X,'ALT',3X
     > ,'O+O+M   O1D+O2   O2**+O2    O2DEL   O2ADEL   O2ASIG  :   O2**
     >   O2b1   O2del   O2ADEL   O2ASIG')
      IF(I.GT.0) WRITE(I,7) Z,(PR(K),K=1,6),(LR(K),K=1,5)
      RETURN
 7    FORMAT(F6.1,1P,22E9.2)
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CN2PV(J,I,JP,ALT,RTS,ON,O2N,N2N,NE,OP2P
     > ,OP2D,D3D1,D3D2,D3D3)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99)
      IF (JP.EQ.1.AND.I.GT.0) WRITE(I,110)
 110  FORMAT(/22X,'POPULATIONS OF N2+ VIB LEVELS (/cm3):
     >  X(v=0-4), A(v=0-4), B(v=0-3), O + N2+ rate'
     > ,/3X,'ALT',4X,'V=0',5X,'V=1',5X,'V=2',5X,'V=3',5X,'V=4'
     > ,5X,'V=0',5X,'V=1',5X,'V=2',5X,'V=3',5X,'V=4'
     > ,5X,'V=0',5X,'V=1',5X,'V=2',5X,'V=3',3X,'Tvib')
      CALL VIBN2P(J,I,1,N2N,ON,NE,OP2P,OP2D,RTS,D3D1,D3D2,D3D3,O2N
     > ,NTOT,ALT)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PRDPRA(J,I,JP,ALT)
      DOUBLE PRECISION ALT
      IF (JP.EQ.1.AND.I.GT.0) WRITE(I,110)
 110  FORMAT(/22X,'Secondary to primary production ratios'
     > ,/2X,'*****Not implemented on this file, see ZDATAN.DAT or
     > ZDATAS.DAT instead ******')
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PRDPRB(J,I,JP,ALT)
      DOUBLE PRECISION ALT
      DIMENSION UVP(3,12),RAT(3,12)
C----- commons to hold the EUV, e* and AURoral production rates
      REAL EUVION,PEXCIT,PEPION,PAUION,PAUEXC,SUMION,SUMEXC
      COMMON/EUVPRD/EUVION(3,12,401),PEXCIT(3,12,401),PEPION(3,12,401)
      COMMON/BPRAUR/PAUION(3,12,401),PAUEXC(3,12,401)
      COMMON/BPRTOT/SUMION(3,12,401),SUMEXC(3,12,401)
      IF (JP.EQ.1.AND.I.GT.0) WRITE(I,110)
 110  FORMAT(/22X,'Secondary to primary production ratios'
     > ,/4X,'ALT  O+(4S)   O+(2D)   O+(2P)   N2+(X)   N2+(A)   N2+(B) 
     > EOX/UOX  EO2/UO2  EN2/UN2  U2S/UN2+  UN+/UN2  UO+/UO2  UVOX
     >  UVO2 UVN2')
      DO 20 IS=1,3
      DO 20 IK=1,12
      RAT(IS,IK)=0.0
      UVP(IS,IK)=EUVION(IS,IK,J)
      IF(UVP(IS,IK).LE.0.0) UVP(IS,IK)=0.0
      IF(UVP(IS,IK).LE.0) GO TO 20
      RAT(IS,IK)=PEPION(IS,IK,J)/UVP(IS,IK)
 20   CONTINUE
C........ Take into account difference between Kirby and Jackman
      IF(UVP(2,2).GT.0) RAT(2,2)=(PEPION(2,2,J)+PEPION(2,3,J))/UVP(2,2)
      IF(UVP(2,3).GT.0) RAT(2,3)=PEPION(2,4,J)/UVP(2,3)
C...... Calculate total production rates ....
      UVOX=UVP(1,1)+UVP(1,2)+UVP(1,3)+UVP(1,4)+UVP(1,5)
      PEOX=PEPION(1,1,J)+PEPION(1,2,J)+PEPION(1,3,J)+PEPION(1,4,J)
     > +PEPION(1,5,J)
      UVO2=UVP(2,1)+UVP(2,2)+UVP(2,3)+UVP(2,4)
      PEO2=PEPION(2,1,J)+PEPION(2,2,J)+PEPION(2,3,J)+PEPION(2,4,J)
      UVN2=UVP(3,1)+UVP(3,2)+UVP(3,3)
      PEN2=PEPION(3,1,J)+PEPION(3,2,J)+PEPION(3,3,J)
      UVNP=UVP(3,4)+UVP(3,5)+UVP(3,6)
      PENP=PEPION(3,4,J)+PEPION(3,5,J)+PEPION(3,6,J)
C....... calculate production ratios
      RATOX=0.0
      RATO2=0.0
      RATN2=0.0
      RAT2S=0.0
      RNP=0.0
      IF(UVOX.GT.0) RATOX=PEOX/UVOX
      IF(UVO2.GT.0) RATO2=PEO2/UVO2
      IF(UVN2.GT.0) RATN2=PEN2/UVN2
      IF(UVO2.GT.0) RNOP=(UVP(2,4)+UVP(2,5)+UVP(2,6))/UVO2
      IF(UVN2.GT.0) RAT2S=(UVP(3,6))/UVN2
      IF(UVN2.GT.0) RNP=UVNP/UVN2
      TPOX=PEOX+UVOX*1.0
      TPO2=PEO2+UVO2*1.0
      TPN2=PEN2+UVN2*1.0
      WRITE(I,90) ALT,RAT(1,1),RAT(1,2),RAT(1,3),RAT(3,1)
     > ,RAT(3,2),RAT(3,3),RATOX,RATO2,
     > RATN2,RAT2S,RNP,RNOP,UVOX,UVO2
C.....     > TPOX,TPO2,TPN2,UVOX,UVO2,UVN2
 90   FORMAT(F6.1,1P,22E9.2)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CEMOX(J,I,JP,Z,RTS,P1,P2,P3,P4,P5,P6,P7,P8,P9)
C.......... Electron impact excitation rates for atomic oxygen
C...... P1...P6 are the excitation rates for 1D, 1S, 1304, 989,
C...... 1027, 1356. P7-> not used
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION RTS(99)
      IF(JP.EQ.1) WRITE(I,92)
 92   FORMAT(/2X,'Photoelectron excitation rates for atomic oxygen
     > (photons/cm3/sec): 8446 = (0.5*1304 + 1027), 7774 = 0.5*1356'
     > ,/3X,'ALT',2X,'O(1D)'
     > ,3X,'O(1S)',3X,'T1304',3X,'T989',3X,'T1027',3X,'T1356'
     > ,3X,'E8446',3X,'E7774')
C...... The 8446 excitation rate is estimated using the results
C...... of Zipf and Erdman JGR, page 11089, 1985. in which they
C...... contend that the direct excitation of 1304 and 8446 are
C...... approximately equal. Since 8446 cascades to 1304, the 8446
C...... excitation rate is 0.5 of 1304. According to Meier Space Sci.
C...... Rev. 1991, the 1027 is trapped and cascades through 8446
      E8446=0.5*P3 + P5
C..... The 7774 emission is estimated in a similar manner to 8446
C..... The measurements of Gulcicek and Doering, JGR, p5885, 1988 
C..... indicate that 20% of the observed 1356 emission is due to direct
C..... excitation of 7774 followed by cascade. Most of the other quintet
C..... states cascade through 7774 to 1356 so a value of 0.5 has been 
C..... adopted for the proportion of the 1356 cascading via 7774
      E7774=0.5*P6
      WRITE(I,7) Z,P1,P2,P3,P4,P5,P6,E8446,E7774
      RETURN
 7    FORMAT(F6.1,1P,22E8.1)
      END

C:::::::::::::::::::::::::::::::::: HOTOXY ::::::::::::::::::::::::::::
        SUBROUTINE HOTOXY (IFILE, J, I, JP, Z, RTS, NOP, O2P, ON, N4S,
     >                     N2N, O2N, ZNE, N2P, N2D, O1D, NNO, NPLUS,
     >                     OP2D, OP2P, NR, VN2O, HN, TI,HEPLUS)
C...Calculate production rates for non-thermal (hot) atomic oxygen as
C...well as exothermicity production rates. Calculate normalized energy
C...spectrum for every altitude.
        IMPLICIT NONE
        INTEGER  IFILE, J, I, JP, JEXO, IDUM, NBIN(29), MAXBIN
        REAL*8   PHOTO(28), POEXO(28), EXODAT(28), Z, RTS(99), NOP(71), 
     >           O2P(71), ON(71), N4S(71), N2N(71), O2N(71), ZNE(71), 
     >           N2P(71), N2D(71), O1D(71), NNO(71), NPLUS(71), OP2D, 
     >           OP2P, NR(2,71),VN2O(6),HN(71),TI(71), PARTITION(28),
     >           XENERGY(60), SPECAMP(60), SPECRES, TOTHOTO,
     >           TOTAMP,HEPLUS
        DATA  EXODAT / 0.38, 2.75,  6.97, 5.02, 3.05, 2.38, 1.96, 5.00,
     >                 3.31, 1.46, 1.55, 1.33,  1.96, 3.76, 3.58, 3.25,
     >                 1.385, 6.67, 4.865, 3.02, 1.96, 4.20, 5.63, 0.30,
     >                 0.60, 0.90, 1.200, 1.00 /
C  The following PARTITION array accounts for conservation of momentum
C  and provides fraction of exothermic energy available to hot O.
	DATA  PARTITION / 0.467, 0.467, 0.500, 0.500, 0.500, 0.467,
     >                    0.500, 0.500, 0.500, 0.467, 0.667, 0.636,
     >                    0.636, 0.652, 0.467, 0.636, 0.652, 0.652,
     >                    0.667, 0.636, 0.667, 0.652, 0.636,
     >                    4*0.636, 0.056 /

        IF (JP.EQ.1) THEN
          WRITE(IFILE,1)
          IF(I.EQ.40) THEN
             WRITE(IFILE,*) ' Non-Thermal O Production Rates (large?)'
          ELSE IF(I.EQ.41) THEN 
             WRITE(IFILE,*) ' Non-Thermal O Production Rates (mod. ?)'
          ELSE IF(I.EQ.42) THEN 
             WRITE(IFILE,*) ' Kinetic Energy Production Rates (large?)'
          ELSE IF(I.EQ.43) THEN
             WRITE(IFILE,*) ' Kinetic Energy Production Rates (mod. ?)'
          ENDIF
          IF(I.EQ.40.OR.I.EQ.42) WRITE(IFILE,2) 
          IF(I.EQ.41.OR.I.EQ.43) WRITE(IFILE,3) 
          IF(I.EQ.44) WRITE(IFILE,31) 
        END IF
 1      FORMAT (/)
 2      FORMAT(' ALT   E+NO+    E+NO+    E+O2+    E+O2+    E+O2+',
     >   '    O+N(2D)  O+O(1D) O+O+(2P) O+O+(2D) N(2D)+O+  O2+O+',
     >   '  N2+O+(2D) O(1D)+N2 O2+N(2D)')
 3      FORMAT (' ALT   O+N(2P)  N+NO     N+O2     O2+N+'
     >   ,'   O2+O+(2D) N2+O+(2P) O2+O(1D) N+O2+    NO+N(2D)'
     >   ,' N2*(v=1,4) + O',22X,'O2+He+')
 31      FORMAT(4X,' Energy spectrum of hot O'
     >        ,/2X,'ENERGY   ALTIT.    AMP.')
 4      FORMAT (F6.1,1P,22E9.2)
 5      FORMAT (F6.1,1P,22E9.2)
 6	FORMAT (1P,E9.2,2X,0P,F6.1,2X,1P,E9.2)

        IF (I.EQ.40.OR.I.EQ.42.OR.I.EQ.44)  THEN
C...GROUP I CALCULATIONS:
C...The first 11 reactions can potentially produce large hot O populations
C...NO+ + e-  --> N(2D) + O + 0.38eV   (f=0.78)
          PHOTO(1) = RTS(5)*NOP(J)*ZNE(J)*0.78
C...NO+ + e-  --> N + O + 2.75eV  (f=0.22)
          PHOTO(2) = RTS(5)*NOP(J)*ZNE(J)*0.22

C...We neglect O(1S) production due to O2+ DR (=4%).
C...2 O atoms are produced in each reaction, hence the factor of 2
C...O2+ + e-  --> O + O + 6.97eV, f=33%
          PHOTO(3) = RTS(6)*O2P(J)*ZNE(J)*0.33*2.0
C...O2+ + e-  --> O + O(1D) + 5.02eV, f=21%
          PHOTO(4) = RTS(6)*O2P(J)*ZNE(J)*0.21*2.0
C...O2+ + e-  --> O(1D) + O(1D) + 6.97eV, f=42%
          PHOTO(5) = RTS(6)*O2P(J)*ZNE(J)*0.42*2.0

C...N(2D) + O  --> N + O + 2.38eV
          PHOTO(6) = RTS(15)*N2D(J)*ON(J)
C...O(1D) + O  --> O + O + 1.96eV    Note: 2 O atoms produced
          PHOTO(7) = RTS(69)*O1D(J)*ON(J)*2.0
C...O+(2P) + O  --> O + O + 5eV
          PHOTO(8) = RTS(26)*OP2P*ON(J)

C...O+(2D) + O  --> O+ + O + 3.31eV
          PHOTO(9) = RTS(28)*OP2D*ON(J)
C...O+ + N(2D)  --> O + N+ + 1.46eV
          PHOTO(10) = RTS(29)*NR(1,J)*N2D(J)

C...O+ + O2  --> O2+ + O + 1.55eV
          PHOTO(11) = RTS(4)*NR(1,J)*O2N(J)
C...O+(2D) + N2  --> N2+ + O + 1.33eV
          PHOTO(12) = RTS(19)*OP2D*N2N(J)

C...O(1D) + N2  --> O + N2 + 1.96eV
          PHOTO(13) = RTS(33)*O1D(J)*N2N(J)

C...The following hot O is not created chemically. It is now deleted
C...from the calculations, but left commented here for reference only.
C... O+ + H  --> O + H + kTi eV. Only if Ti > 3000; partitioning=0.059
C...energy added for O+ + H reaction 8.63E-5 is Boltzman k in eV units.
C...          PHOTO(14)=0.0
C...          IF(TI(J).GT.3000.) PHOTO(14) = RTS(2)*NR(1,J)*HN(J)
C...          POEXO(14)=PHOTO(14)*8.63E-5*TI(J)

C...N(2D) + O2  --> NO + O + 3.76eV
          PHOTO(14) = RTS(16)*N2D(J)*O2N(J)

          IF(I.EQ.40) WRITE(IFILE,4) Z, (PHOTO(IDUM),IDUM=1,14)
        ENDIF
C
C...GROUP II CALCULATIONS:
C...The next several (15 to 20) reactions may produce moderate
C...populations of hot O:
C
        IF (I.EQ.41.OR.I.EQ.43.OR.I.EQ.44)  THEN
C...N(2P) + O  --> N + O + 3.58eV
          PHOTO(15) = RTS(37)*N2P(J)*ON(J)
C...NO + N  --> N2 + O + 3.25eV
          PHOTO(16) = RTS(9)*N4S(J)*NNO(J)

C...N + O2  --> NO + O + 1.385eV
          PHOTO(17) = RTS(7)*N4S(J)*O2N(J)
C...N+ + O2  --> NO+ + O + 6.67eV
          PHOTO(18) = RTS(30)*NPLUS(J)*O2N(J)

C...O+(2D) + O2  --> O2+ + O + 4.865eV
          PHOTO(19) = RTS(43)*OP2D*O2N(J)
C...O+(2P) + N2  --> N2+ + O + 3.02eV
          PHOTO(20) = RTS(20)*OP2P*N2N(J)

C The next 3 reactions will only produce small populations of hot O:
C...O(1D) + O2  --> O + O2 + 1.96eV
          PHOTO(21) = RTS(34)*O1D(J)*O2N(J)
C...O2+ + N  --> NO+ + O + 4.2eV ?
          PHOTO(22) = RTS(21)*O2P(J)*N4S(J)

C...NO + N(2D)  --> N2 + O + 5.63eV
          PHOTO(23) = RTS(41)*NNO(J)*N2D(J)

C... VN2O(I) = N2*(v=I) + O --> N2(V=0) + O + (I-1)*0.3 eV (I>1)
	  DO  JEXO = 24, 27
	    PHOTO(JEXO) = VN2O(JEXO-22)
	  END DO

C...He+ + O2 --> He + O + O+ ASSUME + 1eV (although He+ gets most of it)
	  PHOTO(28) = RTS(76)*O2N(J)*HEPLUS

          IF(I.EQ.41) WRITE(IFILE,5) Z, (PHOTO(IDUM), IDUM=15,28)
        END IF

C...Calculate production rate of exothermic energy available to O 
C...(POEXO)
C... first block of reactions
        IF (I.EQ.42)  THEN
          DO  JEXO = 1, 14
            POEXO(JEXO) = PARTITION(JEXO)*EXODAT(JEXO)*PHOTO(JEXO)
          END DO
          WRITE(IFILE,4) Z, (POEXO(IDUM), IDUM=1,14)

C... second block of reactions
C... VN2O(I) = N2*(v=I) + O --> N2(V=0) + O + (I-1)*0.3 eV (I>1)
C... This corresponds to array elements 24 to 27 in following arrays.
C... Note complete quenching is assumed - upper limit
        ELSE IF (I.EQ.43)  THEN
          DO  JEXO = 15, 28
            POEXO(JEXO) = PARTITION(JEXO)*EXODAT(JEXO)*PHOTO(JEXO)
          END DO
          WRITE(IFILE,5) Z, (POEXO(IDUM), IDUM=15,28)
        END IF

	IF (I.LT.44)  RETURN
C---- This section computes spectral energy distribution. 

	  SPECRES = 0.2
	  MAXBIN  = 0
C... Determine energy bin to which each reaction contributes
	  DO  JEXO = 1, 28
	    NBIN(JEXO) = 1+INT(PARTITION(JEXO)*EXODAT(JEXO)/SPECRES)
	  END DO
C... Find maximum number of energy bins
	  DO  JEXO = 1, 28
	    MAXBIN = MAX(MAXBIN,NBIN(JEXO))
	  END DO
C... Fill XENERGY array (plots) = energy at midpoint of each energy bin
	  DO  JEXO = 1, MAXBIN
	    XENERGY(JEXO) = SPECRES*(REAL(JEXO-1)+0.5)
	  END DO
C... Determine total number density of hot O
	  TOTHOTO = 0.0
	  DO  JEXO = 1, 28
	    TOTHOTO = TOTHOTO+PHOTO(JEXO)
	  END DO
C... Determine normalized spectral amplitude, SPECAMP
	  DO  JEXO = 1, 28
	    SPECAMP(NBIN(JEXO)) = 0.0
	  END DO
	  DO  JEXO = 1, 28
	    SPECAMP(NBIN(JEXO)) = SPECAMP(NBIN(JEXO))+PHOTO(JEXO)/TOTHOTO
	  END DO
C... Now write every energy, altitude and spectral amplitude to file
C... Note: Write a line for each bin, as required by AXUM plot
	  TOTAMP = 0.0
	  DO  IDUM = 1, MAXBIN
	    WRITE(IFILE,6) XENERGY(IDUM), Z, SPECAMP(IDUM)
	    TOTAMP = TOTAMP+SPECAMP(IDUM)
	  END DO

C... Output several variables here for checking output
C...	IF (Z.LT.203.) THEN
C...	  WRITE(99,*)' Eqn.#    PHOTO      Bin#     SPECAMP'
C...	  DO  JEXO = 1, 28
C...	    WRITE(99,99) JEXO, PHOTO(JEXO), NBIN(JEXO),
C...     >                   SPECAMP(NBIN(JEXO))
C...	  END DO
C...	  WRITE(99,*)' TOTHOTO = ',TOTHOTO,'  TOTAMP = ',TOTAMP
C...	END IF
99	FORMAT(3X,I2,3X,1P,E9.2,5X,0P,I2,1P,6X,E9.2)

        RETURN
        END

C.................... CODDN.FOR;1 .......... 16-SEP-1994 14:57:22.60 
      SUBROUTINE PRLN(ID,I,J,JP,IPR,PROD,LOSS,VCON,IVLPS)
C...... this program was written to calculate the production and
C...... losses for the species n(2d),o(1d),no,n(4s). it also calc-
C...... ulates the densities of many minor ions and neutral species
C...... from the assumption of chemical equilibrium. the prod @
C...... loss rates, and concentrations of these species can be
C...... printed in the middle section of the program. in the final
C...... section of the program a calculation of the heating efficiency
C...... of the neutral gas is done.
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
CGAG--  G. GERMANY  11/4/91
      REAL ENTION,PNTXIT,PNTION,ANTION,ANTEX,TOTION,TOTEX
      DIMENSION PROD(6),LOSS(6),RTS(99),R42(71),VCON(71),LR(22)
     >  ,FEX(2),VN2O(6),COOL(22)
      COMMON/MION/NOP(71),N2PLS(71),O2P(71)
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/ENLOSS/ENL(20,71)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      COMMON/ALT/Z(401),DT,DW,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,IION
C....... for the production rates consult subroutine prdint
      COMMON/PRTER/PUVN2P(71),PUVO2D(71),PEO1D(71),PUVO2P(71)
     >  ,PUOP2P(71),UVDISN(71),PSRNO(71),PO1DSR(71),PO1SEL(71)
     >  ,PN2A3S(71),PDISOP(71),PUVIOP(71),PRN2XS(71),PRN2AP(71)
     >  ,PRN2BS(71),DISNP(71),DISN4S(71),DISN2D(71),DISN2P(71),PRHEP(71)
     >  ,HEPLUS(71),NPLUS(71),PLYNOP(71),PHOTN(71)
C----- three commons to hold the EUV, AURoral, and TOTal production rates
C-----  G. GERMANY  11/4/91
      COMMON/EPRDNT/ENTION(3,12,71),PNTXIT(3,12,71),PNTION(3,12,71)
      COMMON/APRDNT/ANTION(3,12,71),ANTEX(3,12,71)
      COMMON/PTOTV/TOTION(3,12,71),TOTEX(3,12,71)
C  for the IBM since EHT is not used
      EHT=0.0
C
C*****  obtain reaction rates from subr rats to get their densities
       CALL RATS(J,TE(J),TIZ(J),TN(J),RTS)
C++++++++ multiply o+ + n2 rate by factor for vib n2 ++++
      IF(VCON(J).LE.1) VCON(J)=1.0
      IF(VCON(J).GT.50.0) WRITE(6,901)
!      IF(VCON(J).GT.50.0) WRITE(3,901)
 901  FORMAT(/22X,'N2* RATE FACTOR EXCESSIVE IN PRLN'/)
      IF(VCON(J).GT.50.0) STOP
      RTS(3)=RTS(3)*VCON(J)
      RTS(99)=RTS(42)*RTS(10)
C
C....... he+ calculation oppenheimer et al
C
      ZNE(J)=NR(1,J)+NR(2,J)+NOP(J)+O2P(J)+N2PLS(J)
C............ o+(2p)
      CALL COP2P(J,0,0,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),OP2P
     > ,PUOP2P(J),0.0D0)
C............ o+(2d)
      CALL COP2D(J,0,0,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),OP2D
     > ,PUVO2D(J),OP2P)
C
      NMIN=OP2D+OP2P+NPLUS(J)+HEPLUS(J)
C
      IF(JTER.GT.1.OR.I.EQ.1.OR.I.EQ.-1.OR.I.GT.2) GO TO 12
C.......... newton solution for electron density (zne)
      JITER=0
      ZNE(J)=NR(1,J)+NR(2,J)+NOP(J)+O2P(J)+N2PLS(J)+NMIN
      IF(ZNE(J).LT.10.) ZNE(J)=10.0
C.......THE NEXT THREE LINES SHOULD BE COMMENTED TO KILL VIBN2P............
C....... call vibn2p to get effective n2+ + o->n2 + o+ rate
C...      IF(CHIV(j).LT.1.57) CALL VIBN2P(J,3,0,N2N(J),ON(J),ZNE(J),OP2P
C...     > ,OP2D,RTS,PRN2XS(J),PRN2AP(J),PRN2BS(J),O2N(J),NTOT,ZR(J))
C     IF(CHIV(J).LT.1.57) CALL VIBN2P(J,3,0,N2N(J),ON(J),ZNE(J),OP2P
C    > ,OP2D,RTS,PRN2XS(J),PRN2AP(J),PRN2BS(J),O2N(J),NTOT,ZR(J))
      R42(J)=RTS(99)
C
 9    DO 10 ITS=1,2
      IF(JITER.EQ.0) H=ZNE(J)*0.001D0
      IF(ITS.EQ.2) ZNE(J)=ZNE(J)+H
C........... n2+
      CALL CN2PLS(J,0,0,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,N2PLS(J),ENTION(3,1,J),ENTION(3,2,J),ENTION(3,3,J)
     > ,PNTION(3,1,J)+ANTION(3,1,J),PNTION(3,2,J)+ANTION(3,2,J)
     > ,PNTION(3,3,J)+ANTION(3,3,J),OP2D,OP2P,HEPLUS(J))
C
C........... o2+
      CALL CO2P(J,0,0,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),PO2P
     > ,O2P(J),PUVO2P(J),NR(1,J),OP2D,N2PLS(J),NPLUS(J),NV(2,J),NV(3,J))
C
C........... no+
      CALL CNOP(J,0,0,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),PNOP,NOP(J)
     >  ,NR(1,J),N2PLS(J),O2P(J),NV(2,J),NV(3,J),NPLUS(J),N2P(J)
     >  ,PLYNOP(J),VCON(J))
C
C.....calculation of ne from the total ion concentration
      B=NR(1,J)+NR(2,J)+N2PLS(J)+NMIN
      C=PNOP/RTS(5)+PO2P/RTS(6)
      IF(JITER.EQ.0) ZNE(J)=(B+DSQRT(B*B+4.0*C))/2.0
      FEX(ITS)=ZNE(J)-NR(1,J)-NR(2,J)-NOP(J)-O2P(J)-N2PLS(J)-NMIN
 10   CONTINUE
C
      JITER=JITER+1
      IF(JITER.EQ.1) GO TO 9
      DEX=(FEX(2)-FEX(1))/H
      ZNE(J)=ZNE(J)-H-FEX(1)/DEX
      IF(JITER.GT.9) GO TO 14
      IF(ABS(FEX(1)/DEX/ZNE(J)).GT.1.0E-2) GO TO 9
      DX=ABS(FEX(1)/DEX)
      IF(JITER.GT.5) WRITE(6,58) J,JITER,ZNE(J),DX
 58   FORMAT(3I6,1P,22E10.2)
CGAG----------------------------------------------------------|
CGAG   10/24/91   PGR'S SUGGESTION...
CGAG
CGAG 14   IF(JITER.GT.9) WRITE(6,57) J
CGAG 57   FORMAT('   NEWTON NON-CONVERGENCE IN SUB PRLN AT PT. J=',I3)
CGAG      IF(JITER.GT.9) STOP
 14   IF(JITER.GT.22) THEN
         WRITE(6,57) J
 57      FORMAT('   NEWTON NON-CONVERGENCE IN SUB PRLN AT PT. J=',I3)
         STOP
      ENDIF     
CGAG----------------------------------------------------------|
 12   CONTINUE
C....... Store N2+(v) + O reaction rate for N2+ subroutine
      RTS(99)=R42(J)
C
C........n2(a3sigma)
      CALL CN2A(J,0,0,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,N2A,TOTEX(3,1,J),TOTEX(3,2,J),TOTEX(3,3,J),TOTEX(3,4,J))
C...... densities for O2 atmospheric bands
        CALL CO2(J,0,0,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,BOD3,O1D(J),O2SS,TN(J),O2B1,O2DEL,O2ADEL,O2ASIG)
C.......O(1S)
      CALL CO1S(J,0,0,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,O1S,O2P(J),N4S(J),PO1SEL(J),NPLUS(J),N2A,PO1DSR(J),O2ADEL,O2DEL)
C
C
C......... production rates for metastables and odd nitrogen ........
C
C
       CALL CN2P(J,0,0,ZR(J),RTS,ON(J),O2N(J)
     > ,N2N(J),ZNE(J),PROD(5),LOSS(5),N2P(J),DISN2P(J),UVDISN(J),O2P(J)
     > ,NV(3,J),N2PLS(J))
      IF(IPR.LT.5) N2P(J)=PROD(5)/LOSS(5)
C
      CALL CN2D(J,0,0,ZR(J),RTS,ON(J),O2N(J),N2N(J)
     > ,NOP(J),ZNE(J),PROD(1),LOSS(1),N2PLS(J),DISN2D(J),UVDISN(J)
     > ,NPLUS(J),N2P(J),N2D(J),NR(1,J),NNO(J))
C
      IF(IVLPS.EQ.-9) N2D(J)=PROD(1)/LOSS(1)
      IF(IVLPS.EQ.-9) NV(1,J)=PROD(1)/LOSS(1)
C
      CALL CN4S(J,0,0,ZR(J),RTS,ON(J)
     > ,O2N(J),N2N(J),ZNE(J),PROD(2),LOSS(2),N4S(J),DISN4S(J),NV(1,J)
     > ,N2P(J),NR(1,J),N2PLS(J),UVDISN(J),NOP(J),NPLUS(J),NV(3,J)
     > ,O2P(J),PSRNO(J),VCON(J))
C
      CALL CNO(J,0,0,ZR(J),RTS,ON(J),O2N(J),N2N(J)
     >   ,ZNE(J),PROD(3),LOSS(3),NV(1,J),NV(2,J),N2P(J)
     > ,NNO(J),O2P(J),NR(1,J),PSRNO(J),PLYNOP(J))
C
      CALL CO1D(0,J,0,0,ZR(J),RTS,ON(J),O2N(J)
     > ,N2N(J),ZNE(J),PROD(4),LOSS(4),O2P(J),NV(1,J),PEO1D(J),PO1DSR(J)
     > ,O1S,NPLUS(J),O1D(J))
C
      IF(JTER.LE.1.AND.IPR.LT.3) NNO(J)=PROD(3)/LOSS(3)
      IF(JTER.LE.1.AND.IPR.LT.4) O1D(J)=PROD(4)/LOSS(4)
      IF(I.LT.2) RETURN
C
C
C...... this next section for printing densities and production rates
C
      IF(IVLPS.EQ.-9) O1D(J)=PROD(4)/LOSS(4)
C
      IF(I.EQ.2) CALL CION(J,ID,JP,ZR(J),NR(1,J),O2P(J),NOP(J),N2PLS(J)
     > ,NPLUS(J),OP2D,OP2P,ZNE(J),TE(J),TIZ(J),VCON(J),HEPLUS(J)
     > ,NR(2,J))
C
      IF(I.EQ.3) CALL CNEUT(J,ID,JP,ZR(J),O1S,N2A,N2D(J),O1D(J),NNO(J),
     > N4S(J),N2P(J))
C
C------ Some production rates for printing  converts SP to DP
      P3X11=TOTEX(3,11,J)
      P3X12=TOTEX(3,12,J)
      P3X2=TOTEX(3,2,J)
      P3X3=TOTEX(3,3,J)
      T3I6=TOTION(3,6,J)
C
C----- important emission rates
      IF(I.EQ.4) CALL CEMM(J,ID,JP,ZR(J),RTS,O1D(J),N2D(J),OP2P,O1S
     > ,DISNP(J),ZNE(J),ON(J),N2N(J),N4S(J),P3X12,P3X11,N2A,P3X2,P3X3
     > ,T3I6)
C
      IF(I.EQ.5) CALL CO2EM(J,ID,JP,ZR(J),O2B1,O2DEL,O2SS,O2ADEL,O2ASIG)
C
      IF(I.EQ.6) CALL CN2D(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),NOP(J)
     > ,ZNE(J),PP,LL,N2PLS(J),DISN2D(J),UVDISN(J),NPLUS(J),N2P(J)
     > ,N2D(J),NR(1,J),NNO(J))
C
C ------ O(1D) production rates
      IF(I.EQ.7) CALL CO1D(0,J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J)
     > ,ZNE(J),PP,LL,O2P(J),N2D(J),PEO1D(J),PO1DSR(J),O1S,NPLUS(J)
     > ,O1D(J))
C
C------ O(1D) emission rates
      IF(I.EQ.36) CALL CO1D(1,J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J)
     > ,ZNE(J),PP,LL,O2P(J),N2D(J),PEO1D(J),PO1DSR(J),O1S,NPLUS(J)
     > ,O1D(J))
C
      IF(I.EQ.8) CALL CNO(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,PP,LL,N2D(J),N4S(J),N2P(J),NNO(J),O2P(J),NR(1,J),PSRNO(J)
     > ,PLYNOP(J)) !JNTU,VCON(J))
C
      IF(I.EQ.9) CALL CN4S(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,PP,LL,N4S(J),DISN4S(J),N2D(J),N2P(J),NR(1,J),N2PLS(J)
     > ,UVDISN(J),NOP(J),NPLUS(J),NNO(J),O2P(J),PSRNO(J),VCON(J))
C
      IF(I.EQ.10) CALL CO1S(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,O1S,O2P(J),N4S(J),PO1SEL(J),NPLUS(J),N2A,PO1DSR(J),O2ADEL,O2DEL)
C
      IF(I.EQ.11) CALL CN2PLS(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J)
     > ,ZNE(J),N2PLS(J),ENTION(3,1,J),ENTION(3,2,J),ENTION(3,3,J)
     > ,PNTION(3,1,J)+ANTION(3,1,J),PNTION(3,2,J)+ANTION(3,2,J)
     > ,PNTION(3,3,J)+ANTION(3,3,J),OP2D,OP2P,HEPLUS(J))
C
      IF(I.EQ.12) CALL CNOP(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,PNOP,NOP(J),NR(1,J),N2PLS(J),O2P(J),N4S(J),NNO(J),NPLUS(J)
     > ,N2P(J),PLYNOP(J),VCON(J))
C
      IF(I.EQ.13) CALL CO2P(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,PO2P,O2P(J),PUVO2P(J),NR(1,J),OP2D,N2PLS(J),NPLUS(J),N4S(J)
     > ,NNO(J))
C
C---- Calculate O+(4S) production and loss rates
      IF(I.EQ.14) THEN
         EUVP4S=ENTION(1,7,J)
         PEOP4S=PNTION(1,7,J)+ANTION(1,7,J)
         CALL COP4S(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),NR(1,J)
     >    ,EUVP4S,OP2D,OP2P,PEOP4S,PDISOP(J),N2PLS(J),N2D(J),NNO(J)
     >    ,VCON(J))
      ENDIF
C
      IF(I.EQ.15) CALL COP2D(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J)
     > ,ZNE(J),OP2D,PUVO2D(J),OP2P)
C
      IF(I.EQ.16) THEN
         PEOP2P = PNTION(1,9,J)+ANTION(1,9,J)
         CALL COP2P(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),OP2P
     >    ,PUOP2P(J),PEOP2P)
      ENDIF
C
      IF(I.EQ.17) CALL CNPLS(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J)
     > ,ZNE(J),DISNP(J),NPLUS(J),NR(1,J),N2D(J),OP2P,HEPLUS(J),PHOTN(J))
C
      IF(I.EQ.18) CALL CN2A(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,N2A,TOTEX(3,1,J),TOTEX(3,2,J),TOTEX(3,3,J),TOTEX(3,4,J))
C
      IF(I.EQ.19) CALL CN2P(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,PP,LL,N2P(J),DISN2P(J),UVDISN(J),O2P(J),NNO(J),N2PLS(J))
C
      IF(I.EQ.20) CALL CHEP(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,HEPLUS(J),PRHEP(J),HE(J))
C
      IF(I.EQ.21) CALL CRT1(J,ID,JP,ZR(J),RTS)
C
      IF(I.EQ.22) CALL CRT2(J,ID,JP,ZR(J),RTS)
C
      IF(I.EQ.23) CALL CMSIS(J,ID,JP,ZR(J),ON(J),O2N(J),N2N(J),HE(J)
     > ,HN(J),TN(J))
C
      IF(I.EQ.24) CALL C1200(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J)
     > ,ZNE(J),P3X12,P3X11,N4S(J),DISNP(J))
C
      IF(I.EQ.25) CALL CO2(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,BOD3,O1D(J),O2SS,TN(J),O2B1,O2DEL,O2ADEL,O2ASIG)
C
      IF(I.EQ.26) CALL CN2PV(J,ID,JP,ZR(J),RTS,ON(J),O2N(J),N2N(J)
     > ,ZNE(J),OP2P,OP2D,PRN2XS(J),PRN2AP(J),PRN2BS(J))
C
      IF(I.EQ.27) CALL PRDPRA(J,ID,JP,ZR(J))
C
CGAG--------------------------------------------------------------------|
CGAG  G. GERMANY  11/22/91
CGAG  ADDED CALL TO CEMOX USING INTERPOLATED VALUES
CGAG
      IF(I.EQ.28) THEN
CGAG
CGAG  FIRST CALCULATE PASSED VALUES: SUM OF AURORAL AND PE SOURCES
       P1=TOTEX(1,1,J)
       P2=TOTEX(1,2,J)
       P3=TOTEX(1,3,J)
       P4=TOTEX(1,4,J)
       P5=TOTEX(1,5,J)
       P6=TOTEX(1,6,J)
       P7=TOTEX(1,7,J)
       P8=TOTEX(1,8,J)
       P9=TOTEX(1,9,J)
CGAG
CGAG  THEN CALL CEMOX...
       CALL CEMOX(J,ID,JP,ZR(J),RTS,P1,P2,P3,P4,P5,P6,P7,P8,P9)
CGAG
      ENDIF
CGAG--------------------------------------------------------------------|
C
C.............. Electron cooling -- PUT IN CMINOR
 45   IF(I.NE.29) GO TO 46
       NMINOR=NOP(J)+O2P(J)+N2PLS(J)
      CALL ECRATS(3,J,ZR(J),TE(J),TIZ(J),TN(J),NR(1,J),NR(2,J)
     > ,NMINOR,ON(J),N2N(J),O2N(J),HN(J),EHT,TLSS,FOL,COOL)
      ENL(8,J)=TLSS
      ENL(20,J)=FOL
 46   CONTINUE
C
C****************************************************
C...... the following section calculates the various components
C...... of the euv heating efficiency of the neutral atmosphere
C*******************************************************
C
C
!      IF(J.EQ.JP.AND.I.EQ.30) WRITE(3,149)
! 149   FORMAT(///22X,'----EUV HEATING OF THE NEUTRAL ATMOSPHERE-----'/)
C
      IF(I.NE.30) GO TO 51
!      IF(J.EQ.JP) WRITE(3,150)
! 150  FORMAT(/14X,'O2 dissociative energy losses',22X,' heating from O2'
!     >,' quenching',/1X,'ALT   S-R    N2D+O2  N4S+O2  N++O2   E+O2+   '
!     >,'N+O2+'
!     >,'    O2**   O2del    O2b1   O2ADEL  O2ASIG')
      LR(1)=5.08*PO1DSR(J)
      LR(2)=5.08*N2D(J)*O2N(J)*RTS(16)
      LR(3)=5.08*RTS(7)*O2N(J)*N4S(J)
      LR(4)=5.08*RTS(25)*O2N(J)*NPLUS(J)
      LR(5)=5.08*RTS(6)*ZNE(J)*O2P(J)
      LR(6)=5.08*RTS(21)*O2P(J)*N4S(J)
      LR(7)=2.3*O2SS*(5.0E-13*O2N(J)+3.0E-11*ON(J))
      LR(8)=O2DEL*(1.3E-16*ON(J)+2.6E-20*TN(J)**.78*O2N(J)+1.0E-20*
     > N2N(J))
      LR(9)=.7*O2B1*2.2E-15*N2N(J)
      LR(10)=O2ADEL*3.0*2.0E-13*N2N(J)
      LR(11)=3.0*O2ASIG*(3.0E-13*N2N(J)+3.0E-13*ON(J))
      ENL(1,J)=LR(1)+LR(2)+LR(3)+LR(4)+LR(5)+LR(6)
      ENL(4,J)=LR(7)+LR(8)+LR(9)+LR(10)+LR(11)
!jntu      WRITE(3,88) INT(ZR(J)),(LR(K),K=1,11)
      RETURN
C
 51   IF(I.NE.31) GO TO 52
!jntu      IF(J.EQ.JP) WRITE(3,151)
! 151  FORMAT(/2X,'forbidden radiation losses',/1X,'ALT  O(1D)   O(1S)'
!     >  ,'  O+(2P)   N(2A)   N(2P)   N(2D)   O2atm')
      LR(1)=1.96*O1D(J)*RTS(54)
      LR(2)=2.05*(RTS(55)+RTS(56))*O1S
      LR(3)=1.70*0.171*OP2P
C...... N(2A) emissions result in 4 not 6eV due to vibrational excitation
      LR(4)=4.0*0.57*N2A
      LR(5)=(3.58*RTS(58)+1.119*RTS(57))*N2P(J)
      LR(6)=2.4*N2D(J)*RTS(61)
C...... O2 atmospheric O+O+M
      LR(7)=1.7*0.083*O2B1
      ENL(2,J)=LR(1)+LR(2)+LR(3)+LR(4)+LR(5)+LR(6)+LR(7)
!jntu      WRITE(3,88) INT(ZR(J)),(LR(K),K=1,7)
      RETURN
C
 52   IF(I.NE.32) GO TO 53
!jntu      IF(J.EQ.JP) WRITE(3,152)
! 152  FORMAT(/'  permitted radiation losses',/1X,'ALT  O+(4P) O+(2P*)'
!     >,'   1pos    2pos    LBH     O2+     N2+      O2     O',
!     >'    63u(e*) 63u(O+O) 5.3u(NO)')
C,,,,,,,, for atomic oxygen ions >o+(4p)*
       LR(1)=11.71*(TOTION(1,4,J))
       LR(2)=19.20*(TOTION(1,5,J))
C.......... heat radiated by n2(b->a, 0.5c->b->a, a->x, others)
       LR(3)=1.1*TOTEX(3,2,J)
       LR(4)=3.9*TOTEX(3,3,J)
       LR(5)=2.3*TOTEX(3,4,J)
C........... o2+ (1st 4 states)
      LR(6)=4.0*TOTION(2,2,J)+ 4.8*TOTION(2,3,J)+ 6.1*TOTION(2,4,J)
C........ radiation from n2+ ......
      LR(7)=1.15*TOTION(3,2,J)+ 3.2*TOTION(3,3,J)
C,,,,,,,,,,, o2(1st four levels)
      LR(8)=5.0*TOTEX(2,12,J)
C...... radiations from O minus O(1D) and O(1S)
      LR(9)=12.0*TOTEX(1,12,J)
C........ e* + O -> 63u
      LR(10)=ENL(20,J)
      ENL(3,J)=LR(1)+LR(2)+LR(3)+LR(4)+LR(5)+LR(6)+LR(7)+LR(8)+LR(9)
     > +LR(10)
C
C,,,,,,,,,,,, 63 micron radiation ---- o-o collisions
      ENL(6,J)=ON(J)*1.044E-6*EXP(-228.0/TN(J))/
     >       (1.0+0.6*EXP(-228.0/TN(J))+0.2*EXP(-325.0/TN(J)))
C
C........ cooling by 5.3 micron (no*) kockarts grl february 1980 p137
      W=6.5E-11*ON(J)/(6.5E-11*ON(J)+13.3)
      ENL(13,J)=0.232875*NNO(J)*W*13.3*EXP(-2700.0/TN(J))
      LR(11)=ENL(6,J)
      LR(12)=ENL(13,J)
!jntu      WRITE(3,88) INT(ZR(J)),(LR(K),K=1,12)
      RETURN
 53   IF(I.NE.34) GO TO 55
!jntu      IF(J.EQ.JP) WRITE(3,154)
! 154  FORMAT(/2X,'metastable kinetic heating',/1X,'ALT  N2D+O '
!     >,' N2D+O2   N2D+e  O1D+N2  O1D+O2  O+2D+N2  O+N2+  e+O+2D  O+O+2P'
!     >,'  N2+O+2P e+O+2P   O+N2A   O+N2P   O+N2*   O2 qch')
      LR(1)=2.38*N2D(J)*ON(J)*RTS(15)
      LR(2)=1.84*N2D(J)*O2N(J)*RTS(16)
      LR(3)=2.38*N2D(J)*ZNE(J)*RTS(8)
      LR(4)=1.96*O1D(J)*N2N(J)*RTS(33)
      LR(5)=1.96*O1D(J)*O2N(J)*RTS(34)
      LR(6)=1.33*OP2D*RTS(19)*N2N(J)
      LR(7)=2.3*N2PLS(J)*ON(J)*R42(J)
      LR(8)=3.31*OP2D*ZNE(J)*RTS(12)
      LR(9)=5.00*RTS(26)*ON(J)*OP2P
      LR(10)=3.02*RTS(20)*N2N(J)*OP2P
      LR(11)=1.69*RTS(13)*ZNE(J)*OP2P
      LR(12)=6.14*RTS(36)*ON(J)*N2A
      LR(13)=3.0*RTS(37)*N2P(J)*ON(J)
C....... n2 vibrational heating via o and o2 quenching
      LR(14)=0.0D0
      EXPTN=EXP(3380.0/TN(J))
      C01=TN(J)**2.87*2.4685E-22/EXPTN
      C01ON=C01*ON(J)
      DO 379 IS=2,6
C******* B7=prod due to t-v between o and n2
      IF(IS.NE.1) B7=C01ON*((IS-1)*STR(IS-1,J)+IS*EXPTN*STR(IS+1,J))
C******* B8=loss due to quenching of n2 by o
      IF(IS.LE.9) B8=C01ON*((IS-1)*EXPTN+IS)*STR(IS,J)
      LR(14)=LR(14)+0.28*(B8-B7)
 379  CONTINUE
       IF(LR(14).LT.0) LR(14)=0.0D0
      LR(15)=ENL(4,J)
      ENL(4,J)=LR(1)+LR(2)+LR(3)+LR(4)+LR(5)+LR(6)+LR(7)+LR(8)
     > +LR(9)+LR(10)+LR(11)+LR(12)+LR(13)+LR(14)
!jntu      WRITE(3,88) INT(ZR(J)),(LR(K),K=1,15)
      RETURN
C
 55   IF(I.NE.35) GO TO 56
!jntu      IF(J.EQ.JP) WRITE(3,155)
! 155   FORMAT(/2X,'ground state kinetic heating',/1X,'ALT  O+N2+',
!     > '   E+N2+   O2+N2+  E+NO+   E+O2+   N+O2+   N+O2+   NO+O2+',
!     > '  N2+O+   O2+O+   N+NO    N+O2    O2+N+   O2+N+   O+N+')
      LR(1)=0.70*RTS(10)*ON(J)*N2PLS(J)
      LR(2)=3.44*RTS(11)*ZNE(J)*N2PLS(J)
      LR(3)=3.53*RTS(17)*O2N(J)*N2PLS(J)
      LR(4)=0.90*NOP(J)*ZNE(J)*RTS(5)
      LR(5)=4.42*RTS(6)*ZNE(J)*O2P(J)
      LR(6)=4.19*RTS(21)*O2P(J)*N4S(J)
      LR(7)=0.05*RTS(21)*O2P(J)*N4S(J)
      LR(8)=2.81*RTS(23)*O2P(J)*NNO(J)
      LR(9)=1.10*NR(1,J)*N2N(J)*VCON(J)*RTS(3)
      LR(10)=1.55*NR(1,J)*O2N(J)*RTS(4)
      LR(11)=1.85*RTS(9)*N4S(J)*NNO(J)
      LR(12)=1.42*RTS(7)*O2N(J)*N4S(J)
      LR(13)=6.67*RTS(30)*O2N(J)*NPLUS(J)
      LR(14)=0.11*RTS(25)*O2N(J)*NPLUS(J)
      LR(15)=0.93*RTS(31)*ON(J)*NPLUS(J)
      ENL(5,J)=LR(1)+LR(2)+LR(3)+LR(4)+LR(5)+LR(6)+LR(7)+LR(8)
     > +LR(9)+LR(10)+LR(11)+LR(12)+LR(13)+LR(14)+LR(15)
!jntu      WRITE(3,88) INT(ZR(J)),(LR(K),K=1,15)
 56    CONTINUE
C........ Heating from 3 body collisions O+O+M
      ENL(7,J)=BOD3*5.08
C
C........ ENL(8,J) = thermal e cooling. See sub ECRATS on READMA.FOR
C........o2 dissoc heating
      ENL(9,J)=ENL(11,J)-7.04*PO1DSR(J)
C
C........ initial energy partition (euv deposition rate) - first into ions
       ENL(10,J)=ENTION(1,10,J)
C........ energy to photoelectrons (and auroral electrons)
       ENL(15,J)=ENTION(1,11,J)
C
C........ ENL(11,J)= S-R deposition rate. See sub SCHUMN on RSPRIM.FOR
C
C.............. kinetic heating from n2 euv dissociation.........
C
       ENL(12,J)=1.0*UVDISN(J)+2.0*DISNP(J)

C....If I = 40, 41, 42 or 43 calculate hot O population.
        IF (I.GE.40.AND.I.LE.44) THEN

C------ Hot oxygen production rates from N2*
          EXPTN=EXP(3380/TN(J))
          C01=TN(J)**2.87*2.4685E-22/EXPTN
          C01ON=C01*ON(J)
          DO 656 IL=1,6
            VN2O(IL)=C01ON*((IL-1)*EXPTN+IL)*NVS(IL,J)
 656      CONTINUE

          CALL HOTOXY(ID,J,I,JP,ZR(J),RTS,NOP,O2P,ON,N4S,N2N,O2N,ZNE
     >    ,N2P,N2D,O1D,NNO,NPLUS,OP2D,OP2P,NR,VN2O,HN,TIZ,HEPLUS(J))
        END IF
C
! 88   FORMAT(I4,1P,22E8.1)
 89   FORMAT(I4,1P,8E8.1,0PF6.0,F4.1)

      RETURN
       END
C.................... RSTEMC_EXB.FOR .............................
C.... this subroutine sets up the error functions of the time-dependent
C.... ion and electron energy equations for subsequent solution by the 
C.... Newton iterative procedure. It calls a function for Ti and one for
C.... Te. This version was created by Silvy John to implement the
C.... flux preserving method (1996). The flux preserving approach
C.... is explained in the paper by Torr et al., JGU, December 1990
      SUBROUTINE TFIJ(J,ILJ,IPR,N,TI,F,JB,JBS,V,HE)
      IMPLICIT DOUBLE PRECISION(A-H,K-L,N-Z)
      DIMENSION N(4,401),TI(3,401),F(20),V(2),HE(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/APAVLOV/AKEI,OFAC,IPAVLOV
      DATA IPAVLOV/0/   !... turns on Pavlovs cooling rates if .NE.0
      DATA AKEI/1.0/    !... factor for e-i cooling (standard=1.0)
      DATA OFAC/1.0/    !... factor for i-O cooling (standard=1.0)
      IPR=3          !... signifies Temp sol
!jntu      ID=3           !... unit for writing diagnostics in Nyyyyddd.dat
      ID=6           !... unit for writing diagnostics
      IF(J.GT.JMAX/2) ID=9    !... for Syyyyddd.dat

      !.... set up the ion and electron energy equations
      CALL SOLVE_IONHEAT(J,ILJ,ID,N,F,TI,TISAV,EHT,HE)
      CALL SOLVE_ELECTRON_HEAT(J,ILJ,ID,N,F,TI,TISAV,EHT,HE)
      RETURN
      END

C::::::::::::::::::::::::::: SOLVE_ELECTRON_HEAT :::::::::::::::::::::
C.. This subroutine sets up the integrated electron energy equation for
C.. the Newton solver F(2)
C.. It calculates the electron cooling rate, the derivative of 
C.. temperature,T, wrt to time , the heating rate, heat_flux and the
C.. loss rate for three adjacent grid points j,j-1 and j+1. These are 
C.. stored and later used to determine the values at the upper and lower
C.. midpoints by interpolation. The upper midpoint corresponds to the
C.. point midway between j and j+1 whereas lower midpoint corresponds to
C.. that between j-1 and j. The other terms are Q_UPPR and Q_LOWR which
C.. are the integrated values of the heat flow between j+1 and j && j and
C.. j-1 respectively.The basic equation is 
C.. F(2)= DT/DT(DERIVT) + DIV(HEAT_FLUX) + ELEC_ION_COOLING_RATE(E_CLRT)
C..       + ELEC_NEUT_COOLING(HLOSS_E) - HEATING_RATE(HT_RAT) = 0
C.. TERLIN interpolates and the integration is done between the midpoints.
C-- Modified in August 1995 to include ExB drift term. Bailey et al.
C-- PSS 1983, page 389 (DIVEM)

      SUBROUTINE SOLVE_ELECTRON_HEAT(JI,ILJ,ID,N,F,TI,TISAV,EHT,HE)
      IMPLICIT DOUBLE PRECISION(A-H,K-L,N-Z)
      DIMENSION N(4,401),TI(3,401),TISAV(3,401),f(20),
     > DER_T(3),CLRT(3),HLOSE(3),DEL_S(2),EHT(3,401),
     > HT_ERG(3),KE(3),DIV_VEL(3),HE(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/ALT/Z(401),DT,DH,FHT,EPS,TF,ITF,JMAX,JMAX1,ITER,JION
      COMMON/EXB/EQ_VPERP,DIV_VEM(401)

      DATA  BOLTZ /1.3807E-16/

      !... evaluate terms at J-1, J, J+1 for integration, JI is the
      !... actual grid point. All terms divided by magnetic field (BM)
      DO 300 I=1,3
        J=I+JI-2
        NE = N(1,J)+N(2,J)+N(3,J)+N(4,J)   !... electron density
        !... temperature derivative dT/dt 
        DER_T(I) = 1.5*BOLTZ*NE*(TI(3,J)-TISAV(3,J))/BM(J)/DT
        !... electron heating rate in ergs
        HT_ERG(I) = EHT(3,J) * 1.6E-12/BM(J)
        !.. determine the thermal conductivity KE 
        CALL GET_THERMCONDUCTIVITY(TI,NE,HE,KE,I,J)
        !.. ion and neutral cooling rates
        CALL GET_LOSS(I,J,TI,N,BM,HLOSE,CLRT)
        !.. ExB drift term from Bailey's eqns. 16,19 in PSS,1983,p389
        DIV_VEL(I) = BOLTZ*DIV_VEM(J) *NE * TI(3,J)/BM(J)
 300  CONTINUE

      !.. distances along field line between grid points for the integration 
      DEL_S(2) = SL(JI+1) - SL(JI)
      DEL_S(1) = SL(JI) - SL(JI-1)

      !... Now perform the integration. DERIVT, E_CLRT, LOSS_E, and 
      !... HT_RAT are the four values after integration 
      CALL TERLIN(JI,DER_T(1),DER_T(2),DER_T(3),DEL_S(1),DEL_S(2),
     >  DTL,DERIVT,DTU)
      CALL TERLIN(JI,CLRT(1),CLRT(2),CLRT(3),DEL_S(1),DEL_S(2),
     >  CLRT_L,E_CLRT,CLRT_U)
      CALL TERLIN(JI,HLOSE(1),HLOSE(2),HLOSE(3),DEL_S(1),DEL_S(2),
     >  HLOSE_L,LOSS_E,HLOSE_U)
      CALL TERLIN(JI,HT_ERG(1),HT_ERG(2),HT_ERG(3),DEL_S(1),DEL_S(2),
     >  EH_L,HT_RAT,EH_U)
      CALL TERLIN(JI,DIV_VEL(1),DIV_VEL(2),DIV_VEL(3),DEL_S(1),DEL_S(2),
     >  DRFT_L,DRFT_TRM,DRFT_U)

      !.... Calculate the divergence of the heat flux term
      KU_AVG= (KE(3) + KE(2))/2.0
      KL_AVG = (KE(2) + KE(1))/2.0
      BU_AVG = (BM(JI) + BM(JI+1)) * 0.5
      BL_AVG = (BM(JI) + BM(JI-1)) * 0.5
      Q_UPPR = KU_AVG *(TI(3,JI+1)-TI(3,JI))/DEL_S(2)/BU_AVG
      Q_LOWR = KL_AVG *(TI(3,JI)-TI(3,JI-1))/DEL_S(1)/BL_AVG

      !... now form the error function for Te
      F(2) = DERIVT + E_CLRT + LOSS_E - HT_RAT -  Q_UPPR + Q_LOWR
     >  + DRFT_TRM*EQ_VPERP
 
      !... This section for diagnostic print
      IF(ILJ.EQ.4) THEN
        WRITE(ID,501)
        WRITE(ID,5555) Z(JI),F(2),DERIVT,E_CLRT,LOSS_E,Q_UPPR,Q_LOWR
     >    ,HT_RAT,DRFT_TRM*EQ_VPERP
      ENDIF
 501  FORMAT(1X,'Te: ALT     F        dn/dt      C_ei      C_en'
     >   ,6X,'Q_UPPR   Q_LOWR    H_tot     DIV_VP')
 5555 FORMAT(F9.1,1P,22E10.2)
      RETURN
      END


C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C   ROUTINE:	GET_LOSS
C   PURPOSE:	calculates the cooling rates, hlose for electrons
C   ARGUMENT LIST: 
C   REFERENCES: Rees and Roble, Rev. Geophys.(1975) P220 
C               Schunk and Nagy Rev Geophys (1978) p366
C   NAME		USE
C   ----		---		
C   I,J			LOOP VARIABLES
C   TI			TEMPERATURE
C   NE			ELECTRON DENSITY
C   HLOSE		loss OF ELECTRONS
C   BM			MAGNETIC FIELD  			
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE GET_LOSS(I,J,TI,N,BM,HLOSE,CLRT)
      IMPLICIT DOUBLE PRECISION(A-H,K-L, N-Z)
      REAL PAVLOV_VN2,PAVLOV_VO2,PAVLOV_OFS
      DIMENSION HLOSE(3), TI(3,401), BM(401),CLRT(3),N(4,401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/ALT/Z(401),DT,DH,FHT,EPS,TF,ITF,JMAX,JMAX1,ITER,JION
      COMMON/APAVLOV/AKEI,OFAC,IPAVLOV

      !.... electron-ion cooling rate
      NE = N(1,J)+N(2,J)+N(3,J)+N(4,J)
      NI = N(1,J)/16 + N(2,J) + N(3,J)/30.0

      !.. Electron- ion cooling rate KEI. The Coulomb logarithm from Itikawa
      !..  JATP 1975, page 1001. Previously assumed to be 15.0
      DEBYE = 1.602E-12 * SQRT(4.0*3.1415926*NE/(1.381E-16*TI(3,J)))
      COULOG = 0.43086 + DLOG(TI(3,J)) - DLOG(DEBYE)
      CLRT(I) = 1.232e-17*NE*NI*(TI(3,J)-TI(2,J))/BM(J)/(TI(3,J)**1.5)
      CLRT(I)= CLRT(I)*COULOG/15.0               !.. Itikawa correction
      CLRT(I)= AKEI*CLRT(I)                      !.. fudge factor

      !... Neglect losses to neutrals above 1000 km
      IF(O2N(J).LT.1.0E-10) THEN
         HLOSE(I)=0.0
         RETURN
      ENDIF

      !.. These terms terms are evaluated here for efficiency because
      !.. they are used in many places
      TE2=TI(3,J)
      RTE2=1.0/TE2
      TNJ=TN(J)
      RTNJ=1.0/TNJ
      SQTE=SQRT(TE2)
      TDIF=TE2-TNJ
      TDIFRT=TDIF*RTE2*RTNJ

       !..  elec-neut elas coll loss rates s&N(1978) rev geophys p366
       LEN2=1.77E-19*NE*N2N(J)*(1.0-1.2E-4*TE2)*TE2*TDIF
       LEO2=1.21E-18*NE*O2N(J)*(1.0+3.6E-2*SQTE)*SQTE*TDIF
       LEO=7.9E-19*NE*ON(J)*(1.0+5.7E-4*TE2)*SQTE*TDIF
       LEH=9.63E-16*NE*HN(J)*(1.0-1.35E-4*TE2)*SQTE*TDIF

       !...  rotational loss rates b&k 268 ####
       LRN2=2.0E-14*NE*N2N(J)*TDIF/SQTE
       LRO2=7.0E-14*NE*O2N(J)*TDIF/SQTE

       !...  n2 vib loss rates b&k p268 and s&n p364  +++++
       EF=1.06E+4+7.51E+3*TANH(1.1E-3*(TE2-1800.0))
       GE=3300.0+1.233*(TE2-1000.0)-2.056E-4*(TE2-1000.0)*
     >   (TE2-4000.0)
       LVN2=-2.99E-12*NE*N2N(J)*EXP(5.0E-4*RTE2*EF*(TE2-2000.0))
     > *(EXP(-GE*TDIFRT)-1.0)

       !... o2 vib loss rate s&n p364  $$$$
       HS=3300.0-839.0*SIN(1.91E-4*(TE2-2700.0))
       LVO2=-5.196E-13*NE*O2N(J)*EXP(1.4286E-3*RTE2*HS*(TE2-700.0))
     >        *(EXP(-2770.0*TDIFRT)-1.0)

       !... fine structure cooling by atomic oxygen
       D1=EXP(-228.0*RTNJ)
       D2=EXP(-326.0*RTNJ)
       E1=EXP(-228.0*RTE2)
       E2=EXP(-326.0*RTE2)
       E3=EXP(-98.0*RTE2)*D1
       LF1=8.49E-6*TE2**0.519*(0.02*(D1-E1)-5.91E-9*
     >     TDIF*(2.019*D1+(228.0*RTE2+2.019)*E1))
       LF2=7.7E-6*TE2**0.3998*(0.028*(D2-E2)-5.91E-9*
     >     TDIF*(1.8998*D2+(326.0*RTE2+1.8998)*E2))
       LF3=2.22E-7*TE2**0.768*(0.008*(D2-E3)-5.91E-9*
     >     TDIF*(2.268*D2+(98.0*RTE2+2.268)*E3))
       ZFO=5.0+3.0*D1+D2
       LFO=-8.629E-6*NE*ON(J)*(LF1+LF2+LF3)/ZFO
 
       !.. excitation of O(1D)  S&N P365. 
       DE=2.4E4+(TE2-1500.0)*(0.3-1.947E-5*(TE2-4000.0))
       EXH=3.3333E-4*DE*(TE2-3000.0)*RTE2
       IF(EXH.GT.70.0)EXH=70.0
       EXH2=22713.0*TDIFRT
       IF(EXH2.GT.70.0)EXH2=70.0
       LF1D=-1.57E-12*NE*ON(J)*EXP(EXH)*(EXP(-EXH2)-1.0)


         !.. N2*, O2*, Ofs from Pavlov. 
         !.. RLVN2=1.0
         !.. IF(DABS(LVN2).GT..0001) RLVN2=PLVN2/LVN2
         !.. LVN2=PLVN2
         !.. IF(RLVN2.GT.2.OR.RLVN2.LT.0.5) 
         !.. WRITE(6,'(2F6.0,1P,9E11.2)') TE2,TNJ,PLVN2,LVN2
         !... lvn2=1.0*lvn2*RVBT(J)  !... for N2*

       IF(IPAVLOV.NE.0) THEN
          LVN2=PAVLOV_VN2(TE2,TNJ)*NE*N2N(J)
          LVO2=PAVLOV_VO2(TE2,TNJ)*NE*O2N(J)
          LFO =PAVLOV_OFS(TE2,TNJ)*NE*ON(J)
       ENDIF

 14    KEN=LEN2+LEO2+LEO+LEH+LRN2+LRO2
       HLOSE(I)=(KEN+LVN2+LVO2+LFO+LF1D)*1.6E-12/BM(J)
       RETURN
       END

C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C     ROUTINE:	GET_THERMCONDUCTIVITY
C.....PURPOSE:	calculates ke, the thermal conductivity co-efficient
C
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: 
      SUBROUTINE GET_THERMCONDUCTIVITY(TI,NET,HE,KE,I,J)
      IMPLICIT DOUBLE PRECISION(A-H,K-L,N-Z)
      DIMENSION KE(3),TE(3), TI(3,401),HE(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)

C.....TE is the electron temperature
      TE(I)=TI(3,J)
      SQTE=SQRT(TE(I))
      KN2=(2.82E-17*SQTE-3.41E-21*SQTE*TE(I))*N2N(J)
      KO2=(2.2E-16+7.92E-18*SQTE)*O2N(J)
      KO=3.4E-16*ON(J)
      KHE=5.6E-16*HE(J)
      KH=(5.47E-15-7.45E-19*TE(I))*HN(J)
      !.. KN is Bank's factor for neutral effects on conductivity.
      !.. 1.0E+4 is added to avoid numerical problems for low e densities
      KN=3.22E+4*TE(I)**2*(KN2+KO2+KO+KHE+KH)/(NET + 1.0E+4)
      KE(I)=1.232E-6*(TE(I)**2.5)/(1.0+KN)   !-- Thermal conductivity

C.... JNTU 1/21/02 Denton and Bailey (JATP, 34, 365, 2001) correction      
      KEMV=KE(I)*(1.-5.e3/NET)
      IF(KEMV.LT.0.2*KE(I)) KEMV=KE(I)
      KE(I)=KEMV
C.... !!!!

      RETURN
      END

C:::::::::::::::::::::::::: SOLVE_IONHEAT ::::::::::::::::::::::::::
C.. This subroutine is similar to SOLVE_IONHEAT. Look at the Te function
C.. for more explanation. It determines the interpolated production and
C.. loss processes for ions. It calls RATES to get the rate constants
C.. and TERLIN to do the interpolation
      SUBROUTINE SOLVE_IONHEAT(JI,ILJ,ID,N,F,TI,TISAV,EHT,HE)
      IMPLICIT DOUBLE PRECISION(A-H,K-L,N-Z)
      DIMENSION N(4,401),TI(3,401),TISAV(3,401),F(20),EHT(3,401)
     > ,DER_T(3),CLRT(3),HLOSI(3),KI(3), DEL_S(2),DIV_VEL(3)
     > ,HT_ERG(3),HE(401),COOL(22)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/ALT/Z(401),DT,DH,FHT,EPS,TF,ITF,JMAX,JMAX1,ITER,JION
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/EXB/EQ_VPERP,DIV_VEM(401)
      COMMON/APAVLOV/AKEI,OFAC,IPAVLOV
      common/LOSALIND/ILOS         !JNTU

      DATA BOLTZ/1.3807E-16 /
  
      !... evaluate terms at j-1, j, J+1 for integration, JI is the
      !... actual grid point. All terms divided by magnetic field (BM)
      DO 300 I=1,3
        J=I+JI-2
        TNJ = TN(J)
        NE = N(1,J) + N(2,J) + N(3,J)+N(4,J)
        NI = N(1,J)/16 + N(2,J) + N(3,J)/30.0
        RBM(J) = 1/BM(J)
        DER_T(I) = 1.5*BOLTZ*NE*(TI(2,J) - TISAV(2,J))*RBM(J)/DT
        !.. direct heating rate for ions (ring current?)
        HT_ERG(I) = EHT(1,J) * 1.6E-12/BM(J)

        !.. electron-ion heating/cooling rate
        !.. Electron- ion cooling rate KEI. The Coulomb logarithm from Itikawa
        !..  JATP 1975, page 1001. Previously assumed to be 15.0
        DEBYE = 1.602E-12 * SQRT(4.0*3.1415926*NE/(1.381E-16*TI(3,J)))
        COULOG = 0.43086 + DLOG(TI(3,J)) - DLOG(DEBYE)
        CLRT(I)=1.232E-17*NE*NI*(TI(3,J)-TI(2,J))*RBM(J)/(TI(3,J)**1.5)
        CLRT(I)= CLRT(I)*COULOG/15.0               !.. Itikawa correction
        CLRT(I)= AKEI*CLRT(I)                      !.. fudge factor
    

        !.. loss rate coeff to neutrals (kin) rees & roble(1975) P220 ,,,
        !.. RCE = resonant charge exchange, pol = polarization interaction
        RCE=(0.21*N(1,J)*ON(J)*OFAC+1.4*N(2,J)*HN(J))
        POL1=N(1,J)*(6.6*N2N(J)+2.8*HE(J)+5.8*O2N(J)+5.6*ON(J)*OFAC)
     >       +N(2,J)*(5.5*HE(J)+1.9*HN(J))
        POL2=(0.36*N(1,J)*HN(J)+0.4*N(2,J)*ON(J))*SQRT(TNJ)
        KIN=(RCE*SQRT(TNJ+TI(2,J))+POL1+POL2)*1.6E-26
        CALL ION_NEUTRAL(0,N(1,J),N(2,J),ON(J),N2N(J),O2N(J)
     >   ,HN(J),HE(J),TN(J),TI(2,J),Z(J),COOL)

        HLOSI(I)=+KIN*(TI(2,J)-TNJ)*RBM(J)
        HLOSI(I)=+COOL(1)*(TI(2,J)-TNJ)*RBM(J)

        !.. determine the thermal conductivity KI 
        KI(I)=1.84E-8*(N(1,J)+4*N(2,J))*(TI(2,J)**2.5)/NE
        DIV_VEL(I) = DIV_VEM(J) * BOLTZ* NE*TI(2,J)/BM(J)
 300  CONTINUE

c  JNTU 01/19/02, using Comfort algorithm to adjust thermal conductivity
c      along the field line
        do I=1,3
          J=I+JI-2
          if(BM(J).LE.BM(ILOS)) then
            epslon=1.-sqrt((1.-BM(J)/BM(ILOS)))
          else
            epslon=1.
          endif
          KI(I)=KI(I)*epslon
        enddo

       !.. distances between grid points
       DEL_S(2) = SL(JI+1) - SL(JI)
       DEL_S(1) = SL(JI) - SL(JI-1)

      !.. Do interpolations. derivT, E_CLRT, loss , drft_trm are the
      !.. values after integration 
      CALL TERLIN(JI,DER_T(1),DER_T(2),DER_T(3),DEL_S(1),DEL_S(2),
     >	DTL,DERIV_T,DTU)
      CALL TERLIN(JI,CLRT(1),CLRT(2),CLRT(3),DEL_S(1),DEL_S(2),
     >  CLRT_L,E_CLRT,CLRT_U)
      CALL TERLIN(JI,HLOSI(1),HLOSI(2),HLOSI(3),DEL_S(1),DEL_S(2),
     >  HLOSI_L,LOSS,HLOSI_U)
      CALL TERLIN(JI,DIV_VEL(1),DIV_VEL(2),DIV_VEL(3),DEL_S(1),DEL_S(2),
     >  DRFT_L,DRFT_TRM,DRFT_U)
      CALL TERLIN(JI,HT_ERG(1),HT_ERG(2),HT_ERG(3),DEL_S(1),DEL_S(2),
     >  EH_L,HT_RAT,EH_U)

      !.. ion thermal conductivity
      KU_AVG= (KI(3) + KI(2))/2.0
      KL_AVG = (KI(2) + KI(1))/2.0
      TU_AVG = (TI(2,JI+1)+TI(2,JI))/2.0
      TL_AVG = (TI(2,JI)+TI(2,JI-1))/2.0
      BU_AVG = (BM(JI) + BM(JI+1)) * 0.5
      BL_AVG = (BM(JI) + BM(JI-1)) * 0.5
      Q_UPPR = KU_AVG *(TI(2,JI+1)-TI(2,JI))/DEL_S(2)/BU_AVG
      Q_LOWR = KL_AVG *(TI(2,JI)-TI(2,JI-1))/DEL_S(1)/BL_AVG

      !.. integrated energy equation for ions
      F(1) = DERIV_T-E_CLRT+LOSS-Q_UPPR+Q_LOWR+DRFT_TRM*EQ_VPERP-HT_RAT
      
      !.. diagnostic print
      IF(ILJ.EQ.4) THEN
        WRITE(ID,501)
        WRITE(ID,5555) Z(JI),F(1),DERIV_T,E_CLRT,LOSS,Q_UPPR,Q_LOWR
     >      ,DRFT_TRM*EQ_VPERP
      ENDIF
 501  FORMAT(' Ti: ALT     F        dn/dt      C_ie      C_in'
     >   ,6X,'Q_UPPR   Q_LOWR    DIV_VP')
 5555   FORMAT(F9.1,1P,22E10.2)
      RETURN
      END
C::::::::::::::::::::::: ECRATS :::::::::::::::::::::::::::::::::::
C....... Subroutine for printing thermal electron cooling rates
C....... This function needs to be eliminated eventually and replaced
C....... by GET_loss. It is used to print cooling rates in the Hyyyyddd
C....... file of the FLIP run and also in the FLIPRINT phase 
      SUBROUTINE ECRATS(ID,J,ALT,TE,TI,TN,OPLS,HPLS,NMIN,OX,N2,O2,HN
     > ,EHT,TLSS,LFO,COOL)
      IMPLICIT DOUBLE PRECISION(A-H,K,L,N,O-Z)
      REAL PAVLOV_VN2,PAVLOV_VO2,PAVLOV_OFS
      COMMON/V91/RVBT(401)
      COMMON/APAVLOV/AKEI,OFAC,IPAVLOV
      DIMENSION FD(9),HE(401),COOL(22) !.. heating and cooling rates
C
      IDID=ID
      IF(IDID.EQ.7)IDID=9
      IF(ID.NE.IDS.AND.ID.NE.0) WRITE(IDID,757)
      IDS=ID
 757  FORMAT(/,8X,'Thermal electron cooling(C_) and heating(H_) rates'
     > /,6X,'ALT  Te   Ti   Tn     C_ei      C_rN2     C_rO2    C_vN2',
     > '    C_vO2     C_fsO      C_O1D     C_tot      H_tot   H_N(2D)')
        TLSS=0.0
        LFO=0.0

        !.. Don't calculate cooling rates if neutral densities too low
        IF(O2.LT.1.0E-10) RETURN     
        SQTE=SQRT(TE)
        NE=OPLS+HPLS+NMIN
        NI=OPLS/16.0+HPLS+NMIN/30.0

        !.. Electron- ion cooling rate KEI. The Coulomb logarithm from Itikawa
        !..  JATP 1975, page 1001. Previously assumed to be 15.0
        DEBYE = 1.602E-12 * SQRT(4.0*3.1415926*NE/(1.381E-16*TE))
        COULOG = 0.43086 + DLOG(TE) - DLOG(DEBYE)
        KEI=1.232E-17*NE*NI*(TE-TI)/(TE**1.5)/1.6E-12    !.. e - i cooling
        KEI= KEI*COULOG/15.0                     !.. Itikawa correction
        KEI= AKEI*KEI                            !.. fudge factor


        RTE2=1.0/TE
        RTNJ=1.0/TN
 13     TDIF=TE-TN
        TDIFRT=TDIF*RTE2*RTNJ
        LEN2=1.77E-19*NE*N2*(1.0-1.2E-4*TE)*TE*TDIF
        LEO2=1.21E-18*NE*O2*(1.0+3.6E-2*SQTE)*SQTE*TDIF
        LEO=7.9E-19*NE*OX*(1.0+5.7E-4*TE)*SQTE*TDIF
        LEH=9.63E-16*NE*HN*(1.0-1.35E-4*TE)*SQTE*TDIF
C
C###  ROTATIONAL loss RATES B&K 268 ####
        LRN2=2.0E-14*NE*N2*TDIF/SQTE
        LRO2=7.0E-14*NE*O2*TDIF/SQTE
C
C+++  N2 VIB loss RATES B&K P268 AND S&N P364  +++++
        EF=1.06E+4+7.51E+3*TANH(1.1E-3*(TE-1800.0))
        GE=3300.0+1.233*(TE-1000.0)-2.056E-4*(TE-1000.0)*(TE-4000.0)
        EXH=5.0E-4*RTE2*EF*(TE-2000.0)
        IF(EXH.GT.70.0)EXH=70.0
        EXH2=GE*TDIFRT
        IF(EXH2.GT.70.0)EXH2=70.0
        LVN2=-2.99E-12*NE*N2*EXP(EXH)
     > *(EXP(-EXH2)-1.0)
C...... LVN2=1.0*LVN2*RVBT(J)
C
C$$$$ O2 VIB loss RATE S&N P364  $$$$
        HS=3300.0-839.0*SIN(1.91E-4*(TE-2700.0))
        EXH=1.4286E-3*RTE2*HS*(TE-700.0)
        IF(EXH.GT.70.0)EXH=70.0
        EXH2=2770.0*TDIFRT
        IF(EXH2.GT.70.0)EXH2=70.0
        LVO2=-5.196E-13*NE*O2*EXP(EXH2)
     >        *(EXP(-EXH2)-1.0)
C
C;;;;;  FINE STRUCTURE EXCITATIONS S&N P365 ;;;;;;
C;;;;; NOTE THAT D1,D2,E1 ETC. MAY NEED TO BE CHANGED
C;;;; NOTE THAT A TERM IS ADDED TO NE AT LOW ALTS FOR O2+ , NO+
        HD1=228.0*RTNJ
        IF(HD1.GT.70.0)HD1=70.0
        D1=EXP(-HD1)
        HD2=326.0*RTNJ
        IF(HD2.GT.70.0)HD2=70.0
        D2=EXP(-HD2)
        HE1=228.0*RTE2
        IF(HE1.GT.70.0)HE1=70.0
        E1=EXP(-HE1)
        HE2=326.0*RTE2
        IF(HE2.GT.70.0)HE2=70.0
        E2=EXP(-HE2)
        HE3=98.0*RTE2
        IF(HE3.GT.70.0)HE3=70.0
        E3=EXP(-HE3)*D1
        LF1=8.49E-6*TE**0.519*(0.02*(D1-E1)-5.91E-9*
     >     TDIF*(2.019*D1+(228.0*RTE2+2.019)*E1))
        LF2=7.7E-6*TE**0.3998*(0.028*(D2-E2)-5.91E-9*
     >     TDIF*(1.8998*D2+(326.0*RTE2+1.8998)*E2))
        LF3=2.22E-7*TE**0.768*(0.008*(D2-E3)-5.91E-9*
     >     TDIF*(2.268*D2+(98.0*RTE2+2.268)*E3))
        ZFO=5.0+3.0*D1+D2
        LFO=-8.629E-6*NE*OX*(LF1+LF2+LF3)/ZFO
C....... LFO=0.333*LFO
C++++  EXCITATION OF O(1D) BY PE'S S&N P365. - SMALL ONLY CALC FOR PRINT
        DE=2.4E4+(TE-1500.0)*(0.3-1.947E-5*(TE-4000.0))
        EXH=3.3333E-4*DE*(TE-3000.0)*RTE2
        IF(EXH.GT.70.0)EXH=70.0
        EXH2=22713.0*TDIFRT
        IF(EXH2.GT.70.0)EXH2=70.0
        LF1D=-1.57E-12*NE*OX*EXP(EXH)*(EXP(-EXH2)-1.0)

       IF(IPAVLOV.NE.0) THEN
          LVN2=PAVLOV_VN2(TE,TN)*NE*N2
          LVO2=PAVLOV_VO2(TE,TN)*NE*O2
          LFO =PAVLOV_OFS(TE,TN)*NE*OX
       ENDIF

C......... add other losses to electron-ion
      TLSS=LEN2+LEO2+LEO+LEH+LRO2+LRN2+LVO2+LVN2+LF1D
C......... electron heating from N(2D) .....
      DO 1199 III=1,8
 1199 FD(III)=0.0
      !..IF(ID.NE.0.AND.ID.NE.3) 
      CALL CMINOR(0,J,0,IPR,FD,3,HE(J))
      IF(ID.NE.0) WRITE(IDID,54) ALT,INT(TE),INT(TI),INT(TN),KEI
     > ,LRN2,LRO2,LVN2,LVO2,LFO,LF1D,TLSS+LFO+KEI,EHT,FD(8)*2.4
 54    FORMAT(F9.1,3I5,1P,22E10.2)

      COOL(1)=EHT
      COOL(2)=KEI
      COOL(3)=LVN2
      COOL(4)=LFO+LF1D
      RETURN
      END
C:::::::::::::::::::: PAVLOV_VN2 :::::::::::::::::::::::::::::::::::
C... This function returns the coefficient Q0v for electron cooling by
C... vibrational excitation of N2
C... Q0v is used in equation 11. Q1v is ignored because small
C... See Pavlov Ann. Geophysicae, 1998 page 176
      REAL FUNCTION PAVLOV_VN2(TE,TN)
      IMPLICIT NONE
      INTEGER I
      REAL SUM,E1,A0LTE,B0LTE,C0LTE,D0LTE,F0LTE,AQLTE
      REAL A0(10),B0(10),C0(10),D0(10),F0(10),ALQ0(10)
      DOUBLE PRECISION TE,TN
      !... coefficients for Te < 1500
      DATA A0LTE/-6.462/,B0LTE/3.151E-2/,C0LTE/-4.075E-5/
      DATA D0LTE/2.439E-8/,F0LTE/-5.479E-12/, E1/3353./

      !... coefficients for Te >= 1500
      DATA A0/2.025,-7.066,-8.211,-9.713,-10.353,-10.819,-10.183,
     >  -12.698,-14.710,-17.538/
      DATA B0/8.782E-4,1.001E-2,1.092E-2,1.204E-2,1.243E-2,1.244E-2,
     >  1.185E-2,1.309E-2,1.409E-2,1.600E-2/
      DATA C0/2.954E-7,-3.369E-6,-3.369E-6,-3.732E-6,-3.850E-6,
     >  -3.771E-6,-3.570E-6,-3.952E-6,-4.249E-6,-4.916E-6/
      DATA D0/-9.562E-11,4.436E-10,4.891E-10,5.431E-10,5.600E-10,
     >  5.385E-10,5.086E-10,5.636E-10,6.058E-10,7.128E-10/
      DATA F0/7.252E-15,-2.449E-14,-2.706E-14,-3.008E-14,-3.1E-14,
     >  -2.936E-14,-2.769E-14,-3.071E-14,-3.3E-14,-3.941E-14/

      SUM=0.0
      !... Low temperature expression
      IF(TE.LT.1500) THEN
         AQLTE=A0LTE+B0LTE*TE+C0LTE*TE**2.+D0LTE*TE**3.+
     >       F0LTE*TE**4.-16
         SUM=(10**AQLTE)*(1-EXP(E1*(1.0/TE-1.0/TN)))

      ELSE
         !... For Te >= 1500
         DO I=1,10
           ALQ0(I)=A0(I)+B0(I)*TE+C0(I)*TE**2.+D0(I)*TE**3.+
     >         F0(I)*TE**4.-16.
           SUM = SUM+(10**ALQ0(I))*(1.-EXP(REAL(I)*E1*(1.0/TE-1.0/TN)))
         ENDDO

      ENDIF

      !... return the coefficient Q0v
      PAVLOV_VN2=(1-EXP(-E1/TN))*SUM
      RETURN
      END
C::::::::::::::::: PAVLOV_VO2 :::::::::::::::::::::::::::::::::
C.... This function is Pavlov's electron cooling rate by
C.... vibrational excitation of O2. 
C.... Reference: Ann. Geophys. 16, 1007, 1998
      REAL FUNCTION PAVLOV_VO2(TE,TN)
      IMPLICIT NONE
      INTEGER I
      REAL E1,A(7),B(7),C(7),D(7),F(7),G(7),Q(7),SUM
      DOUBLE PRECISION TE,TN
      DATA A/8.56E-15,1.15E-18,1.77E-23,7.05E-25,2.14E-28,2.94E-31,
     > 1.08E-35/
      DATA B/303,305,301,301,299,300,299/
      DATA C/10.,18.78,29.,30.07,37.52,43.27,53.1/
      DATA D/-0.2,-0.25,-0.2,-0.31,-0.42,-0.39,-0.9/
      DATA F/1.05E-3,9.24E-4,6.16E-4,1.00E-3,5.28E-4,7.85E-4,5.7E-4/
      DATA G/3150,3450,3150,1800,3000,3000,2900/
      DATA E1/2239./

      SUM=0.0
      DO I=1,7
        Q(I)=A(I)*EXP((1-B(I)/TE)*(C(I)+D(I)*SIN(F(I)*(TE-G(I)))))
        SUM = SUM+Q(I)*(1.-EXP(I*E1*(1./TE-1./TN)))
      ENDDO

      PAVLOV_VO2=SUM
      RETURN
      END
C:::::::::::::::::: PAVLOV_OFS :::::::::::::::::::::::::::
C.... This is the O fine structure cooling rate of Pavlov
C.... Ann. Geophys. 17, 919, 1999
      REAL FUNCTION PAVLOV_OFS(TE,TN)
      IMPLICIT NONE
      REAL S21,S20,S10,D,FTN
      DOUBLE PRECISION TE,TN
      S21=1.863E-11
      S20=1.191E-11
      S10=8.249E-16*TE**0.6*EXP(-227.7/TN)
      D=5.0+EXP(-326.6/TN)+3*EXP(-227.7/TN)
      FTN=8.132E-9/D
      PAVLOV_OFS=FTN*(TE-TN)/(TE*TN)
      RETURN
      END
C:::::::::::::::: ION_NEUTRAL ::::::::::::::::::::::
C.... loss rate coeff to neutrals (kin) rees & roble(1975) P220 ,,,
      SUBROUTINE ION_NEUTRAL(IWR,OPLUS,HPLUS,ON,N2N,O2N,HN,HEN
     >   ,TN,TI,ALT,COOL)
      IMPLICIT NONE
      INTEGER IWR,IPAVLOV,IK
      DOUBLE PRECISION OPLUS,HPLUS,ON,N2N,O2N,HN,HEN,TN,TI,KIN,OFAC
     > ,RCE,POL1,POL2,ALT2,AKEI,COOL(22),ALT
      COMMON/APAVLOV/AKEI,OFAC,IPAVLOV
        !.. Resonant charge exchange
        COOL(2)=1.6E-26*(0.21*OPLUS*ON*OFAC)*SQRT(TI+TN)
        COOL(3)=1.6E-26*(1.4*HPLUS*HN)*SQRT(TI+TN)
        !... Polarization interactions
        COOL(4)=1.6E-26*OPLUS*(6.6*N2N)
        COOL(5)=1.6E-26*OPLUS*(2.8*HEN)
        COOL(6)=1.6E-26*OPLUS*(5.8*O2N)
        COOL(7)=1.6E-26*OPLUS*(5.6*ON*OFAC)
        COOL(8)=1.6E-26*HPLUS*(5.5*HEN)
        COOL(9)=1.6E-26*HPLUS*(1.9*HN)
        COOL(10)=1.6E-26*(0.36*OPLUS*HN)*SQRT(TN)
        COOL(11)=1.6E-26*(0.40*HPLUS*ON)*SQRT(TN)
        !... total cooling rate
        COOL(1)=COOL(2)+COOL(3)+COOL(4)+COOL(5)+COOL(6)+COOL(7)+
     >    COOL(8)+COOL(9)+COOL(10)+COOL(11)
      RETURN
      END
C.................... CMINOR.FOR;16        26-APR-1994 14:53:26.59 
C....... This subroutine evaluates the minor ion and neutral densities
C....... from chemical equilibrium and is also used for printing the
C....... production and loss rates for the FLIP model. P. Richards
C....... Sep 1989
      SUBROUTINE CMINOR(I,J,JP,IPR,FD,ID,HE)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION PROD(6),LOSS(6),RTS(99),FEX(2),FD(9)
C----- commons to hold the EUV, e* and AURoral production rates
      INTEGER IVERT
      REAL EUVION,PEXCIT,PEPION,PAUION,PAUEXC,SUMION,SUMEXC
      COMMON/EUVPRD/EUVION(3,12,401),PEXCIT(3,12,401),PEPION(3,12,401)
      COMMON/BPRAUR/PAUION(3,12,401),PAUEXC(3,12,401)
      COMMON/BPRTOT/SUMION(3,12,401),SUMEXC(3,12,401)
      COMMON/MIA/ZNE(401),NOP(401),N2PLS(401),O2P(401),NPLUS(401)
      COMMON/MIB/OP2D(401),OP2P(401),N2D(401),N4S(401),NNO(401)
      COMMON/VODDN/VN2D(401),VN4S(401),VNNO(401),VO1D(401),IVERT
      COMMON/MIC/O1D(401),N2P(401)
      COMMON/FJS/N(4,401),TI(3,401),F(20)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/LPS/SZA(401),EPSN,DC,ISPC,I1,I2,IPV,JTIMAX,IPP,ISKP
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/RK/VC(401)
      COMMON/NPRD/COLUM(3,401),OTHPR1(6,401),OTHPR2(6,401),OTHPR3(6,401)
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
C....... common suggested by Kent Miller
      COMMON/CMCOM/PO2P
      DATA DNOP,DO2P,HEPLUS/3*0.0D0/
C
C....... for the production rates consult subroutine prdint
C
      DO 44 II=1,9
 44   FD(II)=0.0D0
      IF(Z(J).GT.900) RETURN
      TOP2PI=SUMION(1,9,J)
      TOP2DI=SUMION(1,8,J)
      TOTO2I=SUMION(2,7,J)
      DISNP=SUMION(3,4,J)+SUMION(3,5,J)+SUMION(3,6,J)
      DISN4S=SUMEXC(3,5,J)+DISNP*0.5
      DISN2D=SUMEXC(3,6,J)+DISNP*0.5
      PDISOP=SUMION(2,4,J)+SUMION(2,5,J)
      UVDISN=OTHPR1(1,J)
      PRHEP=OTHPR1(2,J)
      PO1DSR=OTHPR1(3,J)
      PO1SEL=SUMEXC(1,2,J)
      PN2PEL=SUMEXC(3,7,J)
      PO1DEL=SUMEXC(1,1,J)
C---- Calculate hv + NO ionization frequency from Lyman-a
      PLYNOP=OTHPR2(1,J)
C---- Calculate diss and ion rates for NOP - see also CODDN
C---- Calculate hv + NO dissociation frequency from hv + O2 dissoc rate
C---- Lyman-a NO+ freq used for NO dissoc by Lyman-a
      PSRNO=OTHPR2(2,J)
C
C----- Odd nitrogen zeroed to prevent convergence problems at low altitude
C----- or copied from the vertical grid
      IF(IVERT.GT.0) THEN
         N2D(J)=VN2D(J)
         N4S(J)=VN4S(J)
         NNO(J)=VNNO(J)
      ENDIF
      IF(Z(J).LT.100) NNO(J)=0.0
      IF(Z(J).LT.100) N4S(J)=0.0

      !-- Keep O+ density high to avoid convergence problem
      !..IF(Z(J).LT.900.AND.N(1,J).LT.1.0E-5) N(1,J)=N(1,J)+1.0E-5

C....... He+
       HEPLUS=N(4,J)
C
C....... XIONN is N+ calculated from the diffusion equation
       NPLUS(J)=XIONN(1,J)
C
C*****  obtain reaction rates from subr rats
      CALL RATS(J,TI(3,J),TI(1,J),TN(J),RTS)
C++++++++ multiply o+ + n2 rate by factor for vib n2 ++++
      IF(VC(J).LE.1) VC(J)=1.0
      RTS(3)=RTS(3)*VC(J)
      RTS(99)=RTS(42)*RTS(10)
C
C.......... Only recalculate minor ions if not already stored
      IF(I.EQ.1.OR.I.EQ.-1.OR.I.GT.2) GO TO 12
C
C........ use previously stored values  for [e] initially
      ZNE(J)=N(1,J)+N(2,J)+NOP(J)+O2P(J)+N2PLS(J)
      ZNESAV=ZNE(J)
      CALL CO2P(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),PO2P
     > ,DO2P,TOTO2I,N(1,J),OP2D(J),N2PLS(J),NPLUS(J),N4S(J),NNO(J))
C
C........... no+
      CALL CNOP(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),PNOP
     > ,DNOP,N(1,J),N2PLS(J),O2P(J),N4S(J),NNO(J),NPLUS(J),N2P(J)
     >  ,PLYNOP,VC(J))
C
C.....calculation of [e] analytically for first guess in Newton
      B=N(1,J)+N(2,J)+N2PLS(J)
      C=PNOP/RTS(5)+PO2P/RTS(6)
      ZNE(J)=(B+DSQRT(B**2+4.0*C))/2.0
C
C....... call vibn2p to get effective n2+ + o->n2 + o+ rate
C...      IF(SZA(J).LT.1.57) CALL VIBN2P(J,ID,0,N2N(J),ON(J),ZNE(J),OP2P(J)
C...     > ,OP2D(J),RTS,....(3,1,J),...(3,2,J),....(3,3,J),O2N(J),NTOT,Z(J))
C
C.......... newton solution for electron density ZNE
C...... Loop through chemistry twice to evaluate dF/dh for Newton
      JITER=0
 9    DO 10 ITS=1,2
        IF(JITER.EQ.0) H=ZNE(J)*0.001
        IF(ITS.EQ.2) ZNE(J)=ZNE(J)+H
C............ o+(2p)
      CALL COP2P(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),OP2P(J)
     > ,TOP2PI,0.0D0)
C............ o+(2d)
      CALL COP2D(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),OP2D(J)
     > ,TOP2DI,OP2P(J))
C
C........... n2+
      CALL CN2PLS(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,N2PLS(J),EUVION(3,1,J),EUVION(3,2,J),EUVION(3,3,J)
     > ,PEPION(3,1,J)+PAUION(3,1,J),PEPION(3,2,J)+PAUION(3,2,J)
     > ,PEPION(3,3,J)+PAUION(3,3,J),OP2D(J),OP2P(J),HEPLUS)
C
C........... o2+
      CALL CO2P(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),PO2P
     > ,O2P(J),TOTO2I,N(1,J),OP2D(J),N2PLS(J),NPLUS(J),N4S(J)
     > ,NNO(J))
C
C........... no+
      CALL CNOP(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),PNOP
     > ,NOP(J),N(1,J),N2PLS(J),O2P(J),N4S(J),NNO(J),NPLUS(J),N2P(J)
     > ,PLYNOP,VC(J))
C
      FEX(ITS)=ZNE(J)-N(1,J)-N(2,J)-NOP(J)-O2P(J)-N2PLS(J)-
     >  OP2D(J)-OP2P(J)-NPLUS(J)-HEPLUS
 10   CONTINUE
C
      JITER=JITER+1
      DEX=(FEX(2)-FEX(1))/H
      ZNE(J)=ZNE(J)-H-FEX(1)/DEX
 341  FORMAT(1X,I5,F7.0,1P,11E10.2)
      IF(JITER.GT.9) GO TO 14
      IF(ABS(FEX(1)/DEX/ZNE(J)).GT.1.0E-2) GO TO 9
      DX=ABS(FEX(1)/DEX)
 14   IF(JITER.GT.9) THEN
         DO KJ=J,J
           WRITE(6,'(I4,I6,1P,9E10.2)') KJ,NINT(Z(KJ)),ZNE(KJ)
     >      ,N(1,KJ),NSAVE(1,KJ),N(2,KJ),NSAVE(2,KJ)
         ENDDO
         WRITE(6,*) ID
         WRITE(6,57) J, Z(J),ZNE(J),ZNESAV,N(1,J)
         STOP
      ENDIF
 12   CONTINUE
C
 57   FORMAT(' ** NEWTON non-convergence in CMINOR at PT. J=',I3
     >  ,' ALT= ',F8.2,' NE= ',1P,E11.2,' NESAV= ',1P,E11.2,' O+ ='
     >  ,1P,E11.2)
C
C........n2(a3sigma)
      CALL CN2A(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,N2A,SUMEXC(3,1,J),SUMEXC(3,2,J),SUMEXC(3,3,J),SUMEXC(3,4,J))
C...... densities for O2 atmospheric bands
        CALL CO2(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,BOD3,O1D(J),O2SS,TN(J),O2B1,O2DEL,O2ADEL,O2ASIG)
C.......O(1S)
      CALL CO1S(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,O1S,O2P(J),N4S(J),PO1SEL,NPLUS(J),N2A,PO1DSR,O2ADEL,O2DEL)
C
C
C......... local equilibrium densities for metastables and odd nitrogen 
C
C....... N(2P) density
      CALL CN2P(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),PROD(5)
     > ,LOSS(5),N2P(J),PN2PEL,UVDISN,O2P(J),NNO(J),N2PLS(J))
      IF(LOSS(5).GT.0) N2P(J)=PROD(5)/LOSS(5)
C
C...... N(2D) density
      CALL CN2D(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),NOP(J),ZNE(J),PROD(1)
     > ,LOSS(1),N2PLS(J),DISN2D,UVDISN,NPLUS(J),N2P(J)
     > ,N2D(J),N(1,J),NNO(J))
      N2D(J)=PROD(1)/LOSS(1)
      IF(IVERT.GT.0) N2D(J)=VN2D(J)
C
C......... NO density
      CALL CNO(J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),PROD(3),LOSS(3)
     >  ,N2D(J),N4S(J),N2P(J),NNO(J),O2P(J),N(1,J),PSRNO,PLYNOP)
      IF(LOSS(3).GT.0) NNO(J)=PROD(3)/LOSS(3)
      IF(IVERT.GT.0) NNO(J)=VNNO(J)
C
C--- N4S is taken from MSIS in CMINOR if not calculated on vertical grid
      IF(IVERT.GT.0) N4S(J)=VN4S(J)
C
C........ O(1D) density
      CALL CO1D(0,J,0,0,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J),PROD(4)
     > ,LOSS(4),O2P(J),N2D(J),PO1DEL,PO1DSR,O1S,NPLUS(J),O1D(J))
      IF(LOSS(4).GT.0) O1D(J)=PROD(4)/LOSS(4)
C
      FD(8)=N2D(J)*RTS(8)*ZNE(J)
      FD(1)=NOP(J)
      FD(2)=O2P(J)
      FD(3)=N2PLS(J)
      FD(4)=OP2P(J)
      FD(5)=OP2D(J)
      FD(6)=OP2D(J)*RTS(12)*ZNE(J)
      FD(7)=NPLUS(J)
C........ calc o+ prod. from minor ions
      P1=OP2P(J)*(RTS(26)*ON(J)+RTS(14)*ZNE(J)+0.047)
      P2=OP2D(J)*(RTS(12)*ZNE(J)+RTS(27)*N2N(J)+RTS(28)*ON(J))
      P3=N2PLS(J)*RTS(99)*ON(J)
      P4=NPLUS(J)*ON(J)*RTS(31)
      FD(9)=P1+P2+P3+P4
      IF(I.LT.2) RETURN
C
C
C...... this next section for printing densities and production rates
      DISN2S=SUMION(3,6,J)
      P3X12=SUMEXC(3,12,J)
      P3X11=SUMEXC(3,11,J)
      P3X2=SUMEXC(3,2,J)
      P3X3=SUMEXC(3,3,J)
      P1X3=SUMEXC(1,3,J)
      P1X4=SUMEXC(1,4,J)
      P1X5=SUMEXC(1,5,J)
      P1X6=SUMEXC(1,6,J)
      P1X7=SUMEXC(1,7,J)
      P1X8=SUMEXC(1,8,J)
      P1X9=SUMEXC(1,9,J)
C
      IF(I.EQ.2) CALL CION(J,ID,JP,Z(J),N(1,J),O2P(J),NOP(J),N2PLS(J)
     > ,NPLUS(J),OP2D(J),OP2P(J),ZNE(J),TI(3,J),TI(1,J),VC(J),HEPLUS
     > ,N(2,J))
C
      IF(I.EQ.3) CALL CNEUT(J,ID,JP,Z(J),O1S,N2A,N2D(J),O1D(J),NNO(J),
     > N4S(J),N2P(J))
C
      IF(I.EQ.4) THEN
        CALL CEMM(J,ID,JP,Z(J),RTS,O1D(J),N2D(J),OP2P(J),O1S
     >   ,DISNP,ZNE(J),ON(J),N2N(J),N4S(J),P3X12,P3X11,N2A
     >   ,P3X2,P3X3,DISN2S)
      ENDIF
C
      IF(I.EQ.5) CALL CO2EM(J,ID,JP,Z(J),O2B1,O2DEL,O2SS,O2ADEL,O2ASIG)
C
      IF(I.EQ.6) CALL CN2D(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),NOP(J)
     > ,ZNE(J),PROD(1),LOSS(1),N2PLS(J),DISN2D,UVDISN,NPLUS(J),N2P(J)
     > ,N2D(J),N(1,J),NNO(J))
C
C------- O(1D) production and loss rates
      IF(I.EQ.7) CALL CO1D(0,J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J)
     > ,ZNE(J),PROD(4),LOSS(4),O2P(J),N2D(J),PO1DEL,PO1DSR,O1S
     > ,NPLUS(J),O1D(J))
C
C------- O(1D) emission rates
      IF(I.EQ.36) CALL CO1D(1,J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J)
     > ,ZNE(J),PROD(4),LOSS(4),O2P(J),N2D(J),PO1DEL,PO1DSR,O1S
     > ,NPLUS(J),O1D(J))
C
      IF(I.EQ.8) CALL CNO(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,PROD(3),LOSS(3),N2D(J),N4S(J),N2P(J),NNO(J),O2P(J),N(1,J)
     >  ,PSRNO,PLYNOP)
C
      IF(I.EQ.9) CALL CN4S(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,PROD(2),LOSS(2),N4S(J),DISN4S,N2D(J),N2P(J),N(1,J),N2PLS(J)
     > ,UVDISN,NOP(J),NPLUS(J),NNO(J),O2P(J),PSRNO,VC(J))
C
      IF(I.EQ.10) CALL CO1S(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,O1S,O2P(J),N4S(J),PO1SEL,NPLUS(J),N2A,PO1DSR,O2ADEL,O2DEL)
C
      IF(I.EQ.11) CALL CN2PLS(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J)
     > ,ZNE(J),N2PLS(J),EUVION(3,1,J),EUVION(3,2,J),EUVION(3,3,J)
     > ,PEPION(3,1,J)+PAUION(3,1,J),PEPION(3,2,J)+PAUION(3,2,J)
     > ,PEPION(3,3,J)+PAUION(3,3,J),OP2D(J),OP2P(J),HEPLUS)
C
      IF(I.EQ.12) CALL CNOP(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,PNOP,NOP(J),N(1,J),N2PLS(J),O2P(J),N4S(J),NNO(J),NPLUS(J)
     > ,N2P(J),PLYNOP,VC(J))
C
      IF(I.EQ.13) CALL CO2P(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,PO2P,O2P(J),TOTO2I,N(1,J),OP2D(J),N2PLS(J),NPLUS(J),N4S(J)
     > ,NNO(J))
C
      IF(I.EQ.14) THEN
        EUVP4S=EUVION(1,7,J)
        PEOP4S=PEPION(1,7,J)+PAUION(1,7,J)
        CALL COP4S(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,N(1,J),EUVP4S,OP2D(J),OP2P(J),PEOP4S,PDISOP,N2PLS(J)
     > ,N2D(J),NNO(J),VC(J))
      ENDIF
C
      IF(I.EQ.15) CALL COP2D(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,OP2D(J),TOP2DI,OP2P(J))
C
      IF(I.EQ.16) THEN
        PEOP2P=PEPION(1,9,J)+PAUION(1,9,J)
        CALL COP2P(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,OP2P(J),TOP2PI,PEOP2P)
      ENDIF
C
      IF(I.EQ.17) CALL CNPLS(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,DISNP,NPLUS(J),N(1,J),N2D(J),OP2P(J),HEPLUS,OTHPR2(3,J))
C
      IF(I.EQ.18) CALL CN2A(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,N2A,SUMEXC(3,1,J),SUMEXC(3,2,J),SUMEXC(3,3,J),SUMEXC(3,4,J))
C
      IF(I.EQ.19) CALL CN2P(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,PROD(5),LOSS(5),N2P(J),PN2PEL,UVDISN,O2P(J),NNO(J),N2PLS(J))
C
      IF(I.EQ.20) CALL CHEP(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,HEPLUS,PRHEP,HE)
C
      IF(I.EQ.21) CALL CRT1(J,ID,JP,Z(J),RTS)
C
      IF(I.EQ.22) CALL CRT2(J,ID,JP,Z(J),RTS)
C
      IF(I.EQ.23) CALL CMSIS(J,ID,JP,Z(J),ON(J),O2N(J),N2N(J),HE
     > ,HN(J),TN(J))
C
      IF(I.EQ.24) CALL C1200(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,P3X12,P3X11,N4S(J),DISNP)
C
      IF(I.EQ.25) CALL CO2(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     > ,BOD3,O1D(J),O2SS,TN(J),O2B1,O2DEL,O2ADEL,O2ASIG)
C
      IF(I.EQ.26) THEN
        PN2PX=SUMION(3,1,J)
        PN2PA=SUMION(3,2,J)
        PN2PB=SUMION(3,3,J)
        CALL CN2PV(J,ID,JP,Z(J),RTS,ON(J),O2N(J),N2N(J),ZNE(J)
     >   ,OP2P(J),OP2D(J),PN2PX,PN2PA,PN2PB)
      ENDIF
C
      IF(I.EQ.27) CALL PRDPRB(J,ID,JP,Z(J))
C
C....... Electron impact excitation rates for atomic oxygen
      IF(I.EQ.28) CALL CEMOX(J,ID,JP,Z(J),RTS,PO1DEL,PO1SEL
     > ,P1X3,P1X4,P1X5,P1X6,P1X7,P1X8,P1X9)
C
C...... This part to print O2+ production rates DEACTIVATED (use I=28)
      IF(I.EQ.-28) THEN
       IF(JP.EQ.1) WRITE(ID,*) ' ' 
       IF(JP.EQ.1) WRITE(ID,*) '  ALT    EUV O2+'
        WRITE(ID,777) Z(J),(EUVION(2,K,J),PEPION(2,K,J),K=1,5)
      ENDIF
 777    FORMAT(F6.1,1P,22E8.1)
      RETURN
      END
C...................... VPERP.FOR ................................
C....... This subroutine provides the ExB drift  of flux tubes in the 
C....... equatorial plane by reading time, Vperp, PCO, and BLON from file.
C....... The data file is read in a two dimensional array MEDATA(N,M)
C....... then interpolated to model time
C....... JUNIT=23 is the unit number of the data file.
C....... Dr. P. Richards, Y long March 1998
C
      SUBROUTINE
     >   GET_VPERP(NWTIM,  !.. number of times in file (<0 on 1st call)
     >                DT,  !.. time step in seconds
     >             UTHRS,  !.. universal time for drift determination
     >               SAT,  !.. input local time for drift
     >            RUNHRS,  !.. length of the run (hours).
     >               PCO,  !.. L value to return
     >              BLON,  !.. Magnetic longitude to return
     >            L_STAG,  !.. stagnation point for teardrop ExB model
     >           L_SHORT,  !.. L on the short axis for teardrop model
     >            L_PHASE, !.. Time of stagnation for teardrop model
     >            VPERPN,  !.. perp velocity to return (m/s)
     >             NCOLS,  !.. # of columns read from data file.
     >            UTORLT,  !.. tells if time is UT or LT. 
     >           PCO_MAX)  !.. maximum L value with teardrop model
C
      IMPLICIT NONE
      INTEGER NWTIM, NCOLS,UTORLT,N,M,JUNIT,IPT
      PARAMETER (N=29999, M=6, JUNIT=23)
      DOUBLE PRECISION RESULT(M),RUNHRS,VPERPN,PCO,PCO_SAV,DT,PCO_MAX
      REAL MEDATA(N,M),SAT,UTHRS,BLON,L_STAG,L_SHORT,SAT_DT,DEL_TIM
     >  ,L_PHASE

      SAVE MEDATA
C
      VPERPN=0.0

      !... use teardrop model Khazanov et al. JGR 1994, page 5923
      IF(L_STAG.GT.1.1) THEN
          IF(L_STAG.LT.2*L_SHORT) THEN
             WRITE(6,*) ' ** In ExB model L_SHORT < 0.5*L_STAG. Check'
             WRITE(6,*) ' ** GLAT/L-shell and L_STAG in Fyyyyddd.* file'
             STOP
          ENDIF
          !.. get maximum L at dusk for setting up proper altitude grid
          CALL TEARDROP(L_STAG,L_SHORT,18.0,PCO_MAX,VPERPN)
          !.. Two calls to ExB model to evaluate Vperp = DL/DT
          SAT_DT=SAT-DT/3600.0
          CALL TEARDROP(L_STAG,L_SHORT,SAT_DT+L_PHASE,PCO_SAV,VPERPN)
          CALL TEARDROP(L_STAG,L_SHORT,SAT+L_PHASE,PCO,VPERPN)
          !... VPERPN is the instantaneous velocity at L. Better to use
          !... an average over the time step DT
          IF(DT.GT.1) VPERPN=(PCO-PCO_SAV)*6.37E8/DT
          NCOLS=-1
          RETURN
      ENDIF

C.....If this is the first call to READWD , call READ_VPERP to read
C..... the MEDATA and NWTIM from the data file
      IF (NWTIM .LT. 0)
     > CALL READ_VPERP(N,M,JUNIT,UTHRS,RUNHRS,MEDATA,NWTIM,NCOLS,
     >                 UTORLT,BLON)
C      
      !.. If column number is < 3, no data file
      IF(NCOLS.LT.3) NWTIM=0
      IF(NCOLS.LT.3 .OR. NWTIM.EQ.0) RETURN
C
C....... If UTORLT =1, UT is used in the hemisphere else if UTORLT=0
C....... calculate the winds at the specified local time SAT.
         IF (UTORLT .EQ. 1) THEN
              CALL INT_VPERP(N,M,NWTIM,NCOLS,UTHRS,MEDATA,RESULT,IPT)
         ELSE IF (UTORLT .EQ. 0) THEN
              CALL INT_VPERP(N,M,NWTIM,NCOLS,SAT,MEDATA,RESULT,IPT)
         ELSE
	      WRITE(6,*) 'Problem with UT/LT switch value in data file'
              STOP
         ENDIF

      !.. Vperp is calculated from dL/dt
      PCO=RESULT(2)
      BLON=RESULT(3)
      DEL_TIM=3600.0*(MEDATA(IPT+1,1)-MEDATA(IPT,1))
      !... drift from values from file
      IF(DEL_TIM.GT.0)
     >  VPERPN=(MEDATA(IPT+1,2)-MEDATA(IPT,2))*6.37E8/DEL_TIM
      !... calculate drift from actual change in L after 1st time step
      IF(PCO_SAV.GT.0) VPERPN=6.37E8*(PCO-PCO_SAV)/DT
      PCO_SAV=PCO  !... save L value for vperp calculation
C
      RETURN
      END
C
C::::::::::::::::::::::: SUBROUTINE READ_VPERP :::::::::::::::::::::::::::::
C.... This subroutine reads the UT/LT and 2 components of the E x B 
c.... DRIFt from a file and stores time in MEDATA(N,1), the northward
C.... vperp in MEDATA(N,2), and the eastward vperp in MEDATA(N,3)
C.... Three sentinel numbers are: 
C....  1. UTORLT which is used to decide UT/LT;
C....  2. NCOLS which tell us the coloum number in the data file. 
C
      SUBROUTINE 
     >   READ_VPERP(N,        !.. # of columns dimension
     >              M,        !.. # of rows dimension
     >              JUNIT,    !.. input data file unit
     >              UTHRS,    !.. UT in hours
     >              RUNHRS,   !.. Length of run in hours 
     >              MEDATA,   !.. input data array
     >              NWTIM,    !.. # of times
     >              NCOLS,    !.. # of colums in file
     >              UTORLT,   !.. UT or LT indicator
     >              BLON)     !.. magnetic longitude
C
      REAL MEDATA(N,M),UTHRS,BLON
      INTEGER NCOLS,UTORLT,NWTIM,JUNIT
      DOUBLE PRECISION RUNHRS
      REAL HEADR            !.. for reading sentinel
      LOGICAL DEBUG         !.. debug switch
      CHARACTER *80 CHEADR  !.. string for header
      DATA  DEBUG / .FALSE. /
C
      IF (DEBUG) WRITE (6,*)'*****ENTERING READ_VPERP******'
C
      !... Test to see if the E x B data file exists
      CALL TFILE(JUNIT,IOPEN)
      IF(IOPEN.EQ.0) THEN
         NCOLS=0
         RETURN
      ENDIF
      !.. Read first header and junk it. Must be at least 1 header 
      READ(JUNIT,'(80A)') CHEADR 
      !.. Read remaining input file headers until sentinel value.
      !.. keep looping on error until valid sentinel is read 
      DO 10 I = 1,99
        READ(JUNIT, 87, ERR=10) HEADR 
        GO TO 20
 10   CONTINUE
 87   FORMAT(F8.0)
 20   CONTINUE
      UTORLT=NINT(HEADR)

      !.. Read other control parameters
      READ(JUNIT,*) NCOLS
      IF(NCOLS.LT.3) CLOSE(JUNIT)
      IF(NCOLS.LT.3) RETURN
      !.. Read column header and junk it.
      READ(JUNIT,'(80A)') CHEADR 

C........ Read in the TIMES and corresponding DATA and test for
C........ bad EXB data
      DO  25 I = 1, N 
        READ(JUNIT, *, END = 26, ERR = 26) (MEDATA(I,J), J=1,NCOLS) 	  
        IF (DEBUG) WRITE (6,*) (MEDATA(I,J), J=1,NCOLS) 	
        !.. Test Vperp is within the correct range.
        IF ((MEDATA(I,2).GT.8.0).OR.(MEDATA(I,2).LT.1.01)) THEN
           WRITE(6,100) MEDATA(I,2),I
           STOP
        ENDIF
        IF ((MEDATA(I,3).GT.360).OR.(MEDATA(I,3).LT.0.0)) THEN
           WRITE(6,101) MEDATA(I,3),I
           STOP
        ENDIF
25    CONTINUE
26    CONTINUE
C
 100   FORMAT(/1X,'ERROR! L-value is ',1P,E10.2,' OUT OF RANGE!' 
     > ,/1X,'** Check the data file at row ',I3)
 101   FORMAT(/1X,'ERROR! Longitude is ',1P,E10.2,' OUT OF RANGE!' 
     > ,/1X,'** Check the data file at row ',I3)
C
      NWTIM = I - 1
      IF (DEBUG) WRITE(6,*)'NWTIM = ',NWTIM
C
      !... Test for the times to be in ascending order
      DO 30 I = 2,NWTIM
        IF (DEBUG) WRITE(6,*)'LOOP 3 ',I
        IF (MEDATA(I,1) .LT. MEDATA(I-1,1)) THEN
          WRITE(6,781) JUNIT,(MEDATA(I,J),J=1,NCOLS)
          STOP
        ENDIF 
30    CONTINUE

 781   FORMAT(//3X,'ERROR! TIME NOT IN ASCENDING ORDER in E x B'
     >  ,/3X,'data file unit=',I3,' near the following line'
     >  ,/3X,F7.2,1P,9E10.2/)

      !.. Test for UTHRS larger than the first TIME
      IF ((MEDATA(1,1).GT.UTHRS).AND.(IABS(UTORLT).EQ.1)) THEN
         WRITE (6,391) JUNIT,UTHRS,MEDATA(1,1) 
         STOP
      ENDIF
 391   FORMAT(2X,'ERROR! Need E x B at earlier times in data'
     > ,1X,'file unit=',I3,/5X
     > ,'Run starts at ',F8.2,' hrs but first data time is ',F8.2)

C....... Test for the total hours of run (UTHRS + RUNHRS) less
C....... than the last TIME
       IF ((MEDATA(NWTIM,1).LE.(UTHRS+RUNHRS)) .AND.
     >    (IABS(UTORLT).EQ.1)) THEN
         RUNHRS=MEDATA(NWTIM,1)-UTHRS-0.02
         WRITE (6,392) RUNHRS
         IF(RUNHRS.LE.0.0) THEN
            WRITE(6,*) ' NOT ENOUGH VALID DATA'
            STOP
         ENDIF
       ENDIF
C
 392     FORMAT(/2X,'***WARNING***  run time exceeds the last time in'
     >   ,1X,' E x B file. TSTOP has been reset to ',F7.2,' hours'/)
C
C....... Make sure local times are OK
      IF (IABS(UTORLT) .EQ. 0) THEN
         IF (ABS(MEDATA(1,1)) .GT. 0.001)  WRITE(6,393)
 393     FORMAT(2X,'ERROR! First local time must be zero')
         IF (ABS(MEDATA(NWTIM,1)-24.0) .GT. 0.001) WRITE(6,394)
 394     FORMAT(2X,'ERROR! last local time must be 24.0')
         IF (ABS(MEDATA(1,1)).GT.0.001 .OR.
     >      ABS(MEDATA(NWTIM,1)-24.0).GT.0.001) STOP
         MEDATA(1,1) = 0.0
         MEDATA(NWTIM,1) = 24.0
      ENDIF
      CLOSE(JUNIT)
      RETURN
      END
C:::::::::::::::::::: TEARDROP ::::::::::::::::::::::::::::
C.....This subroutine calculates L-values based on the eq.(4) of the
C.....paper by Khazanov et al JGR, page 5924, 1994. It also computes
C.....the drift velocity
C.....Written for Dr. Richards by Jinhua Liao, August 15, 1998
      SUBROUTINE 
     >   TEARDROP(Lst, !.. equipotential location on dusk axis
     >             LN,  !.. equipotential location on noon meridian
     >             LT,  !.. Local Time at equatorial plane
     >              L,  !.. Calculated L value
     >              V)  !.. drift velocity (m/s)

      IMPLICIT NONE
      DOUBLE PRECISION L,V
      REAL  Lst, LN, LT,RE,PI,DELTA,LT24
      REAL  LAMDA        !.. longitudinal angle measured from midnight 

      LT24=AMOD(LT,24.0) !.. make sure LT is less than 24
      Re=6370000.        !..Earth radii in meter
      PI=4*ATAN(1.0)
      Lamda=2.*LT24*PI/24.
      L=LN               !.. default for noon and midnight cases

      !... If not noon nor midnight
      IF(AMOD(LT24,12.0).NE.0.0) THEN
        DELTA=Lst/(2.*LN)
        !..Test if the number under square root is positive
        IF((DELTA**2+SIN(LAMDA)).LT.0.) THEN
          WRITE(6,*) ' ExB problem: initial L is too big'
          STOP
        ELSE
          !..Calculate L value based on eq.(4)
          L=Lst*(SQRT(DELTA*DELTA+SIN(LAMDA))-DELTA)/sin(LAMDA)
        ENDIF
      ENDIF
    
      !.. Calculate drift velocity making sure demoninator not zero  
      IF(2*L*SIN(LAMDA)+Lst**2/LN.NE.0.0)THEN
         V=-Re*L**2*COS(LAMDA)*PI/(2*L*SIN(LAMDA)+Lst**2/LN)/4.32E4
      Else 
         V=0.
      ENDIF

      V=V*100.0    !.. convert to cm/sec

      RETURN
      END	      
C::::::::::::::::::::::::::: INT_VPERP :::::::::::::::::::::::::::::::::::
C.... This subroutine calculates the values of RESULT (including wind,
C.... density, temparture etc..) at required time TIME by using the 
C.... subroutine FTW. It calls BISPLT to locate the data used for 
C.... interpolation. MEDATA(PDT,NCOLS) and MEDATA(PDT+1, NCOLS) will
C.... be used for interpolation. 
C.... Dr. Phlip Richards, Kevin Zou  at July 8,1993
C
      SUBROUTINE INT_VPERP(N,M,NWTIM,NCOLS,TIME,MEDATA,RESULT,PDT)
C
      INTEGER PDT,NWTIM,BEGIN
      DOUBLE PRECISION RESULT(M)
      REAL MEDATA(N,M),TIME
C
C.....Use subroutine BISPLW to locate the data used for interpolation.
      BEGIN=1
      CALL BISPLW(N,M,BEGIN,NWTIM,TIME,MEDATA,PDT)
C----  WRITE(6,*) 'TIME=',TIME,'   ','PDT=',PDT
C....... Use subroutine FTW to interpolate at TIME for RESULT
      CALL FTW(N,M,NWTIM,NCOLS,TIME,PDT,MEDATA,RESULT)
      RETURN
      END

C:::::::::::::::::::::::: LNVEL :::::::::::::::::::::::
C.....This subroutine calculates Ln based on L value and LT(local time).
C.....Given L value at a particular time, Ln can be calculated from eq.(4)
C.....of the paper by G.V.Khazanov et al(1994). Further, the drift velocity 
C.....was calculated.
C.....Written by Dr. Philp Richards, Jinhua Liao, August 15, 1998
      SUBROUTINE 
     >     LNVEL(Lst,     !.. The location along the dusk meridian
     >           LT,      !.. Local Time
     >           L,       !.. Geocentric distance expressed in Earth radii
     >           Ln,      !.. The intersection of the equipotential 
     >                    !.. surface with the noon-midnight meridian
     >           V)       !.. drift velocity (m/s)
C
      REAL  Lst, LT, Ln
      REAL  LAMDA        !.. longitudinal angle measured from midnight 
      DOUBLE PRECISION L,V
C
      Re=6370.*1000.     !..Earth radii in meter
      TF=3600.           !..For transfering time unit from hour to second 
      PI=4*ATAN(1.0)
      Lamda=2.*LT*PI/24.
      !... Calculates Ln based on eq.(4)
      Ln=-Lst**2*L/(L**2*sin(LAMDA)-Lst**2)
      !.. Start to calculate drift velocity
      !.. Make sure that the demoninator in the velocity equation is not zero  
      IF(2*L*SIN(LAMDA)+Lst**2/Ln.NE.0.0)THEN
         V=-Re*L**2*COS(LAMDA)*PI/(2*L*SIN(LAMDA)+Lst**2/Ln)/(12.*TF)
      Else 
         V=0.
      ENDIF
      RETURN
      END	
C:::::::::::::::::::: GET_PHASE ::::::::::::::::
C... This function determines the phase of the tear drop model
C... Based on the Ap/Kp
      REAL FUNCTION TD_PHASE(UTHRS,AP2,AP3)
      IMPLICIT NONE
      REAL UTHRS,DELTIM,AP2,AP3,KP2,KP3,KPAVE
      !... determine time elapsed since last Kp/Ap change which
      !... happens every 3 hours
      DELTIM=AMOD(UTHRS,3.0)
      KP2=0
      KP3=0
      IF(AP2.GT.2) KP2=INT(ALOG(AP2)*1.7-0.84)
      IF(AP3.GT.2) KP3=INT(ALOG(AP3)*1.7-0.84)
      KPAVE=((KP2*DELTIM+(3-DELTIM)*KP3))/3.0
      TD_PHASE=42.0-(11.3+47.0/(KPAVE+3.9))
      WRITE(6,'(9F9.2)') DELTIM,KP2,KP3,KPAVE,TD_PHASE
      RETURN
      END

C.................... CALODDN.FOR;8 ..........6-JUN-1994 10:33:04.41 
C------ This subroutine is the main sequencing control for the odd N
C------ and vibrationally excited N2 solutions on the vertical grid. 
C------ It was developed in 1993 by splitting up the old RSVLPE.FOR
C------ into CALODDN and CALVN2. It is responsible for calling the
C------ odd N and N2* solutions in the proper order.
C------ Written by Phil Richards in February 1993.
C
      SUBROUTINE VERCON(S,JMAX,IDIM,DTV,GLAT,GRD,ISOL,IVLPS,IVIBN2
     >   ,HMF2N,HMF2S,SATN,SATF,CHIN,CHIF)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL GRD                  ! f90 added
      REAL SATN,SATF,CHIN,CHIF
      DIMENSION S(IDIM,1)       ! f90 added
C
C----- Northern hemisphere odd nitrogen
      CALL CALODD(1,JMAX/2,S,IDIM,DTV,GLAT,GRD,-1,ISOL,17,IVLPS)
C
C----- Northern hemisphere Vibrational N2 DENSITIES
      IF(IVIBN2.GE.1) 
     >  CALL CALVN2(1,JMAX/2,S,999,DTV,GLAT,GRD,+1,ISOL,17,IVLPS
     >     ,HMF2N,HMF2S,SATN,SATF,CHIN,CHIF)
C
C----- Southern hemisphere odd nitrogen
      CALL CALODD((JMAX+2)/2,JMAX,S,IDIM,DTV,-GLAT,GRD,-1,ISOL
     >   ,17,IVLPS)
C
C----- Southern hemisphere Vibrational N2 DENSITIES
      IF(IVIBN2.GE.1) 
     >  CALL CALVN2((JMAX+2)/2,JMAX,S,999,DTV,-GLAT,GRD,+1
     >      ,ISOL,17,IVLPS,HMF2N,HMF2S,SATN,SATF,CHIN,CHIF)
C
      RETURN
      END
C:::::::::::::::::::::::::::::::: CALODD ::::::::::::::::::::::::
C------ This subroutine is the main sequencing control for the odd N
C------ solutions. It was developed in 1993 by splitting up the old
C------ RSVLPE.FOR. It specifies time and convergence looping and calls
C------ subroutines to set up and solve the coupled continuity and 
C------ momentum equations using Newton's method.
C------ Written by Phil Richards in February 1993.
C
      SUBROUTINE CALODD(MINJ,MAXJ,S,IDIM,DTV,GLAT,GRD,IC,ISOL
     >   ,MAXIT,IVLPS)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      INTEGER NION,NEQ,NFLAG
      REAL AP,DEC,ETRAN,BLON,F107,F107A,SEC,GRD
      DIMENSION S(IDIM,1),PROD(6),ALOSS(6),VCON(71),AM(7)
      COMMON/SLV/DELTA(1806),RHS(1806),WORK(50000)
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/FJS/N(4,401),TI(3,401),FF(20)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      COMMON/ALT/Z(401),DT,DW,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,NION
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      COMMON/LPS/SZA(401),D1,D2,ISPC,I1,I2,IPRIN,JTIMAX,IPP,ISKP
      COMMON/VAGRID/JBV,JVB,JNB
C
       DATA  EPSN, RE  , DCR  ,DC, EPCON , NFLAG, IPR
     >   /    .8 ,6357., 0.0  ,.5, 1.0E-2,  0   ,  3  /
C------ Atomic masses for the odd N species, vibrational N2 factors
      DATA AM/14.,14.,30.,16.,3*14./,         VCON/71*0.0D0/
C------- ID= unit number for output file.
        ID=3
        IF(MINJ.GT.1) ID=4
C------- setting up # grid points and time step
        JVMAX=JMAX
        VDT=DTV
        JTER=0
C
C----- boundary indices (JBP1,JBL), # of equations
      JBP1=JBV+1
      JBL=JNB
      MIT=JBV-JBL+1
      NEQ=IPR*(MIT-1)
C
C
C------- set up the neutral atmosphere on vertical grid
      CALL VATMOS(MINJ,MAXJ,GLAT,IC,ISOL,MAXIT,IVLPS,JBV)
C
C-------- Set up terms in the DE that do not change during iteration
      CALL CALDIF(JBP1,IPR,AM,IC)
C
C------ Fill the solution arrays NV with initial values or read previous 
C------ values from STR(IS,J). JCON stipulates northern or southern 
C------ hemisphere for storing in STR. VCON is N2* factor
      DO 21 J=1,JBP1
         NV(1,J)=N2D(J)
         NV(2,J)=N4S(J)
         NV(3,J)=NNO(J)
         NV(4,J)=O1D(J)
         JCON=J
         IF(MINJ.GT.1) JCON=MAXJ+1-J
         IF(STR(7,JCON).LT.1.0.OR.STR(7,JCON).GT.5) STR(7,JCON)=1.0
         VCON(J)=STR(7,JCON)
         IF(ISOL.EQ.0) CALL PRLN(1,0,J,0,IPR,PROD,ALOSS,VCON,IVLPS)
         DO 25 I=1,IPR
            IF(ISOL.NE.0) NV(I,J)=STR(I+7,JCON)
            IF(ISOL.NE.0) GO TO 25
C....            IF(I.NE.2) NV(I,J)=PROD(I)/ALOSS(I)
 25    CONTINUE
 21    CONTINUE
C
C------- save density at previous time step for calculation of dn/dt
      DO 41 J=1,JBP1
      DO 41 IS=1,IPR
         NVS(IS,J)=NV(IS,J)
 41    CONTINUE
C
C-------- set lower boundary conditions
      DO 99 J=1,JBL
C------- safety feature to prevent runaway
         IF(NV(2,J).GT.NV(3,J)) THEN
            NV(2,J)=1.0E4
            NV(3,J)=3.0E7
         ENDIF
C------- Iterate on previous values to improve N(4S) and NO
         DO 69 ITYMS=1,2
            CALL PRLN(1,0,J,0,IPR,PROD,ALOSS,VCON,IVLPS)
            DO 68 IS=1,IPR
              NV(IS,J)=PROD(IS)/ALOSS(IS)
 68         CONTINUE
 69      CONTINUE
 99   CONTINUE
C
      IF(ISOL.EQ.9) RETURN
C
C------- MAIN loop - begin iterative solution procedure ends at next row of
C**********************************************************************
      LAXIT=IABS(MAXIT)
      DO 220 JTER=1,LAXIT
C
C----- compute Fij profile and S matrix which BDSLV uses to
C----- solve the linear system ((S))*(DELTA)= (Fij)
      DO 145 J=2,MIT
         JC=J+JBL-1
         CALL OFIJ(JC,0,IPR,JBV,IC)
         KR=IPR*(J-2)
         DO 139 IRHS=1,IPR
 139     RHS(KR+IRHS)=F(IRHS)
 145  CONTINUE
C----- IJM is a switch for calling OMATRIX or not ...Cuts down on the amount
C----- of work in building the matrix.
       IJM=0
       IF((JTER/3)*3.EQ.JTER) IJM=1
       IF(JTER.LE.3) IJM=1
       IF(DCR.NE.1) IJM=1
C
       IF(IJM.EQ.1) CALL OMATRX(S,RHS,NEQ,IPR,MIT,JBL,JBV,IC)
C
C------- invert the Jacobian matrix S and record error comments
C-------   from the inversion routine BDSLV. IBW = band width
       IBW=2*IPR-1
       CALL BDSLV(NEQ,IBW,S,0,RHS,DELTA,WORK,NFLAG)
       IF(NFLAG.NE.0) THEN
         WRITE(6,*) ' ******* Convergence problem in BDSLV *******'
         WRITE(6,*) ' Problem in odd N solution'
         STOP 3
      ENDIF
C
C----- Update previous densities NV with increment DELTA from BDSLV
C----- Test for convergence when IDIV=0 ... no densities change by more
C----- than specified amount.
 55    IDIV=0
       DCR=1.0
C------- First, test delta to see if it is bigger than NV -> -ve densities
C------- Set DCRP to ensure NV remains positive
      DO 142 I=1,IPR
         ION=2*IPR-I
         DO 142 J=2,MIT
         DCRP=1.0
         DINC=DELTA(IPR*J-ION)
         JC=J+JBL-1
         IF(DINC.LT.0.0) GO TO 142
         IF(ABS(DINC/NV(I,JC)).GT.EPSN) DCRP=DC*ABS(NV(I,JC)/DINC)
         IF(DCRP.LT.DCR) DCR=DCRP
 142  CONTINUE
C
C----- subtract all or part of DELTA from density NV to get new density
C----- for next iteration
 144  DO 42 J=2,MIT
         JC=J+JBL-1
         DO 42 I=1,IPR
         ION=2*IPR-I
         DINC=DELTA(IPR*J-ION)
         NV(I,JC)=NV(I,JC)-DINC*DCR
         IF(ABS(DINC/NV(I,JC)).GT.EPCON)  IDIV=IDIV+1
 42   CONTINUE
C
C------ If all densities have a small enough change, solution achieved
 47   IF(IDIV.EQ.0.AND.JTER.GT.17) WRITE(6,113) JTER
 113  FORMAT(/1X,'ITER=',I5,'   difficulty converging in odd N soln'//)
      IF(IDIV.EQ.0)  GO TO 222
C
 220  CONTINUE
C**********************************************************************
C
      IF(ISOL.EQ.0.AND.DCR.EQ.1) GO TO 222
C----- Signal non-convergence here
      IF(MINJ.LE.1) WRITE(6,115) 
 115  FORMAT(/' NON-CONVERGENCE in odd N solution in NORTH'/)
      IF(MINJ.GT.1) WRITE(6,116) 
 116  FORMAT(/' NON-CONVERGENCE in odd N solution in SOUTH'/)
      WRITE(6,*) ' PT,  ALT ,   N(2D) ,    N(4S) ,    NO'
      DO 73 J=1,JBP1
        WRITE(6,799) J,ZR(J),(NV(IS,J),IS=1,3)
 73   CONTINUE
 799  FORMAT(1X,I4,F7.1,1P,9E10.2)
      STOP
C
 222  CONTINUE
C
C------store the odd N solutions for use in vib N2 solution
      DO 88 J=1,JBP1
         N2D(J)=NV(1,J)
         N4S(J)=NV(2,J)
         IF(IPR.GE.3) NNO(J)=NV(3,J)
         IF(IPR.GE.4) O1D(J)=NV(4,J)
         IF(IPR.LT.3) NV(3,J)=NNO(J)
         IF(IPR.LT.4) NV(4,J)=O1D(J)
         JCON=J
         IF(MINJ.GT.1) JCON=MAXJ+1-J
         DO 94 I=1,IPR
           STR(I+7,JCON)=NV(I,J)
 94      CONTINUE
      IF(ZR(J).LT.0.AND.MINJ.LE.1) 
     >  WRITE(6,901) J,ZR(J),STR(8,JCON),STR(9,JCON),STR(10,JCON)
 901  FORMAT(1X,I5,F7.1,1P,11E10.2)
 88   CONTINUE
      RETURN
      END
C::::::::::::::::::::::::  JBLK ::::::::::::::::::::::::::::::::::::::::
      BLOCK DATA JBLK
      COMMON/VAGRID/JBV,JVB,JNB
      DATA JBV, JVB, JNB /0, 0, 0/
      END
C:::::::::::::::::::::::: VERGRD ::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE VERGRD(IVLPS,GRD)
C------- altitude grid for odd N and N2*
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      INTEGER NION
      REAL GRD
      COMMON/ALT/Z(401),DT,DW,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,NION
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/VAGRID/JBV,JVB,JNB
      DATA ZUP/600.0/,RE/6357./,SCL/0.0D0/,STEP/2.5/  ! f90 
      DATA DEN/0.0D0/                                 ! f90
c ! f90     DATA ZUP/600.0/,RE/6357./,SCL/0.0D0/,STEP/2.5/,JBV/0/,JVB/0/
c ! f90     DATA JNB/0/,DEN/0.0D0/
C
      IF(JBV.NE.0) RETURN
      IF(Z(JMAX/2).LT.ZUP) ZUP=Z(JMAX/2-1)
      ZR(1)=Z(1)
      IF(GRD.GT.0) STEP=5.0
      DH=STEP*1.0E+5
      SCL=DLOG(50./STEP)/(ZUP/ZR(1)-1.0)
      JVB=1
      JNB=1
      DO 930 J=1,100
         IF(ZR(J).LE.120) JVB=J
         IF(ZR(J).LE.80) JNB=J
C-----   original grid spacing
         BG(J)=DEXP(-SCL*(ZR(J)/ZR(1)-1.0))
C-----   new grid spacing
C---         BG(J)=1E4/(ZR(J)*ZR(J))
         IF(GRD.GT.0) BG(J)=1.0
         DELZ=STEP/BG(J)
         ZR(J+1)=ZR(J)+DELZ
         GR(J)=-980.665/(1.0+ZR(J)/RE)**2
C---------- rough initial profiles
         IF(ZR(J).GE.100) NNO(J)=2.95E+8*DEXP(-3.37E-2*ZR(J))
         IF(ZR(J).LT.100) NNO(J)=4.54E+2*DEXP(0.1*ZR(J))
         IF(J.EQ.1.OR.ZR(J).LE.220)
     >     DEN=1.E7*EXP(-7.2E-4*(ZR(J)-200.0)**2)
         IF(ZR(J).GT.220) DEN=DEN*EXP((ZR(J+1)-ZR(J))*0.017*GR(J)/999.)
         N4S(J)=DEN
         O1D(J)=0.001*DEN
         N2D(J)=0.03*DEN
         IF(ZR(J+1).GE.Z(JMAX/2)) GO TO 933
         IF(ZR(J+1).GT.ZUP) GO TO 933
         IF(J.GT.69) GO TO 933
 930   CONTINUE
 933  JBV=J-2
 90   FORMAT(I6,F6.0,1P,9E9.1)
      RETURN
      END
C::::::::::::::::::::::::::::: VATMOS ::::::::::::::::::::::::::::::::::
      SUBROUTINE VATMOS(MINJ,MAXJ,GLAT,IC,ISOL,MAXIT,IVLPS,JBV)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      INTEGER NION
      REAL AP,DEC,ETRAN,BLON,F107,F107A,SEC,D(8),T(2),CHI,SAT,GLON
     >   ,GLATD
      COMMON/FJS/N(4,401),TI(3,401),FF(20)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/ALT/Z(401),DT,DW,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,NION
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      DATA SECSAV/0.0D0/
C
C...      IF(SEC.EQ.SECSAV) RETURN
C...      SECSAV=SEC
C
C--  Get the neutral densities and interpolate ion densities
      DO 17 J=1,JBV+1
      CALL AMBS(J,ZR(J),GLAT,D,T,CHI,SAT,GLON,GLATD)
      CHIV(J)=CHI
      HE(J)=D(1)
      ON(J)=D(2)
      N2N(J)=D(3)
      TN(J)=T(2)
      O2N(J)=D(4)
      HN(J)=D(7)
C,,,,, ion densities and te are interpolated from main prog
 15   NR(1,J)=FITDEN(1,MINJ,MAXJ,Z,N,ZR(J))
      NR(2,J)=FITDEN(2,MINJ,MAXJ,Z,N,ZR(J))
      TE(J)=FITTEM(3,MINJ,MAXJ,Z,TI,ZR(J))
      TIZ(J)=FITTEM(1,MINJ,MAXJ,Z,TI,ZR(J))
C...      IF(ZR(J).LE.120.OR.TE(J).LT.TN(J)) TE(J)=TN(J)
C...      IF(ZR(J).LE.120.OR.TIZ(J).LT.TN(J)) TIZ(J)=TN(J)
 17    CONTINUE
C
CGAG---------------------------------------------------------------|
CGAG  G. GERMANY 10/28/91 Interpolating EUV and e* production rates
      CALL VNTERP(JBV,MINJ,MAXJ)
CGAG---------------------------------------------------------------|
C
C---  set up production rates for odd nitrogen
      DO 35 J=1,JBV+1
         CALL PRODIT(J,1,MINJ,MAXJ)
 35   CONTINUE
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CALDIF(JBP1,IPR,AM,IC)
      IMPLICIT DOUBLE PRECISION(A-H,K-L,N-Z)
      COMMON/DD/D(4,71),E(4,71),B1(4,71),B2(4,71),RDZ(71)
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      COMMON/ALT/Z(401),DT,DW,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,IION
      DIMENSION AM(7)
      DATA  BOLTZ/1.3807E-16/
C
      DO 5 J=1,JBP1
      RDZ(J)=0.5*BG(J)/DH
      DO 5 IS=1,IPR
      EN=ON(J)+N2N(J)+O2N(J)
      RMA=(ON(J)*16.+N2N(J)*28.+O2N(J)*32.)/EN
      D(IS,J)=1.52E+18*SQRT(1.0/AM(IS)+1.0/RMA)*SQRT(TN(J))/EN
 5    CONTINUE
C
      DO 10 J=2,JBP1
      DLTDZ=(TN(J+1)-TN(J-1))*RDZ(J)/TN(J)
      DBGDX=0.5*(BG(J+1)-BG(J-1))/DH
C
      DO 10 IS=1,IPR
      HN2=-BOLTZ*TN(J)/AM(IS)/1.66E-24/GR(J)
      E(IS,J)=DLTDZ+1.0/HN2
      DEDZ=(BG(J)/DH)**2.*(TN(J+1)-2.0*TN(J)+TN(J-1))/TN(J)+DLTDZ*
     > DBGDX-DLTDZ**2+((GR(J+1)-GR(J-1))*RDZ(J)/GR(J)-DLTDZ)/HN2
      DDDZ=(D(IS,J+1)-D(IS,J-1))*RDZ(J)
      B1(IS,J)=RDZ(J)*(DDDZ+D(IS,J)*(E(IS,J)+DBGDX))
      B2(IS,J)=(D(IS,J)*DEDZ+E(IS,J)*DDDZ)
C....      if((j/10)*10.ne.j.and.j.ne.2) go to 10
C....      write(3,99) j,zr(j),d(is,j),e(is,j),dedz,dltdz,hn2,dbgdx
 99   FORMAT(2X,I5,F7.0,1P,22E9.1)
 10   CONTINUE
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE OFIJ(J,ILJ,IPR,JBV,IC)
C------ this subr sets up error fns. of the t-d diff eqtns for n(2d),n(4s)
C------ no, & o(1d) densities, for  soln by the newton iterative procedure
C------ written by p. richards sept 1979
      IMPLICIT DOUBLE PRECISION(A-H,K-L,N-Z)
      DIMENSION PROD(6),LOSS(6),VCON(71),FYUBV(6)
      COMMON/DD/D(4,71),E(4,71),B1(4,71),B2(4,71),RDZ(71)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      COMMON/ALT/Z(401),DT,DW,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,IION
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      DATA VCON/71*0.0/
C------- Read in the upper boundary flux from file
      DATA FYUBV,IR69/6*0.0,0/
      IF(IR69.EQ.0) THEN
        READ(69,*,ERR=177,END=177) (FYUBV(IL),IL=1,6)
        WRITE(6,*) ' FY= ',FYUBV(4)
 177    IR69 = 1
      ENDIF
 
C------sts=0 for steady state solution......
      STS=1.0
      IF(ITF.GE.3) STS=0.0
C
      CALL PRLN(1,ILJ,J,0,IPR,PROD,LOSS,VCON,1)
C
      DO 20 IS=1,IPR
C------upper boundary condition......*
      IF(J.EQ.JBV) NV(IS,J+1)=-E(IS,J)*NV(IS,J)/RDZ(J)
     >     +NV(IS,J-1)-FYUBV(IS)/RDZ(J)/D(IS,J)
C------coefficients of the differential equation......
      A1=D(IS,J)*(BG(J)/DH)**2.*(NV(IS,J+1)-2.*NV(IS,J)+NV(IS,J-1))
      A2=B1(IS,J)*(NV(IS,J+1)-NV(IS,J-1))
      A3=B2(IS,J)*NV(IS,J)
C
C***** form error function from continuity eqtn
      F(IS)=A1+A2+A3-(NV(IS,J)-NVS(IS,J))*STS/VDT+PROD(IS)-
     >   LOSS(IS)*NV(IS,J)
C
C------ write out cpts of cty eqn. the 2nd write is used after convergenCe
      IF((J/10)*10.NE.J.AND.J.NE.2) GO TO 20
      IF(ILJ.NE.-1.OR.JTER.NE.1) GO TO 20
C------ a4,a5 are only used to get flux
      A4=(NV(IS,J+1)-NV(IS,J-1))*RDZ(J)
      A5=E(IS,J)*NV(IS,J)
      FLUX=-D(IS,J)*(A4+A5)
!jntu      WRITE(3,99) J,ZR(J),A1,A2,A3,A4,A5,FLUX,PROD(IS),LOSS(IS),F(IS)
 20   CONTINUE
! 99   FORMAT(I4,F6.0,1P,19E11.2)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE OMATRX(S,RHS,NEQ,IPR,MIT,JBL,JBV,IC)
C---- this program sets up the jacobian matrix for the band solver
      IMPLICIT DOUBLE PRECISION(A-H,N-Z)
      INTEGER NEQ
      DIMENSION RHS(1806),S(NEQ,23)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      IBW=4*IPR-1
C
      DO 180 JZS=1,NEQ
      DO 190 KZS=1,IBW
      S(JZS,KZS)=0.0
  190 CONTINUE
  180 CONTINUE
C
      DO 80 JF=2,MIT
      J1=MAX0(2,JF-1)
      J2=MIN0(JF+1,MIT)
      DO 90 JV=J1,J2
      DO 130 IV=1,IPR
C
      L=IPR*(JF-2)
      IF(JF.LE.3)M=IPR*(JV-2)+IV
      IF(JF.GT.3)M=IPR*(JV-JF)+IV+2*IPR
      JVC=JBL+JV-1
      JFC=JBL+JF-1
C
      H=1.0E-2*NV(IV,JVC)
      NV(IV,JVC)=NV(IV,JVC)+H
      CALL OFIJ(JFC,1,IPR,JBV,IC)
      NV(IV,JVC)=NV(IV,JVC)-H
      DO 75 IS=1,IPR
      IF(JF.LE.3) S(L+IS,M)=(F(IS)-RHS(L+IS))/H
      IF(JF.GT.3) S(L+IS,M-IS)=(F(IS)-RHS(L+IS))/H
 75    CONTINUE
C
  130 CONTINUE
   90 CONTINUE
   80 CONTINUE
      RETURN
      END
C.................... CALVN2.FOR;24        12-MAR-1993 21:22:33.86 
C------ This subroutine is the main sequencing control for the vibrational
C------ excited N2 solutions. It was developed in 1993 by splitting up the 
C------ old RSVLPE.FOR. It specifies time and convergence looping and calls
C------ subroutines to set up and solve the coupled continuity and 
C------ momentum equations using Newton's method.
C------ Programmed by Phil Richards in February 1993
      SUBROUTINE CALVN2(MINJ,MAXJ,S,IDIM,DTV,GLAT,GRD,IC,ISOL
     >   ,MAXIT,IVLPS,HMF2N,HMF2S,SATN,SATF,CHIN,CHIF)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      INTEGER NION,NEQ,NFLAG
      REAL AP,DEC,ETRAN,BLON,F107,F107A,SEC,D,GRD,VDUM(71),RVBV(71)
      REAL SATN,SATF,CHIN,CHIF
      DIMENSION S(IDIM,1),D(8),VM(7),VK(6)
      COMMON/V91/RVBT(401)
      COMMON/SLV/DELTA(1806),RHS(1806),WORK(50000)
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/FJS/N(4,401),TI(3,401),FF(20)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      COMMON/ALT/Z(401),DT,DW,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,NION
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      COMMON/PXS/VK2(6),PXN2A(71),PEEX(7,71),PRN2P(7,71),JVMAX
      COMMON/RK/VC(401)
      COMMON/LPS/SZA(401),D1,D2,ISPC,I1,I2,IPRIN,JTIMAX,IPP,ISKP
      COMMON/VAGRID/JBV,JVB,JNB
C
       DATA EPSN, RE  , DCR  ,DC, EPCON, NFLAG, IPR, IVN2W
     >   /   .8 ,6357., 0.0  ,.5, 1.0E-2,  0  ,  6 ,   -1 /
C------ relative reaction rates N2*(0-5) with O+.. e*-e factors for 0-6
C------ note sixth e*-e factor includes all higher levels
      DATA VK/1,1,38,85,220,270/, VM/7*28./
C
C........ ID=3,4 - output file for northern, southern hemisphere
        ID=3
        IF(MINJ.GT.1) ID=4
        JVMAX=JMAX
        VDT=DTV
        JTER=0
C
C----- Set up the vertical spacial grid and then set up upper and lower
C----- boundary indices (JBP1,JBL)
      JBP1=JBV+1
      JBL=JVB
      MIT=JBV-JBL+1
      NEQ=IPR*(MIT-1)
C
C-------- Set up terms in the DE that do not change during iteration
      CALL CALDIF(JBP1,1,VM,IC)
C
C----- Generate initial profiles or read from storage STR(IS,J) initial
C----- profiles for N2* are Boltzmann. TINVIB and 1.0E-12 are used to 
C----- ensure that the density doesn't go to zero at low altitudes
      DO 21 J=1,JBP1
         JCON=J
         IF(MINJ.GT.1) JCON=MAXJ+1-J
         DO 20 IS=1,IPR+1
            NV(IS,J)=STR(IS,JCON)
            TINVIB=TN(J)
            !..IF(TINVIB.LT.300) TINVIB=300.0
            IF(ISOL.EQ.0.OR.IS.EQ.IPR+1) NV(IS,J)=0.0E-12+N2N(J)
     >        *DEXP(-(IS-1)*3380.0/TINVIB)/(1.0-DEXP(-3380.0/TINVIB))
 20      CONTINUE
 21    CONTINUE

      !... Find the index of hmF2 on the vertical grid
      DO J=1,JBP1
        IF(MINJ.LE.1) THEN
           IF(HMF2N.LT.(ZR(J+1)+ZR(J))/2.AND.HMF2N.GE.(ZR(J)+ZR(J-1))/2)
     >      JPEAK=J
        ELSE
           IF(HMF2S.LT.(ZR(J+1)+ZR(J))/2.AND.HMF2S.GE.(ZR(J)+ZR(J-1))/2)
     >       JPEAK=J
        ENDIF
      ENDDO

C------ save density at previous time step for calculation of dn/dt
      DO 41 J=1,JBP1
      DO 41 IS=1,IPR
      NVS(IS,J)=NV(IS,J)
 41    CONTINUE
C
C------ Boltzmann N2* boundary condition. TINVIB and E-12 as above
      DO 297 J=1,JBL
         TINVIB=TN(J)
         !..IF(TINVIB.LT.300) TINVIB=300.0
         DO 299 IS=1,IPR
            NV(IS,J)=0.0E-12+ N2N(J)
     >        *DEXP(-(IS-1)*3380.0/TINVIB)/(1.0-DEXP(-3380.0/TINVIB))
 299     CONTINUE
 297  CONTINUE
C
C------ upper boundary density reset to msis value for N2*(v=0) solution
      NV(1,JBP1)=N2N(JBP1)
C
      IF(ISOL.EQ.9) RETURN
C
C------- MAIN loop - begin iterative solution procedure ends at next row of
C**********************************************************************
      LAXIT=IABS(MAXIT)
      DO 220 JTER=1,LAXIT
C
C----- compute Fij profile and S matrix which BDSLV uses to
C----- solve the linear system ((S))*(DELTA)= (Fij)
      DO 145 J=2,MIT
         JC=J+JBL-1
         CALL VFIJ(ID,MINJ,MAXJ,JC,0,IPR,JBV)
         KR=IPR*(J-2)
         DO 139 IRHS=1,IPR
 139     RHS(KR+IRHS)=F(IRHS)
 145  CONTINUE
C----- IJM is a switch for calling OMATRIX or not ...Cuts down on the amount
C----- of work in building the matrix.
       IJM=0
       IF((JTER/3)*3.EQ.JTER) IJM=1
       IF(JTER.LE.3) IJM=1
       IF(DCR.NE.1) IJM=1
C
       IF(IJM.EQ.1) CALL VMATRX(ID,MINJ,MAXJ,S,RHS,NEQ,IPR,MIT,JBL,JBV)
C
C------- invert the Jacobian matrix S and record error comments
C-------   from the inversion routine BDSLV. IBW = band width
       IBW=2*IPR-1
       CALL BDSLV(NEQ,IBW,S,0,RHS,DELTA,WORK,NFLAG)
       IF(NFLAG.NE.0) THEN
         WRITE(6,193) JTER
 193     FORMAT(1X,'**** Problem in BDSLV, vib N2, JTER=',I3)
         IF(MINJ.LE.1) WRITE(6,*) ' Problem in Northern hemisphere'
         IF(MINJ.GT.1) WRITE(6,*) ' Problem in Southern hemisphere'
         DO 345 J=1,JBP1
           WRITE(6,195) J,ZR(J),(NV(I,J),I=1,6)
 345     CONTINUE
 195     FORMAT(1X,I3,F6.0,1P,22E10.2)
         STOP 3
      ENDIF
C
C----- Update previous densities NV with increment DELTA from BDSLV
C----- Test for convergence when IDIV=0 ... no densities change by more
C----- than specified amount.
 55    IDIV=0
       DCR=1.0
C------- First, test delta to see if it is bigger than NV -> -ve densities
C------- Set DCRP to ensure NV remains positive
      DO 142 I=1,IPR
         ION=2*IPR-I
         DO 142 J=2,MIT
         DCRP=1.0
         DINC=DELTA(IPR*J-ION)
         JC=J+JBL-1
         IF(DINC.LT.0.0) GO TO 142
         IF(ABS(DINC/NV(I,JC)).GT.EPSN) DCRP=DC*ABS(NV(I,JC)/DINC)
         IF(DCRP.LT.DCR) DCR=DCRP
 142  CONTINUE
C
C----- subtract all or part of DELTA from density NV to get new density
C----- for next iteration
 144  DO 42 J=2,MIT
         JC=J+JBL-1
         DO 42 I=1,IPR
         ION=2*IPR-I
         DINC=DELTA(IPR*J-ION)
         NV(I,JC)=NV(I,JC)-DINC*DCR
         IF(ABS(DINC/NV(I,JC)).GT.EPCON)  IDIV=IDIV+1
 42   CONTINUE
C
C------ If all densities have a small enough change, solution achieved
 47   IF(IDIV.EQ.0.AND.JTER.GT.17) WRITE(6,113) JTER
 113  FORMAT(/1X,'ITER=',I5,' ** Difficulty converging in N2* soln'//)
      IF(IDIV.EQ.0)  GO TO 222
C
 220  CONTINUE

      WRITE(6,*)
      WRITE(6,*) ' ****** non-convergence in vibrational N2'
      STOP

C**********************************************************************
C
 222  CONTINUE
C----- calculate new rate constant VKEN, NTOT, VKE are used in
C----- calculation. see Newton et al p3813 eqn 27
      DO 88 J=1,JBP1
         JCON=J
         IF(MINJ.GT.1) JCON=MAXJ+1-J
         VKE=0.0
         NTOT=0.0
C------ calculate reduction in N2 cooling rate of thermal electrons
         CALL STUBV(2,TE(J),TN(J),ZNE(J),N2N(J),RBOLT,NV,J)
         CALL STUBV(1,TE(J),TN(J),ZNE(J),N2N(J),RVIB,NV,J)
         IF(RBOLT.NE.0) RVBV(J)=RVIB/RBOLT
         DO 223 I=1,IPR
            D(I)=SNGL(NV(I,J))
            STR(I,JCON)=NV(I,J)
            NTOT=NTOT+NV(I,J)
C------ calculate Boltzmann distribution for comparison
C...      IF(JTIMAX.EQ.1) NVT(I)=NV(1,J)
C...     >  *DEXP(-(I-1)*3380.0/TN(J))/(1.0-DEXP(-3380.0/TN(J)))
 223        VKE=VKE+VK(I)*NV(I,J)
         VKEN=VKE/NTOT
         VDUM(J)=SNGL(VKEN/VK(1))
         STR(7,JCON)=VKEN/VK(1)
         IF(J.GT.0) GO TO 88
            JP1=J-1
            IF(J.EQ.1) JP1=4
            TV=TN(J)
            IF(ZR(J).GE.ZR(JVB)) CALL TVIB(J,TN(J),TV,D)
            IF(J.EQ.1) WRITE(6,117)
 117        FORMAT(/'  ALT   TV   TN    VKEN',3X,'(N2:',5X,'V=0'
     >        ,5X,'V=1',5X,'V=2',5X,'V=3',5X,'V=4',5X,'V=5')
            IF(ZR(J).LT.100)
     >      WRITE(6,116) ZR(J),TV,TN(J),VKEN,N2N(J),(NV(IS,J),IS=1,IPR)
 88   CONTINUE
C
       !... Write N2* density and temp at hmF2
       IF(IVN2W.LE.0) WRITE(40,119)
       IF(IVN2W.LE.0) WRITE(41,119)
       IVN2W=1
 119   FORMAT(/3X,' ..... Vibrational N2 temperature and populations'
     >   ,1X,'at hmF2 .....'
     >   ,/6X,'UT    LT  CHI  ALT   TV    TN  kN2v  MSISN2'
     >   ,4X,'v_0    v_1     v_2     v_3     v_4      v_5')

       IF(JPEAK.GT.1) THEN
          J=JPEAK
          DO I=1,IPR
            D(I)=SNGL(NV(I,J))
          ENDDO
          TV=TN(J)
          IF(ZR(J).GE.ZR(JVB)) CALL TVIB(J,TN(J),TV,D)
          IF(MINJ.LE.1) THEN
            WRITE(40,118) SEC/3600.,SATN,NINT(CHIN*57.2958),NINT(ZR(J))
     >        ,NINT(TV),NINT(TN(J)),VC(J),N2N(J),(NV(IS,J),IS=1,IPR)
          ELSE
            WRITE(41,118) SEC/3600.,SATF,NINT(CHIF*57.2958),NINT(ZR(J))
     >        ,NINT(TV),NINT(TN(J)),VC(J),N2N(J),(NV(IS,J),IS=1,IPR)
          ENDIF
       ENDIF
  
C------interpolate rate constant factor
      DO 955 J=1,JMAX/2
        JCON=J
        IF(MINJ.GT.1) JCON=MAXJ+1-J
        RVBT(JCON)=1.0
        RCON(JCON)=1.0
        VC(JCON)=1.0
        IF(J.GT.71.OR.Z(JCON).GT.ZR(JBV)) GO TO 955
          VC(JCON)=FTVC(1,JBP1,ZR,VDUM,Z(JCON))
          RCON(JCON)=VC(JCON)
          RVBT(JCON)=FTVC(1,JBP1,ZR,RVBV,Z(JCON))
          IF(TE(JCON).LT.500.OR.TE(JCON).GT.10000) RVBT(JCON)=1.0
          IF(J.LT.0)
     >     WRITE(ID,205) JCON,Z(JCON),RVBT(JCON),RVBV(JCON),RCON(JCON)
     >      ,STR(1,JCON),STR(2,JCON),STR(3,JCON)
 955  CONTINUE
 965  CONTINUE

      !--- write individual cpts of cty eqn in VFIJ, or PRLN if IV<50.
      IF(IVLPS.GT.0.OR.IPP.EQ.0) RETURN
      DO 93 IV=2,5
      DO 93 J=1,JBV,IPP
         IF(IV.NE.4.AND.IV.NE.5) GO TO 93
         IF(J.GT.1) CALL VFIJ(ID,MINJ,MAXJ,J,IV,IPR,JBV)
 93   CONTINUE
       RETURN
C
 116  FORMAT(F5.0,2F6.0,F5.2,1P,22E8.1)
 118  FORMAT(F8.2,F6.2,I4,I5,2I6,F5.2,1P,22E8.1)
 205  FORMAT(I5,F7.0,1P,22E9.2)
      END
C::::::::::::::::::::::: VFIJ ::::::::::::::::::::::::::::::::
        SUBROUTINE VFIJ(ID,MINJ,MAXJ,J,ILJ,IPR,JBV)
C------ this program solves the diffusion-continuity eqns for the first ipr
C------ states of vibrational n2. for the theory, see newton et al  1974
C------ jgr p 3817. for constant step lengths put all bg(j)=1 and set
C------ dh=the desired step length in cm. this program sets up the error
C------ functions which are solved by the newton method.
C------ these programs were written by p richards in september 1979
      IMPLICIT DOUBLE PRECISION(A-H,K-L,N-Z)
      DIMENSION B(22),FYUBV(6)
      COMMON/DD/D(4,71),E(4,71),B1(4,71),B2(4,71),RDZ(71)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      COMMON/ALT/Z(401),DT,DW,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,IION
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      COMMON/PXS/VK(6),PXN2A(71),PEEX(7,71),PRN2P(7,71),JVMAX
      DATA FYUBV,IR69/6*0.0,0/
C
      STS=1.0
      IF(ITF.GE.3) STS=0.0
C
      DO 20 IS=1,IPR
C------upper boundary condition.......
      IF(J.EQ.JBV) NV(IS,J+1)=-E(1,J)*NV(IS,J)/RDZ(J)
     >     +NV(IS,J-1)-FYUBV(IS)/RDZ(J)/D(1,J)
C------coefficients of the differential equation......
      A1=D(1,J)*(BG(J)/DH)**2.*(NV(IS,J+1)-2.*NV(IS,J)+NV(IS,J-1))
      A2=B1(1,J)*(NV(IS,J+1)-NV(IS,J-1))
      A3=B2(1,J)*NV(IS,J)
      CALL PRLO(MINJ,MAXJ,ILJ,IS,J,IPR,PROD,LOSS,B)
C
C----- f(is)= is the sum of the terms in the continuity equation which
C----- we are trying to minimize
      F(IS)=(A1+A2+A3)-(NV(IS,J)-NVS(IS,J))*STS/VDT+(PROD-LOSS)
C
C------ write various cpts of cty eqn........
      IF(ILJ.LE.1) GO TO 20
      A4=(NV(IS,J+1)-NV(IS,J-1))*RDZ(J)
      A5=E(1,J)*NV(IS,J)
      FLUX=-D(1,J)*(A4+A5)
      IF(ILJ.EQ.5.AND.IS.EQ.1) WRITE(ID,101)
 101  FORMAT(/2X,'J',4X,'ALT',6X,'FLUX',6X,'DIVF',6X,'TPROD',6X,'TLOSS',
     >  6X,'DN/DT',8X,'A1',9X,'A2',9X,'A3',9X,'A4',9X,'A5',9X,'F')
      DIVF=A1+A2+A3
      DNDT=(NV(IS,J)-NVS(IS,J))*STS/VDT
      IF(ILJ.EQ.5) WRITE(ID,100) J,ZR(J),FLUX,DIVF,PROD,LOSS,DNDT
     >  ,A1,A2,A3,A4,A5,F(IS)
 20   CONTINUE
 100  FORMAT(I4,F6.0,1P,19E11.2)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      BLOCK DATA BLK6
      IMPLICIT REAL(A-H,L,N-Z)
      COMMON/PEE/P(4,6,6),G(6),HCOK
      COMMON/DPEE/DP(4,6,6)
C------ the following data(g @ pc) are related to thermal electron excitation
C------ of vib n2. the g's are used to calculate the dexcitation.
C------ the p parameters are given by newton et al p3817 for electron exCit.
      DATA G/0.0,2345.2,4632.6,6905.5,9150.,11703.6/ ,HCOK/1.439/
      DATA P/144*0.0/
      DATA (DP(IP,2,1),IP=1,4)/-1.8374E1,-2.2185E4, 1.6843E7,-4.5588E9/
      DATA (DP(IP,3,1),IP=1,4)/-1.8871E1,-1.8510E4,-1.3173E6, 2.3103E9/
      DATA (DP(IP,6,1),IP=1,4)/-2.0258E1,-1.6288E4,-2.5090E6, 7.7905E8/
      DATA (DP(IP,6,2),IP=1,4)/-2.0258E1,-1.6288E4,-2.5090E6, 7.7905E8/
      DATA (DP(IP,2,3),IP=1,4)/-1.8748E1,-1.2227E4, 1.1025E7,-2.9931E9/
      DATA (DP(IP,6,3),IP=1,4)/-1.9748E1,-1.3149E4,-2.7395E6, 9.1671E8/
      DATA (DP(IP,1,4),IP=1,4)/-1.9504E1,-5.7050E3,-6.3620E6, 1.9172E9/
      DATA (DP(IP,2,4),IP=1,4)/-1.9724E1,-4.6525E3,-6.5852E6, 1.9314E9/
      DATA (DP(IP,3,4),IP=1,4)/-1.9397E1,-8.0303E3, 5.6072E6,-1.2575E9/
      DATA (DP(IP,6,4),IP=1,4)/-1.9807E1,-8.8002E3,-2.5262E6, 9.7401E8/
      DATA (DP(IP,1,5),IP=1,4)/-1.9641E1,-3.9130E3,-5.7353E6, 1.8426E9/
      DATA (DP(IP,2,5),IP=1,4)/-2.0194E1,-3.5886E3,-4.8620E6, 1.6888E9/
      DATA (DP(IP,3,5),IP=1,4)/-1.9997E1,-4.4211E3,-3.1949E6, 1.2434E9/
      DATA (DP(IP,4,5),IP=1,4)/-1.9438E1,-4.8694E3, 2.0787E6,-1.9350E8/
      DATA (DP(IP,6,5),IP=1,4)/-1.9832E1,-4.7005E3,-4.2176E5, 4.7237E8/
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE INITP(IFRST)
      IMPLICIT REAL(A-H,L,N-Z)
      COMMON/PEE/P(4,6,6),G(6),HCOK
      COMMON/DPEE/DP(4,6,6)
      IFRST=1
      DO 10 IP=1,4
        P(IP,2,1)=DP(IP,2,1)
        P(IP,3,1)=DP(IP,3,1)
        P(IP,6,1)=DP(IP,6,1)
        P(IP,6,2)=DP(IP,6,2)
        P(IP,2,3)=DP(IP,2,3)
        P(IP,6,3)=DP(IP,6,3)
        P(IP,1,4)=DP(IP,1,4)
        P(IP,2,4)=DP(IP,2,4)
        P(IP,3,4)=DP(IP,3,4)
        P(IP,6,4)=DP(IP,6,4)
        P(IP,1,5)=DP(IP,1,5)
        P(IP,2,5)=DP(IP,2,5)
        P(IP,3,5)=DP(IP,3,5)
        P(IP,4,5)=DP(IP,4,5)
        P(IP,6,5)=DP(IP,6,5)
 10     CONTINUE
        RETURN
        END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PRLO(MINJ,MAXJ,ILJ,I,JP,IPR,PROD,LOSS,B)
C--------this subroutine evaluates the production and loss for the variou
C--------states of vib n2. see newton et al jgr 1974 p3817.
      IMPLICIT REAL(A-H,L,N-Z)
      DOUBLE PRECISION PROD,LOSS,B,STR,RCON,F,NV,NVS,NNO,N2D,O1D,N4S,
     > ON,NR,ZR,TN,GR,BG,VDT,TE,VK,PXN2A,PEEX,PRN2P,O2N,TIZ,ZNE,HE,N2P
     > ,HN,RTS,N2N,CHIV,DH
      DOUBLE PRECISION TE2,TE3,AIJ,AJI,AIJN,AJIN,VCON,SQRTN,NU,P1001,
     > P1NU,EXPTN,C01,C01ON,TE1
      DIMENSION B(22),RTS(99)
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),
     > CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,
     > JTER
      COMMON/PXS/VK(6),PXN2A(71),PEEX(7,71),PRN2P(7,71),JVMAX
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      COMMON/PEE/P(4,6,6),G(6),HCOK
      DATA IFRST/0/
C------ the following data(g @ pc) are related to thermal electron excitation
C------ of vib n2. the g's are used to calculate the dexcitation.
C------ the p parameters are given by newton et al p3817 for electron exCit.
C
C----- the b's are used to sum the v-v exchange between diff states. however
C----- b(1) @ b(2) are used to sum elec excit. nu=coll freq eqtn(18). p1001=
C----- dimensionless exchange transition probability for n2 trans 1<--->0
C----- c01= tras-vib energy exchange prob. for colls between o and n2. however
C----- the results from mcneal et al jgr 1974 are used for reaction rate
      IF(IFRST.EQ.0)CALL INITP(IFRST)
      DO  5 IS=1,22
  5   B(IS)=0.0
      CALL RATS(JP,TE(JP),TIZ(JP),TN(JP),RTS)
      SQRTN=DSQRT(TN(JP))
      NU=1.482094E-11*SQRTN
      P1001=2.600322E-6*TN(JP)*EXP(91.5/TN(JP))
      P1NU=P1001*NU
      EXPTN=EXP(3380/TN(JP))
      C01=TN(JP)**2.87*2.4685E-22/EXPTN
      C01ON=C01*ON(JP)
      TE1=1.0/TE(JP)
      IF(TE(JP).LT.400) TE1=1.0/400.0
      TE2=TE1*TE1
      TE3=TE2*TE1
C
C++++++ compts of prod and loss eqtns 16 @ 17 of newton. note that indices
C++++++ in coefficients of production and loss terms
C+++++++ appear reduced by 1, because the fortran indices start from 1, not 0
      DO 40 J=1,IPR
      IF(I.EQ.J) GO TO 50
      IF(P(1,I,J).NE.0.0)
     >  AIJ=EXP(P(1,I,J)+P(2,I,J)*TE1+P(3,I,J)*TE2+P(4,I,J)*TE3)
      IF(P(1,J,I).NE.0.0)
     >  AJI=EXP(P(1,J,I)+P(2,J,I)*TE1+P(3,J,I)*TE2+P(4,J,I)*TE3)
      AIJN=AIJ
      AJIN=AJI
      IF(P(1,I,J).EQ.0) AIJN=AJI*EXP(+(G(J)-G(I))*HCOK*TE1)
      IF(P(1,J,I).EQ.0) AJIN=AIJ*EXP(+(G(I)-G(J))*HCOK*TE1)
C----- zne(jp) contains ne from sub prog prln
      IF(ILJ.NE.4) B(1)=B(1)+AIJN*NV(J,JP)*(ZNE(JP))
      IF(ILJ.NE.4) B(2)=B(2)+AJIN*(ZNE(JP))*NV(I,JP)
      IF(ILJ.EQ.4.AND.J.LT.I) B(1)=B(1)+AIJN*NV(J,JP)*(ZNE(JP))
      IF(ILJ.EQ.4.AND.J.LT.I) B(2)=B(2)+AJIN*(ZNE(JP))*NV(I,JP)
 50   IF(I.EQ.1) GO TO 60
      IF(J+1.GT.IPR) GO TO 60
C------ if i-j=1 quanta are exchanged but no net change in any density
      IF(I-J.EQ.1) GO TO 60
      B(5)=B(5)+P1NU*(I-1)*J*NV(I-1,JP)*NV(J+1,JP)
      B(3)=B(3)+P1NU*(I-1)*J*NV(J,JP)*NV(I,JP)
 60   IF(J.EQ.1) GO TO 40
      IF(I+1.GT.IPR) GO TO 40
C------ if j-i=1 quanta are exchanged but no net change in any density
      IF(J-I.EQ.1) GO TO 40
      B(4)=B(4)+P1NU*(J-1)*I*NV(J,JP)*NV(I,JP)
      B(6)=B(6)+P1NU*(J-1)*I*NV(I+1,JP)*NV(J-1,JP)
 40   CONTINUE
C
C
C******* b(7)=prod due to t-v between o and n2
      IF(I.NE.1) B(7)=C01ON*((I-1)*NV(I-1,JP)+I*EXPTN*NV(I+1,JP))
      IF(I.EQ.1) B(7)=C01ON*I*EXPTN*NV(I+1,JP)
C******* b(8)=loss due to quenching of n2 by o
      IF(I.LE.9) B(8)=C01ON*((I-1)*EXPTN+I)*NV(I,JP)
C******* b(9)=prod thru no+n-->n2*+o & o(1d)+n2--->. & n2(a)
C------ for pno @ po1d see waite et al pss 1979 p901.
      IF(I.EQ.5) B(9)=RTS(9)*N4S(JP)*NNO(JP)
      IF(I.EQ.3) B(9)=RTS(33)*O1D(JP)*NV(1,JP)
C------ production due to the electronic excitation of n2(a)
      IF(I.EQ.1) B(15)=1.3*PXN2A(JP)*NV(1,JP)
      IF(I.EQ.IPR) B(13)=1.3*PXN2A(JP)*NV(1,JP)
C------ quenching of n2* by o2 .......
C...      if(i.ne.1) b(10)=1.0e-13*o2n(jp)*nv(i,jp)
C...      b(11)=1.0e-13*o2n(jp)*nv(i+1,jp)
C------ loss by o+ + n2* --> o + n2+
      JCON=J
      IF(MINJ.GT.1) JCON=MAXJ+1-J
      VCON=STR(7,JCON)
      B(12)=VCON*RTS(3)*NV(I,JP)*NR(1,JP)
C------ production from N2+(v) from subr. VIBN2P. Not being used at
C------ present
C....      IF(I.NE.1) B(13?)=PRN2P(I,JP)
C------ direct excitation by photoelectrons
      IF(I.NE.1) B(14)=PEEX(I,JP)*NV(1,JP)
      IF(I.EQ.1) B(16)=PEEX(I,JP)*NV(1,JP)
C
C------ sum the cmpts of prod and loss
      PROD=B(1)+B(5)+B(6)+B(7)+B(9)+B(11)+B(13)+B(14)
      LOSS=B(2)+B(3)+B(4)+B(8)+B(10)+B(12)+B(15)+B(16)
      IF(I.EQ.1) PROD=0.0
      IF(I.EQ.1) LOSS=0.0
C------ adjust 'loss' for boundary condition calculation
      IF(ILJ.EQ.-9) THEN
        LOSS=LOSS/NV(I,JP)
      ENDIF
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
        SUBROUTINE PRVFIJ(ID,MINJ,MAXJ,J,ILJ,IPR,JBV,IC,VCON)
      IMPLICIT DOUBLE PRECISION(A-H,K-L,N-Z)
      DIMENSION B(22),VCON(71),VPROD(6),VLOSS(6)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),
     >  CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,
     >  JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      COMMON/PXS/VK(6),PXN2A(71),PEEX(7,71),PRN2P(7,71),JVMAX
C
      WRITE(ID,102)
 102  FORMAT(/4X,'ALT',5X,'E*',5X,'E-PROD',3X,'E-LOSS',3X,'B3-LOSS',2X
     > ,'B4-LOSS',2X,'B5-PROD',2X,'B6-PROD',3X,'O-PROD',3X,'O-LOSS',1X
     > ,'N+NO&O1D',1X,'O2-LOSS',2X,'O2-PROD',2X,'O+ +N2',5X,'N2A')
C
      JCON=J
      IF(MINJ.GT.1) JCON=MAXJ+1-J
      DO 13 IS=1,4
         NV(IS,J)=STR(IS+7,JCON)
 13   CONTINUE
C
      N2D(J)=STR(8,JCON)
      N4S(J)=STR(9,JCON)
      NNO(J)=STR(10,JCON)
      O1D(J)=STR(11,JCON)
      IF(O1D(J).LE.0) CALL PRLN(0,0,J,0,3,VPROD,VLOSS,VCON,0)
C
      DO 15 IS=1,IPR
         NV(IS,J)=STR(IS,JCON)
 15   CONTINUE
C
      DO 20 IS=1,IPR
      CALL PRLO(MINJ,MAXJ,ILJ,IS,J,IPR,PROD,LOSS,B)
C------ transfer b(15) to b(9), and b(16) to b(14) for print
      IF(IS.EQ.1) B(14)=B(16)
      WRITE(ID,99) ZR(J),B(14),(B(I),I=1,13)
 20   CONTINUE
 99   FORMAT(F6.1,1P,14E9.2)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE VMATRX(ID,MINJ,MAXJ,S,RHS,NEQ,IPR,MIT,JBL,JBV)
C---- this program sets up the jacobian matrix for the band solver
      IMPLICIT DOUBLE PRECISION(A-H,N-Z)
      INTEGER NEQ
      DIMENSION RHS(1806),S(NEQ,23)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      IBW=4*IPR-1
C
      DO 180 JZS=1,NEQ
      DO 190 KZS=1,IBW
      S(JZS,KZS)=0.0
  190 CONTINUE
  180 CONTINUE
C
      DO 80 JF=2,MIT
      J1=MAX0(2,JF-1)
      J2=MIN0(JF+1,MIT)
      DO 90 JV=J1,J2
      DO 130 IV=1,IPR
C
      L=IPR*(JF-2)
      IF(JF.LE.3)M=IPR*(JV-2)+IV
      IF(JF.GT.3)M=IPR*(JV-JF)+IV+2*IPR
      JVC=JBL+JV-1
      JFC=JBL+JF-1
C
      H=1.0E-2*NV(IV,JVC)
      NV(IV,JVC)=NV(IV,JVC)+H
      CALL VFIJ(ID,MINJ,MAXJ,JFC,1,IPR,JBV)
      NV(IV,JVC)=NV(IV,JVC)-H
      DO 75 IS=1,IPR
      IF(JF.LE.3) S(L+IS,M)=(F(IS)-RHS(L+IS))/H
      IF(JF.GT.3) S(L+IS,M-IS)=(F(IS)-RHS(L+IS))/H
 75    CONTINUE
C
  130 CONTINUE
   90 CONTINUE
   80 CONTINUE
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE STUBV(IS,TE,TN,NE,N2,RLVN2,RNV,JP)
      DOUBLE PRECISION TE,TN,NE,N2,RLVN2,RNV(7,71),B
      DOUBLE PRECISION TDIF,EF,GE,TE1,TE2,TE3,AIJ,AJI,AIJN,AJIN,NV
      DIMENSION NV(7),B(2)
      COMMON/PEE/P(4,6,6),G(6),HCOK
C+++ stubbe and varnum  n2 vib loss rates from schunk & nagy p364  +++++
        RLVN2=0.0
      IF(TE.LT.500.OR.TE.GT.10000) RETURN
        TDIF=TE-TN
        EF=1.06E+4+7.51E+3*TANH(1.1E-3*(TE-1800.0))
        GE=3300+1.233*(TE-1000.0)-2.056E-4*(TE-1000.0)*(TE-4000.0)
        RLVN2=-2.99E-12*NE*N2*EXP(EF*(TE-2000)/
     >   (2000*TE))*(EXP(-GE*TDIF/(TE*TN))-1)
C...        if(is.eq.1) rlvn2=3.33*rlvn2
C
C------ now the newton et al loss rates. the p's are given on page 3817
C------ using boltzmann distribution of n2* with temp tn
      DO 35 I=1,6
      IF(IS.EQ.2) NV(I)=N2*EXP(-(I-1)*3380/TN)/(1-EXP(-3380/TN))
      IF(IS.NE.2) NV(I)=RNV(I,JP)
 35   CONTINUE
C
      B(1)=0.0
      B(2)=0.0
      TE1=1/TE
      TE2=TE1*TE1
      TE3=TE2*TE1
C
      DO 40 I=1,6
      DO 40 J=1,6
      IF(I.EQ.J) GO TO 40
      IF(P(1,I,J).NE.0.0)
     >  AIJ=EXP(P(1,I,J)+P(2,I,J)*TE1+P(3,I,J)*TE2+P(4,I,J)*TE3)
      IF(P(1,J,I).NE.0.0)
     >  AJI=EXP(P(1,J,I)+P(2,J,I)*TE1+P(3,J,I)*TE2+P(4,J,I)*TE3)
      AIJN=AIJ
      AJIN=AJI
      IF(P(1,I,J).EQ.0) AIJN=AJI*EXP(+(G(J)-G(I))*HCOK*TE1)
      IF(P(1,J,I).EQ.0) AJIN=AIJ*EXP(+(G(I)-G(J))*HCOK*TE1)
C
      IF(J.LT.I) B(1)=B(1)+AIJN*NV(J)*NE*(I-J)
      IF(J.LT.I) B(2)=B(2)+AJIN*NE*NV(I)*(I-J)
 40   CONTINUE
      RLVN2=B(1)-B(2)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE TVIB(J,TN,TV,D)
C------ to find the vibrational temperature of the equivalent Boltzmann
C------ N2* densities. Add up the energy in the
C------ calculated vibrational distribution then calculate the vibration
C------ temperature of the Boltzmann distribution that has the same ener
C------ A Newton procedure is employed to make E(Bolt)=E(cal). TN= neutr
C------ temperature for first quess, TV=calculated vibrational temperatu
C------ D(8) contains the calculated N2+(v=0->5). Written by P. Richards
      DOUBLE PRECISION TN,TV,H,DEX,SUM,FEX,FUN
      DIMENSION D(8)
C------ total energy in calculated distribution = D1 E1 + D2 E2 +....
C------ E2=2*E1, E3=3*E1 etc. E1 also appears in Bolt. and cancels out
      SUM=0.0D0
      SUM=D(2)+2*D(3)+3*D(4)+4*D(5)+5*D(6)
C------ first guess=Tn, H= change in TV used to calculate derivative
      TV=TN
      JITER=0
      H=0.0001*TV
C------ find function value for TV
 20   CALL TFUN(TV,D(1),SUM,FUN)
      FEX=FUN
      TV=TV+H
C------ find function value for TV=TV+H for derivative DEX
      CALL TFUN(TV,D(1),SUM,FUN)
      DEX=(FUN-FEX)/H
      IF(DEX.EQ.0) GO TO 30
C------ increment TV
      TV=TV-H-FEX/DEX
      JITER=JITER+1
      IF(JITER.GT.22) GO TO 30
C------ if DEX small enough, stop.
      IF(DABS(FEX/(DEX*TV)).GT.1.0E-3) GO TO 20
      RETURN
C------ something has gone wrong !!
 30   CONTINUE
      TV=0.0D0
      RETURN
      END
C:::::::::::::::::::::::::::::::: TFUN :::::::::::::::::::::::::::::::::
      SUBROUTINE TFUN(TV,D1,SUM,FUN)
C------ Calculate the energy in the Boltzmann distribution temp=TV.
C------ SUM=energy in calculated distribution, D1=density of v=0
C------ FUN= E(Bolt)-E(Cal)
      DOUBLE PRECISION X,TV,X2,X3,X4,X5,BSUM,SUM,FUN
      X=DEXP(-3380./TV)
      X2=X*X
      X3=X2*X
      X4=X3*X
      X5=X4*X
      BSUM=D1*(X+2*X2+3*X3+4*X4+5*X5)/(1.0-X)
      FUN=BSUM-SUM
      RETURN
      END
C::::::::::::::::::::::::::::: FTVC ::::::::::::::::::::::::::::::::::::::
      FUNCTION FTVC(I,JMAX0,ZP,T,Z)
      DOUBLE PRECISION ZP,Z
      double precision ftvc      ! f90 added
      DIMENSION ZP(71),T(71)
      DO 1 K=1,JMAX0
      IF(Z.GE.ZP(K).AND.Z.LT.ZP(K+1)) GO TO 2
 1     CONTINUE
 2     FTVC=((Z-ZP(K))/(ZP(K+1)-ZP(K))*(T(K+1)-T(K))+T(K))
 4     RETURN
       END

C::::::::::::::::::::::::::::::::: BLOCK DATA BLK5 ::::::::::::::::::::::
      BLOCK DATA BLK5
      IMPLICIT DOUBLE PRECISION (A-H,L,N-Z)
      COMMON/PXS/VK(6),PXN2A(71),PEEX(7,71),PRN2P(7,71),JVMAX
      DATA VK/1.0,1.0,38.0,85.0,220.0,270.0/
      END
C.................... AURSUB.FOR;1 ..........15-SEP-1994 11:09:44.53 
      SUBROUTINE AURSUB(MINJZ,MAXJZ,TIME,ZALT,ON,O2N,N2N,N,TI
     > ,EHEAT,TIMEON,TIMEOF,AURFAC)
C--- This subroutine reads in auroral electron production frequencies
C--- and converts them to production rates for the FLIP model. Since
C--- the auroral spatial grid differs from both the field line grid
C--- and the vertical grid used by the FLIP model, interpolation is
C--- required
C--- This program was written by P. Richards in August 1991
      DOUBLE PRECISION EHEAT(401),ZALT(401),ON(401),O2N(401),N2N(401)
     >  , N(4,401),TI(3,401),AURALT
      REAL XN(3,401),XNE(401),XTE(401)
      REAL ISAV(3,12,401),ESAV(3,12,401)
      REAL TIME
C----- two commons to hold the EUV and AURoral production rates
      COMMON/EUVPRD/EUVION(3,12,401),PEXCIT(3,12,401),PEPION(3,12,401)
      COMMON/AURPRD/AURION(3,12,401),AUREX(3,12,401),AURALT(401),IAMAX
      COMMON/BPRAUR/PAUION(3,12,401),PAUEXC(3,12,401)
      COMMON/IMA/IM,IA
C
C--- MAXIND is used for storing in conjugate portion of the arrays. It
C--- assumes that MAXJZ=JMAX/2 where JMAX = # of field line grid points
      MAXIND=2*MAXJZ+1
C
      DO 2 IS=1,3
      DO 2 IK=1,12
      DO 2 IJ=MINJZ,MAXIND
        AURION(IS,IK,IJ)=0.0
        AUREX(IS,IK,IJ)=0.0
        PAUION(IS,IK,IJ)=0.0
        PAUEXC(IS,IK,IJ)=0.0
  2   CONTINUE
C
      IF(TIME.LT.TIMEON.OR.TIME.GT.TIMEOF) RETURN
C........ Load FLIP densities into XN to aid looping
      DO 5 J=MINJZ,MAXIND
        XN(1,J)=ON(J)
        XN(2,J)=O2N(J)
        XN(3,J)=N2N(J)
        XTE(J)=TI(3,J)
        XNE(J)=N(1,J)+N(2,J)+N(3,J)+N(4,J)
 5    CONTINUE
C
C--- adjust max alt index down to avoid divide by zero.
      DO 6 J=MINJZ,MAXJZ
        IF(ZALT(J).LT.1500) JALT=J
 6    CONTINUE
      MAXJZ=JALT-1
C
C----- READ auroral production frequencies for FLIP. The first read gets
C----- rid of the header lines. Only done on the first call to this
C----- subroutine
      IF(IAMAX.EQ.0) THEN
C------- First test to see if the data file exists
         CALL TFILE(14,IOPEN)
         IF(IOPEN.EQ.0) THEN
           WRITE(6,79)
 79        FORMAT(/1X,'*** Auroral production file is missing ***'/)
           STOP
         ENDIF
 7       READ(14,909,ERR=7) IDAY,UT,SAT,F107,AP,GLATD,GLON,ECHAR,GSFAC
     >     ,EMAX,AVMU,DIP
         READ(14,294,ERR=298) IAMAX,JMAX
         READ(14,295,ERR=298) (AURALT(J),J=1,IAMAX)
         READ(14,296,ERR=298) (((ISAV(I,K,J),I=1,3),K=1,12),J=1,IAMAX)
         READ(14,296,ERR=298) (((ESAV(I,K,J),I=1,3),K=1,12),J=1,IAMAX)
         CLOSE(14)
         WRITE(6,981)  ECHAR
 981     FORMAT(1X,' -- AURSUB has been called, characteristic energy= '
     >      ,F10.1,' eV')
         IF(AURALT(1).GT.ZALT(1)) THEN
            WRITE(6,888) AURALT(1),ZALT(1)
 888        FORMAT(1X,' Auroral lower boundary = ',F5.0,'km is too'
     >      ,1X,'high. Must be less than or equal to FLIP lower'
     >      ,1X,'boundary = ',F5.0,'km'/)
            STOP
            ENDIF
      ENDIF
 909  FORMAT(I7,22F9.2)
 294  FORMAT(10I8)
 295  FORMAT(10F8.2)
 296  FORMAT(1P,10E9.2)
C
C---- modify input frequencies by AURFAC
      DO 9 IK=1,12
      DO 9 IS=1,3
      DO 9 J=1,IAMAX
         AURION(IS,IK,J)= AURFAC * ISAV(IS,IK,J)
         AUREX(IS,IK,J)= AURFAC * ESAV(IS,IK,J)
 9    CONTINUE
C
C....... Interpolate auroral production to FLIP field line grid 
C------ The same frequencies are used for the conjugate point using ICONJ
C------ However, they are multiplied by the appropriate density
      DO 220 ICONJ=1,2
         DO 10 IK=1,12
         DO 10 IS=1,3
         DO 10 JJ=MINJZ,MAXJZ
            J=JJ
            IF(ICONJ.EQ.2) J=MAXIND+1-JJ
            PAUION(IS,IK,J)=
     >        FTEUVP(IM,IS,IK,1,IAMAX,AURALT,AURION,ZALT(J))*XN(IS,J)
            PAUEXC(IS,IK,J) =
     >        FTEUVP(IM,IS,IK,1,IAMAX,AURALT,AUREX,ZALT(J))*XN(IS,J)
 10      CONTINUE
C....... electron heating and miscellaneous production rates
         DO 15 II=MINJZ,MAXJZ
            I=II
            IF(ICONJ.EQ.2) I=MAXIND+1-II
            EHEAT(I)= EHEAT(I) + PAUEXC(1,9,I)*(XNE(I)**0.97)/XN(1,I)
            PAUEXC(3,11,I)=PAUEXC(3,11,I)/XN(3,I)
C---  add in 1356 from O2 dissociation
            PAUEXC(1,6,I)= PAUEXC(1,6,I)  + PAUEXC(2,9,I)
 15      CONTINUE
C
C-----debug writes
          IF(IAMAX.GT.0) GO TO 220
           DO 324 J=MINJZ,MAXJZ
              WRITE(6,145) J, ZALT(J), EHEAT(J)
 324       CONTINUE
           DO 325 J=MINJZ,MAXJZ
              WRITE(6,145) J, ZALT(J),(PAUEXC(1,K,J),K=1,9)
     >           ,(PAUION(1,K,J),K=1,3)
 325       CONTINUE
           DO 326 J=MINJZ,MAXJZ
              WRITE(6,145) J, ZALT(J),(PAUEXC(2,K,J),K=1,9)
     >           ,(PAUION(2,K,J),K=1,3)
 326       CONTINUE
           DO 327 J=MINJZ,MAXJZ
              WRITE(6,145) J, ZALT(J),(PAUEXC(3,K,J),K=1,9)
     >           ,(PAUION(3,K,J),K=1,3)
 327       CONTINUE
 145       FORMAT(1X,I3,F7.1,1P,22E9.1)
C
 220  CONTINUE
C
 333    RETURN
C---- error trap
 298   CONTINUE
      WRITE(6,*) '  Problem with Auroral data file'
      STOP
      END
C:::::::::::::::::::::::: BLOCK DATA AURBLK :::::::::::::::
      BLOCK DATA AURBLK
      COMMON/IMA/IM,IA
      DATA  IM/0/, IA/0/
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PRODIT(J,ISW,MINJ,MAXJ)
C...... this program interpolates the various production rates for
C...... the FLIP model vertical grid and saves them so that they
C...... do not have to be recalculated
C...... This program was written by P. Richards in August 1991
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL ENTION,PNTXIT,PNTION,ANTION,ANTEX
      DIMENSION  VIBFAC(7)
      COMMON/ENLOSS/ENL(20,71)
      COMMON/NPRD/COLUM(3,401),OTHPR1(6,401),OTHPR2(6,401),OTHPR3(6,401)
      COMMON/PXS/VK(6),PXN2A(71),PEEX(7,71),PRN2P(7,71),JVMAX
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      COMMON/EPRDNT/ENTION(3,12,71),PNTXIT(3,12,71),PNTION(3,12,71)
      COMMON/APRDNT/ANTION(3,12,71),ANTEX(3,12,71)
      COMMON/ALT/Z(401),DT,DW,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/PRTER/PUVN2P(71),PUVO2D(71),PEO1D(71),PUVO2P(71)
     >  ,PUOP2P(71),UVDISN(71),PSRNO(71),PO1DSR(71),PO1SEL(71)
     >  ,PN2A3S(71),PDISOP(71),PUVIOP(71),PRN2XS(71),PRN2AP(71)
     >  ,PRN2BS(71),DISNP(71),DISN4S(71),DISN2D(71),DISN2P(71),PRHEP(71)
     >  ,HEPLUS(71),NPLUS(71),PLYNOP(71),PHOTN(71)
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
      COMMON/FJS/N(4,401),TI(3,401),FF(20)
      DATA VIBFAC/1.,.36,.2,.13,.11,.21,.0/
      COMMON/IMA/IM,IA
C
C....... production of n2+(x2s),n2+(a2p),n2+(b2s) by EUV, e*, and aurora
      PRN2XS(J)= ENTION(3,1,J)+PNTION(3,1,J)+ANTION(3,1,J)
      PRN2AP(J)= ENTION(3,2,J)+PNTION(3,2,J)+ANTION(3,2,J)
      PRN2BS(J)= ENTION(3,3,J)+PNTION(3,3,J)+ANTION(3,3,J)
      PUVN2P(J)=PRN2XS(J)+PRN2AP(J)+PRN2BS(J)
C...... production of O+ states - includes contribution from 2P*, 4P
      PUVIOP(J)= ENTION(1,7,J)+PNTION(1,7,J)+ANTION(1,7,J)
      PUVO2D(J)= ENTION(1,8,J)+PNTION(1,8,J)+ANTION(1,8,J)
      PUOP2P(J)= ENTION(1,9,J)+PNTION(1,9,J)+ANTION(1,9,J)
C...... production of O(1D) and O(1S) by e* and aurora
      PEO1D(J)= PNTXIT(1,1,J)+ANTEX(1,1,J)
      PO1SEL(J)= PNTXIT(1,2,J)+ANTEX(1,2,J)
C...... total production of O2+  - includes all non-diss states
      PUVO2P(J)= ENTION(2,7,J)+PNTION(2,7,J)+ANTION(2,7,J)
C........ dissociation of N2 to yield N+
      DISNP(J)= ENTION(3,4,J)+ENTION(3,5,J)+ENTION(3,6,J)
     > +PNTION(3,6,J)+ANTION(3,6,J)
C...... Total dissociation of N2 to give metastable nitrogen atoms
      DISN4S(J)=PNTXIT(3,5,J)+ANTEX(3,5,J)+DISNP(J)/2.0
      DISN2D(J)=PNTXIT(3,6,J)+ANTEX(3,6,J)+DISNP(J)/2.0
      DISN2P(J)=PNTXIT(3,7,J)+ANTEX(3,7,J)
C......... photodissociation of n2 into n(2d) and n(4s) and n(2p)
      UVDISN(J)=FTX(1,MINJ,MAXJ,Z,OTHPR1,ZR(J))
C----- production of He+
      PRHEP(J)=FTX(2,MINJ,MAXJ,Z,OTHPR1,ZR(J))
      ENL(19,J)=FTX(4,MINJ,MAXJ,Z,OTHPR1,ZR(J))
C........ production of o(1d) by schumann-runge
      PO1DSR(J)=FTX(3,MINJ,MAXJ,Z,OTHPR1,ZR(J))
      ENL(11,J)=FTX(5,MINJ,MAXJ,Z,OTHPR1,ZR(J))
C......... total production of N2(A) by electron impact excitation
      PN2A3S(J)= PNTXIT(3,1,J) + PNTXIT(3,2,J)+ PNTXIT(3,3,J)
     > + ANTEX(3,1,J) + ANTEX(3,2,J)+ ANTEX(3,3,J)
C......... production frequency for e* excitation of N2(A)
      PXN2A(J)=PN2A3S(J)/N2N(J)
C...... dissociative ionization of o2 - fix e* and auroral
      PDISOP(J)= ENTION(2,4,J)+ENTION(2,5,J)+PNTION(2,4,J)+ANTION(2,4,J)
     > +PNTION(2,5,J)+ANTION(2,5,J)
C
C....... direct excit by e* (<5eV) using small x-s.
      PHEX= (PNTXIT(3,8,J) + ANTEX(3,8,J))/N2N(J)
      DO 32 IE=1,7
 32   PEEX(IE,J)=PHEX*VIBFAC(IE)
C....... He+ and N+
      HEPLUS(J)=FITDEN(4,MINJ,MAXJ,Z,N,ZR(J))
      NPLUS(J)=FTXION(1,MINJ,MAXJ,Z,XIONN,ZR(J))
C-------- hv + NO -> NO+ + e
      PLYNOP(J)=FTX(1,MINJ,MAXJ,Z,OTHPR2,ZR(J))
C-------- hv (SRB) + NO -> N(4S) + O
      PSRNO(J)=FTX(2,MINJ,MAXJ,Z,OTHPR2,ZR(J))
C-------- hv + N(4S) -> N+ + e
      PHOTN(J)=FTX(3,MINJ,MAXJ,Z,OTHPR2,ZR(J))
      RETURN
      END
C::::::::::::::::::::::::: VNTERP ::::::::::::::::::::::::::::::::::::::
C
C      SUBROUTINE: VNTERP
C      MODULE:     AURSUB.FOR
C      PROGRAMMER: G. GERMANY
C      DATE:       11/4/91
C
C      PURPOSE:    TO INTERPOLATE PRODUCTION RATES FROM THE FIELD
C                  LINE AND AURORAL ALTITUDE GRIDS TO THE VERTICAL
C                  ALTITUDE GRID
C
C      NOTES:      PRODUCTION RATES ARE PASSED IN BY COMMON BLOCKS
C                  EUVPRD AND AURPRD.  THE INTERPOLATED VALUES ARE
C                  RETURN IN COMMON BLOCKS EPRDNT AND APRDNT
C
C                  THE ROUTINE IS CALLED FROM A DO LOOP WITH COUNTER
C                  JC.  IT RUNS ONLY ONCE IN THE DO LOOP.  IF THE
C                  COUNTER JC>1 THEN ROUTINE RETURNS
C
C      VARIABLES:  SEE BELOW
C
C       DEBUG  --> LOGICAL FOR DEBUGGING
C       IUN    --> UNIT NUMBER FOR DEBUG OUTPUT
C
C       AURALT --> AURORAL         ALTITUDE ARRAY /IAMAX PTS/
C       ZR     --> FLIP VERTICAL   ALTITUDE ARRAY /  71  PTS/
C       Z      --> FLIP FIELD LINE ALTITUDE ARRAY /  60  PTS/
C
C                  PE IS SHORTHAND FOR 'PHOTO-ELECTRON'
C
C       EUVION --> PRODUCTION RATE ARRAY DUE TO EUV IONIZATION
C       PEXCIT --> PRODUCTION RATE ARRAY DUE TO PE  EXCITATION
C       PEPION --> PRODUCTION RATE ARRAY DUE TO PE  IONIZATION
C
C       ENTION --> EUVION INTERPOLATED TO VERTICAL ALTITUDE GRID
C       PNTXIT --> PEXCIT INTERPOLATED TO VERTICAL ALTITUDE GRID
C       PNTION --> PEPION INTERPOLATED TO VERTICAL ALTITUDE GRID
C
C       AURION --> PRODUCTION RATE ARRAY DUE TO AURORAL IONIZATION
C       AUREX  --> PRODUCTION RATE ARRAY DUE TO AURORAL EXCITATION
C
C       ANTION --> AURION INTERPOLATED TO VERTICAL ALTITUDE GRID
C       ANTEX  --> AUREX  INTERPOLATED TO VERTICAL ALTITUDE GRID
C
C-----------------------------------------------------------------------
C
C234567890
      SUBROUTINE VNTERP(JB,MINJ,MAXJ)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL EUVION,PEXCIT,PEPION,AURION,AUREX,ENTION,PNTXIT,PNTION
     &  ,ANTION,ANTEX,TOTION,TOTEX
      real FTEUVP            !!!! f90 added
      LOGICAL*4 DEBUG
      DATA DEBUG/.FALSE./IUN/50/
C
      COMMON/ALT/Z(401),DT,DW,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
C------ original production rates
      COMMON/EUVPRD/EUVION(3,12,401),PEXCIT(3,12,401),PEPION(3,12,401)
      COMMON/AURPRD/AURION(3,12,401),AUREX(3,12,401),AURALT(401),IAMAX
C------ interpolated production rates
      COMMON/EPRDNT/ENTION(3,12,71),PNTXIT(3,12,71),PNTION(3,12,71)
      COMMON/APRDNT/ANTION(3,12,71),ANTEX(3,12,71)
      COMMON/PTOTV/TOTION(3,12,71),TOTEX(3,12,71)
C
C------- interpolate production rates and frequencies to vertical grid
      DO 10 IS=1,3
      DO 10 IK=1,12
      DO 10 J=1,JB+1
         ENTION(IS,IK,J)=FTEUVP(0,IS,IK,MINJ,MAXJ,Z,EUVION,ZR(J))
         PNTXIT(IS,IK,J)=FTEUVP(0,IS,IK,MINJ,MAXJ,Z,PEXCIT,ZR(J))
         PNTION(IS,IK,J)=FTEUVP(0,IS,IK,MINJ,MAXJ,Z,PEPION,ZR(J))
         ANTION(IS,IK,J)=FTEUVP(0,IS,IK,1,IAMAX,AURALT,AURION,ZR(J))
         ANTEX(IS,IK,J) =FTEUVP(0,IS,IK,1,IAMAX,AURALT,AUREX,ZR(J))
 10    CONTINUE
C
C-- Multiply the auroral production frequencies by density
      DO 20 IS=1,3
      DO 20 J=1,JB+1
         IF(IS.EQ.1) DENS = ON(J)
         IF(IS.EQ.2) DENS = O2N(J)
         IF(IS.EQ.3) DENS = N2N(J)
         DO 20 IK=1,12
            ANTION(IS,IK,J)=ANTION(IS,IK,J)*DENS
            ANTEX(IS,IK,J) =ANTEX(IS,IK,J)*DENS
 20   CONTINUE
C
      DO 30 J=1,JB+1
C----     electron heating rate take [O] out again
         ANTEX(1,9,J)=ANTEX(1,9,J)/ON(J)
C----    add O2 dissociation of 1356
         ANTEX(1,6,J)=ANTEX(1,6,J)+ANTEX(2,9,J)
C----    extract density from total auroral input and 1200 prod
         ANTION(1,11,J)=ANTION(1,11,J)/ON(J)
         ANTEX(3,11,J)=ANTEX(3,11,J)/N2N(J)
C----    add contributions from 2 highest O+ metastables to 3 lowest
         ENTION(1,7,J) = ENTION(1,1,J) + ENTION(1,4,J)
         ENTION(1,8,J) = ENTION(1,2,J) + ENTION(1,5,J)/1.3
         ENTION(1,9,J) = ENTION(1,3,J) + ENTION(1,5,J)/4.3
C
         PNTION(1,7,J) = PNTION(1,1,J) + PNTION(1,4,J)
         PNTION(1,8,J) = PNTION(1,2,J) + PNTION(1,5,J)/1.3
         PNTION(1,9,J) = PNTION(1,3,J) + PNTION(1,5,J)/4.3
C
         ANTION(1,7,J) = ANTION(1,1,J) + ANTION(1,4,J)
         ANTION(1,8,J) = ANTION(1,2,J) + ANTION(1,5,J)/1.3
         ANTION(1,9,J) = ANTION(1,3,J) + ANTION(1,5,J)/4.3
 
C----- SUM non-diss. states to get total O2+ and N2+ production
         ENTION(2,7,J)= ENTION(2,1,J)+ENTION(2,2,J)+ENTION(2,3,J)
         PNTION(2,7,J)= PNTION(2,1,J)+PNTION(2,2,J)+PNTION(2,3,J)
         ANTION(2,7,J)= ANTION(2,1,J)+ANTION(2,2,J)+ANTION(2,3,J)
C
         ENTION(3,7,J)= ENTION(3,1,J)+ENTION(3,2,J)+ENTION(3,3,J)
         PNTION(3,7,J)= PNTION(3,1,J)+PNTION(3,2,J)+PNTION(3,3,J)
         ANTION(3,7,J)= ANTION(3,1,J)+ANTION(3,2,J)+ANTION(3,3,J)
 30   CONTINUE
C
C---- Total ionization and excitation rates
      DO 40 IS=1,3
      DO 40 IK=1,12
      DO 40 J=1,JB+1
         TOTION(IS,IK,J) = ENTION(IS,IK,J)+PNTION(IS,IK,J)
     >       +ANTION(IS,IK,J)
         TOTEX(IS,IK,J) = PNTXIT(IS,IK,J)+ANTEX(IS,IK,J)
 40   CONTINUE
C
      RETURN
      END
C:::::::::::::::::::::::::: FTXION :::::::::::::::::::::::::::::::::
      FUNCTION FTXION(I,JMIN0,JMAX0,ZP,T,Z)
C...... ftn and ftt are interpolating programs
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION ZP(401),T(9,401)
C
C--- Use bisection to find the nearest altitude ZP(K) to desired
C--- altitude (Z)
      CALL BISPLT(JMIN0,JMAX0,Z,ZP,I1)
C
C....... Now interpolate to get desired production rate. Test to make
C....... sure we haven't run off the end of the field line grid
 2    IF(I1.EQ.JMAX0) THEN
         FTXION=T(I,I1)
      ELSE IF(T(I,I1).LT.0.OR.T(I,I1+1).LT.0) THEN
         FTXION=0.0
      ELSE
         FTXION=(Z-ZP(I1))/
     >     (ZP(I1+1)-ZP(I1))*(T(I,I1+1)-T(I,I1))+T(I,I1)
      ENDIF
 4    RETURN
      END
C::::::::::::::::::::::::::: FTX ::::::::::::::::::::::::::::::::::
      FUNCTION FTX(I,JMIN0,JMAX0,ZP,T,Z)
C.......exponential interpolation of production rates (fitting y= A exp(Bx)
      IMPLICIT DOUBLE PRECISION(A-H,N-Z)
      DIMENSION ZP(401),T(6,401)
C
C--- Use bisection to find the nearest altitude ZP(K) to desired 
C--- altitude (Z)
      CALL BISPLT(JMIN0,JMAX0,Z,ZP,K)
C
C....... Now interpolate to get desired production rate. Test to make
C....... sure we haven't run off the end of the field line grid
 2    IF(K.EQ.JMAX0) THEN
         FTX=T(I,K)
      ELSE IF(T(I,K).LT.0.OR.T(I,K+1).LT.0) THEN
         FTX=0.0
      ELSE 
         TK=(T(I,K)) + 1.0E-22
         TK1=(T(I,K+1)) + 1.0E-22
         B=DLOG(TK/TK1)/(ZP(K)-ZP(K+1))
         FTX=TK*DEXP(B*(Z-ZP(K)))
         IF(K.EQ.1.AND.Z.EQ.ZP(K)) FTX=TK
      ENDIF
      RETURN
      END
C:::::::::::::::::::::::::: FITDEN :::::::::::::::::::::::::::::::::
      FUNCTION FITDEN(I,JMIN0,JMAX0,ZP,T,Z)
C.......exponential interpolation of densities (fitting y= A exp(Bx)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION ZP(401),T(4,401)
C
C--- Use bisection to find the nearest altitude ZP(K) to desired 
C--- altitude (Z)
      CALL BISPLT(JMIN0,JMAX0,Z,ZP,K)
C
C....... Now interpolate to get desired production rate. Test to make
C....... sure we haven't run off the end of the field line grid
 2    IF(K.EQ.JMAX0) THEN
         FITDEN=T(I,K)
      ELSE IF(T(I,K).LT.0.OR.T(I,K+1).LT.0) THEN
         FITDEN=0.0
      ELSE 
         TK=(T(I,K)) + 1.0E-22
         TK1=(T(I,K+1)) + 1.0E-22
         B=DLOG(TK/TK1)/(ZP(K)-ZP(K+1))
         FITDEN=TK*DEXP(B*(Z-ZP(K)))
C....         IF(K.EQ.1.AND.Z.EQ.ZP(K)) FITDEN=TK
      ENDIF
      RETURN
      END
C:::::::::::::::::::::::: FITTEM ::::::::::::::::::::::::::::::::::::
      FUNCTION FITTEM(I,JMIN0,JMAX0,ZP,T,Z)
C...... Linear interpolation for temperatures (y = A.x + B)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION ZP(401),T(3,401)
C
C--- Use bisection to find the nearest altitude ZP(K) to desired 
C--- altitude (Z)
      CALL BISPLT(JMIN0,JMAX0,Z,ZP,I1)
C
C....... now do linear fit
 2    IF(I1.EQ.JMAX0) THEN
         FITTEM=T(I,I1)
      ELSE IF(T(I,I1).LT.0.OR.T(I,I1+1).LT.0) THEN
         FITTEM=0.0
      ELSE
         FITTEM=(Z-ZP(I1))/
     >     (ZP(I1+1)-ZP(I1))*(T(I,I1+1)-T(I,I1))+T(I,I1)
      ENDIF
 4     RETURN
       END
C::::::::::::::::::::::::::: FTEUVP ::::::::::::::::::::::::::::::::::
      FUNCTION FTEUVP(IM,I,J,JMIN0,JMAX0,ZP,T,Z)
C.......exponential interpolation for EUV production rates.
C--- This program was written by P. Richards in August 1991
      IMPLICIT REAL(A-H,L,N-Z)
      DOUBLE PRECISION ZP,Z
      DIMENSION ZP(401),T(3,12,401)
C...... Check to ensure Z is in the range of altitudes
      FTEUVP=0.0
      IF(JMAX0.LE.0) RETURN
C...      IF(Z.LT.ZP(1).OR.Z.GE.ZP(JMAX0)) RETURN
C
C--- Use bisection to find the nearest altitude ZP(K) to desired 
C--- altitude (Z)
      CALL BISPLT(JMIN0,JMAX0,Z,ZP,K)
C
C....... Now interpolate to get desired production rate
 2    IF(K.EQ.JMAX0) THEN
         FTEUVP=T(I,J,K)
      ELSE IF(T(I,J,K).LT.0.OR.T(I,J,K+1).LT.0) THEN
         FTEUVP=0.0
      ELSE 
         TK=(T(I,J,K)) + 1.0E-22
         TK1=(T(I,J,K+1)) + 1.0E-22
         B=ALOG(TK/TK1)/(ZP(K)-ZP(K+1))
         FTEUVP=TK*EXP(B*(Z-ZP(K)))
         IF(K.EQ.1.AND.Z.EQ.ZP(K)) FTEUVP=TK
      ENDIF
      RETURN
      END
C::::::::::::::::::::::::::: BISPLT ::::::::::::::::::::::::::::::::::
      SUBROUTINE BISPLT(BEGIN,JMAX0,Z,ZP,FIRST)
C--- Use bisection to find the nearest altitude ZP(K) to desired
C--- altitude (Z). Modified in Feb 93 to do both the northern and
C--- southern hemispheres.
      IMPLICIT REAL(A-H,L,N-Z)
      DOUBLE PRECISION ZP(401),Z
      INTEGER FIRST,LAST,MID,BEGIN
C
         FIRST=BEGIN
         LAST=JMAX0
         ITER=0
C------ This section for northern hemisphere
      IF(ZP(BEGIN).LE.ZP(JMAX0)) THEN
 10      CONTINUE
             MID=(FIRST+LAST)/2
             IF(Z.LE.ZP(MID)) THEN
                LAST=MID-1
             ELSE
                FIRST=MID+1
             ENDIF  
         IF(FIRST.LT.LAST) GO TO 10
         IF(Z.LT.ZP(FIRST)) FIRST=FIRST-1
         IF(Z.LT.ZP(BEGIN)) FIRST=BEGIN
C
C------ Southern hemisphere is different because altitude decreasing
      ELSE
 110      CONTINUE
             MID=(FIRST+LAST)/2
             IF(Z.GE.ZP(MID)) THEN
                LAST=MID-1
             ELSE
                FIRST=MID+1
             ENDIF  
             ITER=ITER+1
C...             WRITE(6,901) ITER,FIRST,MID,LAST,Z,ZP(FIRST),ZP(LAST)
         IF(FIRST.LT.LAST) GO TO 110
         IF(Z.GT.ZP(FIRST)) FIRST=FIRST-1
         IF(Z.LT.ZP(JMAX0)) FIRST=JMAX0
C...         WRITE(6,901) ITER,FIRST,MID,LAST,Z,ZP(FIRST),ZP(LAST)
      ENDIF
C
 901  FORMAT(1X,4I4,1P,9E10.2)
      RETURN
      END
 
C.................... FLIPIO.FOR;2 ..........12-JUL-1993 16:58:36.77 
C..... This file contains all the subroutines for reading and writing 
C..... the data files for the FLIP model. As from February 1993, there 
C..... are no longer separate IO routines for the VAX and the CRAY.
C..... They were written by Teri Statum of Boeing at MSFC toward
C..... the end of 1987. Modified by Phil Richards 1993.
C
C:::::::::::::::::::::::::::::: WF8DAT ::::::::::::::::::::::::::::::::
C..... This routine is called to write the geophysical data in the top
C..... of the main FLIP data file F8.DAT. The file is written at the
C..... MONRUN phase.
      SUBROUTINE WF8DAT(IVLPS,JQ,PCO,Z0,SCAL,GRD,GLONN,GLONF,GLATN,
     >  GLATF,ZLBDY,FPAS,UV,HFAC,TIMEON,TIMEOF,AURFAC,PLAT,PLON)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL SEC,DEC,ETRAN,F107,F107A,AP,BLON,EUV,UVFAC,GLONN,GLONF,GLATN
     >  ,GLATF,GRD,RATFAC,TIMEON,TIMEOF,AURFAC,PLAT,PLON
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      COMMON/RFAC/RATFAC(99)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/LPS/SZA(401),EPSN,DC,ISPC,I1,I2,IPV,JTIMAX,IPP,ISKP
      COMMON/SOL/UVFAC(59),EUV
      COMMON/CONFAC/IWIND,IVIBN2,IODDN,INPLUS,IHEP,ITEMP,IHPOP
      DATA DUMMY/0.0/ !.. not used - was PCOFM for FAIM
C
C...... Note second I1 is dummy - not used
!jntu      WRITE(8,90)  JMAX,IDAY,IVLPS,I1,I2,JQ,I1,ISKP,IWIND,IVIBN2
!     >  ,IODDN,INPLUS,IHEP,ITEMP,IHPOP,TIMEON,TIMEOF,AURFAC,DUMMY
!      WRITE(8,91) PCO,Z0,SCAL,GRD,F107,F107A,AP(1),BLON,EUV,GLONN
!     > ,GLONF,GLATN,GLATF,ZLBDY,FPAS,UV,HFAC,(Z(J),J=1,JMAX,ISKP),
!     >  (UVFAC(J),J=1,59),(RATFAC(J),J=1,99),PLAT,PLON
! 90   FORMAT(I4,I8,13I5,4F7.2)
 91   FORMAT(11F11.4)
      RETURN
      END
C:::::::::::::::::::::::::::::: WF8D2 ::::::::::::::::::::::::::::::::
C..... This routine is called to write the actual densities and temperatures
C..... in the F8.DAT file.
      SUBROUTINE WF8D2(JK,JC,UNN,UNC,IVLPS,JQ,UE)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL SEC,DEC,ETRAN,F107,F107A,AP,BLON
      REAL NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS,TMSN,TMSS
      INTEGER CONDEN,CONVEL,TPRIN
      DIMENSION UE(2,401)
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/FJS/N(4,401),TI(3,401),F(20)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
      COMMON/LPS/SZA(401),EPSN,DC,ISPC,J1,J2,IPV,JTIMAX,IPP,ISKP
      COMMON/CONFAC/IWIND,IVIBN2,IODDN,INPLUS,IHEP,ITEMP,IHPOP
      COMMON/VAGRID/JBV,JVB,JNB
      COMMON/NDFAC/TPRIN,NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS
     > ,TMSN,TMSS
      TPRIN=0
C
!jntu      WRITE(8,90) JTI,JK,JC,(AP(I),I=1,7),F107,TINFN,TINFS,NDFNOR,NDFSOU
!      WRITE(8,91) SEC,N(1,JK),N(1,JC),N(1,JQ),N(2,JQ),TI(2,JQ),TI(3,JQ)
!     >  ,UNN,UNC,N(4,JQ),XIONN(1,JQ)
C----- The densities and velocities are converted to integers for storing
!      WRITE(8,92) ((CONDEN(N(I,J)),J=1,JMAX,ISKP),I=1,3)
!     >  ,((CONDEN(TI(I,J)),J=1,JMAX,ISKP),I=2,3)
!      WRITE(8,93) ((CONVEL(U(I,J)),J=1,JMAX,ISKP),I=1,2)
!      IF(IODDN.EQ.1) WRITE(8,92) 
!     >  ((CONDEN(STR(I,J)),J=1,JBV,ISKP),I=8,10)
!      IF(IODDN.EQ.1) WRITE(8,92) 
!     >  ((CONDEN(STR(I,JMAX+1-J)),J=1,JBV,ISKP),I=8,10)
!      IF(IVIBN2.EQ.1) WRITE(8,92) 
!     >  ((CONDEN(STR(I,J)),J=1,JBV,ISKP),I=1,6)
!      IF(IVIBN2.EQ.1) WRITE(8,92) 
!     >  ((CONDEN(STR(I,JMAX+1-J)),J=1,JBV,ISKP),I=1,6)
!      IF(IVIBN2.GE.1) WRITE(8,92) (CONDEN(RCON(J)),J=1,JMAX,ISKP)
!      IF(IABS(IVLPS).GE.9) THEN
!        WRITE(8,92) (CONDEN(N(4,J)),J=1,JMAX,ISKP)
!        WRITE(8,93) (CONVEL(UE(1,J)),J=1,JMAX,ISKP)
!      ENDIF
!      IF(IABS(IVLPS).GE.11) THEN
!        WRITE(8,92) (CONDEN(XIONN(1,J)),J=1,JMAX,ISKP)
!        WRITE(8,93) (CONVEL(XIONV(1,J)),J=1,JMAX,ISKP)
!      ENDIF
      RETURN
! 90   FORMAT(3I5,22F7.2)
! 91   FORMAT(F11.0,1P,11E12.4)
! 93   FORMAT(15I6)
! 92   FORMAT(15I6)
      END
C:::::::::::::::::::::::::::: RF8DAT :::::::::::::::::::::::::::::::::
C....... This routine is used for reading the geophysical parameters off
C....... the top of the main data file (F8.DAT) that is created by the FLIP
C....... model. This file is used in the MONPRN phase when printing selected
C....... data.
      SUBROUTINE RF8DAT(IVLPS,JQ,IW,PCO,Z0,SCAL,GRD,GLONN,GLONF,
     >  GLATN,GLATF,ZLBDY,FPAS,UV,HFAC,JMAX,IDAY,I1,I2,F107,
     >  F107A,AP,BLON,EUV,Z,UVFAC,RATFAC,TIMEON,TIMEOF,AURFAC
     >  ,PLAT,PLON)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL F107,F107A,AP(7),BLON,EUV,UVFAC,GLONN,GLONF,
     > GLATN,GLATF,GRD,RATFAC,TIMEON,TIMEOF,AURFAC,PLAT,PLON
      DIMENSION RATFAC(99),Z(401),UVFAC(59)
      COMMON/LPS/SZA(401),EPSN,DC,ISPC,J1,J2,IPV,JTIMAX,IPP,ISKP
      COMMON/CONFAC/IWIND,IVIBN2,IODDN,INPLUS,IHEP,ITEMP,IHPOP
      DATA DUMMY/0.0/ !.. not used - was PCOFM for FAIM
C
C...... Note IW is not used anywhere
      READ(1,90,ERR=253,END=254) JMAX,IDAY,IVLPS,I1,I2,JQ,IW,ISKP
     >  ,IWIND,IVIBN2,IODDN,INPLUS,IHEP,ITEMP,IHPOP,TIMEON,TIMEOF
     >  ,AURFAC,DUMMY
      READ(1,91,ERR=253) PCO,Z0,SCAL,GRD,F107,F107A,AP(1)
     > ,BLON,EUV,GLONN,GLONF,GLATN,GLATF,ZLBDY,FPAS,UV,HFAC
     > ,(Z(J),J=1,JMAX,ISKP),(UVFAC(J),J=1,59),(RATFAC(J),J=1,99)
     > ,PLAT,PLON
 254  RETURN
 253  CONTINUE
      WRITE(6,*) '   *** NO valid data on the FLIP print file ***'
      STOP
 90   FORMAT(I4,I8,13I5,4F7.2)
 91   FORMAT(11F11.4)
      END
C:::::::::::::::::::::::::::::: RF8D2 ::::::::::::::::::::::::::::::::
C....... This routine is used for reading the actual data off  the main
C....... data file (F8.DAT) that is created by the FLIP model. This file
C....... is used in the MONPRN phase when printing selected data.
      SUBROUTINE RF8D2(JTX,JK,JC,NMF2N,NMF2F,NOPEQ,NHPEQ,TIEQ,TEEQ,UNN,
     >  UNC,IVLPS,IFLAG,JQ,SEC,N,JMAX,TI,U,STR,RCON,AP,NHEPEQ,UE,F107
     >  ,NNPEQ)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL SEC,AP(7),F107,DENCON,VELCON
      REAL NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS,TMSN,TMSS
      INTEGER RN(4,401),RTI(3,401),RU(2,401),RSTR(12,401),RRCON(401)
     >  ,RUE(2,401),RXIONN(2,401),RXIONV(2,401),TPRIN
      DIMENSION N(4,401),TI(3,401),U(2,401),STR(12,401),
     >  RCON(401),UE(2,401)
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
      COMMON/LPS/SZA(401),EPSN,DC,ISPC,J1,J2,IPV,JTIMAX,IPP,ISKP
      COMMON/CONFAC/IWIND,IVIBN2,IODDN,INPLUS,IHEP,ITEMP,IHPOP
      COMMON/VAGRID/JBV,JVB,JNB
      COMMON/NDFAC/TPRIN,NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS
     >   ,TMSN,TMSS
      TPRIN=1
C
C------ Make sure those variables not read every time are zero
       DO 10 J=1,JMAX
          N(4,J)=0.0
          RCON(J)=1.0
          UE(1,J)=0.0
          XIONN(1,J)=0.0
          XIONV(1,J)=0.0
 10    CONTINUE
       DO 15 J=1,JMAX
       DO 15 I=1,11
          STR(I,J)=0.0
 15    CONTINUE
C
C------- Read the data into real variables
      READ(1,90,END=233,ERR=233) JTX,JK,JC,(AP(I),I=1,7),F107
     > ,TINFN,TINFS,NDFNOR,NDFSOU
      READ(1,91,END=233,ERR=233) SEC,NMF2N,NMF2F,NOPEQ,NHPEQ,TIEQ
     > ,TEEQ,UNN,UNC,NHEPEQ,NNPEQ
C----- densities and velocities are read as integers and then converted
      READ(1,92,ERR=233) ((RN(I,J),J=1,JMAX,ISKP),I=1,3)
     >  , ((RTI(I,J),J=1,JMAX,ISKP),I=2,3)
      READ(1,93,ERR=233)  ((RU(I,J),J=1,JMAX,ISKP),I=1,2)
      IF(IODDN.EQ.1) READ(1,92,ERR=233) 
     >    ((RSTR(I,J),J=1,JBV,ISKP),I=8,10)
      IF(IODDN.EQ.1) READ(1,92,ERR=233) 
     >    ((RSTR(I,JMAX+1-J),J=1,JBV,ISKP),I=8,10)
      IF(IVIBN2.EQ.1) READ(1,92,ERR=233) 
     >    ((RSTR(I,J),J=1,JBV,ISKP),I=1,6)
      IF(IVIBN2.EQ.1) READ(1,92,ERR=233) 
     >    ((RSTR(I,JMAX+1-J),J=1,JBV,ISKP),I=1,6)
      IF(IVIBN2.GE.1) READ(1,92,ERR=233) (RRCON(J),J=1,JMAX,ISKP)
      IF(IABS(IVLPS).GE.9) READ(1,92,ERR=233) (RN(4,J),J=1,JMAX,ISKP)
      IF(IABS(IVLPS).GE.9) READ(1,93,ERR=233) (RUE(1,J),J=1,JMAX,ISKP)
      IF(IABS(IVLPS).GE.11) READ(1,92,ERR=233) 
     >   (RXIONN(1,J),J=1,JMAX,ISKP)
      IF(IABS(IVLPS).GE.11) READ(1,93,ERR=233)
     >   (RXIONV(1,J),J=1,JMAX,ISKP)
C
C------- Transfer densities and velocities into double precision variables
       DO 20 J=1,JMAX
          N(1,J)=DENCON(RN(1,J))
          N(2,J)=DENCON(RN(2,J))
          N(3,J)=DENCON(RN(3,J))
          IF(IABS(IVLPS).GE.9) N(4,J)=DENCON(RN(4,J))
          TI(2,J)=DENCON(RTI(2,J))
          TI(3,J)=DENCON(RTI(3,J))
          U(1,J)=VELCON(RU(1,J))
          U(2,J)=VELCON(RU(2,J))
          IF(IVIBN2.GE.1) RCON(J)=DENCON(RRCON(J))
          IF(IABS(IVLPS).GE.9) UE(1,J)=VELCON(RUE(1,J))
          IF(IABS(IVLPS).GE.9) XIONN(1,J)=DENCON(RXIONN(1,J))
          IF(IABS(IVLPS).GE.9) XIONV(1,J)=VELCON(RXIONV(1,J))
 20    CONTINUE
       IF(IVIBN2.EQ.1) THEN
          DO 30 J=1,JBV
          DO 40 I=1,6
             STR(I,J)=DENCON(RSTR(I,J))
             STR(I,JMAX+1-J)=DENCON(RSTR(I,JMAX+1-J))
 40       CONTINUE
 30       CONTINUE
       ENDIF
       IF(IODDN.EQ.1) THEN
          DO 55 J=1,JBV
          DO 50 I=8,10
             STR(I,J)=DENCON(RSTR(I,J))
             STR(I,JMAX+1-J)=DENCON(RSTR(I,JMAX+1-J))
 50       CONTINUE
 55       CONTINUE
       ENDIF
C
 221  CONTINUE
      RETURN
 233  CONTINUE
C-----  Return error flag to main program
      IFLAG=1
      RETURN
 90   FORMAT(3I5,22F7.2)
 91   FORMAT(F11.0,1P,11E12.4)
 93   FORMAT(15I6)
 92   FORMAT(15I6)
      END
C:::::::::::::::::::::::::::::: RRSTRT ::::::::::::::::::::::::::::::::
C..... This routine is responsible for reading the file containing the
C..... initial densities and temperatures created in a previous run as an
C..... F2.DAT file.
      SUBROUTINE RRSTRT(PCO,Z0,SCAL,GRD,GLONN,GLONF,GLATN,GLATF,ISOL
     >   ,UNN,UNC,HMF2N,HMF2S,NMF2N,NMF2S,PLAT,PLON)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL SEC,DEC,ETRAN,F107,F107A,AP,BLON,EUV,UVFAC,GLONN,GLONF,
     >  GLATN,GLATF,GRD,PLAT,PLON
      COMMON/FJS/N(4,401),TI(3,401),F(20)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/SOL/UVFAC(59),EUV
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
C
      READ(101,*,END=391,ERR=391) JMAX,IDAY,PCO,Z0,SCAL,SEC,GRD,F107
     >   ,F107A,AP(1),BLON,EUV,GLONN,GLONF,GLATN,GLATF,UNN,UNC
     >   ,HMF2N,HMF2S,NMF2N,NMF2S,PLAT,PLON
      READ(101,*) ((N(I,J),J=1,JMAX),I=1,4),((TI(I,J),J=1,JMAX),I=1,3)
     >  ,((UE(I,J),J=1,JMAX),I=1,2),((STR(I,J),J=1,JMAX),I=1,12)
     >  ,((U(I,J),J=1,JMAX),I=1,2),(RCON(J),J=1,JMAX)
     >  , (XIONN(1,J),J=1,JMAX),(XIONV(1,J),J=1,JMAX)
      READ(101,*) (UVFAC(J),J=1,59)
      CLOSE(101)
C----- Return ISOL=-1 if file is OK else =0 for new field line
      ISOL=-1
      RETURN
 391  CONTINUE
      ISOL=0
      END
C:::::::::::::::::::::::::::::: WRSTRT ::::::::::::::::::::::::::::::::
C..... This routine is called to write the F2.DAT file after each successful
C..... time step. It contains the necessary information to continue the
C..... run, including the densities and temperatures.
      SUBROUTINE WRSTRT(PCO,Z0,SCAL,GRD,GLONN,GLONF,GLATN,GLATF
     >   ,UNN,UNC,HMF2N,HMF2S,NMF2N,NMF2S,PLAT,PLON)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL SEC,DEC,ETRAN,F107,F107A,AP,BLON,EUV,UVFAC,GLONN,
     >  GLONF,GLATN,GLATF,GRD,PLAT,PLON
      COMMON/FJS/N(4,401),TI(3,401),F(20)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/SOL/UVFAC(59),EUV
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)

      WRITE(412,*) JMAX,IDAY,PCO,Z0,SCAL,SEC,GRD,F107,F107A,AP(1),BLON
     > ,EUV,GLONN,GLONF,GLATN,GLATF,UNN,UNC,HMF2N,HMF2S,NMF2N,NMF2S
     > ,PLAT,PLON
      WRITE(412,*) ((N(I,J),J=1,JMAX),I=1,4),((TI(I,J),J=1,JMAX),I=1,3)
     >  ,((UE(I,J),J=1,JMAX),I=1,2),((STR(I,J),J=1,JMAX),I=1,12)
     >  ,((U(I,J),J=1,JMAX),I=1,2),(RCON(J),J=1,JMAX)
     >  , (XIONN(1,J),J=1,JMAX),(XIONV(1,J),J=1,JMAX)
      WRITE(412,*) (UVFAC(J),J=1,59)
      CLOSE(412)
!      REWIND 2
      RETURN
      END
C:::::::::::::::::::::::::::::::: TFILE :::::::::::::::::::::::::
C------- This file checks to see if a file exists for the FORTRAN unit
C------- JUNIT and returns 0 for no and 1 for yes
       SUBROUTINE TFILE(JUNIT,IOPEN)
       CHARACTER ACHAR
       IOPEN=1
       READ(JUNIT,90,END=70,ERR=70) ACHAR 
 90    FORMAT(A)
       REWIND JUNIT
       RETURN
 70    CONTINUE
C------- File did not exist
       IOPEN=0 
       RETURN
       END
C:::::::::::::::::::::::::::::: VELCON ::::::::::::::::::::::::::::::::
C--- This function is the twin of function CONVEL. It converts an integer
C--- back into a velocity. See CONVEL for details
C--- P. Richards February 1996
      REAL FUNCTION VELCON(INTNUM)
      INTEGER INTNUM
      IF(INTNUM.LT.0.0) THEN
         VELCON=-10**(REAL(-INTNUM-22000)/1000.0)
      ELSE
         VELCON=10**(REAL(INTNUM-22000)/1000.0)
      ENDIF
      RETURN
      END
C:::::::::::::::::::::::::::::: CONVEL ::::::::::::::::::::::::::::::::
C--- This function and VELCON are used to convert a velocity into an
C--- small integer. First, the number is converted to a log then
C--- multiplied by 1000 to get the right precision. Negative numbers
C--- have to be treated differently so 22 is added onto the log
C--- to ensure that part is positive, then the sign of the velocity is 
C--- attached. The 1.0E-22 takes care of very small numbers which are
C--- effectively 0.00
C--- P. Richards February 1996 
      INTEGER FUNCTION CONVEL(DPNUM)
      DOUBLE  PRECISION DPNUM
      IF(DPNUM.LT.0.0) THEN
         CONVEL=-NINT((22+DLOG10(DABS(DPNUM-1.0E-22)))*1000.0)
      ELSE
         CONVEL=NINT((22+DLOG10(DABS(DPNUM+1.0E-22)))*1000.0)
      ENDIF
      RETURN
      END
C:::::::::::::::::::::::::::::: DENCON ::::::::::::::::::::::::::::::::
C--- This function with CONDEN is used to convert a density to an integer
C--- for efficient storage. See CONDEN for details
C--- P. Richards, February 1996
      REAL FUNCTION DENCON(INTNUM)
      INTEGER INTNUM
         DENCON=10**(REAL(INTNUM)/1000.0)
      RETURN
      END
C:::::::::::::::::::::::::::::: CONDEN ::::::::::::::::::::::::::::::::
C--- The density is converted to a log, then to a sensible sized integer
C--- to preserve sufficient precision by multiplying by 1000. Function
C--- DENCON is used to retrieve the actual densities.
C--- P. Richards, February 1996
      INTEGER FUNCTION CONDEN(DPNUM)
      DOUBLE  PRECISION DPNUM
         CONDEN=NINT(DLOG10(DPNUM+1.0E-30)*1000.0)
      RETURN
      END
C
C::::::::::::::::: WRITE_Q ::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE WRITE_Q(JMIN, JMAX, SCALK, Q)
      DOUBLE PRECISION Q(401), SCALK

      WRITE(8, *) JMIN, JMAX, SCALK
      WRITE(8, '(1p, 10D11.3)') (Q(J), J=JMIN, JMAX)

      RETURN
      END
C
C::::::::::::::::: READ_Q ::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE READ_Q(SCALK, Q)
      DOUBLE PRECISION Q(401), SCALK

      READ(1, *) JMIN, JMAX, SCALK
      READ(1, *) (Q(J), J=JMIN, JMAX)

      RETURN
      END
C
C::::::::::::::::: WRITE_BQ ::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE WRITE_BQ(JMIN, JMAX, SCALK, Q, nst)
      USE INPARM
      DOUBLE PRECISION Q(401), SCALK
      INTEGER jbn,jbs

      COMMON/bcgrids/jbn,jbs

!jntu 12/10/09
      OPEN(412,FILE='/home/wangy/DyFk/INITIAL/C_INITIAL.dat',
     >     STATUS='UNKNOWN',FORM='FORMATTED')
      WRITE(412,*) nst, iout, jbn, jbs

      WRITE(412,*) JMIN, JMAX, SCALK
      WRITE(412,*) (Q(J), J=JMIN, JMAX)

      RETURN
      END
C
C::::::::::::::::: READ_BQ ::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE READ_BQ(SCALK, Q, err0)
      USE INPARM
      DOUBLE PRECISION Q(401), SCALK
      INTEGER ITNT,jbn,jbs,iout1,err0

      COMMON/bcgrids/jbn,jbs

      err0=0
      OPEN(101,FILE='/home/wangy/DyFk/INITIAL/C_INITIAL.dat',
     >     STATUS='OLD',FORM='FORMATTED',err=391)
      READ(101,*,END=391,ERR=391) nstc, iout1, jbn, jbs

      READ(101,*,END=391,ERR=391) JMIN, JMAX, SCALK
      READ(101,*,END=391,ERR=391) (Q(J), J=JMIN, JMAX)
      IF(CRUN.eq.'Yes') iout=iout1
      RETURN

391   IF(CRUN=='Yes') THEN
        WRITE(*,*) 'FAIL OPENING/READING FILE C_INITIAL.dat'
        STOP
      ENDIF

 100  err0=-1
      RETURN
      END
C.................... MINORA.FOR;1 .......... April 2000
C.... This function is the main sequencing control for the He+ and N+
C.... routines. It is similar to subroutine LOOPS on RSLPSD.FOR. Look 
C.... there for comments.
C.... Cleaned up and commented by P. Richards in April 2000
      SUBROUTINE XION(S,NEQ,NV,TI,ITAU,JBN,SEC,MAXIT,ISOL,IVPLS)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      INTEGER ION,NEQ,NFLAG,LAXIT
      REAL SEC
      DIMENSION N(4,401),TI(3,401),F(20),S(NEQ,1),DCRQ(2,401),V(2)
     > ,DUM(9),NV(4,401)
      COMMON/SLV/DELTA(1806),RHS(1806),WORK(50000)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      REAL SUMION,SUMEXC
      !-- common for total ion production rates EUV+e*. And excitations
      COMMON/BPRTOT/SUMION(3,12,401),SUMEXC(3,12,401)
      COMMON/H/HPLS(401),VHPLS(401)
      COMMON/LPS/SZA(401),EPSN,DC,IMOD,I1,I2,IDNDT,IPMX,IPP,ISKP
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/NEED/HEPLS(401),XPRD(401)
      COMMON/NPRD/COLUM(3,401),OTHPR1(6,401),OTHPR2(6,401),OTHPR3(6,401)
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/SAV2/NMSAVE(2,401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
      DATA ICALL/3/,DCR/0.0/,ZLBHE/120.0/
      JB=1
      IPR=1      ! # species: do not change
      IF(IABS(IVPLS).EQ.9) XMAS=XMASS(3)  !FOR HE+
      IF(IABS(IVPLS).EQ.11)XMAS=XMASS(1)  !FOR N+

      !..transfering minor ion densities from storage in XION to N
      DO 41 J=1,JMAX
         !... for N+
         IF(IABS(IVPLS).EQ.11) THEN
            N(1,J)=XIONN(1,J)
            N(3,J)=NV(3,J)-XIONN(1,J)
            IF(N(3,J).LT.0.0) N(3,J)=0.0
            HEPLS(J)=NV(4,J)
            !... N+ production from photoionization
            XPRD(J)=SUMION(3,4,J)+SUMION(3,5,J)+SUMION(3,6,J)
     >         +OTHPR2(3,J)
         ENDIF
         !... for He+
         IF(IABS(IVPLS).EQ.9) THEN
            N(1,J)=NV(4,J)
            N(3,J)=NV(3,J)
            HEPRD(J)=OTHPR1(2,J)
         ENDIF
         !..store minor ion density to calculate dn/dt
         NMSAVE(1,J)=N(1,J)
         !.. store major ion densities and velocities
         OPLS(J)=NV(1,J)
         VOPLS(J)=U(1,J)
         HPLS(J)=NV(2,J)
         VHPLS(J)=U(2,J)
         DCRQ(1,J)=1.0
         DCRQ(2,J)=1.0
         !..  set lower boundary index
         IF(IABS(IVPLS).EQ.9.AND.Z(J).LT.ZLBHE.AND.J.LT.JMAX/2) JB=J
         IF(IABS(IVPLS).EQ.11.AND.Z(J).LT.120.0.AND.J.LT.JMAX/2) JB=J
 41   CONTINUE

      !.. set up key indices for grid
      JBS=JMAX-JB+1
      MIT=JMAX-2*JB+2
      IEQ=IPR*(MIT-2)      !.. number of equations to solve
      MIT1=MIT-1

      !... calculate average values for quantities that don't
      !... change in Newton iteration
      CALL DENAVE(JMAX1,TI,0,0D0,0.0D0)
      CALL AVDEN2(JMAX1,TI,JWR,ZLO,ZHI,IVPLS)

      !... Set up max iterations for Newton
      LAXIT=IABS(MAXIT)
      IF(DT.LE.120.AND.LAXIT.LT.29) LAXIT=29

      !***************** Main Loop begins **************************
      DO 220 KTER=1,LAXIT
        !.. set boundary conditions on density
        DO 321 J=1,JMAX
          IF(J.GT.JB.AND.J.LT.JBS) GO TO 321
          IF(IABS(IVPLS).EQ.9) CALL 
     >      MCHEMQ(1,J,JMAX,DT,DUM,N,TI,NMSAVE)
          IF(IABS(IVPLS).EQ.11) CALL NCHEMQ(1,J,JMAX,DT,DUM,N,TI,NMSAVE)
          N(1,J)=DUM(1)
          N(2,J)=DUM(2)
 321    CONTINUE

        !.. call MDFIJ to get unperturbed value to calculate dFij/dn
        DO 145 J=2,MIT1
          KR=IPR*(J-2)
          JC=J+JB-1
          CALL MDFIJ(JC,0,IPR,N,TI,F,JB,JBS,V,IVPLS,XMAS)
          DO 139 IRHS=1,IPR
139       RHS(KR+IRHS)=F(IRHS)
145     CONTINUE
C
        !.. Now set up the Jacobian Matrix dFij/dn
        CALL HMATRX(S,RHS,IEQ,IPR,N,F,JB,JBS,JMAX,MIT,TI,IVPLS,XMAS)

        !.. invert the jacobian matriX *s* in the inversion routine *bdslv*.
        !.. the increments are stored in array delta in this order
        !.. X(1...n,j),X(1...n,j+1),X(1...n,j+2),....X(1...n,jmaX-1)
        IBW=2*IPR-1
        CALL BDSLV(IEQ,IBW,S,0,RHS,DELTA,WORK,NFLAG)
     
        !.. Check for problems in band solver
        IF(NFLAG.NE.0) THEN
          WRITE(6,*) ' '
          WRITE(6,*) ' *** Problem in band solver ****'
          STOP 3
        ENDIF

        IDIV=0             !... convergence indicator
        DCR=1.0            !... convergence indicator

        !.. test density increments 'dinc' to ensure density > 0 
        !.. (mod steepest descent)
        DO  142 I=1,IPR
          ION=2*IPR-I
          DO 142 J=2,MIT1
            DCRP=1.0
            JC=JB+J-1
            DCRQ(I,JC)=1.0
            DINC=DELTA(IPR*J-ION)
            IF(DINC.LE.0) GO TO 142
            IF(ABS(DINC/N(I,JC)).GT.EPSN) DCRP=DC*ABS(N(I,JC)/DINC)
            IF((DCRP.LT.DCR).AND.(Z(JC).GT.0.0)) DCR=DCRP
            IF(KTER.GT.0) DCRQ(I,JC)=DCRP
 142     CONTINUE
 
        ADCR=DCR
        !.. add iterative increment to the density. 
        !.. convergence when IDIV=0. 
 144    DO 42 I=1,IPR
          ION=2*IPR-I
          DO 42 J=2,MIT1
            JC=JB+J-1
            DINC=DELTA(IPR*J-ION)
            N(I,JC)=N(I,JC)-DINC*ADCR
            IF(ABS(DINC/N(I,JC)).GT.1E-3)  IDIV=IDIV+1
 42     CONTINUE

        !.. if dcr(i) is not close to 1 by the tenth iteration, give up.
        IF(DCR.LE.1.0E-3.AND.KTER.GT.10) GO TO 230

        !.. test to see if convergence has occured.
        IF(IDIV.EQ.0)  GO TO 230
 220  CONTINUE

 230  CONTINUE    !*************** end main loop ***************

      !.. Successful convergence
      !.. Transfer new densities to storage if convergence
      IF(IDIV.EQ.0) THEN
        DO 777 J=1,JMAX
          IF(IABS(IVPLS).EQ.9) NV(4,J)=N(1,J)      ! He+
          IF(IABS(IVPLS).EQ.11) XIONN(1,J)=N(1,J)  ! N+
 777    CONTINUE
      ENDIF

      !.... restore lower boundary to original value after decent time
      IF(SEC-ZLBSEC.GT.3600) ZLBHE=120.0

      IF(IDIV.EQ.0.AND.MAXIT.GT.0) RETURN
      
      !... Unsuccessful - restore all densities to original values
      DO 255 J=1,JMAX
        TI(1,J)=TISAV(1,J)
        TI(2,J)=TISAV(2,J)
        TI(3,J)=TISAV(3,J)
        NV(1,J)=NSAVE(1,J)
        NV(2,J)=NSAVE(2,J)
 255  CONTINUE

      !... raise lower boundary and record the time
      IF(IVPLS.EQ.9)  ZLBHE=300
      IF(IVPLS.EQ.9)  ZLBSEC=SEC
      ITER=-50-KTER     !... signals FLIP to reduce time step
      IF(DT.GT.5) RETURN

      !..  non-convergence diagnostics. grid points where problem occured
      IF(IVPLS.EQ.11) THEN
!jntu         WRITE(3,116) KTER,DCR
         WRITE(6,116) KTER,DCR
      ELSE
!jntu         WRITE(3,117) KTER,DCR
         WRITE(6,117) KTER,DCR
      ENDIF
 116    FORMAT(/'  NON-CONVERGENCE IN N+ SOLUTION, ITER='
     > ,I3,'  DCR1=',1P,E10.1)
 117    FORMAT(/'  NON-CONVERGENCE IN He+ SOLUTION, ITER='
     > ,I3,'  DCR1=',1P,E10.1)


      !... Write out problem points on the field line
      DO 535 J=JB+1,JBS-1
        IF(DCRQ(1,J)+DCRQ(2,J).LT.2) THEN
          IF(J.LE.JMAX/2) THEN
            WRITE(6,537) J,INT(Z(J)),DCRQ(1,J),DCRQ(2,J)
          ELSE
            WRITE(6,538) J,INT(Z(J)),DCRQ(1,J),DCRQ(2,J)
          ENDIF
        ENDIF
 535  CONTINUE
 537  FORMAT(2X,'Northern hemisphere:- problem at point=',I5,' ALT=',I8
     > ,1P,4E8.1)
 538  FORMAT(2X,'Southern hemisphere:- problem at point=',I5,' ALT=',I8
     > ,1P,4E8.1)

      !.... Return ITER=-1 to stop execution
      ITER=-1
      RETURN
      END
C.................... CMINORA.FOR;1 .......... April 2000
C.... This function is the main sequencing control for the He+ and N+
C.... routines. It is similar to subroutine LOOPS on RSLPSD.FOR. Look 
C.... there for comments.
C.... Cleaned up and commented by P. Richards in April 2000
      SUBROUTINE CXION(S,NEQ,NV,TI,ITAU,JBN,SEC,MAXIT,ISOL,IVPLS,jbs)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      INTEGER ION,NEQ,NFLAG,LAXIT,jbs
      REAL SEC
      DIMENSION N(4,401),TI(3,401),F(20),S(NEQ,1),DCRQ(2,401),V(2)
     > ,DUM(9),NV(4,401)
      COMMON/SLV/DELTA(1806),RHS(1806),WORK(50000)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      REAL SUMION,SUMEXC
      !-- common for total ion production rates EUV+e*. And excitations
      COMMON/BPRTOT/SUMION(3,12,401),SUMEXC(3,12,401)
      COMMON/H/HPLS(401),VHPLS(401)
      COMMON/LPS/SZA(401),EPSN,DC,IMOD,I1,I2,IDNDT,IPMX,IPP,ISKP
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/NEED/HEPLS(401),XPRD(401)
      COMMON/NPRD/COLUM(3,401),OTHPR1(6,401),OTHPR2(6,401),OTHPR3(6,401)
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/SAV2/NMSAVE(2,401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
      DATA ICALL/3/,DCR/0.0/,ZLBHE/120.0/
      JB=1
      IPR=1      ! # species: do not change
      IF(IABS(IVPLS).EQ.9) XMAS=XMASS(3)  !FOR HE+
      IF(IABS(IVPLS).EQ.11)XMAS=XMASS(1)  !FOR N+

      !..transfering minor ion densities from storage in XION to N
      DO 41 J=1,JMAX
         !... for N+
         IF(IABS(IVPLS).EQ.11) THEN
            N(1,J)=XIONN(1,J)
            N(3,J)=NV(3,J)-XIONN(1,J)
            IF(N(3,J).LT.0.0) N(3,J)=0.0
            HEPLS(J)=NV(4,J)
            !... N+ production from photoionization
            XPRD(J)=SUMION(3,4,J)+SUMION(3,5,J)+SUMION(3,6,J)
     >         +OTHPR2(3,J)
         ENDIF
         !... for He+
         IF(IABS(IVPLS).EQ.9) THEN
            N(1,J)=NV(4,J)
            N(3,J)=NV(3,J)
            HEPRD(J)=OTHPR1(2,J)
         ENDIF
         !..store minor ion density to calculate dn/dt
         NMSAVE(1,J)=N(1,J)
         !.. store major ion densities and velocities
         OPLS(J)=NV(1,J)
         VOPLS(J)=U(1,J)
         HPLS(J)=NV(2,J)
         VHPLS(J)=U(2,J)
         DCRQ(1,J)=1.0
         DCRQ(2,J)=1.0
         !..  set lower boundary index
         IF(IABS(IVPLS).EQ.9.AND.Z(J).LT.ZLBHE.AND.J.LT.JMAX/2) JB=J
         IF(IABS(IVPLS).EQ.11.AND.Z(J).LT.120.0.AND.J.LT.JMAX/2) JB=J
 41   CONTINUE

      !.. set up key indices for grid
!      JBS=JMAX-JB+1
!      MIT=JMAX-2*JB+2
      MIT=JBS-JB+1
      IF(JBS.GT.JMAX/2) MIT=JMAX-JBS-JB+2
      IEQ=IPR*(MIT-2)      !.. number of equations to solve
      MIT1=MIT-1

      !... calculate average values for quantities that don't
      !... change in Newton iteration
      CALL DENAVE(JMAX1,TI,0,0D0,0.0D0)
      CALL AVDEN2(JMAX1,TI,JWR,ZLO,ZHI,IVPLS)

      !... Set up max iterations for Newton
      LAXIT=IABS(MAXIT)
      IF(DT.LE.120.AND.LAXIT.LT.29) LAXIT=29

      !***************** Main Loop begins **************************
      DO 220 KTER=1,LAXIT
        !.. set boundary conditions on density
        DO 321 J=1,JMAX
!          IF(J.GT.JB.AND.J.LT.JBS) GO TO 321
          IF(J.GT.JB.AND.J.LT.JMAX-JB) GO TO 321
          IF(IABS(IVPLS).EQ.9) CALL
     >      MCHEMQ(1,J,JMAX,DT,DUM,N,TI,NMSAVE)
          IF(IABS(IVPLS).EQ.11) CALL NCHEMQ(1,J,JMAX,DT,DUM,N,TI,NMSAVE)
          N(1,J)=DUM(1)
          N(2,J)=DUM(2)
 321    CONTINUE

        !.. call MDFIJ to get unperturbed value to calculate dFij/dn
        DO 145 J=2,MIT1
          KR=IPR*(J-2)
          JC=J+JB-1
          IF(JBS.GT.JMAX/2) JC=J+JBS-1
          CALL MDFIJ(JC,0,IPR,N,TI,F,JB,JBS,V,IVPLS,XMAS)
          DO 139 IRHS=1,IPR
139       RHS(KR+IRHS)=F(IRHS)
145     CONTINUE
C
        !.. Now set up the Jacobian Matrix dFij/dn
        CALL HMATRX(S,RHS,IEQ,IPR,N,F,JB,JBS,JMAX,MIT,TI,IVPLS,XMAS)

        !.. invert the jacobian matriX *s* in the inversion routine *bdslv*.
        !.. the increments are stored in array delta in this order
        !.. X(1...n,j),X(1...n,j+1),X(1...n,j+2),....X(1...n,jmaX-1)
        IBW=2*IPR-1
        CALL BDSLV(IEQ,IBW,S,0,RHS,DELTA,WORK,NFLAG)
     
        !.. Check for problems in band solver
        IF(NFLAG.NE.0) THEN
          WRITE(6,*) ' '
          WRITE(6,*) ' *** Problem in band solver ****'
          STOP 3
        ENDIF

        IDIV=0             !... convergence indicator
        DCR=1.0            !... convergence indicator

        !.. test density increments 'dinc' to ensure density > 0 
        !.. (mod steepest descent)
        DO  142 I=1,IPR
          ION=2*IPR-I
          DO 142 J=2,MIT1
            DCRP=1.0
            JC=JB+J-1
            IF(JBS.GT.JMAX/2) JC=J+JBS-1
            DCRQ(I,JC)=1.0
            DINC=DELTA(IPR*J-ION)
            IF(DINC.LE.0) GO TO 142
            IF(ABS(DINC/N(I,JC)).GT.EPSN) DCRP=DC*ABS(N(I,JC)/DINC)
            IF((DCRP.LT.DCR).AND.(Z(JC).GT.0.0)) DCR=DCRP
            IF(KTER.GT.0) DCRQ(I,JC)=DCRP
 142     CONTINUE
 
        ADCR=DCR
        !.. add iterative increment to the density. 
        !.. convergence when IDIV=0. 
 144    DO 42 I=1,IPR
          ION=2*IPR-I
          DO 42 J=2,MIT1
            JC=JB+J-1
            IF(JBS.GT.JMAX/2) JC=J+JBS-1
            DINC=DELTA(IPR*J-ION)
            N(I,JC)=N(I,JC)-DINC*ADCR
            IF(ABS(DINC/N(I,JC)).GT.1E-3)  IDIV=IDIV+1
 42     CONTINUE

        !.. if dcr(i) is not close to 1 by the tenth iteration, give up.
        IF(DCR.LE.1.0E-3.AND.KTER.GT.10) GO TO 230

        !.. test to see if convergence has occured.
        IF(IDIV.EQ.0)  GO TO 230
 220  CONTINUE

 230  CONTINUE    !*************** end main loop ***************

      !.. Successful convergence
      !.. Transfer new densities to storage if convergence
      IF(IDIV.EQ.0) THEN
        DO 777 J=1,JMAX
          IF(IABS(IVPLS).EQ.9) NV(4,J)=N(1,J)      ! He+
          IF(IABS(IVPLS).EQ.11) XIONN(1,J)=N(1,J)  ! N+
 777    CONTINUE
      ENDIF

      !.... restore lower boundary to original value after decent time
      IF(SEC-ZLBSEC.GT.3600) ZLBHE=120.0

      IF(IDIV.EQ.0.AND.MAXIT.GT.0) RETURN
      
      !... Unsuccessful - restore all densities to original values
      DO 255 J=1,JMAX
        TI(1,J)=TISAV(1,J)
        TI(2,J)=TISAV(2,J)
        TI(3,J)=TISAV(3,J)
        NV(1,J)=NSAVE(1,J)
        NV(2,J)=NSAVE(2,J)
 255  CONTINUE

      !... raise lower boundary and record the time
      IF(IVPLS.EQ.9)  ZLBHE=300
      IF(IVPLS.EQ.9)  ZLBSEC=SEC
      ITER=-50-KTER     !... signals FLIP to reduce time step
      IF(DT.GT.5) RETURN

      !..  non-convergence diagnostics. grid points where problem occured
      IF(IVPLS.EQ.11) THEN
!jntu         WRITE(3,116) KTER,DCR
         WRITE(6,116) KTER,DCR
      ELSE
!jntu         WRITE(3,117) KTER,DCR
         WRITE(6,117) KTER,DCR
      ENDIF
 116    FORMAT(/'  NON-CONVERGENCE IN N+ SOLUTION, ITER='
     > ,I3,'  DCR1=',1P,E10.1)
 117    FORMAT(/'  NON-CONVERGENCE IN He+ SOLUTION, ITER='
     > ,I3,'  DCR1=',1P,E10.1)


      !... Write out problem points on the field line
      DO 535 J=JB+1,JMAX-JB !JBS-1
        IF(DCRQ(1,J)+DCRQ(2,J).LT.2) THEN
          IF(J.LE.JMAX/2) THEN
            WRITE(6,537) J,INT(Z(J)),DCRQ(1,J),DCRQ(2,J)
          ELSE
            WRITE(6,538) J,INT(Z(J)),DCRQ(1,J),DCRQ(2,J)
          ENDIF
        ENDIF
 535  CONTINUE
 537  FORMAT(2X,'Northern hemisphere:- problem at point=',I5,' ALT=',I8
     > ,1P,4E8.1)
 538  FORMAT(2X,'Southern hemisphere:- problem at point=',I5,' ALT=',I8
     > ,1P,4E8.1)

      !.... Return ITER=-1 to stop execution
      ITER=-1
      RETURN
      END
C::::::::::::::::::::::::::: MCHEMQ :::::::::::::::::::::::::::::::::::::
C... Gets the chemical equilibrium density for He+
      SUBROUTINE MCHEMQ(ISW,J,JMAX,DT,DUM,N,TI,NMSAVE)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      DIMENSION RTS(99),N(4,401),TI(3,401),NMSAVE(2,401),DUM(9)
      CALL RATS(J,TI(3,J),TI(1,J),TN(J),RTS)
        HELOSS=(RTS(44)+RTS(45))*N2N(J)+(RTS(75)+RTS(76))*O2N(J)
        DUM(1)=HEPRD(J)/HELOSS   !... production/loss
        DUM(2)=0.0
      RETURN
      END
C::::::::::::::::::::::::::::: NCHEMQ :::::::::::::::::::::::::::::::::::::
C... Gets the chemical equilibrium density for N+
      SUBROUTINE NCHEMQ(ISW,J,JMAX,DT,DUM,N,TI,NMSAVE)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/NEED/HEPLS(401),XPRD(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/MIB/OP2D(401),OP2P(401),N2D(401),N4S(401),NNO(401)
      DIMENSION RTS(99),N(4,401),TI(3,401),NMSAVE(2,401),DUM(9)
        CALL RATS(J,TI(3,J),TI(1,J),TN(J),RTS)
        !... Evaluate loss rates
        QNP1=RTS(30)*O2N(J)
        QNP2=RTS(25)*O2N(J)
        QNP3=RTS(59)*O2N(J)
        QNP4=RTS(31)*ON(J)

        !... evaluate production rates
        PNP1=RTS(45)*HEPLS(J)*N2N(J)
        PNP2=XPRD(J)
        PNP3=RTS(29)*N2D(J)*OPLS(J)
        PNP4=RTS(22)*OP2P(J)*N2N(J)

        !.. chemical equilibrium density for N+
        DUM(1)=(PNP1+PNP2+PNP3+PNP4)/(QNP1+QNP2+QNP3+QNP4)
        DUM(2)=0.0
        !...IF(ISW.EQ.1) WRITE(35,*)PNP1,PNP2,PNP3,PNP4,QNP1,QNP2
        !...> ,QNP3,QNP4
      RETURN
      END
C::::::::::::::::::::::::::::: MDFIJ ::::::::::::::::::::::::::::::::::::
C.... This routine sets up the He+ and H+ continuity equations to be 
C.... minimized by the Newton solver. See program DFIJ on RSDENA.FOR 
C.... for more details

      SUBROUTINE MDFIJ(J,JSJ,IPR,N,TI,F,JB,JBS,V,IVPLS,XMAS)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL MASS
      INTEGER ION
      DIMENSION VL(2),VU(2),FLU(2),FLL(2),V(2),ANM(2),PM(2),Q(2),L(2)
     > ,TINCR(2),N(4,401),TI(3,401),F(20),DIVEM(2)
      COMMON/MSS2/MASS(4),A(4)
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/SAV2/NMSAVE(2,401)
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
      DATA FLU/0.0,0.0/

      !... ID is the unit number for writing diagnostics in
      !... both hemispheres
      ID=3  
      IF(J.GT.JMAX/2) ID=9
      IF(JSJ.NE.9) ID=0

      !.. MINVEL to get the velocities(fluxes) at the lower 1/2 pt
      FLL(1)=FLU(1)
      FLL(2)=FLU(2)
      CALL MINVEL(J-1,VL,FLL,N,JSJ,0,IPR,XMAS,IVPLS) ! f90 TI not referenced

      !..  CALL CHEMO to evaluate the source (Q) and sink(L) terms 
      IF(IABS(IVPLS).EQ.9) CALL CHEMO9(IPR,J,Q,N,NMSAVE,TI,1,L,DIVEM)
      IF(IABS(IVPLS).EQ.11) CALL CHEM11(IPR,J,Q,N,NMSAVE,TI,1,L,DIVEM)

      !... call dave for dn/dt. PM= dn(t+dt)/dt, ANM= dn(t)/dt
      CALL DAVEM(ITER,IPR,J,ANM,PM,N,NMSAVE,BM)

      !.. MINVEL to get the velocities(fluxes) at the upper 1/2 pt
360   CALL MINVEL(J,VU,FLU,N,JSJ,ID,IPR,XMAS,IVPLS)

      !.. magnetic field strength at midpoints
      BU=(BM(J)+BM(J+1))*0.5
      BL=(BM(J)+BM(J-1))*0.5

      !.. Set up F=prod-loss-dn/dt-div(flux)
      DO 380 I=1,ION
      TINCR(I)=(PM(I)-ANM(I))/DT     !.. dn/dt
      FGR=(FLU(I)/BU-FLL(I)/BL)      !.. div(flux)
C
      F(I)=Q(I)-L(I)-TINCR(I)-FGR-DIVEM(I)

      !.... average velocity for He+ and N+ ........
      IF(JSJ.EQ.0.AND.IABS(IVPLS).EQ.9) UE(I,J)=.5*(VL(I)+VU(I))
      IF(JSJ.EQ.0.AND.IABS(IVPLS).EQ.11) XIONV(1,J)=.5*(VL(I)+VU(I))
      VL(I)=VU(I)

      !.. printing of factors in the continuity equations ...........
      !.. since all quantities have been divided by bm and integrated,
      !.. multiply by bd to get actual magnitudes
!jntu      IF(ID.EQ.0) GO TO 380
!        BD=2.0*BM(J)/(SL(J+1)-SL(J-1))
!        WRITE(ID,666) J,BD,FLU(I),FLL(I),FGR,Q(I),L(I),F(I),UE(I,J)
!     >   ,TINCR(I),XIONV(1,J),DIVEM(I)
!  666    FORMAT(2X,'FIJ2',I4,1P,22E11.3)
!         IF(I.EQ.2) WRITE(ID,*) '   '
  380 CONTINUE
      RETURN
      END
C::::::::::::::::::::::::::::: MINVEL ::::::::::::::::::::::::::::::::::
C... This subroutine returns the ion fluxes for the continuity equation.
      SUBROUTINE MINVEL(J,V,FLUX,N,JSJ,ID,IPR,XMAS,IVPLS)  ! f90 added
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL MASS
      DIMENSION PP(4),QSIGN(2),V(2),FLUX(2),GAMMA(2),B(3)
      DIMENSION N(4,401),HX(2)
      COMMON/OTD/OTDC(2)
      COMMON/H/HPLS(401),VHPLS(401)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      COMMON/MSS2/MASS(4),A(4)
      COMMON/NEED/HEPLS(401),XPRD(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/SAV2/NMSAVE(2,401)
      COMMON/GRAD/GRADTE(401),GRADTI(401)
      DATA QSIGN/-1.,1./

      !... evaluate total ion density
      NEU=OPLS(J+1)+HPLS(J+1)
      NEL=OPLS(J)+HPLS(J)
      NE=OP(J)+DSQRT(HPLS(J)*HPLS(J+1))
      IF(IABS(IVPLS).GT.9) THEN
         NEU=NEU+HEPLS(J+1)+N(1,J+1)+N(3,J+1)
         NEL=NEL+HEPLS(J)+N(1,J)+N(3,J)
         NE=NE+DSQRT(HEPLS(J)*HEPLS(J+1))+DSQRT(N(1,J+1)*N(1,J))
         NE=NE+DSQRT(N(3,J)*N(3,J+1))
      ENDIF
      !.. interpolate minor ion to midpoint
      PP(1)=DSQRT(N(1,J+1)*N(1,J))
      PP(2)=0.0
      !.. CALCULATE ELECTRON DENSITY AT UPPER, LOWER AND MID POINT
      IF (IABS(IVPLS).LE.9) THEN
        NEU=NEU+N(1,J+1)+N(3,J+1)
        NEL=NEL+N(1,J)+N(3,J)
        NE=NE+PP(1)+DSQRT(N(3,J)*N(3,J+1))
      ENDIF

      !.. CALL DCOEFF to obtain d(i),hX,beta1,beta2,betaX, @ b(i) used
      !.. to calc v(i)  all from st. maurice and schunk
      CALL DCOEFF(J,PP,D,B,HX,GAMMA,JSJ,ID,SUMN,XMAS)    ! f90 added

      !-----calculate altitude derivatives----------
      !.. note that TEJ(J)=0.5(TI(3,J+1)+TI(3,J))/DS(J)/TIJ(J) see AVDEN
      GRADNE=TEJ(J)*(NEU-NEL)/NE

      DLNI=(N(1,J+1)-N(1,J))/DS(J)/PP(1)              !.. dn/ds
      GRA=XMAS*GR(1,J)                                !.. gravity
      QION=QSIGN(2)*GRADTE(J)

      !.... neutral wind term SUMN=sum of collision terms for ions on neutrals
      Q2=UNJ(J)*SUMN
      !.. Q3 is the sum of FRICTION terms.  HX(1)=X - H+, HX(2)=X - O+
      Q3=0.5*(VOPLS(J+1)+VOPLS(J))*HX(2)
      Q3=Q2+Q3+0.5*(VHPLS(J+1)+VHPLS(J))*HX(1)
      Q4=GRADTI(J)*(1.0D00-(B(1)+B(2)+B(3)))

      !.. Velocity from the momentum equation.
       V(1)=Q3-D*(DLNI-GRA+Q4+GRADNE+QION)

      !.......  print routine for momtm eqn terms ..........
!jntu      IF(ID.NE.0) WRITE(ID,605) J,Z(J),DLNI,GRADTI(J),GRADNE
!     > ,GRADTE(J),GRA,QION,Q4,Q2,Q3
! 605   FORMAT(1X,'MINVEL',I4,F9.0,1P,22E11.3)

       !.. ion flux
       FLUX(1)=V(1)*PP(1)
       !... print velocities ...........
!jntu      IF(JSJ.EQ.-4) WRITE(3,606) J,Z(J),V(1),V(2)
! 606  FORMAT(1X,'J=',I4,3X,'ALT=',F9.0,2X,'V1=',1P,E13.6,2X,'V2=',E13.6)
      RETURN
      END
C::::::::::::::::::::::::::::: DCOEFF ::::::::::::::::::::::::::::::::::::
C... This routine calculates the diffusion velocities from the minor ion
C... equation 34 as given by St. Maurice and Schunk Planet and Spac. 
C... Sci. 1976.  Units are cgs
      SUBROUTINE DCOEFF(J,PP,D,B,HX,GAMMA,JSJ,ID,SUMN,XMAS)
      IMPLICIT DOUBLE PRECISION (A-H,M-Z)
      REAL*8 NU(3,3),NUPI(3,2),N(3),NUP(3),MU(3,3),KB
      INTEGER MM
      DIMENSION D1(3,3),D4(3,3),A(3),AM(3),PP(4)
      DIMENSION B(3),DELT(2),HX(2),R(2,2),Y(3,2),GAMMA(2)
      COMMON/H/HPLS(401),VHPLS(401)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      DATA A/1.0D00,16.0D00,0.0D00/,KB/1.38062D-16/
      DATA AMASS/1.67D-24/,RE/6.371D08/

      !.. set up constants: A= amu of mass A1=hydrogen,A2=oxygen,
      !.. C A3=helium. amass=1.67e-24 grams
      AM(1)=A(1)*AMASS
      AM(2)=A(2)*AMASS
      AM(3)=XMAS
      A(3)=XMAS/AMASS
      !.. load densities H+,O+,and minor ions.
      N(1)=DSQRT(HPLS(J+1)*HPLS(J))
      N(2)=OP(J)
      N(3)=PP(1)
      !..  Mass dependent constants
      DO I=1,3
        AI2=A(I)*A(I)
          DO K=1,3
            IF (K.EQ.3.OR.K.EQ.I) GO TO 11
            AK2=A(K)*A(K)
            AIK2=(A(I)+A(K))*(A(I)+A(K))
            D1(I,K)=(3.0*AI2+.1*A(I)*A(K)-.2*AK2)/AIK2
            D4(I,K)=(1.2*AK2-1.5*A(I)*A(K))/AIK2
11          MU(I,K)=A(I)*A(K)*AMASS/(A(I)+A(K))
          END DO
      END DO

      !.. Evaluate collision terms. Neutral terms from AVDEN2
      SUMN=NUX(1,J)   !.. sum of neutral collision terms

      DO I=1,3
        DO K=1,2
          AST=A(I)*A(K)/(A(I)+A(K))
          NU(I,K)=1.27D00*DSQRT(AST)*N(K)/(A(I)*TIJ(J)**1.5)
        END DO
      END DO

      NUP(1)=NU(1,1)+1.25*NU(1,2)*(D1(1,2)+1.5*MU(1,2)/AM(1))
      NUP(2)=NU(2,2)+1.25*NU(2,1)*(D1(2,1)+1.5*MU(2,1)/AM(2))
      NUP(3)=1.25*NU(3,1)*(D1(3,1)+1.5*MU(3,1)/AM(3))
      NUP(3)=NUP(3)+1.25*NU(3,2)*(D1(3,2)+1.5*MU(3,2)/AM(3))
      NUPI(1,2)=1.25*NU(1,2)*(D4(1,2)+1.5*MU(1,2)/AM(1))
      NUPI(2,1)=1.25*NU(2,1)*(D4(2,1)+1.5*MU(2,1)/AM(2))
      NUPI(3,1)=1.25*NU(3,1)*(D4(3,1)+1.5*MU(3,1)/AM(3))
      NUPI(3,2)=1.25*NU(3,2)*(D4(3,2)+1.5*MU(3,2)/AM(3))
      EPS=1.0/(1.0-(NUPI(1,2)/NUP(1))*(NUPI(2,1)/NUP(2)))

      DO I=1,2
        DO K=1,2
          IF (K.EQ.I) THEN
          MM=3-K
          Y(I,K)=1.0-NUPI(3,I)/NUP(3)-NUPI(MM,I)/NUP(MM)*
     >          NUPI(3,MM)/NUP(3)
          ELSE
          Y(I,K)=NUPI(K,I)/NUP(K)-NUPI(3,I)/NUP(3)-
     >          NUPI(K,I)/NUP(K)*NUPI(3,K)/NUP(3)
          ENDIF
        END DO
      END DO

      Y(3,1)=-1.0/EPS
      Y(3,2)=Y(3,1)
      X1=MU(3,1)/AM(3)*NU(3,1)/NUP(3)+MU(3,2)/AM(3)*NU(3,2)/NUP(3)
      DELT(1)=9.0*(MU(3,1)/AM(3))*X1/8.0
      DELT(2)=9.0*(MU(3,2)/AM(3))*X1/8.0
      DTOP=KB*TIJ(J)/AM(3)
      NUSUM=NU(3,1)*(1.0-DELT(1))+NU(3,2)*(1.0-DELT(2))+SUMN

      !.. divide diffusion and neutral collision terms by total of
      !.. of collision terms nusum. redefine neutral collision term sumn
      D=DTOP/NUSUM
      SUMN=SUMN/NUSUM
      BTOPC=15.0*AM(3)*EPS/8.0
      B(1)=BTOPC/AM(1)*(MU(3,1)/AM(1)*NU(3,1)/NUP(1)*Y(1,1)
     >       +MU(3,2)/AM(1)*NU(3,2)/NUP(1)*Y(1,2))
      B(2)=BTOPC/AM(2)*(MU(3,1)/AM(2)*NU(3,1)/NUP(2)*Y(2,1)
     >       +MU(3,2)/AM(2)*NU(3,2)/NUP(2)*Y(2,2))
      B(3)=BTOPC/AM(3)*(MU(3,1)/AM(3)*NU(3,1)/NUP(3)*Y(3,1)
     >       +MU(3,2)/AM(3)*NU(3,2)/NUP(3)*Y(3,2))

      !...  UNEUT=SUMN*VNEUT*1.0D02/NUSUM
      DO I=1,2
        DO K=1,2
          IF (K.NE.I) THEN
            R(I,K)=MU(I,K)/AM(I)*NU(I,K)/AM(I)*EPS/NUP(I)
            X1=MU(3,I)*NU(3,I)*Y(I,I)+MU(3,K)*NU(3,K)*Y(I,K)
            R(I,K)=9.0*R(I,K)*X1/8.0
          ENDIF
        ENDDO
      END DO

      !..HX=velocity coefficients (friction)
        HX(1)=(NU(3,1)*(1.0-DELT(1))-R(1,2)+R(2,1))/NUSUM
        HX(2)=(NU(3,2)*(1.0-DELT(2))-R(2,1)+R(1,2))/NUSUM
      RETURN
      END
C:::::::::::::::::::::::::::::::: CHEMO9 :::::::::::::::::::::::::::::::
C.... this program determines the interpolated production and loss
C.... processes for He+. It CALLs rates to get the rate constants and TERLIN
C.... to do the interpolation. Updated July 1998 to include ExB drift
C.... See RSDENA_ExB.F for details. Bailey et al. PSS 1983,page 389 (DIVEM)
      SUBROUTINE CHEMO9(ION,JI,SOURCE,N,NMSAVE,TI,ISW,SINK,DIVEM)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION N(4,401),TI(3,401),NMSAVE(2,401),Q(2,3),L(2,3)
     > ,SOURCE(2),SINK(2),RTS(99),DIVEM(2),DV(2,3)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/ALT/Z(401),DT,DH,FHT,EPS,TF,ITF,JMAX,JMAX1,ITER,JION
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/OHPL/OLOSS(401),HLOSS(401),HPROD(401)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      common/ExB/eq_vperp,div_vem(401)

      !-- Q and L are chemical source and sink, DV is for ExB drift
      DO 300 K=1,3
        J=K+JI-2
        CALL RATS(J,TI(3,J),TI(1,J),TN(J),RTS)
        HELOSS=(RTS(44)+RTS(45))*N2N(J)+(RTS(75)+RTS(76))*O2N(J)
        HPRODN=HPROD(J)*OPLS(J)
        Q(1,K)=HEPRD(J)*RBM(J)
        Q(2,K)=HPRODN*RBM(J)
        L(1,K)=HELOSS*N(1,J)*RBM(J)
        L(2,K)=HLOSS(J)*N(2,J)*RBM(J)
        !.. Silvy ExB drift term is added. dv(1,k) is for He+/N+ and dv(2,k) for H+
        DV(1,K)=div_vem(J)*(0.5*(N(1,J)+NMSAVE(1,J)))*RBM(J)
        DV(2,K)=div_vem(J)*(0.5*(N(2,J)+NMSAVE(2,J)))*RBM(J)
 300  CONTINUE

      !.... terd is called to interpolate
      DO 400 I=1,ION
        CALL TERLIN(JI,Q(I,1),Q(I,2),Q(I,3),DS(JI-1),DS(JI),QL,QM,QU)
        CALL TERLIN(JI,L(I,1),L(I,2),L(I,3),DS(JI-1),DS(JI),LL,LM,LU)
        CALL TERLIN(JI,DV(I,1),DV(I,2),DV(I,3),DS(JI-1),DS(JI),DL,DM,DU)
        SOURCE(I)=QM
        SINK(I)=LM
        DIVEM(I)=DM*eq_vperp
 400  CONTINUE
      RETURN
      END
C:::::::::::::::::::::::::: CHEM11 ::::::::::::::::::::::::::::::::::::::
C.... this program determines the interpolated production and loss
C.... processes for N+. It CALLs rates to get the rate constants and TERLIN
C.... to do the interpolation.Updated July 1998 to include ExB drift
C.... See RSDENA_ExB.F for details. Bailey et al. PSS 1983,page 389 (DIVEM)
      SUBROUTINE CHEM11(ION,JI,SOURCE,N,NMSAVE,TI,ISW,SINK,DIVEM)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION N(4,401),TI(3,401),NMSAVE(2,401),Q(2,3),L(2,3)
     > ,SOURCE(2),SINK(2),RTS(99),DIVEM(2),DV(2,3)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/NEED/HEPLS(401),XPRD(401)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/MIB/OP2D(401),OP2P(401),N2D(401),N4S(401),NNO(401)
      common/ExB/eq_vperp,div_vem(401)

      DO 300 K=1,3
        J=K+JI-2
        CALL RATS(J,TI(3,J),TI(1,J),TN(J),RTS)
        PNP1=RTS(45)*HEPLS(J)*N2N(J)
        PNP2=XPRD(J)
        PNP3=RTS(29)*N2D(J)*OPLS(J)
        PNP4=RTS(22)*OP2P(J)*N2N(J)
        LNP1=RTS(30)*O2N(J)
        LNP2=RTS(25)*O2N(J)
        LNP3=RTS(59)*O2N(J)
        LNP4=RTS(31)*ON(J)
        Q(1,K)=(PNP1+PNP2+PNP3+PNP4)*RBM(J)
        Q(2,K)=0.0
        L(1,K)=(LNP1+LNP2+LNP3+LNP4)*N(1,J)*RBM(J)
        L(2,K)=0.0
        !.. Silvy ExB drift term is added. dv(1,k) is for He+/N+ and dv(2,k) for H+
        DV(1,K)=div_vem(J)*N(1,J)*RBM(J)
        DV(2,K)=div_vem(J)*N(2,J)*RBM(J)
 300  CONTINUE

      !... terd is called to interpolate
      DO 400 I=1,ION
        CALL TERLIN(JI,Q(I,1),Q(I,2),Q(I,3),DS(JI-1),DS(JI),QL,QM,QU)
        CALL TERLIN(JI,L(I,1),L(I,2),L(I,3),DS(JI-1),DS(JI),LL,LM,LU)
        CALL TERLIN(JI,DV(I,1),DV(I,2),DV(I,3),DS(JI-1),DS(JI),DL,DM,DU)
        SOURCE(I)=QM
        SINK(I)=LM
        DIVEM(I)=DM*eq_vperp
 400  CONTINUE
      RETURN
      END
C::::::::::::::::::::::::::::: AVDEN2 ::::::::::::::::::::::::::::::::::::
C.....................................................................
C   this program evaluates the interpolated densities at the midpoints
C   it also evaluates the ion-neutral collision frequencies nuX(i,j)
C   and o+ and h+ production and loss rates
C........................................................................
      SUBROUTINE AVDEN2(JMAX1,TI,JWR,ZLO,ZHI,IVPLS)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL OA,HA,N2A,O2A,TNJ,TR,HEA
      DIMENSION TI(3,401)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/GRAD/GRADTE(401),GRADTI(401)
      COMMON/OHPL/OLOSS(401),HLOSS(401),HPROD(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX2,ITER,ION

      !.. ion-neutral coll freqs taken from schunk and nagy rev. geophys. v18
      !.. p813, 1980. first,  resonant charge eXchange from table 5 p823
      DO 10 J=1,JMAX1
        OP(J)=DSQRT(OPLS(J+1)*OPLS(J))
        OA=SQRT(ON(J)*ON(J+1))
        HA=SQRT(HN(J)*HN(J+1))
        N2A=SQRT(N2N(J)*N2N(J+1))
        O2A=SQRT(O2N(J)*O2N(J+1))
        HEA=SQRT(HE(J)*HE(J+1))
        TNJ=0.5*(TN(J)+TN(J+1))
        TR=(TIJ(J)+TNJ)*0.5
        IF(IABS(IVPLS).EQ.9) CALL ADEN9(J,OA,HA,N2A,O2A,HEA,TIJJ
     >  ,TR,TNJ,NUX)
        IF(IABS(IVPLS).EQ.11) CALL ADEN11(J,OA,HA,N2A,O2A,HEA
     >  ,TIJJ,TR,TNJ,NUX)
10    CONTINUE
      RETURN
      END
C:::::::::::::::::: ADEN9::::::::::::::::::::::::::::::
C.........For HE+
      SUBROUTINE ADEN9(J,OA,HA,N2A,O2A,HEA,TIJJ,TR,TNJ,NUX)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL OA,HA,N2A,O2A,TNJ,TR,SQT,HEA
      DIMENSION NUX(2,401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX2,ITER,ION
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      SQT=SQRT(TR)
      RHEPHE=8.73E-11*HEA*SQT*(1-0.093*ALOG10(TR))**2

      !.. non-resonant ion neutral interactions table 6
      CHEPN=(4.71*HA+10.1*OA+16*N2A+15.3*O2A)*1.0E-10
      NUX(1,J)=RHEPHE+CHEPN
      NUX(2,J)=0.0

      !... print diagnostics
      IF(JWR.NE.2.OR.Z(J).LT.ZLO.OR.Z(J).GT.ZHI) GO TO 10
        ID=3
        IF(J.GT.JMAX/2) ID=9
        WRITE(ID,99) J,Z(J),OA,HA,N2A,O2A,HEA,TIJJ,TNJ,TR,RHEPHE
        WRITE(ID,99) J,Z(J),CHEPN,NUX(1,J),NUX(2,J)
 10   CONTINUE
 99   FORMAT(1X,'AVDEN9',I4,F7.0,1P,22E10.3)
      RETURN
      END
C:::::::::::::::::: ADEN11::::::::::::::::::::::::::::::
C........For N+
      SUBROUTINE ADEN11(J,OA,HA,N2A,O2A,HEA,TIJJ,TR,TNJ,NUX)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL OA,HA,N2A,O2A,TNJ,TR,SQT,HEA
      DIMENSION NUX(2,401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX2,ITER,ION
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      SQT=SQRT(TR)

      !..  resonant ion neutral collision. No neutral N at present(8/17/89)
      NNA=0.0
      CRIN=3.83D-11*NNA*SQT*(1.0-0.063*ALOG10(TR))**2
      CNRIN=(1.45*HA+1.49*HEA+4.42*OA+7.47*N2A+7.25*O2A)
      CNRIN=CNRIN*1.0D-10
      NUX(1,J)=CRIN+CNRIN
      NUX(2,J)=0.0

      !... print diagnostics
      IF(JWR.NE.2.OR.Z(J).LT.ZLO.OR.Z(J).GT.ZHI) GO TO 10
        ID=3
        IF(J.GT.JMAX/2) ID=9
        WRITE(ID,99) J,Z(J),OA,HA,N2A,O2A,HEA,TIJJ,TNJ,TR,CRIN
        WRITE(ID,99) J,Z(J),CNRIN,NUX(1,J),NUX(2,J)
 10   CONTINUE
 99   FORMAT(1X,'AVDEN11',I4,F7.0,1P,22E10.3)
      RETURN
      END
C::::::::::::::::::::::::::::: HMATRX ::::::::::::::::::::::::::::::
C......  HMATRX EVALUATES DELF/DELT USING STEPHANSONS METHOD.
C......  S(L,M) = DEL(FIJ) / DEL(N)
C......  WHERE N IS THE DENSITY OF ION IV AT ALTITUDE JV. L AND M
C......  ARE COMPUTED FROM JF...IV. THE ARRAY RHS CONTAINS VALUES OF
C...... FIJ SAVED FROM PREVIOUS COMPUTATION
      SUBROUTINE HMATRX(S,RHS,INEQ,IPR,N,F,JB,JBS,JMAX,MIT,TI,IFLAG,XMA)
      USE INPARM
      IMPLICIT DOUBLE PRECISION(A-H,N-Z)
      DIMENSION RHS(1806),S(INEQ,8),N(4,401),TI(3,401),F(20),V(2)
      IBW=4*IPR-1    !.... band width

      DO 190 JZS=1,INEQ
      DO 180 KZS=1,IBW
 180  S(JZS,KZS)=0.0
 190  CONTINUE

      DO 80 JF=2,MIT-1
        J1=MAX0(2,JF-1)
        J2=MIN0(JF+1,MIT-1)
        DO 90 JV=J1,J2
          DO 130 IV=1,IPR
            L=IPR*(JF-2)
            IF(JF.LE.3)M=IPR*(JV-2)+IV
            IF(JF.GT.3)M=IPR*(JV-JF)+IV+2*IPR
            JVC=JB+JV-1
            JFC=JB+JF-1
            IF(GSK2FLIP=='Yes'.and.JBS.gt.JMAX/2) THEN
             JVC=JBS+JV-1
             JFC=JBS+JF-1
            ENDIF
            H=1.E-4*N(IV,JVC)
            N(IV,JVC)=N(IV,JVC)+H
            CALL MDFIJ(JFC,1,IPR,N,TI,F,JB,JBS,V,IFLAG,XMA)
            N(IV,JVC)=N(IV,JVC)-H
            RH=1/H
            DO 75 IS=1,IPR
              IF(JF.LE.3) S(L+IS,M)=(F(IS)-RHS(L+IS))*RH
              IF(JF.GT.3) S(L+IS,M-IS)=(F(IS)-RHS(L+IS))*RH
 75         CONTINUE
 130      CONTINUE
  90    CONTINUE
  80  CONTINUE
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE DENAVE(JMAX1,TI,JSJ,ZLO,ZHI)
C.....................................................................
C   this program evaluates the interpolated densities at the midpoints
C   it also evaluates the ion-neutral collision frequencies nux(i,j)
C   and o+ and h+ production and loss rates
C........................................................................
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION TI(3,401),RTS(99)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/GRAD/GRADTE(401),GRADTI(401)
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/SAV2/NMSAVE(2,401)
      COMMON/OHPL/OLOSS(401),HLOSS(401),HPROD(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX2,ITER,ION
      COMMON/CFACT/COLFAC,CFAC(9),ISCH(9)
      COMMON/RK/VC(401)
      DATA BK/1.3807E-16/
      DO 10 J=1,JMAX1
      RBM(J)=1.0/BM(J)
      DS(J)=SL(J+1)-SL(J)
      TIJ(J)=0.5*(TI(1,J)+TI(1,J+1))
      TEJ(J)=0.5*(TI(3,J)+TI(3,J+1))/DS(J)/TIJ(J)
      GR(1,J)=0.5*(GR(2,J)+GR(2,J+1))/BK/TIJ(J)
      GRADTI(J)=(TI(1,J+1)-TI(1,J))/DS(J)/TIJ(J)
      GRADTE(J)=(TI(3,J+1)-TI(3,J))/DS(J)/TIJ(J)
      UNJ(J)=0.5*(UN(J+1)+UN(J))

      !... ion-neutral coll freqs taken from schunk and nagy rev. geophys. v18
      !... p813, 1980. first,  resonant charge exchange from table 5 p823
      OA=SQRT(ON(J)*ON(J+1))
      HA=SQRT(HN(J)*HN(J+1))
      N2A=SQRT(N2N(J)*N2N(J+1))
      O2A=SQRT(O2N(J)*O2N(J+1))
      TNJ=0.5*(TN(J)+TN(J+1))
      TR=(TIJ(J)+TNJ)*0.5
      SQT=SQRT(TR)
      RHPH=2.65E-10*HA*SQT*(1-0.083*DLOG10(TR))**2

      !.. COLFAC is the scaling factor for O+ - O collision frequency  
      !.. should be 1.7 according to Burnside 1987 (in press)
      ROPO= COLFAC * 3.67E-11*OA*SQT*(1-0.064*DLOG10(TR))**2 
      RHPO=6.61E-11*OA*SQRT(TIJ(J))*(1-0.047*DLOG10(TIJ(J)))**2
      ROPH=4.63E-12*HA*SQRT(TNJ+TIJ(J)/16.0)

      !.. non-resonant ion neutral interactions table 6
      CHPN=(33.6*N2A+32*O2A)*1.0E-10
      COPN=(6.28*N2A+6.64*O2A)*1.0E-10
      NUX(1,J)=ROPO+ROPH+COPN
      NUX(2,J)=RHPH+RHPO+CHPN

      !..... O+ and H+ production and loss rates
      CALL RATS(J,TI(3,J),TI(1,J),TN(J),RTS)
      !... multiply O+ + N2 reaction rate by N2* factor
      RTS(3)=RTS(3)*VC(J)
      OLOSS(J)=RTS(2)*HN(J)+RTS(3)*N2N(J)+RTS(4)*O2N(J)
      HLOSS(J)=RTS(1)*ON(J)
      HPROD(J)=RTS(2)*HN(J)

      !... printing results
!jntu      IF(JSJ.NE.4.OR.Z(J).LT.ZLO.OR.Z(J).GT.ZHI) GO TO 10
!        IUN=34
        !... IF(J.GT.JMAX/2) IUN=9
!        WRITE(IUN,99) J,Z(J),OA,HA,N2A,O2A,TIJ(J),TNJ,TR,RHPH,ROPO,RHPO
!        WRITE(IUN,99) J,Z(J),ROPH,CHPN,COPN,NUX(1,J),NUX(2,J),OLOSS(J)
!jntu     >   ,HLOSS(J),HPROD(J)
 10   CONTINUE
! 99   FORMAT(1X,'AVDEN',I4,F7.0,1P,22E10.3)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
C.... calculates ante and post values of half interval, and average
C.... of (ion density)/(magnetic field)
      SUBROUTINE DAVEM(ITER,ION,J,ANM,PM,N,NMSAVE,BM)
      IMPLICIT DOUBLE PRECISION(A-H,N-Z)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,JITER,JION
      DIMENSION ANM(2),PM(2),N(4,401),NMSAVE(2,401),BM(401)

      DO 100 I=1,ION
        !...     ante values
        BB=NMSAVE(I,J-1)*RBM(J-1)
        C=NMSAVE(I,J)*RBM(J)
        A=NMSAVE(I,J+1)*RBM(J+1)
        IF(A*BB*C.LT.0) WRITE(6,115) I,J,ITER,A,BB,C
 115    FORMAT('-VE ANTE-> I,J,ITER,A,B,C',3I6,1P,9E11.2)
        JEQ = JMAX/2+1
        IF(J.LT.JEQ) CALL TERMID(J,BB,C,A,DS(J-1),DS(J),QL,QM,QU)
        IF(J.GE.JEQ) CALL TERMID(J,A,C,BB,DS(J),DS(J-1),QL,QM,QU)
        ANM(I)=QM
        !... post values
        BB=N(I,J-1)*RBM(J-1)
        C=N(I,J)*RBM(J)
        A=N(I,J+1)*RBM(J+1) 
        IF(A*BB*C.LT.0) WRITE(6,116) I,J,ITER,A,BB,C
 116    FORMAT('-VE POST-> I,J,ITER,A,B,C',3I6,1P,9E11.2)
        IF(J.LT.JEQ) CALL TERMID(J,BB,C,A,DS(J-1),DS(J),QL,QM,QU)
        IF(J.GE.JEQ) CALL TERMID(J,A,C,BB,DS(J),DS(J-1),QL,QM,QU)
        PM(I)=QM
 100  CONTINUE
      RETURN
      END
C::::::::::::::::::::::::::: MINBLK :::::::::::::::::::
      BLOCK DATA MINBLK
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL MASS
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
      COMMON/MSS2/MASS(4),A(4)
      DATA XMASS/23.4164D-24,26.7616D-24,6.6904D-24,6*0.0/
      !... atomic masses and numbers for He+ and H+
      DATA MASS/6.6904E-24,1.6726E-24,26.7616E-24,0.0/,A/4,1,16,0/
      END
C.................... RSJACA.FOR;3 ..........12-MAR-1993 09:02:35.48 
      SUBROUTINE BDSLV(N,M,S,KS,B,X,WORK,NFLAG)
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
      DOUBLE PRECISION MUL(50000)
      DIMENSION S(N,1),WORK(N,1),SCALE(1806),INDEX(1806),B(N),
     >  X(N)
      NFLAG=0
      IW=2*M+1
      M1=M+1
C
      CALL BNDX(N,M,S,KS,B,X,WORK,SCALE,INDEX,MUL,NFLAG,IW,M1)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE BNDX(N,M,A,KS,B,X,S,SCALE,INDEX,MUL,NFLAG,IW,M1)
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
      DOUBLE PRECISION MUL(M1,N)
      DIMENSION A(N,IW),B(N),X(N),SCALE(N),INDEX(N),S(N,IW)
      KDIM=0
103   IF(KS.NE.0) GO TO 126
      IBW=2*M+1
C ...... modification here by PR Aug 91
      IF(M.GT.N-1) THEN
         WRITE(6,918)
918      FORMAT('    IN BDSLV &&&&&&& BANDWIDTH IS TOO LARGE')
         NFLAG=3
         RETURN
      ENDIF
C
      DO 105 J=1,IBW
      DO 104 I=1,N
      S(I,J)=A(I,J)
104   CONTINUE
105   CONTINUE
C
C
      NP1=N+1
      MP1=M+1
C
      DO 108 I=1,M
      MP1PI=MP1+I
      IF(MP1PI-IBW) 106,106,109
106   NP1MI=NP1-I
      DO 107 J=MP1PI,IBW
      S(I,J)=0.
      S(NP1MI,J)=0.
107   CONTINUE
108   CONTINUE
C
109   DO 115 I=1,N
      BIG=0.
      DO 111 J=1,IBW
      IF(BIG-ABS(S(I,J))) 110,111,111
110   BIG=ABS(S(I,J))
111   CONTINUE
      IF(BIG) 114,112,114
  112 WRITE(6,919)I
919   FORMAT('    IN BDSLV, ROW',I3,' IS ZERO IN INPUT MATRIX')
      NFLAG=2
      RETURN
114   SCALE(I)=1./BIG
115   CONTINUE
C
      LOW=M
      NM1=N-1
      DO 125 K=1,NM1
      LOW=MIN0(LOW+1,N)
      BIG=0.
      DO 117 I=K,LOW
      SIZE=ABS(S(I,1))*SCALE(I)
      IF(SIZE-BIG) 117,117,116
116   BIG=SIZE
      IPIV=I
117   CONTINUE
      IF(BIG) 119,118,119
119   INDEX(K)=IPIV
      IF(IPIV-K) 120,122,120
120   SCALE(IPIV)=SCALE(K)
      DO 121 J=1,IBW
      TEMP=S(K,J)
      S(K,J)=S(IPIV,J)
      S(IPIV,J)=TEMP
121   CONTINUE
122   PIVOT=S(K,1)
      KOUNT=0
      KP1=K+1
      DO 124 I=KP1,LOW
      KOUNT=KOUNT+1
      FACT=-S(I,1)/PIVOT
      MUL(KOUNT,K)=FACT
      IDIM=KOUNT*K
      IF(KDIM.LT.IDIM) KDIM=IDIM
      DO 123 J=2,IBW
      S(I,J-1)=S(I,J)+FACT*S(K,J)
123   CONTINUE
      S(I,IBW)=0.
124   CONTINUE
125   CONTINUE
C
      IF(S(N,1)) 126,118,126
C  ..... PR mod in Aug 91
118   WRITE(6,917)
917   FORMAT('  IN BDSLV &&&&&&&&   ZERO PIVOT ELEMENT')
      NFLAG=1
      RETURN
C
126   DO 127 I=1,N
      X(I)=B(I)
127   CONTINUE
      LOW=M
      DO 130 K=1,NM1
      IPIV=INDEX(K)
      IF(IPIV.EQ.K) GO TO 128
      TEMP=X(K)
      X(K)=X(IPIV)
      X(IPIV)=TEMP
128   KOUNT=0
      KP1=K+1
      LOW=MIN0(LOW+1,N)
      DO 129 I=KP1,LOW
      KOUNT=KOUNT+1
      X(I)=X(I)+MUL(KOUNT,K)*X(K)
129   CONTINUE
130   CONTINUE
      X(N)=X(N)/S(N,1)
      LOW=1
      DO 132 IBACK=1,NM1
      I=N-IBACK
      SUM=0.
      LOW=MIN0(LOW+1,IBW)
      DO 131 JBACK=2,LOW
      J=I+JBACK-1
      SUM=SUM+S(I,JBACK)*X(J)
131   CONTINUE
      X(I)=(X(I)-SUM)/S(I,1)
132   CONTINUE
      IF(KDIM.GT.50000) WRITE(6,90) KDIM
 90   FORMAT(' WARNING!! DIMENSION OF MUL IN BDSLV TOO SMALL. KDIM=',I9)
      RETURN
      END
C.................... RATES.FOR;3 .......... 20-APR-1994 14:44:56.75 
      SUBROUTINE RATS(J,TE,TI,TN,RTS)
C.... This is the reaction rate subroutine for the FLIP model. It takes
C.... temperatures as input and puts the rates in array RTS. It includes
C.... reaction rates, efficiencies for various products, and Einstein
C.... coefficients. For a complete set of references for the FLIP model
C.... reaction rates, see  Torr et al. JGR 1990, page 21147
C---- If you would prefer different reaction rates for one or two species,
C---- you could use the FLIP output densities from FLIPRINT and recalculate
C---- the particular species with your own rates.
      IMPLICIT REAL(A-H,L,N-Z)
      DOUBLE PRECISION TE,TI,TN,RTS,TE300,SQTE,T13,TEFF,TEFF3,
     >  T3001,T3002,T3003
      DIMENSION RTS(99)
C--- these values are used in a number of reaction rates
      TE300=300./TE
      SQTE=SQRT(TE300)
C
C..... zero out of array
      DO 898 ITJS=1,99
 898  RTS(ITJS)=0.0
C
C....... O + H+ --> O+ + H   , Park and Banks, JGR, 1974
      RTS(1)=2.2E-11*SQRT(TI) 
C
C....... O+ + H --> O + H+   , Park and Banks, JGR, 1974
      RTS(2)=2.5E-11*SQRT(TN) 
C
C......... O+ + N2 --> NO+ + N St. Maurice and Torr JGR ,1978, p969
      T13=(4.*TN+7.*TI)/11.0/300.0
      T13SQ=T13*T13
      IF(T13.LE.5.67) RTS(3)=1.533E-12-5.92E-13*T13+8.60E-14*T13SQ
      IF(T13.GT.5.67) RTS(3)=2.73E-12-1.15E-12*T13+1.483E-13*T13SQ

      !.. Initial decaying part of the O+ + N2 rate from Hierl et 
      !.. al., J. Chem Phys. page 3540, 1997
      !..RTS(3)=1.489E-12*EXP(-1.0E-3*TN)
C
C......... O+ + O2 --> O2+ + O St. Maurice and Torr JGR ,1978, p969
      T13=(TN+2.0*TI)/3.0/300.0
      T13SQ=T13*T13
      T13CU=T13SQ*T13
       R4=2.82E-11-7.74E-12*T13+1.073E-12*T13SQ
     > -5.17E-14*T13CU+9.65E-16*T13SQ*T13SQ
C
C........ O+ + O2 --> O2+ + 0 .  from Chen et al j.chem.phys. 1979
      RTS(4)=2.1E-11*((TN+2.0*TI)/3.0/300.0)**(-0.763)
C........ O+ + O2 rate from Hierl et al., J. Chem Phys. page 3540, 1997
      RTS(4)=1.7E-11*((TN+2.0*TI)/3.0/300.0)**(-0.52)
     >   +8.54E-11*EXP(-3475.*3.0/(TN+2.0*TI))
      RTS(4)=RTS(4)/1.25             !.. scale to actual data
C....      WRITE(6,97) TI,RTS(3),RTS(4),R4,R5
 97   FORMAT(F6.0,1P,9E10.2)
C    
C........ NO+ + e --> N + O
       RTS(5)=4.2E-7*TE300**.85
C
C......... O2+ + e --> O + O
       RTS(6)=1.6E-7*TE300**.55
C
C.......  O2 + N(4S)=NO + O
C....... Becker et al. 1969, see Fesen et al. JGR, 94, p5419, 1989
       RTS(7)=4.4E-12*EXP(-3220.0/TN)
C
C.......   N(2D) + e =N(4S) + e
       RTS(8)=6.0E-10* SQRT(TE/300.)
C
C.......   NO + N(4S) =N2 + O -- 
       RTS(9)=4.0E-11                !..lee et al. j chem phys
       RTS(9)=1.6E-10*EXP(-460/TN)   !.. Siskind & Rusch JGR 1992, p3209
C
C.......... N2+ + O --> NO+ + N
       RTS(10)= 1.4E-10*(300/TI)**0.44
C
C...... N2+ + e --> N + N  Abdou et al. JGR p9069, 1984.Canosa et al. J. 
C...... Chem Phys. 1991, page 7159. Also Bates, PSS 1991, page 1297
       RTS(11)= 2.7E-7
       !.. RTS(11)= 2.2E-7*(300/TE)**0.39  !.. Zipf rate (Richards, 1986)
C
C.......... O+(2D) + e --> O+(4S) + e 
C..........  Henry et al., Phys Rev, 178,218, 1969
      RTS(12)=6.6E-8*SQTE
C
C......... O+(2P) + e --> O+(2D) + e
      RTS(13)=1.5E-7*SQTE
C
C......... O+(2P) + e ---> O+(4S) + e
      RTS(14)=4.0E-8*SQTE
C
C..... N(2D) + O --  N(4S) + O  our new rate
      RTS(15)=6.0E-13
C
C...... N(2D) + O2 --> NO + O 
      RTS(16)=6.0E-12
C
C..... N2+ + O2 --> O2+ + N2, lindinger et al jgr 1974, page 4753
      TEFF=(28.0*TN+32.0*TI)/(28.0+32.0)
      RTS(17)=9.1287E-11*EXP(-2.0E-3*TEFF)
C
C...... thermal electron excitation of O(1D); rees et al 1967 pss, p1097 .....
      RTS(18)=1.1E-10*SQRT(TE)*EXP(-2.27E+4/TE)*(0.406
     >  +0.357E-4*TE-(0.333+0.183E-4*TE)*EXP(-1.37E4/TE)
     >  -(0.456+0.174E-4*TE)*EXP(-2.97E4/TE))
C
C........ N2 + O+(2D) --> N2+ + O     johnsen and biondi grl may 1980
      RTS(19)=8.0E-10
C
C........ N2 + O+(2P) --> N2+ + 0     Chang et al. rate, 18 AUG 92
      RTS(20)=2.4E-10
C
C........ O2+ + N(4S) --> NO+ + 0
      RTS(21)=1.0E-10
C
C........ N2 + O+(2P) --> N+ + NO    See Flesch and Ng JGR, p21407, 1991
      RTS(22)=1.0E-10
C
C........ O2+ + NO --> NO+ + O2
      RTS(23)=4.4E-10
C
C... O+ + NO --> O + NO+ Schunk and Raitt jgr 1980 p1255
      TEFF3=0.02174*(16.0*TN+30.0*TI)
      T3001=3.3333E-3*TEFF3
      T3002=T3001*T3001
      T3003=T3002*T3001
      IF(TEFF3.LT.1500)
     > RTS(24)=8.36E-13-2.02E-13*T3001+6.95E-14*T3002
      IF(TEFF3.GE.1500) RTS(24)=5.33E-13-1.64E-14*T3001
     > +4.72E-14*T3002-7.05E-16*T3003
C
C........ O2 + N+ --> O2+ + N
      RTS(25)=4.0E-10
C
C........ O+(2P) + O --> O+(4S) + O    Chang et al. rate 18, AUG 92
      RTS(26)=4.0E-10    
C
C........ O+(2D) + N2 --> O+(4S) + N
      RTS(27)=0.0E-11
C
C........ O+(2D) + O -->  O+(4S) + O
C...      RTS(28)=1.0E-10   ! Pavlov's value
      RTS(28)=1.0E-11
C
C........ O+ + N(2D) --> O + N+
      RTS(29)=5.0E-11
C
C........ O2 + N+ --> O + NO+
      RTS(30)=2.0E-10
C
C........ O + N+ --> O+ + N
      RTS(31)=5.0E-13
C
C...... Efficiency for   N2+ + e --> N(2D) + N(2D)
      RTS(32)=1.9
C
C........ N2 + O(1D) --> O + NO
      RTS(33)=2.0E-11*EXP(107.8/TN)
C
C........ O2 + O(1D) --> O + O2
C........ Streit et al., J. Chem. Phys. 65, p4761, 1976
      RTS(34)=2.9E-11 * EXP(67.5/TN)
C
C........ O2 + N(4S) --> O(1S) + NO. Kopp et al. 1977, JGR, p4715
      RTS(35)=2.5E-11
C
C........ N2(A3sig) + O -->
      RTS(36)=2.0E-11
C
C......... N(2P) + O -> products (N(2D,4S) and NO+) and O(3P,1D) 
C......... from Piper et al 1993, J. Chem. Phys. vol 98 page 8560.
      RTS(37)=1.7E-11
C
C......... N(2P) + O2 -> NO + O 
C......... from Piper 1993, J. Chem. Phys. vol 98 page 8560.
      RTS(38)=2.2E-12
C........ the N(2P) quenching rates(by O2+,NO) from zipf et al
C........ jgr 1980 p687
      RTS(39)=2.2E-11
      RTS(40)=1.8E-10
C......... N(2D) + NO --> N2 + O     Lin and Kaufman  j chem phys 1973
      RTS(41)=7.0E-11
C.......... efficiency N2+ + O --> N2 + O+(4S)   mcfarland et al (1974)
      RTS(42)=0.07*(TN/300.0)**0.21
C.......... O+(2D) + O2 --> O2+ + O   johnsen and biondi grl may 1980
      RTS(43)=7.0E-10
C........ He+ + N2 --> He + (N2+, N+)  RTS(44) = N2+ product
C........ Adams and Smith J. Chem. Phys. B, 1439
      RTS(44)=4.8E-10
      RTS(45)=7.2E-10
C
C.......... Factor for multiplying N2+ density ......
      RTS(46)=1.0
C....... O(1S)+ O --> O + O  (slanger and black, 1976)
C...      rts(47)=5.0e-11*exp(-305/tn)
      RTS(47)=0.0
C....... O(1S) + O2 --> O2 + O   (Zipf, 1979)
      RTS(48)=4.9E-12*EXP(-885.0/TN)
C
C.... NO+ + e --> N(4S) + O
      RTS(49)=0.22 * RTS(5)
C
C.... NO+ + e --> N(2D) + O
      RTS(50)=0.78 * RTS(5)
C
C.... O2+ + e --> O(1D) + O
      RTS(51)=1.3 * RTS(6)
C
C.... O2+ + e --> O(1S) + O
      RTS(52)=0.08 * RTS(6)
C
C...... Efficiency for   N2+ + e --> N(4S) + N(2D)
      RTS(53)=0.1
C
C......... O(1D) --> O + 6300 + 6364  Fesen and Abreu JGR p1231, 1987
      RTS(54)=0.00934
C
C......... O(1S) --> O(1D) + 5577
      RTS(55)= 1.07
C
C......... O(1S) --> O(3P) + hv (2972)
      RTS(56)= 0.0444
C
C......... N(2P) --> N(2D) + hv
      RTS(57)=7.9E-2
C
C......... N(2P) --> N(4S) + hv
      RTS(58)=5.4E-3
C
C.......... N+ + O2 -> NO+ + O(1S) 
C.......... Langford et al., PSS, 33, 1225, 1985
      RTS(59)=1.0E-3 * 6.0E-10
C
C........ Efficiency for   N2(A3sig) + O --> O(1S) + N2
      RTS(60)=0.37
C
C......... N(2D) --> N(4S) + hv
      RTS(61)=1.06E-5
C
C.......... hv(>600A) + N2 --> N(4S) + N   branching ratio
      RTS(62)=0.5
C
C.......... hv(>600A) + N2 --> N(2D) + N   branching ratio
      RTS(63)=0.4
C
C.......... hv(>600A) + N2 --> N(2P) + N   branching ratio
      RTS(64)=0.1
C
C..........  Efficiency for  N+ + O2 --> N(2D) + O2+
      RTS(65)=1.0
C
C..........  Efficiency for  N+ + O2 --> N(4S) + O2+     (small)
      RTS(66)=0.001
C
C.......... hv(Scum-Runge) + O2 --> O(1S) + O   branching ratio
      RTS(67)=0.001
C......... Effic of O2(A3,DEL) + O -> O(1S)
      RTS(68)=0.1
C
C........... O(1D) + O -> O + O   Abreu et al. PSS, p1143, 1986
      RTS(69)=8.0E-12
C
C..... hv + N2 -> N+(5S) -> 2143 A emission yield from the 2s sigma g state  
C..... of N2. This was taken as 0.6 the value of Cleary and Barth JGR 1987, 
C..... p13,635 because they did not double EUV below 250 A.
      RTS(70)=0.06
C
C............ hv + N2 -> N+(1D) -> 6584 A emission (guess)
      RTS(71)=0.3
C
C............ hv + N2 -> N+(1S) -> 5755 A emission (guess)
      RTS(72)=0.03
C
C........... efficiency of production of N(2P) from e + N2+ reaction
      RTS(73)=0.05
C
C..... Efficiency for production of O(1D) from N(2D) + O2 reaction
C..... See Link and Swaminathan, PSS, 1992, page 699
      RTS(74)=0.1
C...... He+ + O2 -> He + (O2+, O+ + O)
C...... Ferguson (1973), Atomic Data and Nuclear Data Tables 12, 159
      RTS(75) = 3.85E-10
      RTS(76) = 6.15E-10
        RETURN
        END
C:::::::::::::::::::::::::::::::::::: RATCHK :::::::::::::::::::::::::::::
      SUBROUTINE RATCHK(ISW)
C...... this subroutine checks the reaction rates from subroutine rats
C...... against a standard set and prints a warning if any are different
      DOUBLE PRECISION RTS(99),RATIO,TSTAND
      DIMENSION IRTS(98),R(98)
      DATA RTS/99*0.0/
      DATA R/6.95E-10,7.90E-10,5.15E-13,9.38E-12,1.51E-07,8.26E-08
     > ,1.75E-13,1.09E-9,1.01E-10,8.25E-11,2.7E-07,3.62E-08,8.22E-08
     > ,2.19E-08,6.00E-13,6.00E-12,1.24E-11,2.08E-19,8.00E-10,2.40E-10
     > ,1.00E-10,1.00E-10,4.40E-10,9.34E-13,4.00E-10,4.00E-10,0.00E+00
     > ,1.00E-11,5.00E-11,2.00E-10,5.00E-13,1.9,2.23E-11,3.10E-11
     > ,2.50E-11,2.00E-11,1.70E-11,2.20E-12,2.20E-11,1.80E-10,7.00E-11
     > ,0.09,7.00E-10,4.80E-10,7.20E-10,1.0,0.00,2.02E-12
     > ,3.32E-8,1.18E-7,1.07E-7,6.61E-9,0.1,0.00934,1.07,0.0444
     > ,7.9E-2,5.4E-3,6.0E-13,0.37,1.06E-5,0.5,0.4,0.1,1.0
     > ,0.001,0.001,0.1,8.0E-12,0.06,0.3,0.03,0.05,0.1,3.85E-10,6.15E-10
     > ,22*0.0/
C
      JRTS=0
C....... call RATS with standard temperature TSTAND = 999
      TSTAND = 999.0
      CALL RATS(-1,TSTAND,TSTAND,TSTAND,RTS)
      DO 20 I=1,98
      IF(R(I).GT.0) RATIO=RTS(I)/R(I)
      IF(R(I).LE.0.AND.RTS(I).EQ.0) RATIO=1.0
      IF(R(I).LE.0.AND.RTS(I).NE.0) RATIO=2.0
      IF(RATIO.GT.1.01.OR.RATIO.LT.0.99) JRTS=JRTS+1
      IF(RATIO.GT.1.01.OR.RATIO.LT.0.99) IRTS(JRTS)=I
 20   CONTINUE
      IF(JRTS.GT.0) WRITE(6,88) 7,(IRTS(I),I=1,JRTS)
!jntu      IF(JRTS.GT.0) WRITE(3,88) 7,(IRTS(I),I=1,JRTS)
 88   FORMAT(/' ',A1,' ** reaction rates not standard. Check rates'
     > ,9I3/)
      END
C.................... ELECXS.FOR;2 ..........30-JUL-1993 15:41:37.35 
C
C***** Glynn, common EUVPRD has replaced DPROD. Modify auroral program
C    +++++ 18 DEC 94 :- When linked with AURORA programs, all 201 
C          dimensions must go to 401
C----- This file contains the electron impact cross sections and related
C----- subroutines for both the auroral model and the FLIP model. It 
C----- replaces AURXS.FOR for the auroral model and R2SSUB.FOR for the FLIP
C----- model. Some of the routines not connected with cross sections on 
C----- R2SSUB.FOR were appended to RSPE2B.FOR. These changes were made
C----- by Phil Richards on 23 FEB 1993.
C
C----- Glynn, 
C----- the most significant change in this program is the change of
C----- the name of PRN2XS to EPN2XS. You will need to change the CALL
C----- statement. I noticed that there is a variable by that name and did 
C----- not want the confusion. 
C----- I also updated the O(1D) and the 1356 cross sections.
C----- In EPRNXS, SIG(1,12) was erroneously going to PEXCIT(3,3,J) instead of
C----- PEXCIT(3,2,J).
C----- I'm not sure what you are doing with the two NI subroutines at the
C----- bottom of this file. They are not being called at present. Mt NI
C----- routines have recently been updated.
C
C:::::::::::::::::::::::::: ELASTC ::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE ELASTC(ELECEN,PEBSC,SIGEL)
C........ This subroutine returns the elastic electron impact cross sections
C........ (SIGEL) and backscatter ratios (PEBSC) for electron impact on O,
C........ O2, and N2 from SOLOMON ET AL JGR p9867, 1988
      DIMENSION PEBSC(3),SIGEL(3),SGELN2(10)
C
C....... Elastic cross sections from Solomon et al. JGR, 9867, 1988
      IF(ELECEN.LT.10.) THEN
         SIGEL(1)=5.7E-16*ELECEN**(0.146)
         SIGEL(2)=5.0E-16*ELECEN**(0.301)
         DATA SGELN2/1.0,2.1,1.9,1.3,1.2,5*1.1/
         SIGEL(3)=1.0E-15*SGELN2(NINT(ELECEN))
      ELSE
         SIGEL(1)=1.12E-14*(1-0.1/ELECEN)**79.2*ELECEN**(-0.8)
         SIGEL(2)=8.53E-15*(1-0.1/ELECEN)**64.3*ELECEN**(-0.65)
         SIGEL(3)=SIGEL(2)
      ENDIF
C........ backscatter assumed proportional to O elastic cross section
      PEBSC(1)=7E+14*SIGEL(1)
      IF(PEBSC(1).GT.0.5.OR.ELECEN.LT.10) PEBSC(1)=0.5
      PEBSC(2)=PEBSC(1)
      PEBSC(3)=PEBSC(1)
C....      WRITE(6,291) ELECEN,SIGEL(1),SIGEL(3)
 291  FORMAT(2X,' Elastic XS ',1P,9E10.2)
C......... To avoid dividing by zero  in 2-stream program
      DO 55 IS=1,3
 55   IF(SIGEL(IS).LT.1.0E-25) SIGEL(IS)=1.0E-25
      RETURN
      END
C:::::::::::::::::::::::::SIGEXS ::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE SIGEXS(E,SIGEX,SIGION,SIGO1D)
C..... program for evaluating the total inelastic cross sections
      DIMENSION SIGEX(3),SIGION(3),PARSIG(22)
C......... factors for adjusting O, N2 excitation cross sections
      DATA XSFACO,XSFACN,XSFO2/1.0,1.0,1.0/
C
C.......... O cross sections
      CALL OXSIGS(E,PARSIG,TSIG)
      SIGO1D=PARSIG(1)
C.......... total cross section for O
      SIGEX(1)=PARSIG(1)+
     > (PARSIG(2)+PARSIG(3)+PARSIG(4)+PARSIG(5)+PARSIG(6))
     > * XSFACO
C
C...... total excitation cross section for o2:
C...... Pitchford and Phelps (Stamnes and Rees, JGR p6301, 1983)
C...      IF(E.LE.10.0) SIGEX(2)=2.2E-20*E**3.74
C...      IF(E.GT.10.0) SIGEX(2)=3.79E-16/SQRT(E)
C....... Solomon et al. 1988 JGR p9867
      IF(E.LT.10.0) SIGEX(2)=2.0514E-19*E**2.29
      IF(E.GE.10.0) SIGEX(2)=3.0476E-15*(1-5.0/E)**3.75 *E**(-0.75)
      SIGEX(2)=XSFO2*SIGEX(2)
C
C...... total excitation cross section for n2...... from ae fluxes
      IF(E.LE.15) SIGEX(3)=(1.94*E-14.14)*1.0E-17
      IF(E.LT.5.0) SIGEX(3)=5.0E-9*(1.-1.4/E)**9*(1.4/E)**16
      IF(E.GE.4.AND.E.LT.7) SIGEX(3)=1.0E-19
      IF(E.GT.15.0) SIGEX(3)=8.4711E-16*(1-7.0/E)**0.6/SQRT(E)
      IF(SIGEX(3).LE.0.0) SIGEX(3)=1.0E-19
      SIGEX(3)=XSFACN*SIGEX(3)
C........... Ionization cross sections
      CALL TXSION(E,SIGION)
      RETURN
      END
C:::::::::::::::::::::: OXSIGS :::::::::::::::::::::::::::::::::::::
      SUBROUTINE OXSIGS(E,SIGEX,SIGEXT)
C....... Inelastic cross sections for electron impact on atomic oxygen
C....... E=electron energy, SIGEX(22)=array of partial cross sections,
C....... SIGEXT=total excitation cross section, and S
      DIMENSION SIGEX(22),SO1D(7)
      DO 9 I=1,22
 9    SIGEX(I)=0.0
C------ CROSS SECTION FOR O(1D) - New Doering cross section from JGR
C------ p19531, 1992. Increases production by a factor of 1.13
      DATA SO1D/0.0,0.0,15.0,30.0,44.0,54.0,38.0/
C..      IF(E.GT.6.5) SIGEX(1)=3.77E-15*(1-2.0/E)**4.25/E**1.7
C..      IF(E.LE.7.3) SIGEX(1)=SO1D(NINT(E))*1.0E-18
C
C..... Old cross section of Henry
      IF(E.GT.1.96) SIGEX(1)=4E-16*(1-1.96/E)**2/E
C........ O(1S) cross section: may be double Shyn et al. JGR 1986, 13751
      IF(E.GT.4.17) SIGEX(2)=6.54E-17*(1-SQRT(4.17/E))/E
C....... 1304, 1027 A, Zipf and Erdman JGR 1985, 11088 include cascade.
C....... Direct excitation is half for  1304 (Vaughan and Doering,
C........ JGR 1986, 13755 and 1987 in press)
      IF(E.GE.10) SIGEX(3)=67.6E-17*(E-10)/E**2
C....... 989 cross section from Doering 1987 (1/2 of Zipf)
      IF(E.GE.14) SIGEX(4)=7.0E-17*(1-14/E)/SQRT(E)
      SIGEX(5)=0.38*SIGEX(4)
C....... O(5S) 1356 A STONE AND ZIPF CORRECTED BY ZIPF AND ERDMAN 1985
C------ reparameterized 1 May 92 using FITXS.FOR (PGR)
      IF(E.GT.10.0) SIGEX(6)=4.867E-12*(1.0-9.0/E)**2.67/ E**4.0
      SIGEXT=SIGEX(1)+(SIGEX(2)+SIGEX(3)+SIGEX(4)+SIGEX(5)+SIGEX(6))
      RETURN
      END
C::::::::::::::::::::::: TXSION ::::::::::::::::::::::::::::::::::
C..... total ionization cross sections for O, O2, and N2
C..... ionization cross sections keiffer and dunn ........
C..... The N2+ and O2+ cross sections were modified in April 99 to agree
C..... with the Schram et al. cross sections at high energies
      SUBROUTINE TXSION(E,SIGIT)
      DIMENSION SIGIT(3)

      !... SIGTMP is used for N2+ and O2+ at the high energies
      SIGTMP=1.0E-13*EXP(-2.303*ALOG10(E))

      !... N2+ cross section
      SIGIT(3)=0.0
      IF(E.GT.15.0) SIGIT(3)=1.42E-14*(1-9.0/E)**7.1*E**(-0.7) 
      IF(SIGTMP.LT.SIGIT(3)) SIGIT(3)=SIGTMP
      !... This correction to convert units to cm**2. Keiffer and Dunn page 10
      SIGIT(3)=0.87972*SIGIT(3)

      !... O2+ cross section
      SIGIT(2)=0.0
      IF(E.GT.12.0) SIGIT(2)=1.08E-14*(1-7.0/E)**8.6*E**(-0.65)
      IF(SIGTMP.LT.SIGIT(2)) SIGIT(2)=SIGTMP
      !... This correction to convert units to cm**2. Keiffer and Dunn page 10
      SIGIT(2)=0.87972*SIGIT(2)

      !... O+ cross section from Brook et al. J. Phys. B. Vol 11 p 3115, 1978
      SIGIT(1)=0.0
      IF(E.GT.12.0) SIGIT(1)=7.33E-15*(1-2.0/E)**34.3*E**(-0.7)
      RETURN
      END
C:::::::::::::::::::::::::::::::: EPN2XS ::::::::::::::::::::::::::::::::::::
      SUBROUTINE EPN2XS(J,XN,PHISUM,ALT,EP,SIGEX,SIGION)
C........ these programs evaluate the photoelectron excitation cross
C........ sections using the parameterisation of Porter et al j. chem. phys.
C........ 1976, p154 (pjg). and jackman et al jgr 1977, p5081 (jgg)
C........ they also evaluate the heat absorption cross sections(sig(2,j))
      DIMENSION SIGO(22),SIG(2,20),XN(3,401),SIGEX(3),SIGION(3)
      SAVE IKS,ESAVE,SIGO,SIG
C----- common to hold the EUV and photoelectron production rates 
      COMMON/EUVPRD/EUVION(3,12,401),PEXCIT(3,12,401),PEPION(3,12,401)
      DATA ESAVE/0/
C
C....... ESAVE is used avoid recalculating cross sections when electron
C....... energy is the same.
      IF(ABS(EP-ESAVE).GT.1.0E-5) THEN
         CALL N2FOB(EP,SIG,IKS)
         CALL N2OTH(EP,SIGO)
      ENDIF
      ESAVE=EP
C
      PHIBYN=PHISUM*XN(3,J)
C
C---- excitation rates for the A,B,C,a1, N(4S),N(2D) and N(2P) states of N2
C---- the fractions represent percentage dissociation from Porter et al
C--- Note that there is some uncertainty over the percentage of the B' state
C--- SIG(1,12) that goes to the B state. Some goes to the ground state
      PEXCIT(3,1,J)=PEXCIT(3,1,J)+SIG(1,3)*PHIBYN
      PEXCIT(3,2,J)=PEXCIT(3,2,J)+(SIG(1,4)+SIG(1,11)+SIG(1,12))*PHIBYN
      PEXCIT(3,3,J)=PEXCIT(3,3,J)+(0.5*SIG(1,5))*PHIBYN
      PEXCIT(3,4,J)=PEXCIT(3,4,J)+1.0*SIG(1,7)*PHIBYN
C....... apportion production rates for states that dissociate. note that
C....... fractions are doubled because 2 atoms produced
      PEXCIT(3,5,J)=PEXCIT(3,5,J)
     >   +(SIG(1,5)+0.4*SIG(1,7)+SIG(1,9)+SIG(1,10))*PHIBYN
      PEXCIT(3,6,J)=PEXCIT(3,6,J)+(SIG(1,9)+SIG(1,10))*PHIBYN
C...... store production of n2 vib use 
      IF(EP.GE.1.0.AND.EP.LE.5) 
     >    PEXCIT(3,8,J)=PEXCIT(3,8,J)+SIGEX(3)*PHIBYN
C....... add in dissociation production rates from Rydbergs for n2. 
C....... The Rydberg cross section is assumed to be 0.1 of ionization 
C....... cross section
      SIGRYD=0.2*SIGION(3)
      PEXCIT(3,5,J)=PEXCIT(3,5,J)+0.8*SIGRYD*PHIBYN
      PEXCIT(3,6,J)=PEXCIT(3,6,J)+0.8*SIGRYD*PHIBYN
      PEXCIT(3,7,J)=PEXCIT(3,7,J)+0.4*SIGRYD*PHIBYN
C
C......... 1200a production rates
      PEXCIT(3,12,J)=PEXCIT(3,12,J)+SIGO(1)*PHIBYN
      PEXCIT(3,11,J)=PEXCIT(3,11,J)+SIGO(2)*PHISUM
C......... 1493a production rates
      PEXCIT(3,10,J)=PEXCIT(3,10,J)+SIGO(3)*PHIBYN
C
      SIGIT=SIG(1,IKS+1)+SIGRYD
      IF(EP.LT.5) SIGIT=SIGIT+SIGEX(3)
      RETURN
      END
C::::::::::::::::::::::::::::::: N2FOB ::::::::::::::::::::::::::::::::::::::
      SUBROUTINE N2FOB(EP,SIG,IKS)
C...... this routine combines forbidden and allowed transitions for n2
C...... from porter et al 1976 with some from cartwright et al 1978
C...... note that pot for n2 vib is set to 0.99 to conserve energy
C...... may not be a bad assumption because e may excite more than 1 quanta
C...... the species are in the following order:- v1,v2,A3,B3pi,C3
C...... ,E3,a1pi,a1sigg,b1pi,b1sig,W3,B3sig,a1sigu,w1
C...... note that the e3 and a1sigg states are omitted 
C
      DIMENSION W(15),ALP(15),BET(15),OMEG(15),F(15),SIG(2,20),C(15)
     >  ,POT(15),ISW(15)
      DATA W/1.85,2.15,8.0,8.5,11.05,11.9,8.6,12.25,12.5,13.3,4*8.,0/
     >     POT/0.99,0.99,6.14,7.3,11.03,11.9,8.5,12.3,12.3,12.7,4*8.,0/
     >     ALP/3*1.0,3*3.0,1.0,2.3,1.24,1.29,5*0/
     >     BET/8*1.0,3.66,3.72,5*0/
     >     OMEG/7.0,9.0,4*3.0,2*1.0,2*0.0,5*0/
     >     F/.273,.241,.226,.178,.28,.048,.136,.027,.666,.321,5*0/
     >     C/8*0.0,.056,.061,5*0/
     >     ISW/0,0,1,2,-2,0,-3,0,-1,-1,3,4,5,7,0/
      IKS=14
      IKSP1=IKS+1
      SIG(1,IKSP1)=0.0
      DO 25 IK=1,IKS
      SIG(1,IK)=0.0
      IF(IK.LE.2) GO TO 20
      IF(IK.EQ.6) GO TO 20
      IF(IK.EQ.8) GO TO 20
      IF(EP.LT.POT(IK)) GO TO 20
      IF(IK.LE.2.AND.EP.LE.W(IK)) GO TO 12
      IF(IK.GT.2.AND.EP.LT.W(IK)) GO TO 20
      IF(ISW(IK).EQ.-1)
     > CALL PJGXS(EP,W(IK),F(IK),ALP(IK),BET(IK),SIG(1,IK),C(IK))
      IF(ISW(IK).EQ.0)
     > CALL PJGXS2(EP,W(IK),F(IK),ALP(IK),BET(IK),SIG(1,IK),OMEG(IK))
      IF(ISW(IK).GT.0) CALL CARTXS(EP,ISW(IK),SIG(1,IK))
C....... C3PI cross section from Imami and Borst 1971
      IF(ISW(IK).EQ.-2) CALL C3PIXS(EP,SIG(1,IK))
      IF(ISW(IK).EQ.-3) CALL A1PIXS(EP,SIG(1,IK))
      GO TO 20
C........ the n2 vib and a and b states are interpolated to threshold
C....... because the jackman et al formula fails
 12   IF(IK.LE.2) SIG(1,IK)=2.0E-17
 20   CONTINUE
      IF(SIG(1,IK).LT.0) SIG(1,IK)=0.0
      SIG(1,IKSP1)=SIG(1,IKSP1)+SIG(1,IK)
      SIG(2,IK)=SIG(1,IK)*POT(IK)
 25   CONTINUE
      RETURN
      END
C::::::::::::::::::::::::::::: PJGXS :::::::::::::::::::::::::::::::::::
      SUBROUTINE PJGXS(EP,W,F,ALP,BET,SIG,C)
      S=6.513E-14*F*(1-(W/EP)**ALP)**BET
      SIG=(S/EP/W)*ALOG(4*EP*C/W+2.7183)
      RETURN
      END
C::::::::::::::::::::::::::::::: PJGXS2 ::::::::::::::::::::::::::::::
      SUBROUTINE PJGXS2(EP,W,F,ALP,BET,SIG,OMEG)
      S=6.513E-14*F*(1-(W/EP)**ALP)**BET
      SIG=(S/W/W)*(W/EP)**OMEG
      RETURN
      END
C:::::::::::::::::::::::::::::: CARTXS :::::::::::::::::::::::::::
      SUBROUTINE CARTXS(EP,IK,SIG)
      DIMENSION A3SIG(5),B3PI(5),W3DEL(5),B3SIG(5),A1SIGU(5)
     > ,A1PI(5),W1DEL(5),C3PI(5),S(5,8),C3PISG(20)
      EQUIVALENCE (A3SIG,S(1,1)),(B3PI,S(1,2)),(W3DEL,S(1,3))
     > ,(B3SIG,S(1,4))
     > ,(A1SIGU,S(1,5)),(A1PI,S(1,6)),(W1DEL,S(1,7)),(C3PI,S(1,8))
      DATA A3SIG/2.374E-05,-1.532E-03,3.345E-02,-2.804E-01,8.697E-01/
      DATA B3PI/-5.737E-05,4.282E-03,-1.160E-01,1.336E+00,-5.228E+00/
      DATA W3DEL/8.831E-05,-5.868E-03,1.357E-01,-1.271E+00,4.221E+00/
      DATA B3SIG/8.985E-06,-4.608E-04,6.218E-03,2.410E-03,-2.324E-01/
      DATA A1SIGU/-6.431E-06,5.761E-04,-1.853E-02,2.491E-01,-1.109E+00/
      DATA A1PI/4.904E-05,-3.291E-03,7.662E-02,-7.073E-01,2.256E+00/
      DATA W1DEL/-3.221E-05,2.438E-03,-6.709E-02,7.872E-01,-3.214E+00/
      DATA C3PI/-4.431E-05,3.549E-03,-1.040E-01,1.305E+00,-5.609E+00/
C
      SIG=0
      IF(EP.LT.6.4) RETURN
      EP2=EP*EP
      EP3=EP2*EP
      EP4=EP3*EP
C......... polynomial fit to cartwright cross sections
      IF(EP.LE.26)
     > SIG=S(1,IK)*EP4+S(2,IK)*EP3+S(3,IK)*EP2+S(4,IK)*EP+S(5,IK)
      IF(SIG.LT.0.0) SIG=0.0
C......... blend in 1/e**2 dependenCe above 17 ev
      IF(EP.GT.17) ABC=EXP(0.9*(17-EP))
      IF(SIG.LE.0) ABC=0.0
      IF(EP.GT.17)
     > S17=S(1,IK)*17**4+S(2,IK)*17**3+S(3,IK)*17**2+S(4,IK)*17+S(5,IK)
      IF(EP.GT.17) SIG=(S17*(17/EP)**2+ABC*SIG)/(1+ABC)
C...... Cartwright C3 cross sections at 1 eV Intervals below 20 eV
      DATA C3PISG/11*0,.146,.289,.443,.389,.284,.234,.202,.181,.165/
      IF(IK.EQ.8.AND.EP.LE.20) SIG=C3PISG(NINT(EP))
C.......... note the 6% reduction in Cartwright's Cross sections
C.... Trajmar et al. 1983 Phys. Reports
      SIG=0.94*SIG*1.0E-16
      RETURN
      END
C:::::::::::::::::::::::::::::: C3PIXS ::::::::::::::::::::::::::::::
      SUBROUTINE C3PIXS(EP,SIG)
C....... The second positive cross section from Imami and Borst
C....... J. Chem. Phys. p1115, 1974
      DIMENSION C3PISG(20)
C
C...... Imami and Borst C3 cross sections at 1 eV Intervals below 20 eV
      DATA C3PISG/11*0,.01,.17,0.4,0.44,0.38,0.32,0.27,0.22,0.20/
      IF(EP.LE.20) THEN
          SIG=1.0E-16*C3PISG(NINT(EP))
      ELSE
          SIG=1.4E-14*(EP)**(-2.2)
      ENDIF
      RETURN
      END
C::::::::::::::::::::::::::::: A1PIXS :::::::::::::::::::::::::::::::::
      SUBROUTINE A1PIXS(EP,SIG)
C....... The LBH cross section from Ajello and Shemansky, JGR, 1985
C....... page 9845. See table 5a page 9855
      SIG=0.0
      IF(EP.GT.11)  SIG=9.4E-15*(1.0-11.0/EP)**1.2 *EP**(-1.6)
      RETURN
      END
C:::::::::::::::::::::::: N2OTH :::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE N2OTH(EP,SIGO)
C........ Cross sections for N (1200, 1394) and minor N2 emissions
      DIMENSION SIGO(22)
      DO 10 I=1,22
 10   SIGO(I)=0.0
C
C......  N 1200A Strickland and Meier value replaced by Ajello value
C......  in February 1993. PGR
C...      IF(EP.GT.25.0) SIGO(1)=1.0E-18*(0.115*EP-2.05)
C...      IF(EP.GT.60.0) SIGO(1)=1.42E-15*(1.0-25.0/EP)**2.6/ EP
      CALL NI1200(EP,SIGO(1))
C
C...... e* + N -> 1200A Zipf flouresence x-s (taken from Doering an Gumbel
C...... JGR (1991) page 16021). Cross section from FITXS.FOR
      IF(EP.GT.11.0) SIGO(2)=9.4E-16*(1.0-11.0/EP)**0.64/ EP**0.5
C
C......... CROSS SECTION FOR e*-N2 --> 1493A  
      IF(EP.GT.22.0) SIGO(3)=5.82E-16*(1.0-10.0/EP)**7.5/ EP
      RETURN
      END
C:::::::::::::::::::::::::::::: XSO2N2 :::::::::::::::::::::::::::::::::
      SUBROUTINE XSO2N2(EJ,IS,IK,SIG)
C...... THIS PROGRAM USES THE METHOD OF GREEN AND SAWADA JATP 1972,
C...... P1719, AND JACKMAN ET AL JGR 1977,P5081 TO CALCULATE PHOTOELECTRON
C...... IMPACT IONIZATION CROSS SECTIONS FOR N2 AND O2 AND O
      DIMENSION POT(3,7),RK(3,7),RKB(3,7),RJ(3,7),RJB(3,7),RJC(3,7),
     > GS(3,7),GB(3,7),TS(3,7),TA(3,7),TB(3,7),SIG(3,10),INI(3)
      DATA INI/3,7,6/
C......... POT=0 FOR N2 C, D AND 40EV STATES (THEY DISSOCIATE) PORTER ET AL
      DATA POT/13.6,12.1,15.58,16.9,16.1,16.73,18.5,16.9,18.75,0,18.2,
     >        22.,0,20.,23.6,0.,23.,40.,0.,37.,25./
     >     RK/1.03,.475,2.42,1.31,1.129,1.06,0.78,1.129,0.551,0,1.01,
     >      .371,0,0.653,0.371,0,0.95,0.53,0,0.594,0/
     >     RKB,RJB,RJC/63*0/
     >     RJ/1.81,3.76,1.74,1.79,3.76,1.74,1.78,3.76,1.74,0,3.76,1.74
     >        ,0,3.76,1.74,0,3.76,1.74,0,3.76,0/
     >     GS/13.,18.5,13.8,13.,18.5,13.8,13.,18.5,13.8,0,18.5,13.8,0,
     >        18.5,13.8,0,18.5,13.8,0,18.5,0/
     >     GB/-.815,12.1,15.58,-.815,16.1,16.73,-.815,16.9,18.75,0,
     >       18.2,22.0,0,20.3,23.6,0,23.0,40.0,0,37.0,0/
     >     TS/6.41,1.86,4.71,6.41,1.86,4.71,6.41,1.86,4.71,0,1.86,4.71,
     >        0,1.86,4.71,0,1.86,4.71,0,1.86,0/
     >     TA/3450.,1000.,1000.,3450.,1000.,1000.,3450.,1000.,1000.
     >      ,12*1000.0/
     >     TB/162.,24.2,31.16,162.,32.2,33.46,162.,33.8,37.5,0,36.4,44.
     >       ,0,40.6,47.2,0,46.0,80.0,0,74.0,0/
C
      SIG(IS,IK)=0.0
      IF(IK.GT.INI(IS)) RETURN
      IF(POT(IS,IK).LE.0.0) RETURN
      IF(EJ.LT.POT(IS,IK)) RETURN
      TM=(EJ-POT(IS,IK))/2
      AC=(RK(IS,IK)/EJ+RKB(IS,IK))
      A=AC*ALOG(EJ/RJ(IS,IK)+RJB(IS,IK)+RJC(IS,IK)/EJ)
      GE=GS(IS,IK)*EJ/(EJ+GB(IS,IK))
      T0=TS(IS,IK)-TA(IS,IK)/(EJ+TB(IS,IK))
      SIG(IS,IK)=1E-16*A*GE*(ATAN((TM-T0)/GE)+ATAN(T0/GE))
      RETURN
      END
C:::::::::::::::::::::::::::::::::::: OXRAT ::::::::::::::::::::::::::::::::
      SUBROUTINE OXRAT(E,R4S,R2D,R2P)
C....... This subroutine returns the electron impact branching ratios
C....... for atomic oxygen from Burnett and Rountree Phys. Rev. A. 20
C....... 1979 page 1468
      R4S=1.0
      R2D=0.0
      R2P=0.0
      EV=E
      IF(E.GT.100.0) EV=100.0
      IF(EV.GT.17) R4S=-1.6E-3*EV+0.56
      IF(EV.GT.17) R2D=1.067E-3*EV+0.2933
      R2P=1-R4S-R2D
         IF(EV.LT.22) THEN
         R2P=0.0
         RTOT=R4S+R2D
         R4S=R4S/RTOT
         R2D=R2D/RTOT
         ENDIF
      RETURN
      END
C-GG-03DEC91-:::::::::::::: O21356 :::::::::::::::::::::::::::::::
C
      SUBROUTINE O21356(E,SIG)
C
C.... Routine to supply the e+O2->1356 cross section
C
C     References:
C
C       Original optical estimate...
C               J.M.Ajello, J.Chem.Phys., v55, p3156, 1971.
C
C       Revised to reflect non-thermal velocity distributions...
C               W.C.Wells, W.L.Borst, and E.C.Zipf,
C               Chem.Phys. Lett., v12, p288, 1971.
C
C       New radiative lifetime determinations which require
C         further revisions...
C               C.E.Johnson, Phys.Rev., vA5, p2699, 1972.
C               W.C.Wells & E.C.Zipf, EOS Trans.AGU, v53, p459, 1972.
C               W.C.Wells & E.C.Zipf, Phys.Rev., vA9, p568, 1974.
C
C       The 7774 cascade contribution was measured and found
C         to be larger than the 1356 cross section.  Work
C         still needs to be done.
C               P.W.Erdman & E.C.Zipf, J.Chem.Phys., v87, p4540, 1987.
C
C......................................................... 
C
      DATA W/14.67/
C    
      SIG=0
      IF(E.LE.W) RETURN
      IF(E.LE.70) SIG=PARAM(4.47E-16,W,E,0.251,1.796,-0.515)
      IF(E.GT.70) SIG=PARAM(5.85E-16,W,E,0.584,2.728,-0.73 )

C-GG-15FEB93- Revised cross section to reflect change in
C             1356 radiative lifetime determination since
C             original measurement.

C             (Changed from 565 microsecond to 170 microsecond.)

C             see- Johnson, 1972
C                  Wells & Zipf, 1972
C                  Wells & Zipf, 1974

      SIG = SIG * 170 / 565

      RETURN
      END
C
C-GG-03DEC91-:::::::::::::::: PARAM :::::::::::::::::::::::::::::
C
      FUNCTION PARAM(A0,W,E,ALPHA,NU,OMEGA)
      REAL NU,OMEGA
C
C	this parameterization is similar to eq.(10)
C	Banks, Chappel, Nagy JGR vol 79, 1459, 1974
C
C	This is the form used by PGR throughout most of the program.
C					-glynn germany (1/16/90)
C
      PARAM=A0*((1-(W/E)**ALPHA)**NU)*E**OMEGA
      RETURN
      END
C
C-GG-15FEB93-:::::::::::::::::::::::::: NIFOB ::::::::::::::::::::::::::::::::::::::
C
      SUBROUTINE NIFOB(EP,SIG)
C
C.... Routine to supply cross sections for minor N2 emissions
C
C.............................................................
C
      DIMENSION SIG(22)
      DO 10 I=1,22
 10   SIG(I)=0.0
C
C....  NI 1200A  from N2 dissociation
C
      CALL NI1200(EP,SIG(1))
      RETURN
      END
C
C-GG-15FEB93 ::::::::::::::::::: NI1200 :::::::::::::::::::::::::
C
      SUBROUTINE NI1200(EP,SIG)
C
      DATA W,ALPHA/20.1,1./
      DATA E1,E2 /26.5,66.5/ OMG1,OMG2 /-.485,-.737/
      DATA A01,RNU1 /6.139E-17,1.6866/ A02,RNU2 /2.381E-16,2.5630/
C
      SIG=0.0
      Y1=PARAM(A01,W,E1,ALPHA,RNU1,OMG1)
      Y2=PARAM(A02,W,E2,ALPHA,RNU2,OMG2)
      SLOPE=(Y2-Y1)/(E2-E1)
      B=Y1-SLOPE*E1
      EMID=(E1+E2)/2.5
C
      IF(EP.LE.W) RETURN
      IF(EP.LE.E1) SIG=PARAM(A01,W,EP,ALPHA,RNU1,OMG1)
      IF((EP.GT.E1).AND.(EP.LT.E2)) THEN
       SIG=SLOPE*EP+B
       IF(EP.LE.EMID) THEN
      	C=1.+0.265*(E1-EP)/(EMID-E1)
       ELSE
        C=1.-0.265*(E2-EP)/(E2-EMID)
       ENDIF
       SIG=SIG*C
      ENDIF
      IF(EP.GE.E2) SIG=PARAM(A02,W,EP,ALPHA,RNU2,OMG2)
      RETURN
      END
C:::::::::::::::::::::::::::: BACKSCAT ::::::::::::::::::::::::
      !.. This subroutine calculates the inelastic backscatter
      !.. coefficient for N2 (Solomon et al. JGR, 1988, page 9878
      !.. Note that there is little lab data on backscatter so
      !.. and all angles are folded into one for the 2 stream model
      !.. these are rough. You can use the same backscatter coeff
      !.. for O and O2. Programmed by P. Richards, July 1998
      SUBROUTINE BACKSCAT(E,        !... energy of electron
     >                    BSCAT)    !... backscatter coeff
      IMPLICIT NONE
      REAL E,BSCAT
      IF(E.GT.500.0) THEN
         BSCAT=10**(-0.76862*ALOG10(E)+0.55161)
      ELSE IF(E.GT.100.0) THEN
         BSCAT=10**(-0.31739*ALOG10(E)-0.666674)
      ELSE IF(E.GT.20.0) THEN
         BSCAT=10**(-1.43068*ALOG10(E)+1.56032)
      ELSE IF(E.GE.0.0) THEN
         BSCAT=0.5
      ENDIF
      RETURN
      END
C.................... RVN2PB.FOR;1 ..........22-JUL-1991 09:42:48.04 
      SUBROUTINE VIBN2P(JP,ID,ISW,N2,O,NE,OP2P,OP2D,RTS
     >  ,QX2S,QA2P,QB2S,O2,N2TOT,ZR)
C... THIS PROGRAM WAS ORIGINALLY WRITTEN BY N ORSINI.  FOR DETAILS SEE HIS
C... PH.D. THESIS 1977(UNIVERSITY OF MICHIGAN). PAGE NUMBERS IN THIS PROGRAM
C... REFER TO THESIS PAGE NUMBERS.
C... The switch ISW is for printing the vibrational populations off N2+
C... and switching the destination of O+(2D) from the X to the A state.
C... ISW=+1 : O+(2D) -> X ; print populations
C... ISW=-1 : O+(2D) -> A ; "        "
C... ISW >+1  O+(2D) -> X ; ISW < -1 (or 0) O+(2D) -> A but no print
C******** In this file, O+(2D) -> A now
C
      IMPLICIT REAL (A-H,N-Z)
      DOUBLE PRECISION N2,O,NE,OP2P,OP2D,RTS(99),O2,N2TOT
     > ,ZR,QX2S,QA2P,QB2S
      DOUBLE PRECISION AWORK(51,51),BWORK(51),DC(51),RK(9),CC(15)
      DOUBLE PRECISION RL(9),PNOMET,ASTOR(15,15),R42,RAV,PROD,
     >  ALOSS,CHN2P,ALR(22),ASOL(15),EMRAT(15),TVBN2P,TVSAV,CEX(9),
     >  TV,PR(22)
      REAL KQ
      DIMENSION A(5,5,4),GG(5,5,4),Q(5,5,4),GH(4),
     > VFAC(5),GTV(5)
C
      DATA GTV,VFAC,GH/3373.,3373.,6664.,9934.,13162., 5*50.0,  4*1.0/
      DATA    KQ  , TV  ,IMAX,JTI,PFAC,TVBN2P
     > /  5.0E-10 ,1000., 14 , 0 , 1.0,3000.0 /
      DATA BWORK/51*0.0D0/,AWORK/2601*0.0D0/
C
C.........  THE A'S,GG'S AND Q'S COME FROM C.1-C.4 PAGES 143-148
       DATA A/50*0,9.53E4,1.011E5,6.05E4,2.75E4,1.08E4,3.34E4,
     > 7.82E3,6.93E4,8.61E4,6.07E4,3.5E3,2.82E4,2.09E3,2.53E4,
     > 7.31E4,1.0E2,6.1E3,1.5E4,1.34E4,3.03E3,0.0,2.5E2,6.78E3,5.14E3,
     > 1.99E4,1.1E7,6.7E6,1.27E6,0.0,0.0,3.35E6,3.87E6,9.12E6,2.98E6,
     > 0.0,6.75E5,3.81E6,8.99E5,9.46E6,0.0,1.11E5,1.32E6,3.13E6,3.8E4,
     > 0.0,1.61E4,3.12E6,1.71E6,2.18E6,0.0/
C
       DATA GG/50*0,6.42E-2,5.2E-2,1.18E-2,5.13E-4,0.0E-1,4.02E-2,
     >  5.7E-3,8.4E-2,2.5E-2,1.7E-3,1.5E-2,3.0E-2,1.6E-3,2.6E-2,
     >  3.0E-2,8.31E-3,2.2E-2,1.1E-2,1.1E-2,1.1E-2,1.1E-3,2.0E-2,
     >  2.1E-2,1.6E-3,1.9E-2,7.26E-2,6.25E-2,2.66E-2,8.05E-3,0.0E-1,
     >  2.48E-2,2.81E-2,7.34E-2,9.56E-2,1.98E-2,4.1E-3,3.38E-2,8.1E-3,
     >  6.2E-2,6.1E-2,0.0E-1,9.1E-3,3.6E-2,7*0.0/
C
       DATA Q/25*0,9.0236E-1,9.4136E-2,3.4381E-3,6.8513E-5,8.2420E-7
     > ,9.0636E-2,7.2014E-1,1.7826E-1,1.0666E-2,3.0295E-4
     > ,6.5080E-3,1.6493E-1,5.5520E-1,2.5061E-1,2.1923E-2
     > ,4.5437E-4,1.8798E-2,2.2214E-1,4.0980E-1,3.0965E-1
     > ,3.5005E-5,1.8024E-3,3.5913E-2,2.6203E-1,2.8570E-1
     > ,2.4468E-1,3.7227E-1,2.5160E-1,9.9998E-2,2.6080E-2
     > ,3.1069E-1,4.1375E-2,8.1429E-2,2.5650E-1,2.0335E-1
     > ,2.2530E-1,3.5985E-2,1.6578E-1,2.6916E-3,1.2426E-1
     > ,1.2358E-1,1.4331E-1,1.8940E-2,1.1328E-1,7.4351E-2
     > ,5.7340E-2,1.6185E-1,2.2750E-2,9.5849E-2,2.2037E-2
     > ,8.9119E-1,9.7304E-2,1.0474E-2,9.4914E-4,7.2849E-5
     > ,1.0703E-1,7.1633E-1,1.4924E-1,2.4218E-2,2.8875E-3
     > ,1.7514E-3,1.8270E-1,5.9899E-1,1.7279E-1,3.7606E-2
     > ,2.6855E-5,3.5203E-3,2.3645E-1,5.2279E-1,1.7860E-1,5*0/
C
C....... If production is small return
      IF(QX2S.LE.1.0E-10) THEN
         DO 58 J=1,IMAX
 58      BWORK(J)=0.0
         TVBN2P=0.0
         IF(IABS(ISW).EQ.1) WRITE(ID,299) NINT(ZR),(BWORK(J),J=1,IMAX)
     >      ,TVBN2P
         RETURN
      ENDIF
C........ Switch O+(2D) from X to A state. ******* always on now **
C.....      IF(ISW.LE.0) THEN
      PFAC=0.0
      DO 5 I=1,5
 5    VFAC(I)=1.0
C.....      ENDIF
 
      IMAXP1=IMAX+1
      JTI=JTI+1
C     JKL=JP+2
C     JW=((JP+2)/4)*4
C
       IF(JTI.NE.1) GO TO 50
C.......... NEXT LINE PREVENTS OUTPUT, DELETE FOR OUTPUT.........
      IF(ISW.NE.-99) GO TO 50
       DO 30 J=1,5
 30    WRITE(ID,90)(A(I,J,3),I=1,5),(A(I,J,4),I=1,5)
       DO 40 J=1,5
 40    WRITE(ID,90)(GG(J,I,3),I=1,5),(GG(J,I,4),I=1,5)
       DO 35 K=2,4
       DO 35 J=1,5
 35    WRITE(ID,90) (Q(I,J,K),I=1,5)
 50    CONTINUE
C
C........ TVBN2P= vibrational temperature of N2+
      TVBN2P=300.
      ITV=0
C........... loop on TV
C 23  CONTINUE
      TVSAV=TVBN2P
C
      DO 900 I=1,IMAXP1
      DC(I)=0.0D0
      CC(I)=0.0D0
      ASOL(I)=0.0D0
      DO 900 J=1,IMAXP1
  900 AWORK(I,J)=0.0D0
C
C........ RK=RTS(11) = N2+ + e recombination rate (Abdou). RL = N2+ + O
C........ rate. TVBN2P= vibrational temperature of N2+
C........ Rates may be adjusted for different vibrational levels
      RK(1)=RTS(11)
      RL(1)=RTS(42)*RTS(10)
      DO 92 I=1,4
      RL(I+1)=GH(I)*RL(1)*VFAC(I)
 92   RK(I+1)=RK(1) * 1.0
C
C... DIAGONAL COEFFICIENT OF THE MATRIX ON PAGE 149.GG'S AND
C...  A'S ARE EXCITATION AND DEEXCITATION LOSSES
      DO 170 J=1,5
      DO 170 I=1,5
      DC(J)=DC(J)+GG(J,I,3)+GG(J,I,4)
      DC(J+5)=DC(J+5)+A(J,I,3)
 170  DC(J+10)=DC(J+10)+A(J,I,4)
C
C... COEFFICIENTS OF MATRIX ON PAGE 149.  CHEMICAL LOSSES ARE ADDED TO N2*DC'S
C...  N2+ + O -->NO+ + N [RTS(10)]:N2+ + O --> N2 + O+(4S) [RL(I),RTS(42)].
      DO 180 I=1,5
      DC(I)=DC(I)+O*(RTS(10)+RL(I))+RK(I)*NE+RTS(17)*O2
C... DEACTIVATION OF N2+(X2S)V=1,4 BY COLLISION WITH N2
      AWORK(1,I)=KQ*N2
      IF(I.GT.1) DC(I)=DC(I)+KQ*N2
      DO 180 J=1,5
      AWORK(J,I+5)=A(I,J,3)
      AWORK(J,I+10)=A(I,J,4)
      AWORK(J+5,I)=GG(I,J,3)
 180  AWORK(J+10,I)=GG(I,J,4)
C
C... FILL IN THE DIAGONAL ELEMENTS OF MATRIX PAGE 149
      DO 190 I=1,IMAX
 190  AWORK(I,I)=-DC(I)
C
C... CALCULATION OF C'S ON PAGE 141
      CEX(1)=(1-EXP(-GTV(1)/TV))
      DO 195 I=2,5
 195  CEX(I)=CEX(1)*(EXP(-GTV(I)/TV))
C
C... CALCULATION OF Q X C ON PAGE 142
      DO 220 I=1,5
      DO 220 J=1,5
      CC(I)=CC(I)+Q(J,I,2)*CEX(J)
      CC(I+5)=CC(I+5)+Q(J,I,3)*CEX(J)
 220  CC(I+10)=CC(I+10)+Q(J,I,4)*CEX(J)
C
C........  PNOMET= PROD OF N2+ FROM META O.....PFAC=1 PUTS PNOMET INTO
C........  N2+(X2S),PFAC=0 PUTS IT INTO N2+(A2P)
C
      PNOMET=(RTS(19)*OP2D+RTS(20)*OP2P)*N2
C... RIGHT HAND SIDE OF MATRIX ON PAGE 149
      DO 230 J=1,5
      AWORK(J,15)=-(QX2S+PFAC*PNOMET)*CC(J)
      AWORK(J+5,15)=-QA2P*CC(J+5)
 230  AWORK(J+10,15)=-QB2S*CC(J+10)
C.....
      AWORK(6,15)=AWORK(6,15)+0.5*(PFAC-1)*PNOMET
      AWORK(7,15)=AWORK(7,15)+0.5*(PFAC-1)*PNOMET
C
C...  IF(ISW.NE.0.AND.JW.EQ.JKL) WRITE(ID,99) (CEX(I),I=1,5)
C...  IF(ISW.NE.0.AND.JW.EQ.JKL) WRITE(ID,99) (CC(I),I=1,5)
C...  IF(ISW.NE.0.AND.JW.EQ.JKL) WRITE(ID,99) (AWORK(J,15),J=1,IMAXP1)
C...  STORE THE MATRIX FOR TESTING OF SOLUTIONS
C
       DO 245 I=1,IMAXP1
       DO 245 J=1,IMAXP1
 245   ASTOR(I,J)=AWORK(I,J)
C
C... CALL SIMUL TO SOLVE THE MATRIX EQUATION.
      CALL SIMUL(IMAX,AWORK,BWORK,1.0E-8,0,51,ID)
C
C...  IF(ISW.NE.0) WRITE(ID,98)
C98    FORMAT(/2X,'SOLUTIONS'/)
C...       IF(ISW.EQ.1) WRITE(ID,299) INT(ZR),(BWORK(J),J=1,IMAX)
C
C........ calculate the vibrational temperature
      CALL TVIBP(J,1.0D3,TVBN2P,BWORK)
      ITV=ITV+1
C....      IF(ITV.LT.2.AND.ABS((TVBN2P-TVSAV)/TVSAV).GT.0.1.AND.
C....     > TVSAV.GT.0.0) GO TO 23
C....      WRITE(6,*) ITV,INT(ZR)
C
      N2TOT=0.0D0
      DO 251 I=1,IMAX
 251  N2TOT=N2TOT+BWORK(I)
C........  EFFECTIVE N2+ + O->N2 + O+ RATE. PRN2P= N2* PROD BY N2+(V) +N2
      R42=RTS(42)*RTS(10)
      RAV=0.0D0
      DO 252 IR=1,5
C     PRN2P(IR,JP)=BWORK(IR)*N2*KQ
      RTS(90+IR)=BWORK(IR)*N2*KQ
 252  RAV=RAV+BWORK(IR)*RL(IR)
      RTS(99)=RAV/N2TOT
       IF(IABS(ISW).EQ.1) WRITE(ID,299) NINT(ZR),(BWORK(J),J=1,IMAX)
     > ,TVBN2P
C
C....... ALTERNATIVE CALCULATION OF N2+ DENSITY
      PROD=QX2S+QA2P+QB2S+PNOMET
      ALOSS=O*(RTS(10)+RTS(99))+RTS(11)*NE*(TVBN2P/300.)**0.39
     >  +RTS(17)*O2
      CHN2P=PROD/ALOSS
      PR(1)=QX2S+QA2P+QB2S
      PR(2)=PNOMET
      ALR(1)=RTS(10)*CHN2P*O
      ALR(2)=RTS(42)*RTS(10)*CHN2P*O
      ALR(3)=RTS(11)*CHN2P*NE*(TVBN2P/300.)**0.39
      ALR(4)=RTS(17)*CHN2P*O2
C.....      IF(IABS(ISW).EQ.1.AND.ID.EQ.3) WRITE(14,96)
C 96  FORMAT(/2X,'ALT    QX2S',4X,'QA2P',4X,'QB2S',3X,'O+(2D)',3X,'N2*+O
C    >  N2*+O  N2*+e  N2*+O2'/)
C....      IF(IABS(ISW).EQ.1.AND.ID.EQ.3) WRITE(14,299)
C....     >  INT(ZR),QX2S,QA2P,QB2S,PNOMET
C....     > ,(ALR(I),I=1,4),R42,RTS(99)
C
C... TESTING RESULTS TO SEE IF THEY ARE SOLUTIONS
C
      NOSOL=0.0
      BWORK(IMAXP1)=-1.0
      DO 255 I=1,IMAX
      DO 256 J=1,IMAXP1
 256  ASOL(I)=ASOL(I)+ASTOR(I,J)*BWORK(J)
      IF(ABS(ASOL(I)).GT.1.0E-10) NOSOL=1
 255  CONTINUE
C....      IF(NOSOL.EQ.1) WRITE(ID,97) JP,(ASOL(I),I=1,IMAXP1)
C97   FORMAT(2X,'WARNING!!   INVALID SOLUTION!'/,I6,1P,20E8.1)
C
       DO 260 I=1,4
       EMRAT(I)=A(I,1,3)*BWORK(I+5)
       IF(I.GT.2)GO TO 260
       EMRAT(I+4)=A(1,I,4)*BWORK(11)
       EMRAT(I+6)=A(2,I+1,4)*BWORK(12)
  260  CONTINUE
C 95  FORMAT(/2X,'VOLUME EMISSION RATES'/,2X,'11088',5X,'9183',5X,'NM20',
C    >3X,'NM31',3X,'3914',4X,'4278',4X,'3882',4X,'4234'/)
C...  IF(ISW.NE.0.AND.JW.EQ.JKL) WRITE(ID,95)
C...  IF(ISW.NE.0.AND.JW.EQ.JKL) WRITE(ID,99) (EMRAT(I),I=1,8)
C
 90    FORMAT(2X,1P,20E9.2)
C99    FORMAT(1X,1P,22E8.1)
 299   FORMAT(I5,1P,22E8.1)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE SIMUL(N,A,X,EPS,INDIC,NRC,ID)
C........ THE ORIGINAL OF THIS PROGRAM IS IN A BOOK ENTITLED "APPLIED
C...... NUMERICAL METHODS" BY BRICE CARNAHAN, H.A. LUTHER AND JAMES
C...... O. WILKES PAGE 290. IT SOLVES A SET OF LINEAR EQUATIONS BY THE
C...... GAUSS JORDAN ELIMINATION METHOD WITH THE MAXIMUM PIVOT STRATEGY
      IMPLICIT REAL (A-H,O-Z)
      DOUBLE PRECISION A,PIVOT,AIJCK,X
      DIMENSION IROW(50),JCOL(50),A(51,51),X(51)
      DATA IROW/50*0/,JCOL/50*0/
C
      MAX=N
      IF(INDIC.GE.0) MAX=N+1
C
      IF(N.LE.50) GO TO 5
      WRITE(ID,200)
      RETURN
C
 5    CONTINUE
C5    DETER=1.
      DO 18 K=1,N
      KM1=K-1
C
      PIVOT=0.0D0
      DO 11 I=1,N
      DO 11 J=1,N
C
      IF(K.EQ.1) GO TO 9
      DO 8 ISCAN=1,KM1
      DO 8 JSCAN=1,KM1
      IF(I.EQ.IROW(ISCAN) .OR. J.EQ.JCOL(JSCAN)) GO TO 11
 8    CONTINUE
 9    IF(ABS(A(I,J)).LE.ABS(PIVOT)) GO TO 11
      PIVOT=A(I,J)
      IROW(K)=I
      JCOL(K)=J
 11   CONTINUE
C
      IF(ABS(PIVOT).GT.EPS) GO TO 13
      RETURN
C
 13   IROWK=IROW(K)
      JCOLK=JCOL(K)
C
      DO 14 J=1,MAX
 14   A(IROWK,J)=A(IROWK,J)/PIVOT
C
      A(IROWK,JCOLK)=1.0/PIVOT
      DO 18 I=1,N
      AIJCK=A(I,JCOLK)
      IF(I.EQ.IROWK) GO TO 18
      A(I,JCOLK)=-AIJCK/PIVOT
      DO 17 J=1,MAX
  17  IF(J.NE.JCOLK) A(I,J)=A(I,J)-AIJCK*A(IROWK,J)
 18   CONTINUE
C
C
      DO 20 I=1,N
      IROWI=IROW(I)
      JCOLI=JCOL(I)
C     JORD(IROWI)=JCOLI
 20   IF(INDIC.GE.0) X(JCOLI)=A(IROWI,MAX)
      RETURN
 200  FORMAT(2X,'ON TOO BIG')
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE TVIBP(J,TGUESS,TV,VPOP)
C....... to find the vibrational temperature of the equivalent Boltzmann
C....... N2* densities. Add up the energy in the calculated vibrational
C....... distribution then calculate the vibrational temperature of the nal
C....... Boltzmann distribution that has the same energy.               rgy.
C....... A Newton procedure is employed to make E(Bolt)=E(cal). TGUESS= neutral
C....... temperature for first guess, TV=calculated vibrational temperature,
C....... VPOP(51) contains the calculated N2+(V=0->5). Written by P. Richards
      DOUBLE PRECISION VPOP,ECALC,FUN,FEX,DEX,TV,H,TGUESS
      DIMENSION VPOP(51)
C........ total energy in calculated distribution = D1 E1 + D2 E2 +......
C........ E2=2*E1, E3=3*E1 etc. E1 also appears in Bolt. and cancels out
      ECALC=VPOP(2)+2*VPOP(3)+3*VPOP(4)+4*VPOP(5)+5*VPOP(6)
C........ first guess=TGUESS, H= change in TV used to calculate deerivative
      TV=TGUESS
      JITER=0
      H=0.0001*TV
C........ find function value for TV
 20   CALL VFUN(TV,VPOP(1),ECALC,FUN)
      FEX=FUN
      TV=TV+H
C........ find function value for TV=TV+H for derivative DEX
      CALL VFUN(TV,VPOP(1),ECALC,FUN)
      DEX=(FUN-FEX)/H
      IF(DEX.EQ.0) GO TO 30
C......... increment TV
      TV=TV-H-FEX/DEX
      JITER=JITER+1
      IF(JITER.GT.22) GO TO 30
C......... if DEX small enough, stop.
      IF(DABS(FEX/(DEX*TV)).GT.1.0E-3) GO TO 20
      RETURN
C......... something has gone wrong !!
 30   CONTINUE
      TV=0.0D0
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE VFUN(TV,D1,ECALC,FUN)
C......... Calculate the energy in the Boltzmann distribution temp=TV.
C......... ECALC=energy in calculated distribution, D1=density of v=0
C......... FUN= E(Bolt)-E(Cal)
      DOUBLE PRECISION ECALC,D1,EBOLT,FUN,X,X2,X3,X4,X5,TV
      X=DEXP(-2900./TV)
      X2=X*X
      X3=X2*X
      X4=X3*X
      X5=X4*X
      EBOLT=D1*(X+2*X2+3*X3+4*X4+5*X5)/(1.0-X)
      FUN=EBOLT-ECALC
      RETURN
      END
C.................... RSDENA_EXB.FOR ..................................
      SUBROUTINE DFIJ(J,JSJ,IPR,N,TI,F,JB,JBS,V)
C----------------------------------------------------------------
C   this program was written by eugene young(1978) but has been substantially
C   modified since then by p. richards. it is responsible for setting up the
C   continuity equations for minimization. it calls subr vel to get
C   velocities, chemo for chemical sources and sinks, and dave for
C   interpolated dn/dt. it integrates the continuity equations for the fluxes.
      USE INPARM
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL MASS(4)
      DIMENSION A(4)
      INTEGER ION,jbn,jbs
      DIMENSION VL(2),VU(2),FLU(2),FLL(2),V(2),ANM(2),PM(2),Q(2),L(2)
     > ,TINCR(2),N(4,401),TI(3,401),F(20),DIVEM(2)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
C........ atomic masses and numbers for o and h
      DATA MASS/26.7616E-24,1.6726E-24,6.6904E-24,0.0/,A/16,1,4,0/
      DATA FLU(1)/0.0/,FLU(2)/0.0/
C
      common/denbackn/ Fb_denOn,Fb_denHn,Fb_ddenOn,Fb_ddenHn
      common/velbackn/ Fb_velOn,Fb_velHn,Fb_dvelOn,Fb_dvelHn
      common/denbacks/ Fb_denOs,Fb_denHs,Fb_ddenOs,Fb_ddenHs
      common/velbacks/ Fb_velOs,Fb_velHs,Fb_dvelOs,Fb_dvelHs
      COMMON/bcgrids/jbn,jbss
C........... sts switches to steady state solution ........
      STS=1.0
      IF(ITF.EQ.3) STS=0.0
      IPR=2
      ION=2
C
C
C.... vel is called to obtain the velocities(fluxes) at the lower 1/2 pt
      FLL(1)=FLU(1)
      FLL(2)=FLU(2)
      IF(JSJ.NE.4) CALL VEL(J-1,VL,FLL,N,TI,JSJ)
C
C
C.....  call chemo to evaluate the source+sink term and call dave for dn/dt
C.....  tincr=dn/dt, q=source, l=sink, pm(am)=future(past) cpt of tincr
      CALL CHEMO(JSJ,ION,J,Q,N,NSAVE,TI,L,DIVEM)
      CALL DAVE(ITER,ION,J,ANM,PM,N,NSAVE,BM)
C
C....  calculate velocity at upper half point
  360 CALL VEL(J,VU,FLU,N,TI,JSJ)
      BU=(BM(J)+BM(J+1))*0.5
      BL=(BM(J)+BM(J-1))*0.5
C
! Upper boundary conditions for number flux jntu12/19/09
!      IF(GSK2FLIP=='Yes') THEN
!        IF(J.eq.jbn-1) THEN
!          FLU(1)=Fb_denOn*Fb_velOn*1.e2
!          FLU(2)=Fb_denHn*Fb_velHn*1.e2
!          FU1=(Fb_denOn-Fb_ddenOn*(SL(J+1)-SL(J)))*
!     >        (Fb_velOn-Fb_dvelOn*(SL(J+1)-SL(J)))*1.e2
!          FU2=(Fb_denHn-Fb_ddenHn*(SL(J+1)-SL(J)))*
!     >        (Fb_velHn-Fb_dvelHn*(SL(J+1)-SL(J)))*1.e2
!          FLU(1)=(FLU(1)+FU1)/2.0
!          FLU(2)=(FLU(2)+FU2)/2.0
!        ENDIF
!        IF(J.eq.jbs+1) THEN
!          FLL(1)=-Fb_denOs*Fb_velOs*1.e2
!          FLL(2)=-Fb_denHs*Fb_velHs*1.e2
!          FL1=-(Fb_denOs+Fb_ddenOs*(SL(J+1)-SL(J)))*
!     >        (Fb_velOs+Fb_dvelOs*(SL(J+1)-SL(J)))*1.e2
!          FL2=-(Fb_denHs+Fb_ddenHs*(SL(J+1)-SL(J)))*
!     >        (Fb_velHs+Fb_dvelHs*(SL(J+1)-SL(J)))*1.e2
!          FLL(1)=(FLL(1)+FL1)/2.0
!          FLL(2)=(FLL(2)+FL2)/2.0
!        ENDIF
!      ENDIF

C.... this section sets up the continuity eqns f(i); tincr=dn/dt ; fgr=
C.... flux cpt ; q(i)=source, l(i)=sink.
      DO 380 I=1,ION
      TINCR(I)=(PM(I)-ANM(I))*STS/DT
      FGR=(FLU(I)/BU-FLL(I)/BL)
C
      F(I)=Q(I)-L(I)-TINCR(I)-FGR-DIVEM(I)
C............ average velocity ........
      IF(JSJ.EQ.0) U(I,J)=VU(I)           !..0.5*(VL(I)+VU(I))
      VL(I)=VU(I)
C
      !.. printing of factors in the continuity equations. Since 
      !.. all quantities have been divided by bm and integrated,
      !.. multiply by bd to get actual magnitudes
!jntu      IF(JSJ.EQ.4) THEN
!        IF(IUN.NE.30) THEN
!          IUN=30
!          WRITE(IUN,665) 
!        ENDIF
!        BD=2.0*BM(J)/(SL(J+1)-SL(J-1))
!        WRITE(IUN,666) J,BD,FLU(I),FLL(I),FGR,Q(I),L(I),F(I),U(I,J)
!     >    ,TINCR(I),DIVEM(I)
!        IF(I.EQ.2) WRITE(IUN,*) '   '
!      ENDIF
 380  CONTINUE
! 665  FORMAT(6X,'J       BD         FLU         FLL       FGR       Q'
!     > ,9X,'L          F          VEL       TINCR      DIVEM')
!jntu  666   FORMAT(1X,'FIJ',I4,1P,22E11.3)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE VEL(J,V,FLUX,N,TI,JSJ)
C-------------------------------------------------------------------
C   this program was written by eugene young (1978). it calculates the
C   velocities at the point z(j+1/2) from the ion momentum eqtns for
C   o+ and h+. parameters from the grid point z(j) are interpolated to
C   get their values  at the half point. the parameters from st maurice
C   and schunk pss 1975 are transferred from subr jp
C-------------------------------------------------------------------
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      REAL MASS(4)
      DIMENSION A(4)
      DIMENSION PP(4),QSIGN(2),V(2),FLUX(2),D(2),GAMMA(2),B(2),Q1(2)
      DIMENSION N(4,401),TI(3,401),F(20),QION(2)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/GRAD/GRADTE(401),GRADTI(401)
      DATA QSIGN/-1.,1./
      DATA MASS/26.7616E-24,1.6726E-24,6.6904E-24,0.0/,A/16,1,4,0/
C
      NEU=0.0
      NEL=0.0
      NE=0.0
C......... include minor ions and He+ in electron density
      IONPLS=ION+2
      DO 260 I=1,IONPLS
      PP(I)=DSQRT(N(I,J+1)*N(I,J))
      NEU=NEU+N(I,J+1)
      NEL=NEL+N(I,J)
      NE=NE+PP(I)
 260   CONTINUE
C
C...... call jp to obtain d(i),gamma,al12,als12 @ b(i) used to calc v(i)
      CALL JP(J,JMAX,Z,PP,D,GAMMA,AL12,ALS12,B,JSJ)
C---------calculate altitude derivatives----------
      GRADNE=TEJ(J)*(NEU-NEL)/NE
      ALPP=(AL12-ALS12)*GRADTI(J)/(PP(1)+PP(2))
C
C,,,,,, terms in the momentum eqn. consult st m @ s(1975) p910 eqn (19)
C
      DO 301 I=1,ION
      DLNI=(N(I,J+1)-N(I,J))/DS(J)/PP(I)
C....      DLNI=DLOG(N(I,J+1)/N(I,J))/DS(J)
      GRA=-MASS(I)*GR(1,J)
      IK=3-I
      QION(I)=QSIGN(I)*(GAMMA(I)*GRADTE(J)-PP(IK)*ALPP)
C
      Q1(I)=DLNI+GRA+GRADTI(J)+GRADNE+GRADTE(J)+QION(I)
C
C....... neutral wind term .....
      Q2=UNJ(J)*B(I)
C....... form the rhs of the momtm eqn.
  729  F(I)=-D(I)*Q1(I)+Q2
C
      !....  print routine for momtm eqn terms ..........
!jntu      IF(JSJ.EQ.4) THEN
!        IF(IUN.NE.31) THEN
!          IUN=31
!          WRITE(IUN,665) 
!        ENDIF
!        WRITE(IUN,605) J,NINT(Z(J)),DLNI,GRADTI(J),GRADNE
!     >     ,GRADTE(J),GRA,QION(I),Q1(I),F(I),Q2,NE
!     >     ,NINT(TI(3,J)),NINT(TI(2,J))
!        IF(I.EQ.2) WRITE(IUN,*) '   '
!jntu      ENDIF
 301   CONTINUE

! 665  FORMAT(6X,'J    ALT    DLNI      GRADTI    GRADNE'
!     > ,3X,'GRADTE     GRAV      QION       Q1         F'
!     > ,8X,'Q2        NE      Te    Ti')
! 605   FORMAT(1X,'VEL',I4,I7,1P,10E10.2,2I6)
C
C--------------now the velocities--------------
      DET=B(1)+B(2)+B(1)*B(2)
      V(1)=((F(1)+F(2))+B(2)*F(1))/DET
      V(2)=((F(1)+F(2))+B(1)*F(2))/DET
      FLUX(1)=V(1)*PP(1)
      FLUX(2)=V(2)*PP(2)
C.......print velocities ...........
!jntu      IF(JSJ.EQ.-4) THEN
!        IUN=32
!        !...IF(J.GT.JMAX/2) IUN=9
!        WRITE(IUN,606) J,Z(J),V(1),V(2),DET,F(1),F(2)
!jntu      ENDIF
 302  CONTINUE
! 606  FORMAT(1X,'J=',I4,3X,'ALT=',F9.0,2X,'V1=',1P,E13.6,2X,'V2=',E13.6
!     >  ,2X,'DET=',E13.6,2X,'F1=',E13.6,2X,'F2=',E13.6)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE JP(JI,JMAX,Z,PP,D,GAMMA,AL12,ALS12,B,JSJ)
C-------------------------------------------------------------------
C--- this routine provides the parameters on p910 of st maurice
C--- @ schunk pss 1975.  equations 20,21,22,23,24,25,26 and the
C--- ratio of neutral/ion coll freqs-b.
C-------------------------------------------------------------------
      IMPLICIT  DOUBLE PRECISION(A-H,N-Z)
      REAL MASS(4),M12
      DIMENSION A(4)
      DIMENSION Z(401),AMR(2,2),NU(2,4)
     >   ,D1(2,2),D4(2,2),NUP(2,2),D(2),GAMMA(2),B(2),PP(4)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      DATA BK/1.3807E-16/,AMU/1.6726E-24/,M12/16.0/
      DATA AMR/8,0.94,0.94,0.5/, D1/0.725,-0.16,2.66,0.725/
     >  ,D4/-0.075,0.98,-0.079,-0.075/
      DATA MASS/26.7616E-24,1.6726E-24,6.6904E-24,0.0/,A/16,1,4,0/
C
C
C.......... ion-ion collisions from st.m.@s p920 ............
C
      DO 113 I=1,2
      DO 113 J=1,2
      NU(I,J)=1.2726*PP(J)*DSQRT(AMR(I,J))/(A(I)*TIJ(JI)**1.5)
  113 CONTINUE
C
C.... nup=nu' (from st m @ s p920) ...........
      DO 20 I=1,2
      K=3-I
      DO 20 J=1,2
      IF(I.NE.J) NUP(I,J)=1.25*NU(I,J)*(D4(I,J)+1.5*AMR(I,J)/A(I))
      IF(I.EQ.J) NUP(I,J)=NU(I,J)+
     > 1.25*NU(I,K)*(D1(I,K)+1.5*AMR(I,K)/A(I))
20    CONTINUE
C
      N12=PP(1)/PP(2)
      X=NU(1,2)/NUP(1,1)*(1.-NUP(2,1)/NUP(2,2))
      X=X/(1.-NUP(1,2)*NUP(2,1)/(NUP(1,1)*NUP(2,2)))
      AL12=1.875*X*(N12+1.)/(M12+1.)
      ALS12=AL12*M12*M12*(NUP(1,1)-NUP(1,2))/(NUP(2,2)-NUP(2,1))
      DELTA=3./(5.*(N12+1.)*(M12+1.))*(AL12+N12*M12*ALS12)
      RDELTA=1.0/(1.0-DELTA)
C
C
      DO 40 I=1,2
      GAMMA(I)=0.0
      J=3-I
C---- diffusion coeff d(i) on page 910 and ratio of coll freqs b(i) -------
      D(I)=BK*TIJ(JI)*RDELTA/MASS(I)/NU(I,J)
      B(I)=NUX(I,JI)*RDELTA/NU(I,J)
 40   CONTINUE
     
      !..... output diagnostics
      IF(JSJ.EQ.4) THEN
        IF(IUN.NE.33) THEN
          IUN=33
          WRITE(IUN,665) 
        ENDIF
        WRITE(IUN,99) JI,PP(1),PP(2),NU(1,2),NU(2,1),D(1)
     >  ,D(2),B(1),B(2),DELTA,ALS12,AL12
        IF(I.EQ.2) WRITE(IUN,*) '   '
      ENDIF
 665  FORMAT(6X,'J   PP(1)      PP(2)   NU(1,2)    NU(2,1)    D(1)'
     > ,6X,'D(2)     B(1)     B(2)      DELTA     ALS12    AL12')
 99   FORMAT(1X,'JP',I4,1P,22E10.3)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE AVDEN(JMAX1,TI,JSJ,ZLO,ZHI)
C.....................................................................
C   this program evaluates the interpolated densities at the midpoints
C   it also evaluates the ion-neutral collision frequencies nux(i,j)
C   and o+ and h+ production and loss rates
C........................................................................
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
C     REAL OA,HA,N2A,O2A,TNJ,TR,SQT,RHPH,ROPO,RHPO,ROPH,CHPN,COPN
      DIMENSION TI(3,401),RTS(99)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/GRAD/GRADTE(401),GRADTI(401)
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/OHPL/OLOSS(401),HLOSS(401),HPROD(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX2,ITER,ION
      COMMON/CFACT/COLFAC,CFAC(9),ISCH(9)
      COMMON/RK/VC(401)
      DATA BK/1.3807E-16/
      DO 10 J=1,JMAX1
      RBM(J)=1.0/BM(J)
      DS(J)=SL(J+1)-SL(J)
      TIJ(J)=0.5*(TI(1,J)+TI(1,J+1))
      TEJ(J)=0.5*(TI(3,J)+TI(3,J+1))/DS(J)/TIJ(J)
      GR(1,J)=0.5*(GR(2,J)+GR(2,J+1))/BK/TIJ(J)
      GRADTI(J)=(TI(1,J+1)-TI(1,J))/DS(J)/TIJ(J)
      GRADTE(J)=(TI(3,J+1)-TI(3,J))/DS(J)/TIJ(J)
      UNJ(J)=0.5*(UN(J+1)+UN(J))
C
C
C... ion-neutral coll freqs taken from schunk and nagy rev. geophys. v18
C... p813, 1980. first,  resonant charge exchange from table 5 p823
      OA=SQRT(ON(J)*ON(J+1))
      HA=SQRT(HN(J)*HN(J+1))
      N2A=SQRT(N2N(J)*N2N(J+1))
      O2A=SQRT(O2N(J)*O2N(J+1))
      TNJ=0.5*(TN(J)+TN(J+1))
      TR=(TIJ(J)+TNJ)*0.5
      SQT=SQRT(TR)
      RHPH=2.65E-10*HA*SQT*(1-0.083*DLOG10(TR))**2
C....... COLFAC is the scaling factor for O+ - O collision frequency  
C....... should be 1.7 according to Burnside 1987 (in press)
      ROPO= COLFAC * 3.67E-11*OA*SQT*(1-0.064*DLOG10(TR))**2 
      RHPO=6.61E-11*OA*SQRT(TIJ(J))*(1-0.047*DLOG10(TIJ(J)))**2
      ROPH=4.63E-12*HA*SQRT(TNJ+TIJ(J)/16.0)
C........ non-resonant ion neutral interactions table 6
      CHPN=(33.6*N2A+32*O2A)*1.0E-10
      COPN=(6.28*N2A+6.64*O2A)*1.0E-10
      NUX(1,J)=ROPO+ROPH+COPN
      NUX(2,J)=RHPH+RHPO+CHPN
C
C....... o+ and h+ production and loss rates
      CALL RATS(J,TI(3,J),TI(1,J),TN(J),RTS)
C.......... multiply o+ + n2 reaction rate by n2* factor
      RTS(3)=RTS(3)*VC(J)
      !... RTS(4)=RTS(4)*VC(J)
      OLOSS(J)=RTS(2)*HN(J)+RTS(3)*N2N(J)+RTS(4)*O2N(J)
      HLOSS(J)=RTS(1)*ON(J)
      HPROD(J)=RTS(2)*HN(J)
      IF(JSJ.NE.4.OR.Z(J).LT.ZLO.OR.Z(J).GT.ZHI) GO TO 10
        IUN=34
        !... IF(J.GT.JMAX/2) IUN=9
        WRITE(IUN,99) J,Z(J),OA,HA,N2A,O2A,TIJ(J),TNJ,TR,RHPH,ROPO,RHPO
        WRITE(IUN,99) J,Z(J),ROPH,CHPN,COPN,NUX(1,J),NUX(2,J),OLOSS(J)
     >   ,HLOSS(J),HPROD(J)
 10   CONTINUE
 99   FORMAT(1X,'AVDEN',I4,F7.0,1P,22E10.3)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE TERLIN(J,QJM1,QJ,QJP1,SL,SU,QL,QM,QU)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
C..... ql and qu are interpolation points
C..... of q in the (zb,zj) and (zj,za)intervals respectively
C..... qm is the average value of q in the (zj-yl,zj+yl) interval
      QL=.5*(QJM1+QJ)
      QU=.5*(QJ+QJP1)
C**** The integration is to be done only from the lower midpt to the
C     upper midpt. lower midpt. is the midpt of points j and j-1 and
C     upper one is the midpt of points j and j+1. the dist between the
C     j and j-1 = sl and that between j and j+1 = su. the integration 
C     is done only over sl/2 and su/2. hence the extra division by 2.
      QM=.25*((QL+QJ)*SL+(QU+QJ)*SU)
      RETURN
        END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE TEREXP(J,QJM1,QJ,QJP1,SL,SU,QL,QM,QU)
C....... This subroutine calculates the integral of Q represented by
C....... the 3 values QJM1, QJ, QJP1 from SL=(S(J)+S(J-1))/2 to
C....... SU=(S(J+1)+S(J))/2. The integral is done in 2 parts,
C....... from SL to SJ and from SJ to SU.
C....... For exponential interpolation, the mean value
C....... of A and B is SQRT(A*B)
      IMPLICIT DOUBLE PRECISION (A-H,L,N-Z)
      IF((QJM1*QJ.GT.0).AND.(QJ*QJP1.GT.0))GO TO 100
      WRITE(6,*) '  *****  zero or -ve densities in subr. TEREXP'
C
 100  CONTINUE
C......... find values of Q at midpoints
      QL=DSQRT(QJM1*QJ)
      QU=DSQRT(QJ*QJP1)
C....... integral from SL to SU
      QM=0.5*(SU*(QJ-QU)/DLOG(QJ/QU)+SL*(QL-QJ)/DLOG(QL/QJ))      
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE TERMID(J,QJM1,QJ,QJP1,SL,SU,QL,QM,QU)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      DATA JBDY/0/
C..... ql and qu are interpolation points
C..... of q in the (zb,zj) and (zj,za)intervals respectively
C..... qm is the average value of q in the (zj-yl,zj+yl) interval
      IF((QJM1*QJ.GT.0).AND.(QJ*QJP1.GT.0))GO TO 100
         WRITE(6,*) '  *****  zero or -ve densities in subr. TERMID'
 100  CONTINUE
      IF(JBDY.EQ.0) THEN
        DO 10 I=1,JMAX/2+1
        IF(Z(I).LT.500.0) JBDY=I
 10     CONTINUE
        NINTZ = 0.0E22 * NINT(Z(JBDY))
        IF(NINTZ.GT.0) WRITE(6,*) ' nintz here',NINTZ
      ENDIF
C
      IF(Z(J).LT.NINTZ) THEN
         CALL TERLIN(J,QJM1,QJ,QJP1,SL,SU,QL,QM,QU)
      ELSE IF(Z(J).GT.NINTZ) THEN
         CALL TEREXP(J,QJM1,QJ,QJP1,SL,SU,QL,QM,QU)
      ELSE IF(NINT(Z(J)).EQ.NINTZ) THEN
C......... find values of Q at midpoints
         QL=.5*(QJM1+QJ)
         QU=DSQRT(QJ*QJP1)
C....... integral from SL to SU
         QM=.25*(QL+QJ)*SL + 0.5*SU*(QJ-QU)/DLOG(QJ/QU)
      ENDIF

      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE DAVE(ITER,ION,J,ANM,PM,N,NSAVE,BM)
C.... calculates ante and post values of half interval, and average
C.... of (ion density)/(magnetic field)
      IMPLICIT DOUBLE PRECISION(A-H,N-Z)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,JITER,JION
      DIMENSION ANM(2),PM(2),N(4,401),NSAVE(2,401),BM(401)
C
      DO 100 I=1,ION
C....     ante values
      BB=NSAVE(I,J-1)*RBM(J-1)
      C=NSAVE(I,J)*RBM(J)
      A=NSAVE(I,J+1)*RBM(J+1)
      IF(A*BB*C.LT.0) WRITE(6,115) I,J,ITER,A,BB,C
 115   FORMAT('-VE ANTE-> I,J,ITER,A,B,C',3I6,1P,9E11.2)
      JEQ = JMAX/2+1
      IF(J.LT.JEQ) CALL TERMID(J,BB,C,A,DS(J-1),DS(J),QL,QM,QU)
      IF(J.GE.JEQ) CALL TERMID(J,A,C,BB,DS(J),DS(J-1),QL,QM,QU)
      ANM(I)=QM
C......... post values
      BB=N(I,J-1)*RBM(J-1)
      C=N(I,J)*RBM(J)
      A=N(I,J+1)*RBM(J+1) 
      IF(A*BB*C.LT.0) WRITE(6,116) I,J,ITER,A,BB,C
 116   FORMAT('-VE POST-> I,J,ITER,A,B,C',3I6,1P,9E11.2)
      IF(J.LT.JEQ) CALL TERMID(J,BB,C,A,DS(J-1),DS(J),QL,QM,QU)
      IF(J.GE.JEQ) CALL TERMID(J,A,C,BB,DS(J),DS(J-1),QL,QM,QU)
      PM(I)=QM
 100  CONTINUE
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE CHEMO(JSJ,ION,JI,SOURCE,N,NSAVE,TI,SINK,DIVEM)
C.... this program determines the interpolated production and loss
C.... processes. it calls rates to get the rate constants and terd
C.... to do the interpolation
C----- Modified in August 1995 to include ExB drift term. Bailey et al.
C----- PSS 1983, page 389 (DIVEM)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION N(4,401),TI(3,401),NSAVE(2,401),Q(2,3),L(2,3)
     > ,SOURCE(2),SINK(2),DIVEM(2),DV(2,3)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/ALT/Z(401),DT,DH,FHT,EPS,TF,ITF,JMAX,JMAX1,ITER,JION
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      COMMON/OHPL/OLOSS(401),HLOSS(401),HPROD(401)
      common/ExB/eq_vperp,div_vem(401)
C
C----- Q and L are chemical source and sink, DV is for ExB drift
      DO 300 K=1,3
      J=K+JI-2
      OPROD=HLOSS(J)*N(2,J)+PHION(J)
      HPRODN=HPROD(J)*N(1,J)
      Q(1,K)=OPROD*RBM(J)
      Q(2,K)=HPRODN*RBM(J)
      L(1,K)=OLOSS(J)*N(1,J)*RBM(J)
      L(2,K)=HLOSS(J)*N(2,J)*RBM(J)
C**sil ExB drift term is added.  dv(1,k) is for oxygen and dv(2,k) for
C     hydrogen
      DV(1,K)=div_vem(J)*(0.5*(N(1,J)+NSAVE(1,J)))*RBM(J)
      DV(2,K)=div_vem(J)*(0.5*(N(2,J)+NSAVE(2,J)))*RBM(J)
C
 300  CONTINUE
C
C........ terd is called to interpolate
      DO 400 I=1,ION
      CALL TERLIN(JI,Q(I,1),Q(I,2),Q(I,3),DS(JI-1),DS(JI),QL,QM,QU)
      CALL TERLIN(JI,L(I,1),L(I,2),L(I,3),DS(JI-1),DS(JI),LL,LM,LU)
      CALL TEREXP(JI,DV(I,1),DV(I,2),DV(I,3),DS(JI-1),DS(JI),DL,DM,DU)
      SOURCE(I)=QM
      SINK(I)=LM
      DIVEM(I)=DM*eq_vperp
 400  CONTINUE
      IF(JSJ.EQ.4) THEN
        IUN=35
        !... IF(JI.GT.JMAX/2) IUN=9
        WRITE(IUN,99) JI,Z(JI),Q(2,1),Q(2,2),Q(2,3),SOURCE(1)
     >   ,SOURCE(2),SINK(1),SINK(2),SL(JI),DS(JI)
      ENDIF
      RETURN
 99   FORMAT(1X,'CHEMO',I4,F7.0,1P,22E10.3)
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE TERD(J,QJM1,QJ,QJP1,QL,QM,QU)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
C..... ql and qu are interpolation points
C..... of q in the (zb,zj) and (zj,za)intervals respectively
C..... qm is the average value of q in the (zj-yl,zj+yl) interval
      QL=.5*(QJM1+QJ)
      QU=.5*(QJ+QJP1)
      QM=.25*((QL+QJ)*DS(J-1)+(QU+QJ)*DS(J))
      RETURN
        END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
        SUBROUTINE TERI(J,QJM1,QJ,QJP1,QL,QM,QU)
C....... This subroutine calculates the integral of Q represented by
C....... the 3 values QJM1, QJ, QJP1 from SL=(S(J)+S(J-1))/2 to
C....... SU=(S(J+1)+S(J))/2. The integral is done in 2 parts,
C....... from SL to SJ and from SJ to SU.
C....... For exponential interpolation, the mean value
C....... of A and B is SQRT(A*B)
      IMPLICIT DOUBLE PRECISION (A-H,L,N-Z)
      COMMON/DN2/TEJ(401),TIJ(401),NUX(2,401),RBM(401),UNJ(401),DS(401)
      IF((QJM1*QJ.GT.0).AND.(QJ*QJP1.GT.0))GO TO 100
      WRITE(6,*) '  *****  zero or -ve densities in subr. TERI'
C
 100  CONTINUE
C......... find values of Q at midpoints
      QL=DSQRT(QJM1*QJ)
      QU=DSQRT(QJ*QJP1)
C....... integral from SL to SU
      QM=0.5*(DS(J)*(QJ-QU)/DLOG(QJ/QU)+DS(J-1)*(QL-QJ)/DLOG(QL/QJ))
      RETURN
      END

C:::::::::::::::::::::::::::::::::::: Q_INT :::::::::::::::::::::::
C....... This subroutine calculates the integral of Q represented by
C....... the 3 values QJM1, QJ, QJP1 from SLO=(S(J)+S(J-1))/2 to
C....... SU=(S(J+1)+S(J))/2. The integral is done in 2 parts,
C....... from SL to SJ and from SJ to SU.
C....... For exponential interpolation, the mean value
C....... of A and B is SQRT(A*B)
       DOUBLE PRECISION
     > FUNCTION Q_INT(QJM1,   !.. Q(J-1) - quantity at point J-1
     >                  QJ,   !.. Q(J)
     >                QJP1,   !.. Q(J+1)
     >                SJM1,   !.. S(J-1)
     >                  SJ,   !.. S(J)
     >                SJP1)   !.. S(J+1)

      IMPLICIT DOUBLE PRECISION (A-H,L,N-Z)
      IF((QJM1*QJ.GT.0).AND.(QJ*QJP1.GT.0)) THEN
         !..... find values of Q at midpoints
         QL=DSQRT(QJM1*QJ)
         QU=DSQRT(QJ*QJP1)
         SUP=0.5*(SJP1-SJ)
         SLO=0.5*(SJ-SJM1)
         !..... exponential integral from SL to SU
         Q_INT=(SUP*(QJ-QU)/DLOG(QJ/QU)+
     >          SLO*(QL-QJ)/DLOG(QL/QJ))
         !..... linear integral from SL to SU
         QL=.5*(QJM1+QJ)
         QU=.5*(QJ+QJP1)
         !...Q_INT=0.5*((QL+QJ)*SLO+(QU+QJ)*SUP)
      ELSE
         WRITE(6,*) '  **** zero denominator in subr Q_INT'
         STOP
      ENDIF
      RETURN
      END
C............................<HMF2.FOR>........... 5-MAY-1986 11:41
      SUBROUTINE HMF2(I,Z,ZKM,OX,N2,O2,TN,TE,UM,DIP,CHI,OXJ,OPLS
     > ,OSAV,DT)
C....... This subroutine uses a Newton procedure to solve the equation
C....... Beta=D*sinI*sinI/H/H-U*CosI*sinI/H for HmF2
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      IF(DIP.EQ.0) DIP=0.1
      U=UM*100
      Z0=ZKM*1.0E5
      Z=Z0
      JTER=0
      H=0.0001*Z
C
C....... start Newton
 20   CALL EFFZ(I,Z,Z0,OX,N2,O2,TN,TE,U,DIP,FZ)
      FEX=FZ
      Z=Z+H
      CALL EFFZ(I,Z,Z0,OX,N2,O2,TN,TE,U,DIP,FZ)
      DEX=(FZ-FEX)/H
      IF(DEX.EQ.0) GO TO 30
      Z=Z-H-FEX/DEX
      JTER=JTER+1
      IF(JTER.GT.22) GO TO 30
      IF(ABS(FEX/(DEX*Z)).GT.1.0E-3) GO TO 20
      CALL OPLSD(I,Z,Z0,OX,N2,O2,TN,TE,OXJ,OPLS,OSAV,DT,CHI,DIP)
      Z=Z*1.0E-5
      RETURN
 30   CONTINUE
      PRINT*, '  *** JTER > 22'
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE EFFZ(I,Z,Z0,OX,N2,O2,TN,TE,U,DIP,FZ)
C....... This subroutine Contains the funCtion to be solved by Newton
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
C....... evaluate 1/H where H=sCale height, and density at altitude z
      CALL NATM(Z,Z0,OX,N2,O2,TN,RHOX,RHN2,RHO2,OXZ,N2Z,O2Z)
C....... evaluate reaCtion rates
      CALL RRATES(I,TN,TN,TE,RN2,RO2)
C....... evaluate [O+] loss rates
      BETA=RN2*N2Z+RO2*O2Z
C....... evaluate O+ - O Collision frequenCy
      NU=6.82E-10*N2Z+3.67E-11*OXZ*SQRT(TN)*(1-0.064*DLOG10(TN))**2
C....... diffusion CoeffiCient
      DH=RHOX
      DIFF=5.15E6*(TE+TN)/NU
      FZ=BETA-DIFF*(SIN(DIP)*DH)**2-U*SIN(DIP)*COS(DIP)*DH
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE NATM(Z,Z0,OX,N2,O2,TN,RHOX,RHN2,RHO2,OXZ,N2Z,O2Z)
C........ evaluate reCiproCal of sCale heights and densities at z
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      GRAV=3.98E+20/(6.371E+8+Z)**2
      RHOX=1.94E-7*GRAV/TN
      RHN2=1.75*RHOX
      RHO2=2.0*RHOX
      OXZ=OX*EXP(-(Z-Z0)*RHOX)
      N2Z=N2*EXP(-(Z-Z0)*RHN2)
      O2Z=O2*EXP(-(Z-Z0)*RHO2)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE RRATES(I,TN,TI,TE,RN2,RO2)
C....... [O+] reaCtion rates
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
C......... O+ + N2 --> NO+ + N St. MauriCe and Torr JGR ,1978, p969
      T13=(4.*TN+7.*TI)/11.0/300
      IF(T13.LE.5.67) RN2=1.533E-12-5.92E-13*T13+8.60E-14*T13**2
      IF(T13.GT.5.67) RN2=2.73E-12-1.15E-12*T13+1.483E-13*T13**2
C
C........ O+ + O2 --> O2+ + 0 .  from Chen et al j.Chem.phys. 1979
C     RO2=2.1E-11*((TN+2*TI)/3/300)** -0.763
      RO2=2.1E-11*((TN+2*TI)/900)**(-0.763)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE OPLSD(I,Z,Z0,OX,N2,O2,TN,TE,OXJ,OPLS,OSAV,DT,CHI,DIP)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      DIMENSION XN(3),COLUMN(3),SIGABS(3)
      DATA SIGABS/8E-18,11E-18,11E-18/
C
C......... Evaluate [O+] at peak
      CALL NATM(Z,Z0,OX,N2,O2,TN,RHOX,RHN2,RHO2,OXZ,N2Z,O2Z)
      XN(1)=OXZ
      XN(2)=O2Z
      XN(3)=N2Z
      CALL COLUM(IJ,CHI,Z,TN,XN,COLUMN)
      TAU=0.0
      DO 4 IS=1,3
 4    TAU=TAU+SIGABS(IS)*COLUMN(IS)
C
      CALL RRATES(I,TN,TN,TE,RN2,RO2)
      BETA=RN2*N2Z+RO2*O2Z
C...... PROD/LOSS. 1+1.75*SIN(DIP) produCtion due to diffusion
      POBETA=(1+1.75*SIN(DIP)) *OXJ*OXZ*EXP(-TAU)/BETA
      OPLS=POBETA+(OSAV-POBETA)*DEXP(-BETA*DT)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE COLUM(J,CHI,Z,TN,XN,COLUMN)
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
C++++ this routine evaluates the neutral Column density
C++++ see smith & smith jgr 1972 p 3592, subr ambs is the msis
C++++ neutral atmosphere model for z<120 km, Chi=solar zenith
C++++ angle, re & ge radius and grav Con for earth
      DIMENSION XN(3),COLUMN(3),SN(5),M(3)
      DATA A,B,C,D,F,G/1.0606963,0.55643831,1.0619896,1.7245609
     >  ,0.56498823,0.06651874/
        DATA    EM   ,   M(1) , M(2) , M(3) ,  RE   , GE
     1    / 1.662E-24 ,   16. ,  32. ,  28. ,6.357E8, 980/
C------ is sza>90.0 degrees
      IF(CHI.LT.1.5708)GO  TO 2938
C------ CalCulate grazing inCidenCe parameters
      ALTG=(6371.0E5+Z)*SIN(3.1416-CHI)-6371.0E5
      IF(ALTG.GE.85.E5)GO TO 1001
C------ if altg < 85km, produCtion=0, make Column large to aChieve this
      DO 20 I=1,3
 20   COLUMN(I)=1.E+25
      RETURN
C
C.... Call neutral atmosphere for density at grazing inCidenCe
 1001  ZG=ALTG*1.E-5
       RHOX=1.94E-7* 3.98E+20/(6.371E+8+Z)**2/TN
       SN(1)=XN(1)*EXP(-(ALTG-Z)*RHOX)
       SN(2)=XN(2)*EXP(-(ALTG-Z)*RHOX*2.0)
       SN(3)=XN(3)*EXP(-(ALTG-Z)*RHOX*1.75)
C---- to pt p, sh=sCale height, rg=distanCe to pt g, hg=sCale height at g
C
 2938 CONTINUE
      GR=GE*(RE/(RE+Z))**2
      RP=RE+Z
      DO 10 I=1,3
      SH=(1.38E-16*TN)/(EM*M(I)*GR)
      XP=RP/SH
      Y=SQRT(0.5*XP)*ABS(COS(CHI))
!jntu      IF(Y.GT.100.0) WRITE(3,100)
!  100 FORMAT('WARNING, Y IN COLUMN(I) > 100')
      IF(Y.GT.8) ERFY2=F/(G+Y)
      IF(Y.LT.8) ERFY2=(A+B*Y)/(C+D*Y+Y*Y)
    4 IF(CHI.GT.1.5708)GO  TO 2
      CHAPFN=SQRT(0.5*3.1416*XP)*ERFY2
      COLUMN(I)=XN(I)*SH*CHAPFN
        GO TO 10
    2 RG=RP*SIN(3.1416-CHI)
      HG=1.38E-16*TN/
     1    (EM*M(I)*980.*(6371.E5/(6371.E5+ALTG))**2)
      XG=RG/HG
      COLUMN(I)=SQRT(0.5*3.1416*XG)*HG*(2.0*SN(I)-XN(I)*ERFY2)
10       CONTINUE
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE ECFUN(SEC,SAT,ECFAC,Y,TT)
C......... This routine calculates the eclipse function. Y gives the
C......... lateral displacement of the sun and moon discs at the time
C......... of maximum eclipse. Y=0 for total, Y>2 no eclipse
C......... TT gives the time for maximum eclipse. The separation of the
C......... 2 discs is calculated assuming a total eclipse time of 3 hrs
      UTHRS=SEC/3600
      ECFAC=1.0
      UTHRS=AMOD(UTHRS,24.)
      IF(UTHRS.LT.15.5.OR.UTHRS.GT.18.5) RETURN
      X=1.33*(UTHRS-TT)
      D=0.5*SQRT(X**2+Y**2)
      IF(D.GE.1) RETURN
      AC=ACOS(D)-D*SQRT(1-D**2)
      ECFAC=(3.142-2*AC)/3.142
      RETURN
      END
C.............................. FLIPWIND.FOR .....................
C.. This file contains subroutines associated with neutral winds
C.. Created in July 1998
C.. It also has the routines for the modified MSIS Tn
       !.. evaluate the magnetic field line cmpt. of neutral wind UN(J)
       !.. from Hedin's model (BCOMPU=component along magnetic meridian)
       !.. evaluate the magnetic field line cmpt. of neutral wind UN(J)
       !.. from Hedin's model.
       SUBROUTINE HEDWIN(JDAY,SX,ALT,GLATJ,GLON,SAT,F107A,F107
     >         ,AP,BCOMPU)
       IMPLICIT NONE
       INTEGER JDAY
       REAL SX,ALT,GLATJ,GLON,SAT,F107A,F107,AP(7),UHED(2),BCOMPU
     >   ,DECMAG

       CALL GWS4(JDAY,SX,ALT,GLATJ,GLON,SAT,F107A,F107
     >         ,AP,UHED)
       CALL MAGDEC(GLATJ,GLON,DECMAG) !-- magnetic declination for winds
       DECMAG=DECMAG/57.296
       BCOMPU = (UHED(1)*COS(DECMAG)+UHED(2)*SIN(DECMAG))
       RETURN
       END
C::::::::::::::::::::::::::: ALTWIN ::::::::::::::::::::::::
C...... This subroutine provides alternative winds to Hedin's winds
C...... Winds can be read directly from a file or calculated from hmF2
C...... Either from the file data or the IRI model.
C...... Written by P. Richards in April 1991
      SUBROUTINE ALTWIN(DT,Z,ISOL,IWIND,TIMSAV,TSTOP,IWTIM,IWW
     > ,JMAX,COSDIP,UNN,UNC,HMF2N,HMF2S,NMF2N,NMF2S,UN,DNMF2N
     > ,DNMF2S,DHMF2N,DHMF2S,RATIN,RATIS,TOPTEN,TOPTES,ZTOPTE)
C
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      INTEGER NWTIMN,NWTIMS,NCOLN,NCOLS,UTOLTN,UTOLTS,HMOWNN,HMOWNS
     > ,TPRIN,JDAY,RCLPD
      REAL SEC,F107A,SATN,SATF,GLONN,GLONF,GLATN,GLATF,RHMF2,RNMF2
     > ,DEC,BLON,AP,D(8),T(2),ETRAN,F107,CHIN,CHIF,FOE,ZTOPTE,SX
     > ,BCOMPUN,BCOMPUS,NDFNOR,NDFSOU,UVFAC,EUV,TINFN,TINFS,DELTIN
     > ,DELTIS,TMSN,TMSS
      DIMENSION COSDIP(401),UN(401),DATINN(6),DATINS(6),Z(401)
      COMMON/WPAR/NWTIMN,NWTIMS,NCOLN(9),NCOLS(9),UTOLTN,UTOLTS
     >  ,HMOWNN,HMOWNS
      COMMON/AWIND/UNNSAV,UNCSAV
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/NDFAC/TPRIN,NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS
     >   ,TMSN,TMSS
      COMMON/SOL/UVFAC(59),EUV
            
      DATA IDELAY/1/, JWN,JWS/1,1/, HMOWNN,HMOWNS/2*0.0/
     >  ,NDFNOR/1/,NDFSOU/1/, TINFN,TINFS/0.0,0.0/
     >  ,NCOLN/9*0/,NCOLS/9*0/, IVTN/0/,IVTS/0/

C
C----- Find altitude points for setting lat, long etc
      IF(JWN.EQ.1) THEN
         DO 20 IL=1,JMAX/2
            IF(Z(IL).LT.300) JWN=IL
 20      CONTINUE
         JWS=JMAX-JWN+1
      ENDIF

      CALL ACTUAL_DAY(IDAY,SEC,JDAY,SX) 
C
C........ Call AMBS to get time, latitude and longitude near the F2 peak
      CALL AMBS(1,Z(JWN),GL(JWN),D,T,CHIN,SATN,GLONN,GLATN)
      CALL AMBS(JMAX,Z(JWS),GL(JWS),D,T,CHIF,SATF,GLONF,GLATF)
C
C........ variables used in calculating winds from HmF2
      IF(ISOL.EQ.0) IDELAY=0
      IF(SEC-TIMSAV.GE.200) THEN
         TIMSAV=SEC
         IDELAY=1
         UNNSAV=UNN/100.0
         UNCSAV=UNC/100.0
      ENDIF
C
      !.. neutral wind by reading data from a file and interpolating
      !.. NCOLN(1)= # of columns read from hmF2 file. If NCOL(i)=1
      !.. that column of data will be used by FLIP
      IF(IWIND.GT.0) THEN
        CALL NTHWIN(NWTIMN,SEC/3600.,SATN,TSTOP,COSDIP(JWN)
     >    ,HMF2N,UNNSAV,DATINN,NCOLN,UTOLTN,HMOWNN,ZTOPTE)
        UNN=DATINN(2)
        IF(HMOWNN.EQ.1.AND.NCOLN(2).EQ.1) DHMF2N=DATINN(1)
        IF(NCOLN(3).NE.0) DNMF2N=DATINN(3)
        IF(NCOLN(4).NE.0) TOPTEN=DATINN(4)
        IF(NCOLN(6).NE.0) NDFNOR=DATINN(6)
        IF(NCOLN(5).NE.0) TINFN=DATINN(5)
        CALL HEDWIN(JDAY,SX,250.0,GLATN,GLONN,SATN,F107A,F107
     >         ,AP,BCOMPUN)
        IF(NCOLN(2).EQ.-2) UNN=100.0*BCOMPUN+DATINN(2)

        !.... Southern hemisphere
        CALL STHWIN(NWTIMS,SEC/3600.,SATF,TSTOP,COSDIP(JWN)
     >    ,HMF2S,UNCSAV,DATINS,NCOLS,UTOLTS,HMOWNS,ZTOPTE)
        UNC=DATINS(2)
        IF(HMOWNS.EQ.1.AND.NCOLS(2).EQ.1) DHMF2S=DATINS(1)
        IF(NCOLS(3).NE.0) DNMF2S=DATINS(3)
        IF(NCOLS(4).NE.0) TOPTES=DATINS(4)
        IF(NCOLS(6).NE.0) NDFSOU=DATINS(6)
        IF(NCOLS(5).NE.0) TINFS=DATINS(5)
        CALL HEDWIN(JDAY,SX,250.0,GLATF,GLONF,SATF,F107A,F107
     >         ,AP,BCOMPUS)
        IF(NCOLS(2).EQ.-2) UNC=100.0*BCOMPUS+DATINS(2)

        !..... UN=0 for ISOL=0 for getting winds from hmF2
        IF(HMOWNN.EQ.1.AND.IDELAY.EQ.0) UNN=0.0
        IF(HMOWNS.EQ.1.AND.IDELAY.EQ.0) UNC=0.0

      ENDIF
C
C........ wind from IRI hmF2. UN=0 at start for ISOL=0 for getting 
C........ winds from hmF2. Call IRI model to get hmF2 and nmF2 in North
!         IF(NCOLN(1).LT.2.OR.IWIND.LT.0) THEN
!            CALL IRIHMF(GLATN,GLONN,F107A,SNGL(HMF2N),JDAY,SATN
!     >       ,RHMF2,RCLPD,RNMF2,FOE)
!            DHMF2N = RHMF2
!            DNMF2N = RNMF2/1.0E6
!            CALL HMF2W(SATN,COSDIP(JWN),DHMF2N,HMF2N,UNNSAV,UNN)
!            UNN=UNN*100
!            IF(IDELAY.EQ.0) UNN=0.0
!         ENDIF
C........ IRI in Southern hemisphere
!         IF(NCOLS(1).LT.2.OR.IWIND.LT.0) THEN
!            CALL IRIHMF(GLATF,GLONF,F107A,SNGL(HMF2S),JDAY,SATF
!     >       ,RHMF2,RCLPD,RNMF2,FOE)
!            DHMF2S = RHMF2
!            DNMF2S = RNMF2/1.0E6
!            CALL HMF2W(SATF,COSDIP(JWN),DHMF2S,HMF2S,UNCSAV,UNC)
!            UNC=UNC*100
!            IF(IDELAY.EQ.0) UNC=0.0
!         ENDIF

      !... Adjusting hmF2 to match NmF2 in North
      IF(NCOLN(9).EQ.-2) CALL HM_ADJUST(1,SATN,COSDIP(JWN)
     > ,HMF2N,DHMF2N,NMF2N,DNMF2N,UNNSAV,UNN)
      !... Adjusting hmF2 to match NmF2 in South
      IF(NCOLS(9).EQ.-2) CALL HM_ADJUST(2,SATF,COSDIP(JWN)
     > ,HMF2S,DHMF2S,NMF2S,DNMF2S,UNCSAV,UNC)

      !-- Make sure wind is not too large for printing
      IF(UNN.LT.-99900) UNN=-99900
      IF(UNN.GT.99900) UNN=99900
      IF(UNC.LT.-99900) UNC=-99900
      IF(UNC.GT.99900) UNC=99900
C....... Set up wind along grid; sign change for poleward wind. If hmF2 >
C....... equatorial altitude set wind to 0.0
      DO 15 J=1,JMAX/2+1
         UN(J)= -COSDIP(J)*UNN
         IF(HMOWNN.EQ.1.AND.DHMF2N.GE.Z(JMAX/2)) UN(J)=0.0
 15   CONTINUE
      DO 151 J=JMAX/2,JMAX
         UN(J)= -COSDIP(J)*UNC
         IF(HMOWNS.EQ.1.AND.DHMF2S.GE.Z(JMAX/2)) UN(J)=0.0
 151  CONTINUE
C
C------ calculate nmF2 normalizing factors
      RATIN=-1.0
      RATIS=-1.0
      !... switch on density factor
      IF(NCOLN(6).EQ.1.OR.NCOLS(6).EQ.1) UVFAC(52)=-1
      !.. avoids problem near equator
      IF(DHMF2N.GE.Z(JMAX/2).OR.DHMF2S.GE.Z(JMAX/2)) RETURN
      IF(ISOL.EQ.0) RETURN

      !.. using MSIS modification alg. Richards et al. 1998
      IF(NCOLN(9).EQ.-1.OR.NCOLS(9).EQ.-1.OR.IWIND.EQ.-3) GO TO 178 
      !... Using Richards et al. 1995 density mod.
      IF(NCOLN(3).EQ.1.OR.IWIND.EQ.-2)   RATIN=DNMF2N/NMF2N
      IF(NCOLS(3).EQ.1.OR.IWIND.EQ.-2)   RATIS=DNMF2S/NMF2S
      RETURN
C
C------ Calculate factors for normalizing the MSIS exospheric Tn and [O]
C----- TINFN, TINFS are Tn in north and south, NDFNOR, NDFSOU are also 
C----- used in AMBS to normalize the [O] 
 178  CONTINUE

      !... switches to density mod alg but not first time
      IF(UVFAC(52).GT.0.0) THEN
         UVFAC(52)=-ABS(UVFAC(52))
         RETURN
      ENDIF

      IF(NCOLN(5).NE.0.OR.NCOLS(5).NE.0) THEN
        WRITE(6,767) 
 767    FORMAT(/' *** CANNOT use both Ti/Tn from hmF2 file and'
     >  ,/1X,'Richards et al.[1998] MSIS modification alg. at the'
     >  ,1X,'same time ***'/)
        STOP
      ENDIF

      DELTIN=0.0
      DELTIS=0.0
      IF(SATN.GT.-1.OR.ABS(CHIN-1.5708).GT.0.15) THEN
      IF(NCOLN(3).EQ.1.OR.IWIND.EQ.-3) THEN
         WRITE(6,98) SEC/3600,NMF2N/DNMF2N,NDFNOR,TMSN-TINFN,TINFN,TMSN
         IF(IVTN.EQ.0) WRITE(24,86)
         IVTN=1
         WRITE(24,85) (SEC-DT)/3600,DHMF2N,DNMF2N,TMSN,TMSN-TINFN,NDFNOR
     >    ,TINFN,UNN/100,BCOMPUN,UNN/100-BCOMPUN
         CALL GETINF(DT,NMF2N,DNMF2N,NDFNOR,TINFN,DELTIN,TMSN)
      ENDIF
      ENDIF

      IF(SATF.GT.-1.OR.ABS(CHIF-1.5708).GT.0.15) THEN
      IF(NCOLS(3).EQ.1.OR.IWIND.EQ.-3) THEN
         WRITE(6,99) SEC/3600,NMF2S/DNMF2S,NDFSOU,TMSS-TINFS,TINFS,TMSS
         IF(IVTS.EQ.0) WRITE(25,87)
         IVTS=1
         WRITE(25,85) (SEC-DT)/3600,DHMF2S,DNMF2S,TMSS,TMSS-TINFS,NDFSOU
     >    ,TINFS,UNC/100,BCOMPUS,UNC/100-BCOMPUS
         CALL GETINF(DT,NMF2S,DNMF2S,NDFSOU,TINFS,DELTIS,TMSS)
      ENDIF
      ENDIF

 85   FORMAT(F10.2,F8.2,1P,E10.2,0P,10F9.2)
 86   FORMAT(1X,'!.. Northern Hemisphere variable Tn run.'
     > ,/1X,'!.. hmF2 & NmF2 are from the current input file'
     > ,/7X,'UT    hmF2     NmF2    MSIS_Tinf DelTn '
     > ,2X,'O_ratio  FLIP_Tinf   Wind    HWM93   DELW')
 87   FORMAT(1X,'!.. Southern Hemisphere variable Tn run.'
     > ,/1X,'!.. hmF2 & NmF2 are from the current input file'
     > ,/7X,'UT    hmF2     NmF2    MSIS_Tinf DelTn '
     > ,2X,'O_ratio  FLIP_Tinf   Wind    HWM93   DELW')
 98   FORMAT(' North:- UT=',F7.2,' R_NmF2=',F5.2,' OFAC=',F5.2,
     > ' DTn=',F5.0,' TFLIP=',F6.0,' TMSIS=',F6.0)
 99   FORMAT(' South:- UT=',F7.2,' R_NmF2=',F5.2,' OFAC=',F5.2,
     > ' DTn=',F5.0,' TFLIP=',F6.0,' TMSIS=',F6.0)
      RETURN
      END
C::::::::::::::::::::::::::::::: NTHWIN :::::::::::::::::::::::::::::
C....... This subroutine provides the northern hemisphere winds returns
C....... data from a file for the FLIP model. RESULT(2) is wind, NmF2
C....... is RESULT(3), Te is RESULT(4, Ti/Tn is RESULT(5). RESULT(1)
C....... contains interpolated hmF2 if the data file contains hmF2 
C....... rather than WIND.
C....... UTHRS is the universal time the wind will be determined.
C....... RUNHRS is the length of the run (hours). 
C....... SAT is the local times in the north hemisphere.
C....... NWTIM is the number of wind times on the data file. It should
C....... be < 0 on the first call to force the data file to be read.
C....... COSDIP=cos(dip angle of matgnetic field) should be provided by 
C....... main program. HPREV=hmF2 at previous time step and UPREV=wind
C....... at previous time step in north hemisphere. Both them should 
C....... also provided by main program.
C....... The data file is read in a two dimensional array MEDATA(N,M).
C....... The data file contains winds or hmF2 (read in MEDATA(N,2) )
C....... in the northern hemisphere at specied UT or LT (read in 
C....... MEDATA(N,1) ) determined by two sentinels HMORWN and UTORLT 
C....... NCOLS(1)= the number of columns in the data file. The data
C....... file may also contains densities (read in MEDATA(N,3)) and
C....... temperatures (read in MEDATA(N,4)).In July 1998 an additional
C....... row of integers were added to indicate which columns will 
C....... actually be used by FLIP. These are stored in NCOLS(2:9).
C....... NCOLS(1:9) must be 0 on first call. 
C....... If the data file contains winds rather than hmF2, they are
C....... are calculated at UTHRS or SAT, by linear interpolation.
C....... If the data file contain hmF2, it calls HWINPT to calculate the
C....... winds based on FLIP model. JUNIT is the unit number of the data
C....... file which will be fixed as 21 for data file in northern 
C....... hemisphere. 
C....... Programmer - D. A. Burns, June  1988. Modifications by 
C....... Rama Lavu and P. Richards  26 JAN 89, Kevin Zou July 4, 93
C....... Additional modifications in July 1998 to specify colums (by PR)

      SUBROUTINE NTHWIN(NWTIM,UTHRS,SAT,RUNHRS,COSDIP,HPREV,UPREV,
     >               RESULT,NCOLS,UTORLT,HMORWN,ZTOPTE)
C
      PARAMETER (N=29999, M=6, JUNIT=21)
      DOUBLE PRECISION RESULT(M),COSDIP,HPREV,UPREV,RUNHRS
      INTEGER NWTIM, NCOLS(9),UTORLT,HMORWN
      REAL MEDATA(N,M), SAT,UTHRS,ZTOPTE
      SAVE MEDATA
C
C.....If this is the first call to READWD , call RDWIND to read
C..... the MEDATA and NWTIM from the data file
      IF (NWTIM .LT. 0)
     >  CALL RDWIND(N,M,JUNIT,UTHRS,RUNHRS,MEDATA,NWTIM,NCOLS,
     >            UTORLT,HMORWN,ZTOPTE)
C
C..... If column number is 0, no data file exist return to main program.
      IF(NCOLS(1).LT.2) NWTIM=0
      IF(NCOLS(1) .EQ. 0) RETURN
C
C.....  If HMORWN is 1, data file contains hmF2 instead of winds,
C.....  call HWINPT to calculate wind.
      IF (HMORWN .EQ. 1) THEN
          CALL HWINPT(N,M,NWTIM,NCOLS,UTHRS,SAT,RUNHRS,COSDIP,HPREV,
     >                 UPREV,MEDATA,UTORLT,RESULT)
      RETURN
C
C.... If HMORWN is 0, data file contains wind, just call INTWIN do
C.... linear interpolation about the data wind.
      ELSE IF (HMORWN .EQ. 0) THEN      
C....... If UTORLT =1, UT is used in the hemisphere else if UTORLT=0
C....... calculate the winds at the specified local time SAT.
         IF (UTORLT .EQ. 1) THEN
              CALL INTWIN(N,M,NWTIM,NCOLS,UTHRS,MEDATA,RESULT)
         ELSE IF (UTORLT .EQ. 0) THEN
              CALL INTWIN(N,M,NWTIM,NCOLS,SAT,MEDATA,RESULT)
         ELSE
	      WRITE(6,*) 'Problem with UT/LT switch value in data file'
              STOP
         ENDIF
C
      ELSE
	 WRITE(6,*) 'Problem with HMF2/WIND switch value in data file'
         STOP
      ENDIF
C.....convert WIND from m/sec to cm/sec.
      RESULT(2)=100.0*RESULT(2)
C
      RETURN
      END
C
C
C::::::::::::::::::::::::::::::: STHWIN :::::::::::::::::::::::::::::
C....... This subroutine provides the southern hemisphere winds returns
C....... data from a file for the FLIP model. RESULT(2) is wind, NmF2
C....... is RESULT(3), Te is RESULT(4, Ti/Tn is RESULT(5). RESULT(1)
C....... contains interpolated hmF2 if the data file contains hmF2 
C....... rather than WIND.
C....... UTHRS is the universal time the wind will be determined.
C....... RUNHRS is the length of the run (hours). 
C....... SAT is the local times in the south hemisphere.
C....... NWTIM is the number of wind times on the data file. It should
C....... be < 0 on the first call to force the data file to be read.
C....... COSDIP=cos(dip angle of matgnetic field) should be provided by 
C....... main program. HPREV=hmF2 at previous time step and UPREV=wind
C....... at previous time step in south hemisphere. Both them should 
C....... also provided by main program.
C....... The data file is read in a two dimensional array MEDATA(N,M).
C....... The data file contains winds or hmF2 (read in MEDATA(N,2) )
C....... in the southern hemisphere at specied UT or LT (read in 
C....... MEDATA(N,1) ) determined by two sentinels HMORWN and UTORLT 
C....... NCOLS(1)= the number of columns in the data file. The data
C....... file may also contains densities (read in MEDATA(N,3)) and
C....... temperatures (read in MEDATA(N,4)).In July 1998 an additional
C....... row of integers were added to indicate which columns will 
C....... actually be used by FLIP. These are stored in NCOLS(2:9).
C....... NCOLS(1:9) must be 0 on first call. 
C....... If the data file contains winds rather than hmF2, they are
C....... are calculated at UTHRS or SAT, by linear interpolation.
C....... If the data file contain hmF2, it calls HWINPT to calculate the
C....... winds based on FLIP model. JUNIT is the unit number of the data
C....... file which will be fixed as 22 for data file in southern 
C....... hemisphere. 
C....... Programmer - D. A. Burns, June  1988. Modifications by 
C....... Rama Lavu and P. Richards  26 JAN 89, Kevin Zou July 4, 93
C....... Additional modifications in July 1998 to specify colums (by PR)
C
      SUBROUTINE STHWIN(NWTIM,UTHRS,SAT,RUNHRS,COSDIP,HPREV,UPREV,
     >                 RESULT,NCOLS,UTORLT,HMORWN,ZTOPTE) 
C
      PARAMETER (N=29999, M=6, JUNIT=22)
      DOUBLE PRECISION RESULT(M),COSDIP,HPREV,UPREV,RUNHRS
      INTEGER NWTIM, NCOLS(9),UTORLT,HMORWN
      REAL MEDATA(N,M), SAT, UTHRS,ZTOPTE
      SAVE MEDATA
C
C.....If this is the first call to READWD , call RDWIND to read
C..... the MEDATA and NWTIM from the data file
      IF (NWTIM .LT. 0)
     > CALL RDWIND(N,M,JUNIT,UTHRS, RUNHRS, MEDATA,NWTIM,NCOLS,
     >             UTORLT,HMORWN,ZTOPTE)
C
C..... If column number in data file is 0 return to main program.
      IF(NCOLS(1).LT.2) NWTIM=0
      IF(NCOLS(1).EQ.0)  RETURN  
C
C.....  If HMORWN is 1, file contains hmF2 instead of winds, call 
C.....  HWINPT to calculate wind.
      IF (HMORWN .EQ. 1) THEN
        CALL HWINPT(N,M,NWTIM,NCOLS,UTHRS,SAT,RUNHRS,COSDIP,HPREV,UPREV,
     >               MEDATA,UTORLT,RESULT)
      RETURN
C
C.... If HMORWN is 0, data file contains wind, just call INTWIN do
C.... linear interpolation about the data wind.
      ELSE IF (HMORWN .EQ. 0) THEN      
C....... If UTORLT =1, UT is used in the hemisphere else if UTORLT=0
C....... calculate the winds at the specified local time SAT.
         IF (UTORLT .EQ. 1) THEN
              CALL INTWIN(N,M,NWTIM,NCOLS,UTHRS,MEDATA,RESULT)
         ELSE IF (UTORLT .EQ. 0) THEN
              CALL INTWIN(N,M,NWTIM,NCOLS,SAT,MEDATA,RESULT)
         ELSE
	      WRITE(6,*) 'Problem with UT/LT switch value in data file'
              STOP
         ENDIF
C
      ELSE
	 WRITE(6,*) 'Problem with HMF2/WIND switch value in data file'
         STOP
      ENDIF
C
C.....convert WIND from m/sec to cm/sec.
      RESULT(2)=100.0*RESULT(2)
C
      RETURN
      END
C
C
C::::::::::::::::::::::::::: INTWIN :::::::::::::::::::::::::::::::::::
C.... This subroutine calculates the values of RESULT (including wind,
C.... density, temparture etc..) at required time TIME by using the 
C.... subroutine FTW. It calls BISPLT to locate the data used for 
C.... interpolation. MEDATA(PDT,NCOLS) and MEDATA(PDT+1, NCOLS) will
C.... be used for interpolation. 
C.... Dr. Phlip Richards, Kevin Zou  at July 8,1993
C
      SUBROUTINE INTWIN(N,M,NWTIM,NCOLS,TIME,MEDATA,RESULT)
C
      INTEGER PDT,NCOLS(9),NWTIM,BEGIN
      DOUBLE PRECISION RESULT(M)
      REAL MEDATA(N,M),TIME
C
C.....Use subroutine BISPLW to locate the data used for interpolation.
      BEGIN=1
      CALL BISPLW(N,M,BEGIN,NWTIM,TIME,MEDATA,PDT)
C----  WRITE(6,*) 'TIME=',TIME,'   ','PDT=',PDT
C....... Use subroutine FTW to interpolate at TIME for RESULT
      CALL FTW(N,M,NWTIM,NCOLS(1),TIME,PDT,MEDATA,RESULT)
      RETURN
      END
C
C 
C:::::::::::::::::::::::::::::: FTW ::::::::::::::::::::::::::::::::::
C...... Simple linear interpolating program. If you need a more precisive 
C...... interpolating for the data, you only need modification this 
C...... suroutine which in fact is the statement FACTOR and RESULT in FTW.
C...... FACTOR is the adjustment coefficient.  
C...... Dr. Phlip Richards, Kevin Zou    July 18, 1993
      SUBROUTINE FTW(N,M,NWTIM,NCOLS,TIME,PDT,MEDATA,RESULT)
C
      INTEGER PDT,NCOLS,NWTIM
      DOUBLE PRECISION FACTOR, RESULT(M)      
      REAL MEDATA(N,M),TIME
C
C
      FACTOR=(TIME-MEDATA(PDT,1))/(MEDATA(PDT+1,1)-MEDATA(PDT,1))
      DO 1 I=2,NCOLS 
      RESULT(I)=FACTOR*(MEDATA(PDT+1,I)-MEDATA(PDT,I))+MEDATA(PDT,I)
 1    CONTINUE
      RETURN
      END
C
C 
C::::::::::::::::::::::: RDWIND :::::::::::::::::::::::::::::
C.... This subroutine reads various data (including universial time(UT)/
C.... local time(LT) in MEDATA(N,1), the wind/hmf2 in MEDATA(N,2), and
C.... if they exist, the densities in MEDATA(N,3), the temparture in 
C.... MEDATA(N,4) etc.. 
C.... Three sentinel number give to: 
C....  1. UTORLT which is used to decide UT/LT;
C....  2. HMORWN which is used to decide hmf2/wind. 
C....  2. NCOLS which tell us the coloum number in the data file. 
C.... A count of the winds read in is made NWTIM. JUNIT is the data file's   
C.... unit number which should be passed from the calling subroutine.
C
      SUBROUTINE RDWIND(N,M,JUNIT,UTHRS,RUNHRS,MEDATA,
     >   NWTIM,NCOLS,UTORLT,HMORWN,ZTOPTE)
C
      REAL MEDATA(N,M),HEADR,HMFWND,UTHRS,ZTOPTE
      INTEGER NCOLS(9),UTORLT,HMORWN,NWTIM,JUNIT,NUMCOL,ICOL
      DOUBLE PRECISION RUNHRS
      CHARACTER*99 CHEADER
      LOGICAL DEBUG
      DATA  DEBUG / .FALSE. /

      DO 3 I=1,9
 3    NCOLS(I)=0

      !...Test to see if the data file exists
      CALL TFILE(JUNIT,IOPEN)
      IF(IOPEN.EQ.0) THEN
        RETURN
      ENDIF

      !.. Loop through input file headers until sentinel value.
      DO 10 I = 1,99
        READ(JUNIT, 87, ERR=10) HEADR 
        UTORLT=NINT(HEADR) 
 87     FORMAT(F8.0)
        GO TO 20
 10   CONTINUE
 20   CONTINUE
      READ(JUNIT,*) HMFWND
      HMORWN=NINT(HMFWND)
      READ(JUNIT,*) NUMSAV
      READ(JUNIT,*) (NCOLS(ICOL),ICOL=1,6)
      DO ICOL=1,6
         IF(NCOLS(ICOL).NE.0) NUMCOL=ICOL
      ENDDO
      READ(JUNIT,*) ZTOPTE

      !.. check for using Te at hmF2 in column 6
      IF(NCOLS(4).EQ.-1) ZTOPTE=1        !.. switches to hmF2
      NCOLS(4)=ABS(NCOLS(4))
      IF(NCOLS(4).NE.1) ZTOPTE=-99.0

      READ(JUNIT,'(80A)') CHEADER   !... junk column header

      !.. use MSIS mod alg.
      IF(NCOLS(3).EQ.-1.AND.NCOLS(2).EQ.1) NCOLS(9)=-1 
      IF(NCOLS(3).EQ.-2.AND.NCOLS(2).EQ.1) NCOLS(9)=-2
      NCOLS(3)=ABS(NCOLS(3))
      IF(NCOLS(3).NE.0) NCOLS(5)=0       !.. can't do both
      IF(NCOLS(3).NE.0) NCOLS(6)=0       !.. can't do both
      NCOLS(1)=NUMCOL

C........ Read in the WTIME, and corresponding MEDATA
      DO  25 I = 1, N 
        READ(JUNIT, *,END=26,ERR=26)(MEDATA(I,J),J=1,NCOLS(1)) 	  
        IF (DEBUG) WRITE (6,*) (MEDATA(I,J), J=1,NCOLS(1)) 	

        !.. Test the HMF2 to be sure it is within the correct range.
        IF(HMORWN .EQ. 1) THEN
          IF (MEDATA(I,2) .GT. 550.0) THEN
            WRITE(6,100) MEDATA(I,2),I
 100        FORMAT(/1X,'WARNING! in hmF2/wind file, HMF2 = ',F12.2,
     >      ' at column 2, row',I7,', has now been reset to 550 km' )
            MEDATA(I,2)=550.0
          ELSE IF (MEDATA(I,2) .LT. 190.0) THEN
            WRITE(6,101) MEDATA(I,2),I
 101        FORMAT(/1X,'WARNING! in hmF2/wind file, HMF2 = ',F12.2,
     >      ' at column 2, row',I7,', has now been reset to 190 km' )
            MEDATA(I,2)=190.0
          ENDIF

        !.. Test the WIND to be sure it is within the correct range.
        ELSE IF(HMORWN .EQ. 0) THEN
          IF (ABS(MEDATA(I,2)) .GT. 2000.0) THEN
            WRITE(6,110) MEDATA(I,2),I
 110        FORMAT(/1X,'ERROR!  WIND SPEED is ',F10.3,2X,'TOO BIG!!' 
     >/1X,'** Check the wind data file at column 2  and row ',I3)
            STOP
          ENDIF
        ELSE 
          WRITE(6,*)'ERROR! Problem with HMF2/WIND switch in data file'
        ENDIF
C
C.... Check the density, temperature etc., if they are exist
C.... in data file, to be sure they are within correct range.
      IF (NCOLS(3) .EQ. 1) THEN
        IF ((MEDATA(I,3).LE.0.0) .OR. (MEDATA(I,3).GE.1.0E7)) THEN
          WRITE(6,150) MEDATA(I,3),I
 150      FORMAT(/1X,'ERROR!  DENSITY is ',E10.3,' OUT OF RANGE!'
     >     ,/1X,'** Check the hmF2 data file at column 2, row ',I3)
          STOP
        ENDIF
      ENDIF

      IF (NCOLS(4).EQ.1) THEN
        IF ((MEDATA(I,4).LE.400.0) .OR. (MEDATA(I,4).GE.1.0E4)) THEN
          WRITE(6,151) MEDATA(I,4),I
 151      FORMAT(/1X,'ERROR! TEMPERATURE is ',E10.3,' OUT OF RANGE!'
     >    ,/1X,'** Check the hmF2 data file at column 4, row ',I3)
          STOP
        ENDIF
      ENDIF

      IF (NCOLS(5).EQ.1) THEN
        IF ((MEDATA(I,5).LE.400.0) .OR. (MEDATA(I,5).GE.4000)) THEN
          WRITE(6,152) MEDATA(I,5),I
 152      FORMAT(/1X,'ERROR! TEMPERATURE is ',E10.3,' OUT OF RANGE!'
     >    ,/1X,'** Check the hmF2 data file at column 5, row ',I3)
          STOP
        ENDIF
      ENDIF

      IF (NCOLS(6).EQ.1) THEN
        IF ((MEDATA(I,6).LE.0.1) .OR. (MEDATA(I,6).GE.5.0)) THEN
          WRITE(6,153) MEDATA(I,6),I
 153      FORMAT(/1X,'ERROR! OXYGEN factor is ',E10.3,' OUT OF RANGE!'
     >    ,/1X,'** Check the hmF2 data file at column 6, row ',I3)
          STOP
        ENDIF
      ENDIF

25    CONTINUE
26    CONTINUE
C
      NWTIM = I - 1
      IF (DEBUG) WRITE(6,*)'NWTIM = ',NWTIM
C......... Test for the times to be in ascending order
      DO 30 I = 2,NWTIM
      IF (DEBUG) WRITE(6,*)'LOOP 3 ',I
      IF (MEDATA(I,1) .LT. MEDATA(I-1,1)) THEN
          IF(JUNIT.EQ.21)WRITE(6,781)(MEDATA(I,J),J=1,NCOLS(1))
          IF(JUNIT.EQ.22)WRITE(6,782)(MEDATA(I,J),J=1,NCOLS(1))
          WRITE(6,*) '  '
          STOP
      ENDIF 
C
 781   FORMAT(//3X,'ERROR! TIME NOT IN ASCENDING ORDER in NORTHern'
     >  ,/3X,'hemisphere wind/hmF2 file near the following line'
     >  ,/3X,F7.2,F8.2,1P,E10.2,0P,2F10.2)
 782   FORMAT(//3X,'ERROR! TIME NOT IN ASCENDING ORDER in SOUTHern'
     >  ,/3X,'hemisphere wind/hmF2 file near the following line'
     >  ,/3X,F7.2,F8.2,1P,E10.2,0p,2F10.2)
C
30    CONTINUE
C....... Test for UTHRS larger than the first WTIME
      IF ((MEDATA(1,1).GT.UTHRS).AND.(IABS(UTORLT).EQ.1)) THEN
         WRITE (6,391) UTHRS,MEDATA(1,1) 
 391   FORMAT(2X,'ERROR! Need winds at earlier times in wind data'
     > ,1X,'file.',/5X
     > ,'Run starts at ',F8.2,' hrs but first data time is ',F8.2)
         STOP
      ENDIF
C....... Test for the total hours of run (UTHRS + RUNHRS) is less
C....... than the last WTIME
      IF ((MEDATA(NWTIM,1).LE.(UTHRS+RUNHRS)) .AND.
     >        (IABS(UTORLT).EQ.1)) THEN
         RUNHRS=MEDATA(NWTIM,1)-UTHRS-0.02
         IF(JUNIT.EQ.21) WRITE (6,392) 'NORTH',RUNHRS
         IF(JUNIT.EQ.22) WRITE (6,392) 'SOUTH',RUNHRS
 392     FORMAT(/2X,'***WARNING***  run time exceeds the wind times in '
     >   ,/2X,A5,' wind file. TSTOP has been reset to ',F7.2,' hours')
         IF(RUNHRS.LE.0.0) THEN
            WRITE(6,*) ' NOT ENOUGH VALID DATA'
            STOP
         ENDIF
      ENDIF
C
C....... Make sure local times are OK
      IF (IABS(UTORLT) .EQ. 0) THEN
         IF (ABS(MEDATA(1,1)) .GT. 0.001)  WRITE(6,393)
 393     FORMAT(2X,'ERROR! First local time must be zero')
         IF (ABS(MEDATA(NWTIM,1)-24.0) .GT. 0.001) WRITE(6,394)
 394     FORMAT(2X,'ERROR! last local time must be 24.0')
         IF (ABS(MEDATA(1,1)).GT.0.001 .OR.
     >      ABS(MEDATA(NWTIM,1)-24.0).GT.0.001) STOP
         MEDATA(1,1) = 0.0
         MEDATA(NWTIM,1) = 24.0
      ENDIF
      CLOSE (JUNIT)
      RETURN
      END
C
C 
C::::::::::::::::::::::::::::::: HWINPT :::::::::::::::::::::::::::::
C....... This subroutine provides the northern or southern hemisphere
C....... winds RESULT(2) from measured hmf2 (MEDATA(NWTIM,2)) for 
C....... the FLIP model given UTHRS is the universal time at which the
C....... wind will be determined, RUNHRS is the length of the run
C....... (hours). 
C....... NWTIM is the number of hmf2 times on the data file. SATK are
C....... the local times in the north or south hemispheres. The data
C....... file contains hmf2 in the northern or southern hemispheres.
C....... To calculate the HMF2 at the input UTHRS or SAT it does a 
C....... simple linear interpolation. Then it call HMFW2 to evaluate the 
C....... wind that corresponds to the HMF2. This subroutine may also provide 
C....... the density in RESULT(2), the temperature in RESULT(3), etc.,
C....... if there such data in the data file. COSDIP=cos(dip angle of the
C....... magnetic field), HPREV=hmf2 at previous time step and
C....... UPREV=wind at previous time step are provide by calling
C....... program.
C....... Programmer - D. A. Burns, June  1988.
C....... Modifications by Rama Lavu and P. Richards  26 JAN 89
C....... Dr. Phlip Richards, Kevin Zou    July 9, 93
C
      SUBROUTINE HWINPT(N,M,NWTIM,NCOLS,UTHRS,SATK,RUNHRS,COSDIP,
     >     HPREV,UPREV,MEDATA,UTORLT,RESULT)
C
      INTEGER  UTORLT,NWTIM,NCOLS(9)
      DOUBLE PRECISION WINDX,COSDIP,HPREV,UPREV,RESULT(M)
     >  ,RUNHRS
      REAL MEDATA(N,M), SAT,SATK,UTHRS
C
C....... If UTORLT =1 UT is used in the hemispheres else IF 
C....... UTORLT=0 calculate the RESULT at the specified local times
C....... The FLIP local time is adjusted to take into account the lag 
C....... in ionospheric response. Then correct to bring back to 0 - 24
C---- SAT = SATK+0.25
      SAT = SATK
      IF(SAT .GE. 24.0) THEN SAT = SAT-24.0
      IF (UTORLT .EQ. 1) THEN
        CALL INTWIN(N,M,NWTIM,NCOLS,UTHRS,MEDATA,RESULT)
      ELSE IF(UTORLT .EQ. 0) THEN
        CALL INTWIN(N,M,NWTIM,NCOLS,SAT,MEDATA,RESULT)
      ELSE
         WRITE(6,*) ' Problem with UT/LT switch in data file'
         STOP
      ENDIF
C
C..... Store the interpolation value HMF2 at required time
C..... in RESULT(1)
      RESULT(1)=RESULT(2)
C
C.... Now evaluate the wind that corresponds to the hmF2
      CALL HMF2W(SAT,COSDIP,RESULT(2),HPREV,UPREV,WINDX)
C--   CALL HMF2W(UTHRS,COSDIP,RESULT(2),HPREV,UPREV,WINDX)
C
C.....Convert wind result from m/sec to cm/sec and store the wind 
C.....result in RESULT(2) and 
      RESULT(2)=100.0*WINDX
C
      RETURN
      END
C
C
C::::::::::::::::::::::::::: HMF2W :::::::::::::::::::::::::::
C..... This subroutine adjusts the neutral wind to try to reproduce
C..... the stipulated HMF2. It uses the hmF2 (HPREV) and the wind
C..... (UPREV) from the previous time step and assumes a linear
C..... relationship between the wind and hmF2. Written by P. Richards
C..... December 1990. See Miller et al. references (WITS paper 1990)
C
      SUBROUTINE HMF2W(TIME,COSDIP,HMF2,HPREV,UPREV,WIND)
C
      REAL TIME,DHDU
      DOUBLE PRECISION COSDIP,HMF2,HPREV,UPREV,WIND,ALPHA(25),COLFAC
     > ,CFAC,GL
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/CFACT/COLFAC,CFAC(9),ISCH(9)
C....... DH/DU for January 1986
      DATA ALPHA/.25,.26,.27,.28,.29,.29,.30,.37,.48,.55,.58,.58,.58,.
     >  59,.57,.53,.48,.42,.38,.37,.33,.29,.27,.26,.25/
C
C........ The 1.7 factor enables collision factor scaling. 3.21 dip effect
      DHDU=-(ALPHA(NINT(TIME)+1)) * (1.7/COLFAC)
     > *(3.21*COSDIP*SIN(ACOS(COSDIP))) * (F107/75.0)
C..... calculate the constant of proportionality and correct for Dip
C---      DHDU=-(0.0125*TIME*(24-TIME) + 1.0) 
C---     > *(COSDIP*SIN(ACOS(COSDIP))) * 1.00000
      WIND = (HMF2-HPREV)/DHDU + UPREV
C...      WRITE(60,90) TIME,COLFAC,F107,COSDIP,HMF2,HPREV,UPREV,DHDU,WIND
 90   FORMAT(1X,F9.2,1P,9E10.2)
      RETURN
      END
C::::::::::::::::::::::::::: BISPLW ::::::::::::::::::::::::::::::::::
C.... Use bisection to find the nearest time MD(PDT,1) to desired
C.....time (STA or UTHRS). Return the position value PDT. Notice that the 
C.....input data of time MD(NWTIM,1) is in ascending order.
C.....Dr. Phlip Richards, Kevin Zou at July 9, 1993
C
      SUBROUTINE BISPLW(N,M,BEGIN,NWTIM,T,MD,PDT)
C
      INTEGER PDT,FIRST,LAST,MID,BEGIN,NWTIM
      REAL MD(N,M),T
C
      FIRST=BEGIN
      LAST=NWTIM
C    
 10   CONTINUE
           MID=(FIRST+LAST)/2+1
           IF(T.LE.MD(MID,1)) THEN
              LAST=MID-1
           ELSE
              FIRST=MID
           ENDIF  
      IF(FIRST.LT.LAST) GO TO 10
      IF(T.LT.MD(FIRST,1)) THEN
	   PTD=FIRST-1
      ELSE
	   PDT=FIRST
      ENDIF
      IF(T.LE.MD(BEGIN+1,1)) PDT=BEGIN
C
      RETURN
      END
C
C::::::::::::::::::::::::::: PWINDS ::::::::::::::::::::::::
C...... This subroutine prints data winds and ExB drifts read from data files
C...... Written by P. Richards in August 18 1993, modified September 1998
      SUBROUTINE PWINDS(IWIND,SATN,SATF,SEC,TSTOP,COSDIP,ZTOPTE
     >     ,EXB_TYPE)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL SEC,SATN,SATF,ZTOPTE
      DIMENSION COSDIP(401),DATINN(6),DATINS(6)
      INTEGER NWTIMN,NWTIMS,NCOLN,NCOLS,UTOLTN,UTOLTS,HMOWNN,HMOWNS
     > ,EXB_TYPE,IWIND
      COMMON/WPAR/NWTIMN,NWTIMS,NCOLN(9),NCOLS(9),UTOLTN,UTOLTS
     >  ,HMOWNN,HMOWNS
C
       !.. Print information about winds only if reading file
       IF(IWIND.GT.0) THEN
          NWTIMN=-1
          NWTIMS=-1
          CALL NTHWIN(NWTIMN,SEC/3600.,SATN,TSTOP,COSDIP(1),3.0D2
     >               ,0.0D0,DATINN,NCOLN,UTOLTN,HMOWNN,ZTOPTE)
          CALL PRNWIN(NCOLN,UTOLTN,HMOWNN,'NORTHern',ZTOPTE)
          CALL STHWIN(NWTIMS,SEC/3600.,SATF,TSTOP,COSDIP(1),3.0D2
     >               ,0.0D2,DATINS,NCOLS,UTOLTS,HMOWNS,ZTOPTE)
          CALL PRNWIN(NCOLS,UTOLTS,HMOWNS,'SOUTHern',ZTOPTE)
        ENDIF
        
        !.... info on ExB drifts
        WRITE(6,*) ' '
        IF(EXB_TYPE.EQ.3) THEN
           WRITE(6,*) '   EExBB drift:: L-values were read from file'
        ELSE IF(EXB_TYPE.EQ.-1) THEN
           WRITE(6,*) '   EExBB drift from Khazanov JGR, 1994 page 5923'
        ELSE
           WRITE(6,*) '   EExBB drift:: NONE on this run'
        ENDIF
        RETURN
        END
C
C:::::::::::::::::::::::::::: PRNWIN :::::::::::::::::::::::::::::::::
C..... This subroutine writes the information about the data in the 
C..... wind/hmf2 data file.
C..... NCOLS= number of columns in the file
C..... UTORLT indicates universial (UTORLT=1) or local (UTORLT=0) time
C..... HMORWN indicates hmF2 (HMORWN=1) or wind (HMORWN=0) in column 2
C..... HEMIS is used to indentify "southern" or "northern" hemisphere.
C..... Dr. Philip Richards, Kevin Zou   at July 29, 1993
C
      SUBROUTINE PRNWIN(NCOLS,UTORLT,HMORWN,HEMIS,ZTOPTE)
      CHARACTER*8 HEMIS
      INTEGER NCOLS(9),UTORLT,HMORWN
      REAL ZTOPTE
C
       !... Indicate if the wind data file exists. NCOLS(1)=0 if not
      IF(NCOLS(1) .LT. 2) THEN
         WRITE(6,11) HEMIS
 11      FORMAT(/1X,'-- No wind/hmF2 data file in the ',A9,
     >  ' hemisphere: Using IRI hmF2 to get equivalent wind instead --')
        RETURN
      ENDIF
C
      WRITE(6,45) HEMIS
 45   FORMAT(/1X,'-- Characteristics of the data in the '
     >  ,A,' hemisphere wind/hmF2 file --')
      !...Show whether UT or LT in data file.
      IF(UTORLT .EQ. 1) THEN
         WRITE(6,*) ' 1st column in data file has UT'
      ELSE
         WRITE(6,*) ' 1st column in data file has LT'
      ENDIF
C
      !...Show the whether hmF2 or wind in data file.
      IF(HMORWN .EQ. 1) THEN
         WRITE(6,*) ' Using HMF2 in 2nd column to get equivalent WIND '
      ELSE
         WRITE(6,*) ' Using WIND interpolated from 2nd column data'
      ENDIF
C
      !...... File contains density
      IF(NCOLS(3).EQ.1)  
     >  WRITE(6,*) ' Using NmF2 from 3rd column to normalize FLIP NmF2'
C
      !...... File contains topside electron temperature
      IF(NCOLS(4).EQ.1.AND.ZTOPTE.GT.200.0) WRITE(6,90) NINT(ZTOPTE)
 90   FORMAT('  Adjusting plasmasphere heating to match Te at'
     > ,I4,' km')
      IF(NCOLS(4).EQ.1.AND.ZTOPTE.LT.200.0) WRITE(6,*) 
     >  ' Adjusting plasmasphere heating to match Te at hmF2'

      !...... File contains ion temperature
      IF(NCOLS(5).EQ.1)
     >    WRITE(6,*) ' Using Tn/Ti from 5th column as MSIS T(exos)'
      !... using Te at hmF2 from column 6

      IF(NCOLS(6).EQ.1) WRITE(6,*)
     >  ' Multiplying MSIS O density by factor in column 6'
      RETURN
      END
C:::::::::::::::::::::::::GETINF ::::::::::::::::::::::::::::
C..... This subroutine determines the change in  MSIS Tinf that is needed
C..... to bring the FLIP NmF2 into agreement with the measurement
C..... See Richards et al [1997a,b]
      SUBROUTINE GETINF(DT,     ! time step in seconds
     >                  NMF2N,  ! Model NmF2
     >                  DNMF2N, ! Measured NmF2
     >                  NDFNOR, ! Output: Ratio of measured and modeled NmF2
     >                  TINFN,  ! Output: Adjusted Tinf
     >                  DELTIN, ! Output: Increment in Tinf
     >                  TMSIS)  ! Output: Saved value of Tinf increment 
      DOUBLE PRECISION NMF2N,DNMF2N,DT
      REAL NDFNOR,TINFN,DELTIN,TMSIS,DENRAT
         !.. The previous value is included to avoid sharp changes
         !.. NDFNOR, DELTIN = factors to adjust MSIS O, Tn
         DENRAT=NMF2N/DNMF2N
         IF(DENRAT.GE.1.0) THEN
            NDFNOR=0.5*(NDFNOR+(TMSIS/TINFN)**1.00000)  ! factor to adjust [O]
            DELTIN=0.5*(DELTIN+1000.0*ALOG(DENRAT)*DENRAT**2)
         ELSE
            DELTIN=0.5*(DELTIN+1000.0*ALOG(DENRAT)/DENRAT**2)
            NDFNOR=0.5*(NDFNOR+(TMSIS/TINFN)**1.00000)  ! factor to adjust [O]
         ENDIF
         IF(DELTIN.GT.999) DELTIN=999
         IF(DELTIN.LT.-999) DELTIN=-999
      RETURN
      END
C:::::::::::::::::::::: FLIPTN :::::::::::::::::::::::::::
C----- This subroutine allows FLIP to adjust the MSIS exospheric 
C----- temperature (TINF) based on either measured Ti or to allow FLIP to bring 
C----- NmF2 into agreement with observations
C----- Added by P. Richards 8/13/97
      SUBROUTINE FLIPTN(GLAT,TINF)
      REAL NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS,UVFAC,EUV
     > ,TMSN,TMSS,UPBND,LOBND,MINTN
      INTEGER NWTIMN,NWTIMS,NCOLN,NCOLS,UTOLTN,UTOLTS,HMOWNN,HMOWNS
     >   ,TPRIN
      COMMON/SOL/UVFAC(59),EUV
      COMMON/NDFAC/TPRIN,NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS
     >  ,TMSN,TMSS
      COMMON/WPAR/NWTIMN,NWTIMS,NCOLN(9),NCOLS(9),UTOLTN,UTOLTS
     >  ,HMOWNN,HMOWNS
      DATA UPBND,LOBND,MINTN /800.0,200,550/
      
      LOBND=0.25*TINF  !... max difference between MSIS when FLIP lower
      UPBND=0.5*TINF   !... max difference between MSIS when FLIP higher
C...... For printing phase with modified temps from file. Use stored values
      IF(TPRIN.EQ.1.AND.GLAT.GE.0.AND.TINFN.GT.400) TINF=TINFN
      IF(TPRIN.EQ.1.AND.GLAT.LT.0.AND.TINFS.GT.400) TINF=TINFS
      IF(TPRIN.EQ.1) RETURN

C..... Test to see if MSIS needs modifying (NCOLN(5)=1 use meas Ti)
      IF(UVFAC(52).GE.0.AND.NCOLN(5)+NCOLS(5).EQ.0) RETURN
C.... Adjust northern or southern hemisphere based on latitude sign
      IF(GLAT.GE.0) THEN
        TMSN=TINF     ! save MSIS value for testing FLIP value
        IF(NCOLN(5).EQ.1.AND.TINFN.GE.MINTN) THEN
          TINF=TINFN
        ELSEIF(NCOLN(5).EQ.-1.AND.TINFN.LT.MINTN) THEN
          TINF=TMSN-TINFN
        ELSE
          TINF=TMSN+DELTIN
          IF(TINF.LT.TMSN-LOBND) TINF=TMSN-LOBND
          IF(TINF.GT.TMSN+UPBND) TINF=TMSN+UPBND
          IF(TINF.LT.MINTN) TINF=MINTN
          TINFN=TINF
        ENDIF
      ENDIF
      !... southern hemisphere
      IF(GLAT.LT.0) THEN
        TMSS=TINF
        IF(NCOLS(5).EQ.1.AND.TINFS.LT.MINTN) THEN
          TINF=TINFS
        ELSEIF(NCOLS(5).EQ.-1.AND.TINFS.LT.MINTN) THEN
          TINF=TMSS-TINFS
        ELSE
          TINF=TMSS+DELTIS
          IF(TINF.LT.TMSS-LOBND) TINF=TMSS-LOBND
          IF(TINF.GT.TMSS+UPBND) TINF=TMSS+UPBND
          IF(TINF.LT.MINTN) TINF=MINTN
          TINFS=TINF
        ENDIF
      ENDIF
      RETURN
      END
C:::::::::::::::::::::::::GETINF2 ::::::::::::::::::::::::::::
C..... This subroutine determines the change in Tinf that is needed
C..... rather than calculating an increment for MSIS Tn
C..... This method tends to produce oscillations
C..... to bring the FLIP NmF2 into agreement with the measurement
C..... See Richards et al [1997a,b]
      SUBROUTINE GETINF2(DT,     ! time step in seconds
     >                  NMF2N,  ! Model NmF2
     >                  DNMF2N, ! Measured NmF2
     >                  NDFNOR, ! Output: Ratio of measured and modeled NmF2
     >                  TINFN,  ! Output: Adjusted Tinf
     >                  DELTIN, ! Output: Increment in Tinf
     >                  TMSIS)  ! Output: Saved value of Tinf increment 
      DOUBLE PRECISION NMF2N,DNMF2N,DT
      REAL NDFNOR,TINFN,DELTIN,TMSIS,DTNMAX,DELSAV
         ! max change in Tn adjusted for time step in seconds
         DELSAV=DELTIN
         DTNMAX=50.0*(DT/900.)
         DTNMAX=499     
         NDFNOR=(TMSIS/TINFN)**1.0          ! factor to adjust [O]
         DELTIN=1000*DLOG(NMF2N/DNMF2N)  
         IF(DELTIN.GT.DTNMAX) DELTIN=DTNMAX
         IF(DELTIN.LT.-DTNMAX) DELTIN=-DTNMAX
C...         IF(ABS(DELTIN).LT.25) DELTIN=0.0
         TINFN=TINFN+DELTIN
      RETURN
      END
C:::::::::::::::::::::: FLIPTN2 :::::::::::::::::::::::::::
C----- This subroutine allows FLIP to adjust the MSIS exospheric 
C----- temperature (TINF) based on either measured Ti or to allow FLIP to bring 
C----- NmF2 into agreement with observations
C----- Added by P. Richards 8/13/97
      SUBROUTINE FLIPTN2(GLAT,TINF)
      REAL NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS,UVFAC,EUV
     > ,TMSN,TMSS,UPBND,LOBND
      INTEGER NWTIMN,NWTIMS,NCOLN,NCOLS,UTOLTN,UTOLTS,HMOWNN,HMOWNS
     >  ,TPRIN
      COMMON/SOL/UVFAC(59),EUV
      COMMON/NDFAC/TPRIN,NDFNOR,NDFSOU,TINFN,TINFS,DELTIN,DELTIS
     >   ,TMSN,TMSS
      COMMON/WPAR/NWTIMN,NWTIMS,NCOLN(9),NCOLS(9),UTOLTN,UTOLTS
     >  ,HMOWNN,HMOWNS
      DATA UPBND,LOBND /800.0,300/
C...... For printing phase with modified temps from file. Use stored values
      IF(TPRIN.EQ.1.AND.GLAT.GE.0.AND.TINFN.GT.400) TINF=TINFN
      IF(TPRIN.EQ.1.AND.GLAT.LT.0.AND.TINFS.GT.400) TINF=TINFS
      IF(TPRIN.EQ.1) RETURN

C..... Test to see if MSIS needs modifying (NCOLN(5)=1 use meas Ti)
      IF(UVFAC(52).GE.0.AND.NCOLN(5)+NCOLS(5).EQ.0) RETURN
C.... Adjust northern or southern hemisphere based on latitude sign
      IF(GLAT.GE.0) THEN
        TMSN=TINF     ! save MSIS value for testing FLIP value
        IF(UVFAC(52).LT.0) TINF=TINFN
        IF(NCOLN(5).EQ.1) TINF=TINFN
        IF(TINF.LT.TMSN-LOBND) TINF=TMSN-LOBND
        IF(TINF.GT.TMSN+UPBND) TINF=TMSN+UPBND
        IF(TINF.LT.550) TINF=550
        TINFN=TINF
      ENDIF
      IF(GLAT.LT.0) THEN
        TMSS=TINF    ! save MSIS value for testing FLIP value
        IF(UVFAC(52).LT.0) TINF=TINFS
        IF(NCOLS(5).EQ.1) TINF=TINFS
        IF(TINF.LT.TMSS-LOBND) TINF=TMSS-LOBND
        IF(TINF.GT.TMSS+UPBND) TINF=TMSS+UPBND
        IF(TINF.LT.550) TINF=550
        TINFS=TINF
      ENDIF
      RETURN
      END

C:::::::::::::::::::::::::::::: HM_ADJUST :::::::::::::::::::::::
C.. Adjusting hmF2 to match NmF2 
       SUBROUTINE HM_ADJUST(IW,SATN,COSDIP
     > ,HMF2N,DHMF2N,NMF2N,DNMF2N,UNNSAV,UNN)
      IMPLICIT NONE
      INTEGER IW
      REAL SATN
      DOUBLE PRECISION COSDIP,HMF2N,DHMF2N,NMF2N,DNMF2N
     > ,UNNSAV,UNN,HM_NEW,DEL_HM
      DEL_HM=((DNMF2N-NMF2N)/DNMF2N)*100.00
      IF(DEL_HM.GT.25) DEL_HM=25
      IF(DEL_HM.LT.-25) DEL_HM=-25
      HM_NEW=DHMF2N+DEL_HM
      IF(HM_NEW.LT.200) HM_NEW=200
      IF(HM_NEW.GT.500) HM_NEW=500
      CALL HMF2W(SATN,COSDIP,HM_NEW,HMF2N,UNNSAV,UNN)
      UNN=UNN*100
      IF(IW.EQ.1) WRITE(6,91) HMF2N,DHMF2N,DEL_HM,NMF2N/DNMF2N
      IF(IW.EQ.2) WRITE(6,92) HMF2N,DHMF2N,DEL_HM,NMF2N/DNMF2N
 91   FORMAT('  Varying hmF2 in North:: h_FLIP=',F5.1
     >  ,1X,'h_data=',F5.1,' dh=',F6.2,' N_FLIP/N_data=',F5.2) 
 92   FORMAT('  Varying hmF2 in South-- h_FLIP=',F5.1
     >  ,1X,'h_data=',F5.1,' dh=',F6.2,' N_FLIP/N_data=',F5.2) 
      RETURN
      END
C................................ FLIPSUBS.FOR :::::::::::::::::::::
C.. This file contains subroutines that were on RSMNSD.FOR until July 1998
C::::::::::::::::::::::::::::::: FLIPIN :::::::::::::::::::::::::::::
      SUBROUTINE FLIPIN(S)
C......... This subroutine is used to initialize the arrays in the FLIP
C......... model. This is necessary for the IBM machine
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      INTEGER ION,IVERT
      REAL SEC,DEC,ETRAN,F107,F107A,AP,BLON,EUV,UVFAC,RATFAC
      DIMENSION S(50000)
      COMMON/V91/RVBT(401)
      COMMON/RFAC/RATFAC(99)
      COMMON/RK/VC(401)
      COMMON/FJS/N(4,401),TI(3,401),F(20)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/LPS/SZA(401),EPSN,DC,ISPC,I1,I2,IPV,JTIMAX,IPP,ISKP
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/SOL/UVFAC(59),EUV
      COMMON/MIA/ZNE(401),NOP(401),N2PLS(401),O2P(401),NPLUS(401)
      COMMON/MIB/OP2D(401),OP2P(401),N2D(401),N4S(401),NNO(401)
      COMMON/MIC/O1D(401),N2P(401)
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
      COMMON/CFACT/COLFAC,CFAC(9),ISCH(9)
      COMMON/VODDN/VN2D(401),VN4S(401),VNNO(401),VO1D(401),IVERT
C
      IVERT=0
      DO 828 IIJJ=1,50000
 828  S(IIJJ)=0.0
C
      SL(1)=0.0
      JMAX=401
C
      DO 15 I = 1, 3
      DO 15 J = 1, JMAX
        EHT(I,J) = 0.0D0
        TI(I,J) = 0.0D0
 15     TISAV(I,J) = 0.0D0
C
      DO 20 I = 1, 6
      DO 20 J = 1, JMAX
          STR (I,J) = 0.0D0
          STR (I+6, J) = 0.0D0
 20   CONTINUE
C
      DO 30 I = 1, 2
      DO 30 J = 1, JMAX
         U(I,J) = 0.0D0
         N(I,J) = 0.0D0
         N(I+1,J) = 0.0D0
         GR(I,J) = 0.0D0
         R(I,J) = 0.0D0
         UE(I,J) = 0.0D0
         NSAVE(I,J) = 0.0D0
  30     FY(I,J) = 0.0D0
C
      DO 35 J = 1, JMAX
         RVBT(J) = 0.0D0
         VC(J) = 0.0D0
         GL(J) = 0.0D0
         BG(J) = 0.0D0
         BM(J) = 0.0D0
         SL(J) = 0.0D0
         ON(J) = 0.0D0
         HN(J) = 0.0D0
         N2N(J) = 0.0D0
         O2N(J) = 0.0D0
         PHION(J) = 0.0D0
         TN(J) = 0.0D0
         OPLS(J) = 0.0D0
         VOPLS(J) = 0.0D0
         HE(J) = 0.0D0
         HEPRD(J) = 0.0D0
         OP(J) = 0.0D0
         Z(J) = 0.0D0
         UN(J) = 0.0D0
         SZA(J) = 0.0D0
         NOP(J)=0.0D0
         N2PLS(J)=0.0D0
         O2P(J)=0.0D0
         N2D(J)=0.0D0
         OP2D(J)=0.0D0
         OP2P(J)=0.0D0
         ZNE(J)=0.0D0
         N4S(J)=0.0D0
         NNO(J)=0.0D0
         O1D(J)=0.0D0
         N2P(J)=0.0D0
         NPLUS(J)=0.0D0
         VN2D(J)=0.0D0
         VN4S(J)=0.0D0
         VNNO(J)=0.0D0
         VO1D(J)=0.0D0
 35      RCON(J) = 0.0D0
C
      DO 40 I = 1, 99
        IF(I.LE.59) UVFAC(I)=0.0D0
 40     RATFAC(I) = 1.0D0
C
      DO 45 I = 1,20
 45     F(I) = 0.0D0
C
      DO 65 I=1,9
         CFAC(I)=0.0
         ISCH(I)=0
      DO 65 J=1,JMAX
         XIONN(I,J)=0.0D0
         XIONV(I,J)=0.0D0
 65   CONTINUE
      RETURN
      END
C:::::::::::::::::::::: DIAGPR :::::::::::::::::::::::::::
      SUBROUTINE DIAGPR(ISOL,JB,JK,JC,JQ,JNQ,JFQ,HMF2N,HMF2S
     > ,NMF2N,NMF2S,SATN,SATF,CHIN,CHIF,UNN,UNC,VTOT,PCO,VPERPN)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL SEC,DEC,ETRAN,F107,F107A,AP,BLON,D,T,CHI,SATN,SATF,SAT
     > ,GLONN,GLONS,CHIN,CHIF,GLATN,GLATS,UTHRS,RE,PLAT,PLON,PI,ANGVEL
     > ,GLON_EQ,GLAT_EQ,SZA_EQ,SAT_EQ
      DIMENSION D(8),T(2),NT(4)
      COMMON/PALT/ZLO,ZHI,JWR,JTI
      COMMON/RK/VC(401)
      COMMON/FJS/N(4,401),TI(3,401),F(20)
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/A/OPLS(401),VOPLS(401),HE(401),UE(2,401),HEPRD(401),OP(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/SAV/NSAVE(2,401),TISAV(3,401),FY(2,401),UN(401),EHT(3,401)
      COMMON/LPS/SZA(401),EPSN,DC,ISPC,I1,I2,IPV,JTIMAX,IPP,ISKP
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/GPAR/RE,PLAT,PLON,PI,ANGVEL
      COMMON/MIB/OP2D(401),OP2P(401),N2D(401),N4S(401),NNO(401)
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
      COMMON/CFACT/COLFAC,CFAC(9),ISCH(9)
      DATA JJJ/0/
C............. printing densities and temperatures in UNIT=8 ....
 453  UTHRS=SEC/3600.0
C
C........ determine the total flux tube contents (NT)
      DO 5 I=1,4
 5    NT(I)=0.0
      DO 29 J=JNQ,JMAX-JNQ
         NT(1)=NT(1)+BM(JB)*N(1,J)*(SL(J)-SL(J-1))/BM(J)  !O+
         NT(2)=NT(2)+BM(JB)*N(2,J)*(SL(J)-SL(J-1))/BM(J)  !H+
         NT(4)=NT(4)+BM(JB)*N(4,J)*(SL(J)-SL(J-1))/BM(J)  !He+
 29   CONTINUE
C
C........ determine the index (JK) of nmF2 in NORTHern hemisphere.
C........ The O+ peak index (JKO) is used if there is no F2 peak
      DO 129 JS=1,JQ-1
         IF(Z(JS).LT.ZLO) JZLON=JS
         J=JQ-JS+1
         IF(Z(J).GT.1000.0.OR.JS.EQ.1) JK=J
         IF(Z(J).GT.1000.0.OR.JS.EQ.1) JKO=J
         IF(N(1,J).GT.N(1,JKO)) JKO=J
         IF((N(1,J)+N(3,J)) .GT. (N(1,JK)+N(3,JK))) JK=J
         IF(Z(J).LT.180.0) GO TO 130
C....         IF((N(1,J)+N(3,J)) .GT. (N(1,J-1)+N(3,J-1))) GO TO 130
 129  CONTINUE
 130  CONTINUE
C...... Make sure closest altitude taken for ZLO alt
      IF(ABS(Z(JZLON+1)-ZLO).LT.ABS(ZLO-Z(JZLON-1))) JZLON=JZLON+1
      JZLOC=JMAX+1-JZLON
C........ determine the indices (JC,JCO) for nmF2 in SOUTHern hemisphere
      DO 229 J=JQ,JMAX-1
         IF(Z(J).GT.1000.0.OR.J.EQ.JQ) JC=J
         IF(Z(J).GT.1000.0.OR.J.EQ.JQ) JCO=J
         IF(N(1,J).GT.N(1,JCO)) JCO=J
         IF((N(1,J)+N(3,J)) .GT. (N(1,JC)+N(3,JC))) JC=J
         IF(Z(J).LT.180.0) GO TO 230
C....         IF((N(1,J)+N(3,J)) .GT. (N(1,J+1)+N(3,J+1))) GO TO 230
 229  CONTINUE
 230  CONTINUE
      IF(ISOL.EQ.0) JC=1
      IF(ISOL.EQ.0) JK=1
C
      JFQ=JMAX+1-JNQ
      FYNOP=N(1,JNQ)*U(1,JNQ)*BM(JB)/BM(JNQ)
      FYNHP=N(2,JNQ)*U(2,JNQ)*BM(JB)/BM(JNQ)
      FYNHEP=N(4,JNQ)*UE(1,JNQ)*BM(JB)/BM(JNQ)
      FYNNP=XIONN(1,JNQ)*XIONV(1,JNQ)*BM(JB)/BM(JNQ)
      FYFOP=N(1,JFQ)*U(1,JFQ)*BM(JB)/BM(JFQ)
      FYFHP=N(2,JFQ)*U(2,JFQ)*BM(JB)/BM(JFQ)
      FYFHEP=N(4,JFQ)*UE(1,JFQ)*BM(JB)/BM(JFQ)
      FYFNP=XIONN(1,JFQ)*XIONV(1,JFQ)*BM(JB)/BM(JFQ)
C
      JJJ=JJJ+1
!jntu      IF(JJJ.EQ.1) WRITE(3,351) NINT(ZLO),NINT(Z(JNQ))
!      IF(JJJ.EQ.1) WRITE(9,352) NINT(ZLO),NINT(Z(JNQ))
      IF(JJJ.EQ.1) WRITE(4,353) NINT(Z(JQ))
! 351  FORMAT(/5X,'Important parameters in the NORTHern hemisphere:-'
!     > ,3X,' and Neutrals at alt= ',I7,' km;   fluxes at ',I7,' km')
! 352  FORMAT(/5X,'Important parameters in the SOUTHern hemisphere'
!     > ,3X,' and Neutrals at alt= ',I7,' km;   fluxes at ',I7,' km')
 353  FORMAT(/5X,'Important parameters in the EQUATorial plane-'
     > ,I11,' km')
C
!      IF(JJJ.EQ.1.AND.ISOL.EQ.0) WRITE(3,951)
      IF(JJJ.EQ.1.AND.ISOL.EQ.0) WRITE(4,951)
!      IF(JJJ.EQ.1.AND.ISOL.EQ.0) WRITE(9,951)
 951  FORMAT(/1X,9('*'),'Do not use first 10-12 hours - too close to'
     > ,1X,'initial conditions',9('*'))
C
!      IF(JJJ.EQ.1) WRITE(3,451)
      IF(JJJ.EQ.1) WRITE(4,534)
!      IF(JJJ.EQ.1) WRITE(9,451)
! 451  FORMAT(/4X,'UT',4X,'LT',3X,'Chi',2X,'Te',2X,'HmF2',2X,'Wind',2X
!     > ,'NmF2',3X,'[min +]',4X,'PhiH+',5X,'PhiO+',4X,'PhiHe+',5X,'[O]'
!     > ,4X,'[O2]',4X,'[N2]',4X,'[H]',5X,'[He]',5X,'Tn') !JNTU,2X,'PhiN+')
 534  FORMAT(/4X,'UT',3X,'LT',4X,'Ti',6X,'Te',6X,'[O+]',6X
     > ,'[H+]',6X,'[He+]',6X,'PhiH+',5X,'PhiO+',5X,'PhiHe+',4X
     > ,'NT(O+)',3X,'NT(H+)',4X,'NT(He+)',3X,'[N+]') !JNTU,4X,'PhiN+')
C....... Print north params but get neutral densities first
      CALL AMBS(1,ZLO,GL(JZLON),D,T,CHI,SAT,GLONN,GLATN)
C
C....... Determine HmF2 and Nmf2: [e] = [O+] + [min+]. If no [e] max above
C....... 200 km just use O+ max. Avoid problems with IRI model
       IF(ISOL.NE.0) THEN
          IF(Z(JK).LT.200.0) THEN
C...          IF(IABS(JK-JKO).GT.3) THEN
             JK=JKO
             CALL F2PEAK(N(1,JK-1),N(1,JK),N(1,JK+1)
     >       ,Z(JK-1),Z(JK),Z(JK+1),NMF2N,HMF2N)
             NMF2N=NMF2N+N(3,JK)
          ELSE
             CALL F2PEAK(N(1,JK-1)+N(3,JK-1),N(1,JK)+N(3,JK)
     >      ,N(1,JK+1)+N(3,JK+1),Z(JK-1),Z(JK),Z(JK+1),NMF2N,HMF2N)
          ENDIF
       ENDIF
C...... ZNE is for Ed Szus. printout at a particular altitude - off
       ZNE=N(1,JZLON)+N(2,JZLON)+N(3,JZLON)+N(4,JZLON)
!       WRITE(3,356) UTHRS,SATN,NINT(57.3*CHIN),NINT(TI(3,JK)),
!     > NINT(HMF2N),NINT(UNN/100.),NMF2N,N(3,JK),FYNHP,FYNOP,FYNHEP
!     > ,D(2),D(4),D(3),D(7),D(1),NINT(T(2)) !JNTU,FYNNP
C
C....... Conjugate hemisphere. Determine HmF2 and NmF2
       IF(ISOL.NE.0) THEN
          IF(Z(JC).LT.200.0) THEN
C....          IF(IABS(JC-JCO).GT.3) THEN
             JC=JCO
             CALL F2PEAK(N(1,JC-1),N(1,JC),N(1,JC+1)
     >       ,Z(JC-1),Z(JC),Z(JC+1),NMF2S,HMF2S)
             NMF2S=NMF2S+N(3,JK)
          ELSE
             CALL F2PEAK(N(1,JC-1)+N(3,JC-1),N(1,JC)+N(3,JC)
     >      ,N(1,JC+1)+N(3,JC+1),Z(JC-1),Z(JC),Z(JC+1),NMF2S,HMF2S)
          ENDIF
       ENDIF
C
      CALL AMBS(JMAX,ZLO,GL(JZLOC),D,T,CHI,SAT,GLONS,GLATS)
      ZNE=N(1,JZLOC)+N(2,JZLOC)+N(3,JZLOC)+N(4,JZLOC)
!      WRITE(9,356) UTHRS,SATF,NINT(57.3*CHIF),NINT(TI(3,JC))
!     > ,NINT(HMF2S)
!     > ,(NINT(UNC/100.)),NMF2S,N(3,JC),-FYFHP,-FYFOP,-FYFHEP
!     > ,D(2),D(4),D(3),D(7),D(1),NINT(T(2)) !JNTU,-FYFNP

      !. Get LT at equator
      CALL AMBS(1,Z(JQ),GL(JQ),D,T,SZA_EQ,SAT_EQ,GLON_EQ,GLAT_EQ)
cjntu      WRITE(4,357) UTHRS,SAT_EQ,NINT(TI(2,JQ))
cjntu     > ,NINT(TI(3,JQ)),N(1,JQ),N(2,JQ),N(4,JQ)
cjntu     > ,N(2,JQ)*U(2,JQ)*BM(JB)/BM(JQ),N(1,JQ)*U(1,JQ)*BM(JB)/BM(JQ)
cjntu     > ,N(4,JQ)*UE(1,JQ)*BM(JB)/BM(JQ),NT(1),NT(2),NT(4),XIONN(1,JQ)
cjntu     > ,XIONN(1,JQ)*XIONV(1,JQ)*BM(JB)/BM(JQ)
      WRITE(4,357) UTHRS,SAT_EQ,TI(2,JQ)
     > ,TI(3,JQ),N(1,JQ),N(2,JQ),N(4,JQ)
     > ,N(2,JQ)*U(2,JQ)*BM(JB)/BM(JQ),N(1,JQ)*U(1,JQ)*BM(JB)/BM(JQ)
     > ,N(4,JQ)*UE(1,JQ)*BM(JB)/BM(JQ),NT(1),NT(2),NT(4),XIONN(1,JQ)

      !... Write parameters that change for E x B drifts
      IF(JJJ.EQ.1) WRITE(66,354) NINT(Z(JNQ))
 354  FORMAT(/5X,' *** Parameters that change during ExB drift ***'
     > ,3X,' ion fluxes at ',I7,' km'
     > ,/4X,'UT LT_EQ L-Shell Vperp latn lonn lats  lons  tube_vol'
     > ,' lb_alt alt_1 netHflx   netOflx   H+_tot    O+_tot'
     > ,'    H+_eq     O+_eq')
      IF(JJJ.EQ.1) NETHFLX=0.0 
      IF(JJJ.EQ.1) NETOFLX=0.0 
      NETHFLX=NETHFLX+(FYNHP-FYFHP)*DT
      NETOFLX=NETOFLX+(FYNOP-FYFOP)*DT
      VPERPI=VPERPN/(PCO*SQRT(4*PCO-3))     !.. E in the ionosphere
      WRITE(66,358) UTHRS,SAT_EQ,PCO,VPERPI/100.0
     >  ,NINT(GLATN),NINT(GLONN),NINT(GLATS)
     >  ,NINT(GLONS),VTOT,NINT(Z(JB)),NINT(Z(1))
     >  ,NETHFLX,NETOFLX,NT(2),NT(1),N(2,JQ),N(1,JQ)

cjntu 356  FORMAT(F8.2,F6.2,I4,I5,I4,I5,1P,E9.2,1P,E9.2,1P,2E10.2,1P,E9.1
cjntu     >  ,5E8.1,I5,5E9.1)
 356  FORMAT(F8.2,F6.2,I4,I6,I4,I5,1P,E9.2,1P,E10.3,1P,3E10.2,1P
     >  ,5E8.1,I5)
 357  FORMAT(F8.2,F6.2,2F8.1,1P,3E10.3,1P,3E10.2,1P,4E10.3)
 358  FORMAT(F8.2,F6.2,F6.3,F7.1,I5,I6,I5,I6,1P,E10.2,2I6,1P,6E10.2)
      RETURN
      END
C::::::::::::::::::::::: MAGDEC :::::::::::::::::::::::::::
C...... This routine uses a table to calculate the magnetic declination
C...... (DECPT) for use with a neutral wind model. The table was constructed 
C...... using " The Earth's magnetic Field" by Robert Merrill and
C...... Michael McElhinny, Academic Press p 18. (UAH library # QC816.M47) 
C...... The declination at the specified location (degrees) is obtained
C...... by bilinear interpolation of the table values
C...... Written by Phil Richards, August 1995
C...... This code is not accurate near the magnetic poles
C...... GLAT, GLONG, and DECPT are in degrees
       SUBROUTINE MAGDEC(GLAT,GLONG,DECPT)
       IMPLICIT NONE
C------- NLONG=# longs, NLAT= # lats. I,J,K are array indices
       INTEGER NLONG,NLAT,I,J,K
       PARAMETER (NLONG=13,NLAT=11) 
       REAL GLAT,GLONG,DECPT
       REAL ALONG(NLONG),ALAT(NLAT),DECLS(13,11),RLAT,RLONG
C....... Fill up the longitude, latitude, and magnetic declination arrays
       DATA ALONG/0,30,60,90,120,150,180,210,240,270,300,330,360/
       DATA ALAT/-90,-80,-60,-40,-20,0,20,40,60,80,90/
C------ The declinations are loaded in latitude slices. The first NLONG
C------ values are for the first latitude in the ALAT array
       DATA DECLS / -20,-45,-67,-95,-125,170,110,80,60,40,20,0,-20
     > ,-20,-40,-63,-82,-120,140,82,65,52,35,16,-2,-20, -20,-35,-55,-70
     > ,-60,35,45,40,38,30,10,-7.5,-20, -27,-28,-42,-35,-5,13,20,21,21
     > ,20,0,-21,-27, -21,-15,-22,-10,2,8,13,13,12,11,-7,-25,-21, -10
     > ,-2,-4,-3.5,2,6,12,9,8,6,-10,-20,-10, -5,1,0,-2,-2,1,10,12,11,5
     > ,-14,-16,-5, -5,3,5,2,-7,-5,7,17,17,2,-20,-16,-5, -7,7,16,10,-12
     > ,-11,6,25,30,-7.5,-36,-15,-7, -10,10,25,20,-11,-11,7,30,42,-40
     > ,-52,-33,-10, -12,10,27,25,-7,-7,7,32,50,-70,-60,-35,-12/
C---- Find the index in the longitude array
       DO 20 I=1,NLONG
         IF(GLONG.LT.ALONG(I)) GO TO 30
  20   CONTINUE
  30   CONTINUE
       J=I-1
C---- Find the index in the latitude array
       DO 40 I=1,NLAT
         IF(GLAT.LT.ALAT(I)) GO TO 50
 40    CONTINUE
 50    CONTINUE
       K=I-1
C------ Now do the bilinear fit (Press et al. Num. Rec. page 96)
       RLAT=(GLAT-ALAT(K))/(ALAT(K+1)-ALAT(K))
       RLONG=(GLONG-ALONG(J))/(ALONG(J+1)-ALONG(J))
       DECPT=(1-RLAT)*(1-RLONG)*DECLS(J,K)+RLONG*(1-RLAT)*DECLS(J+1,K)
     >   +RLAT*RLONG*DECLS(J+1,K+1)+(1-RLONG)*RLAT*DECLS(J,K+1)
       END
C:::::::::::::::::::::::::::: RUNPRN ::::::::::::::::::::::::::::::::::::::
C----- This subroutine prints out the characteristics of the FLIP run
C----- Written by Phil Richards in February 1993
      SUBROUTINE RUNPRN(IFILE,ISKP,ZLBDY,HPEQ,FPAS,HFAC,UVFAC,TIMEON
     >  ,TIMEOF,AURFAC,PCOFM,PCO)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      INTEGER RCLPD
      REAL UVFAC(59),TIMEON,TIMEOF,AURFAC,RHMF2N,RNMF2N,FOE
      REAL AMP_RING,TMAX,SIGT,LMAX,SIGL,RC_TIME_CON,PROP,RCPEAK
      COMMON/CONFAC/IWIND,IVIBN2,IODDN,INPLUS,IHEP,ITEMP,IHPOP
      COMMON/RC/AMP_RING,TMAX,SIGT,LMAX,SIGL,RC_TIME_CON,PROP,RCPEAK
C
      WRITE(IFILE,5)
 5    FORMAT(/1X,9('*'),' Interhemispheric solutions along magnetic'
     > ,1X,'flux tube ',9('*'))
      IF(ITEMP.EQ.1.AND.IHPOP.EQ.1) WRITE(IFILE,8)
 8    FORMAT(1X,'Continuity and momentum equations solved for [H+],'
     > ,1X,'and [O+]',/1X,'Energy equations solved for Te, Ti')
      IF(ITEMP.EQ.1.AND.IHPOP.EQ.0) WRITE(IFILE,10)
 10   FORMAT(1X,'Energy equations solved for Te, Ti.',/1X,
     > '[H+] and [O+] from initial conditions only'
     > ,1X,' - densities do not change')
      IF(ITEMP.EQ.0.AND.IHPOP.EQ.1) WRITE(IFILE,15)
 15   FORMAT(1X,'Continuity and Momentum equations solved for [H+],'
     > ,1X,'and [O+].',/5X,'Te, Ti from initial conditions only')
      IF(ITEMP.EQ.0.AND.IHPOP.EQ.0) WRITE(IFILE,20)
 20   FORMAT(1X,'WARNING !! No Te, Ti, [H+], [O+]')
C
      IF(INPLUS.EQ.0.AND.IHEP.EQ.0) WRITE(IFILE,25)
 25   FORMAT(1X,'No [He+] nor [N+] solutions available')
      IF(INPLUS.EQ.1) WRITE(IFILE,30)
 30   FORMAT(1X,'Continuity and momentum equations solved for both'
     > ,1X,'[He+] and [N+]')
      IF(INPLUS.EQ.0.AND.IHEP.EQ.1) WRITE(IFILE,35)
 35   FORMAT(1X,'Continuity and momentum equations solved for'
     >  ,1X,'[He+] but not for [N+]')
C
      WRITE(IFILE,38)
 38   FORMAT(/1X,9('*'),' Solutions on vertical grid in Northern and'
     >  ,1X,'Southern hemisphere ',9('*'))
      IF(IODDN.EQ.0.AND.IVIBN2.EQ.0) WRITE(IFILE,40)
 40   FORMAT(1X,'IODDN: Only chemical equilibrium densities for N(2D),'
     > ,1X,'N(4S), and NO.',/1X,'IVIBN2: No solution for vibrationally'
     > ,1X,'excited N2')
      IF(IODDN.EQ.1.AND.IVIBN2.EQ.0) WRITE(IFILE,45)
 45   FORMAT(1X,'IODDN: Continuity and momentum equations solved for'
     >  ,1X,'N(2D), N(4S) and NO.',/1X,'IVIBN2: No vibrationally'
     >  ,1X,'excited N2')
      IF(IVIBN2.EQ.1) WRITE(IFILE,50)
 50   FORMAT(1X,'IODDN: Continuity and momentum equations solved for'
     >   ,1X,'N(2D), N(4S), NO',/1X,'IVIBN2: Continuity and momentum'
     >   ,1X,' for vibrationally excited N2 (v=0-5)')
      IF(IVIBN2.GT.1) WRITE(IFILE,51)
 51   FORMAT(1X,'IODDN: Continuity and momentum equations solved for'
     >   ,1X,'N(2D), N(4S), NO',/1X,'IVIBN2: Continuity and momentum'
     >   ,1X,' for vibrationally excited N2 (v=0-5)'
     >   ,/5X,'**WARNING** N2* populations NOT stored BUT O+ + N2*'
     >   ,1X,'rate factor is stored')
C
      IF(IWIND.EQ.0) WRITE(IFILE,55)
      IF(IWIND.EQ.-1) WRITE(IFILE,60)
      IF(IWIND.EQ.-2) WRITE(IFILE,62)
      IF(IWIND.EQ.-3) WRITE(IFILE,63)
      !... print IRI version
!      IF(IWIND.LT.0) CALL IRIHMF(999.0,289.0,70.0
!     >   ,300.0,1,12.0,RHMF2N,RCLPD,RNMF2N,FOE)
!      IF(IWIND.LT.0.AND.PCO.LT.1.3)
!     >  WRITE(IFILE,*) ' ** CAUTION, hmF2 alg. is unreliable L<1.3'

 55   FORMAT(/1X,'WINDS: Using Hedin''s HWM93 wind model.')
 60     FORMAT(/1X,'WINDS: Using IRI hmF2 to derive winds with'
     >   ,1X,'Richards method, JGR 1991 pp 17839.')
 62     FORMAT(/1X,'NMF2: Using IRI hmF2 and NmF2 to normalize'
     >   ,1X,' FLIP density using Richards GRL 1995 algorithm.')
 63     FORMAT(/1X,'NMF2: Using IRI hmF2 and NmF2 to normalize'
     >   ,1X,' FLIP density with Richards et al. JGR,1998 MSIS'
     >   ,1X,'modification algorithm.')

      WRITE(IFILE,67) ZLBDY
 67   FORMAT(1X,'Z0: The absolute lower boundary =',F6.1,' km')
      WRITE(IFILE,70) FPAS
 70   FORMAT(/1X,'FPAS: Plasmaspheric pitch angle trapping factor ='
     >  ,F5.2)
      IF(HFAC.GT.0) WRITE(IFILE,75) HFAC
 75   FORMAT(1X,'HFAC: PLASMAspheric heating multiplied by = ',F5.2)
      IF(HFAC.LT.0) WRITE(IFILE,76) -HFAC
 76   FORMAT(1X,'HFAC: IONOspheric heating multiplied by = ',F5.2)
C
      IF(AURFAC.GT.0) WRITE(IFILE,80) TIMEON,TIMEOF,AURFAC
 80   FORMAT(/1X,'TIMEON: Auroral production will come on at ',F6.2,
     > ' hours LT,',/4X,'TIMEOF: switches off at ',F6.2,' hours.'
     > ,/1X,'AURFAC: The auroral multiplicative factor = ',F5.2/)
      IF(AMP_RING.GT.0) WRITE(IFILE,86)
 86   FORMAT(/1X,' There is RING CURRENT heating on this run'/)
C
      RETURN
      END
C::::::::::::::::::::::::::::: IRIPRN :::::::::::::::::::::::::::::
C------ Output for comparison with IRI model 20 APR 1992
!      SUBROUTINE IRIPRN(IRIHED,SEC,DT,SATN,CHIN,NMF2N,DNMF2N,HMF2N
!     >   ,DHMF2N,SATF,CHIF,NMF2S,DNMF2S,HMF2S,DHMF2S,IDAY
!     >   ,GLATN,GLONN,GLATF,GLONF,F107A)
!      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
!      REAL SEC,SATN,SATF,CHIN,CHIF,RDAY,SX
!      REAL GLATN,GLONN,GLATF,GLONF,F107A
!      REAL RHMF2N,RNMF2N,FOE,RHMF2S,RNMF2S
!      INTEGER RCLPD
!jntu      IF(IRIHED.NE.1) WRITE(12,517)
!      IRIHED=1
!      CALL ACTUAL_DAY(IDAY,SEC,JDAY,SX)
!      CALL IRIHMF(GLATN,GLONN,F107A,SNGL(HMF2N),JDAY,SATN
!     >       ,RHMF2N,RCLPD,RNMF2N,FOE)
!      CALL IRIHMF(GLATF,GLONF,F107A,SNGL(HMF2S),JDAY,SATF
!     >       ,RHMF2S,RCLPD,RNMF2S,FOE)
!      RDAY=REAL(MOD(IDAY,1000))+SEC/86400.
!jntu      WRITE(12,518) SEC/3600.,SATN,57.3*CHIN,NMF2N
!     > ,RNMF2N/1.0E6,HMF2N,RHMF2N,SATF,57.3*CHIF,NMF2S
!     > ,RNMF2S/1.0E6,HMF2S,RHMF2S,RDAY
C
! 517  FORMAT(/5X,' Comparison of FLIP NmF2 and HmF2  with the IRI model'
!     >  ,//20X,'Northern hemisphere',25X,'Southern hemisphere'
!     >  ,/1X,'  UT     LT    SZA      NmF2     Nm-IRI   HmF2   Hm-IRI'
!     >  ,4X,' LT    SZA     NmF2     Nm-IRI   HmF2   Hm-IRI   DAY')
! 518  FORMAT(3F7.2,1P,2E10.2,0P,2F7.2,2X,2F7.2,1P,2E10.2,0P,3F7.2)
!      RETURN
!      END
C:::::::::::::::::::::: PRCAUT ::::::::::::::::::::::::::::::::
C------ This subroutine writes a warning about first 12 hours when
C------ creating a new field line
      SUBROUTINE PRCAUT(ICAUTN)
      ICAUTN=1
!jntu      WRITE(3,90)
      WRITE(4,90)
      WRITE(6,90)
!      WRITE(9,90)
!      WRITE(12,90)
!      WRITE(56,90)
      WRITE(66,90)
 90   FORMAT(/2X,9('*'),' DISCARD data above this line - too close'
     > ,1X,'to initial conditions ',9('*'))
      END
C::::::::::::::::::::::::::::: EUVPRN :::::::::::::::::::::::::::::
C------ Output for comparison with IRI model 20 APR 1992
      SUBROUTINE EUVPRN(JK,JC,JFREQN,JFREQS,SEC,SATN,CHIN,SATF,CHIF
     >  ,IDAY,F107,F107A,TI)
      IMPLICIT NONE
      INTEGER IDAY,JDAY,JK,JC,JFREQN,JFREQS
      REAL SEC,SATN,SATF,CHIN,CHIF,RDAY,SX,F107,F107A
      REAL EUVION,PEXCIT,PEPION,CE_NTH,CE_STH,LOSS_NTH,LOSS_STH
      REAL ATTEN_NTH,ATTEN_STH
      DOUBLE PRECISION ON,HN,N2N,O2N,PHION,TN,TI(3,401),RTS(99),VC
      COMMON/EUVPRD/EUVION(3,12,401),PEXCIT(3,12,401),PEPION(3,12,401)
      COMMON/ND/ON(401),HN(401),N2N(401),O2N(401),PHION(401),TN(401)
      COMMON/RK/VC(401)
      DATA RDAY/-1.0/
      IF(RDAY.LT.0.0) WRITE(13,517)
 517  FORMAT(/5X,' Diagnostics for O+ chemistry at hmF2'
     >  ,1X,'in the Northern hemisphere'
     >  ,/1X,'  UT     LT    DAY   Jt_hm    Atten   N2_lossf O2_lossf'
     >  ,2X,'Ch_eq    O_N2   O_O2        OX      N2       O2      TINF')

      IF(RDAY.LT.0.0) WRITE(16,518)
 518  FORMAT(/5X,' Diagnostics for O+ chemistry at hmF2'
     >  ,1X,'in the Southern hemisphere'
     >  ,/1X,'  UT     LT    DAY   Jt_hm    Atten   N2_lossf O2_lossf'
     >  ,2X,'Ch_eq    O_N2   O_O2        OX      N2       O2      TINF')

      CALL ACTUAL_DAY(IDAY,SEC,JDAY,SX) 
      RDAY=REAL(MOD(IDAY,1000))+SEC/86400.

      !.... Northern hemisphere chemistry
      CALL RATS(JK,TI(3,JK),TI(2,JK),TN(JK),RTS)
      CE_NTH=PHION(JK)/(N2N(JK)*VC(JK)*RTS(3)+O2N(JK)*RTS(4))
      LOSS_NTH=N2N(JK)*VC(JK)*RTS(3)+O2N(JK)*RTS(4)
      ATTEN_NTH=EUVION(1,1,JK)*ON(JFREQN)/ON(JK)/
     >  (EUVION(1,1,JFREQN)+1.0E-22)
 
      IF(RDAY.GT.-99) WRITE(13,519) SEC/3600.,SATN,RDAY
     > ,PHION(JK)/ON(JK),ATTEN_NTH
     > ,N2N(JK)*VC(JK)*RTS(3),O2N(JK)*RTS(4)
     > ,CE_NTH,ON(JK)/N2N(JK),ON(JK)/O2N(JK)
     > ,ON(JK),N2N(JK),O2N(JK),TN(JFREQN)

      !... Southern hemisphere - chemistry
      CALL RATS(JK,TI(3,JC),TI(2,JC),TN(JC),RTS)
      CE_STH=PHION(JC)/(N2N(JC)*VC(JC)*RTS(3)+O2N(JC)*RTS(4))
      LOSS_STH=N2N(JC)*VC(JC)*RTS(3)+O2N(JC)*RTS(4)
      ATTEN_STH=EUVION(1,1,JC)*ON(JFREQS)/ON(JC)/
     >  (EUVION(1,1,JFREQS)+1.0E-22)

      IF(RDAY.GT.-99) WRITE(16,519) SEC/3600.,SATF,RDAY
     > ,PHION(JC)/ON(JC),ATTEN_STH
     > ,N2N(JC)*VC(JC)*RTS(3),O2N(JC)*RTS(4)
     > ,CE_STH,ON(JC)/N2N(JC),ON(JC)/O2N(JC)
     > ,ON(JC),N2N(JC),O2N(JC),TN(JFREQS)

 519  FORMAT(F7.2,F6.2,F7.2,1P,5E9.2,0P,2F7.2,2X,1P,3E9.2
     >  ,0P,F9.2)
      RETURN
      END
C:::::::::::::::::::::::: MPOLE_LOC ::::::::::::::::::::::::::::::::
C... This function calls the routines that determine the latitude and 
C... longitude of the pseudo north magnetic pole. These are different
C... for the two hemispheres
C... Written by P. Richards in June 2001
      SUBROUTINE MPOLE_LOC(GLONG,     !... Geographic long. in degrees
     >                     GLAT,      !... Geographic lat. in degrees
     >                     IDAY,      !... year
     >                     PLAT,PLON) !... pole position in radians
      IMPLICIT NONE
      INTEGER IDAY
      REAL GLAT,GLONG,PLAT,PLON
      IF(GLAT.GE.0) CALL MPOLE_NTH(GLONG,IDAY,PLAT,PLON)
      IF(GLAT.LT.0) CALL MPOLE_STH(GLONG,IDAY,PLAT,PLON)
      RETURN
      END
C:::::::::::::::::::::::: MPOLE_NTH ::::::::::::::::::::::::::::::::
C... This function returns the latitude and longitude of the
C... pseudo north magnetic pole for a tilted, centred, dipole. The 
C... pole position varies with geographic location on the Earth so 
C... as to provide fair agreement with L values from the IGRF model.
C... This routine is for the northern latitudes. There is a separate
C... routine for southern latitudes. It is most accurate for L=3 and 
C... not very accurate at the Atlantic longitudes.
C... Written by P. Richards in June 2001
      SUBROUTINE MPOLE_NTH(GLONG,      !... Geographic long. in degrees
     >                     IDAY,      !... year
     >                     PLAT,PLON)  !... pole position in radians
      IMPLICIT NONE
      INTEGER I,DIM,IDAY
      PARAMETER (DIM=19)
      REAL GLONG,PLAT,PLON,DLAT,DLON,GEOLON(DIM),MAGLON(DIM)
      REAL MAGLAT(DIM),GRAD,XCUT

      DATA GEOLON/0,20,40,60,80,100,120,140,160,180,200,220,240
     > ,260,280,300,320,340,360/

      DATA MAGLAT/78.0,78.0,80.0,81.0,83.0,83.5,83.5,82.0,81.0
     > ,80.0,80.0,79.0,78.0,77.0,77.5,79.0,80.0,79.0,78.0/

      DATA MAGLON/270.0,280.0,284.0,295.0,300.0,295.0,295.0,295.0,295.0
     > ,295.0,295.0,293.0,290.0,290.0,290.0,280.0,267.0,265.0,270.0/


      IF(GLONG.LT.0) GLONG=GLONG+360
      IF(GLONG.GT.360) GLONG=GLONG-360
      PLAT=MAGLAT(1)
      PLON=MAGLON(1)

      !.. Loop backwards to locate the GLONG within the GLONG array
      I=DIM+1
  10  I=I-1
      IF(GLONG.LT.GEOLON(I)) GO TO 10

      !... Now find the longitude by linear interpolation
      GRAD=(MAGLON(I+1)-MAGLON(I))/(GEOLON(I+1)-GEOLON(I))
      XCUT=MAGLON(I)-GEOLON(I)*GRAD
      PLON=GLONG*GRAD+XCUT

      !... now find the latitude by linear interpolation
      GRAD=(MAGLAT(I+1)-MAGLAT(I))/(GEOLON(I+1)-GEOLON(I))
      XCUT=MAGLAT(I)-GEOLON(I)*GRAD
      PLAT=GLONG*GRAD+XCUT

      CALL MPOLE_INC(IDAY,DLAT,DLON)   !.. find change since 1980

      PLON=(DLON+PLON)/57.2958   !.. convert to radians
      PLAT=(DLAT+PLAT)/57.2958

      RETURN
      END
C:::::::::::::::::::::::: MPOLE_STH ::::::::::::::::::::::::::::::::
C... This function returns the latitude and longitude of the
C... pseudo north magnetic pole for a tilted, centred, dipole. The 
C... pole position varies with geographic location on the Earth so 
C... as to provide fair agreement with L values from the IGRF model.
C... This routine is for the southern latitudes. There is a separate
C... routine for northern latitudes. It is most accurate for L=3 and 
C... not very accurate at the Atlantic longitudes.
C... Written by P. Richards in June 2001
      SUBROUTINE MPOLE_STH(GLONG,      !... Geographic long. in degrees
     >                     IDAY,      !... year
     >                     PLAT,PLON)  !... pole position in radians
      IMPLICIT NONE
      INTEGER I,DIM,IDAY
      PARAMETER (DIM=19)
      REAL GLONG,PLAT,PLON,DLAT,DLON,GEOLON(DIM),MAGLON(DIM)
      REAL MAGLAT(DIM),GRAD,XCUT

      DATA GEOLON/0,20,40,60,80,100,120,140,160,180,200,220,240
     > ,260,280,300,320,340,360/

      DATA MAGLON/285.0,280.0,280.0,280.0,280.0,290.0,300.0,310.0,310.0
     > ,305.0,300.0,297.0,290.0,290.0,290.0,285.0,285.0,285.0,285.0/

      DATA MAGLAT/78.0,78.0,79.0,79.0,78.50,77.0,77.0,78.0,79.0,80.0
     > ,80.0,79.0,78.0,76.0,75.0,75.0,78.0,78.0,78.0/


      IF(GLONG.LT.0) GLONG=GLONG+360
      IF(GLONG.GT.360) GLONG=GLONG-360
      PLAT=MAGLAT(1)
      PLON=MAGLON(1)

      !.. Loop backwards to locate the GLONG within the GLONG array
      I=DIM+1
  10  I=I-1
      IF(GLONG.LT.GEOLON(I)) GO TO 10

      !... Now find the longitude by linear interpolation
      GRAD=(MAGLON(I+1)-MAGLON(I))/(GEOLON(I+1)-GEOLON(I))
      XCUT=MAGLON(I)-GEOLON(I)*GRAD
      PLON=GLONG*GRAD+XCUT

      !... now find the latitude by linear interpolation
      GRAD=(MAGLAT(I+1)-MAGLAT(I))/(GEOLON(I+1)-GEOLON(I))
      XCUT=MAGLAT(I)-GEOLON(I)*GRAD
      PLAT=GLONG*GRAD+XCUT

      !... Year correction not needed in South
      PLON=PLON/57.2958   !.. convert to radians
      PLAT=PLAT/57.2958

      RETURN
      END
C:::::::::::::::::::: MPOLE_INC ::::::::::::::::::::::::::::::
C... This function finds returns the change in latitude and longitude 
C... of the north magnetic pole referred to its location in 1980.
C... This is from the NSSDC web site
C... Written by P. Richards in June 2001
      SUBROUTINE MPOLE_INC(IDAY,DLAT,DLON)
      IMPLICIT NONE
      INTEGER I,DIM,IDAY
      PARAMETER (DIM=12)
      REAL YEAR,PLAT,PLON,MAGYR(DIM),MAGLON(DIM),MAGLAT(DIM),GRAD,XCUT
      REAL DLAT,DLON
      !... Years that data are location specified
      DATA MAGYR/1950,1955,1960,1965,1970,1975,1980,1985,1990,1995,
     >           2000,2005/
      !... Magnetic longitude of magnetic pole
      DATA MAGLON/281.05,280.87,280.66,280.41,280.14,279.84,279.44
     >            ,279.11,278.76,278.35,278.06,277.89/
      !... Magnetic latitude of magnetic pole
      DATA MAGLAT/79.85,79.95,80.05,80.13,80.22,80.34,80.55,80.80
     >             ,81.04,81.28,81.64,81.99/

      YEAR=IDAY/1000
      !... make sure the year is within the legal range
      IF(YEAR.LT.MAGYR(1)) THEN
        WRITE(6,90) NINT(YEAR),NINT(MAGYR(1)),NINT(MAGYR(1))
        PLAT=MAGLAT(1)
        PLON=MAGLON(1)
        RETURN
      ELSE IF(YEAR.GT.MAGYR(DIM)) THEN
        WRITE(6,91) NINT(YEAR),NINT(MAGYR(DIM)),NINT(MAGYR(DIM))
        PLAT=MAGLAT(DIM)
        PLON=MAGLON(DIM)
        RETURN
      ENDIF

 90   FORMAT(1X,' *** Requested year',I5,' is less than',I5,
     >  '; the magnetic pole location has been set to the',I5,
     >  ' value')
 91   FORMAT(1X,' *** Requested year',I5,' is greater than',I5,
     >  '; the magnetic pole location has been set to the',I5,
     >  ' value')

      !.. Loop backwards to locate the year within the year array
      I=DIM+1
  10  I=I-1
      IF(YEAR.LT.MAGYR(I)) GO TO 10

      !... Now find the longitude by linear interpolation
      GRAD=(MAGLON(I+1)-MAGLON(I))/(MAGYR(I+1)-MAGYR(I))
      XCUT=MAGLON(I)-MAGYR(I)*GRAD
      PLON=YEAR*GRAD+XCUT

      !... now find the latitude by linear interpolation
      GRAD=(MAGLAT(I+1)-MAGLAT(I))/(MAGYR(I+1)-MAGYR(I))
      XCUT=MAGLAT(I)-MAGYR(I)*GRAD
      PLAT=YEAR*GRAD+XCUT

      !.. determine the change in pole position since 1980 in radians
      DLON=(PLON-MAGLON(7))
      DLAT=(PLAT-MAGLAT(7))
      RETURN
      END
C.............................. PRINTSUBS.FOR ......................
C.. These routines connected to printing FLIP data were moved from 
C.. MONPRN.FOR in July 1998.
C:::::::::::::::::::::::::::::: VPRINT ::::::::::::::::::::::::::::::::
      SUBROUTINE VPRINT(JPRN,IPRIN,IVLPS,MINJ,MAXJ,GLAT,ISOL,MAXIT,JBV
     >  ,ZLO,ZHI,IPP)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
C.......
      DIMENSION IPRIN(55),VPROD(6),VLOSS(6),VCON(71)
      REAL SEC,DEC,ETRAN,F107,F107A,AP,BLON,D(8),T(2)
     > ,SATX,CHIX,GLONX,GLATX
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/ND1/NR(2,71),ZR(71),TZ(71),GZ(71),BZ(71),VDT,TE(71),DZ,JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
C
      DATA VCON/71*1/
      ID=3
      IF(MINJ.GT.1) ID=4
C
C....... Transfer odd N and N2* densities from STR to their correct variables
      CALL TRANF(MINJ,MAXJ,JBV,VCON)
C
C.........  calculate O(1D), N(2D), NO, and N(4S) if not available in STR .....
      CALL VATMOS(MINJ,MAXJ,GLAT,-1,ISOL,MAXIT,IVLPS,JBV)
C
      IF(IPRIN(35).NE.0) IPRIN(29)=1
      IF(IVLPS.LE.0) THEN
!jntu         WRITE(3,470)
         WRITE(4,470)
 470     FORMAT(/2X,' *** There are no odd N nor N2* densities'
     >      ,'  available on input data file ***'/)
         GO TO 485
      ENDIF
C
!jntu      IF(I556.NE.-9) WRITE(3,556)
      IF(I556.NE.-9) WRITE(4,556)
      I556=-9
 556  FORMAT(/4X,'***The quantities in this file are given on a vertical
     > grid at the foot of the flux tube. O+, H+, N(2D), NO, N(4S), and'
     > ,/4X,'*** vibrationally excited N2 v= 0-5 are time dependent
     > diffusive solutions'/)
C
      DO 370 IS=2,36
        JP=1
      DO 370 J=1,JBV
        IF(ZR(J).LT.ZLO.OR.ZR(J).GT.ZHI) GO TO 370
        IF(MOD(J+IPP-1,IPP).NE.0.AND.J.NE.1) GO TO 370
        IF(IS.EQ.2) CALL PRLN(ID,0,J,JP,3,VPROD,VLOSS,VCON,ICHEM)
        IF(IPRIN(IS).EQ.1) CALL PRLN(ID,IS,J,JP,3,VPROD,VLOSS,VCON
     >      ,ICHEM)
        JP=0
 370  CONTINUE
      IF(IPRIN(35).EQ.1.AND.MINJ.EQ.1)
     >   CALL HEFFIC(ID,JBV,IPP,ZLO,ZHI)
C
C...... set up parameters for printing N2*
      IF(IPRIN(38).NE.1.AND.IPRIN(39).NE.1) GO TO 485
      IF(IPRIN(38).NE.1) GO TO 463
      CALL PRNN2V(ID,MINJ,MAXJ,-1,4,6,JBV,1,VCON)
      DO 728 J=1,JBV
        IF(ZR(J).LT.ZLO.OR.ZR(J).GT.ZHI) GO TO 728
        IF(MOD(J+IPP-1,IPP).NE.0.AND.J.NE.1) GO TO 728
        CALL PRNN2V(ID,MINJ,MAXJ,J,4,6,JBV,1,VCON)
 728  CONTINUE
C
 463  IF(IPRIN(39).NE.1) GO TO 485
      DO 730 J=1,JBV
      IF(ZR(J).LT.ZLO.OR.ZR(J).GT.ZHI) GO TO 730
      IF(MOD(J+IPP-1,IPP).NE.0.AND.J.NE.1) GO TO 730
      CALL PRVFIJ(ID,MINJ,MAXJ,J,4,6,JBV,1,VCON)
 730  CONTINUE

C
 485  CONTINUE
C........ Vibrationally excited N2
      IF(IPRIN(37).NE.1.OR.IVLPS.LE.1) GO TO 740
      WRITE(ID,733)
 733  FORMAT(/5X,'*** Vibrational temperature and populations of N2 ***'
     >,3X,'++++ Boltzman below 120 km. +++++'
     >,/3X,'ALT',4X,'Tv',4X,'Tn',4X,'v=0',6X,'v=1',6X,'v=2',6X,'v=3',6X
     > ,'v=4',6X,'v=5',4X,'(N2D)',4X,'(N4S)',5X,'(NO)',5X,'(O1D)')
       DO 735 J=1,JBV
      IF(ZR(J).LT.ZLO.OR.ZR(J).GT.ZHI) GO TO 735
      IF(MOD(J+IPP-1,IPP).NE.0.AND.J.NE.1) GO TO 735
      JCON=J
      IF(MINJ.GT.1) JCON=MAXJ+1-J
      DO 749 I=1,6
 749  D(I)=SNGL(STR(I,JCON))
      CALL TVIB(J,5.0D+2,TV,D)
      CALL AMBS(J,ZR(J),GLAT,D,T,CHIX,SATX,GLONX,GLATX)
      WRITE(ID,102) ZR(J),NINT(TV),NINT(T(2)),(STR(I,JCON),I=1,6)
     > ,N2D(J),N4S(J),NNO(J),O1D(J)
 735  CONTINUE
 740  CONTINUE
C
C
      IF(IPRIN(40).LT.1) GO TO 760
      DO 377 IS=40,44
        JP=1
      DO 377 J=1,JBV
        IF(ZR(J).LT.ZLO.OR.ZR(J).GT.ZHI) GO TO 377
        IF(MOD(J+IPP-1,IPP).NE.0.AND.J.NE.1) GO TO 377
C---- store N2* populations for O quenching
        JCON=J
        IF(MINJ.GT.1) JCON=MAXJ+1-J
        DO 44 IL=1,6
           NVS(IL,J)=STR(IL,JCON)
 44     CONTINUE
        IF(IS.EQ.40) CALL PRLN(ID,0,J,JP,3,VPROD,VLOSS,VCON,ICHEM)
        CALL PRLN(ID,IS,J,JP,3,VPROD,VLOSS,VCON,ICHEM)
        JP=0
 377  CONTINUE
 760  CONTINUE
C
 102  FORMAT(F6.1,I5,I5,1P,22E9.2)
      RETURN
      END
C::::::::::::::::::::::::::::: BLOCK DATA BLK1  :::::::::::::::::::
      BLOCK DATA BLK1
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL RATFAC
      COMMON/RFAC/RATFAC(99)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
C     change for f90 in Nov, 1999
C      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
C      COMMON/LPS/SZA(401),EPSN,DC,ISPC,I1,I2,IPV,JTIMAX,IPP,ISKP
      DATA RATFAC/99*1/
      END

C::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE TRANF(MINJ,MAXJ,JB,VCON)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      DIMENSION VCON(71)
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/ND1/NR(2,71),ZR(71),TZ(71),GZ(71),BZ(71),VDT,TE(71),DZ,JTER
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      DO 21 J=1,JB+1
         JCON=J
         IF(MINJ.GT.1) JCON=MAXJ+1-J
         VCON(J)= FITRC(MINJ,MAXJ,Z,RCON,ZR(J))
         DO 25 I=1,4
            NV(I,J)=STR(I+7,JCON)
 25      CONTINUE
         N2D(J)=NV(1,J)
         N4S(J)=NV(2,J)
         NNO(J)=NV(3,J)
         O1D(J)=NV(4,J) * 0.000
 21   CONTINUE
C
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE SIMP(IFST,ILST,ISP,H,EN,SUM)
C..... program for integrating an array by simpson's rule written by
C..... P. Richards 12 feb 1980. note that either both ifst @ ilst
C..... are even or they are both odd. h is the distance between grid pts.
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      DIMENSION EN(20,71)
      EVEN=0.0D0
      ODD=0.0D0
      IF=IFST+1
      IL=ILST-1
C........ add up the odd and even components. fortran indices begin at 1
C........ not 0
      DO 10 J=IF,IL,2
      EVEN=EVEN+EN(ISP,J)
      ODD=ODD+EN(ISP,J+1)
 10   CONTINUE
C......... now form the entire integral 'sum'
      SUM=(EN(ISP,IFST)+4*EVEN+2*ODD+EN(ISP,ILST))*H/3.0
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE HEFFIC(ID,JBV,IPP,ZLO,ZHI)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      DIMENSION DELTA(22)
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/ENLOSS/ENL(20,71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      DATA SUMHC/0.0D0/,JSUM/0/
      IF(IPP.NE.1) THEN
        WRITE(6,191)
 191    FORMAT(4X,'IPP must be 1 to evaluate heating efficiency'
     > ,/,' integrals')
        RETURN
      ENDIF
      WRITE(ID,203)
 203   FORMAT(/6X,'TOTALS OF HEATING AND COOLING RATES',//
     > ,3X,'ALT',2X,'O2-DEL   F-RAD   P-RAD    MET-KH',4X
     > ,'GR-KH   O+O+M    PE-E     O2-DHT   ION-DEP    S-R',
     >  4X,'N2-DH.   PE-DEP  DIS-DEP   EFFIC')
C
      DO 97 J=1,JBV
      IF(ZR(J).LE.ZLO+DH*IPP*1.0E-5.AND.MOD(J,2).EQ.0) JSUM=J
      IF(ZR(J).LT.ZLO.OR.ZR(J).GT.ZHI) GO TO 97
      IF(MOD(J+IPP-1,IPP).NE.0) GO TO 97
C.............. heating efficiency .......
      IF(ENL(10,J)+ENL(15,J)+ENL(11,J).GT.0.0) THEN
         ENL(14,J)=
     >     (ENL(4,J)+ENL(5,J)+ENL(7,J)+ENL(8,J)+ENL(9,J)+ENL(12,J))
     >     /(ENL(10,J)+ENL(19,J)+ENL(15,J)+ENL(11,J))
C+++         HT=(ENL(10,J)+ENL(19,J)+ENL(15,J)+ENL(11,J))*ENL(14,J)
      ENDIF
      WRITE(ID,205) NINT(ZR(J)),(ENL(IK,J),IK=1,5),(ENL(IK,J),IK=7,12)
     > ,ENL(15,J),ENL(19,J),ENL(14,J)
 97   CONTINUE
      IF(ZR(JSUM).LT.ZLO) JSUM=JSUM+2
C
      DO 85 IS=1,20
 85   DELTA(IS)=0.0
C------- integrate assuming exponential variation - convert to ergs
      DO 98 IS=1,20
        DO 99 J=1,JBV-1
          ENPROD=ENL(IS,J)*ENL(IS,J+1)
          IF(ENPROD.GT.0) DELTA(IS)=DELTA(IS)+
     >      DSQRT(ENL(IS,J)*ENL(IS,J+1)) * (ZR(J+1)-ZR(J))*1.6E-7
 99       CONTINUE
       IF(IS.NE.6.AND.IS.NE.7.AND.IS.NE.10.AND.IS.NE.11.AND.IS.LT.13)
     >    SUMHC=SUMHC+DELTA(IS)
 98   CONTINUE
      CONSE=0.0D0
      IF(DELTA(10)+DELTA(15)+DELTA(11).GT.0)
     >   CONSE=SUMHC/(DELTA(10)+DELTA(19)+DELTA(15)+DELTA(11))
C,,,,,,,,,, WRITE HEATING AND COOLING RATE INTEGRALS
      WRITE(ID,204)
 204   FORMAT(/6X,'INTEGRALS OF HEATING AND COOLING RATES',//
     > ,3X,'ALT',2X,'O2-DEL   F-RAD   P-RAD    MET-KH',4X
     > ,'GR-KH   O+O+M    PE-E     O2-DHT   ION-DEP    S-R',
     >  4X,'N2-DH.   PE-DEP  DIS-DEP   E-CON')
      WRITE(ID,205) NINT(0.0*ZR(JSUM)),(DELTA(IK),IK=1,5)
     > ,(DELTA(IK),IK=7,12),DELTA(15),DELTA(19),CONSE
      DO 333 J=1,JBV
      DO 333 IS=1,20
 333  ENL(IS,J)=0.0D0
 205   FORMAT(I5,1P,13E9.2,0P,5F6.3)
      RETURN
      END
C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE PHEADR(IFILE,PCO,GLONN,GLONF,GLATN,GLATF,ALT,Z0
     >      ,JMAX,SCAL)
C....... Subroutine for printing basic information in each of the
C....... output files
      DOUBLE PRECISION PCO,SCAL,Z0,GL,ALT
      COMMON/MSIS/AP(7),DEC,ETRAN,BLON,F107,F107A,IDAY,SEC,GL(401)
      COMMON/SOL/UVFAC(59),EUV
      CHARACTER*60 HEMIS
      IF(IFILE.EQ.3) THEN
         HEMIS = 'NORTHERN hemisphere VERTICAL grid ****'
      ELSE IF(IFILE.EQ.4) THEN
         HEMIS = 'SOUTHERN hemisphere VERTICAL grid ****'
      ELSE IF(IFILE.EQ.9) THEN
         HEMIS = 'NORTHERN hemisphere MAGNETIC field line grid ****'
      ELSE IF(IFILE.EQ.8) THEN
         HEMIS = 'SOUTHERN hemisphere MAGNETIC field line grid ****'
      ELSE
         HEMIS = '****'
      ENDIF
      WRITE(IFILE,112) HEMIS
 112  FORMAT(//5X,'**** Parameters for this FLIP run on ',A60)
 114  FORMAT(/1X,' YEAR=',I4,',  DAY=',I3,',  L-SHELL=',F8.3,
     >  ',  F10.7=' ,F6.1,',  F10.7A=',F6.1,',  AP=',F6.1
     >  ,' BLON, Z0, JMAX, SCAL = ',3I4,F9.4)
      WRITE(IFILE,114) IDAY/1000,MOD(IDAY,1000),PCO,F107,F107A,AP(1)
     > ,NINT(BLON),NINT(Z0),JMAX,SCAL
 115  FORMAT(/'  Geographic (lat,long):- North (',I3,'N,',I5,'E)'
     > ,2X,',  South (',I3,'S,',I5,'E)  @',I6,'km altitude')
      WRITE(IFILE,115) NINT(GLATN),NINT(GLONN),-NINT(GLATF),NINT(GLONF)
     >  ,NINT(ALT)
 116  FORMAT(/'  EUV flux scaling factors for 303.78=',F5.1,
     >  ', 284.15=',F5.1,  ', 584.33=',F5.1, ', 977.02=',F5.1,
     >  ', 1025.72=',F5.1)
      WRITE(IFILE,116) UVFAC(9),UVFAC(6),UVFAC(18),UVFAC(33),UVFAC(35)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
        SUBROUTINE PRNN2V(ID,MINJ,MAXJ,J,ILJ,IPR,JB,IC,VCON)
      IMPLICIT DOUBLE PRECISION(A-H,K-L,N-Z)
      DIMENSION B(22),VCON(71),VPROD(6),VLOSS(6),C(22)
      COMMON/NNVV/F(20),NV(7,71),NVS(7,71)
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/NDM/NNO(71),N2D(71),O1D(71),N4S(71),N2N(71),ON(71),CHIV(71)
      COMMON/ND1/NR(2,71),ZR(71),TN(71),GR(71),BG(71),VDT,TE(71),DH,JTER
      COMMON/ND2/O2N(71),TIZ(71),ZNE(71),HE(71),N2P(71),HN(71)
      COMMON/PXS/VK(6),PXN2A(71),PEEX(7,71),PRN2P(7,71),JVMAX
      IF(J.LE.0) WRITE(ID,95)
 95   FORMAT(/11X,'Total production and loss of N2 vibrational quanta'
     > ,/22X,'Production',27X,':',9X,'Loss'
     > ,/3X,'ALT',5X,'ETHERM',5X,'O(1D)',4X,'NO+N4S',4X,'N2(A)'
     > ,5X,'EPHOTO',6X,'N2+*',5X,'O+N2*',3X,'O+ +N2*')
      IF(J.LE.0) RETURN
C
      DO 10 IK=1,22
10    C(IK)=0.0D0
C
      JCON=J
      IF(MINJ.GT.1) JCON=MAXJ+1-J
C
      DO 13 IS=1,4
         NV(IS,J)=STR(IS+7,JCON)
 13   CONTINUE
C
      N2D(J)=STR(8,JCON)
      N4S(J)=STR(9,JCON)
      NNO(J)=STR(10,JCON)
      O1D(J)=STR(11,JCON) * 0.0000
      IF(O1D(J).LE.0) CALL PRLN(1,0,J,0,3,VPROD,VLOSS,VCON,0)
C
      DO 15 IS=1,IPR
         NV(IS,J)=STR(IS,JCON)
 15   CONTINUE
C
      DO 20 IS=2,IPR
      CALL PRLO(MINJ,MAXJ,ILJ,IS,J,IPR,PROD,LOSS,B)
C
      C(1)=C(1)+(IS-1)*(B(1)-B(2))
      C(2)=C(2)+(IS-1)*(B(8)-B(7))
      IF(IS.EQ.3) C(3)=C(3)+(IS-1)*B(9)
      IF(IS.EQ.5) C(4)=C(4)+(IS-1)*B(9)
      IF(IS.EQ.IPR) C(5)=C(5)+(IS-1)*B(13)
      C(6)=C(6)+(IS-1)*B(12)
      C(7)=C(7)+(IS-1)*B(14)
C....      C(8)=C(8)+(IS-1)*B(13?)
 20   CONTINUE
C
      WRITE(ID,99) ZR(J),C(1),C(3),C(4),C(5),C(7),C(8),C(2),C(6)
 99   FORMAT(F7.1,1P,19E10.2)
      RETURN
      END
C::::::::::::::::::::::::::::::::::::::::::::::::::::::
      SUBROUTINE HTPRIN(JJJ,JPRIN,IFILE,UTHRS,SATN,CHI,HFLUX1,HFLUX2
     > ,HIFLX1,HIFLX2)
      DOUBLE PRECISION HFLUX1,HFLUX2,HIFLX1,HIFLX2
C     change UTHRS from double to real for f90, Nov, 1999
      REAL UTHRS
      DOUBLE PRECISION TEFLUX,TFLUX,AVEE,TEEHT,FRPAS
      COMMON/EFLUX/TEFLUX,TFLUX,AVEE,TEEHT,FRPAS
      IF(JJJ.EQ.1.OR.JPRIN.GT.0) WRITE(IFILE,365)
 365  FORMAT(/9X,'These parameters are concerned with the flow of heat
     > to and from the plasmasphere(POS) from both ends of the'
     > ,/5X,'flux tube. HTFLUX=total thermal electron heat flux from
     > POS. AVEE=average energy of escaping photoelectrons'
     > ,/5X,'TEFLUX=total energy flux carried into the POS by
     > photoelectrons. TFLUX=the total particle flux carried'
     > ,/5X,'into the POS. TEEHT=total amount of electron-electron
     > heating in the POS.'
     > ,//4X,'UT',4X,'LT',3X,'CHI   AVEE   HTFLUX   TEFLUX   TFLUX'
     > ,' TEEHT')
      WRITE(IFILE,361) UTHRS,SATN,NINT(57.3*CHI),AVEE,HFLUX1+HFLUX2
     > ,TEFLUX,TFLUX,TEEHT,HIFLX1+HIFLX2
 361  FORMAT(F7.2,F6.2,I4,F7.1,1P,22E10.2)
      RETURN
      END
C:::::::::::::::::::::::::: FNDTIM :::::::::::::::::::::::::::::::::::::::
C.......... This subroutine reads the F8.DAT data file and matches the
C.......... given time (TSTART) with the nearest time on the file then stores
C.......... the old value in TSAVE before returning the nearest time in TSTART
C.......... and TSTOP. If TSTART is not in the range between the first file
C.......... time and the last file time the program stops
      SUBROUTINE FNDTIM(TSTART,TSTOP,TSAVE,IDAY)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      REAL SEC,F107,F107A,AP(7),BLON,EUV,GLONN,GLONF,PLAT,PLON, 
     > GLATN,GLATF,GRD,UVFAC(59),RATFAC(99),TIMEON,TIMEOF,AURFAC
C
      DOUBLE PRECISION Q(401)
      COMMON/FJS/N(4,401),TI(3,401),F(20)
      COMMON/VN/U(2,401),BG(401),BM(401),GR(2,401),R(2,401),SL(401)
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/MINOR/XIONN(9,401),XIONV(9,401),XMASS(9)
C
      ICOUNT=0
1010  CONTINUE

         ICOUNT=ICOUNT+1
         IF(ICOUNT.GT.3) THEN
           WRITE(6,965)
 965       FORMAT(/2X,' *** Requested time not available on file ***'/)
           STOP
         ENDIF
         IFLAG=0

         CALL READ_Q(SCALK, Q)
         DELT=1.0E22
         !..... Main loop
         DO 221 JTI=1,99999

           CALL RF8DAT(IVLPS,JQ,IW,PCO,Z0,SCAL,GRD,GLONN,GLONF,GLATN
     >       ,GLATF,ZLBDY,FPAS,UV,HFAC,JMAX,IDAY,I1,I2,F107,F107A,AP
     >       ,BLON,EUV,Z,UVFAC,RATFAC,TIMEON,TIMEOF,AURFAC,PLAT,PLON)
           CALL VERGRD(IVLPS,GRD) !.. vertical grid to initialize JBV,JVB,JNB
           CALL RF8D2(JTX,JK,JC,NMF2N,NMF2F,NOPEQ,NHPEQ,TIEQ,TEEQ
     >       ,UNN,UNC,IVLPS,IFLAG,JQ,SEC,N,JMAX,TI,U,STR,RCON,AP
     >       ,NHEPEQ,U,F107,NNPEQ)
           IF(IFLAG.EQ.1) GO TO 233
           UTHRS=SEC/3600.

           !..... Resetting start time 
           IF(JTI.EQ.1.AND.TSTART.LT.UTHRS) THEN
             WRITE(6,89) TSTART,UTHRS
 89          FORMAT(/2X,'*** Start time',F8.2,' is less than first'
     >        ,' data time',F8.2/)
             !... If a range of times, and start time less than first time
             IF(NINT(TSTART*100).NE.NINT(TSTOP*100)) TSTART=UTHRS

             IF((UTHRS-TSTART).LE.TSTART*0.01) THEN
               REWIND 1
               TSAVE = TSTART
               TSTART = UTHRS
               IF(TSTOP.LT.TSTART) TSTOP = TSTART
               WRITE(6,899)TSTART
               RETURN
             ENDIF
             TSTART = TSTART + 24.0
             WRITE(6,899) TSTART
 899         FORMAT(/2X,'*** Start time is reset to', F8.2,' hrs'/)
             REWIND 1
             GOTO 1010
           ENDIF

        IF(ABS(UTHRS-TSTART).LT.ABS(DELT)) DELT=UTHRS-TSTART
        IF(UTHRS.GT.TSTART+.5) GO TO 233
 221  CONTINUE

      !... start time too big
 233  CONTINUE
      IFLAG=0
      IF(TSTART.GT.UTHRS) THEN
         WRITE(6,92) TSTART,UTHRS
 92      FORMAT(/2X,'*** Start time',F8.2,' hrs exceeds the last data'
     > ,' time',F8.2,' hrs'/)
         !..    Reset Start Time...   added by S. Yung   9/13/91
         TSTART = TSTART - 24.0
         WRITE(6,899) TSTART
         REWIND 1
      GOTO 1010
      ENDIF

      !.... rewind file, save old TSTART and reset TSTART and TSTOP
      REWIND 1
      TSAVE=TSTART
      TSTART=TSTART+DELT
      IF(TSTOP.LT.TSTART) TSTOP=TSTART
      DO 235 I=6,6
 235  IF(I.NE.5.AND.I.NE.7.AND.ABS(TSTART-TSAVE).GT.0.005) WRITE(I,390)
     > TSAVE,TSTART
 390  FORMAT(/2X,'NO data at time=',F8.2,' hrs: Nearest time=',F8.2
     > ,' hrs selected')
      RETURN
      END
C::::::::::::::::::::::::::: FITRC ::::::::::::::::::::::::::::::::::
      FUNCTION FITRC(MINJ,MAXJ,ZP,T,Z)
C--- This program was written by P. Richards in August 1991
C...... Linear interpolation of vibrational N2 factor (y = A.x + B)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
      DIMENSION ZP(401),T(401)
C
C--- Use bisection to find the nearest altitude ZP(K) to desired
C--- altitude (Z)
      CALL BISPLT(MINJ,MAXJ,Z,ZP,K)
C
C....... now do linear fit
 2    IF(K.EQ.MAXJ) THEN
         FITRC=T(K)
      ELSE IF(T(K).LT.0.OR.T(K+1).LT.0) THEN
         FITRC=0.0
      ELSE
         FITRC=(Z-ZP(K))/
     >     (ZP(K+1)-ZP(K))*(T(K+1)-T(K))+T(K)
      ENDIF
 4     RETURN
       END
C:::::::::::::::::::::::::::: TRSTR :::::::::::::::::::::::::::::
C---- This subroutine transfers the vertical grid odd N densities to
C---- the field line grid for use in CMINOR. Written by P. Richards
C---- April 1994
      SUBROUTINE TRSTR(IVLPS)
      IMPLICIT DOUBLE PRECISION(A-H,N,O-Z)
      INTEGER IVERT
      DIMENSION ZRD(401)
      COMMON/STAW/STR(12,401),RCON(401)
      COMMON/VODDN/VN2D(401),VN4S(401),VNNO(401),VO1D(401),IVERT
      COMMON/ALT/Z(401),DT,DH,THF,EPS,TF,ITF,JMAX,JMAX1,ITER,ION
      COMMON/ND1/NR(2,71),ZR(71),TZ(71),GZ(71),BZ(71),VDT,TE(71),DZ,JTER
      COMMON/VAGRID/JBV,JVB,JNB
C
      IVERT=IVLPS
      IF(IVERT.LE.0) RETURN
C--- A dummy vertical altitude grid is created so that values in STR can
C--- be interpolated
      DO 10 J=1,JBV       
         ZRD(J)=ZR(J)
         ZRD(JMAX+1-J)=ZR(J)
 10   CONTINUE
C
C---- Now extract odd N densities from STR and interpolate
      DO 21 J=1,JMAX/2
         IF(Z(J).LT.ZR(JBV)) THEN
            VN2D(J)=FITSTR(8,1,JBV,ZRD,STR,Z(J))
            VN4S(J)=FITSTR(9,1,JBV,ZRD,STR,Z(J))
            VNNO(J)=FITSTR(10,1,JBV,ZRD,STR,Z(J))
C..            VO1D(J)=FITSTR(11,1,JBV,ZRD,STR,Z(J))
            JCON=JMAX+1-J
            VN2D(JCON)=FITSTR(8,JMAX+1-JBV,JMAX,ZRD,STR,Z(JCON))
            VN4S(JCON)=FITSTR(9,JMAX+1-JBV,JMAX,ZRD,STR,Z(JCON))
            VNNO(JCON)=FITSTR(10,JMAX+1-JBV,JMAX,ZRD,STR,Z(JCON))
C..            VO1D(JCON)=FITSTR(11,JMAX+1-JBV,JMAX,ZRD,STR,Z(JCON))
C...           WRITE(68,90) J, NINT(Z(J)), VN2D(J),VN4S(J),VNNO(J)
           JC=JCON
C...           WRITE(69,90) JC, NINT(Z(JC)), VN2D(JC),VN4S(JC),VNNO(JC)
 90        FORMAT(1X,I4,I7,1P,9E10.2)  
       ENDIF
 21   CONTINUE
C
      RETURN
      END
C::::::::::::::::::::::::::: FITSTR ::::::::::::::::::::::::::::::::::
      FUNCTION FITSTR(I,JMIN0,JMAX0,ZP,T,Z)
C...... Linear interpolation for temperatures (y = A.x + B)
      IMPLICIT DOUBLE PRECISION(A-H,L,N-Z)
C.... change ZP(71) to ZP(401) for f90 in Nov, 1999
      DIMENSION ZP(401), T(12,401)
C
C--- Use bisection to find the nearest altitude ZP(K) to desired 
C--- altitude (Z)
      CALL BISPLT(JMIN0,JMAX0,Z,ZP,I1)
C
C....... now do linear fit
 2    IF(I1.EQ.JMAX0) THEN
         FITSTR=T(I,I1)
      ELSE IF(T(I,I1).LT.0.OR.T(I,I1+1).LT.0) THEN
         FITSTR=0.0
      ELSE
         FITSTR=(Z-ZP(I1))/
     >     (ZP(I1+1)-ZP(I1))*(T(I,I1+1)-T(I,I1))+T(I,I1)
      ENDIF
 4     RETURN
       END

C:::::::::::::::::::: GET_AE_OPLUS :::::::::::::::::::::::::::::
C.... This routine is used to get O+ data from a file to
C.... replace the FLIP values in the chemical scheme
C.... It takes the FLIP altitude and returns an interpolated
C.... value. Bad or no data are returned as 0.
      SUBROUTINE GET_AE_DENS(FLIP_ALT,
     >                          AE_OP,   !... AE O+ density
     >                          AE_OX,   !... AE O density
     >                          AE_N2)   !... AE N2 density
      IMPLICIT NONE
      INTEGER ALTDIM   !.... Array dimensions
      INTEGER MAXALT   !.... Index of maximum altitude in array
      INTEGER JCALL    !.... counts number of calls
      INTEGER DIMALT
      PARAMETER (ALTDIM=99)
      REAL AE_ALT(ALTDIM)    !... Altitudes of AE data
      REAL AE_OPLUS(ALTDIM)  !... AE O+ density
      REAL AE_ONEUT(ALTDIM)  !... AE O density
      REAL AE_N2NEUT(ALTDIM) !... AE N2 density
      REAL FTAE              !... Interpolating function
      REAL FLIP_ALT          !... FLIP altitude for interpolation
      REAL OPLUS             !... Temporary O+ variable, error check
      REAL AE_OP, AE_OX, AE_N2
      DATA JCALL/0/
      DIMALT=ALTDIM

      !... if this is the first time, read the AE data file
      JCALL=JCALL+1
      IF(JCALL.EQ.1) 
     >   CALL READ_AE_DATA(DIMALT,AE_ALT,AE_OPLUS,AE_ONEUT
     >       ,AE_N2NEUT,MAXALT)

      AE_OP=0.0
      AE_OX=0.0
      AE_N2=0.0

      !... get interpolated value of O+ if in AE alt range
      IF(FLIP_ALT.GT.AE_ALT(1).AND.FLIP_ALT.LE.AE_ALT(MAXALT))
     >   AE_OP= FTAE(1,ALTDIM,AE_ALT,AE_OPLUS,FLIP_ALT)
      !... get interpolated value of O+ if in AE alt range
      IF(FLIP_ALT.GT.AE_ALT(1).AND.FLIP_ALT.LE.AE_ALT(MAXALT))
     >   AE_OX= FTAE(1,ALTDIM,AE_ALT,AE_ONEUT,FLIP_ALT)
      !... get interpolated value of O+ if in AE alt range
      IF(FLIP_ALT.GT.AE_ALT(1).AND.FLIP_ALT.LE.AE_ALT(MAXALT))
     >   AE_N2= FTAE(1,ALTDIM,AE_ALT,AE_N2NEUT,FLIP_ALT)

      !... Only return the AE value if it is good, else 0.
      IF(AE_OP.LT.100.OR.AE_OP.GT.5.0E6)  AE_OP=0.0
      IF(AE_OX.LT.100.OR.AE_OX.GT.1.0E20) AE_OX=0.0
      IF(AE_N2.LT.100.OR.AE_N2.GT.1.0E20) AE_N2=0.0
      RETURN
      END

C:::::::::::::::::::: READ_AE_DATA :::::::::::::::::::::::::::
C... This subroutine actually reads the AE data from the file
C... Data must either increase monotonically ordecrease monotonically
      SUBROUTINE READ_AE_DATA(ALTDIM,   !... Array dimension in
     >                       AE_ALT,    !... AE altitude array out
     >                       AE_OPLUS,  !... AE O+ density
     >                       AE_ONEUT,  !... AE O density
     >                       AE_N2NEUT, !... AE N2 density
     >                       MAXALT)    !... Index of max alt
      IMPLICIT NONE
      INTEGER INCOLS         !... dimension for # columns to read
      INTEGER ALTDIM         !... Array dimensions in GET_AE_DENS
      INTEGER DIMALT         !... Array dimensions in READ_AE
      PARAMETER (DIMALT=99,INCOLS=6)
      INTEGER I,J,JREV       !... loop control variable
      INTEGER MAXALT         !... Index of maximum altitude in array
      INTEGER FEXISTS        !... Indicates if file exists
      INTEGER COLS(INCOLS)   !... Column switches to read
      INTEGER NCOLS          !... Number of columns to read
      REAL TALT(DIMALT),AE_ALT(DIMALT)    !... Altitudes of AE data
      REAL TOPD(DIMALT),AE_OPLUS(DIMALT)  !... AE O+ density
      REAL TOXD(DIMALT),AE_ONEUT(DIMALT)  !... AE O density
      REAL TN2D(DIMALT),AE_N2NEUT(DIMALT) !... AE N2 density
      REAL AEDATA(INCOLS)    !... Temp array to read a line of data. 
      MAXALT=0

      !... Using DIMALT in here because ALTDIM generates a large
      !... executable file for some reason
      IF(DIMALT.NE.ALTDIM) THEN
         WRITE(6,*) ' Incorrect dimension for DIMALT in READ_AE'
         STOP
      ENDIF

      !... see if file exists
      CALL TFILE(47,FEXISTS)
      IF(FEXISTS.EQ.0) RETURN

      WRITE(6,877)
 877  FORMAT(/3X,' Data are being read from file to replace FLIP'
     >  ,1X,'O+, O, and N2 densities'/)

      !... remove headers from file, reading to column info
 10   READ(47,*,ERR=10,END=91) (COLS(J),J=1,6)
 91   CONTINUE

      !... Determine number of columns of data to read
      DO J=1,6
         IF(COLS(J).EQ.1) NCOLS=J
      ENDDO

      !... Read the AE data into temporary arrays
      DO J=1,999
         READ(47,*,ERR=95,END=93) (AEDATA(I), I=1,NCOLS)
         TALT(J)=AEDATA(1)
         TOPD(J)=AEDATA(2)
         TOXD(J)=AEDATA(3)
         TN2D(J)=AEDATA(4)
      ENDDO

 93   MAXALT=J-1

      !.. If altitudes not already in increasing, reverse order, then
      !.. test for monotonic increasing
      DO J=1,MAXALT
         JREV=J
         IF(TALT(1).GE.TALT(MAXALT)) JREV=MAXALT+1-J
         AE_ALT(J)=TALT(JREV)
         AE_OPLUS(J)=TOPD(JREV)
         AE_ONEUT(J)=TOXD(JREV)
         AE_N2NEUT(J)=TN2D(JREV)
         !.. check for monotonically increasing order
         IF(J.GT.1.AND.AE_ALT(J).LE.AE_ALT(J-1)) THEN
            WRITE(6,191) 
            STOP
         ENDIF
      ENDDO

      RETURN
 95   WRITE(6,*) ' Error in data file'
      STOP

 191  FORMAT(/' ** ERROR in Altitude data file unit = 47'
     > ,1X,'Altitudes must be monotonically increasing or decreasing')
      END
C:::::::::::::::::::::: FUNCTION FTAE ::::::::::::::::::::::::::::::::
C...... Simple linear interpolating program for AE data
      REAL FUNCTION FTAE(BEGI,   !... smallest array index
     >                   IDIM,   !... largest array index
     >                     ZP,   !... Altitude array
     >                      T,   !... array of valuse to interp
     >                      Z)   !... alt for interpolated value
      IMPLICIT NONE
      INTEGER BEGI,IDIM,I
      REAL ZP(IDIM),T(IDIM),Z
      DO 1 I=BEGI,IDIM-1 
       IF(Z.GE.ZP(I).AND.Z.LT.ZP(I+1)) GOTO 2
 1     CONTINUE
 2     FTAE=(Z-ZP(I))/(ZP(I+1)-ZP(I))*(T(I+1)-T(I))+T(I)
       IF (Z .EQ. ZP(IDIM)) FTAE = T(IDIM)
 4     RETURN
      END

C---------------------------------------------------------------
      SUBROUTINE TOTAL_CONTENT(JMAX,SEC,Z,ZHI,SL,N,XIONN,BM)
      !This subroutine calculate and output time variation of total
      !tube content of ions and electrons from 1000 km N to 1000 km S.
      !Total tube content is in unit cm^-2
      !JNTU 1/20/02
      
      DOUBLE PRECISION Z(401),SL(401),N(4,401),XIONN(9,401),BM(401)
      DOUBLE PRECISION ZHI,NT(5),Ne
      DATA NT/5*0.0/

      JP=(JMAX+1)/2
      DO 10 J=1,JP-1
        if(Z(J).LT.ZHI) JN=J
10    CONTINUE


      !Calculate total content of O+, H+, He+, N+ ions and electrons      
      JC=JMAX-JN
      DO 20 J=JN,JC
        scl=0.5*(SL(J+1)-SL(J))*BM(JN)/BM(J)
        NT(1)=NT(1)+(N(1,J)+N(1,J+1))*scl
        NT(2)=NT(2)+(N(2,J)+N(2,J+1))*scl
        NT(3)=NT(3)+(N(4,J)+N(4,J+1))*scl
        NT(4)=NT(4)+(XIONN(1,J)+XIONN(1,J+1))*scl
        NT(5)=NT(1)+NT(2)+NT(3)+NT(4)
20    CONTINUE

	JP=207
      !Write total content of ion and electrons, along with eq. densities
      Ne=N(1,JP)+N(2,JP)+N(4,JP)+XIONN(1,JP)
      write(67,30) SEC/3600.,(NT(I),I=1,5),Ne,N(1,JP),N(2,JP),
     >      N(4,JP),XIONN(1,JP)
30    FORMAT(F8.3,10ES12.5)

      RETURN
      END
